<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/8/24 17:46
 */

namespace api\models;
//use common\models\SmsVerifycode;
use common\models\User;
use yii\base\Model;
use Yii;
use common\helpers\Erp;

class RegisterForm extends Model
{
    public $mobile;
    public $accountname;
    public $password;
    public $smsCode;
    public $referrer;
    public $name;
    public $verifyCode;
    public $superior;
    public $userName;
    public $wechat_openid;
    public $api_shop;
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['mobile', 'smsCode', 'name', 'userName',"accountname"], 'trim'],
            // [['mobile', 'smsCode', 'password'], 'required'],
            [['mobile','password'], 'required'],
            [['mobile'], 'match', 'pattern' => '/^1[0-9]{10}$/', 'message' => '手机号必须为1开头的11位纯数字'],
//            ['mobile', 'unique', 'targetClass' => '\common\models\User', 'message' => '注册失败，手机号已被注册！'],
            ['referrer', 'checkReferrer'],
            [['password'], 'match', 'pattern' => '/^(?!\d+$)(?![A-Za-z]+$)[a-zA-Z0-9]{6,16}$/', 'message' => '密码太过简单,请输入6-16数字加字母格式密码'],
            // ['smsCode', 'validateSmsCode'],  //验证手机验证码
        ];
    }

    public function checkReferrer($attribute)
    {
//        $referrerUser = User::findByUid($this->referrer);
        $referrerUser = User::findByAccount($this->referrer);
        if (empty($referrerUser)) {
            $this->addError('referrer', '邀请人不存在！');
        } else {
            $this->superior = $referrerUser->uid . '_' . $referrerUser->superior;
        }

    }

    /**
     * 验证短信验证码
     * @param string $attribute
     */
    public function validateSmsCode($attribute)
    {
        if (!$this->hasErrors()) {
            $smsVerifycode = new SmsVerifycode();
            if (strlen($this->smsCode) != 4) {
                $this->addError($attribute, strlen($this->smsCode));
            }
            $result = $smsVerifycode->check($this->mobile, $this->smsCode);
            if ($result !== true) {
                $this->addError($attribute, $result);
            }
        }
    }

    public function attributeLabels()
    {
        return [
            'mobile' => '手机号',
            'password' => '密码',
            // 'smsCode' => '短信验证码',
            'referrer' => '邀请人手机号',
            'verifyCode' => '图片验证码',
        ];
    }

    /**
     * @return bool|User
     * @throws \yii\base\Exception
     */
    public function register()
    {
        $this->beforeValidate();
        //根据账户搜索用户id
        $model = new RegisterForm();
        $mobile = Yii::$app->request->post('referrer');
        $users = User::findByAccount($mobile); //根据推荐人登录账户搜索
        if ($this->validate()) {
            $user = new User();
            $accountname=strtolower($this->accountname);
            $user->mobile = $this->mobile;
            $user->realname = $this->name;
            $user->username = $this->userName;
            $user->referrer =$users->uid;
            $user->accountname = $accountname;
            $user->superior = $this->superior ?: 0;
            $user->setPassword($this->password);
            $user->generateAuthKey();
            $user->scenario = 'first';
            $transaction = Yii::$app->db->beginTransaction(); //开启事物
            $erp=new Erp();
            if ($user->save()) {
                try {
                    $res= $erp->regist($accountname,$this->mobile,$this->password);
//                    echo "<pre>";
//                    var_dump($res);die;
                    if($res['code']==1){
                        $transaction->commit();
                        $user->updateAll(["erp_openid"=>$res['data']['openid']],"mobile=:mobile",[':mobile'=>$this->mobile]);
                        return $user;
                    }else{
                        return $res;
                    }

                } catch (\Exception $e) {
                    $transaction->rollBack();
                    return false;
//                    throw $e;
                }

            }
        }
//        var_dump(self::getErrors());
        return false;
    }
}
