<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/28 20:58
 */

namespace backend\controllers;

use common\models\Announcement;


use common\models\Config;
use common\models\Message;
use common\models\User;
use yii;
use common\models\ManagerLog;
class AnnouncementController extends ControllerBase
{
    /**
     * 系统公告列表
     * @return string
     */
    public function actionSystem()
    {
        $condition = 'type = 1';
        $keywords = Yii::$app->request->get('keywords', '');
        $keywords = trim($keywords);
        if (!empty($keywords)) {
            $condition .= " AND (id = '{$keywords}' OR title LIKE '%{$keywords}%')";
        }
        $list = Announcement::find()->where($condition)->orderby("id desc")->asArray();
        $this->view->title = '系统公告';
        return $this->render('system', ['list' => $list, 'keywords' => $keywords]);
    }

    /**
     * 公告
     * @return string
     */
    public function actionGame()
    {
        $condition = 'type = 2';
        $keywords = Yii::$app->request->get('keywords', '');
        $keywords = trim($keywords);
        if (!empty($keywords)) {
            $condition .= " AND (id = '{$keywords}' OR title LIKE '%{$keywords}%')";
        }
        $list = Announcement::find()->where($condition);
        $this->view->title = '超市公告';
        return $this->render('game', ['list' => $list, 'keywords' => $keywords]);
    }

    /**
     * 关于我们
     * @return string|yii\web\Response
     */
    public function actionAbout()
    {
        $item = Announcement::find()->where("type = 3")->one();
        if ($item->load(Yii::$app->request->post())) {
            if ($item->save()) {
                 $manager=new ManagerLog(); 
                 $manager->operate = "关于我们更新或者添加数据";
                $manager->params =base64_encode(serialize(Yii::$app->request->post()));
                 $result = $manager->save();
                return $this->message('更新成功', ['announcement/about'], 'success');
            } else {
                return $this->message('更新失败', ['announcement/about'], 'error');
            }
        }
        $this->view->title = '用户须知';
        return $this->render('about', ['item' => $item]);
    }

    /**
     * 用户须知
     * @return string|yii\web\Response
     */
    public function actionUserAgreement()
    {
        $item = Announcement::find()->where("type = 4")->one();
        if ($item->load(Yii::$app->request->post())) {
            if ($item->save()) {
                 $manager=new ManagerLog(); 
                 $manager->operate = "用户须知更新或者添加数据";
                $manager->params =base64_encode(serialize(Yii::$app->request->post()));
                 $result = $manager->save();
                return $this->message('更新成功', ['announcement/user-agreement'], 'success');
            } else {
                return $this->message('更新失败', ['announcement/user-agreement'], 'error');
            }
        }
        $this->view->title = '用户须知';
        return $this->render('user-agreement', ['item' => $item]);
    }

    /**
     * 用户注册协议
     * @return string|yii\web\Response
     */
    public function actionRegisterList()
    {
        $item = Announcement::find()->where("type = 5")->one();
        if ($item->load(Yii::$app->request->post())) {
            if ($item->save()) {
                $manager=new ManagerLog(); 
                 $manager->operate = "用户注册协议更新或者添加数据";
                $manager->params =base64_encode(serialize(Yii::$app->request->post()));
                 $result = $manager->save();
                return $this->message('更新成功', ['announcement/register-list'], 'success');
            } else {
                return $this->message('更新失败', ['announcement/register-list'], 'error');
            }
        }
        $this->view->title = '用户须知';
        return $this->render('register-list', ['item' => $item]);
    }

    /**
     * 意见反馈
     * @return string
     */
    public function actionFeedback()
    {
        $condition = '1 = 1';
        $keywords = Yii::$app->request->get('keywords', '');
        $keywords = trim($keywords);
        if (!empty($keywords)) {
            $condition .= " AND (id = '{$keywords}')";
        }
        $item = Feedback::find()->where($condition)->orderBy("id desc");
        $this->view->title = '意见反馈';
        return $this->render('feedback', ['keywords' => $keywords, 'list' => $item,]);
    }

    /**
     * 删除公告
     * @param $id
     * @return yii\web\Response
     */
    public function actionFeedbackDelete($id)
    {
        $item = Feedback::findOne($id)->delete();
        if ($item > 0) {
            $manager=new ManagerLog(); 
                 $manager->operate = "删除公告ID为".$id;
                 $result = $manager->save();
            Yii::$app->getSession()->setFlash('success', '删除成功');
            return $this->redirect(['announcement/feedback']);
        } else {
            Yii::$app->getSession()->setFlash('error', '删除失败');
            return $this->redirect(['announcement/feedback']);
        }
    }

    /**
     * 回复信息
     * @return string|yii\web\Response
     * @throws yii\base\Exception
     */
    public function actionFeedbackUpdate()
    {
        $item = new Feedback();
        if (!empty(Yii::$app->request->post())) {
            $arr = Yii::$app->request->post();
            $id = intval(Yii::$app->request->get('id'));
            $items = Feedback::findOne($id);
            $data = [
                'parent_id' => $id,
                'uid' => $items['uid'],
                'content' => $arr['Feedback']['content'],
                'title' => '客服回复:',
                'created_at' => time(),
            ];
            if ($item->load($data, '')) {
                if ($item->save()) {
                    $uids = User::find()->select("uid")->where("status != 8")->all();
                    $title = "公告消息";
                    foreach ($uids as $k => $uid) {
                        Message::add($uid['uid'], $title, $arr['Feedback']['content']);
                    }
                    $manager=new ManagerLog(); 
                 $manager->operate = "客服回复ID为".$items['uid']."信息内容为".$arr['Feedback']['content'];
                 $result = $manager->save();
                    return $this->message('回复成功', ['/announcement/feedback'], 'success');
                } else {
                    return $this->message('回复失败', ['/announcement/feedback'], 'error');
                }
            }
        }
        $this->view->title = '回复意见反馈';
        return $this->render('feedback-update', ['item' => $item]);
    }

    /**
     * 编辑公告/添加公告
     * @return string|yii\web\Response
     */
    public function actionUpdate()
    {
        $item = new Announcement();
        $id = intval(Yii::$app->request->get('id'));
        if (!empty($id)) {
            $item = Announcement::findOne($id);
            if (empty($item)) {
                return $this->message('您要编辑的系统公告不存在', ['announcement/system'], 'error');
            }
        } else {
            $item = $item->loadDefaultValues();
        }
        if ($item->load(Yii::$app->request->post())) {
            $item->type = 1;
            if ($item->validate() && $item->save()) {
                  $manager=new ManagerLog(); 
                 $manager->operate = "系统公告编辑成功内容为";
                $manager->params =base64_encode(serialize(Yii::$app->request->post()));
                 $result = $manager->save();
                return $this->message('系统公告修改成功', ['announcement/system'], 'success');
            } else {
                return $this->message('系统公告修改失败', ['announcement/system'], 'error');
            }
        }
        return $this->render('update', ['item' => $item]);
    }

    /**
     * @return string|yii\web\Response
     */
    public function actionGameUpdate()
    {
        $item = new Announcement();
        $id = intval(Yii::$app->request->get('id'));
        if (!empty($id)) {
            $item = Announcement::findOne($id);
            if (empty($item)) {
                return $this->message('您要编辑的公告不存在', ['announcement/game'], 'error');
            }
        } else {
            $item = $item->loadDefaultValues();
        }
        if ($item->load(Yii::$app->request->post())) {
            $item->type = 2;
            if ($item->validate() && $item->save()) {
                $manager=new ManagerLog(); 
                 $manager->operate = "公告修改成功内容";
                $manager->params =base64_encode(serialize(Yii::$app->request->post()));
                 $result = $manager->save();
                return $this->message('公告修改成功', ['announcement/game'], 'success');
            } else {
                return $this->message('公告修改失败', ['announcement/game'], 'error');
            }
        }
        return $this->render('game-update', ['item' => $item]);
    }

    /**
     * @return string|yii\web\Response
     */
    public function actionAboutUpdate()
    {
        $item = new Announcement();
        $id = intval(Yii::$app->request->get('id'));
        if (!empty($id)) {
            $item = Announcement::findOne($id);
            if (empty($item)) {
                return $this->message('您要编辑的项不存在', ['announcement/about'], 'error');
            }
        } else {
            $item = $item->loadDefaultValues();
        }
        if ($item->load(Yii::$app->request->post())) {
            $item->type = 3;
            if ($item->validate() && $item->save()) {
                return $this->message('修改成功', ['announcement/about'], 'success');
            } else {
                return $this->message('修改失败', ['announcement/about'], 'error');
            }
        }
        return $this->render('about-update', ['item' => $item]);
    }

    /**
     * 系统公告上下架
     * @return yii\web\Response
     * @throws \Throwable
     * @throws yii\db\StaleObjectException
     */
    public function actionStop()
    {
        $id = Yii::$app->request->get('id');
        if (empty($id)) {
            return $this->message('您要修改的公告不存在', ['announcement/list'], 'error');
        } else {
            $model = Announcement::findOne($id);
            if ($model['status'] == 0) {
                $model->status = 9;
                $result = $model->update(true, ['status']);
                if ($result > 0) {
                    Yii::$app->getSession()->setFlash('success', '审核驳回成功');
                    return $this->redirect(['article/list']);
                } else {
                    Yii::$app->getSession()->setFlash('error', '审核驳回失败');
                    return $this->redirect(['article/list']);
                }
            } else {
                $model->status = 0;
                $result = $model->update(true, ['status']);
                if ($result > 0) {
                     $manager=new ManagerLog(); 
                 $manager->operate = "系统公告上下架ID为".$id;
                 $result = $manager->save();
                    Yii::$app->getSession()->setFlash('success', '审核成功');
                    return $this->redirect(['article/list']);
                } else {
                    Yii::$app->getSession()->setFlash('error', '审核失败');
                    return $this->redirect(['article/list']);
                }
            }
        }
    }

    /**
     * 删除公告
     * @param $id
     * @return yii\web\Response
     * @throws \Throwable
     * @throws yii\db\StaleObjectException
     */
    public function actionDelete($id)
    {
        $item = Announcement::findOne($id)->delete();
        if ($item > 0) {
             $manager=new ManagerLog(); 
                 $manager->operate = "系统公告删除成功ID为".$id;
                 $result = $manager->save();
            Yii::$app->getSession()->setFlash('success', '系统公告删除成功');
            return $this->redirect(['announcement/system']);
        } else {
            Yii::$app->getSession()->setFlash('error', '系统公告删除失败');
            return $this->redirect(['announcement/system']);
        }
    }

    /**
     * @param $id
     * @return yii\web\Response
     * @throws \Throwable
     * @throws yii\db\StaleObjectException
     */
    public function actionGameDelete($id)
    {
        $item = Announcement::findOne($id)->delete();
        if ($item > 0) {
              $manager=new ManagerLog(); 
                 $manager->operate = "公告删除成功ID为".$id;
                 $result = $manager->save();
            Yii::$app->getSession()->setFlash('success', '公告删除成功');
            return $this->redirect(['announcement/game']);
        } else {
            Yii::$app->getSession()->setFlash('error', '公告删除失败');
            return $this->redirect(['announcement/game']);
        }
    }

    /**
     * @param $id
     * @return yii\web\Response
     * @throws \Throwable
     * @throws yii\db\StaleObjectException
     */
    public function actionAboutDelete($id)
    {
        $item = Announcement::findOne($id)->delete();
        if ($item > 0) {
            Yii::$app->getSession()->setFlash('success', '文章删除成功');
              $manager=new ManagerLog(); 
                 $manager->operate = "文章删除成功ID为".$id;
                 $result = $manager->save();
            return $this->redirect(['announcement/about']);
        } else {
            Yii::$app->getSession()->setFlash('error', '文章删除失败');
            return $this->redirect(['announcement/about']);
        }
    }

    /**
     * 线下打款
     */
    public function actionState()
    {
        $item = Announcement::find()->where("type = 7")->one();
        if ($item->load(Yii::$app->request->post())) {
            if ($item->save()) {
                  $manager=new ManagerLog(); 
                 $manager->operate = "线下打款成功";
                $manager->params =base64_encode(serialize(Yii::$app->request->post()));
                 $result = $manager->save();
                return $this->message('更新成功', ['announcement/state'], 'success');
            } else {
                return $this->message('更新失败', ['announcement/state'], 'error');
            }
        }
        $this->view->title = '线下打款';
        return $this->render('state', [
            'item' => $item,
        ]);
    }

    /**
     * 协议
     * @return string|yii\web\Response
     */
    public function actionAgree()
    {
        $id = intval(Yii::$app->request->get('id')) ?: 5;
        $item = Announcement::find()->where("type = $id")->andWhere(['status' => 1])->one();
        if ($item->load(Yii::$app->request->post())) {
            if ($item->save()) {
                $manager=new ManagerLog(); 
                 $manager->operate = "协议更新成功";
                $manager->params =base64_encode(serialize(Yii::$app->request->post()));
                 $result = $manager->save();
                return $this->message('更新成功', ["announcement/agree", 'id' => $id], 'success');
            } else {
                return $this->message('更新失败', ["announcement/agree", 'id' => $id], 'error');
            }
        }
        $agree = Config::getConfig('CONFIG_AGREE');
        return $this->render('agree', ['item' => $item, 'agree' => $agree, 'id' => $id]);
    }

}
