<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2017/9/1
 * Time: 17:09
 */

namespace backend\controllers;


use common\models\Channel;
use Yii;
use common\models\ManagerLog;
class ChannelController extends ControllerBase
{
    /**
     * 菜单列表
     */
    public function actionList()
    {
        $model = new Channel();
        $pid = intval(Yii::$app->request->get('pid', '0'));
        $condition = "pid = '{$pid}'";

        $list = $model->find()->where($condition);
        $this->view->title = '菜单管理';
        return $this->render('list', ['list' => $list]);
    }

    /**
     * 添加菜单/修改菜单
     */
    public function actionUpdate()
    {
        $model = new Channel();
        $id = intval(Yii::$app->request->get('id'));
        if (!empty($id)) {
            $model = $model::findOne($id);
            if (empty($model)) {
                return $this->message('您要编辑的菜单不存在', ['channel/list'], 'error');
            }
        } else {
            $model = $model->loadDefaultValues();
        }
        if ($model->load(Yii::$app->request->post())) {

            if ($model->validate() && $model->save()) {
                $manager=new ManagerLog();
                $manager->operate = "添加菜单/修改菜单成功参数";
                $manager->params =base64_encode(serialize(Yii::$app->request->post()));
             $result = $manager->save();
                return $this->message('更新成功', ['channel/list'], 'success');
            } else {
                return $this->message('更新失败 [{$model->getFirstError}]', ['channel/list'], 'error');
            }
        }
        $list = $model::find()->where('pid = 0')->all();
        $this->view->title = '菜单修改';
        return $this->render('update', [
            'model' => $model,
            'list' => $list
        ]);
    }

    /**
     * 删除菜单
     * @param $id
     * @return \yii\web\Response
     * @throws \Throwable
     * @throws \yii\db\StaleObjectException
     */
    public function actionDelete($id)
    {
        $item = Channel::findOne($id)->delete();
        if ($item > 0) {
             $manager=new ManagerLog(); 
             $manager->operate = "删除菜单成功参数为".$id;
             $result = $manager->save();
            return $this->message('删除成功', ['channel/list'], 'success');
        } else {
            return $this->message('删除失败', ['channel/list'], 'error');
        }
    }

}
