<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017/12/16 HNDH Software Technology Co., Ltd.
 * @link http://www.dhsoft.cn
 */

namespace backend\controllers;


use common\models\IntegralReleaseSearch;
use common\widgets\daterangepicker\DateRangePicker;

class IntegralReleaseController extends ControllerBase
{
    /**
     * 分销列表
     * @return string
     */
    public function actionList()
    {
        $searchModel = new IntegralReleaseSearch();
        $request = \Yii::$app->request;
        $date = $request->get('date', []);
        $searchArr = ['keywords' => '', 'date' => ['start' => date('2017-01-01 00:00'), 'end' => date('Y-m-d H:i')]];
        if (!empty($date)) {
            $tmp = explode(DateRangePicker::SEPARATOR, $date);
            $searchArr['date'] = ['start' => $tmp['0'], 'end' => $tmp['1']];
        }
        $dataProvider = $searchModel->search(\Yii::$app->request->queryParams);
        $this->view->title = '分销列表';
        $total = $searchModel->total;
        return $this->render('list', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
            'searchArr' => $searchArr,
            'total' => $total
        ]);
    }


}
