<?php
/**
 * @author lida
 *
 */

namespace backend\controllers;
use Yii;
use yii\helpers\Url;
use common\models\Team;
use common\models\User;
use common\models\Proxy;
use common\models\ShopGoods;
use common\models\ManagerLog;
use common\models\ReportForm;
use common\widgets\daterangepicker\DateRangePicker;

class ManualController extends ControllerBase
{
    //添加销售订单页面
    public function actionReportTeam(){
        $selllist = Proxy::find()->select('uid,id,name,org_name')->where(['type' => 1,"status"=>2])->asArray()->all();
        $goodslist = ShopGoods::find()->select('id,title')->all();
        return $this->render("report-team",["goodslist"=>$goodslist,"sellers"=>$selllist]);
    }
    /*
     * 添加销售订单和分组动作
     * */
    public function actionAddReport(){
        $post=Yii::$app->request->post();
        $uid=$post['uid'];
        $tjr=$post['tjr'];
        $uinfo=User::find()->select('uid,referrer,superior')->where("accountname=:accountname",[':accountname'=>$uid])->one();
        if(!$uinfo->uid){
            return $this->responseJson(1,  "","用户不存在");
        }
        //查询推荐人
        $tinfo=User::find()->select('uid,superior')->where("accountname=:accountname",[':accountname'=>$tjr])->one();
        if(!$tinfo->uid){
            return $this->responseJson(1,  "","推荐人不存在");
        }
        $goods=ShopGoods::find()->select("id")->where('id=:id and status=:status',[':id'=>$post['goodsid'],":status"=>2])->one();
        if(!$tinfo->id){
            return $this->responseJson(1,  "","商品不存在或者已经被删除");
        }
        if($post['posi']>14 || $post['posi']<1){
            return $this->responseJson(1,  "","组位置只能为1到14");
        }
        $data=array(
            "report_uid"=>$post['report_uid'],
            "uid"=>$uinfo['uid'],
            "name"=>$post['name'],
            "address"=>$post['address'],
            "mobile"=>$post['mobile'],
            "team_list"=>$post['team_list'],
            "posi"=>$post['posi'],
            "is_auto"=>$post['is_auto'],
            "recomm_id"=>$tinfo->uid,
            "is_auto"=>$post['is_auto'],
            "goods_id"=>$goods->id,
            "price"=>$post['price'],
            "status"=>5, //业务部待审核状态
            "goods_status"=>2, //已收货
            "operateid"=>intval(Yii::$app->user->id),
            "created_at"=>time(),
            "updated_at"=>time(),
        );
        $reportModel = new ReportForm();
        $manager=new ManagerLog();
        //查询该组是否存在
        $is_t=Team::find()->where('id=:id and status=:status',[':id'=>$post['team_list'],':status'=>1])->one();
        $transaction = Yii::$app->db->beginTransaction(); //开启事物
        try {


            $reporadd=$reportModel->addreport($data); //报单
            if ($reporadd['code']==1) {
                if(empty($is_t)){
                    if($data['is_auto']!=0){ //判断是新组旧组
                        $ty=2;
                    }else{
                        $ty=1;
                    }
//                    $result=Team::newCreateTeam($uinfo['uid'],$ty); //暂停直接进组
//                    if($uinfo['referrer']!=$tinfo['uid']) { //修改推荐人
//                        $rp=array(
//                            'team_list'=>$result['data'],
//                            'posi'=>1,
//                            "recomm_id"=>$tinfo['uid'],
//                        );
//                    }else{
                        $rp=array(
//                            'team_list'=>$result['data'],
                            'team_list'=>$post['team_list'],
                            'posi'=>1
                        );
//                    }
                    $manager->operate ='成功创建新组ID为'.$uinfo['uid'].'创建新组'. $result['data']."组1号位置";
                    $res=ReportForm::updateAll($rp,['id' => $reporadd['data']]); //修改报单的状态
                }else{
//                    if($uinfo['referrer']!=$tinfo['uid']) { //修改推荐人
//                        $rp=array(
//                            "recomm_id"=>$tinfo['uid'],
//                        );
//                        $res=ReportForm::updateAll($rp,['id' => $reporadd['data']]); //修改报单的推荐人
//                    }

                    $team=array(
                        'uid'.$post['posi']=>$uinfo['uid'],
                        'status'=>1,
                        'created_at'=>time(),
                        'update_at'=>time(),
                    );
//                    $result=Team::updateAll($team,['id' => $post['team_list']]); //修改报单的状态 暂停直接进组模式
//                    $manager->operate ='成功手动将用户ID为'.$uinfo['uid'].'添加到'. $post['team_list']."组".$post['posi']."位置";
                }
                if($uinfo['referrer']!=$tinfo['uid']){ //修改推荐人
                    $nsup=explode("_",$uinfo['superior']);
                    array_shift($nsup);
                    array_unshift($nsup, $tinfo['uid']);
                    $esup=implode("_", $nsup);
                    $ntsup=array(
                        "superior"=>$esup,
                        'referrer'=>$tinfo['uid']
                    );
                    $resz=User::updateAll($ntsup,['uid' =>$uinfo['uid']]);

                }
//                $opert='成功将为用户ID为'.$post['uid'].'创建组号为'. $teamid."组";

//                $manager->params =1231321231;
                $results = $manager->save();

                $transaction->commit(); //提交
                $url="http://".$_SERVER['HTTP_HOST'].Url::to(["manual/report-team"]);
                return $this->responseJson(0, $url,"报单组团成功");
            }else{
                $transaction->rollBack();
                return $this->responseJson(1, "","报单失败");
            }

        } catch (\Exception $e) {
            $transaction->rollBack();
            return $this->responseJson(1, "","报单失败");

        }

    }
}
