<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2017/11/28
 * Time: 10:26
 */

namespace backend\controllers;


use common\helpers\Utils;
use common\models\Menu;
use Yii;
use yii\bootstrap\ActiveForm;
use yii\web\Response;
use common\models\ManagerLog;
class MenuController extends ControllerBase
{
    /**
     * 前台菜单
     * @return string
     */
    public function actionItemList()
    {
        $list = Menu::find()->orderBy('sort DESC')->asArray()->all();
        $this->view->title = '前台菜单';
        return $this->render('item-list', ['list' => Utils::tree($list)]);
    }

    /**
     * 添加菜单/修改菜单
     */
    public function actionItemEdit()
    {
        $this->view->title = '菜单修改';
        $request = Yii::$app->request;
        $id = intval($request->get('id'));
        if (!empty($id)) {
            $model = Menu::findOne($id);
            if (empty($model)) {
                return $this->message('您要编辑的菜单不存在', ['system-menu/list'], 'error');
            }
        } else {
            $model = new Menu();
            $model = $model->loadDefaultValues();
        }

        if ($model->load($request->post())) {
            if ($request->isAjax) {
                Yii::$app->response->format = Response::FORMAT_JSON;
                return ActiveForm::validate($model);
            } else {
                if ($model->save()) {
                     $manager=new ManagerLog(); 
                     $manager->operate = "添加菜单/修改菜单";
//                    $manager->params =serialize($request->post());
                     $manager->params =base64_encode(serialize($request->post()));
                     $result = $manager->save();
                    return $this->message('更新成功', 'referer', 'success');
                } else {
                    return $this->message('更新失败 [{$model->getFirstError}]', 'referer', 'error');
                }
            }
        }
        $pid = $request->get('pid', '0');
        $parent_title = $request->get('parent_title', '无');
        return $this->renderAjax('item-edit', [
            'model' => $model,
            'pid' => $pid,
            'parent_title' => $parent_title,
        ]);
    }

    /**
     * AJAX 排序更新
     * @return array
     */
    public function actionSort()
    {
        if (Yii::$app->request->isAjax) {
            $id = Yii::$app->request->post('id');
            $sort = Yii::$app->request->post('sort');
            if (empty($id)) {
                return $this->responseJson('1', '', '更新失败：ID不能为空');
            }
            $model = Menu::findOne(['id' => $id]);
            if (empty($model)) {
                return $this->responseJson('1', '', '更新失败：信息不存在');
            }
            $model->sort = intval($sort);
            $result = $model->save();
            if ($result === false) {
                return $this->responseJson('1', '', '更新失败：信息不存在');
            } else {
                return $this->responseJson('0', '', '更新成功');
            }
        }
        return $this->responseJson('0', '', '请求失败');
    }
}
