<?php
namespace backend\controllers;
use backend\models\DistributionConfig;
use common\models\Bankcard;
use common\models\IntegralRelease;
use common\models\Proxy;
use common\models\Region;
use common\models\ReportForm;
use common\models\Team;
use common\models\User;
use common\models\Group;
use common\models\UserLog;
use common\models\ManagerLog;
use common\widgets\daterangepicker\DateRangePicker;
use Yii;
use moonland\phpexcel\Excel;
use yii\base\Exception;
use yii\db\Expression;
use yii\helpers\VarDumper;
use yii\web\Response;
use yii\data\Pagination;
use backend\models\SystemAuthItem;
use common\models\ShopGoods;
use yii\helpers\Url;
use common\models\Config;
class UserController extends ControllerBase
{

    public function actions()
    {
        $actions = parent::actions();
        $actions['get-region'] = [
            'class' => \chenkby\region\RegionAction::className(),
            'model' => Region::className()
        ];
        return $actions;
    }


    /**
     * 会员列表
     * @return string
     */
    public function actionList()
    {
        $searchArr = ['keywords' => '', 'date' => ['start' => date('2018-01-01 00:00'), 'end' => date('Y-m-d H:i')], 'report_center' => ''];
        $query = User::find()->andWhere('status != 8');
        $request = Yii::$app->request;
        $keywords = $request->get('keywords', '');

        $keywords = trim($keywords);
     //if (!empty($keywords)) {
//    $searchArr['keywords'] = $keywords;
//    $mobile="/^1[3456789]{1}\d{9}$/";
//    $nnme='/^\d$/u';
//    $tel=preg_match($mobile, $keywords);
//    if($tel){ //匹配手机号
//        $query->andWhere("mobile = '{$keywords}'");
//    }elseif(preg_match($nnme, $keywords)){//匹配数字
//        $query->andWhere("uid = '{$keywords}'");
//    }elseif(preg_match("/[\x{4e00}-\x{9fa5}]+/u", $keywords)){ //包含汉字 查询销售名
//        $query->andWhere("username = '{$keywords}'");
//    }elseif(preg_match("/^[ a-z0-9]+$/i", $keywords)){//匹配登录名
//        $query->andWhere("accountname = '{$keywords}'");
//    }else{
//        $query->andWhere("realname LIKE '%{$keywords}%'");
//    }
//
//    // $query->andWhere("uid = '{$keywords}' OR nickname LIKE '%{$keywords}%' OR realname LIKE '%{$keywords}%'  OR mobile LIKE '{$keywords}%' ");
//}
       $searchArr["username"] = $request->get('username', '');
        $searchArr["referrer"] = $request->get('referrer', '');
        $keywords = trim($keywords);

        $searchArr['keywords'] = $keywords;
        $mobile="/^1[3456789]{1}\d{9}$/";
        $nnme='/^\d*$/';
        if($searchArr['referrer']){
            $tjr = User::findOne(['accountname'=>$searchArr['referrer']]);
        }
        if (!empty($keywords)) {
            $tel=preg_match($mobile, $keywords);
            if ($searchArr["username"] && $searchArr["referrer"]) {
                if($tel){ //匹配手机号
                    $query->andWhere("mobile = '{$keywords}' and realname='{$searchArr["username"]}' and referrer='{$searchArr["referrer"]}'");
                }elseif(preg_match($nnme, $keywords)){//匹配数字
                    $query->andWhere("uid = '{$keywords}' and realname='{$searchArr["username"]}' and referrer='{$tjr['uid']}'");
                }elseif(preg_match("/[\x{4e00}-\x{9fa5}]+/u", $keywords)){ //包含汉字 查询销售名
                    $query->andWhere("username = '{$keywords}' and realname='{$searchArr["username"]}' and referrer='{$tjr['uid']}'");
                }elseif(preg_match("/^[ a-z0-9]+$/i", $keywords)){//匹配登录名
                    $query->andWhere("accountname = '{$keywords}' and realname='{$searchArr["username"]}' and referrer='{$tjr['uid']}'");
                }else{
                    $query->andWhere("realname LIKE '%{$keywords}%' and realname='{$searchArr["username"]}' and referrer='{$tjr['uid']}'");
                }
            }elseif($searchArr["username"]){
                if($tel){ //匹配手机号
                    $query->andWhere("mobile = '{$keywords}' and realname='{$searchArr["username"]}'");
                }elseif(preg_match($nnme, $keywords)){//匹配数字
                    $query->andWhere("uid = '{$keywords}' and realname='{$searchArr["username"]}'");
                }elseif(preg_match("/[\x{4e00}-\x{9fa5}]+/u", $keywords)){ //包含汉字 查询销售名
                    $query->andWhere("username = '{$keywords}' ");

                }elseif(preg_match("/^[ a-z0-9]+$/i", $keywords)){//匹配登录名
                    $query->andWhere("accountname = '{$keywords}' and realname='{$searchArr["username"]}'");
                }else{
                    $query->andWhere("realname LIKE '%{$keywords}%' and username='{$searchArr["username"]}'");
                }
            }elseif ($searchArr["referrer"]){
                if($tel){ //匹配手机号
                    $query->andWhere("mobile = '{$keywords}' referrer='{$tjr['uid']}'");
                }elseif(preg_match($nnme, $keywords)){//匹配数字
                    $query->andWhere("uid = '{$keywords}' referrer='{$tjr['uid']}'");
                }elseif(preg_match("/[\x{4e00}-\x{9fa5}]+/u", $keywords)){ //包含汉字 查询销售名
                    $query->andWhere("username = '{$keywords}' and referrer='{$tjr['uid']}'");
                }elseif(preg_match("/^[ a-z0-9]+$/i", $keywords)){//匹配登录名
                    $query->andWhere("accountname = '{$keywords}'  referrer='{$tjr['uid']}'");
                }else{
                    $query->andWhere("realname LIKE '%{$keywords}%' referrer='{$tjr['uid']}'");
                }
            }else{
                if($tel){ //匹配手机号
                    $query->andWhere("mobile = '{$keywords}'");
                }elseif(preg_match($nnme, $keywords)){//匹配数字
                    $query->andWhere("uid = '{$keywords}'");
                }elseif(preg_match("/[\x{4e00}-\x{9fa5}]+/u", $keywords)){ //包含汉字 查询销售名
                    $query->andWhere("username = '{$keywords}'");
                }elseif(preg_match("/^[ a-z0-9]+$/i", $keywords)){//匹配登录名
                    $query->andWhere("accountname = '{$keywords}'");
                }else{
                    $query->andWhere("realname LIKE '%{$keywords}%'");
                }
            }

        }else{
            if ($searchArr["username"] && $searchArr["referrer"]) {
                $query->andWhere("realname='{$searchArr["username"]}' and referrer='{$tjr['uid']}'");
            }elseif ($searchArr["username"]){
                $query->andWhere("realname='{$searchArr["username"]}'");
            }elseif ($searchArr["referrer"]){
                $query->andWhere("referrer='{$tjr['uid']}'");
            }else{
                $query->andWhere("referrer LIKE '%{$searchArr["referrer"]}%' or realname LIKE '%{$searchArr["username"]}%'");
            }
        }

//        $date = $request->get('date', []);
//        if (!empty($date)) {
//            $tmp = explode(DateRangePicker::SEPARATOR, $date);
//            $searchArr['date'] = ['start' => $tmp['0'], 'end' => $tmp['1']];
//            $query->andWhere(['between', 'created_at', strtotime($tmp['0']), strtotime($tmp['1'])]);
//        }
        $type = $request->get('report_center', '');
        if (!empty($type)) {
            $searchArr['report_center'] = $type;
            $query->andWhere(['report_center' => $type]);
        }
        if ($request->get('op') == 'export') {
            return Excel::export([
                'models' => $query->all(),
                'fileName' => '会员' . date('YmdHs') . '.xlsx',
                'headers' => ['gender' => '性别', 'created_at' => '注册时间', 'status' => '账户状态'],
                'columns' => ['uid:text:用户编号', 'nickname', 'realname', 'mobile', ['attribute' => 'gender', 'value' => function ($model) {
                    return $model['gender'] == 1 ? '男' : '女';
                },], ['attribute' => 'status', 'value' => function ($model) {
                    return $model['status'] == 0 ? '正常' : '冻结';
                },], ['attribute' => 'created_at', 'format' => ['date', 'php:Y-m-d H:i:s']],],
            ]);
        }
        $today = date("Y-m-d", time());
        $yesday = date("Y-m-d", strtotime("-1 day"));
        $count = User::find()->andWhere('status != 8')->count(1);
        $todaycount = User::find()->andWhere('status != 8')->where(["FROM_UNIXTIME(created_at, '%Y-%m-%d')" => $today])->count(1);
        $yesdaycount = User::find()->andWhere('status != 8')->where(["FROM_UNIXTIME(created_at, '%Y-%m-%d')" => $yesday])->count(1);
        $query->orderBy("uid desc");
        $this->view->title = '会员管理';
        return $this->render('list', ['query' => $query, 'searchArr' => $searchArr, 'count' => $count, 'todaycount' => $todaycount, 'yesdaycount' => $yesdaycount]);
    }
    // // //记录操作日志的例子
    // public function actionRecord(){
    //     // $uid = Yii::$app->user->id;
    //     // echo "<pre>";
    //     // var_dump($uid);die;
    //     // die;
    //     $manager=new ManagerLog(); 
    //     //  $manager->operate = "测试添加";
    //     //  $result = $manager->save();
    //     //  if($result){
    //         // echo 111;
    //     //  }else{
    //     //     echo 222;
    //     //  }
    // }

    /**
     * 积分列表
     * @return string
     */
    public function actionIntegralList()
    {
        $searchArr = ['keywords' => '', 'date' => ['start' => date('2018-01-01 00:00'), 'end' => date('Y-m-d H:i')]];
        $query = User::find()->andWhere('status = 0');
        $request = Yii::$app->request;
        $keywords = $request->get('keywords', '');
        $keywords = trim($keywords);
        if (!empty($keywords)) {
        //     $searchArr['keywords'] = $keywords;
        //     $query->andWhere("uid = '{$keywords}' OR realname LIKE '%{$keywords}%'  OR mobile LIKE '{$keywords}%' ");
            $mobile="/^1[345678]{1}\d{9}$/";
            $nnme='/^\d$/u';
            $tel=preg_match($mobile, $keywords);
//            if($tel){
//                $query->andWhere("mobile = '{$keywords}'");
//            }elseif(preg_match($nnme, $keywords)){
//
//                $query->andWhere("uid = '{$keywords}'");
//            }elseif(preg_match("/[\x{4e00}-\x{9fa5}]+/u", $keywords)){
//                $query->andWhere("realname LIKE '%{$keywords}%'");
//            }
            if($tel){ //匹配手机号
                $query->andWhere("mobile = '{$keywords}'");
            }elseif(preg_match($nnme, $keywords)){//匹配数字
                $query->andWhere("uid = '{$keywords}'");
            }elseif(preg_match("/[\x{4e00}-\x{9fa5}]+/u", $keywords)){ //包含汉字 查询销售名
                $query->andWhere("username = '{$keywords}'");
            }elseif(preg_match("/^[ a-z0-9]+$/i", $keywords)){//匹配登录名
                $query->andWhere("accountname = '{$keywords}'");
            }else{
                $query->andWhere("realname LIKE '%{$keywords}%'");
            }
        }
//        $date = $request->get('date', []);
//        if (!empty($date)) {
//            $tmp = explode(DateRangePicker::SEPARATOR, $date);
//            $searchArr['date'] = ['start' => $tmp['0'], 'end' => $tmp['1']];
//            $query->andWhere(['between', 'created_at', strtotime($tmp['0']), strtotime($tmp['1'])]);
//        }
        // $query->andWhere('credit1 >0 ');
        $query->andWhere('outs >0 ');
        $query->orderBy("uid desc");
        $this->view->title = '出局积分列表';
        return $this->render('integral-list', ['query' => $query, 'searchArr' => $searchArr]);
    }

    /**
     * 积分列表
     * @return string
     */
    public function actionIntegral()
    {
        $searchArr = ['keywords' => '', 'date' => ['start' => date('2018-01-01 00:00'), 'end' => date('Y-m-d H:i')]];
        $query = UserLog::find();
        $request = Yii::$app->request;
        $keywords = $request->get('keywords', '');
        $keywords = trim($keywords);
        if (!empty($keywords)) {
            $searchArr['keywords'] = $keywords;
            $query->andWhere("uid = '{$keywords}'  ");
        }

        $date = $request->get('date', []);
        if (!empty($date)) {
            $tmp = explode(DateRangePicker::SEPARATOR, $date);
            $searchArr['date'] = ['start' => $tmp['0'], 'end' => $tmp['1']];
            $query->andWhere(['between', 'created_at', strtotime($tmp['0']), strtotime($tmp['1'])]);
        }
        $query->orderBy("id desc");
        $this->view->title = '会员管理';
        return $this->render('integral', ['query' => $query, 'searchArr' => $searchArr]);
    }


    /**
     * 添加/修改会员
     * @return string|\yii\web\Response
     * @throws Exception
     */
    public function actionUpdate()
    {
        $models = new User();
        $uid = intval(Yii::$app->request->get('id'));
        if ($uid) {
            $model = $models::findOne($uid);
            if (empty($model)) {
                return $this->message('您要编辑的用户不存在', ['user/list'], 'error');
            }
            $this->view->title = '编辑会员资料';
        } else {
            $model = $models->loadDefaultValues();
            $model->auth_key = Yii::$app->security->generateRandomString();
            $this->view->title = '添加会员';
        }
        if ($model->load(Yii::$app->request->post(), "")) {
            $data = Yii::$app->request->post();
            $relauser = User::findOne($uid);
            if ($relauser['referrer'] != $data['User']['referrer']) {
                $relation = User::find()->select(['uid', 'mobile', 'superior'])->where(['uid' => $data['User']['referrer']])->asArray()->one();
                if($data['User']['referrer']){ //没有上级时
                     if (!empty($relation)) {
                            if (empty($relation['superior'])) {
                                $relation['superior'] = 0;
                            }
                            $model->superior = $relation['uid'] . '_' . $relation['superior'];
                        } else {
                            $model->superior = "0";
                        }
                    }else{
                        $model->superior = "0";
                    }
               
            }
            if (empty($uid)) {
                $mobile = $_POST['User']['mobile'];
                $userInfo = User::findByMobile($mobile);
                if (!empty($userInfo)) {
                    return $this->message('添加失败: ' . '手机号已存在', ['user/list'], 'error');
                }
                $model->mobile = $mobile;
                $model->password_hash = Yii::$app->security->generatePasswordHash($_POST['User']['password_hash'], 6);
            }
            $model->username = $_POST['User']['username'];
            $model->realname = $_POST['User']['realname'];
            $model->mobile = $_POST['User']['mobile'];
            $model->nickname = $_POST['User']['nickname'];
            $model->referrer = $_POST['User']['referrer'];
             if($data['User']['referrer']){ //没有上级时
                $tmp = User::findOne(['uid' => $_POST['User']['referrer']]);
                $model->superior = $tmp->superior;
             }
           
            if ($model->password_hash != $_POST['User']['password_hash']) {
                $model->password_hash = Yii::$app->security->generatePasswordHash($_POST['User']['password_hash'], 6);
            }
            if ($model->validate() && $model->save()) {
                 $manager=new ManagerLog(); 
                 $manager->operate = "添加/修改会员成功";
                 $result = $manager->save();
                return $this->message('更新成功', ['user/list'], 'success');
            } else {
                return $this->message('更新失败: ' . current($model->getFirstErrors()), ['user/list'], 'error');
            }
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }


    /**
     * 删除会员
     * @param $id
     * @return \yii\web\Response
     */
    public function actionDelete($id)
    {
        $item = User::findOne($id);
        $credit0 = intval($item['credit']);
        if ($credit0 === 0) {
            //软删除用户
            $item->status = 8;
            $result = $item->save(false);
            if ($result > 0) {
                 $manager=new ManagerLog(); 
                 $manager->operate = "删除会员成功";
                 $result = $manager->save();
                Yii::$app->getSession()->setFlash('success', '会员删除成功');
                return $this->redirect(['user/list']);
            } else {
                Yii::$app->getSession()->setFlash('error', '会员删除失败');
                return $this->redirect(['user/list']);
            }
        } else {
            Yii::$app->getSession()->setFlash('error', '会员删除失败,该会员账户内尚有余额');
            return $this->redirect(['user/list']);
        }
    }
     public function attributeLabels()
    {
        return [
           
        ];
    }

    /**
     * 报单中心列表
     * @return string
     */
    public function actionRealName()
    {
        $condition = '';
        $keywords = Yii::$app->request->get('keywords', '');
//        $keywords = trim($keywords);
//        if (!empty($keywords)) {
//            $condition .= " AND (uid = '{$keywords}')";
//        }
        $keywords = trim($keywords);
        if (!empty($keywords)) {
            $nnme='/^\d$/u';
            if(preg_match($nnme, $keywords)){//匹配数字
                $condition .= " uid = '{$keywords}'";
            }elseif(preg_match("/[\x{4e00}-\x{9fa5}]+/u", $keywords)){ //包含汉字 查询销售名
                $info=User::find()->select('uid')->where("username =:username",[":username"=>$keywords])->one();
                $condition .= " uid = '{$info['uid']}'";
            }elseif(preg_match("/^[ a-z0-9]+$/i", $keywords)){//匹配登录名
                $info=User::find()->select('uid')->where("accountname =:accountname",[":accountname"=>$keywords])->one();
                $condition .= "uid = '{$info['uid']}'";
            }
        }
//        $list = ReportForm::find()->where($condition)->orderBy(["status"=>SORT_ASC,'created_at'=>SORT_DESC]);
//        $list->orderBy(["status"=>SORT_ASC,'created_at'=>SORT_DESC]);
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
        $model=ReportForm::find();
        $count=$model->where($condition)->count();
        $pageSize=Yii::$app->params['pageSize']['manage']; //每页条数
        $pager=new pagination(['totalCount'=>$count,"pageSize"=>$pageSize]);
        $list=$model->offset($pager->offset)->where($condition)->limit($pager->limit)->orderBy(["status"=>SORT_ASC,'created_at'=>SORT_DESC])->all();
        /*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

        $this->view->title = '销售中心列表';
        return $this->render('real-name', ['list' => $list,"pager"=>$pager, 'keywords' => $keywords]);
    }

    /**
     * 团队表
     * @return string
     */
    public function actionTeamList()
    {
        $searchArr = ['keywords' => '', 'date' => ['datemin' => date('2016-01-01 00:00'), 'datemax' => date('Y-m-d H:i')]];
        $this->view->title = '团队信息';
        $num=intval(Yii::$app->request->get('nShow'));
        $id=intval(Yii::$app->request->get('id'));
        $date=trim(Yii::$app->request->get("date"));
        $accountname=trim(Yii::$app->request->get("accountname"));
        $tmp = explode(DateRangePicker::SEPARATOR, $date);
        if (!empty($date)) {
            $datemin=strtotime($tmp['0'])?strtotime($tmp['0']):strtotime(date("2016-01-01 00:00"));
            $datemax=strtotime($tmp['1'])?strtotime($tmp['1']):strtotime(date("Y-m-d 23:59:59"));
            $searchArr['date'] = ['datemin' => $tmp['0'], 'datemax' => $tmp['1']];
        }else{
           
            if(empty($tmp['0'])){
                $tmp['0']=strtotime(date("2016-01-01 00:00:00"));
            }else{
                 $tmp['0']=strtotime($tmp['0']);
            }
            if(empty($tmp['1'])){
                $tmp['1']=strtotime(date("Y-m-d 23:59:59"));
            }else{
                 $tmp['1']=strtotime($tmp['1']);
            }
            $datemax=$tmp['1'];
            $datemin=$tmp['0']?$tmp['0']:0;
        }
            if(!$id){
                if($accountname){
                    $user=User::findByAccount($accountname);
                    if(empty($user)){
                        echo "<script>alert('账号错误或者不存在');history.go(-1)</script>";die;
                    }
                    $where=['and',['between', 'created_at', $datemin, $datemax],['or', 'uid1='.$user['uid'], 'uid2='.$user['uid'],'uid3='.$user['uid'],'uid4='.$user['uid'],'uid5='.$user['uid'],'uid6='.$user['uid'],'uid7='.$user['uid'],'uid8='.$user['uid'],'uid9='.$user['uid'],'uid10='.$user['uid'],'uid11='.$user['uid'],'uid12='.$user['uid'],'uid13='.$user['uid'],'uid14='.$user['uid'],'uid15='.$user['uid']]];

                }else{
                    $where=['and',['between', 'created_at', $datemin, $datemax]];

                }

            }else{
                if($accountname){
                    $user=User::findByAccount($accountname);
                    if(empty($user)){
                        echo "<script>alert('账号错误或者不存在');history.go(-1)</script>";die;
                    }
                    $where=['and',['or','id='.$id,'parent_id='.$id],['between', 'created_at', $datemin, $datemax],['or', 'uid1='.$user['uid'], 'uid2='.$user['uid'],'uid3='.$user['uid'],'uid4='.$user['uid'],'uid5='.$user['uid'],'uid6='.$user['uid'],'uid7='.$user['uid'],'uid8='.$user['uid'],'uid9='.$user['uid'],'uid10='.$user['uid'],'uid11='.$user['uid'],'uid12='.$user['uid'],'uid13='.$user['uid'],'uid14='.$user['uid'],'uid15='.$user['uid']]];

                }else{
                    $where=['and',['or','id='.$id,'parent_id='.$id],['between', 'created_at', $datemin, $datemax]];

                }
            }
//            echo "<pre>";
//            var_dump($where);die;
            $model=Team::find()->andWhere($where);
            $count=$model->count();
            // $pageSize=Yii::$app->params['pageSize']['manage']; //每页条数
            $pageSize=$num?$num:2; //每页条数
            $pager=new pagination(['totalCount'=>$count,"pageSize"=>$pageSize]);
            $teamlist=$model->where($where)->offset($pager->offset)->limit($pager->limit)->orderBy("created_at desc")->all();
            $this->view->title = '团队表';
        return $this->render('team-list', ['searchArr' => $searchArr,"teamlist"=>$teamlist,"pager"=>$pager,"num"=>$pageSize,"count"=>$count,"id"=>$id,"accountname"=>$accountname]);
    }

    /**
     * 设置为队长
     * @throws Exception
     */
    public function actionUserEdit()
    {
        $uid = intval(Yii::$app->request->get('id'));
        $user = User::findOne(['uid' => $uid]);
        if (!$user) {
            return $this->message('授权失败 ', ['user/list'], 'error');
        }
        $transaction = Yii::$app->db->beginTransaction();
        try {
            $user->updateAttributes(['report_center' => 1]);
            $model = new Team();
            $model->uid1 = $uid;
            $model->status = 1;
            $model->parent_id = 0;
            $model->created_at = time();
            $model->update_at = time();
            if ($model->save()) {
                $transaction->commit();
                 $manager=new ManagerLog(); 
                 $manager->operate = "设置id为".$uid."队长";
                 $result = $manager->save();
                 echo "<script>alert('设置为队长成功');history.go(-1);</script>";die;
            }
        } catch (Exception $e) {
            $transaction->rollBack();
            throw new Exception($e->getMessage());
        }
    }


    public function actionTeamLists()
    {
        $mobile = Yii::$app->request->get('mobile');

        $user = User::findNameByid($mobile);
        
        if (empty($user)) {
            return $this->responseJson(1, '', '该用户未注册');
        } else {
            $team = Team::findByid($user['uid']);
            if (empty($team)) {
                return $this->responseJson(1, '', '查找数据为空！');
            } else {
                $list['page'] = ceil(count($team) / 5);
                $list['list'] = $team;
                return $this->responseJson(0, $list, "返回数据成功");
            }
        }
    }

    /**
     * 代理列表
     * @return string
     */
    public function actionProxy()
    {
        $searchArr = ['keywords' => '', 'date' => ['start' => date('2016-01-01 00:00'), 'end' => date('Y-m-d H:i')]];
        $querys = Proxy::find();
        $query = $querys->andWhere([]);
        $request = Yii::$app->request;
        $keywords = $request->get('keywords', '');
        $keywords = trim($keywords);
        if (!empty($keywords)) {
            $searchArr['keywords'] = $keywords;
            $query->andWhere("uid = '{$keywords}' OR mobile LIKE '{$keywords}%' ");
        }

        $date = $request->get('date', []);
        if (!empty($date)) {
            $tmp = explode(DateRangePicker::SEPARATOR, $date);
            $searchArr['date'] = ['start' => $tmp['0'], 'end' => $tmp['1']];
            $query->andWhere(['between', 'created_at', strtotime($tmp['0']), strtotime($tmp['1'])]);
        }
        $query->orderBy("id desc");
        $this->view->title = '会员管理';
//        echo Proxy::find()->createCommand()->getRawSql();die;
        return $this->render('proxy-list', ['query' => $query, 'searchArr' => $searchArr]);
    }

    /**
     * 报单中心管理
     * @return string
     */
    public function actionReportManage()
    {
        $searchArr = ['keywords' => '', 'date' => ['start' => date('2018-01-01 00:00'), 'end' => date('Y-m-d H:i')]];
        $query = Proxy::find()->andWhere(['type' => 2]);
        $request = Yii::$app->request;
        $keywords = $request->get('keywords', '');
        $keywords = trim($keywords);
        if (!empty($keywords)) {
            $searchArr['keywords'] = $keywords;
            $query->andWhere("uid = '{$keywords}' OR mobile LIKE '{$keywords}%' ");
        }

        $date = $request->get('date', []);
        if (!empty($date)) {
            $tmp = explode(DateRangePicker::SEPARATOR, $date);
            $searchArr['date'] = ['start' => $tmp['0'], 'end' => $tmp['1']];
            $query->andWhere(['between', 'created_at', strtotime($tmp['0']), strtotime($tmp['1'])]);
        }
        $query->orderBy("id desc");
        $this->view->title = '会员管理';
        return $this->render('report-manage', ['query' => $query, 'searchArr' => $searchArr]);
    }


    /**
     * 审核代理
     * @return Response
     * @throws \yii\db\Exception
     */
    public function actionProxyUpdate()
    {
        $id = Yii::$app->request->get('id');
        $info = Proxy::findOne(['id' => $id]);
        if (empty($info)) {
            return $this->message('参数有误', ['user/proxy'], 'error');
        }
        if ($info->status != 1) {
            return $this->message('该数据已被操作，请勿再次操作！', ['user/proxy'], 'error');
        }
        $transaction = Yii::$app->db->beginTransaction();
        try {
            $user = User::findOne(['uid' => $info['uid']]);
            if ($info->type == 2) { // 报单中心
                $user->report = 1;
            } else {
                $user->partner_address = $info->proxy_address;
                $user->partner = 1;
            }
            $info->status = 2;
            $info->updated_at = time();
            if ($user->save() && $info->save()) {
                $transaction->commit();

                 $manager=new ManagerLog(); 
                 $manager->operate = "代理审核成功代理名为".$info['name'];
                 $result = $manager->save();
                return $this->message('审核成功', ['user/proxy'], 'success');
            } else {
                return $this->message("审核失败", ['user/proxy'], 'error');
            }
        } catch (Exception $e) {
            $transaction->rollBack();
            return $this->message($e->getMessage(), ['user/proxy'], 'error');
        }
    }

    /**
     * 删除代理信息
     * @return Response
     */
    public function actionProxyDelete()
    {
        $id = Yii::$app->request->get('id');
        $info = Proxy::findOne(['id' => $id]);
        if (empty($info)) {
            return $this->message('参数有误', ['user/proxy'], 'error');
        }
//        if ($info->status != 1) {
//            return $this->message('该数据已被操作，请勿再次操作！', ['user/proxy'], 'error');
//        }
        try {
//            $info->status = 3;
//            $info->updated_at = time();
            if ($info->delete()) {
                 $manager=new ManagerLog(); 
                 $manager->operate = "删除代理信息名为".$info['name'];
                 $result = $manager->save();
                return $this->message('删除成功', ['user/proxy'], 'success');
            } else {
                return $this->message("删除失败", ['user/proxy'], 'error');
            }
        } catch (Exception $e) {
            return $this->message($e->getMessage(), ['user/proxy'], 'error');
        }
    }
    /*
     *  修改代理信息
     * */
    public function actionProxyEdit(){
        echo 4564564;die;
    }
    /**
     * 修改实名认证
     * @return string|Response
     */
    public function actionRealEdit()
    {
        $model = new User();
        $uid = intval(Yii::$app->request->get('id'));
        if (!empty($uid)) {
            $model = $model::findOne($uid);
            if (empty($model)) {
                return $this->message('您要编辑的用户不存在', ['user/real-name'], 'error');
            }
        }
        if ($model->load(Yii::$app->request->post())) {
            if ($model->save()) {
                 $manager=new ManagerLog(); 
                 $manager->operate = "修改实名认证成功ID为".$model['id']."名为".$model['nickname'];
                 $result = $manager->save();
                return $this->message('更新成功', ['user/real-name'], 'success');
            } else {
                return $this->message('更新失败: ' . json_encode($model->getFirstErrors()), ['user/real-name'], 'error');
            }
        }
        return $this->render('real-edit', [
            'model' => $model
        ]);
    }

    /**
     * 报单驳回
     * @return string|Response
     */
    public function actionRealReject()
    {
        $id = Yii::$app->request->get('id');
        $info = ReportForm::findOne(['id' => $id]);
        $info['redirect_type'] = Yii::$app->request->get('redirect_type');
        if ($data = \Yii::$app->request->post('ReportForm')) {

                $info = ReportForm::findOne(['id' => $data['id']]);
                $type = $data['redirect_type'];
                try {
                    $remark = $data['remark'] ?: '未知原因被驳回';
                    $manager=new ManagerLog();
                    $manager->operate = "报单驳回ID为".$data['id']."名为".$info->name;
                    $result = $manager->save();
                    if ($result) {

                        $resuss=ReportForm::updateAll(['status'=>3,'remark'=>$remark],['id' =>$data['id']]); //修改报单状态
                        if($type=="yewu"){
                            return $this->message('驳回成功', ['/user/ye-wu-confirm'], 'success');

                        }else{
                            return $this->message('驳回成功', ['/user/real-name'], 'success');

                        }
                    }else {
    //                    throw new \yii\db\Exception('驳回失败');
                        if($type=="yewu"){
//                            $url="http://".$_SERVER['HTTP_HOST'].Url::to(["user/ye-wu-confirm"]);
                            return $this->message('驳回失败', ['/user/ye-wu-confirm'], 'error');

                        }else{
                            return $this->message('驳回失败', ['/user/real-name'], 'error');

                        }
                    }
                } catch (Exception $e) {
                    return $this->message($e->getMessage(), ['/user/real-name'], 'error');
                }
            }

        return $this->renderAjax('real-reject', ['model' => $info]);
    }

    /**
     * 财务审核报单
     * @return Response
     * @throws \yii\db\Exception
     */
    public function actionRealUpdate()
    {
        $id = Yii::$app->request->get('id');
        $transaction = Yii::$app->db->beginTransaction();
        try {
            $report = ReportForm::findOne(['id' => $id]);
//
            $report->status = 4;
            $consump = DistributionConfig::getAll("index")["consump"];

            $reportUser = User::findOne(['uid' => $report->report_uid]); //查找报单中心

            // $reportUser->updateAttributes([
            //     "credit" => new Expression("credit+{$consump['sales_award']}"),
            //     "credit3" => new Expression("credit3+{$consump['sales_award']}"),
            // ]);

            $userInfo = User::findOne(['uid' => $report['uid']]);

            $investment = $consump["investment"];  // 订单金额

            if ($report->price >= $investment) {
                $price = $consump["member"];  // 会员报单奖
//                 $userInfo->updateAttributes([
//                     "credit" => new Expression("credit+$price"),
//                     "credit3" => new Expression("credit3+$price"),
// //                    "report_center" => 1,
//                 ]);
            } else {
                $price = $consump["advance"];  // 会员预支积分
//                 $userInfo->updateAttributes([
//                     "credit2" => new Expression("credit2+$price"),
//                     "credit3" => new Expression("credit3+$price"),
// //                    "report_center" => 1,
//                 ]);
            }

            $data = [
                ['report_id' => $report['report_uid'], 'uid' => $report['uid'], 'type' => 1, 'price' => $price, 'status' => 1, 'created_at' => time(), 'updated_at' => time(),]
            ];

            $result = IntegralRelease::add($data);

            if (empty($report['team_list'])) {
                $relation['superior'] = rtrim($userInfo['superior'], '_0');
                $rela = explode('_', $relation['superior']);
                $team['uid'] = $rela[0];
                $team['zi'] = $report['uid'];
            } else {
//                $team['uid'] = $report['team_id'];
                $team['uid'] = $report['team_list'];
                $team['zi'] = $report['uid'];
            }
//            $re = Team::findByUid($team, $id);
            $resu=ReportForm::updateAll(['status'=>4,'team_list'=>$report['team_list'],"updated_at"=>time()],['id' =>$id]); //修改报单
            if ($resu &&  $result !== false) {
//            if ($resu && $re !== false && $result !== false) {
                $transaction->commit();
                 $manager=new ManagerLog(); 
                 $manager->operate = "财务审核报单成功";
                 $manager->params =base64_encode(serialize($report));
                 $result = $manager->save();
                return $this->message('审核成功', ['/user/real-name'], 'success');
            } else {
                return $this->message('审核失败', ['/user/real-name'], 'error');
                throw new \yii\base\Exception('审核失败' . current($report->getFirstErrors()) . current($userInfo->getFirstErrors()) . $re);
            }
        } catch (Exception $e) {
            $transaction->rollBack();
            return $this->message($e->getMessage(), ['/user/real-name'], 'error');
        }
    }
    //报单中心审核报单的组以及位置的审核列表
    public function actionReportConfirm(){
         $searchArr = ['keywords' => '', 'date' => ['start' => date('2018-01-01 00:00'), 'end' => date('Y-m-d H:i')]];
       $id=\Yii::$app->user->id;
        $keywords = Yii::$app->request->get('keywords', '');
        $keywords = trim($keywords);
        if (!empty($keywords)) {
            $nnme='/^\d$/u';
            if(preg_match($nnme, $keywords)){//匹配数字
//                $condition .= " uid = '{$keywords}'";
                $condition =array("uid"=>$keywords);

            }elseif(preg_match("/[\x{4e00}-\x{9fa5}]+/u", $keywords)){ //包含汉字 查询销售名
                $info=User::find()->select('uid')->where("username =:username",[":username"=>$keywords])->one();
                $condition =array("uid"=>$info['uid']);

            }elseif(preg_match("/^[ a-z0-9]+$/i", $keywords)){//匹配登录名
                $info=User::find()->where("accountname =:accountname",[":accountname"=>$keywords])->one();
                $condition =array("uid"=>$info['uid']);
//                $condition .= "uid = '{$info['uid']}'";
            }
        }else{
            $condition =array();
        }

//       if($id==1){
//        $condition =array();
//       }else{
//           $condition =array();
//
////           $condition =array("report_uid"=>$id);
//       }
       $model=ReportForm::find();
        $count=$model->where($condition)->count();
      
        $pageSize=Yii::$app->params['pageSize']['manage']; //每页条数
        $pager=new pagination(['totalCount'=>$count,"pageSize"=>$pageSize]);

        $lists=$model->offset($pager->offset)->where($condition)->limit($pager->limit)->orderBy(["status"=>SORT_DESC,'created_at'=>SORT_DESC])->all();
        $url = Yii::$app->request->referrer; 
        if (Yii::$app->request->get('op') == 'exports') { //导出全部数据
             $manager=new ManagerLog(); 
             $manager->operate = "导出报单数据";
             $result = $manager->save();
            // $query = User::find()->andWhere('report = 1 ');
            $enroll=$model->where($condition)->all();
            Excel::export(
                [ 
                    'models' => $enroll,
                    'fileName' => '全部报单' . date('YmdHs') . '.xlsx',
                    'columns' => [ 
                        [ 'attribute' => 'uid', 
                        'header' => '用户编号', 
                        'format' => 'text', 
                        'value' => function ($models) { 
                            return $models['uid']; } 
                        ], 
                        [ 'attribute' => 'name', 
                        'header' => '姓名', 
                        'format' => 'text', 
                        'value' => function ($models) { 
                            return $models['name']; } 
                        ], 
                       [ 'attribute' => 'is_auto', 
                        'header' => '组规则',
                        'format' => 'text', 
                        'value' => function ($models) { 
                            return $models['is_auto'] == 1 ? '新规则组' : '旧规则组'; }
                        ], 
                       
                        [ 'attribute' => 'goods_id', 
                        'header' => '商品', 
                        'format' => 'text', 
                        'value' => function ($models) { 
                            $goods_id=$models['goods_id'];
                            $gname=ShopGoods::find()->andWhere('id = :id',[":id"=>$goods_id])->one();
                           return $gname['title']; } 
                        ],
                         [ 'attribute' => 'price', 
                        'header' => '金额', 
                        'format' => 'text', 
                        'value' => function ($models) { 
                             return $models['price'] ; } 
                        ],

                        [ 'attribute' => 'posi', 
                        'header' => '组号', 
                        'format' => 'text', 
                        'value' => function ($models) { 
                             return $models['team_list'] ; } 
                        ],

                         [ 'attribute' => 'posi', 
                        'header' => '申请位置', 
                        'format' => 'text', 
                        'value' => function ($models) { 
                             return $models['posi'] ; } 
                        ],

                        [ 'attribute' => 'mobile', 
                        'header' => '手机号', 
                        'format' => 'text', 
                        'value' => function ($models) { 
                            return $models['mobile']; } 
                        ], 
                        [ 'attribute' => 'status', 
                        'header' => '状态', 
                        'format' => 'text', 
                        'value' => function ($models) { 
                            return $models['status'] == 4? '财务已审核' : '等待审核'; } 
                        ], 
                       
                        [ 'attribute' => 'nums', 
                        'header' => '地址', 
                        'format' => 'text', 
                        'value' => function ($models) {
                           
                           return $models['address'];} 
                        ], 
                        //  [ 'attribute' => 'remark', 
                        // 'header' => '驳回理由', 
                        // 'format' => 'text', 
                        // 'value' => function ($models) {
                            
                        //    return $models['remark'];} 
                        // ], 
                        [ 'attribute' => 'remarks', 
                        'header' => '备注', 
                        'format' => 'text', 
                        'value' => function ($models) {
                            
                           return $models['remarks'];} 
                        ], 

                         [ 'attribute' => 'created_at', 
                        'header' => '报到单时间', 
                        'format' => 'date', 
                        'value' => function ($models) { 
                            return date("Y-m-d",$models['created_at']); } 
                        ], 
                    ] 
                ]); 
            return yii::$app->util->alert('报单导出成功',$url);
        }else if(Yii::$app->request->get('op') == 'export'){
            echo 222;die;
             $lists=$model->offset($pager->offset)->where($condition)->limit($pager->limit)->all();
               Excel::export(
                [ 
                    'models' => $lists, 
                    'fileName' => '全部报单' . date('YmdHs') . '.xlsx',
                    'columns' => [ 
                        [ 'attribute' => 'uid', 
                        'header' => '用户编号', 
                        'format' => 'text', 
                        'value' => function ($models) { 
                            return $models['uid']; } 
                        ], 
                        [ 'attribute' => 'name', 
                        'header' => '姓名', 
                        'format' => 'text', 
                        'value' => function ($models) { 
                            return $models['name']; } 
                        ], 
                       [ 'attribute' => 'is_auto', 
                        'header' => '规则组',
                        'format' => 'text', 
                        'value' => function ($models) { 
                            return $models['is_auto'] == 1 ? '新组' : '旧组'; }
                        ],
                        [ 'attribute' => 'goods_id', 
                        'header' => '商品', 
                        'format' => 'text', 
                        'value' => function ($models) { 
                            $goods_id=$models['goods_id'];
                            $gname=ShopGoods::find()->andWhere('id = :id',[":id"=>$goods_id])->one();
                           return $gname['title']; } 
                        ],
                         [ 'attribute' => 'price', 
                        'header' => '金额', 
                        'format' => 'text', 
                        'value' => function ($models) { 
                             return $models['price'] ; } 
                        ],

                        [ 'attribute' => 'posi', 
                        'header' => '组号', 
                        'format' => 'text', 
                        'value' => function ($models) { 
                             return $models['team_list'] ; } 
                        ],

                         [ 'attribute' => 'posi', 
                        'header' => '申请位置', 
                        'format' => 'text', 
                        'value' => function ($models) { 
                             return $models['posi'] ; } 
                        ],

                        [ 'attribute' => 'mobile', 
                        'header' => '手机号', 
                        'format' => 'text', 
                        'value' => function ($models) { 
                            return $models['mobile']; } 
                        ], 
                        [ 'attribute' => 'status', 
                        'header' => '状态', 
                        'format' => 'text', 
                        'value' => function ($models) { 
                            return $models['status'] == 4? '财务已审核' : '等待审核'; } 
                        ], 
                       
                        [ 'attribute' => 'nums', 
                        'header' => '地址', 
                        'format' => 'text', 
                        'value' => function ($models) {
                           
                           return $models['address'];} 
                        ], 
                        //  [ 'attribute' => 'remark', 
                        // 'header' => '驳回理由', 
                        // 'format' => 'text', 
                        // 'value' => function ($models) {
                            
                        //    return $models['remark'];} 
                        // ], 
                        [ 'attribute' => 'remarks', 
                        'header' => '备注', 
                        'format' => 'text', 
                        'value' => function ($models) {
                            
                           return $models['remarks'];} 
                        ], 

                         [ 'attribute' => 'created_at', 
                        'header' => '报到单时间', 
                        'format' => 'date', 
                        'value' => function ($models) { 
                            return date("Y-m-d",$models['created_at']); } 
                        ], 
                    ] 
                ]); 
            return yii::$app->util->alert('报单导出成功',$url);
        }
      
        return $this->render('report-confirm',["sholdernums"=>$lists,"pager"=>$pager,'searchArr' => $searchArr,"keywords"=>$keywords]);
    }

    /*
     * 查看报单详情
     * id:报单id
     * */
    public function actionReportDetail()
    {
        $post=Yii::$app->request->post();
        if(!empty($post)){

            // $id=$post['id'];
            // $mobile=$post['mobile'];
            // if(!$post['shname']){
            //     return 121212;
            //     // return $this->responseJson(0, "", "收货人姓名不能为空");
            // }
            // if(!$post['mobile']){
            //     return $this->responseJson(0, "", "收货人手机号不能为空");
            // }
            // if(!$post['address']){
            //     return $this->responseJson(0, "", "收货人地址不能为空");
            // }

            // if(!$post['status']>0){
            //     if(!$post['express_no']){
            //         return $this->responseJson(0, "", "快递单号不能为空");
            //     }
            //     if(!$post['express_type']){
            //         return $this->responseJson(0, "", "快递公司不能为空");
            //     }
            //     $data['express_type']=trim($post['express_type']);
            //     $data['express_no']=trim($post['express_no']);
            // }
            // if(!$id){
            //     return $this->responseJson(0, "", "操作错误");
            // }
            // $data=array(
            //     'mobile'=>$mobile,
            //     "shname"=>$post['shname'],
            //     "address"=>$post['address'],
            //     "goods_status"=>$post['goods_status'],
            //     "express_type"=>$post['express_type'],
            //     "express_no"=>$post['express_no'],

            //     );
            // $data['mobile']=$mobile;
            // $data['shname']=$post['shname'];
            // $data['address']=$post['address'];
            // $data['goods_status']=$post['goods_status'];

                // return $this->responseJson(0, $post, "操作失败");
            try{
                $operateid=Yii::$app->user->id;
              
                    $resu=ReportForm::updateAll(['mobile'=>$post['mobile'],"name"=>$post['name'],"address"=>$post['address'], "goods_status"=>$post['goods_status'],"express_type"=>$post['express_type'], "express_no"=>$post['express_no'],"updated_at"=>time(),"operateid"=>$operateid],['id' =>$post['id']]); //修改报单

            }catch (\Exception $e) {
                 return $this->responseJson(0, "", "操作错误");

            }
          
            if($resu){
                $url="http://".$_SERVER['HTTP_HOST'].Url::toRoute(["user/report-confirm"]);
                return $this->responseJson(1, $url, "操作成功");

            }else{
                return $this->responseJson(0, "", "操作失败");
            }
        }
        $id=Yii::$app->request->get("id");
        $model=new ReportForm;
        $report = $model->find()->where("id=:id and status=:status", [':id' =>  $id,":status"=>2])->one();
        if(empty($report)){
            echo "<script>alert('报单中心未审核通过');history.go(-1)</script>";
        }

        return $this->render('report-detail',["report"=>$report,"model"=>$model]);
    }
        /*
         * 回退
         * id:团队id
         * */
    public function actionRollBacks(){
        $id=Yii::$app->request->get("id");
        $report =ReportForm::find()->where("id=:id and status=:status", [':id' =>  $id,":status"=>2])->one();
        if(empty($report)){
            echo "<script>alert('报单中心未审核通过');history.go(-1)</script>";
        }
        $teamid=$report['team_list']; //组号
        $posi=$report['posi']; //位置
        $uid=$report['uid'];  //该位置用户id
        $emp=Team::findOne(["id"=>$teamid]);
        $uinfo=User::find()->select("outs")->where("uid=:uid",[':uid'=>$emp->uid1])->one();

        foreach($emp as $k=>$v){
                $data[]=$v;
        }
        //查看该回退用户的位置
        $offset=array_search($uid,$data);
        foreach ($data as $kk=>$vv){
            if($kk>=$offset && $kk<=15){
                if($vv>=0){
                    $uuid="uid".($kk);
                    $ppos[]=$kk;
                    if($kk<=15){
                        if($data[$kk]!=0){
                            $ds[$uuid] = $data[$kk];
                        }
                    }
                }
            }
        }

        //查看是否有裂变
        $transaction = Yii::$app->db->beginTransaction(); //开启事物
        if(!$emp['uid15']){ //没有裂变的

            try {
                //撤回该位置之后的所有用户待重新排位
                if(!empty($ds)){
                    foreach($ds as $ks=>$vs){
                        $allPosi=substr($ks,3);
                        $result=Team::updateAll([$ks => 0],['id' => $teamid]); //修改报单的状态
                        $resu=ReportForm::updateAll(["status"=> 4],['team_list' => $teamid,"posi"=>$allPosi]); //修改报单的状态
                        $result = Team::deleteAll(["uid1"=>$vs]); //删除为组长的新组
                    }
                    $result=Team::updateAll(['status' => 1],['id' => $teamid]); //修改组团状态
                    $outs=$uinfo->outs-1<0?0:$uinfo->outs-1;

                    $ree=User::updateAll(['outs' => $outs],['uid' => $emp->uid1]); //修改组长出彩次数
                }
                $manager=new ManagerLog();
                $manager->operate ="回退没有裂变的分组成功组号为".$teamid."位置是uid".$posi."该位置上的用户id为".$uid;
                $result = $manager->save();
            $transaction->commit();
            } catch (\Exception $e) {
                $transaction->rollBack();
                echo "<script>alert('回退失败');history.go(-1);</script>";die;
            }

        }else{ //已经裂变了的
            try {
           //查找裂变的新组
            $teamlist=Team::find()->where("parent_id=:parent_id",[':parent_id'=>$teamid])->all();
                    foreach ($teamlist as $kk=>$vv){
                        foreach ($vv as $kd=>$vd){
                                $ee[$kk][]=$vd;
                        }
                    }
                    foreach ($ee as $ke=>$ve) {
                        foreach($ve as $kg=>$vg){
                            $uuid="uid".$kg;
                            if($kg>0 && $kg<=15){
                                if($vg!=0){
                                    $gs[$ke][$uuid]=$vg;
                                }
                            }
                        }
                    }
                    if(count($gs[0])<=7 && count($gs[1])<=7){//检查新组中是否有新成员加入
                        $dresult = Team::deleteAll(['parent_id'=>$teamid]);  //删除分裂后的订单
                    }else{
                        echo "<script>alert('分裂组有新成员存在禁止回退');history.go(-1);</script>";die;
                    }
                //撤回该位置之后的所有用户待重新排位
                if(!empty($ds)){
                    foreach($ds as $ks=>$vs){
                        $allPosi=substr($ks,3);
                        $result=Team::updateAll([$ks => 0],['id' => $teamid]); //修改报单的状态
                        $resu=ReportForm::updateAll(["status"=> 4],['team_list' => $teamid,"posi"=>$allPosi]); //修改报单的状态
                        $result = Team::deleteAll(["uid1"=>$vs]); //删除为组长的新组
                    }
                    $result=Team::updateAll(['status' => 1],['id' => $teamid]); //修改组团状态
                    $outs=$uinfo->outs-1<0?0:$uinfo->outs-1;
                    $ree=User::updateAll(['outs' => $outs],['uid' => $emp->uid1]); //修改组长出彩次数

                }
                $manager=new ManagerLog();
                $manager->operate ="回退已经裂变的分组成功组号为".$teamid."位置是uid".$posi."该位置上的用户id为".$uid;
                $result = $manager->save();
                $transaction->commit();
            } catch (\Exception $e) {
                $transaction->rollBack();
                echo "<script>alert('回退失败');history.go(-1);</script>";die;
            }


        }
        echo "<script>alert('回退成功');history.go(-1);</script>";die;
    }
    /*
     *  回退到财务审核
     * */
    public function actionBackFinance(){
        $id=Yii::$app->request->get("id");
        $report =ReportForm::find()->where("id=:id", [':id' =>  $id])->one();
        if(empty($report)){
            echo "<script>alert('报单不存在');history.go(-1)</script>";die;
        }

        $transaction = Yii::$app->db->beginTransaction(); //开启事物
        try {
            $resu=ReportForm::updateAll(["status"=> 1],['id' => $id]); //修改报单的状态
            $res=Team::updateAll(['uid'.$report['posi'] => 0],['id' => $report['team_list']]); //修改报单的状态
            if($resu && $res){
                $manager=new ManagerLog();
                $manager->operate ="回退到财务审核组号为".$id;
                $result = $manager->save();
                $transaction->commit();
                echo "<script>alert('回退成功');history.go(-1);</script>";die;
            }else{
                $transaction->rollBack();
                echo "<script>alert('回退失败');history.go(-1);</script>";die;

            }


        } catch (\Exception $e) {
            $transaction->rollBack();
            echo "<script>alert('回退失败');history.go(-1);</script>";die;
        }

    }


    //销售中心的审核详情
    public function actionSecondConfirm(){
        $id=Yii::$app->request->get("id");
         // $condition=array("id"=>$id,'status'=>4);
         $report = ReportForm::findOne(["id"=>$id]);

         if(empty($report)){
            echo "<script>alert('操作信息不存在或者已经被删除');history.go(-1)</script>";
        }
        $selllist = Proxy::find()->select('uid,id,name,org_name')->where(['type' => 1,"status"=>2])->asArray()->all();

        return $this->render("secondconfirm",["model"=>$report,"sellers"=>$selllist]);
    }
    //销售中心审核
    public function actionFinals(){
            if(Yii::$app->request->isPost) {
                $team = new Team();
                $post = Yii::$app->request->post();
                $rfrom=ReportForm::findOne(['id' => $post['id'],"uid"=>$post['uid']]);
                if(empty($rfrom)){
                    return $this->responseJson(1, "", '销售记录不存在');
                }
                //查看是否修改推荐人
                $info=User::find()->select("referrer")->where("uid=".$post['uid'])->one();
                if($info['referrer']){
                    $tjr=User::find()->select('accountname')->where("uid=".$info['referrer'])->one();
                    if($tjr['accountname']!=$post['tjr']){
                        $ntjr=User::find()->select('uid,superior')->where("accountname=:accountname",[':accountname'=>$post['tjr']])->one();

                        if(!$ntjr['uid']){
//                            return $this->responseJson(1, "", json_encode($ntjr['uid']));

                            return $this->responseJson(1, "", '推荐人不存在或者已经被删除');
                        }else{

                            $nsup=explode("_",$ntjr['superior']);
                            array_shift($nsup);
                            array_unshift($nsup, $ntjr['uid']);
                            $esup=implode("_", $nsup);
                            $ntsup=array(
                                "superior"=>$esup,
                                'referrer'=>$ntjr['uid']
                            );
                        }
                        $no=0; //修改推荐人
                    }else{
                        $no=1;//不修改推荐人
                    }
                }else{
                    $no=3; //推荐人不存在
                }

                if($no==1){ //不修改推荐人
                    $resul=ReportForm::updateAll(["status"=>5,"posi"=>$post['posi'],"team_list"=>$post['groupid'],'report_uid'=>$post['report_uid'],'is_auto'=>$post['is_auto']],['id' => $post['id'],"uid"=>$post['uid']]);
                }else{
                    $resul=ReportForm::updateAll(["status"=>5,"posi"=>$post['posi'],"team_list"=>$post['groupid'],'report_uid'=>$post['report_uid'],'is_auto'=>$post['is_auto'],'recomm_id'=>$ntjr['uid']],['id' => $post['id'],"uid"=>$post['uid']]);
                    $resz=User::updateAll($ntsup,['uid' =>$post['uid']]);
                }

//                $resul=ReportForm::updateAll(["status"=>5,"posi"=>$post['posi'],"team_list"=>$post['groupid'],'report_uid'=>$post['report_uid'],'type'=>$post['is_auto']],['id' => $post['id'],"uid"=>$post['uid']]);
                $url="http://".$_SERVER['HTTP_HOST'].Url::to(["user/report-confirm"]);
                return $this->responseJson(0, ["url"=>$url], '审核成功');
            }
}
    //业务部审核列表
    public function actionYeWuConfirm(){
        $searchArr = ['keywords' => '', 'date' => ['start' => date('2018-01-01 00:00'), 'end' => date('Y-m-d H:i')]];
        $id=\Yii::$app->user->id;
        $keywords = Yii::$app->request->get('keywords', '');
        $keywords = trim($keywords);
        if (!empty($keywords)) {
            $nnme='/^\d$/u';
            if(preg_match($nnme, $keywords)){//匹配数字
//                $condition .= " uid = '{$keywords}'";
                $condition =array("uid"=>$keywords);

            }elseif(preg_match("/[\x{4e00}-\x{9fa5}]+/u", $keywords)){ //包含汉字 查询销售名
                $info=User::find()->select('uid')->where("username =:username",[":username"=>$keywords])->one();
                $condition =array("uid"=>$info['uid']);

            }elseif(preg_match("/^[ a-z0-9]+$/i", $keywords)){//匹配登录名
                $info=User::find()->where("accountname =:accountname",[":accountname"=>$keywords])->one();
                $condition =array("uid"=>$info['uid']);
//                $condition .= "uid = '{$info['uid']}'";
            }
        }else{
            $condition =array();
        }

//       if($id==1){
//        $condition =array();
//       }else{
//           $condition =array();
//
////           $condition =array("report_uid"=>$id);
//       }
        $model=ReportForm::find();
        $count=$model->where($condition)->count();

        $pageSize=Yii::$app->params['pageSize']['manage']; //每页条数
        $pager=new pagination(['totalCount'=>$count,"pageSize"=>$pageSize]);

        $lists=$model->offset($pager->offset)->where($condition)->limit($pager->limit)->orderBy(["status"=>SORT_DESC,'created_at'=>SORT_DESC])->all();
        $url = Yii::$app->request->referrer;
        if (Yii::$app->request->get('op') == 'exports') { //导出全部数据
            $manager=new ManagerLog();
            $manager->operate = "导出报单数据";
            $result = $manager->save();
            // $query = User::find()->andWhere('report = 1 ');
            $enroll=$model->where($condition)->all();
            Excel::export(
                [
                    'models' => $enroll,
                    'fileName' => '全部报单' . date('YmdHs') . '.xlsx',
                    'columns' => [
                        [ 'attribute' => 'uid',
                            'header' => '用户编号',
                            'format' => 'text',
                            'value' => function ($models) {
                                return $models['uid']; }
                        ],
                        [ 'attribute' => 'name',
                            'header' => '姓名',
                            'format' => 'text',
                            'value' => function ($models) {
                                return $models['name']; }
                        ],
                        [ 'attribute' => 'is_auto',
                            'header' => '组规则',
                            'format' => 'text',
                            'value' => function ($models) {
                                return $models['is_auto'] == 1 ? '新规则组' : '旧规则组'; }
                        ],

                        [ 'attribute' => 'goods_id',
                            'header' => '商品',
                            'format' => 'text',
                            'value' => function ($models) {
                                $goods_id=$models['goods_id'];
                                $gname=ShopGoods::find()->andWhere('id = :id',[":id"=>$goods_id])->one();
                                return $gname['title']; }
                        ],
                        [ 'attribute' => 'price',
                            'header' => '金额',
                            'format' => 'text',
                            'value' => function ($models) {
                                return $models['price'] ; }
                        ],

                        [ 'attribute' => 'posi',
                            'header' => '组号',
                            'format' => 'text',
                            'value' => function ($models) {
                                return $models['team_list'] ; }
                        ],

                        [ 'attribute' => 'posi',
                            'header' => '申请位置',
                            'format' => 'text',
                            'value' => function ($models) {
                                return $models['posi'] ; }
                        ],

                        [ 'attribute' => 'mobile',
                            'header' => '手机号',
                            'format' => 'text',
                            'value' => function ($models) {
                                return $models['mobile']; }
                        ],
                        [ 'attribute' => 'status',
                            'header' => '状态',
                            'format' => 'text',
                            'value' => function ($models) {
                                return $models['status'] == 4? '财务已审核' : '等待审核'; }
                        ],

                        [ 'attribute' => 'nums',
                            'header' => '地址',
                            'format' => 'text',
                            'value' => function ($models) {

                                return $models['address'];}
                        ],
                        //  [ 'attribute' => 'remark',
                        // 'header' => '驳回理由',
                        // 'format' => 'text',
                        // 'value' => function ($models) {

                        //    return $models['remark'];}
                        // ],
                        [ 'attribute' => 'remarks',
                            'header' => '备注',
                            'format' => 'text',
                            'value' => function ($models) {

                                return $models['remarks'];}
                        ],

                        [ 'attribute' => 'created_at',
                            'header' => '报到单时间',
                            'format' => 'date',
                            'value' => function ($models) {
                                return date("Y-m-d",$models['created_at']); }
                        ],
                    ]
                ]);
            return yii::$app->util->alert('报单导出成功',$url);
        }else if(Yii::$app->request->get('op') == 'export'){
            echo 333;die;
            $lists=$model->offset($pager->offset)->where($condition)->limit($pager->limit)->all();
            Excel::export(
                [
                    'models' => $lists,
                    'fileName' => '全部报单' . date('YmdHs') . '.xlsx',
                    'columns' => [
                        [ 'attribute' => 'uid',
                            'header' => '用户编号',
                            'format' => 'text',
                            'value' => function ($models) {
                                return $models['uid']; }
                        ],
                        [ 'attribute' => 'name',
                            'header' => '姓名',
                            'format' => 'text',
                            'value' => function ($models) {
                                return $models['name']; }
                        ],
                        [ 'attribute' => 'is_auto',
                            'header' => '规则组',
                            'format' => 'text',
                            'value' => function ($models) {
                                return $models['is_auto'] == 1 ? '新组' : '旧组'; }
                        ],
                        [ 'attribute' => 'goods_id',
                            'header' => '商品',
                            'format' => 'text',
                            'value' => function ($models) {
                                $goods_id=$models['goods_id'];
                                $gname=ShopGoods::find()->andWhere('id = :id',[":id"=>$goods_id])->one();
                                return $gname['title']; }
                        ],
                        [ 'attribute' => 'price',
                            'header' => '金额',
                            'format' => 'text',
                            'value' => function ($models) {
                                return $models['price'] ; }
                        ],

                        [ 'attribute' => 'posi',
                            'header' => '组号',
                            'format' => 'text',
                            'value' => function ($models) {
                                return $models['team_list'] ; }
                        ],

                        [ 'attribute' => 'posi',
                            'header' => '申请位置',
                            'format' => 'text',
                            'value' => function ($models) {
                                return $models['posi'] ; }
                        ],

                        [ 'attribute' => 'mobile',
                            'header' => '手机号',
                            'format' => 'text',
                            'value' => function ($models) {
                                return $models['mobile']; }
                        ],
                        [ 'attribute' => 'status',
                            'header' => '状态',
                            'format' => 'text',
                            'value' => function ($models) {
                                return $models['status'] == 4? '财务已审核' : '等待审核'; }
                        ],

                        [ 'attribute' => 'nums',
                            'header' => '地址',
                            'format' => 'text',
                            'value' => function ($models) {

                                return $models['address'];}
                        ],
                        //  [ 'attribute' => 'remark',
                        // 'header' => '驳回理由',
                        // 'format' => 'text',
                        // 'value' => function ($models) {

                        //    return $models['remark'];}
                        // ],
                        [ 'attribute' => 'remarks',
                            'header' => '备注',
                            'format' => 'text',
                            'value' => function ($models) {

                                return $models['remarks'];}
                        ],

                        [ 'attribute' => 'created_at',
                            'header' => '报到单时间',
                            'format' => 'date',
                            'value' => function ($models) {
                                return date("Y-m-d",$models['created_at']); }
                        ],
                    ]
                ]);
            return yii::$app->util->alert('报单导出成功',$url);
        }

        return $this->render('report-yewu',["sholdernums"=>$lists,"pager"=>$pager,'searchArr' => $searchArr,"keywords"=>$keywords]);
    }
    //业务部审核详情
    public function actionYeSecConfirm(){
        $id=Yii::$app->request->get("id");
        // $condition=array("id"=>$id,'status'=>4);
        $report = ReportForm::findOne(["id"=>$id]);

        if(empty($report)){
            echo "<script>alert('操作信息不存在或者已经被删除');history.go(-1)</script>";
        }
        $selllist = Proxy::find()->select('uid,id,name,org_name')->where(['type' => 1,"status"=>2])->asArray()->all();

        return $this->render("yewuconfirm",["model"=>$report,"sellers"=>$selllist]);
    }
    //业务部最终审核
    public function actionYewuFinal(){
            if(Yii::$app->request->isPost){
                $team=new Team();
                $post=Yii::$app->request->post();
                //查看是否修改推荐人
                $info=User::find()->select("referrer")->where("uid=".$post['uid'])->one();
                if($info['referrer']){
                    $tjr=User::find()->select('accountname')->where("uid=".$info['referrer'])->one();
                    if($tjr['accountname']!=$post['tjr']){
                        $ntjr=User::find()->select('uid,superior')->where("accountname=:accountname",[':accountname'=>$post['tjr']])->one();
                        if(!$ntjr['uid']){
                            return $this->responseJson(1, "", '推荐人不存在或者已经被删除');
                        }else{
                            $nsup=explode("_",$ntjr['superior']);
                            array_shift($nsup);
                            array_unshift($nsup, $ntjr['uid']);
                            $esup=implode("_", $nsup);
                            $ntsup=array(
                                "superior"=>$esup,
                                'referrer'=>$ntjr['uid']
                            );
                        }
                        $no=0; //修改推荐人
                    }else{
                        $no=1;//不修改推荐人
                    }
                }else{
                    $no=0; //推荐人不存在
                }
                $oneToEight = Config::getConfig('IS_ACTIVE'); //查看活动配置是否开启
                $active_nums = Config::getConfig('ACTIVE_NUMS'); //查看活动需要的人数

                if($oneToEight){//开启活动
                    if($post['is_auto']==1){ //进新组
                        $ncre=Team::newCreateTeam($post['uid'],2);
                        if($ncre['code']==1){
                            $teamid=$ncre['data'];
                            $manager=new ManagerLog();
                            $opert='成功将为用户ID为'.$post['uid'].'创建组号为'. $teamid."组";
                            $manager->operate =$opert;

                            $results = $manager->save();
                            if($no==1){ //不修改推荐人
                                $resul=ReportForm::updateAll(["status"=>2,"posi"=>1,"team_list"=>$teamid],['id' => $post['id'],"uid"=>$post['uid']]);
                            }else{
                                $resul=ReportForm::updateAll(["status"=>2,"posi"=>1,"team_list"=>$teamid,'report_uid'=>$post['report_uid'],'recomm_id'=>$ntjr['uid']],['id' => $post['id'],"uid"=>$post['uid']]);
                                $resz=User::updateAll($ntsup,['uid' =>$post['uid']]);
                            }

                            return $this->responseJson(1,  "",$opert);

                        }else{
                            return $this->responseJson(0,  "", $ncre['msg']);
                        }
                    }else{ //进旧组
                        if($post['posi']>15 || $post['posi']<1){
                            return $this->responseJson(1, "", '组位置错误');
                        }

                        //查询组和组位置是否已存在该位置
                        $teamMemberInfo=Team::findOne(['id'=>$post['groupid']]);

                        if(!empty($teamMemberInfo['uid'.$post['posi']])){
                            return $this->responseJson(1, "", $post['groupid'].'组的'.$post['posi']."位置上已有组员存在");
                        }else{

                            //查询组是否存在
                            $teamInfo=Team::findOne(['id'=>$post['groupid']]);
                            if(empty($teamInfo)){ //组不存在时
                                $ncre=Team::newCreateTeam($post['uid'],1);
                                if($ncre['code']==1){
                                    $teamid=$ncre['data'];
                                    $manager=new ManagerLog();
                                    $opert='成功将为用户ID为'.$post['uid'].'创建组号为'. $teamid."组";
                                    $manager->operate =$opert;

                                    $results = $manager->save();
                                    if($no==1){ //不修改推荐人
                                        $resul=ReportForm::updateAll(["status"=>2,"posi"=>1,"team_list"=>$teamid],['id' => $post['id'],"uid"=>$post['uid']]);
                                    }else{
                                        $resul=ReportForm::updateAll(["status"=>2,"posi"=>1,"team_list"=>$teamid,'report_uid'=>$post['report_uid'],'recomm_id'=>$ntjr['uid']],['id' => $post['id'],"uid"=>$post['uid']]);
                                        $resz=User::updateAll($ntsup,['uid' =>$post['uid']]);
                                    }

                                    return $this->responseJson(1,  "",$opert);

                                }else{
                                    return $this->responseJson(0,  "", $ncre['msg']);
                                }
//                                return $this->responseJson(1, "", '组不存在');
                            }else{ //组存在时
                                $uid="uid".$post['posi'];
                                $teamMemberInfo->$uid=$post['uid'];
                                $teamMemberInfo->update_at=time();
                                //顺序排位判断
                                $ups=$post['posi']-1;
                                if($ups>10){
                                  $pre="uid".$ups;
                                  if(!$teamInfo->$pre){
                                      return $this->responseJson(0, "", '请按照顺序进行排位');
                                  }
                                }

//                            //查看是否修改推荐人
//                            $info=User::find()->select("referrer")->where("uid=".$post['uid'])->one();
//                            if($info['referrer']){
//                                $tjr=User::find()->select('accountname')->where("uid=".$info['referrer'])->one();
//                                if($tjr['accountname']!=$post['tjr']){
//                                    $ntjr=User::find()->select('uid,superior')->where("accountname=:accountname",[':accountname'=>$post['tjr']])->one();
//                                    if(!$ntjr['uid']){
//                                        return $this->responseJson(1, "", '推荐人不存在或者已经被删除');
//                                    }else{
//                                        $nsup=explode("_",$ntjr['superior']);
//                                        array_shift($nsup);
//                                        array_unshift($nsup, $ntjr['uid']);
//                                        $esup=implode("_", $nsup);
//                                        $ntsup=array(
//                                            "superior"=>$esup,
//                                            'referrer'=>$ntjr['uid']
//                                        );
//                                    }
//
//                                    $no=0; //不修改推荐人
//                                }else{
//                                    $no=1;
//                                }
//                            }else{
//                                $no=0; //推荐人不存在
//                            }

                                try {
                                    $transaction = Yii::$app->db->beginTransaction();
                                    $result=Team::updateAll(['update_at'=> time(),"$uid"=>$post['uid']],['id' => $post['groupid']]);
                                    if($result){
//                                        if($info["code"]!=0){
                                        $manager=new ManagerLog();
                                        $manager->operate = '成功将用户ID为'.$post['uid'].'添加到'.$post['groupid']."组".$post['posi']."位置";
                                        $results = $manager->save();
                                        if($results){
                                            if($teamInfo->type==2){ //新开组组长出局
                                                if($post['posi']==$active_nums){
                                                    $res=Team::updateAll(["status"=>2],['id' =>$post['groupid']]);
                                                    $info=Team::createTeam($post['groupid'],$post['id']); //去裂变
                                                    if($info['code']==0){
                                                        return $this->responseJson(1, $info, $info['msg']);
                                                    }
                                                }
                                            }else{//旧规则组组长出局出局
//                                                if($post['posi']==15){
                                                if($teamMemberInfo->uid1>0 & $teamMemberInfo->uid2>0 & $teamMemberInfo->uid3>0 & $teamMemberInfo->uid4>0 & $teamMemberInfo->uid5>0 & $teamMemberInfo->uid6>0 & $teamMemberInfo->uid7>0 & $teamMemberInfo->uid8>0 & $teamMemberInfo->uid9>0 & $teamMemberInfo->uid10>0 & $teamMemberInfo->uid11>0 & $teamMemberInfo->uid12>0 & $teamMemberInfo->uid13>0 & $teamMemberInfo->uid14>0 & $teamMemberInfo->uid15>0 ){
                                                    $res=Team::updateAll(["status"=>2],['id' =>$post['groupid']]);
                                                    $info=Team::createTeam($post['groupid'],$post['id']); //去裂变
                                                }
                                            }
                                            if($no==0){
                                                $resz=User::updateAll($ntsup,['uid' =>$post['uid']]);
                                                $resul=ReportForm::updateAll(["status"=>2,"posi"=>$post['posi'],"team_list"=>$post['groupid'],'report_uid'=>$post['report_uid'],'recomm_id'=>$ntjr['uid']],['id' => $post['id'],"uid"=>$post['uid']]);

                                            }else{
                                                $resul=ReportForm::updateAll(["status"=>2,"posi"=>$post['posi'],"team_list"=>$post['groupid'],'report_uid'=>$post['report_uid']],['id' => $post['id'],"uid"=>$post['uid']]);

                                            }
                                            $data['url']="http://".$_SERVER['HTTP_HOST'].Url::to(["user/ye-wu-confirm"]);
                                            Team::newCreateTeam($post['uid'],2); //将报单成功的设置为一个新组的组长并且模式为一推八
                                            $transaction->commit(); //事物提交
                                            return $this->responseJson(0,  $data, '成功将用户ID为'.$post['uid'].'添加到'.$post['groupid']."组".$post['posi']."位置");
                                        }else{
                                            $transaction->rollBack();
                                            return $this->responseJson(1, $result, "添加操作日志失败");

                                        }
//                                        }else{
//                                            $transaction->rollBack();
//                                            return $this->responseJson(1, "",$info['msg']);
//                                        }

                                    }else{
                                        $transaction->rollBack();
                                        return $this->responseJson(1, $result, "添加到组位置失败");
                                    }
                                } catch (Exception $e) {
                                    $transaction->rollBack();
                                    return $this->responseJson(1, $e->getMessage(), "添加失败");
                                }

                            }
                        }
                    }
                }else{ //关闭活动时
                    //查询组信息
                    $teamInfo=Team::findOne(['id'=>$post['groupid']]);

                    if($teamInfo->type==2){
                        return $this->responseJson(1, "", '活动已关闭');
                    }
                    if($post['posi']>15 || $post['posi']<1){
                        return $this->responseJson(1, "", '组位置错误');
                    }
                    //顺序排位判断
                    $ups=$post['posi']-1;
                    $pre="uid".$ups;
                    if(!$teamInfo->$pre){
                        return $this->responseJson(1, "", '请按照顺序进行排位');
                    }
                    //查询组和组位置是否已存在该位置
                    $teamMemberInfo=Team::findOne(['id'=>$post['groupid']]);
                    if(!empty($teamMemberInfo['uid'.$post['posi']])){
                        return $this->responseJson(1, "", $post['groupid'].'组的'.$post['posi']."位置上已有组员存在");
                    }else{
                        $uid="uid".$post['posi'];
                        $teamMemberInfo->$uid=$post['uid'];
                        $teamMemberInfo->update_at=time();

                        if(empty($teamInfo)){ //组不存在时
//                            创建新组
                            $ncre=Team::newCreateTeam($post['uid'],2);
                            if($ncre['code']==1){
                                $teamid=$ncre['data'];
                                $manager=new ManagerLog();
                                $opert='成功将为用户ID为'.$post['uid'].'创建组号为'. $teamid."组";
                                $manager->operate =$opert;

                                $results = $manager->save();
                                if($no==1){ //不修改推荐人
                                    $resul=ReportForm::updateAll(["status"=>2,"posi"=>1,"team_list"=>$teamid],['id' => $post['id'],"uid"=>$post['uid']]);
                                }else{
                                    $resul=ReportForm::updateAll(["status"=>2,"posi"=>1,"team_list"=>$teamid,'report_uid'=>$post['report_uid'],'recomm_id'=>$ntjr['uid']],['id' => $post['id'],"uid"=>$post['uid']]);
                                    $resz=User::updateAll($ntsup,['uid' =>$post['uid']]);
                                }

                                return $this->responseJson(1,  "",$opert);

                            }else{
                                return $this->responseJson(0,  "", $ncre['msg']);
                            }
//                            return $this->responseJson(1, "", '组不存在');
                        }else{ //组存在时
//                            //查看是否修改推荐人
//                            $info=User::find()->select("referrer")->where("uid=".$post['uid'])->one();
//                            if($info['referrer']){
//                                $tjr=User::find()->select('accountname')->where("uid=".$info['referrer'])->one();
//                                if($tjr['accountname']!=$post['tjr']){
//                                    $ntjr=User::find()->select('uid,superior')->where("accountname=:accountname",[':accountname'=>$post['tjr']])->one();
//                                    if(!$ntjr['uid']){
//                                        return $this->responseJson(1, "", '推荐人不存在或者已经被删除');
//                                    }else{
//                                        $nsup=explode("_",$ntjr['superior']);
//                                        array_shift($nsup);
//                                        array_unshift($nsup, $ntjr['uid']);
//                                        $esup=implode("_", $nsup);
//                                        $ntsup=array(
//                                            "superior"=>$esup,
//                                            'referrer'=>$ntjr['uid']
//                                        );
//                                    }
//
//                                    $no=0; //不修改推荐人
//                                }else{
//                                    $no=1;
//                                }
//                            }else{
//                                $no=0; //推荐人不存在
//                            }

                            try {
                                $transaction = Yii::$app->db->beginTransaction();
                                $result=Team::updateAll(['update_at'=> time(),"$uid"=>$post['uid']],['id' => $post['groupid']]);
                                if($result){
//                                        if($info["code"]!=0){
                                    $manager=new ManagerLog();
                                    $manager->operate = '成功将用户ID为'.$post['uid'].'添加到'.$post['groupid']."组".$post['posi']."位置";
                                    $results = $manager->save();
                                    if($results){
//                                            if($post['posi']==15){
                                        if($teamMemberInfo->uid1>0 & $teamMemberInfo->uid2>0 & $teamMemberInfo->uid3>0 & $teamMemberInfo->uid4>0 & $teamMemberInfo->uid5>0 & $teamMemberInfo->uid6>0 & $teamMemberInfo->uid7>0 & $teamMemberInfo->uid8>0 & $teamMemberInfo->uid9>0 & $teamMemberInfo->uid10>0 & $teamMemberInfo->uid11>0 & $teamMemberInfo->uid12>0 & $teamMemberInfo->uid13>0 & $teamMemberInfo->uid14>0 & $teamMemberInfo->uid15>0 ){

                                            $res=Team::updateAll(["status"=>2],['id' =>$post['groupid']]);
                                                $info=Team::createTeam($post['groupid'],$post['id']); //去裂变
                                            }

                                        $data['url']="http://".$_SERVER['HTTP_HOST'].Url::to(["user/ye-wu-confirm"]);
                                        if($no==0){
                                            $resz=User::updateAll($ntsup,['uid' =>$post['uid']]);
                                            $resul=ReportForm::updateAll(["status"=>2,"posi"=>$post['posi'],"team_list"=>$post['groupid'],'report_uid'=>$post['report_uid'],'recomm_id'=>$ntjr['uid']],['id' => $post['id'],"uid"=>$post['uid']]);

                                        }else{
                                            $resul=ReportForm::updateAll(["status"=>2,"posi"=>$post['posi'],"team_list"=>$post['groupid'],'report_uid'=>$post['report_uid']],['id' => $post['id'],"uid"=>$post['uid']]);

                                        }
                                        $transaction->commit(); //事物提交
                                        return $this->responseJson(0,  $data, '成功将用户ID为'.$post['uid'].'添加到'.$post['groupid']."组".$post['posi']."位置");
                                    }else{
                                        $transaction->rollBack();
                                        return $this->responseJson(1, $result, "添加操作日志失败");

                                    }
//                                        }else{
//                                            $transaction->rollBack();
//                                            return $this->responseJson(1, "",$info['msg']);
//                                        }

                                }else{
                                    $transaction->rollBack();
                                    return $this->responseJson(1, $result, "添加到组位置失败");
                                }
                            } catch (Exception $e) {
                                $transaction->rollBack();
                                return $this->responseJson(1, $e->getMessage(), "添加失败");
                            }

                        }
                    }
                }




    }
}
    /*
     *  回退到业务部审核
     */
    public function actionBackSalle(){
        $id=Yii::$app->request->get("id");
        $report =ReportForm::find()->where("id=:id", [':id' =>  $id])->one();
        if(empty($report)){
            echo "<script>alert('销售订单不存在');history.go(-1)</script>";die;
        }

        $transaction = Yii::$app->db->beginTransaction(); //开启事物
        try {
            $resu=ReportForm::updateAll(["status"=> 5],['id' => $id]); //修改报单的状态
            $res=Team::updateAll(['uid'.$report['posi'] => 0],['id' => $report['team_list']]); //修改报单的状态
            if($resu && $res){
                $manager=new ManagerLog();
                $manager->operate ="回退到销售中心待审核组号为".$id;
                $result = $manager->save();
                $transaction->commit();
                echo "<script>alert('回退成功');history.go(-1);</script>";die;
            }else{
                $transaction->rollBack();
                echo "<script>alert('回退失败');history.go(-1);</script>";die;

            }


        } catch (\Exception $e) {
            $transaction->rollBack();
            echo "<script>alert('回退失败');history.go(-1);</script>";die;
        }

    }

    /**
     * 报单中心列表
     * @return string
     */
    public function actionReportList()
    {
        $condition = 'status=2';
        $keywords = Yii::$app->request->get('keywords', '');
        $keywords = trim($keywords);
        if (!empty($keywords)) {
            $nnme='/^\d$/u';
            if(preg_match($nnme, $keywords)){//匹配数字
                $condition .= " uid = '{$keywords}'";
            }elseif(preg_match("/[\x{4e00}-\x{9fa5}]+/u", $keywords)){ //包含汉字 查询销售名
                $info=User::find()->select('uid')->where("username =:username",[":username"=>$keywords])->one();
                $condition .= " uid = '{$info['uid']}'";
            }elseif(preg_match("/^[ a-z0-9]+$/i", $keywords)){//匹配登录名
                $info=User::find()->select('uid')->where("accountname =:accountname",[":accountname"=>$keywords])->one();
                $condition .= "uid = '{$info['uid']}'";
            }
        }
        $list = ReportForm::find()->where($condition)->orderBy('updated_at desc');
      
        $list->orderBy("id desc");
        $this->view->title = '销售中心列表';
        return $this->render('real-name', ['list' => $list, 'keywords' => $keywords]);
    }

    /**
     * 报单中心列表
     * @return string
     */
    public function actionReportLists()
    {
        $this->view->title = '报单中心列表';

        $searchArr = ['keywords' => '', 'date' => ['start' => date('2018-01-01 00:00'), 'end' => date('Y-m-d H:i')]];

        $query = User::find()->andWhere('report = 1 ');
        $request = Yii::$app->request;
        $keywords = $request->get('keywords', '');
        $keywords = trim($keywords);

        $condition = '';
        if (!empty($keywords)) {
            $mobile="/^1[345678]{1}\d{9}$/";
            $tel=preg_match($mobile, $keywords);
           
            if($tel){
                $condition = array("mobile"=>$keywords);
            }else{
                $condition = array("uid"=>$keywords);
            }
            $list = User::find()->where($condition)->orderBy('updated_at desc');
            $list->orderBy("uid desc");
        }


        if ($request->get('op') == 'export') {
             $manager=new ManagerLog(); 
                     $manager->operate ="导出报单中心列表";
                     $result = $manager->save();
                return $this->redirect(array('php-excel')); 
            // $all=$query->all();
            // return Excel::export(
            //     [
            //     'models' => $query->all(),
            //     'fileName' => '报单中心' . date('YmdHs') . '.xlsx',
            //     'columns' => 
            //     [
            //         'uid:text:用户编号', 
            //         'nickname', 
            //         'realname', 
            //         'mobile', 
            //         ['attribute' => 'gender', 'value' => function ($model) {
            //             return $model['gender'] == 1 ? '男' : '女';},
            //         ], 
            //         ['attribute' => 'status', 'value' => function ($model) {
            //             return $model['status'] == 0 ? '正常' : '冻结';},
            //         ], 
            //         ['attribute' => 'created_at', 'format' => ['date', 'php:Y-m-d H:i:s']],
            //     ], 
            // ]);
        }
        $this->view->title = '销售中心列表';
        return $this->render('report-list', ['query' => $query, 'searchArr' => $searchArr]);
    }   
     /**
     * 报单中心列表
     * @return string
     */
    // public function actionReportLists2()
    // {
    //     $searchArr = ['keywords' => '', 'date' => ['start' => date('2018-01-01 00:00'), 'end' => date('Y-m-d H:i')]];
    //     $query = User::find()->andWhere('report = 1 ');
    //     $model=User::find()->where("report = 1");
    //     $count=$model->count();
    //     $pageSize=Yii::$app->params['pageSize']['manage']; //每页条数
    //     $pager=new pagination(['totalCount'=>$count,"pageSize"=>$pageSize]);

    //     $sholdernums=$model->where("report = 1")->offset($pager->offset)->limit($pager->limit)->all();
          
    //     foreach ($sholdernums as $k => $v) {
    //         $pid=Group::shareholderNum($v->uid);
    //         $sholdernums[$k]['nums']= $pid;
    //     }

    //     echo "<pre>";
    //     var_dump($sholdernums);die;
    //     $request = Yii::$app->request;
    //     $keywords = $request->get('keywords', '');
    //     $keywords = trim($keywords);

    //     $condition = '';
    //     if (!empty($keywords)) {
    //         $mobile="/^1[345678]{1}\d{9}$/";
    //         $tel=preg_match($mobile, $keywords);
           
    //         if($tel){
    //             $condition = array("mobile"=>$keywords);
    //         }else{
    //             $condition = array("uid"=>$keywords);
    //         }
    //         $list = User::find()->where($condition)->orderBy('updated_at desc');
    //         $list->orderBy("uid desc");
    //     }


    //     if ($request->get('op') == 'export') {
    //          $manager=new ManagerLog(); 
    //                  $manager->operate ="导出报单中心列表";
    //                  $result = $manager->save();
    //             return $this->redirect(array('php-excel')); 
    //         // $all=$query->all();
    //         // return Excel::export(
    //         //     [
    //         //     'models' => $query->all(),
    //         //     'fileName' => '报单中心' . date('YmdHs') . '.xlsx',
    //         //     'columns' => 
    //         //     [
    //         //         'uid:text:用户编号', 
    //         //         'nickname', 
    //         //         'realname', 
    //         //         'mobile', 
    //         //         ['attribute' => 'gender', 'value' => function ($model) {
    //         //             return $model['gender'] == 1 ? '男' : '女';},
    //         //         ], 
    //         //         ['attribute' => 'status', 'value' => function ($model) {
    //         //             return $model['status'] == 0 ? '正常' : '冻结';},
    //         //         ], 
    //         //         ['attribute' => 'created_at', 'format' => ['date', 'php:Y-m-d H:i:s']],
    //         //     ], 
    //         // ]);
    //     }
    //     $this->view->title = '销售中心列表';
    //     return $this->render('report-list', ['sholdernums' => $sholdernums, 'searchArr' => $searchArr,"pager"=>$pager]);
    // }


    //导出数据
    public function actionPhpExcel() { 
        $url = Yii::$app->request->referrer; 
        $query = User::find()->andWhere('report = 1 ');
        $enroll=$query->all();
        Excel::export(
            [ 
                'models' => $enroll, 
                'fileName' => '报单中心' . date('YmdHs') . '.xlsx',
                'columns' => [ 
                    [ 'attribute' => 'uid', 
                    'header' => '用户编号', 
                    'format' => 'text', 
                    'value' => function ($models) { 
                        return $models['uid']; } 
                    ], 
                    [ 'attribute' => 'nickname', 
                    'header' => '昵称', 
                    'format' => 'text', 
                    'value' => function ($models) { 
                        return $models['nickname']; } 
                    ], 
                    [ 'attribute' => 'realname', 
                    'header' => '真实姓名', 
                    'format' => 'text', 
                    'value' => function ($models) { 
                        return $models['realname']; } 
                    ], 
                    [ 'attribute' => 'gender', 
                    'header' => '性别', 
                    'format' => 'text', 
                    'value' => function ($models) { 
                         return $models['gender'] == 1 ? '男' : '女'; } 
                    ], 
                    [ 'attribute' => 'mobile', 
                    'header' => '手机号', 
                    'format' => 'text', 
                    'value' => function ($models) { 
                        return $models['mobile']; } 
                    ], 
                    [ 'attribute' => 'status', 
                    'header' => '状态', 
                    'format' => 'text', 
                    'value' => function ($models) { 
                        return $models['status'] == 0 ? '正常' : '冻结'; } 
                    ], 
                    [ 'attribute' => 'created_at', 
                    'header' => '时间', 
                    'format' => 'date', 
                    'value' => function ($models) { 
                        return date("Y-m-d",$models['created_at']); } 
                    ], 
                    [ 'attribute' => 'nums', 
                    'header' => '下级数量', 
                    'format' => 'text', 
                    'value' => function ($models) {
                        $uid=$models['uid'];
                       return User::find()->andWhere('referrer = :uid',[":uid"=>$uid])->count();} 
                    ], 
                     [ 'attribute' => 'ordernums', 
                    'header' => '报单数量', 
                    'format' => 'text', 
                    'value' => function ($models) {
                        $uid=$models['uid'];
                       return ReportForm::find()->andWhere('report_uid = :uid',[":uid"=>$uid])->count();} 
                    ], 

                ] 
            ]); 
        return yii::$app->util->alert('导出成功',$url); 
    }
  
    //添加下级
    public function actionAddemploy(){
        $id=(int)yii::$app->request->get('id');
        $models=User::find()->where("uid=:uid",[":uid"=>$id])->one();
        $model=new User;
        if(yii::$app->request->isPost){
            $group=new Group;
            $post=yii::$app->request->post();
            $mem=User::find()->where("uid=:uid",[":uid"=>$post['User']['uid']])->one();
            if(!empty($mem)){
                Yii::$app->session->setFlash("info","添加的下级用户不存在");

            }
            $emp=Group::find()->where("uid=:uid",[":uid"=>$post['User']['uid']])->one();
            if(!empty($emp)){
                    Yii::$app->session->setFlash("info","该成员已经存在");
            }else{
                if($group->addmember($post)){
                     $manager=new ManagerLog(); 
                     $manager->operate ="添加下级成功下级ID为".$post['User']['uid']."董事长ＩＤ为".$post['pid'];
                     $result = $manager->save();
                Yii::$app->session->setFlash("info","添加成功");
                }else{
                    Yii::$app->session->setFlash("info","添加失败");
                }
            }
            
          
        }
        // $models->pname=$models->realname;
        return $this->render("addemploy",['model'=>$model,'models'=>$models]);
    }
    /*
        查看下级详情
        id:组长/董事长ＩＤ
    */
        public function actionShareholdernum(){
            $pid=(int)yii::$app->request->get('pid');
            
            $model=Group::find();

            $count=$model->count();

            $pageSize=Yii::$app->params['pageSize']['manage']; //每页条数

            $pager=new pagination(['totalCount'=>$count,"pageSize"=>$pageSize]);

            $sholdernums=$model->where("pid=:pid",[':pid'=>$pid])->offset($pager->offset)->limit($pager->limit)->all();
            $this->view->title = '股东列表';
            return $this->render('Shareholdernum',["sholdernums"=>$sholdernums,"pager"=>$pager]);
        }
    /**
     * 收款信息
     * @return string
     */
    public function actionBankcard()
    {
        $condition = '1 = 1 ';
        $keywords = Yii::$app->request->get('keywords', '');
        $keywords = trim($keywords);
        if (!empty($keywords)) {
            $condition .= " AND (uid = '{$keywords}')";
        }
        $list = Bankcard::find()->where($condition);

        $list->orderBy('id desc');
        $this->view->title = '收款信息';
        return $this->render('bankcard', ['list' => $list, 'keywords' => $keywords]);

    }

    /**
     * 地区代理列表
     * @return string
     */
    public function actionArea()
    {
        $searchArr = ['keywords' => '', 'date' => ['start' => date('2018-01-01 00:00'), 'end' => date('Y-m-d H:i')]];
        $query = User::find()->andWhere('partner = 1 ');
        $keywords = Yii::$app->request->get('keywords', '');
        $keywords = trim($keywords);
        $condition = '';
        if (!empty($keywords)) {
            $condition .= " AND (uid = '{$keywords}' OR mobile='{$keywords}' )";
        }
        $list = User::find()->where($condition)->orderBy('updated_at desc');
        $list->orderBy("uid desc");
        $this->view->title = '销售中心列表';
        return $this->render('area-list', ['query' => $query, 'searchArr' => $searchArr]);
    }

    /**
     * 添加报单中心
     * @return string|\yii\web\Response
     * @throws Exception
     */
    public function actionReportUpdate()
    {

        $model = new Proxy();
        $uid = intval(Yii::$app->request->get('id'));
        if ($model->load(Yii::$app->request->post(), "")) {

            $data = Yii::$app->request->post();

//            if (!empty($user)) {
//                return $this->responseJson(1, '', '该销售中心已存在');
//            } else {
                $datas=array(
                    "name"=>trim($data['Proxy']['name']),
                    "type"=>trim($data['Proxy']['type']),
                    "address"=>trim($data['Proxy']['proxy_address']),
                    "mobile"=>trim($data['Proxy']['mobile']),
                    "org_name"=>trim($data['Proxy']['org_name']),
                    "proxy_lv"=>trim($data['Proxy']['proxy_lv']),
                );
            $id = intval(Yii::$app->request->get('id'));

//                    if($model->isNewRecord){
                    if($id){
                        $result = Proxy::updats($datas);

                    }else{
                        $user = Proxy::find()->where('name=:name',[":name"=>$data['Proxy']['name']])->one();
                        if (!empty($user)) {
                            return $this->responseJson(1, '', '该销售中心已存在');
                        }
                        $result = Proxy::add($datas);
                    }
                if ($result) {
                    $manager=new ManagerLog();
                    $manager->operate ="添加名为".$data['Proxy']['name']."销售中心成功";
                    $result = $manager->save();
                    return $this->message('申请成功', ['user/proxy'], 'success');
                } else {
                    return $this->message('申请失败,请刷新后重新提交！', ['user/report-update'], 'error');
//                    return $this->responseJson(1, '', '申请失败,请重新提交！' . $result);
                }
//            }
        }
        if (!empty($uid)) {
            $model = Proxy::findOne($uid);
            $this->view->title = '编辑销售中心资料';
        } else {
            $this->view->title = '添加销售中心';
        }
       
        return $this->render('report-update', ['model' => $model]);
    }
//    public function actionReportUpdate()
//    {
//
//        $models = new User();
//        $uid = intval(Yii::$app->request->get('id'));
//        if (!empty($uid)) {
//            $model = $models::findOne(['uid' => $uid]);
//            if (empty($model)) {
//                return $this->message('您要编辑的用户不存在', ['user/list'], 'error');
//            }
//            $this->view->title = '编辑销售中心资料';
//        } else {
//            $model = $models->loadDefaultValues();
//            $model->auth_key = Yii::$app->security->generateRandomString();
//            $this->view->title = '添加销售中心';
//        }
//        if ($model->load(Yii::$app->request->post(), "")) {
//            if (empty($_POST['User']['uid'])) {
//                return $this->message('添加失败: ' . '用户Uid不能为空:', ['user/report-lists'], 'error');
//            }
//            $model = User::findOne(['uid' => $_POST['User']['uid']]);
//            $password = $model->password_hash;
//            if ($model['mobile'] != $_POST['User']['mobile']) {
//                return $this->message('添加失败: ' . '手机号不符', ['user/report-lists'], 'error');
//            }
//            $model->realname = $_POST['User']['realname'];
//            $model->mobile = $_POST['User']['mobile'];
//            $model->idcard = $_POST['User']['idcard'];
//            $model->bank_card = $_POST['User']['bank_card'];
//            $model->bank_address = $_POST['User']['bank_address'];
//            $model->report_price = $_POST['User']['report_price'];
//            $model->report = $_POST['User']['report'];
//            $model->gender = $_POST['User']['gender'];
//            $model->lv = $_POST['User']['lv'];
//            $model->password_hash = $password;
//
//            if ($model->validate() && $model->save()) {
//                 $manager=new ManagerLog();
//                 $manager->operate ="修改报单中心成功用户id为".$_POST['User']['uid'].'名称为'.$_POST['User']['realname'];
//                 $result = $manager->save();
//                return $this->message('更新成功', ['user/report-lists'], 'success');
//            } else {
//                return $this->message('更新失败: ' . current($model->getFirstErrors()), ['user/report-lists'], 'error');
//            }
//        }
//        return $this->render('report-update', ['model' => $model]);
//    }


    /**
     * 修改代理
     * @return string|\yii\web\Response
     * @throws Exception
     */
    public function actionAreaUpdate()
    {
        $models = new User();
        $uid = intval(Yii::$app->request->get('id'));
        if (!empty($uid)) {
            $model = $models::findOne(['uid' => $uid]);
            if (empty($model)) {
                return $this->message('您要编辑的用户不存在', ['user/area'], 'error');
            }
            $this->view->title = '编辑地区代理';
        } else {
            $model = $models->loadDefaultValues();
            $model->auth_key = Yii::$app->security->generateRandomString();
            $this->view->title = '添加地区代理';
        }
        if ($model->load(Yii::$app->request->post(), "")) {
            $model = User::findOne(['uid' => $_POST['User']['uid']]);
            $password = $model->password_hash;
            if ($model['mobile'] != $_POST['User']['mobile']) {
                return $this->message('添加失败: ' . '手机号不符', ['user/area'], 'error');
            }
            $province = Region::findOne(['id' => $_POST['User']['province']]);
            $city = Region::findOne(['id' => $_POST['User']['city']]);
            $county = Region::findOne(['id' => $_POST['User']['county']]);
            $model->partner = $_POST['User']['partner'];
            $model->partner_address = $province['name'] . $city['name'] . $county['name'];
            $model->mobile = $_POST['User']['mobile'];
            $model->password_hash = $password;

            if ($model->validate() && $model->save()) {
                 $manager=new ManagerLog(); 
                     $manager->operate ="修改代理信息成功代理id为".$model['uid'].'名称为'.$model['nickname']?$model['nickname']:$model['realname'];
                     $result = $manager->save();
                return $this->message('更新成功', ['user/area'], 'success');
            } else {
                return $this->message('更新失败: ' . current($model->getFirstErrors()), ['user/area-list'], 'error');
            }
        }
        return $this->render('area-update', ['model' => $model]);
    }

    /**
     * 删除代理
     * @return Response
     */
    public function actionAreaDelete()
    {
        $id = Yii::$app->request->get('id');
        $user = User::findOne(['uid' => $id]);
        if (empty($user)) {
            return $this->message('参数错误！', ['user/area'], 'error');
        }
        $user->partner = 0;
        $user->partner_address = '';
        if ($user->save()) {
             $manager=new ManagerLog(); 
                     $manager->operate ="删除代理信息成功代理id为".$model['uid'].'名称为'.$model['nickname']?$model['nickname']:$model['realname'];
                     $result = $manager->save();
            return $this->message('删除成功！', ['user/area'], 'success');
        } else {
            return $this->message('删除失败！', ['user/area'], 'error');
        }
    }

    /**
     * 回收站
     * @return string
     */
    public function actionRecycle()
    {
        $searchArr = ['keywords' => '', 'date' => ['start' => date('2018-01-01 00:00'), 'end' => date('Y-m-d H:i')]];
        $query = User::find()->andWhere('status = 8');
        $request = Yii::$app->request;
        $keywords = $request->get('keywords', '');
        $keywords = trim($keywords);
        if (!empty($keywords)) {
            $searchArr['keywords'] = $keywords;
            $query->andWhere("uid = '{$keywords}' OR nickname LIKE '%{$keywords}%' OR mobile ='{$keywords}' OR realname LIKE '%{$keywords}%' OR referrer LIKE '%{$keywords}%'");
        }

        $date = $request->get('date', []);
        if (!empty($date)) {
            $tmp = explode(DateRangePicker::SEPARATOR, $date);
            $searchArr['date'] = ['start' => $tmp['0'], 'end' => $tmp['1']];
            $query->andWhere(['between', 'created_at', strtotime($tmp['0']), strtotime($tmp['1'])]);
        }
        if ($request->get('op') == 'export') {
            $manager=new ManagerLog(); 
                     $manager->operate ="回收站数据导出";
                     $result = $manager->save();
            return Excel::export([
                'models' => $query->all(),
                'fileName' => 'user_' . date('YmdHs') . '.xlsx',
                'headers' => ['gender' => '性别', 'created_at' => '注册时间', 'status' => '账户状态'],
                'columns' => ['uid:text:用户编号', 'nickname', 'realname', 'mobile', 'credit0', 'credit1', 'round', 'victory', 'odds', 'card_num', 'level', 'qq', ['attribute' => 'gender', 'value' => function ($model) {
                    return $model['gender'] == 1 ? '男' : '女';
                },], ['attribute' => 'created_at', 'format' => ['date', 'php:Y-m-d H:i:s']],],
            ]);
        }
        $this->view->title = '会员管理';
        return $this->render('recycle', ['query' => $query, 'searchArr' => $searchArr]);
    }

    /**
     * 会员还原
     * @return \yii\web\Response
     */
    public function actionBack()
    {
        $uid = Yii::$app->request->get('id');
        $item = User::findOne($uid);
        if ($item) {
            $item->status = 9;
            if ($item->save(false)) {
                 $manager=new ManagerLog(); 
                     $manager->operate ="会员还原成功操作会员ID为". $item['uid'].'名为'.$item['nickname']?$item['nickname']:$item['realname'];
                     $result = $manager->save();
                Yii::$app->getSession()->setFlash('success', '会员还原成功');
                return $this->redirect(['user/recycle']);
            } else {
                Yii::$app->getSession()->setFlash('error', '会员还原失败');
                return $this->redirect(['user/recycle']);
            }
        } else {
            Yii::$app->getSession()->setFlash('error', '会员不存在');
            return $this->redirect(['user/recycle']);
        }
    }

    /**
     * 会员完全删除
     * @return \yii\web\Response
     * @throws \Exception
     * @throws \Throwable
     * @throws \yii\db\StaleObjectException
     */
    public function actionRedelete()
    {
        $uid = Yii::$app->request->get('id');

        $model = User::findOne($uid)->delete();
        if ($model > 0) {
              $manager=new ManagerLog(); 
                     $manager->operate ="会员删除成功操作会员ID为". $model['uid'].'名为'.$model['nickname']?$model['nickname']:$model['realname'];
                     $result = $manager->save();
            $this->message('删除成功', ['user/recycle'], 'success');
        } else {
            $this->message('删除失败', ['user/recycle'], 'error');
        }
        return $this->redirect(['user/recycle']);
    }

    /**
     * 修改银行卡
     * @return string|Response
     */
    public function actionCardEdit()
    {
        $model = new Bankcard();
        $id = intval(Yii::$app->request->get('id'));
        if (!empty($id)) {
            $model = Bankcard::findOne($id);
            if (empty($model)) {
                return $this->message('您要编辑的信息不存在', ['user/bankcard'], 'error');
            }
        }
        if ($model->load(Yii::$app->request->post())) {
            if ($model->save()) {
                 $manager=new ManagerLog(); 
                     $manager->operate ="银行卡修改成功uid为". $model['uid'].'卡名为'.$model['card_name']."卡号为".$model['card_num'];
                     $result = $manager->save();
                return $this->message('更新成功', ['user/bankcard'], 'success');
            } else {
                return $this->message('更新失败: ' . json_encode($model->getFirstErrors()), ['user/bankcard'], 'error');
            }
        }
        return $this->render('card-edit', [
            'model' => $model
        ]);
    }

    /**
     * 删除银行卡
     * @param $id
     * @return \yii\web\Response
     * @throws \Exception
     * @throws \Throwable
     * @throws \yii\db\StaleObjectException
     */
    public function actionCardDelete($id)
    {
        $item = Bankcard::findOne($id)->delete();
        if ($item > 0) {
            Yii::$app->getSession()->setFlash('success', '删除成功');
            $manager=new ManagerLog(); 
                     $manager->operate ="银行卡删除成功uid为".$item['uid'].'卡名为'.$item['card_name']."卡号为".$item['card_num'];
                     $result = $manager->save();
            return $this->redirect(['user/bankcard']);
        } else {
            Yii::$app->getSession()->setFlash('error', '删除失败');
            return $this->redirect(['user/bankcard']);
        }
    }

    /**
     * 关系列表
     * @return string
     */
    public function actionRelationList()
    {
        $this->view->title = '关系列表';
        return $this->render('relation-list');
    }

    /**
     * 查找下级
     * @param $data
     * @return array
     */
    public function disTree($data)
    {
        $tree = array();
        foreach ($data as $item) {
            $pid = 0;
            if ($item['superior'] !== "0") {
                preg_match('/^\d*_/', $item['superior'], $matches);
                if (!empty($matches)) {
                    $pid = trim($matches[0], "_");
                }
            }
            if (!empty($data[$pid])) {
                $data[$pid]['children'][] = &$data[$item['id']];
            } else {
                $tree[] = &$data[$item['id']];
            }
        }
        return $tree;
    }

    /**
     * 关系列表
     * @return array|string
     */
    public function actionRelationLists()
    {
        $id = Yii::$app->request->get("id");
        $data = $userData = array();
        if (isset($id)) {
            switch (Yii::$app->request->get('types')) {
                case "get_node":
                    $temp = User::find()->select(['uid', 'mobile', 'nickname', 'realname', 'superior'])->where(['status' => 0])->asArray()->all();
                    foreach ($temp as $key => $val) {
                        $val["text"] = "<span id='{$val['nickname']}'>" . $val['realname'] . "</span><e style='color:#aaa;font-size:15px' id='{$val['uid']}'>&lt;UID" . $val['uid'] . "&gt;</e>";
                        $val["id"] = $val['uid'];
                        $userData[$val['uid']] = $val;
                    }
                    $data[] = array('id' => "0", 'text' => "总店", "state" => array("opened" => true), 'children' => $this->disTree($userData), "type" => "root");
                    break;
                case "move_node":
                    $id = intval(Yii::$app->request->get("id"));
                    $parent = intval(Yii::$app->request->get("parent"));
                    if (!empty($id)) {
                        $relation = User::find()->select("superior")->where(["uid" => $parent])->asArray()->one();
                        $user_model = User::findOne(["uid" => $id]);
                        $user_model->superior = trim($parent . "_" . $relation['superior'], "_");
                        $user_model->save();
                        $userList = User::find()->select(["uid", "superior"])->where("superior like '{$id}_%' or superior REGEXP '[0-9]_{$id}_'")->asArray()->all();
                        if (!empty($userList)) {
                            foreach ($userList as $k => $v) {
                                $rule = "/(\b" . $id . "\b\-)(.*)/";
                                $s = $parent . "_" . $relation['superior'];
                                $rela = preg_replace($rule, '${1}' . $s, $v["superior"]);
                                if ($v['uid'] > 0) {
                                    $model = User::findOne(["uid" => $v['uid']]);
                                    $model->superior = trim($rela, "_");
                                    $model->save();
                                }
                            }
                        }
                        break;
                    }
                    break;
                default:
                    break;
            }
        }
        $temp = User::find()->select(['uid', 'mobile', 'nickname', 'realname', 'superior', 'created_at'])->where(['status' => 0])->asArray()->all();
        foreach ($temp as $key => $val) {
            $val["text"] = "<span id='{$val['nickname']}'>" . $val['realname'] . "</span><e style='color:#aaa;font-size:15px' id='{$val['uid']}'>&lt;UID" . $val['uid'] . "&gt;</e>" . '联系电话:<e style=\'color:#bb5c86;font-size:15px\'>&lt;' . $val['mobile'] . '&gt;</e>' . '注册时间:<e style=\'color:#bb5c86;font-size:15px\'>&lt;' . date("Y-m-d H:i:s", $val['created_at']) . '&gt;</e>';
            $val["id"] = $val['uid'];
            $userData[$val['uid']] = $val;
        }
        $data = $this->disTree($userData);
        Yii::$app->response->format = Response::FORMAT_JSON;
        return $data;
    }

}
