<?php
/**
 * Created by PhpStorm.
 */

namespace backend\controllers;


use common\models\UserOrder;
use Yii;
use moonland\phpexcel\Excel;
use common\widgets\daterangepicker\DateRangePicker;

class UserOrderController extends ControllerBase
{

    /**
     * 用户订单
     * @return string
     */
    public function actionList()
    {
        $tablePrefix = \Yii::$app->db->tablePrefix;
        $searchArr = ['keywords' => '', 'date' => ['start' => date('2017-01-01 00:00'), 'end' => date('Y-m-d H:i')]];
        $query = UserOrder::find()->joinwith('user')->orderBy('created_at desc');
        $request = Yii::$app->request;
        $keywords = $request->get('keywords', '');
        $keywords = trim($keywords);
        if (!empty($keywords)) {
            $searchArr['keywords'] = $keywords;
            $conn = "{$tablePrefix}user_order.id = '{$keywords}' OR {$tablePrefix}user_order.uid ='{$keywords}' OR {$tablePrefix}user.mobile = '{$keywords}'OR {$tablePrefix}user_order.title ='{$keywords}' OR {$tablePrefix}user_order.order_id ='{$keywords}' OR {$tablePrefix}user_order.price ='{$keywords}'";
            $query->andWhere($conn);
        }
        $date = $request->get('date', []);
        if (!empty($date)) {
            $tmp = explode(DateRangePicker::SEPARATOR, $date);
            $searchArr['date'] = ['start' => $tmp['0'], 'end' => $tmp['1']];
            $query->andWhere(['between', "{$tablePrefix}user_order.created_at", strtotime($tmp['0']), strtotime($tmp['1'])]);
        }
        $total = $query->sum('price');
        $this->view->title = '订单管理';
        return $this->render('list', ['query' => $query, 'searchArr' => $searchArr, 'total' => $total]);
    }
}
