<?php

namespace backend\models;



/**
 * This is the model class for table "{{%rebate}}".
 *
 * @property integer $id
 * @property integer $uid
 * @property string $type
 * @property string $gold
 * @property string $order
 * @property integer $rebate_type
 * @property integer $created_at
 */
class Rebate extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%rebate}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'uid', 'type', 'gold', 'order'], 'required'],
            [['id', 'uid', 'created_at', 'rebate_type'], 'integer'],
            [['gold'], 'number'],
            [['type'], 'string', 'max' => 25],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => '序号',
            'uid' => '用户id',
            'type' => '1消费，2分红，3汇联，4分销，5推广，6志愿者，7合伙人',
            'gold' => '金额',
            'createtime' => '创建时间',
        ];
    }

    /**
     * 根据类型查找数据
     * @param $type
     * @param $uid
     * @param $page
     * @param $limit
     * @return array|\yii\db\ActiveRecord[]
     */
    public function findByType($type, $uid, $page, $limit = '5')
    {
        return self::find()->where(['type' => $type, 'uid' => $uid])->offset($page * $limit)->limit($limit)->asArray()->all();
    }

    /**
     * 获取兑换状态
     * @param $data
     * @return string
     */
    public function rebateStatus($data)
    {
        switch ($data) {
            case 0 :
                return '银行卡';
                break;
            case 1 :
                return '零钱';
                break;
            case 2:
                return '志愿者账户';
                break;
            default :
                return '未知类型';

        }
    }
}
