<?php

namespace backend\models;


use yii\behaviors\TimestampBehavior;
use yii\db\ActiveRecord;

/**
 * This is the model class for table "{{%shops_applyfor}}".
 *
 * @property integer $id
 * @property integer $uid
 * @property string $username
 * @property string $mobile
 * @property integer $pepole
 * @property string $content
 * @property string $shoptitle
 * @property string $shopaddress
 * @property string $imgs
 * @property integer $status
 * @property integer $shop_type
 * @property integer $createtime
 * @property integer $updated_at
 * @property integer $displayorder
 * @property integer $isDel
 * @property string $product
 * @property string $birth
 * @property string $cid
 * @property string $businessLicence
 * @property string $idCardThumbA
 * @property string $idCardThumbB
 * @property integer $shopPerUid
 * @property string $description
 */
class ShopsApplyfor extends ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%shops_applyfor}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['username', 'mobile', 'shoptitle', 'imgs', 'created_at', 'idCardThumbA', 'idCardThumbB'], 'required'],
            [['uid', 'pepole', 'shop_type', 'updated_at'], 'integer'],
            [['content', 'imgs', 'businessLicence', 'idCardThumbA', 'idCardThumbB', 'description', 'birth', 'shopaddress',], 'string'],
            [['username', 'shoptitle'], 'string', 'max' => 50],
            [['reason'], 'string', 'max' => 5000],
            [['mobile'], 'match', 'pattern' => '/^1[0-9]{10}$/', 'message' => '手机号必须为1开头的11位纯数字'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'uid' => '用户ID',
            'username' => '登录帐号',
            'mobile' => '手机号',
            'pepole' => '推荐人uid',
            'shoptitle' => '商家名称',
            'shopaddress' => '商家详细地址',
            'status' => '状态',
            'shop_type' => '开店or加盟(1开店,0加盟)',
            'created_at' => '创建时间',
            'isDel' => '是否删除',
            'product' => '产地信息',
            'birth' => '地址信息',
            'cid' => '商家分类Id',
            'imgs' => '手持身份证',
            'reason' => "驳回原因",
            'businessLicence' => '营业执照',
            'idCardThumbA' => '法人身份证正面',
            'idCardThumbB' => '法人身份证反面',
            'description' => '商家描述',
            'logo' => '商家头像'
        ];
    }

    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            [
                'class' => TimestampBehavior::className(),
                'createdAtAttribute' => 'created_at',
                'updatedAtAttribute' => 'updated_at',
            ],
        ];
    }

    /**
     * @param $uid
     * @return array|null|ActiveRecord
     */
    public static function findById($uid)
    {
        return self::find()->where(['uid' => $uid])->andWhere(['isDel' => 0])->orderBy('id desc')->asArray()->one();
    }
}
