<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/29 11:07
 */

namespace backend\modules\game\controllers;


use backend\controllers\ControllerBase;
use common\models\GameConfig;
use yii\helpers\Json;

class ConfigController extends ControllerBase
{
    /**
     * @return string|\yii\web\Response
     */
    public function actionIndex()
    {
        $request = \Yii::$app->request;
        $name = $request->get('name', 'game');
        $model = GameConfig::findByName($name);
        if (!empty($model->value)) {
            $config = Json::decode($model->value, true);
        } else {
            $config = [];
        }

        if ($request->isPost) {
            $model->value = Json::encode($request->post('config'));
            if ($model->save()) {
                return $this->message('更新成功！', 'referer', 'success');
            } else {
                return $this->message('更新失败！', 'referer', 'error');
            }
        }

        return $this->render('index', [
            'config' => $config,
            'name' => $name
        ]);
    }
}
