<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/26 17:36
 */

namespace backend\modules\game\controllers;


use backend\controllers\ControllerBase;
use common\models\GameGoods;
use common\models\GameLand;
use common\widgets\daterangepicker\DateRangePicker;
use moonland\phpexcel\Excel;
use yii\helpers\ArrayHelper;

class LandController extends ControllerBase
{
    /**
     * @return string
     */
    public function actionIndex()
    {
        $tablePrefix = \Yii::$app->db->tablePrefix;

        $request = \Yii::$app->request;
        $query = GameLand::find()->innerJoinWith('gameUser')->orderBy('updated_at desc');

        $goodsList = ArrayHelper::map(GameGoods::getTree(), 'id', 'title');

        $searchArr = ['keywords' => '', 'goods_id' => '', 'date' => ['start' => '2017-01-01 00:00', 'end' => date('Y-m-d H:i')]];
        $keywords = $request->get('keywords', '');
        if (!empty($keywords)) {
            $searchArr['keywords'] = $keywords;
            $query->andWhere("{$tablePrefix}game_user.uid = '{$keywords}' OR {$tablePrefix}game_user.nickname LIKE '%{$keywords}%'");
        }
        $goods_id = $request->get('goods_id', '');
        if (!empty($goods_id)) {
            $searchArr['goods_id'] = $goods_id;
            $query->andWhere([$tablePrefix . 'game_land.goods_id' => $goods_id]);
        }
        $date = $request->get('date', []);
        if (!empty($date)) {
            $tmp = explode(DateRangePicker::SEPARATOR, $date);
            $searchArr['date'] = ['start' => $tmp['0'], 'end' => $tmp['1']];
            $query->andWhere(['between', $tablePrefix . 'game_land.updated_at', strtotime($tmp['0']), strtotime($tmp['1'])]);
        }

        if ($request->get('op') == 'export') {
            return Excel::export([
                'models' => $query->all(),
                'fileName' => '土地_' . date('YmdHs') . '.xlsx',
                'columns' => ['id', 'uid', 'type', 'goods_id', 'goods_name'],
            ]);
        }
        return $this->render('index', ['query' => $query, 'searchArr' => $searchArr, 'goodsList' => $goodsList]);
    }
}
