<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/22 18:19
 */

namespace backend\modules\game\controllers;

use backend\controllers\ControllerBase;
use common\models\GameOrder;
use common\widgets\daterangepicker\DateRangePicker;
use moonland\phpexcel\Excel;

class OrderController extends ControllerBase
{
    /**
     * @return string
     */
    public function actionIndex()
    {
        $request = \Yii::$app->request;
        $sort = $request->get('sort');
        $orderBy = empty($sort) ? 'id DESC' : '';
        $query = GameOrder::find()->orderBy($orderBy);

        // 搜索
        $searchArr = ['keywords' => '', 'type' => '', 'date' => ['start' => '2017-01-01 00:00', 'end' => date('Y-m-d H:i')]];
        $keywords = $request->get('keywords', '');
        if (!empty($keywords)) {
            $searchArr['keywords'] = $keywords;
            $query->andWhere("uid = '{$keywords}' OR goods_name LIKE '%{$keywords}%'");
        }
        $type = $request->get('type', '');
        if (!empty($type)) {
            $searchArr['type'] = $type;
            $query->andWhere(['type' => $type]);
        }
        $date = $request->get('date', []);
        if (!empty($date)) {
            $tmp = explode(DateRangePicker::SEPARATOR, $date);
            $searchArr['date'] = ['start' => $tmp['0'], 'end' => $tmp['1']];
            $query->andWhere(['between', 'created_at', strtotime($tmp['0']), strtotime($tmp['1'])]);
        }

        // 导出Excel
        if ($request->get('op') == 'export') {
            return Excel::export([
                'models' => $query->all(),
                'fileName' => '订单_' . date('YmdHs') . '.xlsx',
                'columns' => ['id', 'uid', 'type', 'goods_id', 'goods_name', 'num', 'c_price', 't_price', 'g_price', ['attribute' => 'created_at', 'format' => ['date', 'php:Y-m-d H:i:s']]],
            ]);
        }
        return $this->render('index', ['query' => $query, 'searchArr' => $searchArr]);
    }
}
