<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/26 16:46
 */

namespace backend\modules\game\controllers;


use backend\controllers\ControllerBase;
use common\models\GameUser;
use common\widgets\daterangepicker\DateRangePicker;
use moonland\phpexcel\Excel;

class UserController extends ControllerBase
{
    /**
     * @return string
     */
    public function actionIndex()
    {
        $tablePrefix = \Yii::$app->db->tablePrefix;

        $request = \Yii::$app->request;
        $query = GameUser::find()->innerJoinWith('user')->orderBy('created_at desc');

        $searchArr = ['keywords' => '', 'date' => ['start' => '2017-01-01 00:00', 'end' => date('Y-m-d H:i')]];
        $keywords = $request->get('keywords', '');
        if (!empty($keywords)) {
            $searchArr['keywords'] = $keywords;
            $query->andWhere("{$tablePrefix}game_user.uid = '{$keywords}' OR {$tablePrefix}game_user.nickname LIKE '%{$keywords}%'");
        }
        $date = $request->get('date', []);
        if (!empty($date)) {
            $tmp = explode(DateRangePicker::SEPARATOR, $date);
            $searchArr['date'] = ['start' => $tmp['0'], 'end' => $tmp['1']];
            $query->andWhere(['between', $tablePrefix . 'game_user.created_at', strtotime($tmp['0']), strtotime($tmp['1'])]);
        }

        if ($request->get('op') == 'export') {
            return Excel::export([
                'models' => $query->all(),
                'fileName' => '游戏会员_' . date('YmdHs') . '.xlsx',
                'columns' => ['uid', 'nickname', 'user.credit0', 'user.credit1', 'user.credit2', 'user.credit3', ['attribute' => 'created_at', 'format' => ['date', 'php:Y-m-d H:i:s']]
                ],
            ]);
        }
        return $this->render('index', ['query' => $query, 'searchArr' => $searchArr]);
    }
}
