<?php
/**
 * @var string $keywords
 * @var yii\db\ActiveQuery $query
 */

use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use common\models\Config;
use yii\data\ActiveDataProvider;

$this->title = '游戏道具商品';
?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <?php
            $dataProvider = new ActiveDataProvider([
                'query' => $query,
                'pagination' => [
                    'pageSize' => 15,
                ],
            ]);
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'id',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'title',
                        'headerOptions' => ['width' => '120'],
                    ],
                    [
                        'attribute' => 'type',
                        'enableSorting' => true,
                        'value' => function ($model) {
                            $type = Config::getConfig('GAME_GOODS_TYPE');
                            return @$type[$model->type];
                        }
                    ],
                    'c_price',
                    't_price',
                    'g_price',
                    [
                        'attribute' => 'updated_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'headerOptions' => ['width' => '200'],
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'status',
                        'enableSorting' => true,
                        'format' => 'raw',
                        'value' => function ($model) {
                            return $model->status == 1 ? '<span class="label label-success">启用</span>' : '<span class="label label-default">禁用</span>';
                        }
                    ],
                    [
                        'class' => MyActionColumn::className(),
                    ]
                ]
            ]);
            ?>
        </div>
    </div>
</div>
