<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/21 14:03
 */

/**
 * @var $model common\models\GameGoods
 */

use common\helpers\MyHtml;
use yii\helpers\Html;
use backend\widgets\MyActiveForm;

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box-body">
                <?php $form = MyActiveForm::begin(); ?>
                <?= $form->field($model, 'type')->dropDownList(\common\models\Config::getConfig('GAME_GOODS_TYPE')) ?>
                <?= $form->field($model, 'title') ?>
                <?= $form->field($model, 'desc')->textarea() ?>
                <div class="form-group" id="growth" style="<?php if ($model->type != '1') echo 'display: none'; ?>">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">生产周期</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <div class="input-group">
                            <span class="input-group-addon" id="sizing-addon1">成长期</span>
                            <input class="form-control" placeholder="时间" name="GameGoods[growth][2][time]"
                                   value="<?= @$model->growth[2]['time'] ?>">
                            <span class="input-group-addon" id="sizing-addon1">天 每天产生</span>
                            <input class="form-control" placeholder="数量" name="GameGoods[growth][2][num]"
                                   value="<?= @$model->growth[2]['num'] ?>">
                            <span class="input-group-addon" id="sizing-addon1">自生碳汇</span>
                        </div>
                        <div class="input-group">
                            <span class="input-group-addon" id="sizing-addon1">成熟期</span>
                            <input class="form-control" placeholder="时间" name="GameGoods[growth][3][time]"
                                   value="<?= @$model->growth[3]['time'] ?>">
                            <span class="input-group-addon" id="sizing-addon1">天 每天产生</span>
                            <input class="form-control" placeholder="数量" name="GameGoods[growth][3][num]"
                                   value="<?= @$model->growth[3]['num'] ?>">
                            <span class="input-group-addon" id="sizing-addon1">自生碳汇</span>
                        </div>
                        <div class="input-group">
                            <span class="input-group-addon" id="sizing-addon1">衰老期</span>
                            <input class="form-control" placeholder="时间" name="GameGoods[growth][4][time]"
                                   value="<?= @$model->growth[4]['time'] ?>">
                            <span class="input-group-addon" id="sizing-addon1">天 每天产生</span>
                            <input class="form-control" placeholder="数量" name="GameGoods[growth][4][num]"
                                   value="<?= @$model->growth[4]['num'] ?>">
                            <span class="input-group-addon" id="sizing-addon1">自生碳汇</span>
                        </div>
                        <div class="input-group">
                            <span class="input-group-addon" id="sizing-addon1">枯萎期</span>
                            <input class="form-control" placeholder="时间" name="GameGoods[growth][5][time]"
                                   value="<?= @$model->growth[5]['time'] ?>">
                            <span class="input-group-addon" id="sizing-addon1">天 每天产生</span>
                            <input class="form-control" placeholder="数量" name="GameGoods[growth][5][num]"
                                   value="<?= @$model->growth[5]['num'] ?>">
                            <span class="input-group-addon" id="sizing-addon1">自生碳汇</span>
                        </div>
                    </div>
                </div>
                <?= $form->field($model, 'expiry_day')->hint('仅对化肥有效，其他请留空') ?>
                <?= $form->field($model, 'c_price')->hint('不需要可留空或填写0') ?>
                <?= $form->field($model, 't_price')->hint('不需要可留空或填写0') ?>
                <?= $form->field($model, 'g_price')->hint('不需要可留空或填写0') ?>
                <?= $form->field($model, 'status')->radioList(['0' => '禁用', '1' => '启用'], ['item' => [MyHtml::className(), 'radioListItem']]) ?>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-5">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-primary']) ?>
                    </div>
                </div>
                <?php MyActiveForm::end(); ?>

            </div>
        </div>
    </div>
</div>

<script>
    <?php $this->beginBlock('footerJs') ?>
    $('#gamegoods-type').on('change', function () {
        if ($(this).val() !== '1') {
            $("#growth").hide();
        } else {
            $("#growth").show();
        }
    });
    <?php $this->endBlock() ?>
</script>
