<?php
/**
 * @var string $keywords
 * @var array $searchArr
 * @var array $goodsList
 * @var yii\db\ActiveQuery $query
 */

use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use yii\data\ActiveDataProvider;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\widgets\Pjax;

$this->title = '土地管理';
?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <?= $this->render('_search-form', ['searchArr' => $searchArr, 'goodsList' => $goodsList]) ?>
            <?php
            Pjax::begin();
            $dataProvider = new ActiveDataProvider([
                'query' => $query,
                'pagination' => [
                    'pageSize' => 20,
                ],
            ]);
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'uid',
                        'enableSorting' => true,
                        'headerOptions' => ['width' => '120'],
                    ],
                    [
                        'attribute' => 'gameUser.nickname',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'index',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'goods_name',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'phase',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'growing',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'updated_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'headerOptions' => ['width' => '200'],
                        'enableSorting' => true,
                    ],
                    [
                        'class' => MyActionColumn::className(),
                        'template' => '{land}',
                        'buttons' => [
                            'land' => function ($url, $model, $key) {
                                return Html::a('土地', Url::to(['/game/land/index', 'uid' => $model->uid]), ['class' => 'btn btn-default btn-sm']);
                            }
                        ],
                        'contentOptions' => ['style' => 'padding:3px']
                    ]
                ]
            ]);
            Pjax::end();
            ?>
        </div>
    </div>
</div>

