<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/13 16:47
 */

/**
 * @var $this yii\web\view
 * @var $searchArr array
 */

use common\helpers\MyHtml;
use common\models\Config;
use common\widgets\daterangepicker\DateRangePicker;
use yii\bootstrap\Html;
use yii\helpers\Url;
use yii\web\JsExpression;

?>

<div class="box box-success">
    <div class="box-header with-border">
        <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
        </div>
    </div>
    <div class="box-body">
        <?= Html::beginForm(['order/index'], 'get', ['class' => 'form-horizontal']) ?>
        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
            <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                <?= Html::textInput('keywords', $searchArr['keywords'], ['class' => 'form-control']); ?>
                <div class="help-block">请输入用户UID或产品名称</div>
            </div>
        </div>

        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">商品类型</label>
            <div class="col-xs-12 col-sm-9 col-md-10 col-lg-11">
                <?= Html::checkboxList('type', $searchArr['type'], Config::getConfig('GAME_GOODS_TYPE'), ['item' => [MyHtml::className(), 'checkboxListItem']]); ?>
            </div>
        </div>

        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">下单时间</label>
            <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                <?= DateRangePicker::widget([
                    'name' => 'date',
                    'clientOptions' => [
                        'startDate' => $searchArr['date']['start'],
                        'endDate' => $searchArr['date']['end'],

                    ],
                    'clientEvents' => [],
                ]) ?>
            </div>
        </div>

        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
            <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                <?= Html::submitButton('提交', ['class' => 'btn btn-success']); ?>
                <a href="<?= Url::toRoute(['order/index']) ?>">
                    <div class="btn btn-default"><i class="glyphicon glyphicon-leaf"></i> 清除筛选</div>
                </a>
                <?= Html::submitButton('导出', ['class' => 'btn btn-primary pull-right', 'name' => 'op', 'value' => 'export']); ?>

            </div>
        </div>
        <?= Html::endForm() ?>
    </div>
</div>
