<?php
/**
 * @var string $keywords
 * @var array $searchArr
 * @var yii\db\ActiveQuery $query
 */

use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use common\models\Config;
use yii\data\ActiveDataProvider;
use yii\widgets\Pjax;

$this->title = '订单记录';
?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <?= $this->render('_search-form', ['searchArr' => $searchArr]) ?>
            <?php
            Pjax::begin();
            $dataProvider = new ActiveDataProvider([
                'query' => $query,
                'pagination' => [
                    'pageSize' => 15,
                ],
            ]);
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'id',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'uid',
                        'enableSorting' => true,
                        'headerOptions' => ['width' => '120'],
                    ],
                    [
                        'attribute' => 'goods_id',
                        'enableSorting' => true,
                        'headerOptions' => ['width' => '120'],
                    ],
                    'goods_name',
                    [
                        'attribute' => 'type',
                        'enableSorting' => true,
                        'value' => function ($model) {
                            $type = Config::getConfig('GAME_GOODS_TYPE');
                            return @$type[$model->type];
                        }
                    ],
                    'num',
                    'c_price',
                    't_price',
                    'g_price',
                    [
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'headerOptions' => ['width' => '200'],
                        'enableSorting' => true,
                    ],
                    [
                        'class' => MyActionColumn::className(),
                    ]
                ]
            ]);
            Pjax::end();
            ?>
        </div>
    </div>
</div>

