<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/13 16:47
 */

/**
 * @var string $keywords
 * @var array $searchArr
 * @var yii\db\ActiveQuery $query
 */

use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use yii\data\ActiveDataProvider;
use yii\widgets\Pjax;

$this->title = '碳汇认证记录';
?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <?= $this->render('_search-form', ['searchArr' => $searchArr]) ?>
            <?php
            Pjax::begin();
            $dataProvider = new ActiveDataProvider([
                'query' => $query,
                'pagination' => [
                    'pageSize' => 15,
                ],
            ]);
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'id',
                        'enableSorting' => true,
                        'headerOptions' => ['width' => '80px'],
                    ],
                    [
                        'attribute' => 'uid',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'num',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'service_price',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 't_num',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'g_num',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'effective_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'status',
                        'format' => 'raw',
                        'value' => function ($model) {
                            return $model->status == 1 ? '<span class="label label-success">已领取</span>' : '<span class="label label-default">未领取</span>';
                        },
                    ],
                    [
                        'class' => MyActionColumn::className(),
                    ]
                ]
            ]);
            Pjax::end();
            ?>
        </div>
    </div>
</div>

