<?php
/**
 * @var string $keywords
 * @var array $searchArr
 * @var yii\db\ActiveQuery $query
 */

use backend\widgets\grid\MyGridView;
use yii\data\ActiveDataProvider;
use yii\widgets\Pjax;

$this->title = '游戏会员';
?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <?= $this->render('_search-form', ['searchArr' => $searchArr]) ?>
            <?php
            Pjax::begin();
            $dataProvider = new ActiveDataProvider([
                'query' => $query,
                'pagination' => [
                    'pageSize' => 15,
                ],
            ]);
            $dataProvider->setSort([
                'attributes' => [
                    'uid',
                    'created_at',
                    'credit0',
                    'credit1',
                    'credit2',
                    'credit3',
                ]
            ]);
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'uid',
                        'enableSorting' => true,
                        'headerOptions' => ['width' => '120'],
                    ],
                    'nickname',
                    [
                        'label' => 'C币',
                        'attribute' => 'credit0',
                        'value' => 'user.credit0',
                        'enableSorting' => true,
                    ],
                    [
                        'label' => 'c贝',
                        'attribute' => 'credit1',
                        'value' => 'user.credit1',
                        'enableSorting' => true,
                    ],
                    [
                        'label' => '碳汇',
                        'attribute' => 'credit2',
                        'value' => 'user.credit2',
                        'enableSorting' => true,
                    ],
                    [
                        'label' => '金碳汇',
                        'attribute' => 'credit3',
                        'value' => 'user.credit3',
                        'enableSorting' => true,
                    ],

                    [
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'headerOptions' => ['width' => '200'],
                        'enableSorting' => true,
                    ]
                ]
            ]);
            Pjax::end();
            ?>
        </div>
    </div>
</div>

