<?php
/* @var $this yii\web\View */

use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use yii\data\ActiveDataProvider;
use yii\helpers\Html;

/* @var $list array */
/** @var array $keywords */
?>
<div class="nav-tabs-custom">
    <?= $this->render('_back-tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box box-success">
                <div class="box-header with-border"></div>
                <div class="box-body">
                    <form class="form-horizontal" method="get">
                        <div class="form-group">
                            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
                            <div class="col-xs-12 col-sm-5">
                                <input type="hidden" name="r" value="/announcement/feedback">
                                <input type="text" class="form-control" name="keywords" value="<?= $keywords ?>"
                                       placeholder="请输入ID搜索">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                            <div class="col-xs-12 col-sm-5">
                                <button type="submit" class="btn btn-info">搜索</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <?php
            $dataProvider = new ActiveDataProvider([
                'query' => $list,
                'pagination' => [
                    'pageSize' => 10,
                ],
            ]);
            $arr = $list->all();
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'id',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'uid',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'content',
                    ],
                    [
                        'attribute' => 'status',
                        'format' => 'html',
                        'value' => function ($model) {
                            return $model['status'] == 9 ? '<span class="badge bg-red">隐藏</span>' : '<span class="badge bg-green">显示</span>';
                        },
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],

                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'updated_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],

                        'enableSorting' => true,
                    ],
                    [
                        'class' => MyActionColumn::class,
                        'header' => '操作',
                        'template' => '&nbsp;&nbsp;&nbsp;{feedback-update}&nbsp;&nbsp;&nbsp;{feedback-delete}',
                        'buttons' => [
                            'feedback-delete' => function ($url) {
                                return Html::a('<span class=" glyphicon glyphicon-trash
"></span>', $url, ['title' => '修改', 'onclick' => "if(!confirm('请确认审核成功吗？')) return false;"]);
                            },
                            'feedback-update' => function ($url) {
                                return Html::a('<span class=" glyphicon glyphicon-pencil
"></span>', $url);
                            },
                        ],
                    ],
                ]
            ]);
            ?>
        </div>
    </div>
</div>

