<?php

use backend\widgets\MyActiveForm;
use yii\bootstrap\Html;
use common\widgets\kindeditor\KindeditorWidget;

/** @var object $item
 */
?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box-body">
                <?php $form = MyActiveForm::begin(); ?>
                <?= $form->field($model, 'title')->textInput(['placeholder' => '请输入标题', 'value' => $item['title']])->label('标题'); ?>
                <?= $form->field($model, 'remark')->textInput(['placeholder' => '请输入描述', 'value' => $item['remark']])->label('描述'); ?>
                <?php $model->content = $item['content'] ?>
                <?= $form->field($model, 'content')->label('内容')->widget(KindEditorWidget::className(), [
                    'clientOptions' => [
                        'width' => '100%',
                        'height' => '500px',
                        'themeType' => 'simple',
                    ],
                ]);
                ?>
                <?= $form->field($model, 'type')->hiddenInput(['value' => 5])->label(false); ?>
                <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                <div class="col-xs-12 col-sm-5">
                    <?= Html::submitButton('提交', ['class' => 'btn btn-primary']) ?>
                </div>
            </div>
            <?php MyActiveForm::end(); ?>
        </div>
    </div>
</div>
</div>
