<?php
/* @var $this yii\web\View */

use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use yii\data\ActiveDataProvider;
use yii\helpers\Url;

/* @var $list array */

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box box-success">
                <div class="box-header with-border"></div>
                <div class="box-body">
                    <form class="form-horizontal" method="get">
                        <div class="form-group">
                            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
                            <div class="col-xs-12 col-sm-5">
                                <input type="hidden" name="r" value="article/cate-list">
                                <input type="text" class="form-control" name="keywords" value="<?= $keywords ?>"
                                       placeholder="请输入关键词搜索">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                            <div class="col-xs-12 col-sm-5">
                                <button type="submit" class="btn btn-info">搜索</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="box-header clearfix no-border">
                <a href="<?= Url::to(['article/cate-update']) ?>" class="btn btn-default pull-left"><i
                        class="fa fa-plus"></i>添加分类</a>
            </div>
            <?php
            $dataProvider = new ActiveDataProvider([
                'query' => $list,
                'pagination' => [
                    'pageSize' => 10,
                ],
            ]);
            $arr = $list->all();
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'id',
                        'enableSorting' => true,
                        'headerOptions' => ['width' => '80'],
                    ],
                    [
                        'attribute' => 'title',
                        'headerOptions' => ['width' => '120'],
                    ],
                    [
                        'attribute' => 'remark',
                        'headerOptions' => ['width' => '120'],
                    ],
                    [
                        'attribute' => 'pid',
                        'enableSorting' => true,
                        'headerOptions' => ['width' => '100'],
                    ],
                    [
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'headerOptions' => ['width' => '120'],
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'updated_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'headerOptions' => ['width' => '120'],
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'status',
                        'format' => 'html',
                        'value' => function ($model) {
                            return $model['status'] == 9 ? '<span class="badge bg-red">隐藏</span>' : '<span class="badge bg-green">显示</span>';
                        },
                        'enableSorting' => true,
                        'headerOptions' => ['width' => '100'],
                    ],
                    [
                        'class' => MyActionColumn::class,
                        'headerOptions' => ['width' => '80'],
                        //'class' => \yii\grid\ActionColumn::className(),
                        'header' => '操作',
                        'template' => '{update}&nbsp;&nbsp;{delete}',
                        'urlCreator' => function ($action, $model, $key, $index) {
                            switch ($action) {
                                case 'update':
                                    return \yii\helpers\url::toRoute(['article/cate-update', 'id' => $model->id]);
                                case 'delete':
                                    return \yii\helpers\url::toRoute(['article/cate-delete', 'id' => $model->id]);
                            }
                        },
                    ],
                ]
            ]);
            ?>
        </div>
    </div>
</div>

