<?php
/**
 * @var $item backend\models\SystemMenu
 * @var $list array
 * @var $model object
 */
use yii\helpers\Html;
use yii\helpers\ArrayHelper;
use yii\widgets\ActiveForm;
use common\helpers\MyHtml;


?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box-body">
                <?php $form = ActiveForm::begin([
                    'method' => 'post',
                    'options' => ['class' => 'form-horizontal'],
                    'fieldConfig' => [
                        'template' => '{label}<div class="col-xs-12 col-sm-5">{input}{hint}{error}</div>',
                        'labelOptions' => ['class' => 'col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label']
                    ],
                ]); ?>
                <?= $form->field($item, 'pid')->dropDownList(['0' => '顶级分类'] + ArrayHelper::map($list, 'id', 'title'), ['prompt'], ['value' => isset($item['pid']) ? $item['pid'] : 0, 'style' => 'width:200px;'])->label('上级分类'); ?>
                <?= $form->field($item, 'title')->textInput(['placeholder' => '分类名称（必填）'])->label('文章分类'); ?>
                <?= $form->field($item, 'remark')->textarea(['rows' => '6', 'placeholder' => '相关描述'])->label('描述'); ?>
                <?= $form->field($item, 'status')->radioList([0 => '显示', 9 => '隐藏'], ['item' => [MyHtml::class, 'radioListItem']])->label('是否显示'); ?>

                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-5">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-primary']) ?>
                    </div>
                </div>
                <?php ActiveForm::end(); ?>
            </div>
        </div>
    </div>
</div>

