<?php
/* @var $this yii\web\View */

use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use common\helpers\Utils;
use yii\data\ActiveDataProvider;
use yii\helpers\Html;
use yii\helpers\Url;


/* @var $list object */
/* @var $keywords array */
?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box box-success">
                <div class="box-header with-border"></div>
                <div class="box-body">
                    <form class="form-horizontal" method="get">
                        <div class="form-group">
                            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
                            <div class="col-xs-12 col-sm-5">
                                <input type="hidden" name="r" value="article/list">
                                <input type="text" class="form-control" name="keywords" value="<?= $keywords ?>"
                                       placeholder="请输入ID或标题搜索">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                            <div class="col-xs-12 col-sm-5">
                                <button type="submit" class="btn btn-info">搜索</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="box-header clearfix no-border">
                <a href="<?= Url::to(['article/update']) ?>" class="btn btn-default pull-left"><i
                        class="fa fa-plus"></i>添加文章</a>
            </div>
            <?php
            $dataProvider = new ActiveDataProvider([
                'query' => $list,
                'pagination' => [
                    'pageSize' => 10,
                ],
            ]);
            $arr = $list->all();
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'id',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'title',
                    ],
                    [
                        'attribute' => 'pic',
                        'format' => 'raw',
                        'value' => function ($model) {
                            return Html::a(Html::img(Utils::toMedia($model->pic),
                                ['class' => 'img-rectangle',
                                    'height' => 50, 'width' => 100]
                            ), ['/article/big-pic', 'id' => $model->pic], ['title' => '放大图片', 'data-toggle' => 'modal', 'data-target' => '#ajaxModal']) ?: '';
                        },
                    ],
                    [
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'updated_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'status',
                        'format' => 'html',
                        'value' => function ($model) {
                            return $model['status'] == 9 ? '<span class="badge bg-red">未审核</span>' : '<span class="badge bg-green">已审核</span>';
                        },
                        'enableSorting' => true,
                    ],
                    [
                        'class' => MyActionColumn::class,
                        'template' => '{stop}&nbsp;&nbsp;{update}&nbsp;&nbsp;{delete}',
                        'buttons' => [
                            'stop' => function ($url, $model) {
                                if ($model['status'] == 9) {
                                    $res = Html::a('<span class="glyphicon glyphicon-ok-sign"></span>', $url, ['title' => '审核通过']);
                                } else {
                                    $res = Html::a('<span class="glyphicon glyphicon-minus-sign"></span>', $url, ['title' => '审核不通过']);
                                }
                                return $res;
                            },
                        ],
                    ],
                ]
            ]);
            ?>
        </div>
    </div>
</div>

