<?php
/* @var $this yii\web\View */

use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use common\helpers\Utils;
use yii\data\ActiveDataProvider;
use yii\helpers\Html;
use yii\helpers\Url;


/* @var $list object */
/* @var $keywords array */
?>
<div class="nav-tabs-custom">
    <ul class="nav nav-tabs">
        <li <?= Yii::$app->controller->action->id == 'slide-list' ? ' class="active"' : '' ?>>
            <a href="<?= Url::to(['article/slide-list']) ?>">幻灯片管理</a>
        </li>
    </ul>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box-header clearfix no-border">
                <a href="<?= Url::to(['article/slide-update']) ?>" class="btn btn-default pull-left"><i
                        class="fa fa-plus"></i>添加幻灯片</a>
            </div>
            <?php
            $dataProvider = new ActiveDataProvider([
                'query' => $list,
                'pagination' => [
                    'pageSize' => 10,
                ],
            ]);
            $arr = $list->all();
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'id',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'title',
                    ],
                    [
                        'attribute' => 'pic',
                        'format' => 'raw',
                        'value' => function ($model) {
                            return Html::a(Html::img(Utils::toMedia($model->pic),
                                ['class' => 'img-rectangle',
                                    'height' => 50, 'width' => 100]
                            ), ['/article/big-pic', 'id' => $model['pic']], ['title' => '放大图片', 'data-toggle' => 'modal', 'data-target' => '#ajaxModal']) ?: '';
                        },
                    ],
                    [
                        'attribute' => 'cid',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'updated_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'status',
                        'format' => 'html',
                        'value' => function ($model) {
                            return $model['status'] == 9 ? '<span class="badge bg-red">未审核</span>' : '<span class="badge bg-green">已审核</span>';
                        },
                        'enableSorting' => true,
                    ],
                    [
                        'class' => MyActionColumn::class,
                        'header' => '操作',
                        'template' => '{update}&nbsp;&nbsp;{delete}',
                        'urlCreator' => function ($action, $model, $key, $index) {
                            switch ($action) {
                                case 'update':
                                    return \yii\helpers\url::toRoute(['article/slide-update', 'id' => $model->id]);
                                case 'delete':
                                    return \yii\helpers\url::toRoute(['article/slide-delete', 'id' => $model->id]);
                            }
                        },
                    ],
                ]
            ]);
            ?>
        </div>
    </div>
</div>

