<?php
/**
 * @var $item backend\models\SystemMenu
 * @var $list array
 */
use yii\helpers\Html;
use yii\helpers\ArrayHelper;
use common\widgets\kindeditor\KindeditorWidget;
use backend\widgets\MyActiveForm;
use common\helpers\MyHtml;
use yii\helpers\Url;

?>
<div class="nav-tabs-custom">
    <ul class="nav nav-tabs">
        <?php if (Yii::$app->controller->action->id == 'slide-update' && !empty(Yii::$app->request->get('id'))): ?>
            <li class="active">
                <a href="<?= Url::to(['article/slide-update']) ?>">幻灯图修改</a>
            </li>
        <?php endif; ?>
        <?php if (Yii::$app->controller->action->id == 'slide-update' && empty(Yii::$app->request->get('id'))): ?>
            <li class="active">
                <a href="<?= Url::to(['article/slide-update']) ?>">增加幻灯图</a>
            </li>
        <?php endif; ?>
    </ul>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box-body">
                <?php $form = MyActiveForm::begin(); ?>
                <?= $form->field($item, 'title')->textInput(['placeholder' => '请输入幻灯片标题'])->label('幻灯图标题'); ?>
                <?= $form->field($item, 'article_url')->textInput(['placeholder' => '请输入幻灯片跳转链接,如 site/index'])->label('幻灯图链接'); ?>
                <?= $form->field($item, 'sort')->textInput(['placeholder' => '请输入幻灯片顺序(数字越大越靠前)'])->label('幻灯图排序'); ?>
                <?= $form->field($item, 'pic')->widget(KindeditorWidget::class, ['editorType' => 'image-dialog', 'params' => ['remark' => '建议尺寸500*250']]) ?>
                <?= $form->field($item, 'status')->radioList([0 => '已审核', 9 => '未审核'], ['item' => [MyHtml::class, 'radioListItem']])->label('是否审核'); ?>
                <?= $form->field($item, 'content')->hiddenInput(['value' => '无'])->label(false); ?>
                <?= $form->field($item, 'cid')->hiddenInput(['value' => 26])->label(false); ?>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-5">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-primary']) ?>
                    </div>
                </div>
                <?php MyActiveForm::end(); ?>

            </div>
        </div>
    </div>
</div>

