<?php
/**
 * @var $item backend\models\SystemMenu
 * @var $list array
 */
use yii\helpers\Html;
use yii\helpers\ArrayHelper;
use common\widgets\kindeditor\KindeditorWidget;
use backend\widgets\MyActiveForm;
use common\helpers\MyHtml;

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box-body">
                <?php $form = MyActiveForm::begin(); ?>
                <?= $form->field($item, 'cid')->dropDownList(['0' => '顶级分类'] + ArrayHelper::map($list, 'id', 'title'), ['value' => isset($item['cid']) ? $item['cid'] : 0, 'style' => 'width:200px;'])->label('上级分类'); ?>
                <?= $form->field($item, 'title')->textInput(['placeholder' => '文章标题（必填）'])->label('文章标题'); ?>
                <?= $form->field($item, 'excerpt')->textInput(['placeholder' => '文章摘要'])->label('文章摘要'); ?>
                <?= $form->field($item, 'status')->radioList([0 => '已审核', 9 => '未审核'], ['item' => [MyHtml::class, 'radioListItem']])->label('是否审核');; ?>
                <!--                < ?= $form->field($item, 'istop')->radioList([1 => '置顶', 0 => '未置顶'], ['item' => [MyHtml::class, 'radioListItem']])->label('是否置顶');?>-->
                <?= $form->field($item, 'pic')->widget(KindeditorWidget::class, ['editorType' => 'image-dialog', 'params' => ['remark' => '建议尺寸500*250']]) ?>
                <?= $form->field($item, 'content')->label('文章内容')->widget(KindEditorWidget::className(), [
                    'clientOptions' => [
                        'width' => '100%',
                        'height' => '500px',
                        'themeType' => 'simple'
                    ],
                ]) ?>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-5">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-primary']) ?>
                    </div>
                </div>
                <?php MyActiveForm::end(); ?>

            </div>
        </div>
    </div>
</div>

