<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/8/26 13:46
 */

/**
 * @var $this \yii\web\View
 * @var $form yii\bootstrap\ActiveForm
 * @var $model backend\models\LoginForm
 */

use yii\bootstrap\ActiveForm;
use yii\bootstrap\Html;
use yii\captcha\Captcha;

$this->title = '系统登录';
?>
<div class="login-box">
    <div class="login-logo">
        <b>鸿睿博远管理后台</b>
    </div>
    <div class="login-box-body">
        <p class="login-box-msg">请输入你的账号</p>
        <?php $form = ActiveForm::begin(); ?>
        <?= $form->field($model, 'username')->textInput(['placeholder' => '用户名'])->label(false) ?>
        <?= $form->field($model, 'password')->passwordInput(['placeholder' => '密码'])->label(false) ?>
        <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
            'template' => '<div class="row"><div class="col-lg-6">{input}</div><div class="col-lg-3">{image}</div></div>',])->label(false) ?>
        <div class="row">
            <!--            <div class="col-xs-8">-->
            <!--                <div class="checkbox icheck">-->
            <!--                    < ?= Html::activeCheckbox($model, 'rememberMe', ['style'=>'opacity: 0;']) ?>-->
            <!--                </div>-->
            <!--            </div>-->
            <div class="col-xs-4">
                <?= Html::submitButton('登录', ['class' => 'btn btn-primary btn-block btn-flat']) ?>
            </div>
        </div>
        <?php ActiveForm::end(); ?>
    </div>
</div>

<script>
    <?php $this->beginBlock('footerJs') ?>
    requirejs(['iCheck'], function () {
        $('input').iCheck({
            checkboxClass: 'icheckbox_square-blue',
            radioClass: 'iradio_square-blue',
            increaseArea: '20%' // optional
        });
    });
    <?php $this->endBlock() ?>
</script>

