<?php
/**
 * @var $this yii\web\View
 * @var $list yii\db\ActiveQuery
 * @var $keywords string
 */

use backend\widgets\grid\MyGridView;
use yii\bootstrap\Html;
use yii\data\ActiveDataProvider;
use yii\helpers\Url;

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">

            <div class="box-header clearfix no-border">
                <a href="<?= Url::to(['channel/update']) ?>" class="btn btn-default pull-left"><i
                        class="fa fa-plus"></i>添加菜单</a>
            </div>
            <?php
            $dataProvider = new ActiveDataProvider([
                'query' => $list,
                'pagination' => [
                    'pageSize' => 10,
                ],
            ]);
            $arr = $list->all();
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'id',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'title',
                        'enableSorting' => true,
                        'format' => 'raw',
                        'value' => function ($model) {
                            return Html::a($model->title, Url::to(['channel/list', 'pid' => $model->id]), ['title' => '点击查看子菜单']);
                        }
                    ],
                    [
                        'attribute' => 'url',
                        'value' => function ($model) {
                            if (empty($model->url)) {
                                return '无';
                            } else {
                                return $model->url;
                            }
                        }
                    ],
                    [
                        'attribute' => 'sort',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'status',
                        'format' => 'html',
                        'value' => function ($model) {
                            return $model['status'] == 0 ? '<span class="badge bg-red">隐藏</span>' : '<span class="badge bg-green">显示</span>';
                        },
                        'enableSorting' => true,
                    ],
                    [

                        'class' => 'backend\widgets\grid\MyActionColumn'
                    ],
                ]
            ]);
            ?>
        </div>
    </div>
</div>
