<?php
/**
 * Created by PhpStorm.
 *
 * @var string $list
 *
 */

use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use yii\data\ActiveDataProvider;
use common\models\GameRound;
use yii\helpers\Html;

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <?php
            $dataProvider = new ActiveDataProvider([
                'query' => $list,
                'pagination' => [
                    'pageSize' => 15,
                ],
            ]);
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'round',
                        'enableSorting' => true,
                    ],
                    [
                        'label' => '参加人数',
                        'attribute' => 'uid',
                        'enableSorting' => true,
                        'value' => function ($model) {
                            return GameRound::find()->where("round ={$model->round}")->count('*');
                        }
                    ],
                    [
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'updated_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'enableSorting' => true,
                    ],
                    [
                        'class' => MyActionColumn::class,
                        'template' => '{detail}&nbsp;',
                        'headerOptions' => ['width' => '80'],
                        'buttons' => [
                            'detail' => function ($url) {
                                return Html::a('<span class="glyphicon glyphicon-list-alt"></span>', $url, ['title' => '圈数详情']);
                            },
                        ],
                    ],
                ]
            ]);
            ?>
        </div>
    </div>
</div>
