<?php
/**
 * Created by PhpStorm.
 * @var string $list
 */

use backend\widgets\grid\MyGridView;
use yii\data\ActiveDataProvider;
use common\models\User;

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <?php
            $dataProvider = new ActiveDataProvider([
                'query' => $list,
                'pagination' => [
                    'pageSize' => 10,
                ],
            ]);
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'room_id',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'round',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'uid',
                        'enableSorting' => true,
                    ],
                    [
                        'label' => '手机号',
                        'attribute' => 'uid',
                        'enableSorting' => true,
                        'value' => function ($model) {
                            $user = User::find()->where("uid = {$model->uid}")->one();
                            return $user['mobile'];
                        },
                    ],
                    [
                        'attribute' => 'score',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'card',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'updated_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'enableSorting' => true,
                    ],
                ]
            ]);
            ?>
        </div>
    </div>
</div>
