<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017/12/16 HNDH Software Technology Co., Ltd.
 * @link http://www.dhsoft.cn
 */
/** @var array $searchArr */
/** @var object $dataProvider */
/** @var \common\models\IntegralReleaseSearch $searchModel */
/** @var string $total */

use backend\widgets\grid\MyGridView;
use common\widgets\daterangepicker\DateRangePicker;
use yii\helpers\Html;
use yii\helpers\Url;

?>
<div class="nav-tabs-custom">
    <ul class="nav nav-tabs">
        <li class="active">
            <a href="<?= Url::to(['/integral-release/list']) ?>">订单管理</a>
        </li>
    </ul>
    <div class="tab-content">
        <div class="box box-success">
            <div class="box-header with-border">
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                    </button>
                </div>
            </div>
            <div class="box-body">
                <?= Html::beginForm(['integral-release/list'], 'get', ['class' => 'form-horizontal']) ?>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">时间</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= DateRangePicker::widget([
                            'name' => 'date',
                            'clientOptions' => [
                                'startDate' => $searchArr['date']['start'],
                                'endDate' => $searchArr['date']['end'],

                            ],
                            'clientEvents' => [],
                        ]) ?>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">统计</label>
                    <div class="col-xs-4 col-sm-4 col-md-2 col-lg-2">
                        <div class="input-group">
                            <span class="input-group-addon">分销积分</span>
                            <input name="" value="<?= $total ?>" class="form-control" placeholder="请输入整数" disabled>
                            <span class="input-group-addon">元</span>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-success']); ?>
                        <a href="<?= Url::toRoute(['integral-release/list']) ?>">
                            <div class="btn btn-default"><i class="glyphicon glyphicon-leaf"></i> 清除筛选</div>
                        </a>
                        <?= Html::submitButton('导出订单列表', ['class' => 'btn btn-primary pull-right', 'name' => 'op', 'value' => 'export']); ?>
                    </div>
                </div>
                <?= Html::endForm() ?>
            </div>
        </div>

        <div class="tab-pane active">
            <?= MyGridView::widget([
                'dataProvider' => $dataProvider,
                'filterModel' => $searchModel,
                'columns' => [
                    ['class' => 'yii\grid\SerialColumn'],
                    [
                        'attribute' => 'report_id',
                        'enableSorting' => true,
                    ],
                    [
                        'label' => "报单中心姓名",
                        'enableSorting' => true,
                        'value' => function ($model) {
                            if ($model->report_id > 0) {
                                $str = \common\models\User::findOne(['uid' => $model->report_id]);
                                return $str['realname'];
                            } else {
                                return $str = '';
                            }
                        }
                    ],
                    [
                        'label' => "用户UID",
                        'attribute' => 'uid',
                        'enableSorting' => true,
                    ],
                    [
                        'label' => "用户姓名",
                        'attribute' => 'uid',
                        'enableSorting' => true,
                        'value' => function ($model) {
                            if ($model->uid > 0) {
                                $str = \common\models\User::findOne(['uid' => $model->uid]);
                                return $str['realname'];
                            } else {
                                return $str = '';
                            }
                        }
                    ],
                    [
                        'label' => "金额",
                        'attribute' => 'price',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'type',
                        'value' => function ($model) {
                            if ($model->type == 1) {
                                $str = '会员报单奖';
                            } elseif ($model->type == 2) {
                                $str = '推荐奖(分)';
                            } elseif ($model->type == 21) {
                                $str = '推荐奖(元)';
                            } elseif ($model->type == 3) {
                                $str = '出局奖';
                            } else {
                                $str = '未知';
                            }
                            return $str;
                        },
                    ],
                    [
                        'label' => "时间",
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'enableSorting' => true,
                    ],
                ]
            ]);
            ?>
        </div>
    </div>
</div>

