<?php
/**
 * @var $model backend\models\SystemMenu
 * @var $list array
 */

use backend\widgets\MyActiveForm;
use common\helpers\MyHtml;
use common\widgets\kindeditor\KindeditorWidget;
use yii\helpers\Html;
use yii\helpers\ArrayHelper;

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box-body">
                <?php $form = MyActiveForm::begin(); ?>
                <?= $form->field($model, 'cid')->dropDownList(ArrayHelper::map($list, 'id', 'title'), ['value' => isset($model['cid']) ? $model['cid'] : 0, 'style' => 'width:200px;'])->label('上级分类'); ?>
                <?= $form->field($model, 'title')->textInput(['placeholder' => '请输入标题']); ?>
                <?= $form->field($model, 'excerpt')->textInput(['placeholder' => '请输入摘要信息']); ?>
                <?= $form->field($model, 'thumb')->widget(KindeditorWidget::class, ['editorType' => 'image-dialog', 'params' => ['remark' => '建议尺寸250*250']]) ?>

                <?= $form->field($model, 'content')->label('文章内容')->widget(KindEditorWidget::className(), [
                    'clientOptions' => [
                        'width' => '100%',
                        'height' => '500px',
                    ],
                ]) ?>
                <!--                < ?= $form->field($model, 'content')->widget(\yii\redactor\widgets\Redactor::className(), [-->
                <!--                    'clientOptions' => [-->
                <!--                        'imageManagerJson' => ['/redactor/upload/image-json'],-->
                <!--                        'imageUpload' => ['/redactor/upload/image'],-->
                <!--                        'fileUpload' => ['/redactor/upload/file'],-->
                <!--                        'lang' => 'zh_cn',-->
                <!--                        'plugins' => ['clips', 'fontcolor', 'imagemanager']-->
                <!--                    ]-->
                <!--                ]) ?>-->
                <?= $form->field($model, 'loves')->textInput(); ?>
                <?= $form->field($model, 'fundraising_price')->textInput(); ?>
                <?= $form->field($model, 'new_price')->textInput(); ?>
                <?= $form->field($model, 'people_num')->textInput(); ?>
                <?= $form->field($model, 'new_price')->textInput(); ?>
                <?= $form->field($model, 'status')->radioList([1 => '显示', 0 => '隐藏'])->label('状态'); ?>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-5">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-primary']) ?>
                    </div>
                </div>
                <?php MyActiveForm::end(); ?>
            </div>
        </div>
    </div>
</div>
