<?php
/**
 * @var $this yii\web\View
 * @var $list yii\db\ActiveQuery
 * @var $keywords string
 */

use backend\widgets\grid\MyGridView;
use yii\data\ActiveDataProvider;

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box box-success">
                <div class="box-header with-border"></div>
                <div class="box-body">
                    <form class="form-horizontal" method="get">
                        <div class="form-group">
                            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
                            <div class="col-xs-12 col-sm-5">
                                <input type="hidden" name="r" value="trade/list">
                                <input type="text" class="form-control" name="keywords" value="<?= $keywords ?>"
                                       placeholder="请输入关键词搜索">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                            <div class="col-xs-12 col-sm-5">
                                <button type="submit" class="btn btn-info">搜索</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <?php
            $dataProvider = new ActiveDataProvider([
                'query' => $list,
                'pagination' => [
                    'pageSize' => 10,
                ],
            ]);
            $arr = $list->all();
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'id',
                        'enableSorting' => true,
                        'label' => 'ID'
                    ],
                    [
                        'attribute' => 'orderId',
                        'enableSorting' => true,
                    ],
                    [
                        'label' => '昵称',
                        'attribute' => 'nickname',
                    ],
                    [
                        'label' => '手机号',
                        'attribute' => 'mobile',
                    ],
                    [
                        'label' => '姓名',
                        'attribute' => 'realname',
                    ],
                    [
                        'label' => '身份证号',
                        'attribute' => 'idcard',
                    ],
                    'title',
                    [
                        'attribute' => 'price',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'status',
                        'enableSorting' => true,
                        'format' => 'html',
                        'value' => function ($model) {
                            return $model['status'] == 9 ? '<span class="badge bg-red">隐藏</span>' : '<span class="badge bg-green">显示</span>';
                        }
                    ],
                    [
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'headerOptions' => ['width' => '120'],
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'updated_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'headerOptions' => ['width' => '120'],
                        'enableSorting' => true,
                    ],
                    [
                        'class' => 'backend\widgets\grid\MyActionColumn'
                    ],
                ]
            ]);
            ?>
        </div>
    </div>
</div>
