<?php
/* @var $this yii\web\View */

use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use yii\data\ActiveDataProvider;
use yii\helpers\Html;
use yii\helpers\Url;


/* @var $list array */
/* @var $keywords array */
?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box box-success">
                <div class="box-header with-border"></div>
                <div class="box-body">
                    <form class="form-horizontal" method="get">
                        <div class="form-group">
                            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
                            <div class="col-xs-12 col-sm-5">
                                <input type="hidden" name="r" value="service/qq-list">
                                <input type="text" class="form-control" name="keywords" value="<?= $keywords ?>"
                                       placeholder="请输入关键词搜索">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                            <div class="col-xs-12 col-sm-5">
                                <button type="submit" class="btn btn-info">搜索</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="box-header clearfix no-border">
                <a href="<?= Url::to(['service/qq-update']) ?>" class="btn btn-default pull-left"><i
                        class="fa fa-plus"></i>添加QQ客服</a>
            </div>
            <?php
            $dataProvider = new ActiveDataProvider([
                'query' => $list,
                'pagination' => [
                    'pageSize' => 10,
                ],
            ]);
            $arr = $list->all();
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'id',
                        'enableSorting' => true,
                    ],
                    'nickname',
                    [
                        'attribute' => 'qq',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'status',
                        'format' => 'html',
                        'value' => function ($model) {
                            return $model['status'] == 9 ? '<span class="badge bg-red">隐藏</span>' : '<span class="badge bg-green">显示</span>';
                        },
                        'enableSorting' => true,
                        'headerOptions' => ['width' => '100'],
                    ],
                    [
                        'class' => MyActionColumn::class,
                        'template' => '{stop}&nbsp;&nbsp;{delete}',
                        'headerOptions' => ['width' => '80'],
                        'buttons' => [
                            'stop' => function ($url, $model, $key) {
                                if ($model['status'] == 9) {
                                    $res = Html::a('<span class="glyphicon glyphicon-ok-sign"></span>', $url, ['title' => '显示']);
                                } else {
                                    $res = Html::a('<span class="glyphicon glyphicon-minus-sign"></span>', $url, ['title' => '隐藏']);
                                }
                                return $res;
                            },
                        ],
                    ],
                ]
            ]);
            ?>
        </div>
    </div>
</div>

