<?php
/**
 * Created by PhpStorm.
 * User: ZhangZhenBiao
 * Date: 2017/11/24
 * Time: 18:06
 */
/** @var array $searchArr */
/** @var object $query */
use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use common\helpers\Utils;
use common\widgets\daterangepicker\DateRangePicker;
use yii\data\ActiveDataProvider;
use yii\helpers\Html;
use yii\helpers\Url;

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="box box-success">
            <div class="box-header with-border">
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                    </button>
                </div>
            </div>

            <div class="box-body">
                <?= Html::beginForm(['/shops/apply-list'], 'get', ['class' => 'form-horizontal']) ?>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::textInput('keywords', $searchArr['keywords'], ['class' => 'form-control', 'placeholder' => "用户id、昵称、姓名、手机号"]); ?>
                        <div class="help-block">请输入关键字</div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">时间</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= DateRangePicker::widget([
                            'name' => 'date',
                            'clientOptions' => [
                                'startDate' => $searchArr['date']['start'],
                                'endDate' => $searchArr['date']['end'],

                            ],
                            'clientEvents' => [],
                        ]) ?>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-success']); ?>
                        <a href="<?= Url::toRoute(['/shops/apply-list']) ?>">
                            <div class="btn btn-default"><i class="glyphicon glyphicon-leaf"></i> 清除筛选</div>
                        </a>
                        <?= Html::submitButton('导出商家列表', ['class' => 'btn btn-primary pull-right', 'name' => 'op', 'value' => 'export']); ?>
                    </div>
                </div>
                <?= Html::endForm() ?>
            </div>
        </div>

        <div class="tab-pane active">
            <?php
            $dataProvider = new ActiveDataProvider([
                'query' => $query,
                'pagination' => [
                    'pageSize' => 10,
                ],
            ]);
            $arr = $query->all();
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'id',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'uid',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'username',
                        'enableSorting' => true,
                        'value' => function ($model) {
                            $str = '';
                            $str .= empty($model->username) ? '未完善' : $model->username;
                            return $str;
                        }
                    ],
                    [
                        'attribute' => 'mobile',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'birth',
                        'enableSorting' => true,
                        'value' => function ($model) {
                            $arr = json_decode($model->birth, true);
                            if (isset($arr['province'])) {
                                $str = $arr['province'] . $arr['city'] . $arr['county'];
                            } else {
                                $str = $model->birth;
                            }
                            return $str;
                        },
                    ],
                    [
                        'attribute' => 'shopaddress',
                        'enableSorting' => true,
//                        'value'=>function($model){
//                            $arr = json_decode($model->shopaddress,true);
//                            $str = $arr['province'].$arr['city'].$arr['county'];
//                            return $str;
//                        },
                    ],

                    [
                        'attribute' => 'imgs',
                        'format' => 'raw',
                        'value' => function ($model) {
                            return Html::a(Html::img(Utils::toMedia($model->imgs),
                                ['class' => 'img-rectangle',
                                    'height' => 50, 'width' => 100]
                            ), ['/article/big-pic', 'id' => $model['imgs']], ['title' => '放大图片', 'data-toggle' => 'modal', 'data-target' => '#ajaxModal']) ?: '';
                        },
                    ],
                    [
                        'attribute' => 'businessLicence',
                        'format' => 'raw',
                        'value' => function ($model) {
                            return Html::a(Html::img(Utils::toMedia($model->businessLicence),
                                ['class' => 'img-rectangle',
                                    'height' => 50, 'width' => 100]
                            ), ['/article/big-pic', 'id' => $model['businessLicence']], ['title' => '放大图片', 'data-toggle' => 'modal', 'data-target' => '#ajaxModal']) ?: '';
                        },
                    ],

                    [
                        'attribute' => 'idCardThumbA',
                        'format' => 'raw',
                        'value' => function ($model) {
                            return Html::a(Html::img(Utils::toMedia($model->idCardThumbA),
                                ['class' => 'img-rectangle',
                                    'height' => 50, 'width' => 100]
                            ), ['/article/big-pic', 'id' => $model['idCardThumbA']], ['title' => '放大图片', 'data-toggle' => 'modal', 'data-target' => '#ajaxModal']) ?: '';
                        },
                    ],
                    [
                        'attribute' => 'idCardThumbB',
                        'format' => 'raw',
                        'value' => function ($model) {
                            return Html::a(Html::img(Utils::toMedia($model->idCardThumbB),
                                ['class' => 'img-rectangle',
                                    'height' => 50, 'width' => 100]
                            ), ['/article/big-pic', 'id' => $model['idCardThumbB']], ['title' => '放大图片', 'data-toggle' => 'modal', 'data-target' => '#ajaxModal']) ?: '';
                        },
                    ],
                    [
                        'attribute' => 'mobile',
                        'enableSorting' => true,
                    ],
                    [
                        'label' => '申请时间',
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'enableSorting' => true,
                    ],
                    [
                        'label' => '更新/驳回时间',
                        'attribute' => 'updated_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'status',
                        'enableSorting' => true,
                        'label' => '账户状态',
                        'format' => 'raw',
                        'value' => function ($model) {
                            $str = '';
                            if ($model->status == 0) {
                                $str = '<span class="badge bg-green">待审核</span>';
                            } elseif ($model->status == 1) {
                                $str = '<span class="badge bg-green">审核通过</span>';
                            } elseif ($model->status == -1) {
                                $str = '<span class="badge bg-red">审核驳回</span>';
                            }
                            return $str;
                        }
                    ],
                    [
                        'class' => MyActionColumn::class,
                        'template' => '{agree}&nbsp;&nbsp;{refuse}',
                        'headerOptions' => ['width' => '80'],
                        'buttons' => [
                            'agree' => function ($url) {
                                return Html::a('<span class="glyphicon glyphicon-ok-sign" ></span>', $url, ['title' => '审核通过', 'onclick' => "if(!confirm('请确认要同意该商家吗？')) return false"]);
                            },
                            'refuse' => function ($url) {
                                return Html::a('<span class="glyphicon glyphicon-remove-circle"></span>', $url, ['title' => '审核驳回', 'data-toggle' => 'modal', 'data-target' => '#ajaxModal']);
                            },
                        ],
                    ],
                ]
            ]);
            ?>
        </div>
    </div>
</div>

