<?php
/**
 * 前端会员添加编辑
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * @createtime: 2017/8/17 18:42
 */

use backend\widgets\MyActiveForm;
use common\helpers\MyHtml;
use yii\helpers\Html;
use common\models\Region;

/**
 * @var $model common\models\User
 */

$url = \yii\helpers\Url::toRoute(['get-region']);
$models = new Region();

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box-body">
                <?php $form = MyActiveForm::begin(); ?>
                <?= $form->field($model, 'uid')->textInput(['placeholder' => '请输入会员UID', 'maxlength' => 15]); ?>
                <?= $form->field($model, 'mobile')->textInput(['placeholder' => '请输入11位手机号', 'maxlength' => 11]); ?>
                <?= $form->field($model, 'partner')->radioList([0 => '否', 1 => '是'], ['item' => [MyHtml::class, 'radioListItem']])->label('是否地区代理'); ?>
                <!--                < ?= $form->field($model, 'partner_address')->textInput(['placeholder' => '请输入代理地区', 'maxlength' => 255])->label('代理地区'); ?>-->

                <?= $form->field($model, '代理地区')->widget(\chenkby\region\Region::className(), [
                    'model' => $model,
                    'url' => $url,
                    'province' => [
                        'attribute' => 'province',
                        'items' => Region::getRegion(),
                        'options' => ['class' => 'form-control form-control-inline', 'prompt' => '选择省份']
                    ],
                    'city' => [
                        'attribute' => 'city',
                        'items' => Region::getRegion($model['province']),
                        'options' => ['class' => 'form-control form-control-inline', 'prompt' => '选择城市']
                    ],
                    'district' => [
                        'attribute' => 'county',
                        'items' => Region::getRegion($model['city']),
                        'options' => ['class' => 'form-control form-control-inline', 'prompt' => '选择县/区']
                    ]
                ]);
                ?>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-5">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-primary']) ?>
                    </div>
                </div>
                <?php MyActiveForm::end(); ?>
            </div>
        </div>
    </div>
</div>
