<?php
/**
 * @var $this yii\web\View
 * @var $list yii\db\ActiveQuery
 * @var $keywords string
 */

use backend\widgets\grid\MyGridView;
use yii\bootstrap\Html;
use yii\data\ActiveDataProvider;
use yii\helpers\Url;

?>
<div class="nav-tabs-custom">
    <ul class="nav nav-tabs">
        <li class="active">
            <a href="<?= Url::to(['/withdraw/list']) ?>">收款信息管理</a>
        </li>
    </ul>
    <div class="tab-content">
        <div class="box box-success">
            <div class="box-header with-border"></div>
            <div class="box-body">
                <form class="form-horizontal" method="get">
                    <div class="form-group">
                        <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
                        <div class="col-xs-12 col-sm-5">
                            <input type="hidden" name="r" value="user/bankcard">
                            <input type="text" class="form-control" name="keywords" value="<?= $keywords ?>"
                                   placeholder="请输入UID搜索">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                        <div class="col-xs-12 col-sm-5">
                            <button type="submit" class="btn btn-info">搜索</button>
<!--                            < ?= Html::submitButton('导出会员列表', ['class' => 'btn btn-primary pull-right', 'name' => 'op', 'value' => 'export']); ?>-->
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="tab-pane active">
            <?php
            $dataProvider = new ActiveDataProvider([
                'query' => $list,
                'pagination' => [
                    'pageSize' => 10,
                ],
            ]);
            $arr = $list->all();
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'id',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'uid',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'card_name',
                        'value' => function ($model) {
                            $name = \common\models\User::findNameByid($model->uid);
                            return $name->realname;
                        }
                    ],
                    'card_num',
                    [
                        'label' => '开户行',
                        'value' => function ($model) {
                            $str = $model->province . $model->city . $model->county;
                            return $str;
                        }
                    ],
                    [
                        'attribute' => 'card_type',
                        'enableSorting' => true,
                        'value' => function ($model) {
                            return \common\models\Bankcard::cardType($model->card_type);
                        }
                    ],
                    [
                        'attribute' => 'reserved_mobile',
                        'enableSorting' => true,
                        'value' => function ($model) {
                            $name = \common\models\User::findNameByid($model->uid);
                            return $name->mobile;
                        }
                    ],

                    [
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'enableSorting' => true,
                        'label' => '创建时间'
                    ],
                ]
            ]);
            ?>
        </div>
    </div>
</div>
