<?php

/**
 * @var $this yii\web\View
 * @var $query yii\db\ActiveQuery
 * @var $searchArr array
 */

use common\widgets\daterangepicker\DateRangePicker;
use backend\widgets\grid\MyGridView;
use yii\data\ActiveDataProvider;
use common\models\User;
use yii\helpers\Html;
use yii\helpers\Url;

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="box box-success">
            <div class="box-header with-border">
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                    </button>
                </div>
            </div>
            <div class="box-body">
                <?= Html::beginForm(['user/integral-list'], 'get', ['class' => 'form-horizontal']) ?>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::textInput('keywords', $searchArr['keywords'], ['class' => 'form-control', 'placeholder' => "UID、电话、销售名、登录名"]); ?>
                        <div class="help-block">请输入关键字</div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-success']); ?>
                        <a href="<?= Url::toRoute(['user/integral-list']) ?>">
                            <div class="btn btn-default"><i class="glyphicon glyphicon-leaf"></i> 清除筛选</div>
                        </a>
                        <!--                        < ?= Html::submitButton('导出会员列表', ['class' => 'btn btn-primary pull-right','name'=>'op', 'value'=>'export']); ?>-->
                    </div>
                </div>
                <?= Html::endForm() ?>
            </div>
        </div>

<!--        <div class="box-header clearfix no-border">-->
<!--            <a href="--><?//= Url::toRoute(['/user/add-integral']) ?><!--" data-toggle='modal' data-target='#ajaxModal'-->
<!--               class="btn btn-primary pull-left">-->
<!--                <i class="fa fa-plus"></i> 会员充值-->
<!--            </a>-->
<!--        </div>-->

        <div class="tab-pane active">
            <?php
            $dataProvider = new ActiveDataProvider([
                'query' => $query,
                'pagination' => [
                    'pageSize' => 10,
                ],
            ]);
            $arr = $query->all();
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'uid',
                        'enableSorting' => true,
                        'format' => 'raw',
                    ],
                    [
                        'attribute' => 'realname',
                    ],
                    [
                        'attribute' => 'accountname',
                    ],

                    [
                        'attribute' => 'mobile',
                    ],
                    [
                        'label' => "推荐人",
                        'attribute' => 'report_center',
                        'format' => 'raw',
                        'value' => function ($model) {
                            $info=User::find()->select("accountname")->where('uid='.$model->referrer)->one();
                            return $info['accountname'];
//                            return $model->referrer;
                        }
                    ],
//                    [
//                        'label' => "是否销售中心",
//                        'attribute' => 'report_center',
//                        'format' => 'raw',
//                        'value' => function ($model) {
//                            return $model->report_center == 1 ? '<span class="badge bg-green">是</span>' : '';
//                        }
//                    ],
                    [
                        'label' => "出局次数",
                        'attribute' => 'outs',
                        'value' => function ($model) {
                            return $model->outs == 0 ? '' : $model->outs;
                        }
                    ],
                    [
                        'attribute' => 'credit1',
                    ],
//                    [
//                        'label' => "是否可提现",
//                        'attribute' => 'is_withdrawn',
//                        'format' => 'raw',
//                        'value' => function ($model) {
//                            return $model->is_withdrawn == 1 ? '<span class="badge bg-green">是</span>' : " ";
//                        }
//                    ],
//                    [
//                        'label' => '注册时间',
//                        'attribute' => 'created_at',
//                        'format' => ['date', 'php:Y-m-d H:i:s'],
//                    ],
                ]
            ]);
            ?>
        </div>
    </div>
</div>


