<?php

/**
 * @var $this yii\web\View
 * @var $query yii\db\ActiveQuery
 * @var $searchArr array
 * @var string $todaycount
 * @var string $yesdaycount
 */


use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use common\helpers\MyHtml;
use common\widgets\daterangepicker\DateRangePicker;
use yii\data\ActiveDataProvider;
use yii\helpers\Html;
use yii\helpers\Url;
use common\models\User;
?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="box box-success">
            <div class="box-header with-border">
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                    </button>
                </div>
            </div>
            <div class="box-body">
                <?= Html::beginForm(['user/list'], 'get', ['class' => 'form-horizontal']) ?>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::textInput('keywords', $searchArr['keywords'], ['class' => 'form-control', 'placeholder' => "UID、电话、销售名、登录名"]); ?>
                        <div class="help-block">请输入关键字</div>
                    </div>
                </div>

            <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">受益人</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::textInput('username', $searchArr['username'], ['class' => 'form-control', 'placeholder' => "受益人"]); ?>
                        <div class="help-block">请输入受益人</div>
                    </div>
                 </div>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">推荐人</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::textInput('referrer', $searchArr['referrer'], ['class' => 'form-control', 'placeholder' => "推荐人"]); ?>
                        <div class="help-block">请输入推荐人</div>
                    </div>
                 </div>

                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">统计</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        一共<span class="badge bg-green"><?= $count ?></span>人;今日注册用户为:<span class="badge bg-green"><?=
                            $todaycount ?></span>人;昨日注册用户为:<span class="badge bg-green"><?=
                            $yesdaycount ?></span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-success']); ?>
                        <a href="<?= Url::toRoute(['user/list']) ?>">
                            <div class="btn btn-default"><i class="glyphicon glyphicon-leaf"></i> 清除筛选</div>
                        </a>
                        <?= Html::submitButton('导出会员列表', ['class' => 'btn btn-primary pull-right', 'name' => 'op', 'value' => 'export']); ?>
                    </div>
                </div>
                <?= Html::endForm() ?>
            </div>
        </div>

        <div class="box-header clearfix no-border">
            <a href="<?= Url::toRoute(['user/update']) ?>" class="btn btn-primary pull-left">
                <i class="fa fa-plus"></i> 添加会员
            </a>
        </div>
        <div class="tab-pane active">
            <?php
            $dataProvider = new ActiveDataProvider([
                'query' => $query,
                'pagination' => [
                    'pageSize' => 30,
                ],
            ]);
            $arr = $query->all();
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'uid',
                        'enableSorting' => true,
                        'format' => 'raw',
                    ],
                    [
                        'attribute' => 'accountname',
                    ],
                    [
                        'label' => "销售名",
                        'attribute' => 'username',
                    ],
                    [
                        'label' => "受益人",
                        'attribute' => 'realname',
                    ],
                    [
                        'attribute' => 'mobile',
                    ],
                     [
                        'label' => "出局次数",
                        'attribute' => 'outs',
                        'value' => function ($model) {
                            return $model->outs == 0 ? 0 : $model->outs;
                        }
                    ],
                    [
                        'label' => "推荐人",
                        'attribute' => 'referrer',
                        'format' => 'raw',
                        'value' => function ($model) {

                            $info=User::find()->select("accountname")->where('uid='.$model->referrer)->one();
                            return $info['accountname'];
//                            return $model->referrer;
                        }
                    ],
                   

//                    [
//                        'label' => "是否销售中心",
//                        'attribute' => 'report_center',
//                        'format' => 'raw',
//                        'value' => function ($model) {
//                            return $model->report_center == 1 ? '<span class="badge bg-green">是</span>' : '';
//                        }
//                    ],
                   
                    [
                        'label' => '注册时间',
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                    ],
                    [
                        'attribute' => 'status',
                        'label' => '账户状态',
                        'format' => 'raw',
                        'value' => function ($model) {
                            return $model->status == 0 ? '<span class="badge bg-green">正常</span>' : '<span class="badge bg-red">冻结</span>';
                        }
                    ],
                    [
                        'class' => MyActionColumn::class,
                        'template' => '{update}&nbsp;&nbsp;{delete}&nbsp;&nbsp;{user-edit}',
                        'headerOptions' => ['width' => '80'],
                        'buttons' => [
                            'user-edit' => function ($url, $model, $key) {
//                                if (empty($model->superior) && empty($model->report_center)) {
//                                    return Html::a('设为队长', Url::toRoute(['user/user-edit', 'id' => $model->uid]), ['class' => 'btn btn-sm btn-warning', 'onclick' => "return confirm('确定设置为队长吗？');return false;"]);
//                                }
                            },
                        ],
                    ],
                ]
            ]);
            ?>
        </div>
    </div>
</div>


