<?php

/**
 * @var $this yii\web\View
 * @var $query yii\db\ActiveQuery
 * @var $searchArr array
 */

use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use common\widgets\daterangepicker\DateRangePicker;
use yii\data\ActiveDataProvider;
use yii\helpers\Html;
use yii\helpers\Url;


?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="box box-success">
            <div class="box-header with-border">
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                    </button>
                </div>
            </div>
            <div class="box-body">
                <?= Html::beginForm(['user/report-lists'], 'get', ['class' => 'form-horizontal']) ?>
             <!--    <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::textInput('keywords', $searchArr['keywords'], ['class' => 'form-control', 'placeholder' => "销售名、登录名"]); ?>
                        <div class="help-block">请输入关键字</div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">时间</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= DateRangePicker::widget([
                            'name' => 'date',
                            'clientOptions' => [
                                'startDate' => $searchArr['date']['start'],
                                'endDate' => $searchArr['date']['end'],

                            ],
                            'clientEvents' => [],
                        ]) ?>
                    </div>
                </div> -->
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                      <!--   <?= Html::submitButton('提交', ['class' => 'btn btn-success']); ?>
                        <a href="<?= Url::toRoute(['user/report-lists']) ?>">
                            <div class="btn btn-default"><i class="glyphicon glyphicon-leaf"></i> 清除筛选</div>
                        </a> -->
                        <?= Html::submitButton('导出销售中心列表', ['class' => 'btn btn-primary pull-right', 'name' => 'op', 'value' => 'export']); ?>
                    </div>
                </div>
                <?= Html::endForm() ?>
            </div>
        </div>
        <div class="box-header clearfix no-border">
            <a href="<?= Url::toRoute(['user/report-update']) ?>" class="btn btn-primary pull-left">
                <i class="fa fa-plus"></i> 添加销售中心
            </a>
        </div>
        <div class="tab-pane active">
            <?php
            $dataProvider = new ActiveDataProvider([
                'query' => $query,
                'pagination' => [
                    'pageSize' => 10,
                ],
            ]);
            $arr = $query->all();
            // echo "<pre>";
            // var_dump($dataProvider);die;
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'uid',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'realname',
                    ],
                    [
                        'attribute' => 'mobile',
                    ],
                    [
                        'attribute' => 'idcard',
                    ],
                    [
                        'attribute' => 'bank_card',
                    ],
                    [
                        'attribute' => 'bank_address',
                    ],
                    [
                        'attribute' => 'report_price',
                    ],
                    [
                        'attribute' => 'gender',
                        'format' => 'raw',
                        'value' => function ($model) {
                            return $model->report == 1 ? '<span class="badge bg-green">男</span>' : '<span class="badge bg-green">女</span>';
                        }
                    ],
                    [
                        'attribute' => 'lv',
                        'format' => 'raw',
                        'value' => function ($model) {
                            return \common\models\User::LV[$model->lv];
                        }
                    ],
                    [
                        'attribute' => 'employs',
                        'format' => 'raw',
                        'value' => function ($model) {
                            $pid=\common\models\Group::shareholderNum($model->uid);
                            return Html::a($pid, Url::toRoute(['user/shareholdernum', 'pid' => $model->uid]));
                        },

                    ],

                    [
                        'label' => "是否销售中心",
                        'attribute' => 'report',
                        'format' => 'raw',
                        'value' => function ($model) {
                            return $model->report == 1 ? '<span class="badge bg-green">是</span>' : '';
                        }
                    ],
                    [
                        'label' => '注册时间',
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                    ],

                    [
                        'class' => MyActionColumn::class,
                        'template' => '{update}&nbsp;&nbsp;{user-add}',
                        'headerOptions' => ['width' => '120'],
                        'urlCreator' => function ($action, $model) {
                            switch ($action) {
                                case 'update':
                                    return \yii\helpers\url::toRoute(['user/report-update', 'id' => $model->id]);
                                default :
                                    return false;
                            }
                        },
                        'buttons' => [
                            'user-add' => function ($url, $model, $key) {
                                return Html::a('添加下级', Url::toRoute(['user/addemploy', 'id' => $model->uid]));
                            },
                        ],
                       
                    ],

                ],
            ]);
            ?>
        </div>
    </div>
</div>


