<?php

/**
 * @var $this yii\web\View
 * @var $query yii\db\ActiveQuery
 * @var $searchArr array
 */
/** @var array $list */
/** @var string $shop_order */
/** @var string $user_prices */
/** @var string $withdraw */
/** @var string $user_pricess */
/** @var string $volunteer_price */

use common\widgets\daterangepicker\DateRangePicker;
use yii\helpers\Html;
use yii\helpers\Url;

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="box box-success">
            <div class="box-header with-border">
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                    </button>
                </div>
            </div>
            <div class="box-body">
                <?= Html::beginForm(['user/user-list'], 'get', ['class' => 'form-horizontal']) ?>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::textInput('keywords', $searchArr['keywords'], ['class' => 'form-control', 'placeholder' => "UID、昵称、姓名"]); ?>
                        <div class="help-block">请输入关键字</div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">时间</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= DateRangePicker::widget([
                            'name' => 'date',
                            'clientOptions' => [
                                'startDate' => $searchArr['date']['start'],
                                'endDate' => $searchArr['date']['end'],

                            ],
                            'clientEvents' => [],
                        ]) ?>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-success']); ?>
                        <a href="<?= Url::toRoute(['user/user-list']) ?>">
                            <div class="btn btn-default"><i class="glyphicon glyphicon-leaf"></i> 清除筛选</div>
                        </a>
                        <?= Html::submitButton('导出会员列表', ['class' => 'btn btn-primary pull-right', 'name' => 'op', 'value' => 'export']); ?>
                    </div>
                </div>


                <div class="form-group">
                    <label class="col-xs-12 col-sm-12 col-md-12 col-lg-1 control-label">统计</label>
                    <div class="col-xs-4 col-sm-4 col-md-2 col-lg-2">
                        <div class="input-group">
                            <span class="input-group-addon">消费总和</span>
                            <input name="" value="<?=
                            $shop_order ?>" class="form-control" placeholder="请输入整数" disabled>
                            <span class="input-group-addon">元</span>
                        </div>
                    </div>
                    <div class="col-xs-4 col-sm-4 col-md-2 col-lg-2">
                        <div class="input-group">
                            <span class="input-group-addon">志愿者总和</span>
                            <input name="" value="<?=
                            $user_prices ?>" class="form-control" placeholder="请输入整数" disabled>
                            <span class="input-group-addon">元</span>
                        </div>
                    </div>
                    <div class="col-xs-4 col-sm-4 col-md-2 col-lg-2">
                        <div class="input-group">
                            <span class="input-group-addon">提现总和</span>
                            <input name="" value="<?=
                            $withdraw ?>" class="form-control" placeholder="请输入整数" disabled>
                            <span class="input-group-addon">元</span>
                        </div>
                    </div>
                    <div class="col-xs-4 col-sm-4 col-md-2 col-lg-2">
                        <div class="input-group">
                            <span class="input-group-addon">志--会总和</span>
                            <input name="" value="<?=
                            $user_pricess ?>" class="form-control" placeholder="请输入整数" disabled>
                            <span class="input-group-addon">元</span>
                        </div>
                    </div>
                    <div class="col-xs-4 col-sm-4 col-md-2 col-lg-2">
                        <div class="input-group">
                            <span class="input-group-addon">志--平总和</span>
                            <input name="" value="<?=
                            $volunteer_price ?>" class="form-control" placeholder="请输入整数" disabled>
                            <span class="input-group-addon">元</span>
                        </div>
                    </div>

                </div>


                <?= Html::endForm() ?>
            </div>
        </div>

        <div class="tab-pane active">
            <!--            --><?php
            //            $dataProvider = new ActiveDataProvider([
            //                'query' => $query,
            //                'pagination' => [
            //                    'pageSize' => 10,
            //                ],
            //            ]);
            //            var_dump($list);
            //            echo MyGridView::widget([
            //                'dataProvider' => $dataProvider,
            //                'columns' => [
            //                    [
            //                        'attribute' => 'uid',
            //                        'enableSorting' => true,
            //                    ],
            //                    [
            //                        'attribute' => 'realname',
            //                        'enableSorting' => true,
            //                    ],
            //                    [
            //                        'attribute' => 'mobile',
            //                        'enableSorting' => true,
            //                    ],
            //                    [
            //                        'label'=>'注册时间',
            //                        'attribute' => 'created_at',
            //                        'format' => ['date','php:Y-m-d H:i:s'],
            //                        'enableSorting' => true,
            //                    ],
            //
            //                    [
            //                    'class' => MyActionColumn::class,
            //                    'template' => '{update}&nbsp;&nbsp;{delete}',
            //                    'headerOptions' => ['width' => '80'],
            //                    ],
            //                ]
            //            ]);
            //            ?>
            <table class="table table-bordered table-striped table-hover" border="1" style="text-align: center">
                <tr style="font-weight:900;">
                    <td>会员编号</td>
                    <td>用户姓名</td>
                    <td>用户电话</td>
                    <td>用户消费</td>
                    <td>志愿者消费</td>
                    <td>提现金额</td>
                    <td>志愿者--会员</td>
                    <td>志愿者--平台</td>
                </tr>
                <?php
                foreach ($list as $k => $value):?>
                    <tr>
                        <td style="padding: 5px 10px;">
                            <a href=" <?= Url::toRoute(['/user/user-list', 'keywords' => $value['uid']]) ?> "> <?= $value['uid'] ?> </a>
                        </td>
                        <td style="padding: 5px 10px;">
                            <?= $value['realname'] ?>
                        </td>
                        <td style="padding: 5px 10px;">
                            <?= $value['mobile'] ?>
                        </td>
                        <td>
                            <a href=" <?= Url::toRoute(['/shops/order-lists', 'keywords' => $value['uid']]) ?> ">  <?= $value['shop_order'] ?></a>
                        </td>
                        <td>
                            <a href=" <?= Url::toRoute(['/volunteer-list/shop-lists', 'keywords' => $value['uid']]) ?> ">  <?= $value['user_prices'] ?></a>
                        </td>
                        <td>
                            <a href=" <?= Url::toRoute(['/withdraw/user-list', 'keywords' => $value['uid']]) ?> ">  <?= $value['withdraw'] ?> </a>
                        </td>
                        <td style="padding: 5px 10px;">
                            <a href=" <?= Url::toRoute(['/volunteer-list/user-lists', 'keywords' => $value['uid']]) ?> ">   <?= $value['user_price'] ?>  </a>
                        </td>
                        <td style="padding: 5px 10px;">
                            <a href=" <?= Url::toRoute(['/volunteer-list/user-listx', 'keywords' => $value['uid']]) ?> ">  <?= $value['volunteerlist_price'] ?></a>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </table>

        </div>
    </div>
</div>


