<?php
/**
 * Created by PhpStorm.
 * User: ZhangZhenBiao
 * Date: 2017/11/30
 * Time: 14:31
 */

use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use common\helpers\Utils;
use common\widgets\daterangepicker\DateRangePicker;
use yii\data\ActiveDataProvider;
use yii\helpers\Html;
use yii\helpers\Url;

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="box box-success">
            <div class="box-header with-border">
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                    </button>
                </div>
            </div>
            <div class="box-body">
                <?= Html::beginForm(['volunteer-list/goods-list'], 'get', ['class' => 'form-horizontal']) ?>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::textInput('keywords', $searchArr['keywords'], ['class' => 'form-control', 'placeholder' => "用户id、订单号"]); ?>
                        <div class="help-block">请输入关键字</div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">时间</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= DateRangePicker::widget([
                            'name' => 'date',
                            'clientOptions' => [
                                'startDate' => $searchArr['date']['start'],
                                'endDate' => $searchArr['date']['end'],

                            ],
                            'clientEvents' => [],
                        ]) ?>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-success']); ?>
                        <a href="<?= Url::toRoute(['volunteer-list/shop-list']) ?>">
                            <div class="btn btn-default"><i class="glyphicon glyphicon-leaf"></i> 清除筛选</div>
                        </a>
                        <?= Html::submitButton('导出会员列表', ['class' => 'btn btn-primary pull-right', 'name' => 'op', 'value' => 'export']); ?>
                    </div>
                </div>
                <?= Html::endForm() ?>
            </div>
        </div>
        <div class="box-header clearfix no-border">
            <a href="<?= Url::to(['volunteer-list/shop-update']) ?>" class="btn btn-default pull-left"><i
                    class="fa fa-plus"></i>添加商品</a>
        </div>
        <div class="tab-pane active">
            <?php
            $dataProvider = new ActiveDataProvider([
                'query' => $query,
                'pagination' => [
                    'pageSize' => 10,
                ],
            ]);
            $arr = $query->all();
            echo MyGridView::widget([
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        'attribute' => 'title',
                    ],
                    [
                        'attribute' => 'price',
                    ],
                    [
                        'attribute' => 'imgs',
                        'format' => 'raw',
                        'value' => function ($model) {
                            return Html::a(Html::img(Utils::toMedia($model->imgs),
                                ['class' => 'img-rectangle',
                                    'height' => 50, 'width' => 100]
                            ), ['/article/big-pic', 'id' => $model->imgs], ['title' => '放大图片', 'data-toggle' => 'modal', 'data-target' => '#ajaxModal']) ?: '';
                        },
                    ],

                    [
                        'class' => MyActionColumn::class,
                        'header' => '操作',
                        'template' => '{update}&nbsp;&nbsp;{delete}',
                        'urlCreator' => function ($action, $model) {
                            switch ($action) {
                                case 'update':
                                    return \yii\helpers\url::toRoute(['volunteer-list/shop-update', 'id' => $model->id]);
                                case 'delete':
                                    return \yii\helpers\url::toRoute(['volunteer-list/shop-delete', 'id' => $model->id]);
                                default :
                                    return '未知';
                            }
                        },
                    ],
                ]
            ]);
            ?>
        </div>
    </div>
</div>


