<?php
/**
 * @var $item backend\models\SystemMenu
 * @var $list array
 */

use yii\helpers\Html;
use common\widgets\kindeditor\KindeditorWidget;
use backend\widgets\MyActiveForm;
use common\helpers\MyHtml;

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box-body">
                <?php $form = MyActiveForm::begin(); ?>
                <?= $form->field($item, 'title')->textInput(['placeholder' => '商品名称']); ?>
                <?= $form->field($item, 'price')->textInput(['placeholder' => '商品价格']); ?>
                <?= $form->field($item, 'info')->label('文章内容')->widget(KindEditorWidget::className(), [
                    'clientOptions' => [
                        'width' => '100%',
                        'height' => '500px',
                    ],
                ]) ?>
                <?= $form->field($item, 'imgs')->widget(KindeditorWidget::class, ['editorType' => 'image-dialog', 'params' => ['remark' => '建议尺寸500*250']]) ?>
                <?= $form->field($item, 'status')->radioList([0 => '未审核', 1 => '审核中', 2 => '已审核'], ['item' => [MyHtml::class, 'radioListItem']])->label('是否审核'); ?>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-5">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-primary']) ?>
                    </div>
                </div>
                <?php MyActiveForm::end(); ?>

            </div>
        </div>
    </div>
</div>

