<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017/12/16 HNDH Software Technology Co., Ltd.
 * @link http://www.dhsoft.cn
 */
/** @var array $searchArr */
/** @var string $total */
/** @var object $query */
use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use common\helpers\MyHtml;
use common\models\Config;
use common\widgets\daterangepicker\DateRangePicker;
use yii\data\ActiveDataProvider;
use yii\helpers\Html;
use yii\helpers\Url;


?>
<div class="nav-tabs-custom">
    <ul class="nav nav-tabs">
        <li class="active">
            <a href="<?= Url::to(['/withdraw/list']) ?>">订单管理</a>
        </li>
    </ul>
    <div class="tab-content">
        <div class="box box-success">
            <div class="box-header with-border">
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                    </button>
                </div>
            </div>
            <div class="box-body">
                <?= Html::beginForm(['/withdraw/list'], 'get', ['class' => 'form-horizontal']) ?>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?=
                        Html::textInput('keywords', $searchArr['keywords'], ['class' => 'form-control']); ?>
                        <div class="help-block">请输入关键字</div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">时间</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= DateRangePicker::widget([
                            'name' => 'date',
                            'clientOptions' => [
                                'startDate' => $searchArr['date']['start'],
                                'endDate' => $searchArr['date']['end'],

                            ],
                            'clientEvents' => [],
                        ]) ?>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">类型</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::checkboxList('type', $searchArr['type'], Config::getConfig('QUERY_MESSAGE'), ['item' => [MyHtml::className(), 'checkboxListItem']]); ?>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-success']); ?>
                        <a href="<?= Url::toRoute(['/withdraw/list']) ?>">
                            <div class="btn btn-default"><i class="glyphicon glyphicon-leaf"></i> 清除筛选</div>
                        </a>

                        <!--                        < ?= Html::activeCheckbox($query, 'username', ArrayHelper::map($data,'id', 'customer_name')); ?>-->
                        <?= Html::submitButton('导出订单列表', ['class' => 'btn btn-primary pull-right', 'name' => 'op', 'value' => 'export']); ?>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">统计</label>
                    <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4">
                        <div class="input-group">
                            <span class="input-group-addon">提现金额</span>
                            <input name="" value="<?= $total ?>" class="form-control" placeholder="请输入整数" disabled>
                            <span class="input-group-addon">元</span>
                        </div>
                    </div>
                </div>

                <?= Html::endForm() ?>
            </div>
        </div>
        <?= Html::a("批量同意", "javascript:void(0);", ["class" => "btn btn-success gridview"]) ?>
        <div class="tab-pane active">
            <?php

            $dataProvider = new ActiveDataProvider([
                'query' => $query,
                'pagination' => [
                    'pageSize' => 10,
                ],
            ]);
            $arr = $query->all();
            echo MyGridView::widget([
                "options" => ["class" => "grid-view", "id" => "grid"],
                'dataProvider' => $dataProvider,
                'columns' => [
                    [
                        "class" => "yii\grid\CheckboxColumn",
                        "name" => "id",
                    ],
                    [
                        'attribute' => 'id',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'uid',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'username',
                        'value' =>
                            function ($model) {
                                $str = \common\models\User::findByUid($model->uid);
                                return $str->realname;
                            }
                    ],
                    [
                        'attribute' => 'bank_name',
                    ],
                    [
                        'label' => '开户地址',
                        'value' => function ($model) {
                            $str = $model->address;
                            return $str;
                        },
                    ],
                    [
                        'attribute' => 'bank_card',
                    ],
                    [
                        'attribute' => 'withdraw_money',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'withdraw_percent',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'price',
                        'enableSorting' => true,
                    ],
                    [
                        'attribute' => 'pay_type',
                        'enableSorting' => true,
                        'value' => function ($model) {
                            if ($model->pay_type == 1) {
                                $str = '银行卡';
                            } elseif ($model->pay_type == 2) {
                                $str = '零钱';
                            } else {
                                $str = '未知';
                            }
                            return $str;
                        },
                    ],
                    [
                        'attribute' => 'status',
                        'enableSorting' => true,
                        'value' => function ($model) {
                            if ($model->status == 0) {
                                $str = '未审核';
                            } elseif ($model->status == 1) {
                                $str = '审核中';
                            } elseif ($model->status == 2) {
                                $str = '已审核';
                            } elseif ($model->status == 3) {
                                $str = '驳回';
                            } else {
                                $str = '未知';
                            }
                            return $str;
                        },
                    ],
                    [
                        'attribute' => 'created_at',
                        'format' => ['date', 'php:Y-m-d H:i:s'],
                        'enableSorting' => true,
                    ],
                    [
                        'class' => MyActionColumn::class,
                        'template' => '{role-del}&nbsp;&nbsp;{delete}',
                        'buttons' => [
                            'role-del' => function ($url, $model, $key) {
                                return ($model->status == 1) ? Html::a('同意', Url::toRoute(['withdraw/update', 'id' => $model->id]), ['class' => 'btn btn-sm btn-warning', 'onclick' => "return confirm('确认同意该订单吗？');return false;"]) : '';
                            },
                            'delete' => function ($url, $model, $key) {
                                return ($model->status == 1) ? Html::a('拒绝', Url::toRoute(['withdraw/reject', 'id' => $model->id]), ['class' => 'btn btn-sm btn-warning', 'title' => '审核驳回', 'data-toggle' => 'modal', 'data-target' => '#ajaxModal']) : '';
                            }
                        ],
                    ]
                ]
            ]);
            $this->registerJs('
                 $(document).on(
                "click", ".gridview", function () {
                    var keys = $("#grid").yiiGridView("getSelectedRows");
                    var url = "/admin/index.php?r=withdraw%2Fupdate-all&keys="+keys;
                    $.get(url,function(res){
                        if(res ==1){
                            alert("操作成功！");
                            window.location.href = "/admin/index.php?r=withdraw%2Flist";
                        }else{
                            alert("操作失败！");
                            window.location.href = "/admin/index.php?r=withdraw%2Flist";
                        }
                    })
                });
            ');
            ?>
        </div>
    </div>
</div>




