<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/8/25 9:13
 */

namespace common\helpers;
use common\models\Config;
//use common\models\SmsLog;
//use yii\helpers\VarDumper;
//use yii\httpclient\Client;
//use yii\httpclient\Response;
//use saviorlv\aliyun\Sms as Smes;
use Yii;
class Erp
{
    private $token=null;
    private $sign_code;
    protected $need_field;
    protected $api_shop;
    public function __construct(){
        $api_shop = Yii::$app->params['api_shop'];
        if(!empty($api_shop)){
            $this->sign_code= $api_shop['sign_code'];
            $this->token=$this->getToken($api_shop);
        }
    }
    /**
     *
     *获取Token
     */
    public function getToken($api_shop){
        Session_start(); 
        $cache = Yii::$app->cache;
        $cache_id="shopw_token:".session_id();
        // $cache_id="shopw_token:05F51627-63C8-5EDB-E660-08E91D8E1320";
        $data = $cache->get($cache_id);
        if ($data['data']['token'] == false) {
            $data['appid']=$api_shop['app_id'];
            $data['access_key']=$api_shop['access_key'];
            $data['secret_key']=$api_shop['secret_key'];
            $data['sign_code']=$api_shop['sign_code'];
            $data['device_id']=session_id();
            $url ="/pc.v1.auth/token";
            $res=$this->apipost($url, $data,$data['sign_code']);
            if($res['code']==0){
                echo "获取Token失败";
                die();
            }
            $token=$res['data']['token'];

            $cache->set($cache_id, $res, 100);
            return $this->token=$token;
        }else{
            return $this->token=$data['data']['token'];
        }
//        $cache=new Cache();
//        $api_url = PubConfig::instance()->params['api_url'];
//        $api_url = "http://erpapi.woju8.com/";
//        $api_url =Yii::$app->params['api_url'];
//        $cache_id="shop_token:".Yii::app()->session->sessionID;
//        $token=$cache->redis_get($cache_id,'redis2');
//        if($token!=""){
//            return $token;
//        }
        //appid,access_key,secret_key,sign_code,device_id

//        $cache->redis_set($cache_id, $token,'redis2',600);//设置redis缓存为1680分钟

//        return $token;

    }

    /**
     *
     * @param string $mobile   注册用手机号
     * @return array|mixed
     */
    public function regist($account="",$mobile="",$pwd){
        //$data['promo_code']="10000";//分享人账号
        $url="mall.v1.user/personRegister";
        $data['account']=$account;
//        $pwd="bwft".rand(1111,9999);
        $data['load_psw']=$this->md5_pwd($pwd);
        $data['mobile']=$mobile;
        $data['sms_code']="e9f12464c1464ab86d189a428a6d4a86";//短信验证码
        $res=$this->apipost($url, $data);
        return $res;
    }
    /**
     * 加密处理
     * @param $str
     * @param int $type
     * @param string $checkType
     * @param string $prefix
     * @return string
     */
    public function md5_pwd($str,$type = 1,$checkType = '',$prefix=''){
        if( $type == 1 ){
            $pwd = $this->get_pswkey('md5_pwd');
            // $str = md5('TPSHOP'.$str);
        }else{
            $pwd =  $this->get_pswkey('md5_safe');
        }
        $str = sha1($str);
        $str = $str . ($prefix ? $prefix : $pwd);
        return md5($str);
    }

    /**
     * 获取加密
     * @param $typeName
     * @return
     */
public function get_pswkey( $typeName ){

//        $pswConfig = PubConfig::instance()->params['pswkeys'];
        $pswConfig =  Yii::$app->params['pswkeys'];
        $pswkey = isset($pswConfig[$typeName]) && $pswConfig[$typeName] ? $pswConfig[$typeName] : null;
        return $pswkey;
    }
    /**
     * 发送Api请求返回
     * @param string $url Api请求地址
     * @param string $data Api请求参数
     * @param string $url Api请求地址
     * @param string $nosign 不参与签名字段
     * @return array $res  返回数组
     */
    public function apipost($url,$data,$nosign=""){
//        $api_url = PubConfig::instance()->params['api_url'];
        $api_url =Yii::$app->params['api_url'];
        $url = $api_url.$url;
        if($this->token!=null){
            $data['token']=$this->token;
        }
        $data['sign']=$this->sign($data,$nosign);
        $res=$this->postCurl($url, $data);
//        $res=json_decode($res,TRUE);
        return $res;
    }

    /**
     * 生成签名
     * @param array     $data   要进行签名的数据
     * @param string    $nosign  不参与签名字段
     * @param string    $sign_code  签名code,空是为默认
     */
    public function sign($data,$nosign=''){
        $not =  ['random'];
        if($nosign){
            $nosign = explode(',',$nosign);
            $not    = array_merge($not,$nosign);
        }
        $not = array_unique($not);
        if(!is_array($data)) $data = [];
        foreach($data as $key => $val){

            if(in_array($key,$not)) unset($data[$key]);

        }
//          $sign_code=$api_shop['sign_code'];
        $sign_code= $api_url =Yii::$app->params['api_shop'];

        if(isset($data['sign_code']) && $sign_code['sign_code']) {
            $sign_code = $data['sign_code'];
        }
        ksort($data);
        $query=http_build_query($data).'&'.$this->sign_code;
//        $query=urldecode($query);
        return md5($query);
    }
    /*
    @李达
    与erp发送消息
    */
   public function postCurl($url, $json) {
//    $this->logger("json".var_export($json,TRUE));
       // 初始化curl
    $ch = curl_init ();
    // 设置超时
    curl_setopt ( $ch, 30, 30 );
    // 这里设置代理，如果有的话
    // curl_setopt($ch,CURLOPT_PROXY, '8.8.8.8');
    // curl_setopt($ch,CURLOPT_PROXYPORT, 8080);
    curl_setopt ( $ch, CURLOPT_URL, $url );
    curl_setopt ( $ch, CURLOPT_SSL_VERIFYPEER, FALSE );
    curl_setopt ( $ch, CURLOPT_SSL_VERIFYHOST, FALSE );
    // 设置header
    curl_setopt ( $ch, CURLOPT_HEADER, FALSE );
    // 要求结果为字符串且输出到屏幕上
    curl_setopt ( $ch, CURLOPT_RETURNTRANSFER, TRUE );
    // post提交方式
    curl_setopt ( $ch, CURLOPT_POST, TRUE );
    curl_setopt ( $ch, CURLOPT_POSTFIELDS, $json );
    // 运行curl
    $data = curl_exec ( $ch );
    // 返回结果
    curl_close ( $ch );

    $data=json_decode($data,true);

    return $data;
    }
    /*
    uuid生成

     */
   public function guid(){
    if (function_exists('com_create_guid')){
        return com_create_guid();
    }else{
        mt_srand((double)microtime()*10000);//optional for php 4.2.0 and up.
        $charid = strtoupper(md5(uniqid(rand(), true)));

        $hyphen = chr(45);// "-"

        $uuid = substr($charid, 0, 8).$hyphen
                .substr($charid, 8, 4).$hyphen
                .substr($charid,12, 4).$hyphen
                .substr($charid,16, 4).$hyphen
                .substr($charid,20,12);
              
        return $uuid;
    }
}
    /*
    日志记录
     */

    public function logger($log_content){
        //$folder = "./Log/";
        $folder = './Log/'.date("Y").'/'.date("m").'/'.date("d").'D/';
        if(!file_exists($folder)){
            mkdir($folder,0777,TRUE);
        }
        for($i=5;$i--;$i>0){
            $max_size = 100000;
            $log_filename = $folder.'/'.date('Ymd',time()).'-'.$i.'.txt';
            if(file_exists($log_filename) && (abs(filesize($log_filename)) >= $max_size)){
                $next = $i + 1;
                $log_filename = $folder.'/'.date('Ymd',time()).'-'.$next.'.txt';
                //新内容写入日志，内容前加上时间， 后面加上换行， 以追加的方式写入
                file_put_contents($log_filename, date('Y-m-d H:i:s')." ".$log_content." \r\n", FILE_APPEND);
            }elseif(file_exists($log_filename) && (abs(filesize($log_filename)) < $max_size)){
                //写入日志，内容前加上时间， 后面加上换行， 以追加的方式写入
                file_put_contents($log_filename, date('Y-m-d H:i:s')." ".$log_content." \r\n", FILE_APPEND);
            }else{
                if($i == 1){
                    //写入日志，内容前加上时间， 后面加上换行， 以追加的方式写入
                    file_put_contents($log_filename, date('Y-m-d H:i:s')." ".$log_content." \r\n", FILE_APPEND);
                }
            }
        }
    }


}

