<?php

namespace common\models;

use Yii;
use yii\behaviors\TimestampBehavior;

/**
 * This is the model class for table "chain_address".
 *
 * @property string $id
 * @property string $uid
 * @property string $province
 * @property string $city
 * @property string $county
 * @property string $address
 * @property string $link_name
 * @property string $link_mobile
 * @property integer $status
 * @property integer $is_default
 * @property string $created_at
 * @property string $updated_at
 */
class Address extends \yii\db\ActiveRecord
{
    const DEFAULT_ACTIVE = 1;
    const DEFAULT_DELETED = 0;

    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%address}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['uid', 'address', 'link_name', 'link_mobile'], 'required'],
            [['uid', 'status', 'is_default', 'created_at', 'updated_at'], 'integer'],
            [['link_name'], 'string', 'max' => 20],
            [['address'], 'string', 'max' => 255],
            [['area'], 'string', 'max' => 150],
            [['link_mobile'], 'string', 'max' => 11],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => '联系地址id',
            'uid' => '用户id',
            'area' => '区域',
            'address' => '详细地址',
            'link_name' => '联系人',
            'link_mobile' => '联系手机号',
            'status' => '是否启用，0启用，9禁用',
            'is_default' => '是否默认,0非默认，1默认',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }

    public function behaviors()
    {
        return [
            [
                'class' => TimestampBehavior::className(),
                'createdAtAttribute' => 'created_at',
                'updatedAtAttribute' => 'updated_at',
            ],
        ];
    }
}
