<?php
/**
 * Created by PhpStorm.
 * User: XingBin
 * Date: 2017/8/17
 * Time: 10:27
 */

namespace common\models;

use yii\behaviors\TimestampBehavior;
use yii\db\ActiveRecord;

class ArticleCategory extends ActiveRecord
{
    public function rules()
    {
        return [
            [['title'], 'required', 'message' => '分类名称不能为空'],
            [['pid'], 'required'],
            [['status'], 'required'],
            [['remark'], 'safe']

//            [['content'],'required','message'=>'内容不能为空']
            //验证规则
        ];
    }

    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'title' => '分类名称',
            'remark' => '分类描述',
            'pid' => '上级分类',
            'content' => '文章内容',
            'created_at' => '创建时间',
            'updated_at' => '更新时间',
            'status' => '状态',
        ];
    }

    public function behaviors()
    {
        return [
            [
                'class' => TimestampBehavior::className(),
                'createdAtAttribute' => 'created_at',
                'updatedAtAttribute' => 'updated_at',
            ],
        ];
    }

    /**
     *递归，查找子孙树
     * @param $arr
     * @param int $id
     * @param int $lev
     * @return array
     */
    public static function subtree($arr, $id = 0, $lev = 1)
    {
        $subs = array(); // 子孙数组
        foreach ($arr as $v) {
            if ($v['pid'] == $id) {
                $v['lev'] = $lev;
                $subs[] = $v;
                $subs = array_merge($subs, self::subtree($arr, $v['id'], $lev + 1));
            }
        }
        return $subs;
    }

}
