<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/8/25 10:45
 */

namespace common\models;


use Yii;
use yii\db\ActiveRecord;
/**
 * @property integer $id [int(11) unsigned]
 * @property integer $uid [int(11) unsigned]  操作用户ｉｄ
 * @property string $opertate [varchar(255)]  操作内容
 * @property string $ip [int(11)]  操作ip
 * @property integer $created_at [int(11) unsigned]  创建时间
 */
class ManagerLog extends ActiveRecord
{
    public static function tableName(){
        return "{{%manager_log}}";
    }
    public function rules()
    {
        return [
           
            [['operate'], 'string'],
        ];
    }

    public function attributeLabels()
    {
        return [
            'uid' => '会员编号',
            'operate' => '操作内容',
            'ip' => '操作IP地址',
            'create_at' => '创建时间',
            'role'=>"角色",
        ];
    }

    public function beforeSave($insert)
    {
        if (!parent::beforeSave($insert)) {
            return false;
        }
        $this->uid = intval(Yii::$app->user->id);
        $this->ip = ip2long(Yii::$app->request->userIP);
        $this->create_at = time();
        return true;
    }
}
