<?php

namespace common\models;

use yii\db\ActiveRecord;

/**
 * This is the model class for table "chain_menu".
 *
 * @property string $id
 * @property string $pid
 * @property string $title
 * @property string $link
 * @property string $icon
 * @property string $remark
 * @property string $groups
 * @property string $sort
 * @property integer $isShow
 */
class Menu extends ActiveRecord
{
    const SHOW_ACTIVE = 1;
    const SHOW_DELETED = 0;

    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%menu}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['pid', 'sort', 'isShow'], 'integer'],
            [['title', 'link', 'icon', 'remark', 'groups'], 'string', 'max' => 255],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => '菜单ID',
            'pid' => '上级分类ID',
            'title' => '菜单标题',
            'link' => 'url地址',
            'icon' => '图标',
            'remark' => '说明',
            'groups' => '分组',
            'sort' => '排序',
            'isShow' => '是否隐藏1是不隐藏 0是隐藏',
        ];
    }

    /**
     * @param $group
     * @return array|ActiveRecord[]
     */
    public static function findByTitle($group)
    {
        return self::find()->where("groups = '{$group}' and pid != 0 and isShow = 1")->asArray()->all();
    }
}
