<?php

namespace common\models;

use Yii;
use yii\base\Exception;
use yii\behaviors\TimestampBehavior;

/**
 * This is the model class for table "{{%message}}".
 *
 * @property integer $id
 * @property integer $uid
 * @property string $title
 * @property string $message
 * @property integer $status
 * @property integer $types
 * @property string $linkUrl
 * @property integer $read_at
 * @property integer $created_at
 */
class Message extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%message}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['uid', 'title', 'message'], 'required'],
            [['uid', 'status', 'types', 'read_at', 'created_at'], 'integer'],
            [['message'], 'string'],
            [['title'], 'string', 'max' => 50],
            [['linkUrl'], 'string', 'max' => 255],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'uid' => 'Uid',
            'title' => '信息标题',
            'message' => '信息内容',
            'status' => '状态',
            'types' => '信息类型',
            'linkUrl' => '跳转类型',
            'read_at' => '阅读时间',
            'created_at' => '创建时间',
        ];
    }

    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            [
                'class' => TimestampBehavior::className(),
                'createdAtAttribute' => 'created_at',
                'updatedAtAttribute' => 'read_at',
            ],
        ];
    }

    /**
     * 添加提示消息
     * @param $uid
     * @param $title
     * @param $message
     * @throws Exception
     */
    public static function add($uid, $title, $message)
    {
        $user = User::findByUid($uid);
        if (empty($user)) {
            throw new Exception('用户信息不存在');
        }
        $model = new self();
        $model->uid = $uid;
        $model->title = $title;
        $model->message = $message;
        if (!$model->save()) {
            throw new Exception('添加日志失败');
        }
    }
}
