<?php

namespace common\models;
use Yii;

/**
 * This is the model class for table "{{%proxy}}".
 *
 * @property int $id
 * @property int $uid
 * @property string $name
 * @property int $proxy_lv 1省2市3区
 * @property string $proxy_address
 * @property string $address
 * @property string $remark
 * @property int $created_at
 * @property int $type
 * @property int $mobile
 * @property int $status
 * @property int $updated_at
 */
class Proxy extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%proxy}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['uid', 'name', 'proxy_lv', 'proxy_address',], 'required'],
            [['id', 'uid', 'proxy_lv', 'created_at', 'updated_at', 'status', 'mobile', 'type'], 'integer'],
            [['name'], 'string', 'max' => 100],
            [['proxy_address', 'remark', 'address'], 'string', 'max' => 255],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => '序号',
            'uid' => '用户UID',
            'name' => '姓名',
            'proxy_lv' => '级别',
            'proxy_address' => '代理地区',
            'type' => '申请类别',
            'address' => '详细地址',
            'mobile' => '手机号',
            'status' => '审核状态',
            'created_at' => '申请时间',
            'updated_at' => '审核时间',
            "org_name"=>"销售中心名称",
        ];
    }

    /**
     * 添加记录
     * @param $data
     * @return bool|mixed
     */
    public static function add($data)
    {
        $model = new Proxy();
        $model->proxy_address = $data['address'];
        $model->mobile = $data['mobile'];
        $model->name = $data['name'];
        $model->type = $data['type'];
        $model->org_name = $data['org_name'];
//        $model->proxy_lv = $data['proxy_lv'];
//        $model->uid = $data['uid'];
        $model->status = 2;
        if (!isset($data['proxy_lv'])) {  //报单中心
            $model->proxy_lv = 0;
        } else {  //代理
            $model->proxy_lv = $data['proxy_lv'];
        }
      
//        $model->remark = $data['remark'];
        $model->created_at = time();
        $model->updated_at = time();

        if ($model->save(false)) {

            return true;
        } else {
            return current($model->getFirstErrors());
        }
    }
    /**
     * 添加记录
     * @param $data
     * @return bool|mixed
     */
    public static function updats($data)
    {

        $id = intval(Yii::$app->request->get('id'));
        $model = new Proxy();
        $model->status = 2;
        if (!isset($data['proxy_lv'])) {  //报单中心
            $proxy_lv = 0;
        } else {  //代理
            $proxy_lv = $data['proxy_lv'];
        }
        $res=self::updateAll(["address"=>$data['address'],"mobile"=>$data['mobile'],"name"=>$data['name'],"type"=>$data['type'],"org_name"=>$data['org_name'],"updated_at"=>time(),"proxy_lv"=>$proxy_lv],"id=:id",[':id'=>$id]);

        if ($res) {
            return true;
        } else {
            return current($model->getFirstErrors());
        }
    }



}
