<?php

namespace common\models;

/**
 * This is the model class for table "{{%shop_cart}}".
 *
 * @property int $id
 * @property int $uid
 * @property int $goods_id 商品ID
 * @property string $goods_price 商品价格
 * @property string $goods_name 商品名称
 * @property int $goods_num 数量
 * @property string $thumb 图片
 * @property int $status 状态
 * @property int $created_at
 * @property int $updated_at
 */
class ShopCart extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%shop_cart}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['uid', 'goods_id', 'goods_price', 'goods_name', 'goods_num', 'thumb', 'status', 'created_at'], 'required'],
            [['uid', 'goods_id', 'goods_num', 'status', 'created_at', 'updated_at'], 'integer'],
            [['goods_price'], 'number'],
            [['goods_name'], 'string', 'max' => 100],
            [['thumb'], 'string', 'max' => 255],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => '序号',
            'uid' => '用户UID',
            'goods_id' => '商品ID',
            'goods_price' => '商品价格',
            'goods_name' => '商品名字',
            'goods_num' => '商品数量',
            'thumb' => '图片',
            'status' => '状态',
            'created_at' => '创建时间',
            'updated_at' => '更新时间',
        ];
    }

    /**
     * 添加商品
     * @param $data
     * @return bool
     */
    public static function add($data)
    {
        $model = new  ShopCart();
        $model->uid = $data['uid'];
        $model->goods_id = $data['goods_id'];
        $model->goods_price = $data['goods_price'];
        $model->goods_name = $data['goods_name'];
        $model->goods_num = $data['goods_num'];
        $model->thumb = $data['thumb'];
        $model->status = $data['status'];
        $model->created_at = $data['created_at'];
        if ($model->save()) {
            return true;
        } else {
            return false;
        }
    }

    /**
     * 删除购物车
     * @param $data
     * @return bool
     */
    public static function deleteCart($data)
    {
        $re = false;
        foreach ($data as $item) {
            $model = ShopCart::findOne(['id' => $item]);
            $model->status = 3;
            $re = $model->save();
        }
        return $re;
    }


}
