<?php

namespace common\models;

use backend\models\Shops;
use yii\behaviors\TimestampBehavior;

/**
 * This is the model class for table "chain_shops_manage".
 *
 * @property string $id
 * @property integer $shops_id
 * @property string $coba
 * @property string $details
 * @property string $InsideShowA
 * @property string $InsideShowB
 * @property string $businessLicence
 * @property integer $status
 * @property string $created_at
 * @property string $updated_at
 */
class ShopsManage extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%shops_manage}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['shops_id', 'coba', 'details', 'InsideShowA', 'InsideShowB', 'businessLicence', 'title'], 'required'],
            [['shops_id', 'status', 'created_at', 'updated_at'], 'integer'],
            [['details'], 'string'],
            [['coba', 'InsideShowA', 'InsideShowB', 'businessLicence'], 'string', 'max' => 255],
            [['title'], 'string', 'max' => 50],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'shops_id' => '商家ID',
            'coba' => '门头照片',
            'details' => '详细介绍',
            'InsideShowA' => '内部展示图1',
            'InsideShowB' => '内部展示图2',
            'businessLicence' => '营业执照',
            'status' => '状态',
            'created_at' => '创建时间',
            'updated_at' => '修改时间',
        ];
    }

    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            [
                'class' => TimestampBehavior::className(),
                'createdAtAttribute' => 'created_at',
                'updatedAtAttribute' => 'updated_at',
            ],
        ];
    }

    /**
     * 关联商户信息
     * @return \yii\db\ActiveQuery
     */
    public function getShops()
    {
        return $this->hasOne(Shops::className(), ['id' => 'shops_id']);
    }

}
