<?php

namespace common\models;


use backend\models\DistributionConfig;
use yii\base\Exception;
use yii\behaviors\TimestampBehavior;
use yii\db\Expression;
use Yii;
/**
 * This is the model class for table "{{%team}}".
 *
 * @property int $id
 * @property int $uid1
 * @property int $uid2
 * @property int $uid3
 * @property int $uid4
 * @property int $uid5
 * @property int $uid6
 * @property int $uid7
 * @property int $uid8
 * @property int $uid9
 * @property int $uid10
 * @property int $uid11
 * @property int $uid12
 * @property int $uid13
 * @property int $uid14
 * @property int $uid15
 * @property int $status
 * @property int $created_at
 * @property int $update_at
 */
class Team extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%team}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['uid1', 'created_at',], 'required'],
            [['uid1', 'uid2', 'uid3', 'uid4', 'uid5', 'uid6', 'uid7', 'uid8', 'uid9', 'uid10', 'uid11', 'uid12', 'uid13', 'uid14', 'uid15', 'created_at', 'update_at', 'status'], 'integer'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'uid1' => '队长',
            'uid2' => '①号',
            'uid3' => '②号',
            'uid4' => '③号',
            'uid5' => '④号',
            'uid6' => '⑤号',
            'uid7' => '⑥号',
            'created_at' => '创建时间',
            'update_at' => '更新时间',
        ];
    }

    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            [
                'class' => TimestampBehavior::className(),
                'createdAtAttribute' => 'created_at',
                'updatedAtAttribute' => 'update_at',

            ],
        ];
    }

    /**
     * 查找团队
     * @param $uid
     * @param $id
     * @return bool|int
     * @throws Exception
     * @throws \yii\db\Exception
     */
    public static function findByUid($uid, $id)
    {
        if (intval($uid['uid']) > 0) {
            $condition = " uid1={$uid['uid']} or uid2={$uid['uid']} or uid3={$uid['uid']} or uid4={$uid['uid']} or uid5={$uid['uid']} or uid6={$uid['uid']} or uid7={$uid['uid']}  or uid8={$uid['uid']}  or uid9={$uid['uid']}  or uid10={$uid['uid']}  or uid11={$uid['uid']}  or uid12={$uid['uid']}  or uid13={$uid['uid']}  or uid14={$uid['uid']}  or uid7={$uid['uid']} ";
            $list = self::find()->where($condition)->andWhere(['status' => 1])->orderBy("id desc ")->limit(1)->asArray()->one();
            $teamModel = Team::findOne(['id' => $list['id']]);
            if (!empty($list)) {
                foreach ($list as $k => $item) {
                    if (empty($item)) {
                        $teamModel->$k = $uid['zi'];
                        $re = $teamModel->save();
                        break;
                    } elseif (!empty($teamModel->uid14) && empty($teamModel->uid15)) {
                        $transaction = \Yii::$app->db->beginTransaction();
                        try {
                            $teamModel->updateAttributes(['uid15' => "{$uid['zi']}"]);
                            $teamModel->updateAttributes(['status' => 2]);    //解散
                            $re = self::createTeam($list["id"], $id);
                            $transaction->commit();
                        } catch (Exception $e) {
                            $transaction->rollBack();
                            throw new Exception("操作错误！" . $e->getMessage());
                        }
                    }
                }
                $reportList = ReportForm::findOne($id);
                if(!$list['id']){
                    return "上级未报单";
                }else{
                    $reportList->updateCounters(['team_list' => $list['id']]);
                    return $re;
                }
               
            } else {
                // throw new Exception("上级没有销售！");
            }
        } else {  // 无上级
            if (isset($uid['id'])) {
                $list = self::find()->where(['id' => $uid['id']])->orderBy("id desc ")->limit(1)->asArray()->one();
                $condition = " uid1={$list['uid2']} ";
                $lists = self::find()->where($condition)->andWhere(['status' => 1])->orderBy("id desc ")->limit(1)->asArray()->one();
                $teamModel = Team::findOne(['id' => $lists['id']]);
                if (!empty($lists)) {
                    foreach ($lists as $k => $item) {
                        if (empty($item)) {
                            $teamModel->$k = $uid['zi'];
                            $re = $teamModel->save();
                            break;
                        } elseif (!empty($teamModel->uid6) && empty($teamModel->uid7)) {
                            $transaction = \Yii::$app->db->beginTransaction();
                            try {
                                $teamModel->updateAttributes(['uid7' => "{$uid['zi']}"]);
                                $teamModel->updateAttributes(['status' => 2]);    //解散
                                $re = self::createTeam($list["id"], $id);
                                $transaction->commit();
                            } catch (Exception $e) {
                                $transaction->rollBack();
                                throw new Exception("操作错误！" . $e->getMessage());
                            }
                        }
                    }
                    return $re;
                }
            } else {
                return false;
            }
        }
    }

    /**
     * 分队
     * @param $id :组id
     * @param $listid report表id 报单id
     * @return int
     * @throws Exception
     * @throws \yii\db\Exception
     */
    public static function createTeam($id, $listid)
    {
        $teamModel = Team::findOne(['id' => $id]);
        $consump = DistributionConfig::getAll("index")['consump'];
        $userModel = User::findOne(['uid' => $teamModel->uid1]); //出局奖

        if(empty($teamModel)){
            $str=$id."组不存在";
            $arr=['code'=>0,'data'=>"",'msg'=>"$str"];
            return $arr;
        }
        $name= $userModel->realname? $userModel->realname: $userModel->nickname;
        if(empty($userModel)){
            $str="组长".$tname."不存在或者已被删除";
            $arr=['code'=>0,'data'=>"",'msg'=>"$str"];
            return $arr;
        }

        $relation['superior'] = rtrim($userModel['superior'], '_0');
        $rela = explode('_', $relation['superior']);
        $datainfo = [
            'uid' => empty($rela[0]) ? 0 : $rela[0],
            'zi' => $teamModel->uid1,
            'id' => $id,
        ];

        $num = User::findChildrenNum($teamModel->uid1);

//        $reportList = ReportForm::find()->where(['uid' => $teamModel->uid1])->one();
        $where=['and',"status=2",'uid='.$teamModel->uid1];

//        $reportList = ReportForm::find()->where(["status=:status and uid=:uid",[":status"=>4,":uid"=>$teamModel->uid1]])->one();
        $reportList = ReportForm::find()->where($where)->one();
        if(empty($reportList)){
            $str="组长".$name."未报单";
           $arr=['code'=>0,'data'=>"",'msg'=>$str];
            return $arr;
        }
         // $reportList=ReportForm::findOne(['uid'=>$teamModel->uid1]);
        // return $reportList->price."+".$num ;
        if ((int)$reportList->price >= (int)$consump['investment']) {
            if ($num >= 2) {
                $userModel->updateAttributes([
                    'credit1' => new Expression('credit1+' . $consump['twopeople']),
                    'credit3' => new Expression('credit3+' . $consump['twopeople']),
                ]);
                $intedata = [
                    ['report_id' => $reportList->report_uid, 'uid' => $userModel->uid, 'type' => 3, 'price' => $consump['twopeople'], 'status' => 1, 'created_at' => time(), 'updated_at' => time()]
                ];

                IntegralRelease::add($intedata);
            }
        } else {
            if ($num >= 2) {
                $userModel->updateAttributes([
                    'credit1' => new Expression('credit1+' . $consump['twopeople']),
                    'credit3' => new Expression('credit3+' . $consump['twopeople']),
                ]);
                $intedata = [
                    ['report_id' => $reportList->report_uid, 'uid' => $userModel->uid, 'type' => 3, 'price' => $consump['twopeople'], 'status' => 1, 'created_at' => time(), 'updated_at' => time()]
                ];
            } else {
                $userModel->updateAttributes([
                    'credit1' => new Expression('credit1+' . $consump['onepeople']),
                    'credit3' => new Expression('credit3+' . $consump['onepeople']),
                ]);
                $intedata = [
                    ['report_id' => $reportList->report_uid, 'uid' => $userModel->uid, 'type' => 3, 'price' => $consump['onepeople'], 'status' => 1, 'created_at' => time(), 'updated_at' => time()]
                ];
            }
            IntegralRelease::add($intedata);
        }

       $userModel->updateCounters(['outs' => 1]);   //为团长添加出彩次数
        if($teamModel->type==1){ //旧规则组 裂变新组
            $data = [
                ['uid1' => $teamModel->uid2, 'uid2' => $teamModel->uid4, 'uid3' => $teamModel->uid6, 'uid4' => $teamModel->uid8, 'uid5' => $teamModel->uid10, 'uid6' => $teamModel->uid12, 'uid7' => $teamModel->uid14, 'status' => 1, 'created_at' => time(), 'update_at' => time(),"parent_id"=>$id],
                ['uid1' => $teamModel->uid3, 'uid2' => $teamModel->uid5, 'uid3' => $teamModel->uid7, 'uid4' => $teamModel->uid9, 'uid5' => $teamModel->uid11, 'uid6' => $teamModel->uid13, 'uid7' => $teamModel->uid15, 'status' => 1, 'created_at' => time(), 'update_at' => time(),"parent_id"=>$id]
            ];

            $result = \Yii::$app->db->createCommand()->batchInsert(Team::tableName(), ['uid1', 'uid2', 'uid3', 'uid4', 'uid5', 'uid6', 'uid7', 'status', 'created_at', 'update_at',"parent_id"], $data)->execute();
            self::findByUid($datainfo, $listid);
            $arr=['code'=>1,'data'=>$result,'msg'=>"成功"];
        }else{
            $arr=['code'=>1,'data'=>"",'msg'=>"成功"];
        }


        return $arr;
//        return $result;
    }

    /*
     * 创建一推8的新组
     * type:1:7推8 2:一推8
     * uid1:用户id
     * */

    public static function newCreateTeam($uid,$type){
        $user= User::findOne(['uid' => $uid]);
        if(empty($user)){
            $arr=['code'=>0,'data'=>"",'msg'=>"用户不存在"];
            return $arr;
        }
        $data = [
            ['uid1' => $uid,  'status' => 1, 'type'=>$type,'created_at' => time(), 'update_at' => time(),"parent_id"=>0]
        ];
        $result = \Yii::$app->db->createCommand()->batchInsert(Team::tableName(), ['uid1', 'status','type', 'created_at', 'update_at',"parent_id"], $data)->execute();
        if($result){
            $arr=['code'=>1,'data'=>Yii::$app->db->getLastInsertID(),'msg'=>"成功创建新组"];
            return $arr;
        }else{
            $arr=['code'=>0,'data'=>"",'msg'=>"新组创建失败"];
            return $arr;
        }
    }

    /**
     * 查找自己所在的团队
     * @param $uid
     * @return array
     */
    public static function findByid($uid)
    {
        $condition = " uid1={$uid} or uid2={$uid} or uid3={$uid} or uid4={$uid} or uid5={$uid} or uid6={$uid} or uid7={$uid} or uid8={$uid} or uid9={$uid} or uid10={$uid} or uid11={$uid} or uid12={$uid} or uid13={$uid} or uid14={$uid} or uid15={$uid} ";
        $lists = self::find()
            ->where($condition)
            ->andWhere(['status' => 1])
            ->orderBy("id desc ")
            ->asArray()->all();
        $list = $ls = [];
        if (!empty($lists)) {
            foreach ($lists as $k => $item) {
                if (!empty($item)) {
                    $user1 = User::findOne(['uid' => $item['uid1']]);
                    $list[$item['uid1']]['uid'] = $user1['uid'];
                    if ($user1['referrer']) {
                        $list[$item['uid1']]['relation'] = $user1['referrer'];
                    } else {
                        $list[$item['uid1']]['relation'] = '无';
                    }
                    $list[$item['uid1']]['name'] = $user1['realname'];
                    $list[$item['uid1']]['className'] = "middle-level";
                    $list[$item['uid1']]['mobile'] = substr_replace($user1['mobile'], '****', 3, 4);
                    $list[$item['uid1']]['outs'] = $user1['outs'];

                    if (empty($item['uid2'])) {
                        continue;
                    } else {
                        $user2 = User::findOne(['uid' => $item['uid2']]);
                        $list[$item['uid1']]['children'][$item['uid2']]['uid'] = $user2['uid'];
                        if ($user2['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid2']]['relation'] = $user2['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid2']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid2']]['name'] = $user2['realname'];
                        $list[$item['uid1']]['children'][$item['uid2']]['className'] = "pipeline1";
                        $list[$item['uid1']]['children'][$item['uid2']]['mobile'] = substr_replace($user2['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid2']]['outs'] = $user2['outs'];
                    }

                    if (empty($item['uid3'])) {
                        continue;
                    } else {
                        $user3 = User::findOne(['uid' => $item['uid3']]);
                        $list[$item['uid1']]['children'][$item['uid3']]['uid'] = $user3['uid'];
                        if ($user3['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid3']]['relation'] = $user3['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid3']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid3']]['name'] = $user3['realname'];
                        $list[$item['uid1']]['children'][$item['uid3']]['className'] = "pipeline1";
                        $list[$item['uid1']]['children'][$item['uid3']]['mobile'] = substr_replace($user3['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid3']]['outs'] = $user3['outs'];
                    }

                    if (empty($item['uid4'])) {
                        continue;
                    } else {
                        $user4 = User::findOne(['uid' => $item['uid4']]);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['uid'] = $user4['uid'];
                        if ($user4['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['relation'] = $user4['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['name'] = $user4['realname'];
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['className'] = "rd-dept";
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['mobile'] = substr_replace($user4['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['outs'] = $user4['outs'];
                    }

                    if (empty($item['uid5'])) {
                        continue;
                    } else {
                        $user5 = User::findOne(['uid' => $item['uid5']]);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['uid'] = $user5['uid'];
                        if ($user5['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['relation'] = $user5['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['name'] = $user5['realname'];
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['className'] = "rd-dept";
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['mobile'] = substr_replace($user5['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['outs'] = $user5['outs'];
                    }

                    if (empty($item['uid6'])) {
                        continue;
                    } else {
                        $user6 = User::findOne(['uid' => $item['uid6']]);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['uid'] = $user6['uid'];
                        if ($user6['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['relation'] = $user6['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['name'] = $user6['realname'];
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['className'] = "rd-dept";
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['mobile'] = substr_replace($user6['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['outs'] = $user6['outs'];
                    }

                    if (empty($item['uid7'])) {
                        continue;
                    } else {
                        $user7 = User::findOne(['uid' => $item['uid7']]);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['uid'] = $user7['uid'];
                        if ($user7['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['relation'] = $user7['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['className'] = "rd-dept";
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['name'] = $user7['realname'];
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['mobile'] = substr_replace($user7['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['outs'] = $user7['outs'];
                    }

                    if (empty($item['uid8'])) {
                        continue;
                    } else {
                        $user8 = User::findOne(['uid' => $item['uid8']]);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid8']]['uid'] = $user8['uid'];
                        if ($user8['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid8']]['relation'] = $user8['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid8']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid8']]['className'] = "rd-depts";
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid8']]['name'] = $user8['realname'];
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid8']]['mobile'] = substr_replace($user8['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid8']]['outs'] = $user8['outs'];
                    }

                    if (empty($item['uid9'])) {
                        continue;
                    } else {
                        $user9 = User::findOne(['uid' => $item['uid9']]);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid9']]['uid'] = $user9['uid'];
                        if ($user9['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid9']]['relation'] = $user9['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid9']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid9']]['className'] = "rd-depts";
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid9']]['name'] = $user9['realname'];
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid9']]['mobile'] = substr_replace($user9['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid9']]['outs'] = $user9['outs'];
                    }

                    if (empty($item['uid10'])) {
                        continue;
                    } else {
                        $user10 = User::findOne(['uid' => $item['uid10']]);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid10']]['uid'] = $user10['uid'];
                        if ($user10['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid10']]['relation'] = $user10['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid10']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid10']]['className'] = "rd-depts";
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid10']]['name'] = $user10['realname'];
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid10']]['mobile'] = substr_replace($user10['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid10']]['outs'] = $user10['outs'];
                    }

                    if (empty($item['uid11'])) {
                        continue;
                    } else {
                        $user11 = User::findOne(['uid' => $item['uid11']]);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid11']]['uid'] = $user11['uid'];
                        if ($user11['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid11']]['relation'] = $user11['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid11']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid11']]['className'] = "rd-depts";
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid11']]['name'] = $user11['realname'];
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid11']]['mobile'] = substr_replace($user11['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid11']]['outs'] = $user11['outs'];
                    }

                    if (empty($item['uid12'])) {
                        continue;
                    } else {
                        $user12 = User::findOne(['uid' => $item['uid12']]);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid12']]['uid'] = $user12['uid'];
                        if ($user12['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid12']]['relation'] = $user12['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid12']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid12']]['className'] = "rd-depts";
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid12']]['name'] = $user12['realname'];
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid12']]['mobile'] = substr_replace($user12['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid12']]['outs'] = $user12['outs'];
                    }

                    if (empty($item['uid13'])) {
                        continue;
                    } else {
                        $user13 = User::findOne(['uid' => $item['uid13']]);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid13']]['uid'] = $user13['uid'];
                        if ($user13['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid13']]['relation'] = $user13['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid13']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid13']]['className'] = "rd-depts";
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid13']]['name'] = $user13['realname'];
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid13']]['mobile'] = substr_replace($user13['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid13']]['outs'] = $user13['outs'];
                    }

                    if (empty($item['uid14'])) {
                        continue;
                    } else {
                        $user14 = User::findOne(['uid' => $item['uid14']]);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid14']]['uid'] = $user14['uid'];
                        if ($user14['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid14']]['relation'] = $user14['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid14']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid14']]['className'] = "rd-depts";
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid14']]['name'] = $user14['realname'];
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid14']]['mobile'] = substr_replace($user14['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid14']]['outs'] = $user14['outs'];
                    }

                    if (empty($item['uid15'])) {
                        continue;
                    } else {
                        $user15 = User::findOne(['uid' => $item['uid15']]);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid15']]['uid'] = $user15['uid'];
                        if ($user15['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid15']]['relation'] = $user15['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid15']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid15']]['className'] = "rd-depts";
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid15']]['name'] = $user15['realname'];
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid15']]['mobile'] = substr_replace($user15['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid15']]['outs'] = $user15['outs'];
                    }

                }
            }
        }

        if ($list) {
            foreach ($list as $k => &$value) {
                foreach ($value as $k1 => &$value1) {
                    if ($k1 == 'children') {
                        foreach ($value1 as $k2 => &$value2) {
                            if (isset($value2['children'])) {
                                $value2['children'] = array_values($value2['children']);
                                foreach ($value2['children'] as $k3 => &$value3) {
                                    if (isset($value3['children'])) {
                                        $value3['children'] = array_values($value3['children']);
                                    }
                                }
                            }
                        }
                    }
                }
                if (isset($value['children'])) {
                    $value['children'] = array_values($value['children']);
                }
                $ls[] = $value;
            }
        }
        return $ls;
    }

    /**
     * 二维数组去重
     * @param $arr
     * @param $key
     * @return array
     */
    public static function assoc_unique(&$arr, $key)
    {
        $rAr = array();
        for ($i = 0; $i < count($arr); $i++) {
            if (!isset($rAr[$arr[$i][$key]])) {
                $rAr[$arr[$i][$key]] = $arr[$i];
            }
        }
        return $arr = array_values($rAr);
    }

    /**
     * 查找团队
     * @param $uid
     * @return array
     */
    public static function findByMoblie($uid)
    {
        $condition = " uid1={$uid} or uid2={$uid} or uid3={$uid} or uid4={$uid} or uid5={$uid} or uid6={$uid} or uid7={$uid}";
        $lists = self::find()->where($condition)->andWhere(['status' => 1])->orderBy("id desc ")->limit(1)->asArray()->one();
        $list = $ls = [];
        if (!empty($lists)) {
            foreach ($lists as $k => $item) {
                if (!empty($item)) {
                    $user1 = User::findOne(['uid' => $item['uid1']]);
                    $list[$item['uid1']]['uid'] = $user1['uid'];
                    if ($user1['referrer']) {
                        $list[$item['uid1']]['relation'] = $user1['referrer'];
                    } else {
                        $list[$item['uid1']]['relation'] = '无';
                    }
                    $list[$item['uid1']]['name'] = $user1['realname'];
                    $list[$item['uid1']]['className'] = "middle-level";
                    $list[$item['uid1']]['mobile'] = substr_replace($user1['mobile'], '****', 3, 4);
                    $list[$item['uid1']]['outs'] = $user1['outs'];
                    if (empty($item['uid2'])) {
                        continue;
                    } else {
                        $user2 = User::findOne(['uid' => $item['uid2']]);
                        $list[$item['uid1']]['children'][$item['uid2']]['uid'] = $user2['uid'];
                        if ($user2['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid2']]['relation'] = $user2['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid2']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid2']]['name'] = $user2['realname'];
                        $list[$item['uid1']]['children'][$item['uid2']]['className'] = "pipeline1";
                        $list[$item['uid1']]['children'][$item['uid2']]['mobile'] = substr_replace($user2['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid2']]['outs'] = $user2['outs'];
                    }

                    if (empty($item['uid3'])) {
                        continue;
                    } else {
                        $user3 = User::findOne(['uid' => $item['uid3']]);
                        $list[$item['uid1']]['children'][$item['uid3']]['uid'] = $user3['uid'];
                        if ($user3['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid3']]['relation'] = $user3['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid3']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid3']]['name'] = $user3['realname'];
                        $list[$item['uid1']]['children'][$item['uid3']]['className'] = "pipeline1";
                        $list[$item['uid1']]['children'][$item['uid3']]['mobile'] = substr_replace($user3['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid3']]['outs'] = $user3['outs'];
                    }

                    if (empty($item['uid4'])) {
                        continue;
                    } else {
                        $user4 = User::findOne(['uid' => $item['uid4']]);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['uid'] = $user4['uid'];
                        if ($user4['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['relation'] = $user4['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['name'] = $user4['realname'];
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['className'] = "rd-dept";
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['mobile'] = substr_replace($user4['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['outs'] = $user4['outs'];
                    }

                    if (empty($item['uid5'])) {
                        continue;
                    } else {
                        $user5 = User::findOne(['uid' => $item['uid5']]);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['uid'] = $user5['uid'];
                        if ($user5['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['relation'] = $user5['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['name'] = $user5['realname'];
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['className'] = "rd-dept";
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['mobile'] = substr_replace($user5['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['outs'] = $user5['outs'];
                    }

                    if (empty($item['uid6'])) {
                        continue;
                    } else {
                        $user6 = User::findOne(['uid' => $item['uid6']]);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['uid'] = $user6['uid'];
                        if ($user6['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['relation'] = $user6['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['name'] = $user6['realname'];
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['className'] = "rd-dept";
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['mobile'] = substr_replace($user6['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['outs'] = $user6['outs'];
                    }

                    if (empty($item['uid7'])) {
                        continue;
                    } else {
                        $user7 = User::findOne(['uid' => $item['uid7']]);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['uid'] = $user7['uid'];
                        if ($user7['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['relation'] = $user7['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['className'] = "rd-dept";
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['name'] = $user7['realname'];
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['mobile'] = substr_replace($user7['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['outs'] = $user7['outs'];
                    }

                    if (empty($item['uid8'])) {
                        continue;
                    } else {
                        $user8 = User::findOne(['uid' => $item['uid8']]);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid8']]['uid'] = $user8['uid'];
                        if ($user8['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid8']]['relation'] = $user8['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid8']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid8']]['className'] = "rd-depts";
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid8']]['name'] = $user8['realname'];
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid8']]['mobile'] = substr_replace($user8['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid8']]['outs'] = $user8['outs'];
                    }

                    if (empty($item['uid9'])) {
                        continue;
                    } else {
                        $user9 = User::findOne(['uid' => $item['uid9']]);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid9']]['uid'] = $user9['uid'];
                        if ($user9['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid9']]['relation'] = $user9['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid9']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid9']]['className'] = "rd-depts";
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid9']]['name'] = $user9['realname'];
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid9']]['mobile'] = substr_replace($user9['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid4']]['children'][$item['uid9']]['outs'] = $user9['outs'];
                    }

                    if (empty($item['uid10'])) {
                        continue;
                    } else {
                        $user10 = User::findOne(['uid' => $item['uid10']]);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid10']]['uid'] = $user10['uid'];
                        if ($user10['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid10']]['relation'] = $user10['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid10']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid10']]['className'] = "rd-depts";
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid10']]['name'] = $user10['realname'];
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid10']]['mobile'] = substr_replace($user10['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid10']]['outs'] = $user10['outs'];
                    }

                    if (empty($item['uid11'])) {
                        continue;
                    } else {
                        $user11 = User::findOne(['uid' => $item['uid11']]);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid11']]['uid'] = $user11['uid'];
                        if ($user11['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid11']]['relation'] = $user11['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid11']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid11']]['className'] = "rd-depts";
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid11']]['name'] = $user11['realname'];
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid11']]['mobile'] = substr_replace($user11['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid2']]['children'][$item['uid5']]['children'][$item['uid11']]['outs'] = $user11['outs'];
                    }

                    if (empty($item['uid12'])) {
                        continue;
                    } else {
                        $user12 = User::findOne(['uid' => $item['uid12']]);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid12']]['uid'] = $user12['uid'];
                        if ($user12['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid12']]['relation'] = $user12['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid12']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid12']]['className'] = "rd-depts";
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid12']]['name'] = $user12['realname'];
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid12']]['mobile'] = substr_replace($user12['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid12']]['outs'] = $user12['outs'];
                    }

                    if (empty($item['uid13'])) {
                        continue;
                    } else {
                        $user13 = User::findOne(['uid' => $item['uid13']]);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid13']]['uid'] = $user13['uid'];
                        if ($user13['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid13']]['relation'] = $user13['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid13']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid13']]['className'] = "rd-depts";
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid13']]['name'] = $user13['realname'];
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid13']]['mobile'] = substr_replace($user13['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid6']]['children'][$item['uid13']]['outs'] = $user13['outs'];
                    }

                    if (empty($item['uid14'])) {
                        continue;
                    } else {
                        $user14 = User::findOne(['uid' => $item['uid14']]);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid14']]['uid'] = $user14['uid'];
                        if ($user14['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid14']]['relation'] = $user14['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid14']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid14']]['className'] = "rd-depts";
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid14']]['name'] = $user14['realname'];
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid14']]['mobile'] = substr_replace($user14['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid14']]['outs'] = $user14['outs'];
                    }

                    if (empty($item['uid15'])) {
                        continue;
                    } else {
                        $user15 = User::findOne(['uid' => $item['uid15']]);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid15']]['uid'] = $user15['uid'];
                        if ($user15['referrer']) {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid15']]['relation'] = $user15['referrer'];
                        } else {
                            $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid15']]['relation'] = '无';
                        }
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid15']]['className'] = "rd-depts";
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid15']]['name'] = $user15['realname'];
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid15']]['mobile'] = substr_replace($user15['mobile'], '****', 3, 4);
                        $list[$item['uid1']]['children'][$item['uid3']]['children'][$item['uid7']]['children'][$item['uid15']]['outs'] = $user15['outs'];
                    }

                }
            }
        }

        foreach ($list as $k => &$value) {
            foreach ($value as $k1 => &$value1) {
                if ($k1 == 'children') {
                    foreach ($value1 as $k2 => &$value2) {
                        if (isset($value2['children'])) {
                            $value2['children'] = array_values($value2['children']);
                        }
                    }
                }
            }
            if (isset($value['children'])) {
                $value['children'] = array_values($value['children']);
            }
            $ls[] = $value;
        }
        return $ls;
    }



}
