<?php
$params = array_merge(
    require(__DIR__ . '/../../common/config/params.php'),
    require(__DIR__ . '/../../common/config/params-local.php'),
    require(__DIR__ . '/params.php'),
    require(__DIR__ . '/params-local.php')
);

return [
    'id' => 'app-frontend',
    'basePath' => dirname(__DIR__),
    'bootstrap' => ['log'],
    'controllerNamespace' => 'frontend\controllers',
    'modules' => [
        'sp' => [
            'class' => 'frontend\modules\sp\Module'
        ],
        'guagua' => [
            'class' => 'frontend\modules\guagua\Module'
        ],
    ],
    'components' => [
        'request' => [
            'csrfParam' => '_csrf-frontend',
        ],
        'view' => [
            'theme' => [
                'pathMap' => ['@app/views' => '@app/themes/mobile'],
                'baseUrl' => '@web/themes/mobile',
                'basePath' => '@app/themes/mobile',
            ],
        ],
        'assetManager' => [
            'appendTimestamp' => true,
        ],
        'user' => [
            'identityClass' => 'common\models\User',
            'loginUrl' => ['auth/login'],
            'identityCookie' => ['name' => '_identity-frontend', 'httpOnly' => true],
            'authTimeout' => 7200, // 两小时无操作自动退出登录
        ],
        'session' => [
            'class' => 'yii\web\Session',
            'name' => 'th-frontend-u',
        ],
        'log' => [
            'traceLevel' => YII_DEBUG ? 3 : 0,
            'targets' => [
                [
                    'class' => 'yii\log\FileTarget',
                    'levels' => ['error', 'warning'],
                ],
            ],
        ],
        'errorHandler' => [
            'errorAction' => 'site/error',
        ],
        'urlManager' => [
            'enablePrettyUrl' => true,
            'showScriptName' => false,
            'rules' => [
                'f/<referrer:\d+>' => 'auth/login',
            ],
        ],
    ],
    'params' => $params,
];
