<?php

namespace frontend\controllers;

use common\models\Team;
use common\models\User;
use Yii;
use common\widgets\daterangepicker\DateRangePicker;
use yii\data\Pagination;


/**
 * Site controller
 */
class SiteController extends ControllerBase
{
    /**
     * @inheritdoc
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
        ];
    }

    /**
     * 公告信息
     * @return string
     */
    public function actionIndex()
    {
        $this->view->title = '系统公告';
        return $this->render('index');
    }

    /**
     * 个人资料
     * @return string
     */
    public function actionPersondata()
    {
        $this->view->title = '个人资料';
        return $this->render('persondata');
    }

    /**
     * 收益
     * @return string
     */
    public function actionProfit()
    {
        $this->view->title = '收益';
        return $this->render('profit');
    }

    /**
     * 报单记录
     * @return string
     */
    public function actionRecord()
    {
        $this->view->title = '销售记录';
        return $this->render('record');
    }

    /**
     * 组织结构
     * @return string
     */
//    public function actionStructure()
//    {
//        $this->view->title = '组织结构';
//        $report_uid = \Yii::$app->user->id;
//        $reportInfo = User::findOne(['uid' => $report_uid]);
//        if ($reportInfo->report_center != 1) {
//            return $this->responseJson(1, '', '您还没有销售过！');
//        }
//        $ls = Team::findByid($report_uid);
////echo $model->createCommand()->getRawSql();
//        echo $report_uid;
// echo "<pre>";
// var_dump($ls);die;
//
//        if (!empty($ls)) {
//            $list['page'] = ceil(count($ls) / 5);
//            $list['list'] = $ls;
//            return $this->render('structure', ["teamlist"=>$list,"pager"=>$list['page'],"num"=>$list['page'],"count"=>1,"id"=>5]);
//
//        } else {
//            return $this->render('team-list', ["teamlist"=>$list,"pager"=>$list['page'],"num"=>$list['page'],"count"=>$count,"id"=>$id]);
//
//            return $this->responseJson(1, '', '查询数据为空！');
//        }
////        echo "<pre>";
////        var_dump($teamlist);die;
//
////        return $this->render('structure');
//    }
public function actionStructure(){

    $searchArr = ['keywords' => '', 'date' => ['datemin' => date('2018-01-01 00:00'), 'datemax' => date('Y-m-d H:i')]];
    $this->view->title = '团队信息';
    $num=intval(Yii::$app->request->get('nShow'));
    $uid=\Yii::$app->user->id;
//    $id=intval(Yii::$app->request->get('id'));
//
    $date=trim(Yii::$app->request->get("date"));
    $tmp = explode(DateRangePicker::SEPARATOR, $date);
    if (!empty($date)) {
        $datemin=strtotime($tmp['0'])?strtotime($tmp['0']):strtotime(date("2016-01-01 00:00:00"));
        $datemax=strtotime($tmp['1'])?strtotime($tmp['1']):strtotime(date("Y-m-d 23:59:59"));
        $searchArr['date'] = ['datemin' => $tmp['0'], 'datemax' => $tmp['1']];
    }else{

        if(empty($tmp['0'])){
            $tmp['0']=strtotime(date("2016-01-01 00:00:00"));
        }else{
            $tmp['0']=strtotime($tmp['0']);
        }
        if(empty($tmp['1'])){
            $tmp['1']=strtotime(date("Y-m-d 23:59:59"));
        }else{
            $tmp['1']=strtotime($tmp['1']);
        }
        $datemax=$tmp['1'];
        $datemin=$tmp['0']?$tmp['0']:0;
    }
//    $uid=$id;
    $where = "status=1 and  uid1={$uid} or uid2={$uid} or uid3={$uid} or uid4={$uid} or uid5={$uid} or uid6={$uid} or uid7={$uid} or uid8={$uid} or uid9={$uid} or uid10={$uid} or uid11={$uid} or uid12={$uid} or uid13={$uid} or uid14={$uid} or uid15={$uid} ";
//    $lists = Team::find()
//        ->where($condition)
//        ->andWhere(['status' => 1])
//        ->orderBy("id desc ")
//        ->asArray()->all();
//    if(!$id){
////        $ls = Team::findByid($id);
//        $where=['and',"status=1",['between', 'created_at', $datemin, $datemax]];
//    }else{
////        $ls = Team::findyid($id);
//
//
//        $where=['and',"status=1",'id='.$id,['between', 'created_at', $datemin, $datemax]];
//    }
//

    $model=Team::find()->andWhere($where);
    $count=$model->count();
    // $pageSize=Yii::$app->params['pageSize']['manage']; //每页条数
    $pageSize=$num?$num:2; //每页条数
    $pager=new pagination(['totalCount'=>$count,"pageSize"=>$pageSize]);
    $teamlist=$model->where($where)->offset($pager->offset)->limit($pager->limit)->orderBy("created_at desc")->all();
//echo $model->createCommand()->getRawSql();
// echo "<pre>";
// var_dump($teamlist);die;

    $this->view->title = '组织结构';
    return $this->render('structure', ['searchArr' => $searchArr,"teamlist"=>$teamlist,"pager"=>$pager,"num"=>$pageSize,"count"=>$count]);
}
    /**
     * 报单查询
     * @return string
     */
    public function actionCenterSearch()
    {
        $this->view->title = '销售查询';
        return $this->render('center-search');
    }

    /**
     * 报单业绩
     * @return string
     */
    public function actionCenterJob()
    {
        $this->view->title = '销售业绩';
        return $this->render('center-job');
    }

    /**
     * 报单申请
     * @return string
     */
    public function actionCenterAsk()
    {
        $this->view->title = '销售申请';
       
        return $this->render('center-ask');
    }

    /**
     * 购车商城
     * @return string
     */
    public function actionBuycar()
    {
        $this->view->title = '购车商城';
        return $this->render('buycar');
    }

    /**
     * 兑换记录
     * @return string
     */
    public function actionExrecords()
    {
        $this->view->title = '兑换记录';
        return $this->render('exrecords');
    }

    /**
     * 购买记录
     * @return string
     */
    public function actionOrderList()
    {
        $this->view->title = '购买记录';
        return $this->render('order-list');
    }

    /**
     * 兑换记录
     * @return string
     */
    public function actionAccount()
    {
        $this->view->title = '兑换记录';
        return $this->render('account');
    }

    /**
     * 申请区域代理
     * @return string
     */
    public function actionAgencyAsk()
    {
        $this->view->title = '申请区域代理';
        return $this->render('agency-ask');
    }

    /**
     * 分享列表
     * @return string
     */
    public function actionShare()
    {
        $this->view->title = '分享列表';
        return $this->render('share');
    }

    /**
     * 我的团队
     * @return string
     */
    public function actionMyteam()
    {
        $this->view->title = '我的团队';
        return $this->render('myteam');
    }

    /**
     * 密码管理
     * @return string
     */
    public function actionSetpass()
    {
        $this->view->title = '密码管理';
        return $this->render('setpass');
    }

    /**
     * 首页管理
     * @return string
     */
    public function actionHome()
    {
        $this->view->title = '系统首页';
        return $this->render('home');
    }

    /**
     * 报单中心申请
     * @return string
     */
    public function actionShenAsk()
    {
        $this->view->title = '申请销售中心';
        return $this->render('shen-ask');
    }

    /**
     * 银行信息
     * @return string
     */
    public function actionBank()
    {
        $this->view->title = '银行信息';
        return $this->render('bank');
    }

    /**
     * 鸿睿博远
     * @return string
     */
    public function actionGuagua()
    {
        $this->view->title = '鸿睿博远';
        return $this->render('guagua');
    }

    /**
     * 联系我们
     * @return string
     */
    public function actionContact()
    {
        $this->view->title = '联系我们';
        return $this->render('contact');
    }

    /**
     * 好车定制
     * @return string
     */
    public function actionCustom()
    {
        $this->view->title = '好车定制';
        return $this->render('custom');
    }

    /**
     * 疑难帮助
     * @return string
     */
    public function actionHelp()
    {
        $this->view->title = '疑难帮助';
        return $this->render('help');
    }
}
