<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2018/1/22 HNDH Software Technology Co., Ltd.
 * @link http://www.dhsoft.cn
 */

namespace frontend\controllers;


use common\helpers\Utils;
use common\models\Announcement;
use common\models\IntegralRelease;
use common\models\ReportForm;
use common\models\ShopGoods;
use common\models\Team;
use common\models\User;
use common\models\Proxy;
use common\models\Config;
class TeamReportController extends ControllerBase
{
    /**
     * 组织图
     * @return array
     */
    public function actionTeam()
    {
        $report_uid = \Yii::$app->user->id;
        $reportInfo = User::findOne(['uid' => $report_uid]);
        if ($reportInfo->report_center != 1) {
            return $this->responseJson(1, '', '您还没有销售过！');
        }
        $ls = Team::findByid($report_uid);
        if (!empty($ls)) {
            $list['page'] = ceil(count($ls) / 5);
            $list['list'] = $ls;
            return $this->responseJson(0, $list, "返回数据成功");
        } else {
            return $this->responseJson(1, '', '查询数据为空！');
        }
    }

    /**
     * 报单记录
     * @return array
     */
    public function actionReportList()
    {
        $page = \Yii::$app->request->post('page');
        $report_uid = \Yii::$app->user->id;
        $ls = ReportForm::findByUid($report_uid, $page);
        if (empty($ls)) {
            return $this->responseJson(1, '', '查询数据为空！');
        } else {
            $list['list'] = $ls;
            $list['count'] = ceil(count($ls) / 5);
            return $this->responseJson(0, $list, '返回数据成功！');
        }
    }

    /**
     * 收益记录
     * @return array
     */
    public function actionIncome()
    {
        $page = \Yii::$app->request->post('page');
        $uid = \Yii::$app->user->id;
        $user = User::findOne(['uid' => $uid]);
        if ($user->report == 1) {
            $lists = IntegralRelease::find()->andWhere(['uid' => $uid])->andWhere("price>0")->count(1);
            $ls = IntegralRelease::find()->andWhere(['uid' => $uid])->andWhere("price>0")->orderBy('id desc')->offset(($page - 1) * 5)->limit(5)->asArray()->all();
        } else {
            $lists = IntegralRelease::find()->where(['uid' => $uid])->andWhere("price>0")->andWhere("type=2 or type=3 or type=21 ")->count(1);
            $ls = IntegralRelease::find()->where(['uid' => $uid])->andWhere("price>0")->andWhere("type=2 or type=3 or type=21 ")->orderBy('id desc')->offset(($page - 1) * 5)->limit(5)->asArray()->all();
        }
        if (empty($ls)) {
            return $this->responseJson(1, '', '查询数据为空！');
        } else {
            foreach ($ls as &$item) {
                $userModel = User::findOne(['uid' => $item['uid']]);
                $item['realname'] = $userModel['realname'];
                if ($item['type'] == 2) {
                    $item['price'] = $item['price'] . " 个";
                } else {
                    $item['price'] = $item['price'] . "元";
                }
                $item['uid'] = 'HC' . substr($userModel['mobile'], -6);
                $item['types'] = $item['type'];
                $item['type'] = IntegralRelease::payType($item['type']);
                $item['created_at'] = date("Y-m-d H:i:s", $item['created_at']);
            }
            $list['list'] = $ls;
            $list['count'] = ceil($lists / 5);
            return $this->responseJson(0, $list, '返回数据成功！');
        }
    }

    /**
     * 申请报单
     * @return array
     * @throws \yii\db\Exception
     */
    public function actionDeclaration()
    {
        $report_id = \Yii::$app->user->id;
//               return $this->responseJson(0, $report_id, '上级id');
        $data = \Yii::$app->request->post();
//        if (\Yii::$app->user->identity->report_center == 1) {
//            return $this->responseJson(1, '', '您已申请,需重新注册申请！');
//        }

         //判断组号是自动排序的还是用户自己添加的
//        if($data['is_auto']==1){
//            $nteamid=$sjinfo['team_id'];
//        }else{
            $nteamid=$data['nteamid']?$data['nteamid']:0;
//        }

        $report_data = [
            'report_uid' => $data['user_id'], //报单中心
            'uid' => $report_id,  // 申请人id
            // 'recomm_id' => $data['recId'] ? $data['recId'] : 0,
            'recomm_id' => $data['recId'] ,
            'goods_id' => $data['goods_id'],
            'price' => $data['price'],
            'name' => $data['name'],
            'mobile' => $data['mobile'],
            'address' => $data['address'],
            'thumb' => empty($data['img']) ? '' : Utils::base64pic($data['img']),
//            'card_front' => empty($data['card1']) ? '' : Utils::base64pic($data['card1']),
//            'card_negative' => empty($data['card2']) ? '' : Utils::base64pic($data['card2']),
            'remarks' => $data['remarks'],
            'status' => 1,
            'posi' => $data['position'],
            'is_auto' => $data['is_auto'],
            'team_list' => $nteamid,
            'created_at' => time(),
        ];

        $reportModel = new ReportForm();
        //查询是否已经报过单了
        $isReport=$reportModel->findMembOnTeam($nteamid,$report_id);

        if($isReport>=2){
            return $this->responseJson(1, '', '您已经超过销售次数');
        }
//        $rep = ReportForm::findOne(['uid' => $report_id]);
//        if(!empty($rep) && $rep->status!=3){
//            return $this->responseJson(1, '', '您已申请,需重新注册申请！');
//        }

        //加入旧组时检测该位置是否已经存在人
        if($data['is_auto']!=1){
            //查询该组的该位置上是否存在人
            $checkMember=$reportModel->findTeamPosi($nteamid,$data['position']);
            // return $this->responseJson(0, $checkMember, '测速');
            if($checkMember){
                return $this->responseJson(1, '', '该组位置已经存在');
            }
        }

        //查询是否已满员
        if($data['is_auto']==0){
//            $tinfo=Team::find()->where("id=:id",[":id"=>$nteamid])->one();
            $tinfo=Team::findOne(['id'=>$nteamid]);

            if($tinfo->type==2){
                $oneToEight = Config::getConfig('IS_ACTIVE'); //查看活动配置是否开启
                $active_nums = Config::getConfig('ACTIVE_NUMS'); //查看活动需要的人数
                if($oneToEight){
                   $position="uid".$active_nums;
                    if($tinfo->$position || $data['position']>$active_nums){
                        return $this->responseJson(1, '', '该组已满员或者位置错误');
                    }
                }else{
                    return $this->responseJson(1, '', '活动已结束');
                }
            }else{
                if($tinfo->uid15){
                    return $this->responseJson(1, '', '该组已满员');
                }
            }
        }
        if ($this->arrayLoad($reportModel, $report_data)) {
            if ($reportModel->save()) {
                return $this->responseJson(0, '', '申请成功！');
            } else {
                return $this->responseJson(1, '', '申请失败，请重新提交！' . current($reportModel->getErrors()));
            }
        } else {
            return $this->responseJson(1, '', '申请失败，请重新提交！' . current($reportModel->getErrors()));
        }
    }


    /**
     * 业绩
     * @return array
     */
    public function actionPerformance()
    {
        $page = \Yii::$app->request->post('page');
        $uid = \Yii::$app->user->id;
        $list = IntegralRelease::findByReUid($uid, $page);
        if (empty($list["list"])) {
            return $this->responseJson(1, '', '查询数据为空');
        } else {
            return $this->responseJson(0, $list, '返回数据成功！');
        }
    }

    /**
     * 查询所有
     * @return array
     */
    public function actionInquires()
    {
        $page = \Yii::$app->request->post('page');
        $uid = \Yii::$app->user->id;
        $list = ReportForm::findByreid($uid, $page);
//        echo "<pre>";
//        var_dump($list);die;
        if (empty($list['list'])) {
            return $this->responseJson(1, '', '查询数据为空！');
        } else {
            return $this->responseJson(0, $list, '返回数据成功！');
        }
    }

    /**
     * 手机号查询
     * @return array
     */
    public function actionInquire()
    {
        $mobile = \Yii::$app->request->post('mobile');
        $userInfo = User::findByMobile($mobile);
        if (!empty($userInfo)) {
            $list = ReportForm::findByID($userInfo['uid']);
        } else {
            return $this->responseJson(1, '', '查无此人！');
        }
        if (empty($list)) {
            return $this->responseJson(1, '', '查询数据为空！2');
        } else {
            return $this->responseJson(0, $list, '返回数据成功！');
        }
    }

    /**
     * 协议
     * @return array
     */
    public function actionAgree()
    {
        $list = Announcement::findOne(['type' => 4]);
        if (empty($list)) {
            return $this->responseJson(1, '', '查询数据为空！');
        } else {
            return $this->responseJson(0, $list, '返回数据成功！');
        }
    }

    /**
     * 商品列表
     * @return array
     */
    public function actionGoodsList()
    {
        $list = ShopGoods::find()->select('id,title')->all();
        if ($list) {
            return $this->responseJson(0, $list, '返回数据成功！');
        } else {
            return $this->responseJson(1, '', '查询数据为空！');
        }
    }

    /**
     * 报单中心列表
     * @return array
     */
//    public function actionReportCenter()
//    {
//        $list = User::find()->select('uid,mobile,realname,referrer')->where(['report' => 1])->asArray()->all();
//        if ($list) {
//            return $this->responseJson(0, $list, '返回数据成功!');
//        }
//        return $this->responseJson(1, [], '查询数据为空！');
//    }
    public function actionReportCenter()
    {
        $list = Proxy::find()->select('uid,id,name,org_name')->where(['type' => 1,"status"=>2])->asArray()->all();
        if ($list) {
            return $this->responseJson(0, $list, '返回数据成功!');
        }
        return $this->responseJson(1, [], '查询数据为空！');
    }


}
