<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/12/7 14:33
 */

namespace frontend\controllers;

use Swoole\Client;
use yii\filters\AccessControl;

class TestController extends ControllerBase
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'rules' => [
                    [
                        'allow' => true,
                    ],
                ],
            ],
        ];
    }

    public function actionSwoole()
    {
        try {
            $client = new Client(SWOOLE_SOCK_TCP);
            if (!$client->connect('127.0.0.1', 9502, 0.5)) {
                throw new \Exception('任务错误: 无法连接TCP服务，请联系管理员！');
            }
            $data = [
                'act' => 'update-order',
                'data' => [
                    'uid' => 1,
                    'money' => 1.02
                ]
            ];
            if (!$client->send(json_encode($data))) {
                throw new \Exception('任务错误: 任务投送失败，请联系管理员！');
            }
            //关闭连接
            $client->close();
        } catch (\Exception $e) {
            echo $e->getMessage();
        }
    }

}
