<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/8/26 13:50
 */

namespace frontend\modules\guagua\models;


use common\models\User;
use Yii;
use yii\base\Model;

/**
 * Class LoginForm
 * @package frontend\modules\guagua\models
 */
class LoginForm extends Model
{
    public $username;
    public $password;
    public $verifyCode;
    private $_users = false;


    /**
     * @return array
     */
    public function rules()
    {
        return [
            // username and password are both required
            [['mobile', 'password'], 'required'],
            // rememberMe must be a boolean value
            // password is validated by validatePassword()
            ['password', 'validatePassword'],
//            ['verifyCode', 'captcha'],
        ];
    }

    /**
     * @return array
     */
    public function attributeLabels()
    {
        return [
            'mobile' => '用户名',
            'password' => '密码',
//            'verifyCode', '图形验证码'
        ];
    }

    /**
     * @param $attribute
     */
    public function validatePassword($attribute)
    {
        if (!$this->hasErrors()) {
            $users = $this->getusers();
            if (!$users || !$users->validatePassword($this->password)) {
                $this->addError($attribute, '用户名或密码错误！');
            }
        }
    }

    /**
     * @return bool
     */
    public function login()
    {
        if ($this->validate()) {
            $result = Yii::$app->user->login($this->getusers());
            return $result;
        } else {
            return false;
        }
    }


    /**
     * @return bool
     */
    public function getusers()
    {
        if ($this->_users === false) {
            $this->_users = User::findByMobiles($this->username);
        } else {
            return $this->_users;
        }
    }


}
