<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/8/26 13:45
 */

namespace frontend\modules\sp\controllers;

use backend\models\Shops;
use frontend\modules\sp\models\LoginForm;
use yii\filters\AccessControl;

class AuthController extends ControllerBase
{
    /**
     * @inheritdoc
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
        ];
    }

    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'rules' => [
                    [
                        'allow' => true,
                        'roles' => ['?', '@'],
                    ],
                ],
            ],
        ];
    }

    public function init()
    {
        $this->layout = 'main-login';
    }

    /**
     * @return string|\yii\web\Response
     */
    public function actionLogin()
    {
        if (!\Yii::$app->user->isGuest) {
            return $this->redirect('/sp/site/left-slide');
        }
        $model = new LoginForm();
        if ($model->load(\Yii::$app->request->post()) && $model->login()) {
            return $this->redirect('/sp/site/left-slide');
        } else {
            return $this->render('login', ['model' => $model]);
        }
    }

    /**
     * 退出登陆
     * @return \yii\web\Response
     */
    public function actionLogout()
    {
        //插入日志
//        Yii::$app->actionlog->addLog(ActionLog::ACTION_LOGOUT,"manager");
        \Yii::$app->user->logout();
        return $this->goHome();
    }
}
