<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/28 20:58
 */

namespace frontend\modules\sp\controllers;

use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;

/**
 *
 * @property bool $tradeStatus
 */
class ControllerBase extends Controller
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'rules' => [
                    [
                        'allow' => true,
                        'roles' => ['@', '?'],
                    ],
                ],
            ],
        ];
    }

    /**
     * @param $msg
     * @param array $redirect
     * @param string $type
     * @return \yii\web\Response
     */
    public function message($msg, $redirect = [], $type = '')
    {
        \Yii::$app->getSession()->setFlash($type, $msg);
        return $this->redirect($redirect);
    }

    /**
     * @param int $code
     * @param array $data
     * @param string $msg
     * @return array
     */
    public function responseJson($code = 0, $data = [], $msg = '')
    {
        \Yii::$app->response->format = Response::FORMAT_JSON;
        $data = ['code' => $code, 'data' => $data, 'msg' => $msg];
        return $data;
    }
}
