<?php
/**
 * @var string $cardNum
 * @var string $price
 */
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="http://develop.dhcc.wang/assets/css/common.css?2.2.36">
    <script src="http://www.jq22.com/demo/jquery-three-linkage-141202215250/js/jquery.min.js"></script>
    <style>
        body {
            background: #f2f2f2;
        }

        .xy_payInfo {
            text-align: center;
        }

        .xy_payPrice {
            line-height: 50px;
        }

        .xy_payForm {
            background: #fff;
            padding: 10px;
            margin-bottom: 10px;
        }

        .xy_groupTitle {
            width: 80px;
            flex-shrink: 0;
            line-height: 40px;
        }

        .xy_formGroup {
            border-bottom: solid 1px #d5d5d5;
        }

        .xy_formGroup input {
            border: none;
            box-shadow: none;
            height: 40px;
            line-height: 40px;
            width: 100%;
        }

        .xy_payForm textarea {
            resize: none;
            width: 100%;
            padding: 5px;
            border: solid 1px #d5d5d5;
        }

        .xy_payForm select {
            width: 100%;
            border: none;
        }

        .xy_flex {
            display: -webkit-flex;
            display: flex;
        }

        .xy_payPrice {
            font-size: 30px;
        }

        .xy_payTitle {
            font-size: 16px;
            margin-bottom: 10px;
        }

        .xy_modelTitle {
            margin-bottom: 10px;
        }

        .xy_payType .xy_groupTitle {
            width: auto;
        }

        .xy_payType input {
            width: 10px;
            border-radius: 50%;
            height: 10px;
            border: solid 1px #d5d5d5;
            flex-shrink: 0;
        }

        .xy_payType .xy_flex {
            -webkit-align-items: center;
            align-items: center;
            -webkit-justify-content: space-between;
            justify-content: space-between;
        }

        button.xy_formUpdate {
            font-size: 1.6rem;
            border: none;
            border-radius: 5px;
            background: #ff0333;
            color: #fff;
            width: 60%;
            line-height: 40px;
            margin: 0 auto;
            display: block;
            margin-top: 50px;
        }

        #content-wrap .liststyle ul {
            max-height: 200px;
            overflow: auto;
        }

        .xy_addressBox .xy_flex {
            -webkit-justify-content: space-between;
            justify-content: space-between;
        }

        .xy_payType input[type=radio]:checked {
            background: #ff0333;
        }

        button.xy_formUpdate {
            width: 40%;
        }

        button.xy_formUpdate:nth-child(2) {
            background: #d5d5d5;
        }

        .hz_form {
            margin-top: 20px;
        }
    </style>
    <script src="http://apps.bdimg.com/libs/jquery/2.1.4/jquery.min.js"></script>
</head>
<body>
<div class="hz_form">
    <div>
        <p class="xy_modelTitle">基本信息</p>
        <p class="xy_modelTitle"><a href="<?= \yii\helpers\Url::toRoute(['/sp/site/open-card']) ?>">商家开卡</a></p>
        <p class="xy_modelTitle"><a href="<?= \yii\helpers\Url::toRoute(['/sp/site/order-search']) ?>">会员流水查询</a></p>
        <ul class="xy_payForm">
            <li>
                <div class="xy_formGroup xy_flex">
                    <p class="xy_groupTitle">会员卡号:</p>
                    <input type="text" placeholder="请输入会员卡号" name="cardNum" onkeyup="value=value.replace(/[^\d]/g,'')"
                           value="<?= $cardNum ?>">
                </div>
            </li>
            <li>
                <div class="xy_formGroup xy_flex">
                    <p class="xy_groupTitle">消费金额:</p>
                    <input type="text" placeholder="请输入消费金额" name="money" onkeyup="value=value.replace(/[^\d]/g,'')"
                           value="<?= $price ?>">
                </div>
            </li>
            <li>
                <div class="xy_formGroup xy_flex">
                    <p class="xy_groupTitle">支付密码 :</p>
                    <input type="password" placeholder="请输入支付密码" name="payPassword">
                </div>
            </li>

            <li>
                <div class="xy_formGroup xy_flex">
                    <p class="xy_groupTitle">备注 :</p>
                    <input type="text" placeholder="请输入商家备注" name="remark">
                </div>
            </li>

        </ul>
    </div>

    <div class="xy_flex">
        <button class="xy_formUpdate xy_sure">确认</button>
        <button class="xy_formUpdate xy_search">查询</button>
    </div>
</div>
<script>
    $(function () {

        $(".xy_search").click(function () {
            var card = $("input[name=cardNum]").val();
            if (!card) {
                alert("请输入会员卡号");
                return;
            }
            location.href = location.origin + "/sp/site/search?id=" + card;
        });

        $(".xy_sure").click(function () {
            var card = $("input[name=cardNum]").val();
            var money = $("input[name=money]").val();
            var payPassword = $("input[name=payPassword]").val();
            var remark = $("input[name=remark]").val();

            if (!card) {
                alert("请输入会员卡号");
                return;
            }
            if (!money) {
                alert("请输入消费金额");
                return;
            }
            if (!payPassword) {
                alert("请输入支付密码");
                return;
            }

            $.post("<?=\yii\helpers\Url::toRoute(['/sp/site/pay'])?>", {
                cardNum: card,
                money: money,
                password: payPassword,
                remark: remark
            }, function (res) {
                if (res.code == 0) {
                    alert(res.msg);
                } else {
                    alert(res.msg);
                }
            }, 'json')
        })

    })
</script>

</body>
</html>
