<?php
/**
 * @var string $cardNum
 * @var string $price
 */

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>奖金提现</title>
    <meta name="description" content="账户金额">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="/static/mobile/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="奖金提现"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/vue.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>

    <style>
        .check {
            color: #0e90d2;
            cursor: pointer;
        }

        .fp {
            border: 1px solid #ccc;
            line-height: 37px;
            text-indent: 8px;
            background: #eee;
            border-radius: 2px;
        }

        .tpl-header-fluid {
            padding-left: 0;
        }

    </style>

</head>

<body data-type="account" style="height: 100%" class="theme-white">
<div class=">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div class=" tpl-content-wrapper content
" id="account">
<ol class="am-breadcrumb">
    <li><a href="#" class="am-icon-line-chart">财务管理</a></li>
    <li class="am-active">奖金提现</li>
</ol>
<div class="row-content content am-cf">
    <ul class="am-avg-sm-1 am-avg-md-1  am-thumbnails">
        <li>
            <div>
                <form class="am-form" style="padding: 10px;">
                    <legend>奖金提现</legend>
                    <div class="am-form-group">
                        <label for="name">姓名</label>
                        <input type="text" class="name" v-model="bank.card_name||userinfo.realname" disabled>
                    </div>
                    <div class="am-form-group">
                        <label for="card_name">收款银行</label>
                        <input type="text" class="card_name" v-model="bank.bank||'无'" disabled>
                    </div>
                    <div class="am-form-group">
                        <label for="bank_adreess">开户地址</label>
                        <input type="text" class="bank_adreess" v-model="bank.county||'无'" disabled>
                    </div>
                    <div class="am-form-group">
                        <label for="bank_num">银行卡号</label>
                        <input type="text" class="bank_num" v-model="bank.card_num||'无'" disabled>
                    </div>
                    <div class="am-form-group">
                        <label>手机号</label>
                        <input type="text" v-model="userinfo.mobile" disabled>
                    </div>
                    <div class="am-form-group">
                        <label>可提现金额</label>
                        <input type="text" v-model="userinfo.credit" disabled>
                    </div>
                    <div class="am-form-group">
                        <label>积分总额</label>
                        <input type="text" v-model="userinfo.credit7" disabled>
                    </div>
                    <div class="am-form-group">
                        <label>未解冻积分</label>
                        <input type="text" v-model="userinfo.credit6" disabled>
                    </div>
                    <div class="am-form-group">
                        <label>未解冻金额</label>
                        <input type="text" v-model="userinfo.credit8" disabled>
                    </div>
                    <div class="am-form-group">
                        <label>可提现积分</label>
                        <input type="text" v-model="userinfo.credit2" disabled>
                    </div>

                    <div class="am-form-group" style="font-weight: 500;">
                        <p class="fp">余额提现手续费 <span style="color: #5eb95e;">{{userinfo.fee}}</span>%</p>
                        <p class="fp">积分提现手续费 <span style="color: #5eb95e;">{{userinfo.integral_fee}}</span>%
                        </p>
                    </div>
                    <div>
                        <div @click="cash(userinfo.credit)" style="margin-bottom: 20px;"
                             class="am-btn am-btn-block am-btn-warning">余额提现
                        </div>
                        <div @click="exchange" class="am-btn am-btn-block am-btn-success">积分提现</div>
                    </div>

                </form>
            </div>
        </li>
    </ul>
</div>
</div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)

        })
    });
    var bus = new Vue({});
    $.post("/user/user-info", {
        "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
    }, function (res) {
        if (res.code == 0) {
            $('.content').removeClass('con_none');
            $('.shadow').hide();
            var account = new Vue({
                el: '#account',
                data: {userinfo: res.data, bank: {card_name: '', bank: '', county: '', card_num: ''}},
                methods: {
                    cash: function (price) {     //余额提现
                        var cash_price = parseInt(price);
                        layer.open({
                            type: 1,
                            title: '支付验证',
                            skin: 'layui-layer-lan',
                            content: $('#paypass'),
                            closeBtn: 2,
                            btn: ['提现', '取消'],
                            yes: function () {
                                var paypass = $(this.content).find('.paypass')[0].value;
                                if (!paypass) {
                                    layer.msg('请输入支付密码', {
                                        offset: ['300px'],
                                        time: 1000
                                    });
                                    return;
                                }
                                $.post('/user/validate-pay-pwd', {
                                    payPwd: paypass,
                                    "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"
                                }, function (res) {
                                    if (res.code == 0) {
                                        layer.closeAll();
                                        layer.open({
                                            type: 1,
                                            title: '可提现金额：' + price,
                                            closeBtn: 2,
                                            shadeClose: true,
                                            skin: 'layui-layer-lan',
                                            content: $('#cash_price'),
                                            btn: ['提现', '取消'],
                                            yes: function () {
                                                var str = /^\d+$/;
                                                var pri = $(this.content).find('.price').val();
                                                if (!str.test(pri)) {
                                                    layer.msg('请输入正确的数值', {
                                                        offset: ['300px'],
                                                        time: 1000
                                                    });
                                                    return;
                                                }
                                                if (pri > cash_price) {
                                                    layer.msg('余额不足，请重新输入', {
                                                        offset: ['300px'],
                                                        time: 1000
                                                    });
                                                    return;
                                                }
                                                $.post("/user/integral-convert", {
                                                    type: 1, price: pri,
                                                    "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                                                }, function (res) {
                                                    if (res.code == 0) {
                                                        layer.msg(res.msg, {
                                                            offset: ['300px'],
                                                            time: 1000
                                                        });
                                                        setTimeout(function () {
                                                            window.location.href = "/site/exrecords";
                                                        }, 1000)
                                                    } else if (res.code == 1) {
                                                        layer.msg(res.msg, {
                                                            offset: ['300px'],
                                                            time: 1000
                                                        });
                                                    }
                                                })
                                            }
                                        })
                                    } else if (res.code == 1) {
                                        layer.msg(res.msg, {
                                            offset: ['300px'],
                                            time: 1000
                                        });
                                    }
                                })
                            }
                        })

                    },
                    exchange: function () {
                        var _this = this;
                        $.post("/user/integral", {
                            type: 2,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                layer.open({
                                    type: 1,
                                    title: '支付验证',
                                    shadeClose: true,
                                    skin: 'layui-layer-lan',
                                    content: $('#paypass'),
                                    btn: ['提现', '取消'],
                                    yes: function () {
                                        var paypass = $(this.content).find('.paypass').val();
                                        if (!paypass) {
                                            layer.msg('请输入支付密码', {
                                                offset: ['300px'],
                                                time: 1000
                                            });
                                            return;
                                        }
                                        $.post('/user/validate-pay-pwd', {
                                            payPwd: paypass,
                                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                                        }, function (res) {
                                            if (res.code == 0) {
                                                layer.closeAll()
                                                layer.open({
                                                    type: 1,
                                                    title: '可提现积分：' + _this.userinfo.credit2,
                                                    closeBtn: 0,
                                                    shadeClose: true,
                                                    skin: 'layui-layer-lan',
                                                    content: $('#exchangebox'),
                                                    btn: ['兑换', '取消'],
                                                    yes: function () {
                                                        var str = /^\d+$/;
                                                        var price = $(this.content).find('.price').val();
                                                        if (!str.test(price)) {
                                                            layer.msg('请输入正确的数值', {
                                                                offset: ['300px'],
                                                                time: 1000
                                                            });
                                                            return;
                                                        }
                                                        if (price > _this.userinfo.credit2) {
                                                            layer.msg('积分不足，请重新输入', {
                                                                offset: ['300px'],
                                                                time: 1000
                                                            });
                                                            return;
                                                        }
                                                        $.post("/user/integral-convert", {
                                                            type: 2, price: price,
                                                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                                                        }, function (res) {
                                                            if (res.code == 0) {
                                                                layer.msg(res.msg, {
                                                                    offset: ['300px'],
                                                                    time: 1000
                                                                });
                                                                setTimeout(function () {
                                                                    window.location.href = "/site/exrecords";
                                                                }, 1000)
                                                            } else if (res.code == 1) {
                                                                layer.msg(res.msg, {
                                                                    offset: ['300px'],
                                                                    time: 1000
                                                                });
                                                            }
                                                        })
                                                    }
                                                });
                                            } else if (res.code == 1) {
                                                layer.msg(res.msg, {
                                                    offset: ['300px'],
                                                    time: 1000
                                                });
                                            }
                                        })
                                    }
                                })

                            } else if (res.code == 1) {
                                layer.msg(res.msg, {
                                    offset: ['300px'],
                                    time: 1000
                                });
                            }
                        })
                    },
                },
                mounted: function () {
                    $('.content').show();
                    if (res.data.bankcard.length > 0) {
                        this.bank = res.data.bankcard[0]
                    }
                }
            });
        } else if (res.code == 1) {
            $('.content').show().html('您还没有任何收益！').css({'line-height': '50px', 'text-indent': '10px'})
        }
    });
</script>
<div id="exchangebox" style="display: none">
    <div class="am-input-group">
        <span class="am-input-group-label"><i class="am-icon-money am-icon-fw"></i></span>
        <input type="text" class="am-form-field price" placeholder="请输入提现积分">
    </div>
</div>
<div id="cash_price" style="display: none">
    <div class="am-input-group">
        <span class="am-input-group-label"><i class="am-icon-money am-icon-fw"></i></span>
        <input type="text" class="am-form-field price" placeholder="请输入兑换金额">
    </div>
</div>
<div id="paypass" style="display: none">
    <div class="am-input-group">
        <span class="am-input-group-label"><i class="am-icon-lock am-icon-fw"></i></span>
        <input type="password" maxlength="6" class="am-form-field paypass" placeholder="请输入支付密码">
    </div>
</div>
</body>

</html>
