<?php
/**
 * @var string $cardNum
 * @var string $price
 */

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>账户金额</title>
    <meta name="description" content="银行信息">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="/static/mobile/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="银行信息"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/vue.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>

    <style>
        .check {
            color: #0e90d2;
            cursor: pointer;
        }

        .am-form-group .smscode {
            position: absolute;
            right: 0;
            bottom: 0;
            height: 36px;
        }
    </style>

</head>

<body data-type="bank" style="height: 100%" class="theme-white">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div class="tpl-content-wrapper content con_none" id="bank">
        <ol class="am-breadcrumb">
            <li><a href="#" class="am-icon-user">个人设置</a></li>
            <li class="am-active">银行信息</li>
        </ol>
        <div class="row-content content am-cf">
            <div>
                <form class="am-form" style="margin: 20px 0;padding: 10px;">
                    <legend>银行信息</legend>
                    <div class="am-form-group">
                        <label for="name">姓名</label>
                        <input type="text" class="name" placeholder="请输入姓名" v-model="bank.card_name">
                    </div>
                    <div class="am-form-group">
                            <label for="userID">账号</label>
                            <input type="text" class="userID"  placeholder="请输入账号">
                        </div>
                    <div class="am-form-group">
                        <label for="card_name">银行</label>
                        <input type="text" class="card_name" placeholder="请输入银行名称" v-model="bank.bank">
                    </div>
                    <div class="am-form-group">
                        <label for="bank_adreess">开户地址</label>
                        <input type="text" class="bank_adreess" placeholder="请输入开户地址" v-model="bank.county">
                    </div>
                    <div class="am-form-group">
                        <label for="bank_num">银行卡号</label>
                        <input type="text" class="bank_num" minlength="16" placeholder="银行卡卡号" v-model="bank.card_num">
                    </div>
                    <div class="am-form-group" style="position:relative;">
                        <label for="user-smscode">验证码</label>
                        <input type="text" class="tpl-form-input" id="user-smscode" placeholder="请输入验证码">
                        <button @click="getsms" type="button" class="am-btn am-btn-xs am-btn-success smscode">获取验证码
                        </button>
                    </div>
                    <div @click="submit" class="am-btn am-btn-success">修改</div>
                </form>
            </div>
        </div>
    </div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)
        })
    });
    $.post("/user/user-info", {
        "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
    }, function (res) {
        if (res.code == 0) {
            $('.content').removeClass('con_none');
            $('.shadow').hide();
            var bank = new Vue({
                el: '#bank',
                data: {userinfo: res.data, bank: {card_name: '', bank: '', county: '', card_num: ''}},
                methods: {
                    submit: function () {
                    	
                        var sms = $('#user-smscode').val();
                        var mobile = this.userinfo.mobile;
                         var userID = $('form .userID').val();
					    
                        if (!this.bank.bank || !this.bank.card_num || !this.bank.card_name || !this.bank.bank || !this.bank.county || !sms) {
                            layer.msg('请填写完成再提交', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        if (!userID) {
					            layer.msg('请输入用户账号', {
					                offset: ['300px'],
					                time: 1000
					            })
					            return
					        }
                        if (this.bank.card_num.length > 19 || this.bank.card_num < 16) {
                            layer.msg('请填写正确卡号', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/user/add-bank", {
                            user_name: this.bank.card_name,
                            card_num: this.bank.card_num,
                            card_name: this.bank.bank,
                            address: this.bank.county,
                            smsCode: sms,
                            mobile: mobile,
                            userID:userID,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                layer.msg(res.msg, {
                                    offset: ['300px'],
                                    time: 1000
                                });
                                setTimeout(function () {
                                    window.location.href = "/site/bank";
                                }, 1000)
                            } else {
                                layer.msg(res.msg, {
                                    offset: ['300px'],
                                    time: 1000
                                });
                            }
                        })
                    },
                    getsms: function () {
                        var mobile = this.userinfo.mobile;
                         var userID = $('form .userID').val();
                        if (!mobile) {
                            layer.msg('手机号不能为空', {
                                offset: ['300px'],
                                time: 1000
                            })
                            return
                        }
                        $.post('/auth/sms-verifycode', {
                            mobile: mobile, scenario: '',userID:userID,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"
                        }, function (res) {
                        	console.log(88888888888)
                        	console.log(JSON.stringify(res))
                            if (res.code == 0) {
                                getSms($('.smscode'), 120);
                                layer.msg(res.msg, {
                                    offset: ['300px'],
                                    time: 1000
                                })
                            } else if (res.code == 1) {
                                layer.msg(res.msg, {
                                    offset: ['300px'],
                                    time: 1000
                                })
                            }
                        })
                    }
                },
                mounted(){
                    if (this.userinfo.bankcard.length > 0) {
                        this.bank = res.data.bankcard[0];
                    }
                    $('.content').show()
                }
            });
        } else if (res.code == 1) {

        }
    });
</script>
<div id="paypass" style="display: none">
    <div class="am-input-group">
        <span class="am-input-group-label"><i class="am-icon-lock am-icon-fw"></i></span>
        <input type="password" maxlength="6" class="am-form-field paypass" placeholder="请输入支付密码">
    </div>
</div>
</body>

</html>
