<?php
/**
 * @var string $cardNum
 * @var string $price
 */
?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>购车商城</title>
    <meta name="description" content="购车商城">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="/static/mobile/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="购车商城"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/vue.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
    <style>
        .dshow {
            margin: 10px;
        }

        .dshow img {
            display: block;
            width: 85%;
            margin: auto;
        }

        .dshow .name {
            margin: 10px 0 0;
            padding: 5px;
            color: red;
        }

        .pshow {
            padding: 5px;
            border-bottom: 2px solid #ccc;
            margin: 0;
        }

        .libox {
            border: 1px solid #e7ecf1;
            padding: 10px;
            background: #fff;
            -webkit-border-radius: 2px;
            -moz-border-radius: 2px;
            border-radius: 2px;
        }

        .libox p {
            border: none;
            text-indent: 0;
            font-size: 14px;
            line-height: 18px;
        }

        .custom {
            padding: 0 10px;
            margin-top: 10px;
        }

        .custom p {
            -webkit-border-radius: 5px;
            -moz-border-radius: 5px;
            border-radius: 5px;
            margin: 0;
            font-size: 14px;
            line-height: 30px;
            background: #fff;
            padding: 0 10px;
            text-align: center;
        }

        .himg {
            /*height: 100px;*/
            overflow: hidden;
        }

        .bno {
            border: none;
        }

        .libox .cartit {
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
            margin-top: 15px;
        }

        #slider {
            max-width: 400px;
            margin: auto;
        }
    </style>
</head>

<body data-type="buycar" class="theme-white">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div class="tpl-content-wrapper"
    ">
    <ol class="am-breadcrumb">
        <li><a href="#" class="am-icon-line-chart">呱呱好车商城</a></li>
        <li class="am-active">商城</li>
    </ol>
    <div id="slider">
        <div class="am-slider am-slider-default" id="demo-slider-0" style="margin: 10px 0 20px;">
            <ul class="am-slides">
                <li v-for="img in imgsrc"><img :src="img.pic"/></li>
            </ul>
        </div>
    </div>
    <div class="row-content content am-cf" id="buycar">
        <ul class="am-avg-sm-2 am-avg-md-4  am-thumbnails">
            <li style="padding:5px;" v-for="(list,x) in carlist">
                <div class="libox" @click="details(x)">
                    <div class="imgbox himg">
                        <img :src="list.imgs" alt="商品" style="width:100%;display: block;margin:auto;">
                    </div>
                    <p class="cartit">{{list.title}}</p>
                    <p>积分: <span style="color:red;">{{list.price}}</span></p>
                </div>
            </li>
        </ul>
        <ul data-am-widget="pagination" class="am-pagination am-pagination-default am-vertical-align-bottom">
            <li class="am-pagination-first am-btn-xs">
                <a @click="Firstpage" class="">第一页</a>
            </li>
            <li class="am-pagination-prev am-btn-xs">
                <a @click="Prevpage" class="">上一页</a>
            </li>
            <li class="am-btn-xs"><a class="">{{page}}/{{count}}</a></li>
            <li class="am-pagination-next am-btn-xs">
                <a @click="Nextpage" class="">下一页</a>
            </li>
            <li class="am-pagination-last am-btn-xs">
                <a @click="Lastpage" class="">最末页</a>
            </li>
        </ul>
    </div>
</div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)
        })
    });
    if ($(window).width() > 614) {
        $('div.imgbox').removeClass('himg');
    } else {
        $('div.imgbox').addClass('himg');
    }
    $.post('/user/shop-index', {"<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"}, function (res) {
        if (res.code == 0) {
            var slider = new Vue({
                el: '#slider',
                data: {imgsrc: res.data},
                methods: {},
                mounted: function () {
                    setTimeout(function () {
                        $('.am-slider').flexslider();
                    }, 100)
                }
            })
        } else if (res.code == 1) {

        }
    })


    $.post("/user/pay-goods", {
        page: 1,
        "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
    }, function (res) {
        if (res.code == 0) {
            var buycar = new Vue({
                el: '#buycar',
                data: {
                    carlist: res.data.list,
                    page: 1,
                    count: res.data.page,
                },
                methods: {
                    details: function (x) {
                        var pages = this.page;
                        var _this = this.carlist;
                        layer.open({
                            type: 1,
                            title: '商品详情',
                            skin: 'layui-layer-rim', //加上边框
                            shadeClose: true,
                            content: '<div class="dshow">\n' +
                            '            <img src="' + this.carlist[x].imgs + '" alt="">\n' +
                            '        <p class="name">' + this.carlist[x].title + '</p>\n' +
                            '        <p class="pshow">积分' + this.carlist[x].price + '</p>\n' +
                            '        <p class="pshow bno">详情：' + this.carlist[x].info + '</p>\n' +
                            '        </div>',
                            btn: ['提交', '取消'],
                            yes: function () {
                                layer.confirm('请确认自己有充足的积分，本次需扣除' + _this[x].price, {
                                    title: '确认订单',
                                    btn: ['确定', '取消'] //按钮
                                }, function () {
                                    layer.closeAll();
                                    layer.open({
                                        type: 1,
                                        title: '请输入支付密码',
                                        shadeClose: true,
                                        skin: 'layui-layer-lan',
                                        content: $('#paypass'),
                                        btn: ['购买', '取消'],
                                        yes: function () {
                                            var paypass = $(this.content).find('.paypass').val();
                                            if (!paypass) {
                                                layer.msg('请输入支付密码', {
                                                    offset: ['300px'],
                                                    time: 1000
                                                });
                                                return;
                                            }
                                            $.post('/user/validate-pay-pwd', {
                                                payPwd: paypass,
                                                "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                                            }, function (res) {
                                                if (res.code == 0) {
                                                    $.post("/user/pay", {
                                                        type: 'save',
                                                        price: _this[x].price,
                                                        num: 1,
                                                        id: _this[x].id,
                                                        page: pages,
                                                        "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                                                    }, function (res) {
                                                        if (res.code == 0) {
                                                            layer.msg(res.msg, {
                                                                offset: ['300px'],
                                                                time: 1000
                                                            });
                                                            setTimeout(function () {
                                                                window.location.href = '/site/order-list';
                                                            }, 800)
                                                        } else {
                                                            layer.msg(res.msg, {
                                                                offset: ['300px'],
                                                                time: 1000
                                                            });
                                                        }
                                                    })
                                                } else if (res.code == 1) {
                                                    layer.msg(res.msg, {
                                                        offset: ['300px'],
                                                        time: 1000
                                                    });
                                                }
                                            })

                                        }
                                    })
                                });
                            }
                        });
                    },
                    Firstpage: function () {
                        var _this = this;
                        if (this.page <= 1) {
                            layer.msg('已经是第一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/user/pay-goods", {
                            page: 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                _this.page = 1;
                                _this.carlist = res.data.list;
                            }
                        })
                    },
                    Prevpage: function () {
                        var _this = this;
                        if (this.page <= 1) {
                            layer.msg('已经是第一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/user/pay-goods", {
                            page: this.page -= 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                _this.carlist = res.data.list;
                            }
                        })
                    },
                    Nextpage: function () {
                        var _this = this;
                        if (this.page >= this.count) {
                            layer.msg('已经是最后一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/user/pay-goods", {
                            page: this.page += 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                _this.carlist = res.data.list;
                            }
                        })
                    },
                    Lastpage: function () {
                        var _this = this;
                        if (this.page >= this.count) {
                            layer.msg('已经是最后一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/user/pay-goods", {
                            page: this.count,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                _this.page = _this.count;
                                _this.carlist = res.data.list;
                            }
                        })
                    }
                },
                mounted: function () {
                    $('.content').show();
                }
            })
        } else if (res.code == 1) {

        }
    })


</script>
<div id="paypass" style="display: none">
    <div class="am-input-group">
        <span class="am-input-group-label"><i class="am-icon-lock am-icon-fw"></i></span>
        <input type="password" maxlength="6" class="am-form-field paypass" placeholder="请输入支付密码">
    </div>
</div>
</body>

</html>
