<?php
/**
 * @var string $cardNum
 * @var string $price
 */

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>首页</title>
    <meta name="description" content="系统公告">
    <meta name="keywords" content="home">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="系统公告"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
    <script src="/static/mobile/js/vue.js"></script>
    <style>
        ul.list {
            padding: 20px;
        }

        ul.list li {
            padding: 15px 0;
            border-bottom: 1px solid #F4F6F9;
        }

        ul.list li:hover {
            background: #F4F6F9;
        }

        ul.list li p {
            margin: 0;
        }

        table {
            display: none;
        }
    </style>
</head>

<body data-type="home" class="theme-white">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div id="home" class="tpl-content-wrapper content">
        <ol class="am-breadcrumb">
            <li class="am-active"><a href="#" class="am-icon-file-text-o">系统公告</a></li>
        </ol>
        <div class="row-content content am-cf">
            <div class="am-g">
                <div class="widget-body  widget-body-lg am-fr">
                    <div class="widget-head am-cf" style="padding-top: 0;">
                        <div class="widget-title  am-cf">系统公告</div>
                    </div>
                    <table class="am-table am-table-bordered">
                        <thead>
                        <tr>
                            <th>公告编号</th>
                            <th>公告标题</th>
                            <th>发布时间</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr v-for="(list,x) in homelist " @click="showmore(x)">
                            <td>{{list.id}}</td>
                            <td><a>{{list.title}}</a></td>
                            <td>{{list.created_at}}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)
        })
    });
    $('.content').removeClass('con_none');
    $.post("/user/announcement-agree", {
        "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
    }, function (res) {
        if (res.code == 0) {
            var home = new Vue({
                el: '#home',
                data: {homelist: res.data},
                methods: {
                    showmore: function (x) {
                        layer.open({
                            type: 1,
                            title: '公告详情',
                            skin: 'layui-layer-rim', //加上边框
                            content: '<div style="padding:5px 10px;">' + this.homelist[x].content + '</div>'
                        });
                    }
                },
                mounted: function () {
                    setTimeout(function () {
                        $('table').show();
                    }, 1)
                    $('.content').show()

                }
            })
        } else if (res.code == 1) {
            layer.msg(res.msg, {
                offset: ['300px'],
                time: 1000
            });
        }

    });
</script>
</body>

</html>
