<?php
/**
 * @var string $cardNum
 * @var string $price
 */

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>组织结构</title>
    <meta name="description" content="我的团队">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="/static/mobile/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="我的团队"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <link rel="stylesheet"
          href="http://mall.dhcc66.top/web/resource/components/jstree/themes/default/style.min.css">
    <script src="http://apps.bdimg.com/libs/jquery/2.1.4/jquery.min.js"></script>
    <script src="/static/mobile/js/jquery-ui.min.js"></script>
    <script src="http://mall.dhcc66.top/web/resource/components/jstree/jstree.min.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
    <script src="/static/mobile/js/vue.js"></script>

    <style>
        .tpl-content-wrapper .content {
            background-color: transparent;
        }

        .conbox {
            background: #fff;
            /*margin: 10px 15px;*/
            -webkit-border-radius: 3px;
            -moz-border-radius: 3px;
            border-radius: 3px;
            box-sizing: border-box;
        }

        .layui-layer {
            left: 50%;
            margin-left: -109px;
        }
    </style>
</head>
<script>

</script>
<body data-type="myteam" class="theme-white">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div class="tpl-content-wrapper" id="myteam">
        <ol class="am-breadcrumb">
            <li><a href="#" class="am-icon-ours">团队管理</a></li>
            <li class="am-active">我的团队</li>
        </ol>
        <div class="content con_none " style="padding: 0 10px;margin: 0;">
            <div style="margin: 10px 0;">
                <div class="am-input-group">
                    <input type="text" id="keyword" name="keywored" class="am-form-field" @keyup.13="searchid(str)"
                           v-model="str" placeholder="请输入ID" style="background: #fff">
                    <span @click="searchid(str)" class="am-input-group-label"><i class="am-icon-search am-icon-fw"></i></span>
                    <span class="am-input-group-label"><a href="/site/myteam">清除</a></span>
                </div>
            </div>
            <div class="conbox am-scrollable-horizontal">
                <div id="container" style="padding: 10px 0 20px;"></div>
            </div>
        </div>
    </div>
</div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)
        })
    });
    var dataType = $('body').attr('data-type');
    if (dataType == 'myteam') {
        $.post("/user/my-team", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            if (res.code == 0) {
                $('.content').removeClass('con_none');
                $('.shadow').hide();
                var myteam = new Vue({
                    el: '#myteam',
                    data: {
                        myteam: res.data,
                        str: ''
                    },
                    methods: {
                        searchid: function (str) {
                            $("#container").jstree(true).search(str);
                            console.log($('#container').jstree(true)._model.data[str]);
                            if ($('#container').jstree(true)._model.data[str]) {

                            }
                        }
                    },
                    mounted: function () {
                        $('.content').show()
                        var _this = this;
                        var jstreeObj = $('#container')
                            .jstree({
                                'core': {
                                    'data': _this.myteam,
                                    'check_callback': true,
                                    'themes': {
                                        'responsive': false
                                    }
                                },
                                "types": {
                                    "#": {"max_children": -1, "max_depth": -1, "valid_children": -1},
                                    "root": {
                                        "icon": "/static/mobile/img/iconfont-tree.png",
                                        "valid_children": ["default"]
                                    },
                                    "default": {
                                        "icon": "/static/mobile/img/iconfont-user.png",
                                        "valid_children": ["default", "file"]
                                    },
                                    "file": {"icon": "glyphicon glyphicon-file", "valid_children": []}
                                },
                                'plugins': ['state', 'search', "types", "wholerow"],//contextmenu
                            });
                        jstreeObj.on('search.jstree', function (e, data) {
                            if (data.res.length < 1) {
                                layer.msg('未找到对应信息，请重试', {
                                    offset: 'auto',
                                    time: 1000
                                });
                            } else if (data.res.length < 3) {
                                $('#container').jstree(true).select_node(data.res);
                            }
                        })
                    }
                })
            } else if (res.code == 1) {
                $('.content').show().html('您还没有任何购买记录！').css({'line-height': '50px', 'text-indent': '10px'})

            }
        })
    }
</script>
</body>

</html>
