<?php
/**
 * @var string $cardNum
 * @var string $price
 */
use common\models\ShopGoods;
?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>销售记录</title>
    <meta name="description" content="购买记录">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="/static/mobile/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="购买记录"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
    <script src="/static/mobile/js/vue.js"></script>
    <style>
        .ulfox {
            left: 50%;
            margin-left: -159px;
            bottom: 30px
        }
    </style>
</head>

<body data-type="order-list" class="theme-white">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div class="tpl-content-wrapper" id="order">
        <ol class="am-breadcrumb">
            <li><a href="#" class="am-icon-user">汽车商城</a></li>
            <li class="am-active">购买记录</li>
        </ol>
        <div class="content con_none">
            <div class="row-content am-cf">
                <ul class="am-avg-sm-1 am-avg-md-3  am-thumbnails">
                    <li style="padding: 10px;" v-for="list in orderlist.list">
                        <div class="libox">
                            <p>商品名：<?php  $goodsname = ShopGoods::find()->where("status=2")->one();
                                echo $goodsname['title'];
                            ?></p>
                            <p>金额：{{list.price}}</p>
                            <p>支付凭证:</p>
                            <img :src="list.thumb" alt="" class="am-img-responsive">
                            <p>订单编号：{{list.id}}</p>
                            <p>发货状态：{{list.goodsstatus}}</p>
                            <p>快递公司{{list.express_type}}</p>
                            <p>快递编号：{{list.express_no}}</p>
                            <p>状态：{{list.status}}</p>
                            <p>时间：{{list.created_at}}</p>
                        </div>
                        <div v-if="list.goods_status==0" >
                                     <span>未发货</span>
                        </div>
                        <div v-if="list.goods_status==1" style="cursor: pointer;">

                            <a class="forgot"  @click="blink(list.id)" v-if="isshow">确认收货</a>
                            <span  v-if="!isshow">已收货</span>
                         </div>
                        <div v-if="list.goods_status==2"  style="cursor: pointer;">

                            <span>已收货</span>

                        </div>
<!--                         <div v-else>-->
<!--                                 str = null-->
<!--                         </div>-->
<!--                            <div @click="blink(list.id)" style="cursor: pointer;"> <a class="forgot">确认收货</a></div>-->
                    </li>
                </ul>
            </div>
            <ul data-am-widget="pagination" class="am-pagination am-pagination-default am-vertical-align-bottom ulfox">
                <li class="am-pagination-first am-btn-xs">
                    <a @click="Firstpage" class="">第一页</a>
                </li>
                <li class="am-pagination-prev am-btn-xs">
                    <a @click="Prevpage" class="">上一页</a>
                </li>
                <li class="am-btn-xs"><a class="">{{page}}/{{orderlist.page}}</a></li>
                <li class="am-pagination-next am-btn-xs">
                    <a @click="Nextpage" class="">下一页</a>
                </li>
                <li class="am-pagination-last am-btn-xs">
                    <a @click="Lastpage" class="">最末页</a>
                </li>
            </ul>
        </div>

    </div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>

<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)

        })
    });
    if ($(window).width() < 614) {
        $('ul.am-pagination').removeClass('ulfox');
    } else {
        $('ul.am-pagination').addClass('ulfox');
    }
    $.post("/user/order-list", {
        page: 1,
        "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
    }, function (res) {
        // console.log(res);
        // return false;
        if (res.code == 0) {
            $('.content').removeClass('con_none');
            $('.shadow').hide();
            var record = new Vue({
                el: '#order',
                data: {
                    orderlist: res.data,
                    page: 1,
                    isshow:true
                },
                methods: {
                    blink(a){
                        //href="<?php //echo yii\helpers\Url::to(['user/confirm',['id'=>8]]); ?>//"
                        var that=this
                        $.post("/user/confirm", {
                            id: a,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {

                            if (res.code == 1) {
                                alert(res.msg);
                                that.isshow=false
                            }else{
                                alert(res.msg);
                                return false;
                            }
                        })
                    },
                    Firstpage: function () {
                        var _this = this;
                        if (this.page <= 1) {
                            layer.msg('已经是第一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/user/order-list", {
                            page: 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                _this.page = 1;
                                _this.orderlist = res.data;
                            }
                        })
                    },
                    Prevpage: function () {
                        var _this = this;
                        if (this.page <= 1) {
                            layer.msg('已经是第一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/user/order-list", {
                            page: this.page -= 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                _this.orderlist = res.data;
                            }
                        })
                    },
                    Nextpage: function () {
                        var _this = this;
                        if (this.page >= this.orderlist.page) {
                            layer.msg('已经是最后一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/user/order-list", {
                            page: this.page += 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                _this.orderlist = res.data;
                            }
                        })
                    },
                    Lastpage: function () {
                        var _this = this;
                        if (this.page >= this.orderlist.page) {
                            layer.msg('已经是最后一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/user/order-list", {
                            page: this.orderlist.page,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                _this.page = _this.orderlist.page;
                                _this.orderlist = res.data;
                            }
                        })
                    }
                },
                mounted: function () {
                    $('.content').show()
                }
            })
        } else if (res.code == 1) {
            $('.content').show().html('您还没有任何购买记录！').css({'line-height': '50px', 'text-indent': '10px'})
        }

    })
</script>
</body>

</html>
