<?php
/**
 * @var string $cardNum
 * @var string $price
 */

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>个人资料</title>
    <meta name="description" content="个人资料">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="/static/mobile/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="个人资料"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/vue.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>

    <style>
        .check {
            color: #0e90d2;
            cursor: pointer;
        }
    </style>
</head>
<body data-type="persondata" style="height: 100%" class="theme-white">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div class="tpl-content-wrapper content con_none" id="person">
        <ol class="am-breadcrumb">
            <li><a href="#" class="am-icon-user">个人设置</a></li>
            <li class="am-active">个人信息</li>
        </ol>
        <div class="row-content content am-cf">
            <ul class="am-avg-sm-1 am-avg-md-1  am-thumbnails">
                <li>
                    <div>
                        <form class="am-form" style="margin: 20px 0;padding: 10px;">
                            <legend>基本信息</legend>
                            <div class="am-form-group">
                                <label>姓名</label>
                                <input type="text" class="name" placeholder="请输入姓名" v-model="userinfo.realname">
                            </div>
                            <div class="am-form-group">
                                <label>会员编号</label>
                                <input type="text" v-model="userinfo.uid" disabled>
                            </div>
                            <div class="am-form-group">
                                <label>手机号</label>
                                <input type="text" v-model="userinfo.mobile" disabled>
                            </div>
                            <div class="am-form-group">
                                <label>推荐人</label>
                                <input type="text" v-model="userinfo.superior" disabled>
                            </div>
                            <div class="am-form-group">
                                <label>注册时间</label>
                                <input type="text" v-model="userinfo.created_at" disabled>
                            </div>
                            <div class="am-form-group">
                                <label>出局次数</label>
                                <input type="text" v-model="userinfo.outs" disabled>
                            </div>
                            <div class="am-form-group">
                                <label>直推人数</label>
                                <input type="text" v-model="userinfo.zhi" disabled>
                            </div>
                            <div class="am-form-group">
                                <label>是否销售中心</label>
                                <input type="text" v-model="report" disabled>
                            </div>
                            <div class="am-form-group">
                                <label>是否代理</label>
                                <input type="text" v-model="partner" disabled>
                            </div>
                            <div class="am-form-group" v-show="userinfo.partner == '1'">
                                <label>代理地址</label>
                                <input type="text" v-model="userinfo.partner_address" disabled>
                            </div>
                            <div @click="setname" class="am-btn am-btn-success">修改姓名</div>
                        </form>
                    </div>
                </li>
            </ul>
        </div>
    </div>
</div>

<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)

        })
    });
    var bus = new Vue({});
    $.post("/user/user-info", {
        "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
    }, function (res) {
        if (res.code == 0) {
            $('.content').removeClass('con_none');
            $('.shadow').hide();
            var person = new Vue({
                el: '#person',
                data: {userinfo: res.data, report: '', partner: ''},
                methods: {
                    setname: function () {
                        var name = $('.name').val();
                        $.post("/user/edit-name", {
                            name: name,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                $.AMUI.store.set('userInfo', res.data);
                                layer.msg(res.msg, {
                                    offset: ['300px'],
                                    time: 1000
                                });
                                setTimeout(function () {
                                    window.location.href = '/site/persondata';
                                }, 800)
                            } else if (res.code == 1) {
                                layer.msg(res.msg, {
                                    offset: ['300px'],
                                    time: 1000
                                });
                            }
                        })
                    }
                },
                mounted: function () {
                    this.report = this.userinfo.report == 1 ? '是' : '否';
                    this.partner = this.userinfo.partner == 1 ? '是' : '否';
                    $('.content').show()
                }
            });
        } else if (res.code == 1) {
        }
    });
</script>
</body>

</html>
