<?php
/**
 * @var string $cardNum
 * @var string $price
 */
?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>收益</title>
    <meta name="description" content="收益明细">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="/static/mobile/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="收益明细"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/vue.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
    <style>
        .ulfox {
            left: 50%;
            margin-left: -159px;
            bottom: 30px
        }

        .libox {
            padding: 0;
            border-color: #56BDEA;
        }

    </style>
</head>
<body data-type="profit" class="theme-white">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div class="tpl-content-wrapper" id="profit" style="position: relative;">
        <ol class="am-breadcrumb">
            <li><a href="#" class="am-icon-line-chart">财务管理</a></li>
            <li class="am-active">收益明细</li>
        </ol>
        <div class="content" style="">
            <div class="row-content am-cf">
                <ul class="am-avg-sm-1 am-avg-md-3  am-thumbnails">
                    <li v-for="list in prolist.list" style="padding: 10px;">
                        <div class="libox">
                            <p><span>类型：</span>{{list.type}}</p>
                            <p><span>销售人ID：</span>{{list.uid}}</p>
                            <p><span>{{list.types == '2'?'积分':'金额'}}：</span>{{list.price}}</p>
                            <p><span>时间：</span>{{list.created_at}}</p>
                            <p><span>状态：</span>已出局</p>
                        </div>
                    </li>
                </ul>
            </div>
            <ul data-am-widget="pagination" class="am-pagination am-pagination-default am-vertical-align-bottom">
                <li class="am-pagination-first am-btn-xs">
                    <a @click="Firstpage" class="">第一页</a>
                </li>
                <li class="am-pagination-prev am-btn-xs">
                    <a @click="Prevpage" class="">上一页</a>
                </li>
                <li class="am-btn-xs"><a class="">{{page}}/{{prolist.count}}</a></li>
                <li class="am-pagination-next am-btn-xs">
                    <a @click="Nextpage" class="">下一页</a>
                </li>
                <li class="am-pagination-last am-btn-xs">
                    <a @click="Lastpage" class="">最末页</a>
                </li>
            </ul>
        </div>
    </div>
</div>
</div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)

        })
    });
    if ($(window).width() < 614) {
        $('ul.am-pagination').removeClass('ulfox');
    } else {
        $('ul.am-pagination').addClass('ulfox');
    }
    $.post("/team-report/income", {
        page: 1,
        "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
    }, function (res) {
        if (res.code == 0) {
            $('.content').removeClass('con_none');
            $('.shadow').hide();
            var profit = new Vue({
                el: '#profit',
                data: {
                    prolist: res.data,
                    page: 1
                },
                methods: {
                    Firstpage: function () {
                        var _this = this;
                        if (this.page <= 1) {
                            layer.msg('已经是第一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/team-report/income", {
                            page: 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                _this.page = 1;
                                _this.prolist = res.data;
                            }
                        })
                    },
                    Prevpage: function () {
                        var _this = this;
                        if (this.page <= 1) {
                            layer.msg('已经是第一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/team-report/income", {
                            page: this.page -= 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                _this.prolist = res.data;
                            }
                        })
                    },
                    Nextpage: function () {
                        var _this = this;
                        if (this.page >= this.prolist.count) {
                            layer.msg('已经是最后一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/team-report/income", {
                            page: this.page += 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                _this.prolist = res.data;
                            }
                        })
                    },
                    Lastpage: function () {
                        var _this = this;
                        if (this.page >= this.prolist.count) {
                            layer.msg('已经是最后一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/team-report/income", {
                            page: _this.prolist.count,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                _this.page = _this.prolist.count;
                                _this.prolist = res.data;
                            }
                        })
                    }
                },
                mounted: function () {
                    $('.content').show()
                }
            })
        } else if (res.code == 1) {
            $('.content').show().html('您还没有任何收益！').css({'line-height': '50px', 'text-indent': '10px'})
        }
    })


</script>

</body>

</html>
