<?php
/**
 * @var string $cardNum
 * @var string $price
 */

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>密码管理</title>
    <meta name="description" content="密码管理">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="/static/mobile/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="密码管理"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/vue.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
    <style>
        legend {
            border-bottom: 2px solid rgb(59, 180, 242);
        }

        .am-form-group .smscode {
            position: absolute;
            right: 0;
            bottom: 0;
            height: 36px;
        }

        .am-cf p {
            margin: 0;
            float: left;
        }

        .am-cf p:last-child {
            float: right;
        }

        .am-thumbnails {
            margin: 0;
        }
    </style>

</head>

<body data-type="setpass" style="height: 100%" class="theme-white">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div class="tpl-content-wrapper " id="setpass">
        <ol class="am-breadcrumb">
            <li><a href="#" class="am-icon-user">个人设置</a></li>
            <li class="am-active">修改密码</li>
        </ol>
        <div class="row-content am-cf">
            <ul class="am-avg-sm-1 am-avg-md-1  am-thumbnails"
                style="background: #fff;-webkit-border-radius: 3px;-moz-border-radius: 3px;border-radius: 3px;">
                <li class="login" style="border-bottom: 10px solid #e9ecf3;">
                    <div class="am-form" style="margin: 20px 0;padding: 10px;">
                        <legend>登录密码修改</legend>
                        <div class="am-form-group">
                            <label for="pass">原密码</label>
                            <input type="password" class="pass" placeholder="请输入原密码">
                        </div>
                        <div class="am-form-group">
                            <label for="newpass">新密码</label>
                            <input type="password" class="newpass" placeholder="请输入新密码">
                        </div>
                        <div class="am-form-group">
                            <label for="repass">新密码确认</label>
                            <input type="password" class="repass" placeholder="请重新输入新密码">
                        </div>
                        <div onclick="submit(1)" class="am-btn am-btn-success">提交</div>
                    </div>
                </li>
                <li class="pay">
                    <div class="am-form" style="margin: 20px 0;padding: 10px;">
                        <legend>支付密码设置/修改</legend>
                        <div class="am-form-group">
                            <label for="userID">账号</label>
                            <input type="text" class="userID"  placeholder="请输入账号">
                        </div>
                        <div class="am-form-group">
                            <label for="mobile">手机号</label>
                            <input type="text" class="mobile" maxlength="11" placeholder="请输入手机号">
                           
                        </div>
                        <div class="am-form-group" style="position:relative;">
                            <label for="user-smscode">验证码</label>
                            <input type="text" class="tpl-form-input" id="user-smscode" maxlength="4"
                                   placeholder="请输入验证码">
                            <button type="button" class="am-btn am-btn-xs am-btn-success smscode">获取验证码</button>
                        </div>
                        <div class="am-form-group">
                            <label for="paypass">新支付密码</label>
                            <input type="password" class="paypass" maxlength="6" placeholder="请输新支付密码">
                        </div>
                        <div onclick="submit(2)" class="am-btn am-btn-success">提交</div>
                    </div>
                </li>
            </ul>
        </div>
    </div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)
        })
    });
    var submit = function (num) {
        event.preventDefault();
        if (num == 1) {                       //登录密码修改
            var pass = $('li.login .pass').val();
            var newpass = $('li.login .newpass').val();
            var repass = $('li.login .repass').val();
            if (!pass || !newpass || !repass) {
                layer.msg('请输入完成再提交', {
                    offset: 'auto',
                    time: 1000
                });
                return;
            }
            if (newpass != repass) {
                layer.msg('两次密码不一样，请重新输入', {
                    offset: 'auto',
                    time: 1000
                });
                return;
            }
            $.post('/user/reset', {
                pass: pass, newpass: newpass, repass: repass,
                "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"
            }, function (res) {
                if (res.code == 0) {
                    layer.msg(res.msg, {
                        offset: 'auto',
                        time: 1000
                    });
                    setTimeout(function () {
                        $.post("/user/back-login", {
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"
                        }, function () {
                            window.location.href = '/auth/login';
                        })
                    }, 1000)
                } else if (res.code == 1) {
                    layer.msg(res.msg, {
                        offset: 'auto',
                        time: 1000
                    });
                }
            })
        } else if (num == 2) {   
        	                 //支付密码修改
            var mobile = $('li.pay .mobile').val();
            var smscode = $('li.pay #user-smscode').val();
            var paypass = $('li.pay .paypass').val();
            var userID = $('li .userID').val();
		        if (!userID) {
		            layer.msg('请输入用户账号', {
		                offset: ['300px'],
		                time: 1000
		            })
		            return
		        }
            var arr = /\d{6}/;

            if (!mobile || !smscode || !paypass) {
                layer.msg('请输入完成再提交', {
                    offset: 'auto',
                    time: 1000
                });
                return;
            }
            if (!arr.test(paypass)) {
                layer.msg('请输入6位数字密码', {
                    offset: 'auto',
                    time: 1000
                });
                return;
            }
            $.post('/user/reset-pay-pwd', {
                userID:userID,mobile: mobile, smsCode: smscode, password: paypass,
                "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"
            }, function (res) {
                if (res.code == 0) {
                    layer.msg(res.msg, {
                        offset: 'auto',
                        time: 1000
                    });
                    setTimeout(function () {
                        window.location.href = '/site/setpass'
                    }, 1000)
                } else if (res.code == 1) {
                    layer.msg(res.msg, {
                        offset: 'auto',
                        time: 1000
                    });
                }
            })
        }
    }
    $('.am-form-group .smscode').click(function () {          //获取验证码
        var mobile = $('li .mobile').val();
         var userID = $('li .userID').val();
        if (!mobile) {
            layer.msg('手机号不能为空', {
                offset: ['300px'],
                time: 1000
            })
            return
        }
        $.post('/auth/sms-verifycode', {
        userID:userID,mobile: mobile, scenario: 'reset',
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"
        }, function (res) {
            if (res.code == 0) {
                getSms($('.smscode'), 120);
                layer.msg(res.msg, {
                    offset: ['300px'],
                    time: 1000
                })
            } else if (res.code == 1) {
                layer.msg(res.msg, {
                    offset: ['300px'],
                    time: 1000
                })
            }
        })
    })

</script>
</body>

</html>
