<?php
use chenkby\region\Region;

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>申请销售中心</title>
    <meta name="description" content="shen-ask.php">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="/static/mobile/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="center-ask.php"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
    <script src="/static/mobile/js/vue.js"></script>

</head>

<body data-type="shen-ask" class="theme-white">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div class="tpl-content-wrapper" id="ask" style="padding:0px 15px;">
        <ol class="am-breadcrumb" style="margin:10px 0;">
            <li><a href="#" class="am-icon-th-list">业务管理</a></li>
            <li class="am-active">申请销售中心</li>
        </ol>
        <div class="am-u-sm-12 am-u-md-12 am-u-lg-12" style="background: #fff;border-radius: 5px;">
            <form class="am-form" style="margin: 20px 0;display: none;">
                <legend>申请销售中心</legend>
                <div class="am-form-group">
                    <label for="name">申请人姓名</label>
                    <input type="text" class="" id="name" v-model="asklist.name" placeholder="请输入姓名">
                </div>
                <div class="am-form-group">
                    <label for="mobile">申请人UID</label>
                    <input type="text" maxlength="11" class="" id="mobile" v-model="asklist.mobile"
                           placeholder="请输入手机号">
                </div>
                <div id="sel1" style="margin-bottom: 20px;">
                    <label>地址</label>
                    <select class="provincial" @change="sel(1,asklist.addre.a)" v-model="asklist.addre.a">
                        <option value="">省</option>
                        <option v-for="(list,x) in asklist.address.provincial" :value="x">{{list}}</option>
                    </select>
                    <select class="city" @change="sel(2,asklist.addre.b)" v-model="asklist.addre.b">
                        <option value="">市</option>
                        <option v-for="(list,x) in asklist.address.city" :value="x">{{list}}</option>
                    </select>
                    <select class="county" @change="sel(3,asklist.addre.c)" v-model="asklist.addre.c">
                        <option value="">县</option>
                        <option v-for="(list,x) in asklist.address.county" :value="x">{{list}}</option>
                    </select>
                </div>
                <div class="am-form-group">
                    <label for="detail">详细地址</label>
                    <input type="text" class="" id="detail" v-model="asklist.addre.d"
                           placeholder="请输入详细地址">
                </div>
                <div class="am-form-group">
                    <label for="doc-ta-1">备注</label>
                    <textarea class="" rows="5" id="doc-ta-1" v-model="asklist.remarks"></textarea>
                </div>
                <div class="am-form-group tpl-login-remember-me">
                    <label class="am-checkbox">
                        <input type="checkbox" id="remember-me" checked="checked" value="" data-am-ucheck disabled
                               checked>
                        <label for="remember-me">
                            我已阅读并同意 <a href="javascript:;" @click="protocol">《销售中心申请协议》</a>
                        </label>
                    </label>
                </div>
                <button @click="submit()" class="am-btn am-btn-success">提交</button>
            </form>
        </div>
    </div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {"<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"}, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)

        })
    });
    if ($(window).width() > 641) {
        $('.am-form').css({'width': '85%', 'max-width': '800px', 'margin': '20px auto'})
    }
    $(window).resize(function () {
        if ($(window).width() > 641) {
            $('.am-form').css({'width': '85%', 'max-width': '800px', 'margin': '20px auto'})
        } else {
            $('.am-form').css({'width': '85%', 'max-width': '800px', 'margin': '20px auto'})
        }
    });
    var ask = new Vue({
        el: '#ask',
        data: {
            asklist: {
                mobile: '',
                remarks: '',
                address: {provincial: '', city: '', county: ''},
                addre: {a: '', b: '', c: '', d: ''},
                level: 1
            }
        },
        methods: {
            protocol: function () {
                $.post('/user/report-agreement', {"<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"}, function (res) {
                    if (res.code == 0) {
                        layer.open({
                            type: 1,
                            title: res.data[0].title,
                            skin: 'layui-layer-lan', //加上边框
                            area: '300px', //宽高
                            content: res.data[0].content
                        });
                    }
                })
            },
            sel: function (num, id) {
                var _this = this;
                $.post('/user/address', {
                    id: id,
                    "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"
                }, function (res) {
                    if (res.code == 0) {
                        if (num == 1) {
                            _this.asklist.address.city = res.data;
                            _this.asklist.address.county = '';
                        } else if (num == 2) {
                            _this.asklist.address.county = res.data;
                        }
                    }
                })
            },
            submit: function () {
                event.preventDefault();
                if (!$('#name').val() || !$('#mobile').val()) {
                    layer.msg('请填写完成再提交', {
                        offset: ['300px'],
                        time: 1000
                    });
                    return;
                }
                var add = '';
                var _this = this.asklist;
                add = _this.address.provincial[_this.addre.a] + _this.address.city[_this.addre.b] + _this.address.county[_this.addre.c] + _this.addre.d;
                if (!_this.address.provincial[_this.addre.a] || !_this.address.city[_this.addre.b] || !_this.address.county[_this.addre.c] || !_this.addre.d) {
                    layer.msg('请填写完整地址', {
                        offset: ['300px'],
                        time: 1000
                    });
                    return;
                }
                var data = {
                    address: add, name: $('#name').val(), mobile: $('#mobile').val(), remark: _this.remarks, type: 2,
                    "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"
                };
                $.post('/user/proxy', data, function (res) {
                    if (res.code == 0) {
                        layer.msg(res.msg, {
                            offset: ['300px'],
                            time: 1000
                        });
                        setTimeout(function () {
                            window.location.href = '/site/shen-ask';
                        }, 1)
                    } else if (res.code == 1) {
                        layer.msg(res.msg, {
                            offset: ['300px'],
                            time: 1000
                        });
                    }
                })
            }
        },
        mounted: function () {
            setTimeout(function () {
                $('form').show();
            }, 1)
            var _this = this;
            $.post('/user/address', {
                id: 0,
                "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"
            }, function (res) {
                if (res.code == 0) {
                    _this.asklist.address.provincial = res.data;
                }
            })

        }
    })

</script>
</body>

</html>
