<?php
/**
 * @var string $cardNum
 * @var string $price
 */

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>组织结构</title>
    <meta name="description" content="组织结构">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="/static/mobile/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="组织结构"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <link rel="stylesheet" href="/static/mobile/css/font-awesome.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/jquery.orgchart.css"/>

    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/jquery-ui.min.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
    <script src="/static/mobile/js/prettify.js"></script>
    <script src="/static/mobile/js/jquery.orgchart.js"></script>
    <script src="/static/mobile/js/vue.js"></script>

    <style>
        .tpl-content-wrapper .content {
            background-color: transparent;
            padding: 10px 10px;
            margin: 0;
        }

        #chart-container {
            background-color: #fff;
            -webkit-border-radius: 3px;
            -moz-border-radius: 3px;
            border-radius: 3px;
        }

        .orgchart {
            background-color: #fff;
            margin-right: 20px;
            -webkit-border-radius: 3px;
            -moz-border-radius: 3px;
            border-radius: 3px;
        }

        .orgchart > table > tbody > tr:nth-child(1) {
            display: none;
        }

        .orgchart > table > tbody > tr:nth-child(2) {
            display: none;
        }

        .orgchart > table > tbody > tr:nth-child(3) {
            display: none;
        }

        .orgchart .second-menu-icon {
            transition: opacity .5s;
            opacity: 0;
            right: -5px;
            top: -5px;
            z-index: 2;
            color: rgba(68, 157, 68, 0.5);
            font-size: 18px;
            position: absolute;
        }

        .orgchart .second-menu-icon:hover {
            color: #449d44;
        }

        .orgchart .node:hover .second-menu-icon {
            opacity: 1;
        }

        .orgchart .node {
            font-size: 14px;
            width: 150px;
            text-align: left;
            border: 2px solid;
            -webkit-border-radius: 5px;
            -moz-border-radius: 5px;
            border-radius: 5px;
            margin: 0 5px;
            padding: 0;
        }

        .orgchart .node div {
            padding: 1px 3px;
        }

        .orgchart .node div span {
            display: inline-block;
        }

        .orgchart .node .second-menu {
            display: none;
            position: absolute;
            top: 0;
            right: -70px;
            border-radius: 5px;
            box-shadow: 0 0 10px 1px #999;
            background-color: #fff;
            z-index: 1;
        }

        .orgchart .node .second-menu .avatar {
            width: 75px;
            height: 20px;
            color: #000;
            margin: 5px;
            font-size: 14px;
            color: #fff;
        }

        .orgchart .middle-level .name {
            color: #fff;
            background-color: #006699;
        }

        .orgchart .middle-level {
            border-color: #006699;
        }

        .orgchart .product-dept .name {
            background-color: #009933;
            color: #fff;
        }

        .orgchart .product-dept {
            border-color: #009933;
        }

        .orgchart .rd-dept .name {
            background-color: #993366;
            color: #fff;
        }

.orgchart .rd-depts .name {
            background-color: #F1552B;
            color: #fff;
        }
        .orgchart .rd-depts {
            border-color: #F1552B;
        }
        .orgchart .rd-dept {
            border-color: #993366;
        }

        .orgchart .pipeline1 .name {
            background-color: #996633;
            color: #fff;
        }

        .orgchart .pipeline1 {
            border-color: #996633;

        }

        .orgchart .frontend1 .name {
            background-color: #cc0066;
        }

        .orgchart .frontend1 {
            border-color: #cc0066;
        }

        .conactive {
            margin: 10px;
            background: #fff;
            border-radius: 5px;
            line-height: 50px;
            text-indent: 10px;
            display: none;
        }
    </style>
</head>
<script>

</script>
<body data-type="structure" class="theme-white" onload="prettyPrint()">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div class="tpl-content-wrapper" id="stru">
        <ol class="am-breadcrumb">
            <li><a href="#" class="am-icon-users">团队管理</a></li>
            <li class="am-active">小组结构</li>
        </ol>
        <div class="conactive">您还没有激活账号</div>
        <div class="content am-scrollable-horizontal">
            <div style="margin-bottom:10px;">
                <div class="am-input-group">
                    <input type="text" id="keyword" name="mobile" class="am-form-field" maxlength="11" @keyup.13="searchid(mobile)"
                           v-model="mobile" placeholder="请输入用户id" style="background: #fff">
                    <span @click="searchid(mobile)" class="am-input-group-label"><i class="am-icon-search am-icon-fw"></i></span>
                    <span class="am-input-group-label"><a href="/site/structure">清除</a></span>
                </div>
            </div>
            <div id="chart-container"></div>
        </div>
    </div>
</div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出

    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)

        })
    });
    if ($(window).width() < 614) {
        $('#chart-container').css('background-color', 'transparent')
    } else {
        $('#chart-container').css('background-color', '#fff')
    }
    var dataType = $('body').attr('data-type');
    if (dataType == 'structure') {
        $.post("/team-report/team", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            if (res.code == 0) {
                $('.content').removeClass('con_none');
                $('.shadow').hide();
                var stru = new Vue({
                    el: '#stru',
                    data: {
                        strulist: res.data.list,
                        arr: {name: '12', id: 8, pid: null, children: []},
                        count: res.data.page,
                        page: 1,
                        mobile:''
                    },
                    methods: {
                        searchid:function(mobile){
                            var _this = this;
                            $.post("/user/find-team", {
                                mobile:mobile,
                                "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"
                            },function(res){
                                if(res.code == 1){
                                    layer.msg(res.msg, {
                                        offset: ['300px'],
                                        time: 1000
                                    });
                                }else if(res.code == 0){
                                    layer.msg('查询成功', {
                                        offset: ['300px'],
                                        time: 1000
                                    });
                                    _this.arr.children = [];
                                    $('#chart-container').html('');
                                    $('#chart-container').empty();
                                    for (var i = 0; i < res.data.list.length; i++) {
                                        _this.arr.children = _this.arr.children.concat(res.data.list)
                              
                                    }
                                   
                                    $('#chart-container').orgchart({
                                        'data': _this.arr,
                                        'depth': 4,
                                        'nodeTemplate': function (data) {
                                            return '<div class="name"><span>姓名：</span>' + data.name + '</div><div class="mobile"><span>电话：</span>' + data.mobile + '</div><div class="id"><span>ID：</span>' + data.uid + '</div><div class="relation"><span>推荐人ID：</span>' + data.relation + '</div><div class="outs"><span>出局次数：</span>' + data.outs + '</div>';
                                        },
                                    });
                                    $('.orgchart ').addClass('noncollapsable');
                                }
                            })
                        }
                    },
                    mounted: function () {
                    	// console.log(this.strulist.length)
                    	// console.log(this.strulist)
                        for (var i = 0; i < this.strulist.length; i++) {
                            this.arr.children = this.arr.children.concat(this.strulist[i])
                             
                             // console.log(this.arr)
                        }
                       // console.log(123123,JSON.stringify(this.arr))
                       var str =  {
    "name": "12",
    "id": 8,
    "pid": null,
    "children": [
        {
            "uid": "HC333333",
            "relation": "无",
            "name": "123",
            "className": "middle-level",
            "mobile": "133****3333",
            "outs": 0,
            "children": [
                {
                    "uid": "HC111111",
                    "relation": "HC333333",
                    "name": "小十郎",
                    "className": "pipeline1",
                    "mobile": "111****1111",
                    "outs": 0,
                    "children": [
                        {
                            "uid": "HC111112",
                            "relation": "HC111111",
                            "name": "测试1",
                            "className": "rd-dept",
                            "mobile": "111****1112",
                            "outs": 0,
 "children": [
                        {
                            "uid": "HC111112",
                            "relation": "HC111111",
                            "name": "测试1",
                            "className": "rd-dept",
                            "mobile": "111****1112",
                            "outs": 0
                        },
                        {
                            "uid": "HC111113",
                            "relation": "HC333333",
                            "name": "测试157",
                            "className": "rd-dept",
                            "mobile": "111****1113",
                            "outs": 0
                        }
                    ]

                        },
                        {
                            "uid": "HC111113",
                            "relation": "HC333333",
                            "name": "测试157",
                            "className": "rd-dept",
                            "mobile": "111****1113",
                            "outs": 0,
 "children": [
                        {
                            "uid": "HC111112",
                            "relation": "HC111111",
                            "name": "测试1",
                            "className": "rd-dept",
                            "mobile": "111****1112",
                            "outs": 0
                        },
                        {
                            "uid": "HC111113",
                            "relation": "HC333333",
                            "name": "测试157",
                            "className": "rd-dept",
                            "mobile": "111****1113",
                            "outs": 0
                        }
                    ]
                        }
                    ]
                },
                {
                    "uid": "HC222222",
                    "relation": "HC333333",
                    "name": "小二",
                    "className": "pipeline1",
                    "mobile": "122****2222",
                    "outs": 0,
                    "children": [
                        {
                            "uid": "HC111114",
                            "relation": "HC222222",
                            "name": "小师",
                            "className": "rd-dept",
                            "mobile": "111****1114",
                            "outs": 0,
 "children": [
                        {
                            "uid": "HC111114",
                            "relation": "HC222222",
                            "name": "小师",
                            "className": "rd-dept",
                            "mobile": "111****1114",
                            "outs": 0
                        },
                        {
                            "uid": "HC111115",
                            "relation": "HC222222",
                            "className": "rd-dept",
                            "name": null,
                            "mobile": "111****1115",
                            "outs": 0
                        }
                    ]
                        },
                        {
                            "uid": "HC111115",
                            "relation": "HC222222",
                            "className": "rd-dept",
                            "name": null,
                            "mobile": "111****1115",
                            "outs": 0,
 "children": [
                        {
                            "uid": "HC111114",
                            "relation": "HC222222",
                            "name": "小师",
                            "className": "rd-dept",
                            "mobile": "111****1114",
                            "outs": 0
                        },
                        {
                            "uid": "HC111115",
                            "relation": "HC222222",
                            "className": "rd-depts",
                            "name": null,
                            "mobile": "111****1115",
                            "outs": 0
                        }
                    ]
                        }
                    ]
                }
            ]
        }
    ]
}
                        $('#chart-container').orgchart({
                          'data': this.arr,                          						
                            'depth': 4,
                            'nodeTemplate': function (data) {
                                return '<div class="name"><span>姓名：</span>' + data.name + '</div><div class="mobile"><span>电话：</span>' + data.mobile + '</div><div class="id"><span>ID：</span>' + data.uid + '</div><div class="relation"><span>推荐人ID：</span>' + data.relation + '</div><div class="outs"><span>出局次数：</span>' + data.outs + '</div>';
                            },
                        });
                        $('.orgchart ').addClass('noncollapsable');
                        $('.content').show()

                    }
                })
            }else if (res.code == 1) {
                $('.conactive').show()
            }
        })
    }
</script>
</body>

</html>
