/*
Navicat MySQL Data Transfer

Source Server         : 120.55.189.134
Source Server Version : 50642
Source Host           : 120.55.189.134:3306
Source Database       : buycar

Target Server Type    : MYSQL
Target Server Version : 50642
File Encoding         : 65001

Date: 2019-01-09 15:43:49
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for `car_address`
-- ----------------------------
DROP TABLE IF EXISTS `car_address`;
CREATE TABLE `car_address` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '联系地址id',
  `uid` int(10) unsigned NOT NULL COMMENT '用户id',
  `area` varchar(150) NOT NULL COMMENT '区域',
  `address` varchar(255) NOT NULL COMMENT '详细地址',
  `link_name` varchar(20) NOT NULL COMMENT '联系人',
  `link_mobile` char(11) NOT NULL COMMENT '联系手机号',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '是否启用，0启用，9禁用',
  `is_default` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '是否默认,0非默认，1默认',
  `created_at` int(11) unsigned NOT NULL DEFAULT '0',
  `updated_at` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='地址表';

-- ----------------------------
-- Records of car_address
-- ----------------------------

-- ----------------------------
-- Table structure for `car_announcement`
-- ----------------------------
DROP TABLE IF EXISTS `car_announcement`;
CREATE TABLE `car_announcement` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '公告id',
  `title` varchar(255) NOT NULL COMMENT '标题',
  `remark` text NOT NULL COMMENT '描述',
  `thumb` varchar(100) DEFAULT '',
  `content` longtext NOT NULL COMMENT '内容',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '状态，1启用，9禁用',
  `type` smallint(3) unsigned NOT NULL DEFAULT '1' COMMENT '类型，1系统，2游戏，3帮助中心',
  `heat` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '热度状态',
  `created_at` int(11) unsigned NOT NULL DEFAULT '0',
  `updated_at` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='公告表';

-- ----------------------------
-- Records of car_announcement
-- ----------------------------

-- ----------------------------
-- Table structure for `car_article_category`
-- ----------------------------
DROP TABLE IF EXISTS `car_article_category`;
CREATE TABLE `car_article_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '上级ID',
  `title` varchar(255) NOT NULL COMMENT '分类名称',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '状态0显示9隐藏',
  `sort` int(11) unsigned NOT NULL DEFAULT '1' COMMENT '排序',
  `icon` varchar(255) NOT NULL DEFAULT '0' COMMENT '分类图标',
  `remark` varchar(150) DEFAULT '' COMMENT '备注',
  `created_at` int(11) unsigned NOT NULL DEFAULT '0',
  `updated_at` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8 COMMENT='文章类别表';

-- ----------------------------
-- Records of car_article_category
-- ----------------------------
INSERT INTO `car_article_category` VALUES ('26', '0', '超市分类', '0', '1', '0', '超市分类', '1511253153', '1511253153');
INSERT INTO `car_article_category` VALUES ('29', '0', '资讯', '9', '1', '0', '资讯', '1511605317', '1515643480');
INSERT INTO `car_article_category` VALUES ('31', '0', '首页欢迎页', '0', '1', '0', '首页欢迎页', '1513163594', '1513163594');

-- ----------------------------
-- Table structure for `car_article_list`
-- ----------------------------
DROP TABLE IF EXISTS `car_article_list`;
CREATE TABLE `car_article_list` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL COMMENT '文章标题',
  `pic` varchar(255) DEFAULT '',
  `content` text COMMENT '文章内容',
  `excerpt` text COMMENT '文章摘要',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '状态，0已审核，9未审核',
  `hits` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '点击量',
  `created_at` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '创建时间',
  `updated_at` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '修改时间',
  `article_url` varchar(255) DEFAULT '',
  `sort` int(11) unsigned DEFAULT '0' COMMENT '排序',
  `cid` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='文章列表';

-- ----------------------------
-- Records of car_article_list
-- ----------------------------

-- ----------------------------
-- Table structure for `car_bankcard`
-- ----------------------------
DROP TABLE IF EXISTS `car_bankcard`;
CREATE TABLE `car_bankcard` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `uid` int(11) unsigned NOT NULL COMMENT '用户ID',
  `bank` varchar(100) DEFAULT '' COMMENT '银行',
  `card_name` varchar(100) NOT NULL COMMENT '持卡人姓名',
  `card_num` bigint(20) unsigned NOT NULL COMMENT '银行卡号',
  `card_type` smallint(5) NOT NULL DEFAULT '1' COMMENT '银行卡类型',
  `province` varchar(50) DEFAULT '' COMMENT '开户省行',
  `city` varchar(50) DEFAULT '' COMMENT '开户市行',
  `county` varchar(50) DEFAULT '' COMMENT '开户支行',
  `reserved_mobile` char(11) DEFAULT '' COMMENT '预留手机号',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '状态(0删除1显示)',
  `created_at` int(11) unsigned NOT NULL DEFAULT '0',
  `updated_at` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='银行卡表';

-- ----------------------------
-- Records of car_bankcard
-- ----------------------------
INSERT INTO `car_bankcard` VALUES ('1', '1', '工商', '小莜', '6228481261854627', '1', '', '', '北京', '', '0', '1537171118', '1537171118');

-- ----------------------------
-- Table structure for `car_config`
-- ----------------------------
DROP TABLE IF EXISTS `car_config`;
CREATE TABLE `car_config` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '配置ID',
  `name` varchar(50) NOT NULL COMMENT '配置标识键',
  `type` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '配置类型',
  `title` varchar(50) NOT NULL COMMENT '配置标题',
  `value` text NOT NULL COMMENT '配置值',
  `group` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '配置分组',
  `extra` varchar(255) NOT NULL COMMENT '配置项',
  `remark` varchar(255) NOT NULL COMMENT '配置说明',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '状态，1显示，0隐藏',
  `sort` smallint(3) unsigned DEFAULT '0' COMMENT '排序',
  `updated_at` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '修改时间',
  `created_at` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '创建时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=75 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of car_config
-- ----------------------------
INSERT INTO `car_config` VALUES ('1', 'CONFIG_TYPE_LIST', '7', '配置类型列表', '1:文本框\r\n2:文本域\r\n3:下拉框\r\n4:单选按钮\r\n5:图片上传\r\n6:富文本\r\n7:数组', '9', '', 'remark:主要用于数据解析和页面表单的生成', '0', '52', '1517484499', '1503042425');
INSERT INTO `car_config` VALUES ('2', 'CONFIG_GROUP_LIST', '7', '配置分组', '1:站点\r\n2:系统\r\n3:用户\r\n4:支付\r\n5:云存储\r\n6:短信接口\r\n9:其他', '9', '', 'remark:配置分组', '0', '99', '1505544583', '1503295975');
INSERT INTO `car_config` VALUES ('3', 'REPLY_LIST_ROWS', '1', '回复列表每页条数', '10', '2', '', '', '1', '123', '1505552317', '1503367926');
INSERT INTO `car_config` VALUES ('4', 'SHOW_PAGE_TRACE', '4', '是否显示页面Trace', '1', '1', '0:关闭\r\n1:开启', '是否显示页面Trace信息', '1', '12', '1513231646', '1503368237');
INSERT INTO `car_config` VALUES ('9', 'WEB_SITE_KEYWORD', '2', '网站关键字', '鸿睿博远购物积分商城', '1', '', '网站关键字，请用逗号隔开', '1', '1', '1537407799', '1503368387');
INSERT INTO `car_config` VALUES ('10', 'DOCUMENT_POSITION', '3', '文档推荐位', '0', '2', '', 'remark:文档推荐位，推荐到多个位置KEY值相加即可', '1', '3', '1505552317', '1503381918');
INSERT INTO `car_config` VALUES ('11', 'WEB_SITE_TITLE', '1', '网站标题', '鸿睿博远购物积分商城', '1', '', '网站标题', '1', '0', '1537407799', '1504235266');
INSERT INTO `car_config` VALUES ('12', 'WEB_SITE_DESCRIPTION', '2', '网站描述', '1', '1', '', '网站搜索引擎描述', '1', '2', '1505376682', '1504249126');
INSERT INTO `car_config` VALUES ('13', 'WEB_SITE_CLOSE', '4', '关闭站点', '0', '1', '0:否\r\n1:是', '站点关闭后其他用户不能访问，管理员可以正常访问', '1', '10', '1539939243', '1504249180');
INSERT INTO `car_config` VALUES ('14', 'WEB_SITE_ICP', '1', '网站备案号', '沪ICP备12007941号-2', '1', '', '设置在网站底部显示的备案号，如：沪ICP备12007941号-2', '1', '3', '1523415158', '1504249287');
INSERT INTO `car_config` VALUES ('15', 'USER_ALLOW_REGISTER', '4', '是否允许用户注册', '1', '3', '0:关闭注册\r\n1:允许注册', '是否开放用户注册', '1', '3', '1505552346', '1504249353');
INSERT INTO `car_config` VALUES ('32', 'BAIDU_BOS_BUCKET', '1', '百度对象存储', 'tanhui2', '5', '', 'Bucket名称', '1', '2', '1510314953', '1505463475');
INSERT INTO `car_config` VALUES ('21', 'ADMIN_ALLOW_IP', '2', '后台允许访问IP', '127.0.0.1', '1', '', '多个用逗号分隔，如果不配置表示不限制IP访问', '1', '12', '1536024634', '1504663121');
INSERT INTO `car_config` VALUES ('25', 'Trade_Dayliydata', '7', '大盘交易', 'OpeningPrice:120,ClosingPrice:120,HightstPice:150,LowestPrice:50', '3', '', 'OpeningPrice:开盘价\r\nClosingPrice:收盘价\r\nHightstPice:最高价\r\nLowestPrice:最低价', '1', '12', '1518268981', '1504772727');
INSERT INTO `car_config` VALUES ('23', 'WEB_SITE_CLOSE_REASON', '2', '关闭原因', '测试关闭', '1', '', '网站关闭原因', '0', '11', '1536887616', '1504681231');
INSERT INTO `car_config` VALUES ('28', 'MESSAGE_API_USERNAME', '1', '短信签名', '百望商城', '6', '', '短信API账号', '1', '0', '1537408347', '1505297484');
INSERT INTO `car_config` VALUES ('30', 'TRADE_DAYLIDATE', '7', '交易数据', 'OpeningPrice:120\nClosingPrice:120\nHightstPice:150\nLowestPrice:50\nRise:0.5\nFall:0.5\nbuyfee:0.01\nsellfee:0.01\nPrice:0.15', '2', '', 'OpeningPrice:开盘价格\r\nClosingPrice:收盘价格\r\nHightstPice:最高价\r\nLowestPrice:最低价\r\nbuyfee:购买手续费\r\nsellfee:出售手续费\r\nPrice:初始价格', '1', '13', '1505554165', '1505396273');
INSERT INTO `car_config` VALUES ('37', 'MESSAGE_API_PWD', '1', '短信API密码', 'a9PwGcN2ML0Fh58eXEsYn3vQdtqV0O', '6', '', '短信API密码', '1', '0', '1537408347', '1505534751');
INSERT INTO `car_config` VALUES ('35', 'RECHARGE_AMOUNT', '7', '充值金额', '1:100\r\n2:300\r\n3:500\r\n4:1000', '4', '', '充值金额', '1', '0', '1513416368', '1505465435');
INSERT INTO `car_config` VALUES ('36', 'BAIDU_BOS_HOST', '1', '对象存储域名', 'http://tanhui2.bj.bcebos.com', '5', '', '', '1', '3', '1510311170', '1505465522');
INSERT INTO `car_config` VALUES ('38', 'INTEGRAL_CREDIT', '7', '积分兑换比例', '1:1', '9', '', '用来设置用户购买商品增加的积分比率', '1', '0', '1505546479', '1505546479');
INSERT INTO `car_config` VALUES ('39', 'QUERY_GOODS_LIST', '7', '商品查询筛选', 'id:ID\r\ncid:分类ID\r\ntitle:商品名称', '9', '', '商品查询筛选', '0', '0', '1506410083', '1506409579');
INSERT INTO `car_config` VALUES ('40', 'QUERY_MESSAGE', '7', '提现类型', '1:银行卡\r\n2:零钱', '9', '', '提现类型', '0', '0', '1517477051', '1506411567');
INSERT INTO `car_config` VALUES ('69', 'QUERY_STATUS', '7', '查询状态', '1:待审核\r\n2:已完成', '2', '', '查询状态', '1', '0', '1517478175', '1517478175');
INSERT INTO `car_config` VALUES ('41', 'SENT_ORDER_TRANSFER_FEE', '1', '订单转让费用', '0.1', '4', '', '订单转让费用（从0-1）', '1', '0', '1506654829', '1506654829');
INSERT INTO `car_config` VALUES ('42', 'SYSTEM_API_SECRET', '1', '系统公用密钥', '77A774A840456FEFA00C3EF074456C6C', '4', '', '系统公用密钥', '1', '0', '1506762068', '1506762068');
INSERT INTO `car_config` VALUES ('43', 'CARD_ROUND', '6', '房卡兑换圈数', '10', '9', '', '用来设置房卡兑换圈数', '1', '0', '1510990417', '1510989766');
INSERT INTO `car_config` VALUES ('44', 'USER_ADMINISTRATORS', '7', '超级管理员', '0:admin\r\n1:root', '3', '', '超级管理员', '0', '0', '1511170336', '1511170336');
INSERT INTO `car_config` VALUES ('45', 'SYSTEM_ADMIN_ROLE_DEFAULT', '1', '系统用户默认角色', '文章管理员', '3', '', '系统用户默认角色', '1', '0', '1511170368', '1511170368');
INSERT INTO `car_config` VALUES ('47', 'WITHDRAW_TIME', '4', '提现状态', '1', '4', '0:关闭\r\n1:开启', '提现状态', '1', '0', '1512031159', '1512030969');
INSERT INTO `car_config` VALUES ('48', 'CONSUMPTION_LEVEL', '7', '合伙人级别金额', '11:1000000\r\n12:800000\r\n13:600000\r\n21:400000\r\n22:300000\r\n23:200000\r\n31:100000\r\n32:60000\r\n33:40000', '3', '', '合伙人级别金额', '0', '0', '1514649604', '1512973902');
INSERT INTO `car_config` VALUES ('49', 'INTEGRAL_CONVERT_RATE', '1', '积分兑换比率', '1', '3', '', '积分兑换比率', '1', '0', '1513128864', '1513063360');
INSERT INTO `car_config` VALUES ('50', 'INTEGRAL_EXTRACT_FEE', '1', '积分提取手续费', '-0.5', '4', '', '积分提取手续费', '1', '0', '1536024854', '1513064893');
INSERT INTO `car_config` VALUES ('60', 'BANK_NAME', '1', '唯一银行名称', '中国工商银行', '4', '', '唯一银行名称', '1', '0', '1536025147', '1513390769');
INSERT INTO `car_config` VALUES ('61', 'CONFIG_AGREE', '7', '协议', '5:注册协议\r\n10:代理申请协议\r\n11:报单中心申请协议\r\n12:联系我们', '3', '', '', '0', '0', '1517451015', '1513391620');
INSERT INTO `car_config` VALUES ('52', 'DOMAIN_NAME', '1', '网站域名', 'http://car.weiyuntop.com', '2', '', 'remark:网站域名', '1', '0', '1513251697', '1513215401');
INSERT INTO `car_config` VALUES ('53', 'VOLUNTEER_APPLY_LEVEL', '7', '志愿者级别', '1:1000\r\n2:3000\r\n3:5000\r\n4:7000\r\n5:10000\r\n6:12000', '3', '', '志愿者级别', '0', '0', '1513422528', '1513223198');
INSERT INTO `car_config` VALUES ('54', 'ALIPAY_ACCOUNT', '1', '收款支付宝账户', 'dsh66516@163.com', '4', '', '收款支付宝账户', '1', '1', '1514636267', '1513231434');
INSERT INTO `car_config` VALUES ('55', 'ALIPAY_IDENTITY', '1', '支付宝合伙人身份', '2088821686356357', '4', '', '支付宝合伙人身份', '1', '1', '1514636252', '1513231502');
INSERT INTO `car_config` VALUES ('56', 'ALIPAY_KEY', '1', '支付宝支付效验秘钥', 'j6r3pcwscdciw0hx8fldqh65gsh4sf9w', '4', '', '支付宝支付效验秘钥', '1', '1', '1514636278', '1513231584');
INSERT INTO `car_config` VALUES ('57', 'VOLUNTEER_APPLY_NAME', '7', '志愿者名称', '1:志愿者一级\r\n2:志愿者二级\r\n3:志愿者三级\r\n4:志愿者四级\r\n5:志愿者五级\r\n6:志愿者六级', '3', '', '志愿者名称', '0', '0', '1514368466', '1513237556');
INSERT INTO `car_config` VALUES ('58', 'CONSUMPTION_NAME_LEVEL', '7', '合伙人等级', '1:一级\r\n2:二级\r\n3:三级', '3', '', '合伙人等级', '0', '0', '1514649579', '1513324166');
INSERT INTO `car_config` VALUES ('59', 'CONSUMPTION_NAME', '7', '合伙人名称', '1:省级\r\n2:市级\r\n3:区县级', '3', '', '合伙人名称', '0', '0', '1514649585', '1513324261');
INSERT INTO `car_config` VALUES ('62', 'LIBERATED_INTEGRAL_AGREE', '7', '已释放积分说明', '1:消费积分的每笔将会在%个工作日后，开始释放\r\n2:分红积分的每笔将会在%个工作日后，开始释放\r\n3:推广积分的每笔将会在%个工作日后，开始释放\r\n4:分销积分的每笔将会在%个工作日后，开始释放\r\n5:推广积分的每笔将会在%个工作日后，开始释放\r\n6:志愿者积分的每笔将会在%个工作日后，开始释放\r\n7:合伙人积分的每笔将会在%个工作日后，开始释放', '3', '', '已释放积分说明', '0', '0', '1515122716', '1513407445');
INSERT INTO `car_config` VALUES ('63', 'WECHAT_APP_ID', '1', '微信支付ID', '1494461832', '4', '', '微信支付ID', '1', '2', '1513749718', '1513733825');
INSERT INTO `car_config` VALUES ('64', 'WECHAT_APP_SECRET', '1', '微信应用秘钥', 'a1b4c9d44e1g8t3w2r8t6y5u6i2o7k3f', '4', '', '微信应用秘钥', '1', '2', '1514643942', '1513733935');
INSERT INTO `car_config` VALUES ('65', 'WECHAT_APP_CERTIFICATE', '1', '微信支付证书', '0', '4', '', '微信支付证书', '1', '2', '1513734679', '1513734189');
INSERT INTO `car_config` VALUES ('66', 'ALIPAY_CERTIFICATE', '1', '支付宝支付证书', '0', '4', '', '支付宝支付证书', '1', '1', '1513734671', '1513734542');
INSERT INTO `car_config` VALUES ('67', 'MESSAGE_API_USERID', '1', '短信API账号', 'alidayuMessage', '6', '', '短信API账号', '1', '0', '1537857817', '1517023439');
INSERT INTO `car_config` VALUES ('68', 'MESSAGE_API_ACCOUNT', '1', '短信账号', 'LTAIJr8wMKLD4HHs', '6', '', '阿里大鱼账号', '1', '0', '1537408347', '1517023492');
INSERT INTO `car_config` VALUES ('70', 'LOWEST_POINTS', '1', '购车最低积分', '16000', '1', '', '', '1', '0', '1517495729', '1517495729');
INSERT INTO `car_config` VALUES ('71', 'TUPIANSHANGCHUAN', '5', 'TUPIANSHANGCHUAN', 'PHP', '1', 'PHP', 'PHP', '1', '0', '1531167668', '1531167668');
INSERT INTO `car_config` VALUES ('72', 'IS_ACTIVE', '1', '活动开始', '1', '2', '', '一推八活动是否开启,值为1时表示开启', '1', '0', '1544575713', '1544515462');
INSERT INTO `car_config` VALUES ('73', 'ACTIVE_NUMS', '1', '活动的达标人数', '2', '2', '', '该配置意在人数在默认满15人的情况下人数可以随意设置', '1', '0', '1544575730', '1544521273');
INSERT INTO `car_config` VALUES ('74', 'IS_STATUS', '6', '项目状态', '0', '2', '<div style=\"margin:0 auto;text-align:center;\"><h1>系统维护,稍后重试</h1></div>', '用于系统维护时的对用户的提示', '1', '0', '1545359524', '1545358172');

-- ----------------------------
-- Table structure for `car_custom`
-- ----------------------------
DROP TABLE IF EXISTS `car_custom`;
CREATE TABLE `car_custom` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) unsigned NOT NULL,
  `name` varchar(255) NOT NULL,
  `mobile` varchar(11) NOT NULL,
  `model` varchar(20) NOT NULL COMMENT '车型',
  `color` varchar(10) NOT NULL COMMENT '颜色',
  `remark` text NOT NULL COMMENT '备注',
  `created_at` int(11) NOT NULL,
  `updated_at` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='定制车型';

-- ----------------------------
-- Records of car_custom
-- ----------------------------

-- ----------------------------
-- Table structure for `car_distribution_config`
-- ----------------------------
DROP TABLE IF EXISTS `car_distribution_config`;
CREATE TABLE `car_distribution_config` (
  `name` varchar(255) NOT NULL COMMENT '配置名',
  `value` text COMMENT '配置值',
  `updated_at` int(11) unsigned DEFAULT '0' COMMENT '更新时间',
  `created_at` int(11) unsigned DEFAULT '0' COMMENT '创建时间',
  PRIMARY KEY (`name`) USING BTREE,
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='分销配置';

-- ----------------------------
-- Records of car_distribution_config
-- ----------------------------
INSERT INTO `car_distribution_config` VALUES ('bonus', '{\"sign\":{\"award\":{\"1\":{\"goodsId\":\"5\",\"num\":\"2\"},\"2\":{\"goodsId\":\"\",\"num\":\"\"},\"3\":{\"goodsId\":\"\",\"num\":\"\"}},\"switch\":\"1\"},\"novice\":{\"award\":{\"1\":{\"goodsId\":\"7\",\"num\":\"1\"},\"2\":{\"goodsId\":\"\",\"num\":\"1\"},\"3\":{\"goodsId\":\"\",\"num\":\"\"}},\"switch\":\"1\"}}', '1508989525', '1508417355');
INSERT INTO `car_distribution_config` VALUES ('consumption', '{\"isMoney\":\"0\",\"returnConsum\":\"50\",\"withdrfee\":\"10\",\"exchangefee\":\"6\",\"exchangevol\":\"10\",\"impose\":\"3\",\"consumptionRatio\":\"4\",\"rechargeback\":{\"1\":{\"money\":\"500\",\"num\":\"100\"},\"2\":{\"money\":\"800\",\"num\":\"100\"},\"3\":{\"money\":\"1000\",\"num\":\"100\"}},\"level\":{\"1\":{\"num\":\"40\",\"ratio\":\"5\"},\"2\":{\"num\":\"100\",\"ratio\":\"10\"},\"3\":{\"num\":\"500\",\"ratio\":\"15\"},\"4\":{\"num\":\"1000\",\"ratio\":\"20\"},\"5\":{\"num\":\"5000\",\"ratio\":\"23\"},\"6\":{\"num\":\"10000\",\"ratio\":\"26\"},\"7\":{\"num\":\"20000\",\"ratio\":\"30\"},\"8\":{\"num\":\"50000\",\"ratio\":\"33\"},\"9\":{\"num\":\"100000\",\"ratio\":\"36\"},\"10\":{\"num\":\"200000\",\"ratio\":\"39\"},\"11\":{\"num\":\"500000\",\"ratio\":\"42\"},\"12\":{\"num\":\"1000000\",\"ratio\":\"45\"},\"13\":{\"num\":\"2000000\",\"ratio\":\"50\"},\"14\":{\"num\":\"5000000\",\"ratio\":\"53\"},\"15\":{\"num\":\"10000000\",\"ratio\":\"56\"},\"16\":{\"num\":\"20000000\",\"ratio\":\"59\"},\"17\":{\"num\":\"30000000\",\"ratio\":\"62\"},\"18\":{\"num\":\"40000000\",\"ratio\":\"65\"},\"19\":{\"num\":\"50000000\",\"ratio\":\"68\"},\"20\":{\"num\":\"60000000\",\"ratio\":\"70\"},\"21\":{\"num\":\"70000000\",\"ratio\":\"72\"},\"22\":{\"num\":\"80000000\",\"ratio\":\"74\"},\"23\":{\"num\":\"90000000\",\"ratio\":\"76\"},\"24\":{\"num\":\"100000000\",\"ratio\":\"78\"},\"25\":{\"num\":\"200000000\",\"ratio\":\"80\"},\"26\":{\"num\":\"300000000\",\"ratio\":\"82\"},\"27\":{\"num\":\"400000000\",\"ratio\":\"84\"},\"28\":{\"num\":\"500000000\",\"ratio\":\"86\"},\"29\":{\"num\":\"600000000\",\"ratio\":\"88\"},\"30\":{\"num\":\"700000000\",\"ratio\":\"90\"},\"31\":{\"num\":\"800000000\",\"ratio\":\"95\"},\"32\":{\"num\":\"1000000000\",\"ratio\":\"100\"}}}', '1515724709', '1507604602');
INSERT INTO `car_distribution_config` VALUES ('department', '{\"isMoney\":\"1\",\"withdrfee\":\"3\",\"exchangefee\":\"1\",\"exchangevol\":\"1\",\"money\":\"80\"}', '1515488982', '1508417861');
INSERT INTO `car_distribution_config` VALUES ('distribution', '{\"prove\":{\"zTimes\":\"100\",\"zMin\":\"400\",\"effectiveDay\":\"0.01\",\"sRate\":\"5\",\"tRate\":\"65\",\"gRate\":\"30\"},\"withdraw\":{\"cRate\":\"100\",\"cTimes\":\"100\",\"cMin\":\"500\"}}', '1508558578', '1508134790');
INSERT INTO `car_distribution_config` VALUES ('extension', '{\"switch\":\"1\",\"consume\":\"99\",\"freeNum\":\"1\",\"award\":[{\"id\":\"1\",\"goods_id\":\"9\",\"type\":\"goods\",\"title\":\"除草剂\",\"num\":\"1\",\"v\":\"1\"},{\"id\":\"2\",\"goods_id\":\"7\",\"type\":\"goods\",\"title\":\"铁铲\",\"num\":\"1\",\"v\":\"1\"},{\"id\":\"3\",\"goods_id\":\"16\",\"type\":\"goods\",\"title\":\"银宝箱\",\"num\":\"1\",\"v\":\"1\"},{\"id\":\"4\",\"goods_id\":\"10\",\"type\":\"goods\",\"title\":\"金宝箱\",\"num\":\"1\",\"v\":\"1\"},{\"id\":\"5\",\"goods_id\":\"12\",\"type\":\"goods\",\"title\":\"低级狗粮\",\"num\":\"1\",\"v\":\"1\"},{\"id\":\"6\",\"goods_id\":\"0\",\"type\":\"addTH\",\"title\":\"碳汇\",\"num\":\"1\",\"v\":\"1\"},{\"id\":\"7\",\"goods_id\":\"8\",\"type\":\"goods\",\"title\":\"浇水壶\",\"num\":\"1\",\"v\":\"1\"},{\"id\":\"8\",\"goods_id\":\"5\",\"type\":\"goods\",\"title\":\"化肥\",\"num\":\"1\",\"v\":\"1\"},{\"id\":\"9\",\"goods_id\":\"6\",\"type\":\"goods\",\"title\":\"阳光增强器\",\"num\":\"1\",\"v\":\"1\"},{\"id\":\"10\",\"goods_id\":\"0\",\"type\":\"addCB\",\"title\":\"C贝\",\"num\":\"2\",\"v\":\"1\"},{\"id\":\"11\",\"goods_id\":\"0\",\"type\":\"addCB\",\"title\":\"C贝\",\"num\":\"80\",\"v\":\"1\"},{\"id\":\"12\",\"goods_id\":\"0\",\"type\":\"addCB\",\"title\":\"C贝\",\"num\":\"1200\",\"v\":\"1\"}]}', '1508554813', '1508548171');
INSERT INTO `car_distribution_config` VALUES ('index', '{\"consump\":{\"prize\":\"0\",\"onepeople\":\"0\",\"twopeople\":\"0\",\"advance\":\"0\",\"investment\":\"0\",\"member\":\"0\",\"reportout\":\"0\",\"sales_award\":\"0\"}}', '1536632130', '1513740170');
INSERT INTO `car_distribution_config` VALUES ('partner', '{\"isMoney\":\"1\",\"impose\":\"1\",\"returnConsum\":\"100\",\"withdrfee\":\"10\",\"exchangefee\":\"6\",\"exchangevol\":\"5\",\"consumptionRatio\":\"1\",\"ratio\":{\"1\":\"100\",\"2\":\"80\",\"3\":\"50\"},\"level\":{\"11\":{\"ratio\":\"25\",\"money\":\"1000000\",\"num\":\"1\"},\"12\":{\"ratio\":\"25\",\"money\":\"800000\",\"num\":\"10\"},\"13\":{\"ratio\":\"50\",\"money\":\"600000\",\"num\":\"100\"},\"21\":{\"ratio\":\"16\",\"money\":\"400000\",\"num\":\"1\"},\"22\":{\"ratio\":\"16\",\"money\":\"200000\",\"num\":\"10\"},\"23\":{\"ratio\":\"66\",\"money\":\"100000\",\"num\":\"100\"},\"31\":{\"ratio\":\"20\",\"money\":\"80000\",\"num\":\"1\"},\"32\":{\"ratio\":\"20\",\"money\":\"60000\",\"num\":\"10\"},\"33\":{\"ratio\":\"60\",\"money\":\"40000\",\"num\":\"100\"}}}', '1515490058', '1513757516');
INSERT INTO `car_distribution_config` VALUES ('volunteer', '{\"isMoney\":\"1\",\"returnConsum\":\"90\",\"rechargecolumn\":\"900\",\"withdrfee\":\"6\",\"exchangefee\":\"13\",\"exchangevol\":\"12\",\"consumRatio\":\"1\",\"consumptionRatio\":\"100\",\"generalize\":\"3000\",\"level\":{\"1\":{\"shop\":\"0\",\"consume\":\"3\",\"money\":\"200\"},\"2\":{\"shop\":\"0\",\"consume\":\"4\",\"money\":\"500\"},\"3\":{\"shop\":\"0\",\"consume\":\"5\",\"money\":\"5000\"},\"4\":{\"shop\":\"1\",\"consume\":\"6\",\"money\":\"10000\"},\"5\":{\"shop\":\"2\",\"consume\":\"7\",\"money\":\"20000\"},\"6\":{\"shop\":\"3\",\"consume\":\"8\",\"money\":\"50000\"}}}', '1515982336', '1513755326');

-- ----------------------------
-- Table structure for `car_group`
-- ----------------------------
DROP TABLE IF EXISTS `car_group`;
CREATE TABLE `car_group` (
  `id` bigint(255) unsigned NOT NULL AUTO_INCREMENT,
  `realname` varchar(24) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '用户姓名',
  `uid` bigint(255) NOT NULL DEFAULT '0' COMMENT '用户id',
  `mobile` varchar(12) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '0' COMMENT '手机号',
  `idcard` int(20) DEFAULT '0',
  `bank_card` varchar(20) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT '' COMMENT '银行卡号',
  `bank_address` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT '' COMMENT '银行地址',
  `report_price` float(20,2) DEFAULT '0.00' COMMENT '报单价格',
  `report` tinyint(2) DEFAULT '0' COMMENT '是否是借款保单中心 0:否 1:是',
  `gender` enum('1','3','2') CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT '3' COMMENT '性别',
  `lv` tinyint(10) DEFAULT '0' COMMENT '职务',
  `pid` bigint(20) DEFAULT '0' COMMENT '董事长id',
  `createtime` int(15) DEFAULT NULL COMMENT '添加时间',
  PRIMARY KEY (`id`),
  KEY `group_mobile` (`mobile`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='每个组的股东表';

-- ----------------------------
-- Records of car_group
-- ----------------------------

-- ----------------------------
-- Table structure for `car_integral_release`
-- ----------------------------
DROP TABLE IF EXISTS `car_integral_release`;
CREATE TABLE `car_integral_release` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `report_id` int(11) unsigned DEFAULT '0' COMMENT '报单中心UID',
  `uid` int(11) unsigned NOT NULL COMMENT '用户ID',
  `type` tinyint(1) unsigned NOT NULL COMMENT '1会员报单奖,2推荐奖,3出局奖',
  `price` decimal(12,2) unsigned NOT NULL DEFAULT '0.00' COMMENT '赠送金额',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '状态',
  `created_at` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '创建时间',
  `updated_at` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`),
  KEY `type` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='出局记录表';

-- ----------------------------
-- Records of car_integral_release
-- ----------------------------
INSERT INTO `car_integral_release` VALUES ('1', '4', '109', '1', '0.00', '1', '1546498413', '1546498413');
INSERT INTO `car_integral_release` VALUES ('2', '3', '1251', '1', '0.00', '1', '1546937299', '1546937299');
INSERT INTO `car_integral_release` VALUES ('3', '13', '1332', '1', '0.00', '1', '1546940575', '1546940575');

-- ----------------------------
-- Table structure for `car_manager_log`
-- ----------------------------
DROP TABLE IF EXISTS `car_manager_log`;
CREATE TABLE `car_manager_log` (
  `id` int(255) unsigned NOT NULL AUTO_INCREMENT,
  `operate` text CHARACTER SET utf8 COLLATE utf8_unicode_ci COMMENT '操作内容',
  `uid` int(255) NOT NULL DEFAULT '0' COMMENT '用户id',
  `ip` int(9) NOT NULL DEFAULT '0' COMMENT '操作ip',
  `create_at` int(11) DEFAULT '0' COMMENT '操作时间',
  `params` text CHARACTER SET utf8 COLLATE utf8_unicode_ci COMMENT '操作参数',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=344 DEFAULT CHARSET=utf8 COMMENT='管理员操作日志';

-- ----------------------------
-- Records of car_manager_log
-- ----------------------------
INSERT INTO `car_manager_log` VALUES ('1', '添加名为崔萍销售中心成功', '1', '1875801365', '1545878731', null);
INSERT INTO `car_manager_log` VALUES ('2', '添加名为黄渊龙销售中心成功', '1', '1875801365', '1545878786', null);
INSERT INTO `car_manager_log` VALUES ('3', '添加名为钟春花销售中心成功', '1', '1875801365', '1545878858', null);
INSERT INTO `car_manager_log` VALUES ('4', '添加名为何莉华销售中心成功', '1', '1875801365', '1545879057', null);
INSERT INTO `car_manager_log` VALUES ('5', '添加名为王林销售中心成功', '1', '1875801365', '1545879154', null);
INSERT INTO `car_manager_log` VALUES ('6', '添加名为唐春梅销售中心成功', '1', '1875801365', '1545879188', null);
INSERT INTO `car_manager_log` VALUES ('7', '添加名为陈凤英销售中心成功', '1', '1875801365', '1545879222', null);
INSERT INTO `car_manager_log` VALUES ('8', '添加名为唐松群销售中心成功', '1', '1875801365', '1545879253', null);
INSERT INTO `car_manager_log` VALUES ('9', '添加名为李术和销售中心成功', '1', '1875801365', '1545879271', null);
INSERT INTO `car_manager_log` VALUES ('10', '添加名为杨朝均销售中心成功', '1', '1875801365', '1545879291', null);
INSERT INTO `car_manager_log` VALUES ('11', '添加名为颜雪娥销售中心成功', '1', '1875801365', '1545879317', null);
INSERT INTO `car_manager_log` VALUES ('12', '添加名为陈连武销售中心成功', '1', '1875801365', '1545879346', null);
INSERT INTO `car_manager_log` VALUES ('13', '添加名为敬春华销售中心成功', '1', '1875801365', '1545879381', null);
INSERT INTO `car_manager_log` VALUES ('14', '添加名为杜九君销售中心成功', '1', '1875801365', '1545879398', null);
INSERT INTO `car_manager_log` VALUES ('15', '添加名为李伟销售中心成功', '1', '1875801365', '1545879421', null);
INSERT INTO `car_manager_log` VALUES ('16', '添加名为曹兴龙销售中心成功', '1', '1875801365', '1545879443', null);
INSERT INTO `car_manager_log` VALUES ('17', '添加名为罗小云销售中心成功', '1', '1875801365', '1545879477', null);
INSERT INTO `car_manager_log` VALUES ('18', '添加名为唐华丽销售中心成功', '1', '1875801365', '1545879500', null);
INSERT INTO `car_manager_log` VALUES ('19', '添加名为于兴次销售中心成功', '1', '1875801365', '1545879524', null);
INSERT INTO `car_manager_log` VALUES ('20', '添加名为胡长勇销售中心成功', '1', '1875801365', '1545879615', null);
INSERT INTO `car_manager_log` VALUES ('21', '添加名为邱伟江销售中心成功', '1', '1875801365', '1545879637', null);
INSERT INTO `car_manager_log` VALUES ('22', '添加名为张尧磊销售中心成功', '1', '1875801365', '1545879656', null);
INSERT INTO `car_manager_log` VALUES ('23', '添加名为谭成武销售中心成功', '1', '1875801365', '1545879680', null);
INSERT INTO `car_manager_log` VALUES ('24', '添加名为李国顺销售中心成功', '1', '1875801365', '1545879704', null);
INSERT INTO `car_manager_log` VALUES ('25', '添加名为付敏销售中心成功', '1', '1875801365', '1545879728', null);
INSERT INTO `car_manager_log` VALUES ('26', '添加名为冯安涛销售中心成功', '1', '1875801365', '1545879748', null);
INSERT INTO `car_manager_log` VALUES ('27', '添加名为邓稳固销售中心成功', '1', '1875801365', '1545879768', null);
INSERT INTO `car_manager_log` VALUES ('28', '添加名为苏银平销售中心成功', '1', '1875801365', '1545879810', null);
INSERT INTO `car_manager_log` VALUES ('29', '添加名为崔萍销售中心成功', '1', '1875801365', '1545880757', null);
INSERT INTO `car_manager_log` VALUES ('30', '添加名为黄渊龙销售中心成功', '1', '1875801365', '1545880788', null);
INSERT INTO `car_manager_log` VALUES ('31', '添加名为钟春花销售中心成功', '1', '1875801365', '1545880809', null);
INSERT INTO `car_manager_log` VALUES ('32', '添加名为何莉华销售中心成功', '1', '1875801365', '1545880828', null);
INSERT INTO `car_manager_log` VALUES ('33', '添加名为王林销售中心成功', '1', '1875801365', '1545880855', null);
INSERT INTO `car_manager_log` VALUES ('34', '添加名为唐春梅销售中心成功', '1', '1875801365', '1545880874', null);
INSERT INTO `car_manager_log` VALUES ('35', '添加名为陈凤英销售中心成功', '1', '1875801365', '1545880894', null);
INSERT INTO `car_manager_log` VALUES ('36', '添加名为唐松群销售中心成功', '1', '1875801365', '1545880967', null);
INSERT INTO `car_manager_log` VALUES ('37', '添加名为李术和销售中心成功', '1', '1875801365', '1545880994', null);
INSERT INTO `car_manager_log` VALUES ('38', '添加名为杨朝均销售中心成功', '1', '1875801365', '1545881020', null);
INSERT INTO `car_manager_log` VALUES ('39', '添加名为颜雪娥销售中心成功', '1', '1875801365', '1545881041', null);
INSERT INTO `car_manager_log` VALUES ('40', '添加名为陈连武销售中心成功', '1', '1875801365', '1545881072', null);
INSERT INTO `car_manager_log` VALUES ('41', '添加名为敬春华销售中心成功', '1', '1875801365', '1545881100', null);
INSERT INTO `car_manager_log` VALUES ('42', '添加名为杜九君销售中心成功', '1', '1875801365', '1545881123', null);
INSERT INTO `car_manager_log` VALUES ('43', '添加名为李伟销售中心成功', '1', '1875801365', '1545881148', null);
INSERT INTO `car_manager_log` VALUES ('44', '添加名为曹兴龙销售中心成功', '1', '1875801365', '1545881165', null);
INSERT INTO `car_manager_log` VALUES ('45', '添加名为罗小云销售中心成功', '1', '1875801365', '1545881192', null);
INSERT INTO `car_manager_log` VALUES ('46', '添加名为唐华丽销售中心成功', '1', '1875801365', '1545881210', null);
INSERT INTO `car_manager_log` VALUES ('47', '添加名为于兴次销售中心成功', '1', '1875801365', '1545881251', null);
INSERT INTO `car_manager_log` VALUES ('48', '添加名为胡长勇销售中心成功', '1', '1875801365', '1545881292', null);
INSERT INTO `car_manager_log` VALUES ('49', '添加名为邱伟江销售中心成功', '1', '1875801365', '1545881314', null);
INSERT INTO `car_manager_log` VALUES ('50', '添加名为张尧磊销售中心成功', '1', '1875801365', '1545881339', null);
INSERT INTO `car_manager_log` VALUES ('51', '添加名为谭成武销售中心成功', '1', '1875801365', '1545881367', null);
INSERT INTO `car_manager_log` VALUES ('52', '添加名为李国顺销售中心成功', '1', '1875801365', '1545881393', null);
INSERT INTO `car_manager_log` VALUES ('53', '添加名为付敏销售中心成功', '1', '1875801365', '1545881424', null);
INSERT INTO `car_manager_log` VALUES ('54', '添加名为冯安涛销售中心成功', '1', '1875801365', '1545881454', null);
INSERT INTO `car_manager_log` VALUES ('55', '添加名为邓稳固销售中心成功', '1', '1875801365', '1545881477', null);
INSERT INTO `car_manager_log` VALUES ('56', '添加名为苏银平销售中心成功', '1', '1875801365', '1545881514', null);
INSERT INTO `car_manager_log` VALUES ('57', '添加名为王嘉磊销售中心成功', '1', '1875801365', '1545881544', null);
INSERT INTO `car_manager_log` VALUES ('58', '添加名为陈庆喜销售中心成功', '1', '1875801365', '1545881592', null);
INSERT INTO `car_manager_log` VALUES ('59', '添加名为丘龙平销售中心成功', '1', '1875801365', '1545881612', null);
INSERT INTO `car_manager_log` VALUES ('60', '添加名为张文军销售中心成功', '1', '1875801365', '1545881633', null);
INSERT INTO `car_manager_log` VALUES ('61', '添加名为梁仲向销售中心成功', '1', '1875801365', '1545881666', null);
INSERT INTO `car_manager_log` VALUES ('62', '添加名为吴华勇销售中心成功', '1', '1875801365', '1545881685', null);
INSERT INTO `car_manager_log` VALUES ('63', '添加名为赵新华销售中心成功', '1', '1875801365', '1545881703', null);
INSERT INTO `car_manager_log` VALUES ('64', '添加名为徐颖销售中心成功', '1', '1875801365', '1545881724', null);
INSERT INTO `car_manager_log` VALUES ('65', '添加名为丘珂销售中心成功', '1', '1875801365', '1545881747', null);
INSERT INTO `car_manager_log` VALUES ('66', '添加名为常久平销售中心成功', '1', '1875801365', '1545881768', null);
INSERT INTO `car_manager_log` VALUES ('67', '添加名为温小军销售中心成功', '1', '1875801365', '1545881787', null);
INSERT INTO `car_manager_log` VALUES ('68', '添加名为任军民销售中心成功', '1', '1875801365', '1545881815', null);
INSERT INTO `car_manager_log` VALUES ('69', '添加名为任天昊销售中心成功', '1', '1875801365', '1545881839', null);
INSERT INTO `car_manager_log` VALUES ('70', '添加名为张丽芬销售中心成功', '1', '1875801365', '1545881863', null);
INSERT INTO `car_manager_log` VALUES ('71', '添加名为王丽珍销售中心成功', '1', '1875801365', '1545881883', null);
INSERT INTO `car_manager_log` VALUES ('72', '添加名为林保嫦销售中心成功', '1', '1875801365', '1545881900', null);
INSERT INTO `car_manager_log` VALUES ('73', '添加名为徐俊峰销售中心成功', '1', '1875801365', '1545881918', null);
INSERT INTO `car_manager_log` VALUES ('74', '添加名为雷刚销售中心成功', '1', '1875801365', '1545881934', null);
INSERT INTO `car_manager_log` VALUES ('75', '添加名为张肖克销售中心成功', '1', '1875801365', '1545881955', null);
INSERT INTO `car_manager_log` VALUES ('76', '添加名为具锦安销售中心成功', '1', '1875801365', '1545881974', null);
INSERT INTO `car_manager_log` VALUES ('77', '添加名为何伟荣销售中心成功', '1', '1875801365', '1545881996', null);
INSERT INTO `car_manager_log` VALUES ('78', '添加名为梁妙缘销售中心成功', '1', '1875801365', '1545882015', null);
INSERT INTO `car_manager_log` VALUES ('79', '添加名为苏小红销售中心成功', '1', '1875801365', '1545882033', null);
INSERT INTO `car_manager_log` VALUES ('80', '添加名为李庆华销售中心成功', '1', '1875801365', '1545882057', null);
INSERT INTO `car_manager_log` VALUES ('81', '添加名为苏群珍销售中心成功', '1', '1875801365', '1545882074', null);
INSERT INTO `car_manager_log` VALUES ('82', '添加名为张永胜销售中心成功', '1', '1875801365', '1545882090', null);
INSERT INTO `car_manager_log` VALUES ('83', '添加名为张永敏销售中心成功', '1', '1875801365', '1545882110', null);
INSERT INTO `car_manager_log` VALUES ('84', '添加名为张宏光销售中心成功', '1', '1875801365', '1545882126', null);
INSERT INTO `car_manager_log` VALUES ('85', '添加名为陈玉红销售中心成功', '1', '1875801365', '1545882146', null);
INSERT INTO `car_manager_log` VALUES ('86', '添加名为陆秋健销售中心成功', '1', '1875801365', '1545882173', null);
INSERT INTO `car_manager_log` VALUES ('87', '添加名为邱后诚销售中心成功', '1', '1875801365', '1545882192', null);
INSERT INTO `car_manager_log` VALUES ('88', '添加名为覃祥销售中心成功', '1', '1875801365', '1545882209', null);
INSERT INTO `car_manager_log` VALUES ('89', '添加名为王彩霞销售中心成功', '1', '1875801365', '1545882232', null);
INSERT INTO `car_manager_log` VALUES ('90', '添加名为张建叶销售中心成功', '1', '1875801365', '1545882253', null);
INSERT INTO `car_manager_log` VALUES ('91', '添加名为田红霞销售中心成功', '1', '1875801365', '1545882275', null);
INSERT INTO `car_manager_log` VALUES ('92', '添加名为王忠凤销售中心成功', '1', '1875801365', '1545882293', null);
INSERT INTO `car_manager_log` VALUES ('93', '添加名为杜凝夕销售中心成功', '1', '1875801365', '1545882310', null);
INSERT INTO `car_manager_log` VALUES ('94', '添加名为张进销售中心成功', '1', '1875801365', '1545882328', null);
INSERT INTO `car_manager_log` VALUES ('95', '添加名为唐岩销售中心成功', '1', '1875801365', '1545882378', null);
INSERT INTO `car_manager_log` VALUES ('96', '添加名为李小军销售中心成功', '1', '1875801365', '1545888926', null);
INSERT INTO `car_manager_log` VALUES ('97', '添加名为孙文霞销售中心成功', '1', '1875801365', '1545888957', null);
INSERT INTO `car_manager_log` VALUES ('98', '添加名为张国华销售中心成功', '1', '1875801365', '1545888980', null);
INSERT INTO `car_manager_log` VALUES ('99', '添加名为姚惠荣销售中心成功', '1', '1875801365', '1545888999', null);
INSERT INTO `car_manager_log` VALUES ('100', '添加名为申雪丽销售中心成功', '1', '1875801365', '1545889019', null);
INSERT INTO `car_manager_log` VALUES ('101', '添加名为邱苏香销售中心成功', '1', '1875801365', '1545889043', null);
INSERT INTO `car_manager_log` VALUES ('102', '添加名为赵四海销售中心成功', '1', '1875801365', '1545889065', null);
INSERT INTO `car_manager_log` VALUES ('103', '添加名为苏炜辙销售中心成功', '1', '1875801365', '1545889093', null);
INSERT INTO `car_manager_log` VALUES ('104', '添加名为杨威销售中心成功', '1', '1875801365', '1545889120', null);
INSERT INTO `car_manager_log` VALUES ('105', '添加名为王晓萍销售中心成功', '1', '1875801365', '1545889140', null);
INSERT INTO `car_manager_log` VALUES ('106', '添加名为何宁销售中心成功', '1', '1875801365', '1545889166', null);
INSERT INTO `car_manager_log` VALUES ('107', '添加名为杨金玲销售中心成功', '1', '1875801365', '1545889189', null);
INSERT INTO `car_manager_log` VALUES ('108', '添加名为杨文会销售中心成功', '1', '1875801365', '1545889208', null);
INSERT INTO `car_manager_log` VALUES ('109', '添加名为刘占永销售中心成功', '1', '1875801365', '1545889227', null);
INSERT INTO `car_manager_log` VALUES ('110', '添加名为张继平销售中心成功', '1', '1875801365', '1545889247', null);
INSERT INTO `car_manager_log` VALUES ('111', '添加名为石和军销售中心成功', '1', '1875801365', '1545889277', null);
INSERT INTO `car_manager_log` VALUES ('112', '添加名为谭华元销售中心成功', '1', '1875801365', '1545889298', null);
INSERT INTO `car_manager_log` VALUES ('113', '添加名为朱丽萍销售中心成功', '1', '1875801365', '1545889320', null);
INSERT INTO `car_manager_log` VALUES ('114', '添加名为杨万金销售中心成功', '1', '1875801365', '1545889340', null);
INSERT INTO `car_manager_log` VALUES ('115', '添加名为卜伟花销售中心成功', '1', '1875801365', '1545889359', null);
INSERT INTO `car_manager_log` VALUES ('116', '添加名为余功银销售中心成功', '1', '1875801365', '1545889375', null);
INSERT INTO `car_manager_log` VALUES ('117', '添加/修改会员成功', '1', '1875801365', '1545891910', null);
INSERT INTO `car_manager_log` VALUES ('118', '删除会员成功', '1', '1875801365', '1545891954', null);
INSERT INTO `car_manager_log` VALUES ('119', '系统用户编辑ID为2', '1', '2071884696', '1546412804', null);
INSERT INTO `car_manager_log` VALUES ('120', '删除管理员成功ID为2', '1', '2071884696', '1546412914', null);
INSERT INTO `car_manager_log` VALUES ('121', '系统用户添加ID为3', '1', '2071884696', '1546413003', null);
INSERT INTO `car_manager_log` VALUES ('122', '系统用户添加ID为4', '1', '2071884696', '1546413042', null);
INSERT INTO `car_manager_log` VALUES ('123', '系统用户添加ID为5', '1', '2071884696', '1546413095', null);
INSERT INTO `car_manager_log` VALUES ('124', '系统用户添加ID为6', '1', '2071884696', '1546413133', null);
INSERT INTO `car_manager_log` VALUES ('125', '系统用户添加ID为7', '1', '2071884696', '1546413345', null);
INSERT INTO `car_manager_log` VALUES ('126', '删除管理员成功ID为4', '1', '2071884696', '1546413969', null);
INSERT INTO `car_manager_log` VALUES ('127', '权限删除名为user/report-confirm', '1', '1875801357', '1546476613', null);
INSERT INTO `car_manager_log` VALUES ('128', '系统用户添加ID为8', '1', '1875801357', '1546476895', null);
INSERT INTO `car_manager_log` VALUES ('129', '系统用户编辑ID为6', '1', '1875801365', '1546480950', null);
INSERT INTO `car_manager_log` VALUES ('130', '添加商品成功', '1', '1875801365', '1546483390', 'a:2:{s:13:\"_csrf-backend\";s:88:\"_xuXcB-3MVxe2Aq-IdQj6U-TVXjn4W6aMg6GYTq4RXebTO4IZcdQEwi_YOp2o2WmBNklKresOslQTf47F_QzJw==\";s:9:\"ShopGoods\";a:5:{s:5:\"title\";s:12:\"名人字画\";s:5:\"price\";s:5:\"16800\";s:4:\"info\";s:12:\"名人字画\";s:4:\"imgs\";s:49:\"/uploads/image/201901/03/20190103104306_84883.png\";s:6:\"status\";s:1:\"2\";}}');
INSERT INTO `car_manager_log` VALUES ('131', '成功创建新组ID为101创建新组1组1号位置', '1', '1875801365', '1546483512', null);
INSERT INTO `car_manager_log` VALUES ('132', '成功手动将用户ID为103添加到1组2位置', '1', '1875801365', '1546484070', null);
INSERT INTO `car_manager_log` VALUES ('133', '成功手动将用户ID为104添加到1组3位置', '1', '1875801365', '1546484315', null);
INSERT INTO `car_manager_log` VALUES ('134', '成功手动将用户ID为105添加到1组4位置', '1', '1875801365', '1546484419', null);
INSERT INTO `car_manager_log` VALUES ('135', '成功手动将用户ID为106添加到1组5位置', '1', '1875801365', '1546484511', null);
INSERT INTO `car_manager_log` VALUES ('136', '成功手动将用户ID为107添加到1组6位置', '1', '1875801365', '1546484582', null);
INSERT INTO `car_manager_log` VALUES ('137', '成功手动将用户ID为108添加到1组7位置', '1', '1875801365', '1546484756', null);
INSERT INTO `car_manager_log` VALUES ('138', '报单驳回ID为8名为穆向前', '1', '1875801365', '1546485792', null);
INSERT INTO `car_manager_log` VALUES ('139', '成功创建新组ID为110创建新组2组1号位置', '1', '1875801365', '1546487389', null);
INSERT INTO `car_manager_log` VALUES ('140', '成功创建新组ID为111创建新组3组1号位置', '1', '1875801365', '1546490676', null);
INSERT INTO `car_manager_log` VALUES ('141', '成功手动将用户ID为112添加到3组2位置', '1', '1875801365', '1546490819', null);
INSERT INTO `car_manager_log` VALUES ('142', '成功手动将用户ID为113添加到3组3位置', '1', '1875801365', '1546490979', null);
INSERT INTO `car_manager_log` VALUES ('143', '成功手动将用户ID为114添加到3组4位置', '1', '1875801365', '1546491171', null);
INSERT INTO `car_manager_log` VALUES ('144', '成功手动将用户ID为115添加到3组5位置', '1', '1875801365', '1546491348', null);
INSERT INTO `car_manager_log` VALUES ('145', '成功手动将用户ID为116添加到3组6位置', '1', '1875801365', '1546491458', null);
INSERT INTO `car_manager_log` VALUES ('146', '成功手动将用户ID为117添加到3组7位置', '1', '1875801365', '1546491633', null);
INSERT INTO `car_manager_log` VALUES ('147', '成功手动将用户ID为118添加到3组8位置', '1', '1875801365', '1546493354', null);
INSERT INTO `car_manager_log` VALUES ('148', '成功手动将用户ID为119添加到3组9位置', '1', '1875801365', '1546493492', null);
INSERT INTO `car_manager_log` VALUES ('149', '成功手动将用户ID为120添加到3组10位置', '1', '1875801365', '1546493586', null);
INSERT INTO `car_manager_log` VALUES ('150', '财务审核报单成功报单信息为', '1', '1875801357', '1546498413', 'O:24:\"common\\models\\ReportForm\":10:{s:36:\"\0yii\\db\\BaseActiveRecord\0_attributes\";a:26:{s:2:\"id\";i:9;s:10:\"report_uid\";i:4;s:3:\"uid\";i:109;s:4:\"name\";s:9:\"穆向前\";s:7:\"address\";s:31:\"8543组，旧组移至新系统\";s:6:\"mobile\";s:11:\"15515882499\";s:9:\"team_list\";i:1;s:4:\"posi\";i:8;s:7:\"is_auto\";i:0;s:9:\"recomm_id\";i:108;s:7:\"team_id\";i:0;s:8:\"goods_id\";i:1;s:5:\"price\";s:8:\"16800.00\";s:5:\"thumb\";s:49:\"/uploads/image/201901/03/20190103112823_79087.png\";s:10:\"card_front\";N;s:13:\"card_negative\";N;s:6:\"remark\";N;s:7:\"remarks\";s:31:\"8543组，旧组移至新系统\";s:6:\"status\";i:4;s:10:\"created_at\";i:1546486103;s:10:\"updated_at\";i:1546486103;s:12:\"goods_status\";i:0;s:12:\"express_type\";s:0:\"\";s:10:\"express_no\";s:0:\"\";s:6:\"reason\";s:0:\"\";s:9:\"operateid\";i:0;}s:39:\"\0yii\\db\\BaseActiveRecord\0_oldAttributes\";a:26:{s:2:\"id\";i:9;s:10:\"report_uid\";i:4;s:3:\"uid\";i:109;s:4:\"name\";s:9:\"穆向前\";s:7:\"address\";s:31:\"8543组，旧组移至新系统\";s:6:\"mobile\";s:11:\"15515882499\";s:9:\"team_list\";i:1;s:4:\"posi\";i:8;s:7:\"is_auto\";i:0;s:9:\"recomm_id\";i:108;s:7:\"team_id\";i:0;s:8:\"goods_id\";i:1;s:5:\"price\";s:8:\"16800.00\";s:5:\"thumb\";s:49:\"/uploads/image/201901/03/20190103112823_79087.png\";s:10:\"card_front\";N;s:13:\"card_negative\";N;s:6:\"remark\";N;s:7:\"remarks\";s:31:\"8543组，旧组移至新系统\";s:6:\"status\";i:1;s:10:\"created_at\";i:1546486103;s:10:\"updated_at\";i:1546486103;s:12:\"goods_status\";i:0;s:12:\"express_type\";s:0:\"\";s:10:\"express_no\";s:0:\"\";s:6:\"reason\";s:0:\"\";s:9:\"operateid\";i:0;}s:33:\"\0yii\\db\\BaseActiveRecord\0_related\";a:0:{}s:47:\"\0yii\\db\\BaseActiveRecord\0_relationsDependencies\";a:0:{}s:23:\"\0yii\\base\\Model\0_errors\";N;s:27:\"\0yii\\base\\Model\0_validators\";N;s:25:\"\0yii\\base\\Model\0_scenario\";s:7:\"default\";s:27:\"\0yii\\base\\Component\0_events\";a:2:{s:12:\"beforeInsert\";a:1:{i:0;a:2:{i:0;a:2:{i:0;O:31:\"yii\\behaviors\\TimestampBehavior\":7:{s:18:\"createdAtAttribute\";s:10:\"created_at\";s:18:\"updatedAtAttribute\";s:10:\"updated_at\";s:5:\"value\";N;s:10:\"attributes\";a:2:{s:12:\"beforeInsert\";a:2:{i:0;s:10:\"created_at\";i:1;s:10:\"updated_at\";}s:12:\"beforeUpdate\";s:10:\"updated_at\";}s:17:\"skipUpdateOnClean\";b:1;s:22:\"preserveNonEmptyValues\";b:0;s:5:\"owner\";r:1;}i:1;s:18:\"evaluateAttributes\";}i:1;N;}}s:12:\"beforeUpdate\";a:1:{i:0;a:2:{i:0;a:2:{i:0;r:65;i:1;s:18:\"evaluateAttributes\";}i:1;N;}}}s:35:\"\0yii\\base\\Component\0_eventWildcards\";a:0:{}s:30:\"\0yii\\base\\Component\0_behaviors\";a:1:{i:0;r:65;}}');
INSERT INTO `car_manager_log` VALUES ('151', '成功将用户ID为109添加到1组8位置', '1', '1875801365', '1546585216', null);
INSERT INTO `car_manager_log` VALUES ('152', '添加名为鸿睿博远总部销售中心成功', '1', '1875801365', '1546828092', null);
INSERT INTO `car_manager_log` VALUES ('153', '成功手动将用户ID为705添加到1组9位置', '1', '1875801365', '1546828244', null);
INSERT INTO `car_manager_log` VALUES ('154', '成功手动将用户ID为706添加到1组10位置', '1', '1875801365', '1546828577', null);
INSERT INTO `car_manager_log` VALUES ('155', '成功手动将用户ID为707添加到1组11位置', '1', '1875801365', '1546828681', null);
INSERT INTO `car_manager_log` VALUES ('156', '成功手动将用户ID为710添加到1组12位置', '1', '1875801365', '1546829040', null);
INSERT INTO `car_manager_log` VALUES ('157', '成功手动将用户ID为730添加到1组13位置', '1', '1875801365', '1546829295', null);
INSERT INTO `car_manager_log` VALUES ('158', '成功创建新组ID为742创建新组5组1号位置', '1', '1875801365', '1546830100', null);
INSERT INTO `car_manager_log` VALUES ('159', '成功手动将用户ID为760添加到5组2位置', '1', '1875801365', '1546830233', null);
INSERT INTO `car_manager_log` VALUES ('160', '成功手动将用户ID为772添加到5组3位置', '1', '1875801365', '1546830407', null);
INSERT INTO `car_manager_log` VALUES ('161', '成功手动将用户ID为777添加到5组4位置', '1', '1875801365', '1546830581', null);
INSERT INTO `car_manager_log` VALUES ('162', '成功手动将用户ID为778添加到5组5位置', '1', '1875801365', '1546830909', null);
INSERT INTO `car_manager_log` VALUES ('163', '成功手动将用户ID为783添加到5组6位置', '1', '1875801365', '1546832205', null);
INSERT INTO `car_manager_log` VALUES ('164', '成功手动将用户ID为793添加到5组7位置', '1', '1875801365', '1546832471', null);
INSERT INTO `car_manager_log` VALUES ('165', '成功手动将用户ID为797添加到5组8位置', '1', '1875801365', '1546832632', null);
INSERT INTO `car_manager_log` VALUES ('166', '成功手动将用户ID为798添加到5组9位置', '1', '1875801365', '1546832819', null);
INSERT INTO `car_manager_log` VALUES ('167', '成功手动将用户ID为799添加到5组10位置', '1', '1875801365', '1546832936', null);
INSERT INTO `car_manager_log` VALUES ('168', '成功创建新组ID为808创建新组6组1号位置', '1', '1875801365', '1546839830', null);
INSERT INTO `car_manager_log` VALUES ('169', '成功手动将用户ID为813添加到6组2位置', '1', '1875801365', '1546840094', null);
INSERT INTO `car_manager_log` VALUES ('170', '成功手动将用户ID为814添加到6组3位置', '1', '1875801365', '1546840236', null);
INSERT INTO `car_manager_log` VALUES ('171', '成功手动将用户ID为815添加到6组4位置', '1', '1875801365', '1546840327', null);
INSERT INTO `car_manager_log` VALUES ('172', '成功手动将用户ID为818添加到6组5位置', '1', '1875801365', '1546840468', null);
INSERT INTO `car_manager_log` VALUES ('173', '成功手动将用户ID为820添加到6组6位置', '1', '1875801365', '1546840594', null);
INSERT INTO `car_manager_log` VALUES ('174', '成功手动将用户ID为821添加到6组7位置', '1', '1875801365', '1546840688', null);
INSERT INTO `car_manager_log` VALUES ('175', '成功手动将用户ID为822添加到6组8位置', '1', '1875801365', '1546840783', null);
INSERT INTO `car_manager_log` VALUES ('176', '成功手动将用户ID为823添加到6组9位置', '1', '1875801365', '1546840870', null);
INSERT INTO `car_manager_log` VALUES ('177', '成功手动将用户ID为824添加到6组10位置', '1', '1875801365', '1546841025', null);
INSERT INTO `car_manager_log` VALUES ('178', '成功创建新组ID为843创建新组7组1号位置', '1', '1875801365', '1546841818', null);
INSERT INTO `car_manager_log` VALUES ('179', '回退没有裂变的分组成功组号为7位置是uid1该位置上的用户id为843', '1', '1875801365', '1546841941', null);
INSERT INTO `car_manager_log` VALUES ('180', '成功创建新组ID为843创建新组8组1号位置', '1', '1875801365', '1546842061', null);
INSERT INTO `car_manager_log` VALUES ('181', '成功创建新组ID为869创建新组9组1号位置', '1', '1875801365', '1546842516', null);
INSERT INTO `car_manager_log` VALUES ('182', '成功创建新组ID为875创建新组10组1号位置', '1', '1875801365', '1546842647', null);
INSERT INTO `car_manager_log` VALUES ('183', '成功创建新组ID为878创建新组11组1号位置', '1', '1875801365', '1546842771', null);
INSERT INTO `car_manager_log` VALUES ('184', '成功创建新组ID为881创建新组12组1号位置', '1', '1875801365', '1546842889', null);
INSERT INTO `car_manager_log` VALUES ('185', '成功创建新组ID为885创建新组13组1号位置', '1', '1875801365', '1546843027', null);
INSERT INTO `car_manager_log` VALUES ('186', '成功创建新组ID为916创建新组14组1号位置', '1', '1875801365', '1546844276', null);
INSERT INTO `car_manager_log` VALUES ('187', '成功创建新组ID为924创建新组15组1号位置', '1', '1875801365', '1546844473', null);
INSERT INTO `car_manager_log` VALUES ('188', '成功创建新组ID为927创建新组16组1号位置', '1', '1875801365', '1546844648', null);
INSERT INTO `car_manager_log` VALUES ('189', '成功创建新组ID为1022创建新组17组1号位置', '1', '1875801365', '1546847358', null);
INSERT INTO `car_manager_log` VALUES ('190', '成功手动将用户ID为1027添加到17组2位置', '1', '1875801365', '1546847499', null);
INSERT INTO `car_manager_log` VALUES ('191', '成功手动将用户ID为1031添加到17组3位置', '1', '1875801365', '1546847623', null);
INSERT INTO `car_manager_log` VALUES ('192', '成功手动将用户ID为1035添加到17组4位置', '1', '1875801365', '1546847736', null);
INSERT INTO `car_manager_log` VALUES ('193', '成功手动将用户ID为1038添加到17组5位置', '1', '1875801365', '1546847836', null);
INSERT INTO `car_manager_log` VALUES ('194', '成功手动将用户ID为1041添加到17组6位置', '1', '1875801365', '1546847991', null);
INSERT INTO `car_manager_log` VALUES ('195', '成功手动将用户ID为1047添加到17组7位置', '1', '1875801365', '1546848075', null);
INSERT INTO `car_manager_log` VALUES ('196', '成功创建新组ID为1056创建新组18组1号位置', '1', '1875801365', '1546848362', null);
INSERT INTO `car_manager_log` VALUES ('197', '系统用户添加ID为9', '1', '1875801357', '1546855151', null);
INSERT INTO `car_manager_log` VALUES ('198', '系统用户编辑ID为9', '1', '1875801365', '1546855312', null);
INSERT INTO `car_manager_log` VALUES ('199', '系统用户添加ID为10', '1', '1875801365', '1546909237', null);
INSERT INTO `car_manager_log` VALUES ('200', '删除管理员成功ID为9', '1', '1875801365', '1546909243', null);
INSERT INTO `car_manager_log` VALUES ('201', '删除管理员成功ID为8', '1', '1875801365', '1546909514', null);
INSERT INTO `car_manager_log` VALUES ('202', '权限删除成功无权限组', '1', '1875801365', '1546910090', null);
INSERT INTO `car_manager_log` VALUES ('203', '删除管理员成功ID为5', '1', '1875801365', '1546910414', null);
INSERT INTO `car_manager_log` VALUES ('204', '系统用户添加ID为11', '1', '1875801365', '1546910445', null);
INSERT INTO `car_manager_log` VALUES ('205', '删除管理员成功ID为6', '1', '1875801365', '1546910456', null);
INSERT INTO `car_manager_log` VALUES ('206', '系统用户添加ID为12', '1', '1875801365', '1546910493', null);
INSERT INTO `car_manager_log` VALUES ('207', '删除管理员成功ID为7', '1', '1875801365', '1546910515', null);
INSERT INTO `car_manager_log` VALUES ('208', '删除管理员成功ID为3', '1', '1875801365', '1546910518', null);
INSERT INTO `car_manager_log` VALUES ('209', '系统用户添加ID为13', '1', '1875801365', '1546910599', null);
INSERT INTO `car_manager_log` VALUES ('210', '系统用户添加ID为14', '1', '1875801365', '1546910808', null);
INSERT INTO `car_manager_log` VALUES ('211', '系统用户添加ID为15', '11', '1875801365', '1546911599', null);
INSERT INTO `car_manager_log` VALUES ('212', '删除管理员成功ID为15', '11', '1875801365', '1546911616', null);
INSERT INTO `car_manager_log` VALUES ('213', '系统用户添加ID为16', '1', '1875801365', '1546911686', null);
INSERT INTO `car_manager_log` VALUES ('214', '系统用户添加ID为17', '1', '1875801365', '1546911723', null);
INSERT INTO `car_manager_log` VALUES ('215', '系统用户添加ID为18', '1', '1875801365', '1546911760', null);
INSERT INTO `car_manager_log` VALUES ('216', '系统用户添加ID为19', '1', '1875801365', '1546911786', null);
INSERT INTO `car_manager_log` VALUES ('217', '删除管理员成功ID为13', '1', '1875801365', '1546911800', null);
INSERT INTO `car_manager_log` VALUES ('218', '删除管理员成功ID为12', '1', '1875801365', '1546911827', null);
INSERT INTO `car_manager_log` VALUES ('219', '系统用户添加ID为20', '1', '1875801365', '1546911844', null);
INSERT INTO `car_manager_log` VALUES ('220', '系统用户添加ID为21', '1', '1875801365', '1546911869', null);
INSERT INTO `car_manager_log` VALUES ('221', '删除管理员成功ID为11', '1', '1875801365', '1546911875', null);
INSERT INTO `car_manager_log` VALUES ('222', '删除管理员成功ID为10', '1', '1875801365', '1546911883', null);
INSERT INTO `car_manager_log` VALUES ('223', '删除管理员成功ID为14', '1', '1875801365', '1546911887', null);
INSERT INTO `car_manager_log` VALUES ('224', '系统用户添加ID为22', '1', '1875801365', '1546911962', null);
INSERT INTO `car_manager_log` VALUES ('225', '系统用户添加ID为23', '1', '1875801365', '1546912009', null);
INSERT INTO `car_manager_log` VALUES ('226', '权限更新id为1序号为1', '1', '1875801365', '1546912333', null);
INSERT INTO `car_manager_log` VALUES ('227', '权限更新id为1序号为0', '1', '1875801365', '1546912395', null);
INSERT INTO `car_manager_log` VALUES ('228', '系统用户添加ID为24', '1', '1875801365', '1546912795', null);
INSERT INTO `car_manager_log` VALUES ('229', '系统用户添加ID为25', '1', '1875801365', '1546913569', null);
INSERT INTO `car_manager_log` VALUES ('230', '成功手动将用户ID为1225添加到18组2位置', '1', '1875801365', '1546914260', null);
INSERT INTO `car_manager_log` VALUES ('231', '成功手动将用户ID为1226添加到18组3位置', '1', '1875801365', '1546914412', null);
INSERT INTO `car_manager_log` VALUES ('232', '成功手动将用户ID为1227添加到18组4位置', '1', '1875801365', '1546914529', null);
INSERT INTO `car_manager_log` VALUES ('233', '成功手动将用户ID为1228添加到18组5位置', '18', '1875801365', '1546915623', null);
INSERT INTO `car_manager_log` VALUES ('234', '成功手动将用户ID为1229添加到18组6位置', '18', '1875801365', '1546915713', null);
INSERT INTO `car_manager_log` VALUES ('235', '成功手动将用户ID为1230添加到18组7位置', '18', '1875801365', '1546915805', null);
INSERT INTO `car_manager_log` VALUES ('236', '成功手动将用户ID为1231添加到18组8位置', '18', '1875801365', '1546915900', null);
INSERT INTO `car_manager_log` VALUES ('237', '成功手动将用户ID为1232添加到18组9位置', '18', '1875801365', '1546915989', null);
INSERT INTO `car_manager_log` VALUES ('238', '成功手动将用户ID为1233添加到18组10位置', '18', '1875801365', '1546916069', null);
INSERT INTO `car_manager_log` VALUES ('239', '成功创建新组ID为1234创建新组19组1号位置', '18', '1875801365', '1546916233', null);
INSERT INTO `car_manager_log` VALUES ('240', '成功手动将用户ID为1235添加到19组2位置', '18', '1875801365', '1546916337', null);
INSERT INTO `car_manager_log` VALUES ('241', '成功手动将用户ID为1236添加到19组3位置', '18', '1875801365', '1546916549', null);
INSERT INTO `car_manager_log` VALUES ('242', '成功手动将用户ID为1237添加到19组4位置', '18', '1875801365', '1546916630', null);
INSERT INTO `car_manager_log` VALUES ('243', '成功手动将用户ID为1238添加到19组5位置', '18', '1875801365', '1546916758', null);
INSERT INTO `car_manager_log` VALUES ('244', '成功手动将用户ID为1239添加到19组6位置', '18', '1875801365', '1546916859', null);
INSERT INTO `car_manager_log` VALUES ('245', '成功手动将用户ID为1240添加到19组7位置', '18', '1875801365', '1546916955', null);
INSERT INTO `car_manager_log` VALUES ('246', '成功手动将用户ID为1241添加到19组8位置', '18', '1875801365', '1546917036', null);
INSERT INTO `car_manager_log` VALUES ('247', '成功手动将用户ID为1242添加到19组9位置', '18', '1875801365', '1546917127', null);
INSERT INTO `car_manager_log` VALUES ('248', '成功创建新组ID为1243创建新组20组1号位置', '18', '1875801365', '1546917327', null);
INSERT INTO `car_manager_log` VALUES ('249', '成功手动将用户ID为444添加到20组2位置', '18', '1875801365', '1546917936', null);
INSERT INTO `car_manager_log` VALUES ('250', '成功手动将用户ID为525添加到20组3位置', '18', '1875801365', '1546918792', null);
INSERT INTO `car_manager_log` VALUES ('251', '成功手动将用户ID为1245添加到20组4位置', '18', '1875801365', '1546919000', null);
INSERT INTO `car_manager_log` VALUES ('252', '成功手动将用户ID为1246添加到20组5位置', '18', '1875801365', '1546919140', null);
INSERT INTO `car_manager_log` VALUES ('253', '成功手动将用户ID为1247添加到20组6位置', '18', '1875801365', '1546919539', null);
INSERT INTO `car_manager_log` VALUES ('254', '成功手动将用户ID为1249添加到20组7位置', '18', '1875801365', '1546919615', null);
INSERT INTO `car_manager_log` VALUES ('255', '成功创建新组ID为1250创建新组21组1号位置', '18', '1875801365', '1546919879', null);
INSERT INTO `car_manager_log` VALUES ('256', '成功手动将用户ID为1252添加到21组2位置', '18', '1875801365', '1546929628', null);
INSERT INTO `car_manager_log` VALUES ('257', '成功手动将用户ID为1255添加到21组3位置', '18', '1875801365', '1546930074', null);
INSERT INTO `car_manager_log` VALUES ('258', '成功手动将用户ID为1257添加到21组4位置', '18', '1875801365', '1546930185', null);
INSERT INTO `car_manager_log` VALUES ('259', '成功手动将用户ID为1258添加到21组5位置', '18', '1875801365', '1546930328', null);
INSERT INTO `car_manager_log` VALUES ('260', '成功手动将用户ID为1259添加到21组6位置', '18', '1875801365', '1546930437', null);
INSERT INTO `car_manager_log` VALUES ('261', '成功手动将用户ID为1260添加到21组7位置', '18', '1875801365', '1546930547', null);
INSERT INTO `car_manager_log` VALUES ('262', '成功创建新组ID为1261创建新组22组1号位置', '18', '1875801365', '1546931155', null);
INSERT INTO `car_manager_log` VALUES ('263', '成功手动将用户ID为1264添加到22组2位置', '18', '1875801365', '1546931298', null);
INSERT INTO `car_manager_log` VALUES ('264', '成功手动将用户ID为1267添加到22组3位置', '18', '1875801365', '1546931486', null);
INSERT INTO `car_manager_log` VALUES ('265', '成功手动将用户ID为1268添加到22组4位置', '18', '1875801365', '1546931765', null);
INSERT INTO `car_manager_log` VALUES ('266', '成功手动将用户ID为1271添加到22组5位置', '18', '1875801365', '1546931961', null);
INSERT INTO `car_manager_log` VALUES ('267', '成功手动将用户ID为1273添加到22组6位置', '18', '1875801365', '1546932077', null);
INSERT INTO `car_manager_log` VALUES ('268', '成功手动将用户ID为1274添加到22组7位置', '18', '1875801365', '1546932161', null);
INSERT INTO `car_manager_log` VALUES ('269', '成功手动将用户ID为1280添加到22组8位置', '18', '1875801365', '1546932251', null);
INSERT INTO `car_manager_log` VALUES ('270', '成功创建新组ID为1283创建新组23组1号位置', '18', '1875801365', '1546933082', null);
INSERT INTO `car_manager_log` VALUES ('271', '成功手动将用户ID为1284添加到23组2位置', '18', '1875801365', '1546933228', null);
INSERT INTO `car_manager_log` VALUES ('272', '成功手动将用户ID为1285添加到23组3位置', '18', '1875801365', '1546933329', null);
INSERT INTO `car_manager_log` VALUES ('273', '成功手动将用户ID为1286添加到23组4位置', '18', '1875801365', '1546933437', null);
INSERT INTO `car_manager_log` VALUES ('274', '成功手动将用户ID为1289添加到23组5位置', '18', '1875801365', '1546933611', null);
INSERT INTO `car_manager_log` VALUES ('275', '成功手动将用户ID为1292添加到23组6位置', '18', '1875801365', '1546934561', null);
INSERT INTO `car_manager_log` VALUES ('276', '成功手动将用户ID为1301添加到23组7位置', '18', '1875801365', '1546934763', null);
INSERT INTO `car_manager_log` VALUES ('277', '成功创建新组ID为1317创建新组24组1号位置', '18', '1875801365', '1546935494', null);
INSERT INTO `car_manager_log` VALUES ('278', '成功创建新组ID为1319创建新组25组1号位置', '18', '1875801365', '1546935716', null);
INSERT INTO `car_manager_log` VALUES ('279', '成功手动将用户ID为1320添加到25组2位置', '18', '1875801365', '1546936105', null);
INSERT INTO `car_manager_log` VALUES ('280', '成功手动将用户ID为1321添加到25组3位置', '18', '1875801365', '1546936300', null);
INSERT INTO `car_manager_log` VALUES ('281', '成功手动将用户ID为1322添加到25组4位置', '18', '1875801365', '1546936393', null);
INSERT INTO `car_manager_log` VALUES ('282', '财务审核报单成功报单信息为', '25', '1875801365', '1546937299', 'O:24:\"common\\models\\ReportForm\":10:{s:36:\"\0yii\\db\\BaseActiveRecord\0_attributes\";a:26:{s:2:\"id\";i:111;s:10:\"report_uid\";i:3;s:3:\"uid\";i:1251;s:4:\"name\";s:9:\"李锡泉\";s:7:\"address\";s:41:\"佛山市顺德区容桂镇中华路31号\";s:6:\"mobile\";s:11:\"13360363808\";s:9:\"team_list\";i:6;s:4:\"posi\";i:11;s:7:\"is_auto\";i:0;s:9:\"recomm_id\";i:814;s:7:\"team_id\";i:0;s:8:\"goods_id\";i:1;s:5:\"price\";s:8:\"16800.00\";s:5:\"thumb\";s:50:\"/uploads/image/201901/08/20190108160632_49878.jpeg\";s:10:\"card_front\";N;s:13:\"card_negative\";N;s:6:\"remark\";N;s:7:\"remarks\";s:12:\"暂时不拿\";s:6:\"status\";i:4;s:10:\"created_at\";i:1546934792;s:10:\"updated_at\";i:1546934792;s:12:\"goods_status\";i:0;s:12:\"express_type\";s:0:\"\";s:10:\"express_no\";s:0:\"\";s:6:\"reason\";s:0:\"\";s:9:\"operateid\";i:0;}s:39:\"\0yii\\db\\BaseActiveRecord\0_oldAttributes\";a:26:{s:2:\"id\";i:111;s:10:\"report_uid\";i:3;s:3:\"uid\";i:1251;s:4:\"name\";s:9:\"李锡泉\";s:7:\"address\";s:41:\"佛山市顺德区容桂镇中华路31号\";s:6:\"mobile\";s:11:\"13360363808\";s:9:\"team_list\";i:6;s:4:\"posi\";i:11;s:7:\"is_auto\";i:0;s:9:\"recomm_id\";i:814;s:7:\"team_id\";i:0;s:8:\"goods_id\";i:1;s:5:\"price\";s:8:\"16800.00\";s:5:\"thumb\";s:50:\"/uploads/image/201901/08/20190108160632_49878.jpeg\";s:10:\"card_front\";N;s:13:\"card_negative\";N;s:6:\"remark\";N;s:7:\"remarks\";s:12:\"暂时不拿\";s:6:\"status\";i:1;s:10:\"created_at\";i:1546934792;s:10:\"updated_at\";i:1546934792;s:12:\"goods_status\";i:0;s:12:\"express_type\";s:0:\"\";s:10:\"express_no\";s:0:\"\";s:6:\"reason\";s:0:\"\";s:9:\"operateid\";i:0;}s:33:\"\0yii\\db\\BaseActiveRecord\0_related\";a:0:{}s:47:\"\0yii\\db\\BaseActiveRecord\0_relationsDependencies\";a:0:{}s:23:\"\0yii\\base\\Model\0_errors\";N;s:27:\"\0yii\\base\\Model\0_validators\";N;s:25:\"\0yii\\base\\Model\0_scenario\";s:7:\"default\";s:27:\"\0yii\\base\\Component\0_events\";a:2:{s:12:\"beforeInsert\";a:1:{i:0;a:2:{i:0;a:2:{i:0;O:31:\"yii\\behaviors\\TimestampBehavior\":7:{s:18:\"createdAtAttribute\";s:10:\"created_at\";s:18:\"updatedAtAttribute\";s:10:\"updated_at\";s:5:\"value\";N;s:10:\"attributes\";a:2:{s:12:\"beforeInsert\";a:2:{i:0;s:10:\"created_at\";i:1;s:10:\"updated_at\";}s:12:\"beforeUpdate\";s:10:\"updated_at\";}s:17:\"skipUpdateOnClean\";b:1;s:22:\"preserveNonEmptyValues\";b:0;s:5:\"owner\";r:1;}i:1;s:18:\"evaluateAttributes\";}i:1;N;}}s:12:\"beforeUpdate\";a:1:{i:0;a:2:{i:0;a:2:{i:0;r:65;i:1;s:18:\"evaluateAttributes\";}i:1;N;}}}s:35:\"\0yii\\base\\Component\0_eventWildcards\";a:0:{}s:30:\"\0yii\\base\\Component\0_behaviors\";a:1:{i:0;r:65;}}');
INSERT INTO `car_manager_log` VALUES ('283', '成功将用户ID为1251添加到6组11位置', '24', '1875801365', '1546938402', null);
INSERT INTO `car_manager_log` VALUES ('284', '财务审核报单成功报单信息为', '25', '1875801365', '1546940575', 'O:24:\"common\\models\\ReportForm\":10:{s:36:\"\0yii\\db\\BaseActiveRecord\0_attributes\";a:26:{s:2:\"id\";i:118;s:10:\"report_uid\";i:13;s:3:\"uid\";i:1332;s:4:\"name\";s:9:\"敬春华\";s:7:\"address\";s:59:\"广东省佛山南海区西樵镇轻纺织城绣缨街49号\";s:6:\"mobile\";s:11:\"18923153303\";s:9:\"team_list\";i:0;s:4:\"posi\";N;s:7:\"is_auto\";i:1;s:9:\"recomm_id\";i:110;s:7:\"team_id\";i:0;s:8:\"goods_id\";i:1;s:5:\"price\";s:8:\"16800.00\";s:5:\"thumb\";s:50:\"/uploads/image/201901/08/20190108173320_54887.jpeg\";s:10:\"card_front\";N;s:13:\"card_negative\";N;s:6:\"remark\";N;s:7:\"remarks\";s:0:\"\";s:6:\"status\";i:4;s:10:\"created_at\";i:1546940000;s:10:\"updated_at\";i:1546940000;s:12:\"goods_status\";i:0;s:12:\"express_type\";s:0:\"\";s:10:\"express_no\";s:0:\"\";s:6:\"reason\";s:0:\"\";s:9:\"operateid\";i:0;}s:39:\"\0yii\\db\\BaseActiveRecord\0_oldAttributes\";a:26:{s:2:\"id\";i:118;s:10:\"report_uid\";i:13;s:3:\"uid\";i:1332;s:4:\"name\";s:9:\"敬春华\";s:7:\"address\";s:59:\"广东省佛山南海区西樵镇轻纺织城绣缨街49号\";s:6:\"mobile\";s:11:\"18923153303\";s:9:\"team_list\";i:0;s:4:\"posi\";N;s:7:\"is_auto\";i:1;s:9:\"recomm_id\";i:110;s:7:\"team_id\";i:0;s:8:\"goods_id\";i:1;s:5:\"price\";s:8:\"16800.00\";s:5:\"thumb\";s:50:\"/uploads/image/201901/08/20190108173320_54887.jpeg\";s:10:\"card_front\";N;s:13:\"card_negative\";N;s:6:\"remark\";N;s:7:\"remarks\";s:0:\"\";s:6:\"status\";i:1;s:10:\"created_at\";i:1546940000;s:10:\"updated_at\";i:1546940000;s:12:\"goods_status\";i:0;s:12:\"express_type\";s:0:\"\";s:10:\"express_no\";s:0:\"\";s:6:\"reason\";s:0:\"\";s:9:\"operateid\";i:0;}s:33:\"\0yii\\db\\BaseActiveRecord\0_related\";a:0:{}s:47:\"\0yii\\db\\BaseActiveRecord\0_relationsDependencies\";a:0:{}s:23:\"\0yii\\base\\Model\0_errors\";N;s:27:\"\0yii\\base\\Model\0_validators\";N;s:25:\"\0yii\\base\\Model\0_scenario\";s:7:\"default\";s:27:\"\0yii\\base\\Component\0_events\";a:2:{s:12:\"beforeInsert\";a:1:{i:0;a:2:{i:0;a:2:{i:0;O:31:\"yii\\behaviors\\TimestampBehavior\":7:{s:18:\"createdAtAttribute\";s:10:\"created_at\";s:18:\"updatedAtAttribute\";s:10:\"updated_at\";s:5:\"value\";N;s:10:\"attributes\";a:2:{s:12:\"beforeInsert\";a:2:{i:0;s:10:\"created_at\";i:1;s:10:\"updated_at\";}s:12:\"beforeUpdate\";s:10:\"updated_at\";}s:17:\"skipUpdateOnClean\";b:1;s:22:\"preserveNonEmptyValues\";b:0;s:5:\"owner\";r:1;}i:1;s:18:\"evaluateAttributes\";}i:1;N;}}s:12:\"beforeUpdate\";a:1:{i:0;a:2:{i:0;a:2:{i:0;r:65;i:1;s:18:\"evaluateAttributes\";}i:1;N;}}}s:35:\"\0yii\\base\\Component\0_eventWildcards\";a:0:{}s:30:\"\0yii\\base\\Component\0_behaviors\";a:1:{i:0;r:65;}}');
INSERT INTO `car_manager_log` VALUES ('285', '报单驳回ID为117名为敬春华', '25', '1875801365', '1546940617', null);
INSERT INTO `car_manager_log` VALUES ('286', '成功将为用户ID为1332创建组号为27组', '24', '1875801365', '1546940878', null);
INSERT INTO `car_manager_log` VALUES ('287', '成功将为用户ID为1332创建组号为28组', '24', '1875801365', '1546940915', null);
INSERT INTO `car_manager_log` VALUES ('288', '回退没有裂变的分组成功组号为28位置是uid1该位置上的用户id为1332', '1', '1875801365', '1546941592', null);
INSERT INTO `car_manager_log` VALUES ('289', '成功将为用户ID为1332创建组号为29组', '24', '1875801365', '1546941626', null);
INSERT INTO `car_manager_log` VALUES ('290', '成功手动将用户ID为1430添加到25组5位置', '18', '1875801365', '1547001407', null);
INSERT INTO `car_manager_log` VALUES ('291', '成功手动将用户ID为1431添加到25组6位置', '18', '1875801365', '1547001484', null);
INSERT INTO `car_manager_log` VALUES ('292', '成功手动将用户ID为1437添加到25组7位置', '18', '1875801365', '1547001722', null);
INSERT INTO `car_manager_log` VALUES ('293', '成功手动将用户ID为1444添加到28组1位置', '18', '1875801365', '1547002370', null);
INSERT INTO `car_manager_log` VALUES ('294', '成功手动将用户ID为1471添加到28组2位置', '18', '1875801365', '1547002932', null);
INSERT INTO `car_manager_log` VALUES ('295', '成功手动将用户ID为1509添加到28组3位置', '24', '1875801365', '1547003474', null);
INSERT INTO `car_manager_log` VALUES ('296', '成功手动将用户ID为1565添加到28组4位置', '24', '1875801365', '1547005028', null);
INSERT INTO `car_manager_log` VALUES ('297', '成功手动将用户ID为1569添加到28组5位置', '24', '1875801365', '1547005154', null);
INSERT INTO `car_manager_log` VALUES ('298', '成功手动将用户ID为1573添加到28组6位置', '24', '1875801365', '1547005281', null);
INSERT INTO `car_manager_log` VALUES ('299', '成功手动将用户ID为1575添加到28组7位置', '24', '1875801365', '1547005403', null);
INSERT INTO `car_manager_log` VALUES ('300', '成功手动将用户ID为1576添加到28组8位置', '24', '1875801365', '1547005458', null);
INSERT INTO `car_manager_log` VALUES ('301', '成功手动将用户ID为1577添加到28组9位置', '24', '1875801365', '1547005672', null);
INSERT INTO `car_manager_log` VALUES ('302', '成功创建新组ID为1578创建新组30组1号位置', '24', '1875801365', '1547005941', null);
INSERT INTO `car_manager_log` VALUES ('303', '成功手动将用户ID为1583添加到30组2位置', '24', '1875801365', '1547006064', null);
INSERT INTO `car_manager_log` VALUES ('304', '成功手动将用户ID为1587添加到30组3位置', '24', '1875801365', '1547006190', null);
INSERT INTO `car_manager_log` VALUES ('305', '成功手动将用户ID为1589添加到30组4位置', '24', '1875801365', '1547006238', null);
INSERT INTO `car_manager_log` VALUES ('306', '成功手动将用户ID为1593添加到30组5位置', '24', '1875801365', '1547006341', null);
INSERT INTO `car_manager_log` VALUES ('307', '成功手动将用户ID为1599添加到30组6位置', '24', '1875801365', '1547006496', null);
INSERT INTO `car_manager_log` VALUES ('308', '成功手动将用户ID为1621添加到30组7位置', '24', '1875801365', '1547012989', null);
INSERT INTO `car_manager_log` VALUES ('309', '成功手动将用户ID为1625添加到30组8位置', '24', '1875801365', '1547013085', null);
INSERT INTO `car_manager_log` VALUES ('310', '成功手动将用户ID为1626添加到30组9位置', '24', '1875801365', '1547013135', null);
INSERT INTO `car_manager_log` VALUES ('311', '成功手动将用户ID为1628添加到30组10位置', '24', '1875801365', '1547013175', null);
INSERT INTO `car_manager_log` VALUES ('312', '成功创建新组ID为777创建新组31组1号位置', '24', '1875801365', '1547013391', null);
INSERT INTO `car_manager_log` VALUES ('313', '成功手动将用户ID为1636添加到31组2位置', '24', '1875801365', '1547013497', null);
INSERT INTO `car_manager_log` VALUES ('314', '成功手动将用户ID为1638添加到31组3位置', '24', '1875801365', '1547013609', null);
INSERT INTO `car_manager_log` VALUES ('315', '成功手动将用户ID为1640添加到31组4位置', '24', '1875801365', '1547013654', null);
INSERT INTO `car_manager_log` VALUES ('316', '成功手动将用户ID为1642添加到31组5位置', '24', '1875801365', '1547013702', null);
INSERT INTO `car_manager_log` VALUES ('317', '成功手动将用户ID为1643添加到31组6位置', '24', '1875801365', '1547013741', null);
INSERT INTO `car_manager_log` VALUES ('318', '成功手动将用户ID为1645添加到31组7位置', '24', '1875801365', '1547013773', null);
INSERT INTO `car_manager_log` VALUES ('319', '成功手动将用户ID为1649添加到31组8位置', '24', '1875801365', '1547013891', null);
INSERT INTO `car_manager_log` VALUES ('320', '成功手动将用户ID为1651添加到31组9位置', '24', '1875801365', '1547013930', null);
INSERT INTO `car_manager_log` VALUES ('321', '成功创建新组ID为1654创建新组32组1号位置', '24', '1875801365', '1547014125', null);
INSERT INTO `car_manager_log` VALUES ('322', '成功创建新组ID为1657创建新组33组1号位置', '24', '1875801365', '1547014245', null);
INSERT INTO `car_manager_log` VALUES ('323', '回退没有裂变的分组成功组号为33位置是uid1该位置上的用户id为1657', '18', '1875801365', '1547014323', null);
INSERT INTO `car_manager_log` VALUES ('324', '成功将用户ID为1657添加到32组2位置', '24', '1875801365', '1547014366', null);
INSERT INTO `car_manager_log` VALUES ('325', '成功手动将用户ID为1672添加到32组3位置', '24', '1875801365', '1547014845', null);
INSERT INTO `car_manager_log` VALUES ('326', '成功手动将用户ID为1675添加到32组4位置', '24', '1875801365', '1547014911', null);
INSERT INTO `car_manager_log` VALUES ('327', '成功手动将用户ID为1679添加到32组5位置', '24', '1875801365', '1547014973', null);
INSERT INTO `car_manager_log` VALUES ('328', '成功手动将用户ID为1680添加到32组6位置', '24', '1875801365', '1547015058', null);
INSERT INTO `car_manager_log` VALUES ('329', '成功手动将用户ID为1682添加到32组7位置', '24', '1875801365', '1547015128', null);
INSERT INTO `car_manager_log` VALUES ('330', '成功手动将用户ID为1685添加到32组8位置', '24', '1875801365', '1547015220', null);
INSERT INTO `car_manager_log` VALUES ('331', '成功手动将用户ID为1686添加到32组9位置', '24', '1875801365', '1547015385', null);
INSERT INTO `car_manager_log` VALUES ('332', '成功手动将用户ID为1688添加到32组10位置', '24', '1875801365', '1547015450', null);
INSERT INTO `car_manager_log` VALUES ('333', '成功创建新组ID为1689创建新组35组1号位置', '24', '1875801365', '1547015992', null);
INSERT INTO `car_manager_log` VALUES ('334', '成功创建新组ID为1689创建新组36组1号位置', '24', '1875801365', '1547016023', null);
INSERT INTO `car_manager_log` VALUES ('335', '成功手动将用户ID为1690添加到35组2位置', '24', '1875801365', '1547016444', null);
INSERT INTO `car_manager_log` VALUES ('336', '成功手动将用户ID为1691添加到35组3位置', '24', '1875801365', '1547016491', null);
INSERT INTO `car_manager_log` VALUES ('337', '成功手动将用户ID为1692添加到35组4位置', '24', '1875801365', '1547016538', null);
INSERT INTO `car_manager_log` VALUES ('338', '成功手动将用户ID为1693添加到35组5位置', '24', '1875801365', '1547016575', null);
INSERT INTO `car_manager_log` VALUES ('339', '成功手动将用户ID为1694添加到35组6位置', '24', '1875801365', '1547016600', null);
INSERT INTO `car_manager_log` VALUES ('340', '成功手动将用户ID为1695添加到35组7位置', '24', '1875801365', '1547016628', null);
INSERT INTO `car_manager_log` VALUES ('341', '成功手动将用户ID为1696添加到33组1位置', '24', '1875801365', '1547019186', null);
INSERT INTO `car_manager_log` VALUES ('342', '成功手动将用户ID为1697添加到33组2位置', '24', '1875801365', '1547019408', null);
INSERT INTO `car_manager_log` VALUES ('343', '成功手动将用户ID为1698添加到33组3位置', '24', '1875801365', '1547019827', null);

-- ----------------------------
-- Table structure for `car_menu`
-- ----------------------------
DROP TABLE IF EXISTS `car_menu`;
CREATE TABLE `car_menu` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `pid` int(11) unsigned DEFAULT '0' COMMENT '上级分类ID',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT '菜单标题',
  `link` varchar(255) DEFAULT '' COMMENT 'url地址',
  `icon` varchar(255) DEFAULT '' COMMENT '图标',
  `remark` varchar(255) DEFAULT '' COMMENT '说明',
  `groups` varchar(255) DEFAULT '' COMMENT '分组',
  `sort` int(11) unsigned DEFAULT '0' COMMENT '排序',
  `isShow` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '是否隐藏1是不隐藏 0是隐藏',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='管理员操作日志';

-- ----------------------------
-- Records of car_menu
-- ----------------------------
INSERT INTO `car_menu` VALUES ('1', '0', '爱心公益', '/love/index', '', '爱心公益', '爱心公益', '1', '1');
INSERT INTO `car_menu` VALUES ('2', '1', '最受欢迎', '/love', '', '最受欢迎', '爱心公益', '0', '1');
INSERT INTO `car_menu` VALUES ('3', '1', '贫困儿童助学', '', '', '贫困儿童助学', '爱心公益', '0', '1');
INSERT INTO `car_menu` VALUES ('4', '0', 'test', 'site/site', 'fa fa-home', 'ctest', '', '10', '1');

-- ----------------------------
-- Table structure for `car_message`
-- ----------------------------
DROP TABLE IF EXISTS `car_message`;
CREATE TABLE `car_message` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) unsigned NOT NULL,
  `title` varchar(50) NOT NULL COMMENT '信息标题',
  `message` text NOT NULL COMMENT '信息内容',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '状态',
  `types` tinyint(1) unsigned DEFAULT '1' COMMENT '信息类型',
  `linkUrl` varchar(255) DEFAULT '' COMMENT '跳转类型',
  `read_at` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '阅读时间',
  `created_at` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='消息表';

-- ----------------------------
-- Records of car_message
-- ----------------------------

-- ----------------------------
-- Table structure for `car_proxy`
-- ----------------------------
DROP TABLE IF EXISTS `car_proxy`;
CREATE TABLE `car_proxy` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) unsigned DEFAULT NULL,
  `name` varchar(100) DEFAULT NULL,
  `mobile` varchar(11) DEFAULT NULL,
  `type` tinyint(1) unsigned DEFAULT NULL COMMENT '申请类型1销售中心2地区代理 3:借款销售中心',
  `proxy_lv` tinyint(1) unsigned DEFAULT NULL COMMENT '1省2市3区',
  `proxy_address` varchar(255) DEFAULT NULL,
  `address` varchar(255) DEFAULT '' COMMENT '详细地址',
  `status` tinyint(1) unsigned DEFAULT NULL COMMENT '状态',
  `remark` text COMMENT '备注',
  `created_at` int(11) unsigned DEFAULT NULL,
  `updated_at` int(11) unsigned DEFAULT NULL,
  `org_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT '' COMMENT '销售中心名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=90 DEFAULT CHARSET=utf8 COMMENT='代理表';

-- ----------------------------
-- Records of car_proxy
-- ----------------------------
INSERT INTO `car_proxy` VALUES ('1', null, '崔萍', '13933753516', '1', '2', '哈尔滨市', '', '2', null, '1545880757', '1545880757', '崔萍销售服务中心');
INSERT INTO `car_proxy` VALUES ('2', null, '黄渊龙', '13772428899', '1', '2', '西安未央', '', '2', null, '1545880788', '1545880788', '黄渊龙销售服务中心');
INSERT INTO `car_proxy` VALUES ('3', null, '钟春花', '13316319833', '1', '2', '顺德市', '', '2', null, '1545880809', '1545880809', '钟春花销售服务中心');
INSERT INTO `car_proxy` VALUES ('4', null, '何莉华', '18571123551', '1', '2', '孝感市', '', '2', null, '1545880828', '1545880828', '何莉华销售服务中心');
INSERT INTO `car_proxy` VALUES ('5', null, '王林', '13299586598', '1', '2', '银川市', '', '2', null, '1545880855', '1545880855', '王林销售服务中心');
INSERT INTO `car_proxy` VALUES ('6', null, '唐春梅', '18686186129', '1', '2', '内蒙古', '', '2', null, '1545880874', '1545880874', '唐春梅销售服务中心');
INSERT INTO `car_proxy` VALUES ('7', null, '陈凤英', '13027499598', '1', '2', '恩施', '', '2', null, '1545880894', '1545880894', '陈凤英销售服务中心');
INSERT INTO `car_proxy` VALUES ('8', null, '唐松群', '13122019000', '1', '2', '恩施', '', '2', null, '1545880967', '1545880967', '唐松群销售服务中心');
INSERT INTO `car_proxy` VALUES ('9', null, '李术和', '13436347831', '1', '2', '北京', '', '2', null, '1545880994', '1545880994', '李术和销售服务中心');
INSERT INTO `car_proxy` VALUES ('10', null, '杨朝均', '13827216909', '1', '2', '成都', '', '2', null, '1545881020', '1545881020', '杨朝均销售服务中心');
INSERT INTO `car_proxy` VALUES ('11', null, '颜雪娥', '13609031591', '1', '2', '广州市', '', '2', null, '1545881041', '1545881041', '颜雪娥销售服务中心');
INSERT INTO `car_proxy` VALUES ('12', null, '陈连武', '18307761933', '1', '2', '百色市右江区', '', '2', null, '1545881072', '1545881072', '陈连武销售服务中心');
INSERT INTO `car_proxy` VALUES ('13', null, '敬春华', '13923153303', '1', '2', '佛山市南海区', '', '2', null, '1545881100', '1545881100', '敬春华销售服务中心');
INSERT INTO `car_proxy` VALUES ('14', null, '杜九君', '13948104127', '1', '2', '北京', '', '2', null, '1545881123', '1545881123', '杜九君销售服务中心');
INSERT INTO `car_proxy` VALUES ('15', null, '李伟', '18947910994', '1', '2', '北京市丰台区', '', '2', null, '1545881148', '1545881148', '李伟销售服务中心');
INSERT INTO `car_proxy` VALUES ('16', null, '曹兴龙', '13680673188', '1', '2', '阳江市', '', '2', null, '1545881165', '1545881165', '曹兴龙销售服务中心');
INSERT INTO `car_proxy` VALUES ('17', null, '罗小云', '18795254054', '1', '2', '中卫海原', '', '2', null, '1545881192', '1545881192', '罗小云销售服务中心');
INSERT INTO `car_proxy` VALUES ('18', null, '唐华丽', '18500610313', '1', '2', '北京市丰台区', '', '2', null, '1545881210', '1545881210', '唐华丽销售服务中心');
INSERT INTO `car_proxy` VALUES ('19', null, '于兴次', '18518335816', '1', '2', '北京市丰台区', '', '2', null, '1545881251', '1545881251', '于兴次销售服务中心');
INSERT INTO `car_proxy` VALUES ('20', null, '胡长勇', '18518085856', '1', '2', '鹤峰县', '', '2', null, '1545881292', '1545881292', '可可销售服务中心');
INSERT INTO `car_proxy` VALUES ('21', null, '邱伟江', '13927784542', '1', '2', '佛山市南海区', '', '2', null, '1545881314', '1545881314', '邱伟江销售服务中心');
INSERT INTO `car_proxy` VALUES ('22', null, '张尧磊', '13372187767', '1', '2', '苏州市', '', '2', null, '1545881339', '1545881339', '张尧磊销售服务中心');
INSERT INTO `car_proxy` VALUES ('23', null, '谭成武', '18025229751', '1', '2', '东莞市大朗区', '', '2', null, '1545881367', '1545881367', '谭成武销售服务中心');
INSERT INTO `car_proxy` VALUES ('24', null, '李国顺', '17371705217', '1', '2', '宜昌市', '', '2', null, '1545881393', '1545881393', '李国顺销售服务中心');
INSERT INTO `car_proxy` VALUES ('25', null, '付敏', '15344267773', '1', '2', '巴彦淖市临河区', '', '2', null, '1545881424', '1545881424', '付敏销售服务中心');
INSERT INTO `car_proxy` VALUES ('26', null, '冯安涛', '18992696699', '1', '2', '北京市', '', '2', null, '1545881454', '1545881454', '北京销售服务中心');
INSERT INTO `car_proxy` VALUES ('27', null, '邓稳固', '18819168466', '1', '2', '广州市白云区', '', '2', null, '1545881477', '1545881477', '稳固销售服务中心');
INSERT INTO `car_proxy` VALUES ('28', null, '苏银平', '13430337066', '1', '2', '汕头市', '', '2', null, '1545881514', '1545881514', '苏银平销售中心');
INSERT INTO `car_proxy` VALUES ('29', null, '王嘉磊', '18647824449', '3', '3', '巴彦淖尔市临河区', '', '2', null, '1545881544', '1545881544', '王嘉磊销售中心');
INSERT INTO `car_proxy` VALUES ('30', null, '陈庆喜', '15327286915', '1', '2', '武汉', '', '2', null, '1545881592', '1545881592', '陈庆喜销售中心');
INSERT INTO `car_proxy` VALUES ('31', null, '丘龙平', '15920729962', '1', '2', '佛山', '', '2', null, '1545881612', '1545881612', '丘龙平销售中心');
INSERT INTO `car_proxy` VALUES ('32', null, '张文军', '13772272392', '1', '2', '延安', '', '2', null, '1545881633', '1545881633', '张文军销售中心');
INSERT INTO `car_proxy` VALUES ('33', null, '梁仲向', '13798731857', '1', '2', '佛山禅城区', '', '2', null, '1545881666', '1545881666', '梁仲向销售中心');
INSERT INTO `car_proxy` VALUES ('34', null, '吴华勇', '15198382930', '1', '2', '昆明', '', '2', null, '1545881685', '1545881685', '吴华勇销售中心');
INSERT INTO `car_proxy` VALUES ('35', null, '赵新华', '13888772586', '1', '2', '昆明', '', '2', null, '1545881703', '1545881703', '赵新华销售中心');
INSERT INTO `car_proxy` VALUES ('36', null, '徐颖', '18327629960', '1', '2', '昆明', '', '2', null, '1545881724', '1545881724', '徐颖销售中心');
INSERT INTO `car_proxy` VALUES ('37', null, '丘珂', '13823409681', '1', '2', '佛山', '', '2', null, '1545881747', '1545881747', '丘珂销售中心');
INSERT INTO `car_proxy` VALUES ('38', null, '常久平', '13644719379', '1', '2', '呼伦贝尔', '', '2', null, '1545881768', '1545881768', '常久平销售中心');
INSERT INTO `car_proxy` VALUES ('39', null, '温小军', '15661076282', '1', '2', '锡林浩特', '', '2', null, '1545881787', '1545881787', '温小军销售中心');
INSERT INTO `car_proxy` VALUES ('40', null, '任军民', '18247447378', '1', '2', '乌兰察布集宁区', '', '2', null, '1545881815', '1545881815', '任军民销售中心');
INSERT INTO `car_proxy` VALUES ('41', null, '任天昊', '15047316336', '1', '2', '鄂尔多斯达拉特旗', '', '2', null, '1545881839', '1545881839', '任天昊销售中心');
INSERT INTO `car_proxy` VALUES ('42', null, '张丽芬', '18747487458', '1', '3', '乌兰察布察右后旗', '', '2', null, '1545881863', '1545881863', '张丽芬销售中心');
INSERT INTO `car_proxy` VALUES ('43', null, '王丽珍', '13537502643', '1', '2', '延安', '', '2', null, '1545881883', '1545881883', '王丽珍销售中心');
INSERT INTO `car_proxy` VALUES ('44', null, '林保嫦', '13553927596', '1', '2', '河源', '', '2', null, '1545881900', '1545881900', '林保嫦销售中心');
INSERT INTO `car_proxy` VALUES ('45', null, '徐俊峰', '13384720756', '1', '2', '张家口', '', '2', null, '1545881918', '1545881918', '徐俊峰销售中心');
INSERT INTO `car_proxy` VALUES ('46', null, '雷刚', '18983618755', '1', '2', '重庆', '', '2', null, '1545881934', '1545881934', '雷刚销售中心');
INSERT INTO `car_proxy` VALUES ('47', null, '张肖克', '18639012416', '1', '2', '内蒙古', '', '2', null, '1545881955', '1545881955', '张肖克销售中心');
INSERT INTO `car_proxy` VALUES ('48', null, '具锦安', '13822799513', '1', '2', '中山坦洲', '', '2', null, '1545881974', '1545881974', '具锦安销售中心');
INSERT INTO `car_proxy` VALUES ('49', null, '何伟荣', '13626193141', '1', '2', '苏州吴江', '', '2', null, '1545881996', '1545881996', '何伟荣销售中心');
INSERT INTO `car_proxy` VALUES ('50', null, '梁妙缘', '13555639686', '1', '2', '江门', '', '2', null, '1545882015', '1545882015', '梁妙缘销售中心');
INSERT INTO `car_proxy` VALUES ('51', null, '苏小红', '13631286386', '1', '2', '中山坦洲', '', '2', null, '1545882033', '1545882033', '苏小红销售中心');
INSERT INTO `car_proxy` VALUES ('52', null, '李庆华', '13809812939', '1', '2', '清远市清新', '', '2', null, '1545882057', '1545882057', '李庆华销售中心');
INSERT INTO `car_proxy` VALUES ('53', null, '苏群珍', '18697943457', '1', '2', '南宁市', '', '2', null, '1545882074', '1545882074', '苏群珍销售中心');
INSERT INTO `car_proxy` VALUES ('54', null, '张永胜', '15604712580', '1', '2', '二连浩特', '', '2', null, '1545882090', '1545882090', '张永胜销售中心');
INSERT INTO `car_proxy` VALUES ('55', null, '张永敏', '13500692255', '1', '2', '鄂尔多斯', '', '2', null, '1545882110', '1545882110', '张永敏销售中心');
INSERT INTO `car_proxy` VALUES ('56', null, '张宏光', '15981632777', '1', '2', '梅河口', '', '2', null, '1545882126', '1545882126', '张宏光销售中心');
INSERT INTO `car_proxy` VALUES ('57', null, '陈玉红', '13724520351', '1', '2', '广州市番禺区', '', '2', null, '1545882146', '1545882146', '陈玉红销售中心');
INSERT INTO `car_proxy` VALUES ('58', null, '陆秋健', '18978597860', '1', '2', '贵港市', '', '2', null, '1545882173', '1545882173', '陆秋健销售中心');
INSERT INTO `car_proxy` VALUES ('59', null, '邱后诚', '13928634719', '1', '2', '佛山市顺德区', '', '2', null, '1545882192', '1545882192', '邱后诚销售中心');
INSERT INTO `car_proxy` VALUES ('60', null, '覃祥', '15815967870', '1', '2', '百色市', '', '2', null, '1545882209', '1545882209', '覃祥销售中心');
INSERT INTO `car_proxy` VALUES ('61', null, '王彩霞', '18947109117', '1', '3', '赤峰市敖汉旗', '', '2', null, '1545882232', '1545882232', '王彩霞销售中心');
INSERT INTO `car_proxy` VALUES ('62', null, '张建叶', '15848132883', '1', '2', '呼和浩特土默特左旗', '', '2', null, '1545882253', '1545882253', '张建叶销售中心');
INSERT INTO `car_proxy` VALUES ('63', null, '田红霞', '18672256043', '1', '2', '恩施市', '', '2', null, '1545882275', '1545882275', '田红霞销售中心');
INSERT INTO `car_proxy` VALUES ('64', null, '王忠凤', '13674744853', '1', '2', '巴彦淖尔', '', '2', null, '1545882293', '1545882293', '王忠凤销售中心');
INSERT INTO `car_proxy` VALUES ('65', null, '杜凝夕', '15897974771', '1', '2', '襄阳市', '', '2', null, '1545882310', '1545882310', '杜凝夕销售中心');
INSERT INTO `car_proxy` VALUES ('66', null, '张进', '13995397039', '1', '2', '银川市', '', '2', null, '1545882328', '1545882328', '张进销售中心');
INSERT INTO `car_proxy` VALUES ('67', null, '唐岩', '18408619543', '1', '2', '银川市', '', '2', null, '1545882378', '1545882378', '唐岩销售中心');
INSERT INTO `car_proxy` VALUES ('68', null, '李小军', '13909517756', '1', '2', '银川市金凤区', '', '2', null, '1545888926', '1545888926', '李小军销售中心');
INSERT INTO `car_proxy` VALUES ('69', null, '孙文霞', '15754968810', '1', '2', '包头市', '', '2', null, '1545888957', '1545888957', '孙文霞销售中心');
INSERT INTO `car_proxy` VALUES ('70', null, '张国华', '18680587996', '1', '2', '江门市', '', '2', null, '1545888980', '1545888980', '张国华销售中心');
INSERT INTO `car_proxy` VALUES ('71', null, '姚惠荣', '15847206670', '1', '2', '包头市东河区', '', '2', null, '1545888999', '1545888999', '姚惠荣销售中心');
INSERT INTO `car_proxy` VALUES ('72', null, '申雪丽', '18992609123', '1', '2', '汉中市', '', '2', null, '1545889019', '1545889019', '申雪丽销售中心');
INSERT INTO `car_proxy` VALUES ('73', null, '邱苏香', '13802945134', '1', '2', '广州市白云区', '', '2', null, '1545889043', '1545889043', '邱苏香销售中心');
INSERT INTO `car_proxy` VALUES ('74', null, '赵四海', '18995007576', '1', '2', '吴忠市', '', '2', null, '1545889065', '1545889065', '赵四海销售中心');
INSERT INTO `car_proxy` VALUES ('75', null, '苏炜辙', '18395296777', '1', '2', '吴忠市', '', '2', null, '1545889093', '1545889093', '苏炜辙销售中心');
INSERT INTO `car_proxy` VALUES ('76', null, '杨威', '18847420633', '1', '3', '乌兰察布四子王旗', '', '2', null, '1545889120', '1545889120', '杨威销售中心');
INSERT INTO `car_proxy` VALUES ('77', null, '王晓萍', '13782763299', '1', '2', '焦作市', '', '2', null, '1545889140', '1545889140', '王晓萍销售中心');
INSERT INTO `car_proxy` VALUES ('78', null, '何宁', '18818715099', '1', '3', '内江市威远县', '', '2', null, '1545889166', '1545889166', '何宁销售中心');
INSERT INTO `car_proxy` VALUES ('79', null, '杨金玲', '15097790017', '1', '2', '保定市', '', '2', null, '1545889189', '1545889189', '杨金玲销售中心');
INSERT INTO `car_proxy` VALUES ('80', null, '杨文会', '15930045948', '1', '2', '保定市', '', '2', null, '1545889208', '1545889208', '杨文会销售中心');
INSERT INTO `car_proxy` VALUES ('81', null, '刘占永', '13723330132', '1', '2', '中卫', '', '2', null, '1545889227', '1545889227', '刘占永销售中心');
INSERT INTO `car_proxy` VALUES ('82', null, '张继平', '13519584448', '1', '2', '银川市', '', '2', null, '1545889247', '1545889247', '张继平销售中心');
INSERT INTO `car_proxy` VALUES ('83', null, '石和军', '15976626151', '1', '2', '珠海市', '', '2', null, '1545889277', '1545889277', '石和军销售中心');
INSERT INTO `car_proxy` VALUES ('84', null, '谭华元', '13348676366', '1', '2', '长沙市', '', '2', null, '1545889298', '1545889298', '谭华元销售中心');
INSERT INTO `car_proxy` VALUES ('85', null, '朱丽萍', '18923059288', '1', '2', '新余', '', '2', null, '1545889320', '1545889320', '朱丽萍销售中心');
INSERT INTO `car_proxy` VALUES ('86', null, '杨万金', '18548174699', '1', '2', '乌兰察布', '', '2', null, '1545889340', '1545889340', '杨万金销售中心');
INSERT INTO `car_proxy` VALUES ('87', null, '卜伟花', '18004747536', '1', '2', '内蒙古四子王旗', '', '2', null, '1545889359', '1545889359', '卜伟花销售中心');
INSERT INTO `car_proxy` VALUES ('88', null, '余功银', '18627779898', '1', '2', '随州市', '', '2', null, '1545889375', '1545889375', '余功银销售中心');
INSERT INTO `car_proxy` VALUES ('89', null, '鸿睿博远总部', '18518085856', '1', '2', '北京', '', '2', null, '1546828091', '1546828091', '鸿睿博远总部');

-- ----------------------------
-- Table structure for `car_region`
-- ----------------------------
DROP TABLE IF EXISTS `car_region`;
CREATE TABLE `car_region` (
  `id` int(10) unsigned NOT NULL,
  `name` varchar(100) NOT NULL,
  `parent_id` int(11) NOT NULL,
  `level` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='地区表';

-- ----------------------------
-- Records of car_region
-- ----------------------------
INSERT INTO `car_region` VALUES ('1', '北京', '0', '0');
INSERT INTO `car_region` VALUES ('2', '上海', '0', '0');
INSERT INTO `car_region` VALUES ('3', '天津', '0', '0');
INSERT INTO `car_region` VALUES ('4', '重庆', '0', '0');
INSERT INTO `car_region` VALUES ('5', '河北', '0', '0');
INSERT INTO `car_region` VALUES ('6', '山西', '0', '0');
INSERT INTO `car_region` VALUES ('7', '河南', '0', '0');
INSERT INTO `car_region` VALUES ('8', '辽宁', '0', '0');
INSERT INTO `car_region` VALUES ('9', '吉林', '0', '0');
INSERT INTO `car_region` VALUES ('10', '黑龙江', '0', '0');
INSERT INTO `car_region` VALUES ('11', '内蒙古', '0', '0');
INSERT INTO `car_region` VALUES ('12', '江苏', '0', '0');
INSERT INTO `car_region` VALUES ('13', '山东', '0', '0');
INSERT INTO `car_region` VALUES ('14', '安徽', '0', '0');
INSERT INTO `car_region` VALUES ('15', '浙江', '0', '0');
INSERT INTO `car_region` VALUES ('16', '福建', '0', '0');
INSERT INTO `car_region` VALUES ('17', '湖北', '0', '0');
INSERT INTO `car_region` VALUES ('18', '湖南', '0', '0');
INSERT INTO `car_region` VALUES ('19', '广东', '0', '0');
INSERT INTO `car_region` VALUES ('20', '广西', '0', '0');
INSERT INTO `car_region` VALUES ('21', '江西', '0', '0');
INSERT INTO `car_region` VALUES ('22', '四川', '0', '0');
INSERT INTO `car_region` VALUES ('23', '海南', '0', '0');
INSERT INTO `car_region` VALUES ('24', '贵州', '0', '0');
INSERT INTO `car_region` VALUES ('25', '云南', '0', '0');
INSERT INTO `car_region` VALUES ('26', '西藏', '0', '0');
INSERT INTO `car_region` VALUES ('27', '陕西', '0', '0');
INSERT INTO `car_region` VALUES ('28', '甘肃', '0', '0');
INSERT INTO `car_region` VALUES ('29', '青海', '0', '0');
INSERT INTO `car_region` VALUES ('30', '宁夏', '0', '0');
INSERT INTO `car_region` VALUES ('31', '新疆', '0', '0');
INSERT INTO `car_region` VALUES ('32', '台湾', '0', '0');
INSERT INTO `car_region` VALUES ('42', '香港', '0', '0');
INSERT INTO `car_region` VALUES ('43', '澳门', '0', '0');
INSERT INTO `car_region` VALUES ('72', '朝阳区', '1', '1');
INSERT INTO `car_region` VALUES ('78', '黄浦区', '2', '1');
INSERT INTO `car_region` VALUES ('79', '内环以内', '78', '2');
INSERT INTO `car_region` VALUES ('80', '内环中环之间', '78', '2');
INSERT INTO `car_region` VALUES ('81', '中环外环之间', '78', '2');
INSERT INTO `car_region` VALUES ('83', '天津市', '3', '1');
INSERT INTO `car_region` VALUES ('84', '钓鱼岛', '0', '0');
INSERT INTO `car_region` VALUES ('85', '西青区', '83', '2');
INSERT INTO `car_region` VALUES ('86', '北辰区（外环外）', '83', '2');
INSERT INTO `car_region` VALUES ('87', '重庆市', '4', '1');
INSERT INTO `car_region` VALUES ('88', '江北区(内环高速以里)', '87', '2');
INSERT INTO `car_region` VALUES ('89', '东丽区（外环内）', '83', '2');
INSERT INTO `car_region` VALUES ('91', '汉沽区', '83', '2');
INSERT INTO `car_region` VALUES ('97', '津南区', '83', '2');
INSERT INTO `car_region` VALUES ('98', '蓟县', '83', '2');
INSERT INTO `car_region` VALUES ('99', '武清县', '83', '2');
INSERT INTO `car_region` VALUES ('100', '宁河县', '83', '2');
INSERT INTO `car_region` VALUES ('101', '宝坻县', '83', '2');
INSERT INTO `car_region` VALUES ('102', '静海县', '83', '2');
INSERT INTO `car_region` VALUES ('103', '渝中区', '87', '2');
INSERT INTO `car_region` VALUES ('104', '巴南区(岔路口往市区以里)', '87', '2');
INSERT INTO `car_region` VALUES ('105', '万盛区', '87', '2');
INSERT INTO `car_region` VALUES ('106', '九龙坡区(内环高速以里)', '87', '2');
INSERT INTO `car_region` VALUES ('107', '沙坪坝区(铁路西站沿线以东及虎溪大学城)', '87', '2');
INSERT INTO `car_region` VALUES ('108', '渝北区（渝北城区、空港、回兴、鸳鸯城区）', '87', '2');
INSERT INTO `car_region` VALUES ('109', '北碚区（主城区内）', '87', '2');
INSERT INTO `car_region` VALUES ('111', '大渡口区(内环高速以里)', '87', '2');
INSERT INTO `car_region` VALUES ('113', '万州区', '87', '2');
INSERT INTO `car_region` VALUES ('114', '涪陵区', '87', '2');
INSERT INTO `car_region` VALUES ('115', '梁平县', '87', '2');
INSERT INTO `car_region` VALUES ('119', '南川区', '87', '2');
INSERT INTO `car_region` VALUES ('123', '潼南县', '87', '2');
INSERT INTO `car_region` VALUES ('126', '大足区', '87', '2');
INSERT INTO `car_region` VALUES ('128', '黔江区', '87', '2');
INSERT INTO `car_region` VALUES ('129', '武隆县', '87', '2');
INSERT INTO `car_region` VALUES ('130', '丰都县', '87', '2');
INSERT INTO `car_region` VALUES ('131', '奉节县', '87', '2');
INSERT INTO `car_region` VALUES ('132', '开县', '87', '2');
INSERT INTO `car_region` VALUES ('133', '云阳县', '87', '2');
INSERT INTO `car_region` VALUES ('134', '忠县', '87', '2');
INSERT INTO `car_region` VALUES ('135', '巫溪县', '87', '2');
INSERT INTO `car_region` VALUES ('136', '巫山县', '87', '2');
INSERT INTO `car_region` VALUES ('137', '石柱县', '87', '2');
INSERT INTO `car_region` VALUES ('138', '彭水县', '87', '2');
INSERT INTO `car_region` VALUES ('139', '垫江县', '87', '2');
INSERT INTO `car_region` VALUES ('140', '酉阳县', '87', '2');
INSERT INTO `car_region` VALUES ('141', '秀山县', '87', '2');
INSERT INTO `car_region` VALUES ('142', '石家庄市', '5', '1');
INSERT INTO `car_region` VALUES ('143', '辛集市', '142', '2');
INSERT INTO `car_region` VALUES ('145', '晋州市', '142', '2');
INSERT INTO `car_region` VALUES ('146', '新乐市', '142', '2');
INSERT INTO `car_region` VALUES ('148', '邯郸市', '5', '1');
INSERT INTO `car_region` VALUES ('153', '井陉县', '142', '2');
INSERT INTO `car_region` VALUES ('154', '栾城县', '142', '2');
INSERT INTO `car_region` VALUES ('155', '正定县', '142', '2');
INSERT INTO `car_region` VALUES ('156', '行唐县', '142', '2');
INSERT INTO `car_region` VALUES ('157', '灵寿县', '142', '2');
INSERT INTO `car_region` VALUES ('158', '高邑县', '142', '2');
INSERT INTO `car_region` VALUES ('159', '赵县', '142', '2');
INSERT INTO `car_region` VALUES ('160', '赞皇县', '142', '2');
INSERT INTO `car_region` VALUES ('161', '深泽县', '142', '2');
INSERT INTO `car_region` VALUES ('162', '无极县', '142', '2');
INSERT INTO `car_region` VALUES ('163', '元氏县', '142', '2');
INSERT INTO `car_region` VALUES ('164', '邢台市', '5', '1');
INSERT INTO `car_region` VALUES ('165', '矿区', '142', '2');
INSERT INTO `car_region` VALUES ('167', '邯郸县', '148', '2');
INSERT INTO `car_region` VALUES ('168', '峰峰矿区', '148', '2');
INSERT INTO `car_region` VALUES ('169', '曲周县', '148', '2');
INSERT INTO `car_region` VALUES ('170', '馆陶县', '148', '2');
INSERT INTO `car_region` VALUES ('171', '魏县', '148', '2');
INSERT INTO `car_region` VALUES ('172', '成安县', '148', '2');
INSERT INTO `car_region` VALUES ('173', '大名县', '148', '2');
INSERT INTO `car_region` VALUES ('174', '涉县', '148', '2');
INSERT INTO `car_region` VALUES ('175', '鸡泽县', '148', '2');
INSERT INTO `car_region` VALUES ('176', '邱县', '148', '2');
INSERT INTO `car_region` VALUES ('177', '广平县', '148', '2');
INSERT INTO `car_region` VALUES ('178', '肥乡县', '148', '2');
INSERT INTO `car_region` VALUES ('180', '磁县', '148', '2');
INSERT INTO `car_region` VALUES ('183', '邢台县', '164', '2');
INSERT INTO `car_region` VALUES ('184', '南宫市', '164', '2');
INSERT INTO `car_region` VALUES ('185', '沙河市', '164', '2');
INSERT INTO `car_region` VALUES ('186', '柏乡县', '164', '2');
INSERT INTO `car_region` VALUES ('187', '任县', '164', '2');
INSERT INTO `car_region` VALUES ('188', '清河县', '164', '2');
INSERT INTO `car_region` VALUES ('189', '隆尧县', '164', '2');
INSERT INTO `car_region` VALUES ('190', '临城县', '164', '2');
INSERT INTO `car_region` VALUES ('191', '广宗县', '164', '2');
INSERT INTO `car_region` VALUES ('192', '临西县', '164', '2');
INSERT INTO `car_region` VALUES ('193', '内丘县', '164', '2');
INSERT INTO `car_region` VALUES ('194', '平乡县', '164', '2');
INSERT INTO `car_region` VALUES ('195', '巨鹿县', '164', '2');
INSERT INTO `car_region` VALUES ('196', '新河县', '164', '2');
INSERT INTO `car_region` VALUES ('197', '南和县', '164', '2');
INSERT INTO `car_region` VALUES ('199', '保定市', '5', '1');
INSERT INTO `car_region` VALUES ('203', '安国市', '199', '2');
INSERT INTO `car_region` VALUES ('205', '满城县', '199', '2');
INSERT INTO `car_region` VALUES ('206', '清苑县', '199', '2');
INSERT INTO `car_region` VALUES ('207', '涞水县', '199', '2');
INSERT INTO `car_region` VALUES ('208', '阜平县', '199', '2');
INSERT INTO `car_region` VALUES ('209', '徐水县', '199', '2');
INSERT INTO `car_region` VALUES ('210', '定兴县', '199', '2');
INSERT INTO `car_region` VALUES ('211', '唐县', '199', '2');
INSERT INTO `car_region` VALUES ('212', '高阳县', '199', '2');
INSERT INTO `car_region` VALUES ('213', '容城县', '199', '2');
INSERT INTO `car_region` VALUES ('214', '涞源县', '199', '2');
INSERT INTO `car_region` VALUES ('215', '望都县', '199', '2');
INSERT INTO `car_region` VALUES ('217', '易县', '199', '2');
INSERT INTO `car_region` VALUES ('218', '曲阳县', '199', '2');
INSERT INTO `car_region` VALUES ('219', '蠡县', '199', '2');
INSERT INTO `car_region` VALUES ('220', '顺平县', '199', '2');
INSERT INTO `car_region` VALUES ('221', '博野县', '199', '2');
INSERT INTO `car_region` VALUES ('222', '雄县', '199', '2');
INSERT INTO `car_region` VALUES ('224', '张家口市', '5', '1');
INSERT INTO `car_region` VALUES ('225', '宣化县', '224', '2');
INSERT INTO `car_region` VALUES ('226', '康保县', '224', '2');
INSERT INTO `car_region` VALUES ('227', '张北县', '224', '2');
INSERT INTO `car_region` VALUES ('228', '阳原县', '224', '2');
INSERT INTO `car_region` VALUES ('229', '赤城县', '224', '2');
INSERT INTO `car_region` VALUES ('230', '怀安县', '224', '2');
INSERT INTO `car_region` VALUES ('231', '怀来县', '224', '2');
INSERT INTO `car_region` VALUES ('232', '崇礼县', '224', '2');
INSERT INTO `car_region` VALUES ('233', '尚义县', '224', '2');
INSERT INTO `car_region` VALUES ('234', '蔚县', '224', '2');
INSERT INTO `car_region` VALUES ('235', '涿鹿县', '224', '2');
INSERT INTO `car_region` VALUES ('236', '万全县', '224', '2');
INSERT INTO `car_region` VALUES ('238', '下花园区', '224', '2');
INSERT INTO `car_region` VALUES ('239', '承德市', '5', '1');
INSERT INTO `car_region` VALUES ('241', '兴隆县', '239', '2');
INSERT INTO `car_region` VALUES ('242', '平泉县', '239', '2');
INSERT INTO `car_region` VALUES ('243', '滦平县', '239', '2');
INSERT INTO `car_region` VALUES ('245', '丰宁满族自治县', '239', '2');
INSERT INTO `car_region` VALUES ('246', '围场满族蒙古族自治县', '239', '2');
INSERT INTO `car_region` VALUES ('247', '宽城满族自治县', '239', '2');
INSERT INTO `car_region` VALUES ('248', '秦皇岛市', '5', '1');
INSERT INTO `car_region` VALUES ('257', '宁晋县', '164', '2');
INSERT INTO `car_region` VALUES ('258', '唐山市', '5', '1');
INSERT INTO `car_region` VALUES ('261', '卢龙县', '248', '2');
INSERT INTO `car_region` VALUES ('262', '青龙满族自治县', '248', '2');
INSERT INTO `car_region` VALUES ('263', '昌黎县', '248', '2');
INSERT INTO `car_region` VALUES ('264', '沧州市', '5', '1');
INSERT INTO `car_region` VALUES ('265', '沧县', '264', '2');
INSERT INTO `car_region` VALUES ('266', '泊头市', '264', '2');
INSERT INTO `car_region` VALUES ('267', '任丘市（新华路街道、西环路街道）', '264', '2');
INSERT INTO `car_region` VALUES ('268', '河间市', '264', '2');
INSERT INTO `car_region` VALUES ('269', '献县', '264', '2');
INSERT INTO `car_region` VALUES ('270', '肃宁县', '264', '2');
INSERT INTO `car_region` VALUES ('271', '青县', '264', '2');
INSERT INTO `car_region` VALUES ('272', '东光县', '264', '2');
INSERT INTO `car_region` VALUES ('273', '吴桥县', '264', '2');
INSERT INTO `car_region` VALUES ('274', '廊坊市', '5', '1');
INSERT INTO `car_region` VALUES ('275', '衡水市', '5', '1');
INSERT INTO `car_region` VALUES ('276', '南皮县', '264', '2');
INSERT INTO `car_region` VALUES ('277', '盐山县', '264', '2');
INSERT INTO `car_region` VALUES ('278', '海兴县', '264', '2');
INSERT INTO `car_region` VALUES ('279', '孟村回族自治县', '264', '2');
INSERT INTO `car_region` VALUES ('283', '三河市(除市区、燕郊开发区以外)', '274', '2');
INSERT INTO `car_region` VALUES ('284', '固安县', '274', '2');
INSERT INTO `car_region` VALUES ('285', '永清县', '274', '2');
INSERT INTO `car_region` VALUES ('286', '香河县', '274', '2');
INSERT INTO `car_region` VALUES ('287', '大城县', '274', '2');
INSERT INTO `car_region` VALUES ('288', '文安县', '274', '2');
INSERT INTO `car_region` VALUES ('289', '大厂回族自治县', '274', '2');
INSERT INTO `car_region` VALUES ('291', '冀州市', '275', '2');
INSERT INTO `car_region` VALUES ('292', '深州市', '275', '2');
INSERT INTO `car_region` VALUES ('293', '饶阳县', '275', '2');
INSERT INTO `car_region` VALUES ('294', '枣强县', '275', '2');
INSERT INTO `car_region` VALUES ('295', '故城县', '275', '2');
INSERT INTO `car_region` VALUES ('296', '阜城县', '275', '2');
INSERT INTO `car_region` VALUES ('297', '安平县', '275', '2');
INSERT INTO `car_region` VALUES ('298', '武邑县', '275', '2');
INSERT INTO `car_region` VALUES ('299', '景县', '275', '2');
INSERT INTO `car_region` VALUES ('300', '武强县', '275', '2');
INSERT INTO `car_region` VALUES ('301', '桃城区(环路以外)', '275', '2');
INSERT INTO `car_region` VALUES ('303', '太原市', '6', '1');
INSERT INTO `car_region` VALUES ('304', '阳曲县', '303', '2');
INSERT INTO `car_region` VALUES ('305', '古交市', '303', '2');
INSERT INTO `car_region` VALUES ('306', '娄烦县', '303', '2');
INSERT INTO `car_region` VALUES ('307', '清徐县', '303', '2');
INSERT INTO `car_region` VALUES ('309', '大同市', '6', '1');
INSERT INTO `car_region` VALUES ('310', '大同县', '309', '2');
INSERT INTO `car_region` VALUES ('311', '天镇县', '309', '2');
INSERT INTO `car_region` VALUES ('312', '灵丘县', '309', '2');
INSERT INTO `car_region` VALUES ('313', '阳高县', '309', '2');
INSERT INTO `car_region` VALUES ('314', '左云县', '309', '2');
INSERT INTO `car_region` VALUES ('315', '浑源县', '309', '2');
INSERT INTO `car_region` VALUES ('316', '广灵县', '309', '2');
INSERT INTO `car_region` VALUES ('318', '阳泉市', '6', '1');
INSERT INTO `car_region` VALUES ('319', '盂县', '318', '2');
INSERT INTO `car_region` VALUES ('320', '平定县', '318', '2');
INSERT INTO `car_region` VALUES ('321', '郊区', '318', '2');
INSERT INTO `car_region` VALUES ('325', '晋城市', '6', '1');
INSERT INTO `car_region` VALUES ('326', '高平市', '325', '2');
INSERT INTO `car_region` VALUES ('327', '阳城县', '325', '2');
INSERT INTO `car_region` VALUES ('328', '沁水县', '325', '2');
INSERT INTO `car_region` VALUES ('329', '陵川县', '325', '2');
INSERT INTO `car_region` VALUES ('330', '朔州市', '6', '1');
INSERT INTO `car_region` VALUES ('331', '山阴县', '330', '2');
INSERT INTO `car_region` VALUES ('332', '右玉县', '330', '2');
INSERT INTO `car_region` VALUES ('333', '应县', '330', '2');
INSERT INTO `car_region` VALUES ('334', '怀仁县', '330', '2');
INSERT INTO `car_region` VALUES ('335', '朔城区', '330', '2');
INSERT INTO `car_region` VALUES ('336', '晋中市', '6', '1');
INSERT INTO `car_region` VALUES ('337', '榆次区(东、西、南环路以内，龙湖街以南)', '336', '2');
INSERT INTO `car_region` VALUES ('338', '介休市', '336', '2');
INSERT INTO `car_region` VALUES ('339', '昔阳县', '336', '2');
INSERT INTO `car_region` VALUES ('341', '祁县', '336', '2');
INSERT INTO `car_region` VALUES ('342', '左权县', '336', '2');
INSERT INTO `car_region` VALUES ('343', '寿阳县', '336', '2');
INSERT INTO `car_region` VALUES ('344', '太谷县', '336', '2');
INSERT INTO `car_region` VALUES ('345', '和顺县', '336', '2');
INSERT INTO `car_region` VALUES ('346', '灵石县', '336', '2');
INSERT INTO `car_region` VALUES ('347', '平遥县', '336', '2');
INSERT INTO `car_region` VALUES ('348', '榆社县', '336', '2');
INSERT INTO `car_region` VALUES ('350', '忻州市', '6', '1');
INSERT INTO `car_region` VALUES ('351', '原平市', '350', '2');
INSERT INTO `car_region` VALUES ('352', '代县', '350', '2');
INSERT INTO `car_region` VALUES ('353', '神池县', '350', '2');
INSERT INTO `car_region` VALUES ('354', '五寨县', '350', '2');
INSERT INTO `car_region` VALUES ('357', '綦江县', '87', '2');
INSERT INTO `car_region` VALUES ('358', '五台县', '350', '2');
INSERT INTO `car_region` VALUES ('359', '偏关县', '350', '2');
INSERT INTO `car_region` VALUES ('360', '宁武县', '350', '2');
INSERT INTO `car_region` VALUES ('361', '静乐县', '350', '2');
INSERT INTO `car_region` VALUES ('362', '繁峙县', '350', '2');
INSERT INTO `car_region` VALUES ('363', '河曲县', '350', '2');
INSERT INTO `car_region` VALUES ('364', '保德县', '350', '2');
INSERT INTO `car_region` VALUES ('365', '定襄县', '350', '2');
INSERT INTO `car_region` VALUES ('366', '忻府区', '350', '2');
INSERT INTO `car_region` VALUES ('367', '岢岚县', '350', '2');
INSERT INTO `car_region` VALUES ('368', '吕梁市', '6', '1');
INSERT INTO `car_region` VALUES ('369', '离石区', '368', '2');
INSERT INTO `car_region` VALUES ('370', '孝义市', '368', '2');
INSERT INTO `car_region` VALUES ('371', '汾阳市', '368', '2');
INSERT INTO `car_region` VALUES ('372', '文水县', '368', '2');
INSERT INTO `car_region` VALUES ('373', '中阳县', '368', '2');
INSERT INTO `car_region` VALUES ('374', '兴县', '368', '2');
INSERT INTO `car_region` VALUES ('375', '临县', '368', '2');
INSERT INTO `car_region` VALUES ('376', '方山县', '368', '2');
INSERT INTO `car_region` VALUES ('377', '柳林县', '368', '2');
INSERT INTO `car_region` VALUES ('378', '岚县', '368', '2');
INSERT INTO `car_region` VALUES ('379', '临汾市', '6', '1');
INSERT INTO `car_region` VALUES ('380', '侯马市', '379', '2');
INSERT INTO `car_region` VALUES ('381', '霍州市', '379', '2');
INSERT INTO `car_region` VALUES ('382', '汾西县', '379', '2');
INSERT INTO `car_region` VALUES ('383', '吉县', '379', '2');
INSERT INTO `car_region` VALUES ('384', '安泽县', '379', '2');
INSERT INTO `car_region` VALUES ('386', '浮山县', '379', '2');
INSERT INTO `car_region` VALUES ('387', '大宁县', '379', '2');
INSERT INTO `car_region` VALUES ('388', '古县', '379', '2');
INSERT INTO `car_region` VALUES ('389', '隰　县', '379', '2');
INSERT INTO `car_region` VALUES ('390', '襄汾县', '379', '2');
INSERT INTO `car_region` VALUES ('391', '翼城县', '379', '2');
INSERT INTO `car_region` VALUES ('392', '永和县', '379', '2');
INSERT INTO `car_region` VALUES ('393', '乡宁县', '379', '2');
INSERT INTO `car_region` VALUES ('395', '洪洞县', '379', '2');
INSERT INTO `car_region` VALUES ('396', '蒲县', '379', '2');
INSERT INTO `car_region` VALUES ('398', '运城市', '6', '1');
INSERT INTO `car_region` VALUES ('399', '河津市', '398', '2');
INSERT INTO `car_region` VALUES ('400', '永济市', '398', '2');
INSERT INTO `car_region` VALUES ('402', '新绛县', '398', '2');
INSERT INTO `car_region` VALUES ('403', '平陆县', '398', '2');
INSERT INTO `car_region` VALUES ('404', '垣曲县', '398', '2');
INSERT INTO `car_region` VALUES ('405', '绛县', '398', '2');
INSERT INTO `car_region` VALUES ('406', '稷山县', '398', '2');
INSERT INTO `car_region` VALUES ('407', '芮城县', '398', '2');
INSERT INTO `car_region` VALUES ('408', '夏县', '398', '2');
INSERT INTO `car_region` VALUES ('409', '临猗县', '398', '2');
INSERT INTO `car_region` VALUES ('410', '万荣县', '398', '2');
INSERT INTO `car_region` VALUES ('412', '郑州市', '7', '1');
INSERT INTO `car_region` VALUES ('413', '巩义市', '412', '2');
INSERT INTO `car_region` VALUES ('415', '新密市', '412', '2');
INSERT INTO `car_region` VALUES ('416', '登封市', '412', '2');
INSERT INTO `car_region` VALUES ('417', '中牟县', '412', '2');
INSERT INTO `car_region` VALUES ('420', '开封市', '7', '1');
INSERT INTO `car_region` VALUES ('421', '开封县', '420', '2');
INSERT INTO `car_region` VALUES ('422', '杞县', '420', '2');
INSERT INTO `car_region` VALUES ('423', '兰考县', '420', '2');
INSERT INTO `car_region` VALUES ('425', '尉氏县', '420', '2');
INSERT INTO `car_region` VALUES ('427', '洛阳市', '7', '1');
INSERT INTO `car_region` VALUES ('428', '偃师市', '427', '2');
INSERT INTO `car_region` VALUES ('429', '孟津县', '427', '2');
INSERT INTO `car_region` VALUES ('430', '汝阳县', '427', '2');
INSERT INTO `car_region` VALUES ('431', '伊川县', '427', '2');
INSERT INTO `car_region` VALUES ('432', '洛宁县', '427', '2');
INSERT INTO `car_region` VALUES ('434', '宜阳县', '427', '2');
INSERT INTO `car_region` VALUES ('435', '栾川县', '427', '2');
INSERT INTO `car_region` VALUES ('436', '新安县', '427', '2');
INSERT INTO `car_region` VALUES ('438', '平顶山市', '7', '1');
INSERT INTO `car_region` VALUES ('439', '汝州市', '438', '2');
INSERT INTO `car_region` VALUES ('440', '舞钢市', '438', '2');
INSERT INTO `car_region` VALUES ('441', '郏县', '438', '2');
INSERT INTO `car_region` VALUES ('442', '叶县', '438', '2');
INSERT INTO `car_region` VALUES ('443', '鲁山县', '438', '2');
INSERT INTO `car_region` VALUES ('444', '宝丰县', '438', '2');
INSERT INTO `car_region` VALUES ('446', '焦作市', '7', '1');
INSERT INTO `car_region` VALUES ('447', '沁阳市', '446', '2');
INSERT INTO `car_region` VALUES ('448', '孟州市', '446', '2');
INSERT INTO `car_region` VALUES ('449', '修武县', '446', '2');
INSERT INTO `car_region` VALUES ('450', '温县', '446', '2');
INSERT INTO `car_region` VALUES ('451', '武陟县', '446', '2');
INSERT INTO `car_region` VALUES ('452', '博爱县', '446', '2');
INSERT INTO `car_region` VALUES ('453', '山阳区', '446', '2');
INSERT INTO `car_region` VALUES ('454', '鹤壁市', '7', '1');
INSERT INTO `car_region` VALUES ('455', '浚县', '454', '2');
INSERT INTO `car_region` VALUES ('456', '淇县', '454', '2');
INSERT INTO `car_region` VALUES ('457', '鹤山区', '454', '2');
INSERT INTO `car_region` VALUES ('458', '新乡市', '7', '1');
INSERT INTO `car_region` VALUES ('459', '卫辉市', '458', '2');
INSERT INTO `car_region` VALUES ('460', '辉县市', '458', '2');
INSERT INTO `car_region` VALUES ('461', '新乡县', '458', '2');
INSERT INTO `car_region` VALUES ('462', '获嘉县', '458', '2');
INSERT INTO `car_region` VALUES ('463', '原阳县', '458', '2');
INSERT INTO `car_region` VALUES ('464', '长垣县', '458', '2');
INSERT INTO `car_region` VALUES ('465', '延津县', '458', '2');
INSERT INTO `car_region` VALUES ('466', '封丘县', '458', '2');
INSERT INTO `car_region` VALUES ('468', '安阳市', '7', '1');
INSERT INTO `car_region` VALUES ('469', '林州市', '468', '2');
INSERT INTO `car_region` VALUES ('470', '安阳县', '468', '2');
INSERT INTO `car_region` VALUES ('471', '滑县', '468', '2');
INSERT INTO `car_region` VALUES ('472', '汤阴县', '468', '2');
INSERT INTO `car_region` VALUES ('473', '内黄县', '468', '2');
INSERT INTO `car_region` VALUES ('474', '龙安区（文昌大道以北，华祥路以东）', '468', '2');
INSERT INTO `car_region` VALUES ('475', '濮阳市', '7', '1');
INSERT INTO `car_region` VALUES ('476', '濮阳县', '475', '2');
INSERT INTO `car_region` VALUES ('477', '南乐县', '475', '2');
INSERT INTO `car_region` VALUES ('478', '台前县', '475', '2');
INSERT INTO `car_region` VALUES ('479', '清丰县', '475', '2');
INSERT INTO `car_region` VALUES ('480', '范县', '475', '2');
INSERT INTO `car_region` VALUES ('481', '华龙区', '475', '2');
INSERT INTO `car_region` VALUES ('482', '许昌市', '7', '1');
INSERT INTO `car_region` VALUES ('483', '禹州市', '482', '2');
INSERT INTO `car_region` VALUES ('484', '长葛市', '482', '2');
INSERT INTO `car_region` VALUES ('485', '许昌县', '482', '2');
INSERT INTO `car_region` VALUES ('486', '鄢陵县', '482', '2');
INSERT INTO `car_region` VALUES ('487', '襄城县', '482', '2');
INSERT INTO `car_region` VALUES ('488', '魏都区', '482', '2');
INSERT INTO `car_region` VALUES ('489', '漯河市', '7', '1');
INSERT INTO `car_region` VALUES ('490', '郾城区', '489', '2');
INSERT INTO `car_region` VALUES ('492', '临颍县', '489', '2');
INSERT INTO `car_region` VALUES ('493', '召陵区', '489', '2');
INSERT INTO `car_region` VALUES ('494', '舞阳县', '489', '2');
INSERT INTO `car_region` VALUES ('495', '三门峡市', '7', '1');
INSERT INTO `car_region` VALUES ('496', '义马市', '495', '2');
INSERT INTO `car_region` VALUES ('497', '灵宝市', '495', '2');
INSERT INTO `car_region` VALUES ('498', '陕县', '495', '2');
INSERT INTO `car_region` VALUES ('499', '卢氏县', '495', '2');
INSERT INTO `car_region` VALUES ('501', '湖滨区（连霍高速以北，陇海铁路以西城区）', '495', '2');
INSERT INTO `car_region` VALUES ('502', '南阳市', '7', '1');
INSERT INTO `car_region` VALUES ('503', '邓州市', '502', '2');
INSERT INTO `car_region` VALUES ('504', '桐柏县', '502', '2');
INSERT INTO `car_region` VALUES ('505', '方城县', '502', '2');
INSERT INTO `car_region` VALUES ('506', '淅川县', '502', '2');
INSERT INTO `car_region` VALUES ('507', '镇平县', '502', '2');
INSERT INTO `car_region` VALUES ('508', '唐河县', '502', '2');
INSERT INTO `car_region` VALUES ('509', '南召县', '502', '2');
INSERT INTO `car_region` VALUES ('510', '内乡县', '502', '2');
INSERT INTO `car_region` VALUES ('511', '新野县', '502', '2');
INSERT INTO `car_region` VALUES ('512', '社旗县', '502', '2');
INSERT INTO `car_region` VALUES ('515', '西峡县', '502', '2');
INSERT INTO `car_region` VALUES ('516', '卧龙区(北环路以南,北京路以东)', '502', '2');
INSERT INTO `car_region` VALUES ('517', '商丘市', '7', '1');
INSERT INTO `car_region` VALUES ('518', '永城市', '517', '2');
INSERT INTO `car_region` VALUES ('519', '宁陵县', '517', '2');
INSERT INTO `car_region` VALUES ('520', '虞城县', '517', '2');
INSERT INTO `car_region` VALUES ('521', '民权县', '517', '2');
INSERT INTO `car_region` VALUES ('522', '夏邑县', '517', '2');
INSERT INTO `car_region` VALUES ('523', '柘城县', '517', '2');
INSERT INTO `car_region` VALUES ('524', '睢县', '517', '2');
INSERT INTO `car_region` VALUES ('526', '睢阳区（南环路内）', '517', '2');
INSERT INTO `car_region` VALUES ('527', '周口市', '7', '1');
INSERT INTO `car_region` VALUES ('529', '项城市', '527', '2');
INSERT INTO `car_region` VALUES ('530', '商水县', '527', '2');
INSERT INTO `car_region` VALUES ('531', '淮阳县', '527', '2');
INSERT INTO `car_region` VALUES ('532', '太康县', '527', '2');
INSERT INTO `car_region` VALUES ('533', '鹿邑县', '527', '2');
INSERT INTO `car_region` VALUES ('534', '西华县', '527', '2');
INSERT INTO `car_region` VALUES ('535', '扶沟县', '527', '2');
INSERT INTO `car_region` VALUES ('536', '沈丘县', '527', '2');
INSERT INTO `car_region` VALUES ('537', '郸城县', '527', '2');
INSERT INTO `car_region` VALUES ('538', '驻马店市', '7', '1');
INSERT INTO `car_region` VALUES ('540', '确山县', '538', '2');
INSERT INTO `car_region` VALUES ('541', '新蔡县', '538', '2');
INSERT INTO `car_region` VALUES ('542', '上蔡县', '538', '2');
INSERT INTO `car_region` VALUES ('543', '泌阳县', '538', '2');
INSERT INTO `car_region` VALUES ('544', '西平县', '538', '2');
INSERT INTO `car_region` VALUES ('545', '遂平县', '538', '2');
INSERT INTO `car_region` VALUES ('546', '汝南县', '538', '2');
INSERT INTO `car_region` VALUES ('547', '平舆县', '538', '2');
INSERT INTO `car_region` VALUES ('548', '正阳县', '538', '2');
INSERT INTO `car_region` VALUES ('549', '信阳市', '7', '1');
INSERT INTO `car_region` VALUES ('551', '潢川县', '549', '2');
INSERT INTO `car_region` VALUES ('552', '淮滨县', '549', '2');
INSERT INTO `car_region` VALUES ('553', '息县', '549', '2');
INSERT INTO `car_region` VALUES ('554', '新县', '549', '2');
INSERT INTO `car_region` VALUES ('556', '固始县', '549', '2');
INSERT INTO `car_region` VALUES ('557', '罗山县', '549', '2');
INSERT INTO `car_region` VALUES ('558', '光山县', '549', '2');
INSERT INTO `car_region` VALUES ('559', '平桥区(市区内)', '549', '2');
INSERT INTO `car_region` VALUES ('560', '沈阳市', '8', '1');
INSERT INTO `car_region` VALUES ('561', '皇姑区(三环内)', '560', '2');
INSERT INTO `car_region` VALUES ('562', '铁西区(三环内)', '560', '2');
INSERT INTO `car_region` VALUES ('563', '大东区(三环内)', '560', '2');
INSERT INTO `car_region` VALUES ('564', '沈河区(三环内)', '560', '2');
INSERT INTO `car_region` VALUES ('565', '东陵区(三环内)', '560', '2');
INSERT INTO `car_region` VALUES ('566', '于洪区(三环内)', '560', '2');
INSERT INTO `car_region` VALUES ('567', '苏家屯区', '560', '2');
INSERT INTO `car_region` VALUES ('569', '新民市', '560', '2');
INSERT INTO `car_region` VALUES ('570', '法库县', '560', '2');
INSERT INTO `car_region` VALUES ('571', '辽中县', '560', '2');
INSERT INTO `car_region` VALUES ('572', '康平县', '560', '2');
INSERT INTO `car_region` VALUES ('573', '大连市', '8', '1');
INSERT INTO `car_region` VALUES ('574', '普兰店市', '573', '2');
INSERT INTO `car_region` VALUES ('575', '瓦房店市', '573', '2');
INSERT INTO `car_region` VALUES ('576', '庄河市', '573', '2');
INSERT INTO `car_region` VALUES ('577', '长海县', '573', '2');
INSERT INTO `car_region` VALUES ('579', '鞍山市', '8', '1');
INSERT INTO `car_region` VALUES ('580', '台安县', '579', '2');
INSERT INTO `car_region` VALUES ('581', '海城市', '579', '2');
INSERT INTO `car_region` VALUES ('583', '岫岩满族自治县', '579', '2');
INSERT INTO `car_region` VALUES ('584', '抚顺市', '8', '1');
INSERT INTO `car_region` VALUES ('585', '抚顺县', '584', '2');
INSERT INTO `car_region` VALUES ('586', '新宾满族自治县', '584', '2');
INSERT INTO `car_region` VALUES ('587', '清原满族自治县', '584', '2');
INSERT INTO `car_region` VALUES ('589', '本溪市', '8', '1');
INSERT INTO `car_region` VALUES ('590', '本溪满族自治县（县城内）', '589', '2');
INSERT INTO `car_region` VALUES ('591', '桓仁满族自治县', '589', '2');
INSERT INTO `car_region` VALUES ('593', '丹东市', '8', '1');
INSERT INTO `car_region` VALUES ('594', '东港市(光瓦线以北,G201以东)', '593', '2');
INSERT INTO `car_region` VALUES ('595', '凤城市（G304国道以西，丹沈铁路以东）', '593', '2');
INSERT INTO `car_region` VALUES ('596', '宽甸满族自治县', '593', '2');
INSERT INTO `car_region` VALUES ('598', '锦州市', '8', '1');
INSERT INTO `car_region` VALUES ('599', '义县', '598', '2');
INSERT INTO `car_region` VALUES ('600', '凌海市', '598', '2');
INSERT INTO `car_region` VALUES ('601', '北镇市', '598', '2');
INSERT INTO `car_region` VALUES ('602', '黑山县', '598', '2');
INSERT INTO `car_region` VALUES ('604', '葫芦岛市', '8', '1');
INSERT INTO `car_region` VALUES ('605', '兴城市(兴城河以北,京哈高速以东)', '604', '2');
INSERT INTO `car_region` VALUES ('606', '绥中县', '604', '2');
INSERT INTO `car_region` VALUES ('607', '建昌县', '604', '2');
INSERT INTO `car_region` VALUES ('608', '南票区', '604', '2');
INSERT INTO `car_region` VALUES ('609', '营口市', '8', '1');
INSERT INTO `car_region` VALUES ('610', '大石桥市', '609', '2');
INSERT INTO `car_region` VALUES ('611', '盖州市', '609', '2');
INSERT INTO `car_region` VALUES ('613', '盘锦市', '8', '1');
INSERT INTO `car_region` VALUES ('614', '盘山县', '613', '2');
INSERT INTO `car_region` VALUES ('615', '大洼县', '613', '2');
INSERT INTO `car_region` VALUES ('617', '阜新市', '8', '1');
INSERT INTO `car_region` VALUES ('618', '阜新蒙古族自治县', '617', '2');
INSERT INTO `car_region` VALUES ('619', '彰武县', '617', '2');
INSERT INTO `car_region` VALUES ('621', '辽阳市', '8', '1');
INSERT INTO `car_region` VALUES ('622', '灯塔市', '621', '2');
INSERT INTO `car_region` VALUES ('623', '辽阳县', '621', '2');
INSERT INTO `car_region` VALUES ('632', '朝阳市', '8', '1');
INSERT INTO `car_region` VALUES ('633', '凌源市', '632', '2');
INSERT INTO `car_region` VALUES ('634', '北票市', '632', '2');
INSERT INTO `car_region` VALUES ('635', '喀喇沁左翼蒙古族自治县', '632', '2');
INSERT INTO `car_region` VALUES ('636', '朝阳县', '632', '2');
INSERT INTO `car_region` VALUES ('637', '建平县', '632', '2');
INSERT INTO `car_region` VALUES ('638', '双塔区(黄河路南,农科院北,中山大街西,麒麟大街东)', '632', '2');
INSERT INTO `car_region` VALUES ('639', '长春市', '9', '1');
INSERT INTO `car_region` VALUES ('640', '榆树市', '639', '2');
INSERT INTO `car_region` VALUES ('641', '九台市', '639', '2');
INSERT INTO `car_region` VALUES ('642', '农安县', '639', '2');
INSERT INTO `car_region` VALUES ('643', '朝阳区(南环城路蔚山路以北)', '639', '2');
INSERT INTO `car_region` VALUES ('644', '吉林市', '9', '1');
INSERT INTO `car_region` VALUES ('645', '舒兰市', '644', '2');
INSERT INTO `car_region` VALUES ('646', '桦甸市', '644', '2');
INSERT INTO `car_region` VALUES ('647', '蛟河市', '644', '2');
INSERT INTO `car_region` VALUES ('648', '磐石市', '644', '2');
INSERT INTO `car_region` VALUES ('649', '永吉县', '644', '2');
INSERT INTO `car_region` VALUES ('650', '丰满区(深中路以北,南山街以西)', '644', '2');
INSERT INTO `car_region` VALUES ('651', '四平市', '9', '1');
INSERT INTO `car_region` VALUES ('652', '公主岭市', '651', '2');
INSERT INTO `car_region` VALUES ('653', '双辽市', '651', '2');
INSERT INTO `car_region` VALUES ('654', '梨树县', '651', '2');
INSERT INTO `car_region` VALUES ('656', '伊通满族自治县', '651', '2');
INSERT INTO `car_region` VALUES ('657', '通化市', '9', '1');
INSERT INTO `car_region` VALUES ('658', '梅河口市', '657', '2');
INSERT INTO `car_region` VALUES ('659', '集安市', '657', '2');
INSERT INTO `car_region` VALUES ('660', '通化县', '657', '2');
INSERT INTO `car_region` VALUES ('661', '辉南县', '657', '2');
INSERT INTO `car_region` VALUES ('662', '柳河县', '657', '2');
INSERT INTO `car_region` VALUES ('663', '二道江区', '657', '2');
INSERT INTO `car_region` VALUES ('664', '白山市', '9', '1');
INSERT INTO `car_region` VALUES ('665', '临江市', '664', '2');
INSERT INTO `car_region` VALUES ('669', '江源区', '664', '2');
INSERT INTO `car_region` VALUES ('670', '浑江区（北安大街南，南环路北，浑江西桥东，九中西）', '664', '2');
INSERT INTO `car_region` VALUES ('671', '靖宇县', '664', '2');
INSERT INTO `car_region` VALUES ('672', '抚松县', '664', '2');
INSERT INTO `car_region` VALUES ('673', '长白朝鲜族自治县', '664', '2');
INSERT INTO `car_region` VALUES ('674', '松原市', '9', '1');
INSERT INTO `car_region` VALUES ('675', '乾安县', '674', '2');
INSERT INTO `car_region` VALUES ('676', '长岭县', '674', '2');
INSERT INTO `car_region` VALUES ('677', '扶余县', '674', '2');
INSERT INTO `car_region` VALUES ('678', '前郭尔罗斯蒙古族自治县(昆江街东,哈达大街西)', '674', '2');
INSERT INTO `car_region` VALUES ('679', '宁江区(建华路北,和平路南,青年大街东)', '674', '2');
INSERT INTO `car_region` VALUES ('681', '白城市', '9', '1');
INSERT INTO `car_region` VALUES ('682', '大安市', '681', '2');
INSERT INTO `car_region` VALUES ('683', '洮南市', '681', '2');
INSERT INTO `car_region` VALUES ('684', '通榆县', '681', '2');
INSERT INTO `car_region` VALUES ('685', '镇赍市', '681', '2');
INSERT INTO `car_region` VALUES ('686', '洮北区', '681', '2');
INSERT INTO `car_region` VALUES ('687', '延边朝鲜族自治州', '9', '1');
INSERT INTO `car_region` VALUES ('688', '延吉市(新民街东,延北加油站南,新进街西,延龙路北)', '687', '2');
INSERT INTO `car_region` VALUES ('698', '哈尔滨市', '10', '1');
INSERT INTO `car_region` VALUES ('699', '阿城区', '698', '2');
INSERT INTO `car_region` VALUES ('700', '尚志市', '698', '2');
INSERT INTO `car_region` VALUES ('701', '双城市', '698', '2');
INSERT INTO `car_region` VALUES ('702', '五常市', '698', '2');
INSERT INTO `car_region` VALUES ('703', '呼兰区(仅限大学城)', '698', '2');
INSERT INTO `car_region` VALUES ('704', '方正县', '698', '2');
INSERT INTO `car_region` VALUES ('705', '宾县', '698', '2');
INSERT INTO `car_region` VALUES ('706', '依兰县', '698', '2');
INSERT INTO `car_region` VALUES ('707', '巴彦县', '698', '2');
INSERT INTO `car_region` VALUES ('708', '通河县', '698', '2');
INSERT INTO `car_region` VALUES ('709', '木兰县', '698', '2');
INSERT INTO `car_region` VALUES ('710', '延寿县', '698', '2');
INSERT INTO `car_region` VALUES ('712', '齐齐哈尔市', '10', '1');
INSERT INTO `car_region` VALUES ('713', '梅里斯达斡尔族区', '712', '2');
INSERT INTO `car_region` VALUES ('714', '昂昂溪区', '712', '2');
INSERT INTO `car_region` VALUES ('715', '富拉尔基区', '712', '2');
INSERT INTO `car_region` VALUES ('716', '碾子山区', '712', '2');
INSERT INTO `car_region` VALUES ('717', '讷河市', '712', '2');
INSERT INTO `car_region` VALUES ('718', '富裕县', '712', '2');
INSERT INTO `car_region` VALUES ('719', '拜泉县', '712', '2');
INSERT INTO `car_region` VALUES ('720', '甘南县', '712', '2');
INSERT INTO `car_region` VALUES ('721', '依安县', '712', '2');
INSERT INTO `car_region` VALUES ('722', '克山县', '712', '2');
INSERT INTO `car_region` VALUES ('723', '龙江县', '712', '2');
INSERT INTO `car_region` VALUES ('724', '克东县', '712', '2');
INSERT INTO `car_region` VALUES ('725', '泰来县', '712', '2');
INSERT INTO `car_region` VALUES ('727', '鹤岗市', '10', '1');
INSERT INTO `car_region` VALUES ('728', '萝北县', '727', '2');
INSERT INTO `car_region` VALUES ('729', '绥宾县', '727', '2');
INSERT INTO `car_region` VALUES ('731', '双鸭山市', '10', '1');
INSERT INTO `car_region` VALUES ('733', '集贤县', '731', '2');
INSERT INTO `car_region` VALUES ('734', '宝清县', '731', '2');
INSERT INTO `car_region` VALUES ('735', '友谊县', '731', '2');
INSERT INTO `car_region` VALUES ('736', '饶河县', '731', '2');
INSERT INTO `car_region` VALUES ('737', '鸡西市', '10', '1');
INSERT INTO `car_region` VALUES ('739', '密山市', '737', '2');
INSERT INTO `car_region` VALUES ('740', '虎林市', '737', '2');
INSERT INTO `car_region` VALUES ('741', '鸡东县', '737', '2');
INSERT INTO `car_region` VALUES ('742', '大庆市', '10', '1');
INSERT INTO `car_region` VALUES ('744', '萨尔图区', '742', '2');
INSERT INTO `car_region` VALUES ('745', '龙凤区', '742', '2');
INSERT INTO `car_region` VALUES ('746', '让胡路区', '742', '2');
INSERT INTO `car_region` VALUES ('747', '红岗区', '742', '2');
INSERT INTO `car_region` VALUES ('748', '大同区', '742', '2');
INSERT INTO `car_region` VALUES ('749', '林甸县', '742', '2');
INSERT INTO `car_region` VALUES ('750', '肇州县', '742', '2');
INSERT INTO `car_region` VALUES ('751', '肇源县', '742', '2');
INSERT INTO `car_region` VALUES ('752', '杜尔伯特蒙古族', '742', '2');
INSERT INTO `car_region` VALUES ('753', '伊春市', '10', '1');
INSERT INTO `car_region` VALUES ('754', '铁力市', '753', '2');
INSERT INTO `car_region` VALUES ('755', '嘉荫县', '753', '2');
INSERT INTO `car_region` VALUES ('757', '牡丹江市', '10', '1');
INSERT INTO `car_region` VALUES ('758', '海林市', '757', '2');
INSERT INTO `car_region` VALUES ('760', '宁安市', '757', '2');
INSERT INTO `car_region` VALUES ('761', '穆棱市', '757', '2');
INSERT INTO `car_region` VALUES ('762', '林口县', '757', '2');
INSERT INTO `car_region` VALUES ('763', '东宁县', '757', '2');
INSERT INTO `car_region` VALUES ('765', '佳木斯市', '10', '1');
INSERT INTO `car_region` VALUES ('766', '同江市', '765', '2');
INSERT INTO `car_region` VALUES ('767', '富锦市', '765', '2');
INSERT INTO `car_region` VALUES ('768', '桦川县', '765', '2');
INSERT INTO `car_region` VALUES ('769', '抚远县', '765', '2');
INSERT INTO `car_region` VALUES ('770', '桦南县', '765', '2');
INSERT INTO `car_region` VALUES ('771', '汤原县', '765', '2');
INSERT INTO `car_region` VALUES ('773', '七台河市', '10', '1');
INSERT INTO `car_region` VALUES ('774', '勃利县', '773', '2');
INSERT INTO `car_region` VALUES ('776', '黑河市', '10', '1');
INSERT INTO `car_region` VALUES ('777', '北安市', '776', '2');
INSERT INTO `car_region` VALUES ('778', '五大连池市', '776', '2');
INSERT INTO `car_region` VALUES ('779', '逊克县', '776', '2');
INSERT INTO `car_region` VALUES ('780', '孙吴县', '776', '2');
INSERT INTO `car_region` VALUES ('782', '绥化市', '10', '1');
INSERT INTO `car_region` VALUES ('784', '安达市', '782', '2');
INSERT INTO `car_region` VALUES ('785', '肇东市', '782', '2');
INSERT INTO `car_region` VALUES ('786', '海伦市', '782', '2');
INSERT INTO `car_region` VALUES ('787', '绥棱县', '782', '2');
INSERT INTO `car_region` VALUES ('788', '兰西县', '782', '2');
INSERT INTO `car_region` VALUES ('789', '明水县', '782', '2');
INSERT INTO `car_region` VALUES ('790', '青冈县', '782', '2');
INSERT INTO `car_region` VALUES ('791', '庆安县', '782', '2');
INSERT INTO `car_region` VALUES ('792', '望奎县', '782', '2');
INSERT INTO `car_region` VALUES ('793', '大兴安岭地区', '10', '1');
INSERT INTO `car_region` VALUES ('794', '呼玛县', '793', '2');
INSERT INTO `car_region` VALUES ('795', '塔河县', '793', '2');
INSERT INTO `car_region` VALUES ('796', '漠河县', '793', '2');
INSERT INTO `car_region` VALUES ('799', '呼和浩特市', '11', '1');
INSERT INTO `car_region` VALUES ('801', '土默特左旗', '799', '2');
INSERT INTO `car_region` VALUES ('802', '和林格尔县', '799', '2');
INSERT INTO `car_region` VALUES ('803', '武川县', '799', '2');
INSERT INTO `car_region` VALUES ('804', '托克托县', '799', '2');
INSERT INTO `car_region` VALUES ('805', '包头市', '11', '1');
INSERT INTO `car_region` VALUES ('807', '固阳县', '805', '2');
INSERT INTO `car_region` VALUES ('808', '土默特右旗', '805', '2');
INSERT INTO `car_region` VALUES ('809', '达尔罕茂明安联合旗', '805', '2');
INSERT INTO `car_region` VALUES ('810', '乌海市', '11', '1');
INSERT INTO `car_region` VALUES ('811', '海勃湾区', '810', '2');
INSERT INTO `car_region` VALUES ('812', '赤峰市', '11', '1');
INSERT INTO `car_region` VALUES ('814', '宁城县', '812', '2');
INSERT INTO `car_region` VALUES ('815', '敖汉旗', '812', '2');
INSERT INTO `car_region` VALUES ('816', '喀喇沁旗', '812', '2');
INSERT INTO `car_region` VALUES ('817', '翁牛特旗', '812', '2');
INSERT INTO `car_region` VALUES ('818', '巴林右旗', '812', '2');
INSERT INTO `car_region` VALUES ('819', '林西县', '812', '2');
INSERT INTO `car_region` VALUES ('820', '克什克腾旗', '812', '2');
INSERT INTO `car_region` VALUES ('821', '巴林左旗', '812', '2');
INSERT INTO `car_region` VALUES ('822', '阿鲁科尔沁旗', '812', '2');
INSERT INTO `car_region` VALUES ('823', '乌兰察布市', '11', '1');
INSERT INTO `car_region` VALUES ('824', '集宁区', '823', '2');
INSERT INTO `car_region` VALUES ('825', '丰镇市', '823', '2');
INSERT INTO `car_region` VALUES ('826', '兴和县', '823', '2');
INSERT INTO `car_region` VALUES ('827', '卓资县', '823', '2');
INSERT INTO `car_region` VALUES ('828', '商都县', '823', '2');
INSERT INTO `car_region` VALUES ('829', '凉城县', '823', '2');
INSERT INTO `car_region` VALUES ('830', '化德县', '823', '2');
INSERT INTO `car_region` VALUES ('831', '察哈尔右翼前旗', '823', '2');
INSERT INTO `car_region` VALUES ('832', '察哈尔右翼中旗', '823', '2');
INSERT INTO `car_region` VALUES ('833', '察哈尔右翼后旗', '823', '2');
INSERT INTO `car_region` VALUES ('834', '四子王旗', '823', '2');
INSERT INTO `car_region` VALUES ('835', '锡林郭勒盟', '11', '1');
INSERT INTO `car_region` VALUES ('836', '锡林浩特市', '835', '2');
INSERT INTO `car_region` VALUES ('837', '二连浩特市', '835', '2');
INSERT INTO `car_region` VALUES ('838', '多伦县', '835', '2');
INSERT INTO `car_region` VALUES ('839', '阿巴嘎旗', '835', '2');
INSERT INTO `car_region` VALUES ('840', '西乌朱穆沁旗', '835', '2');
INSERT INTO `car_region` VALUES ('841', '东乌朱穆沁旗', '835', '2');
INSERT INTO `car_region` VALUES ('842', '苏尼特右旗', '835', '2');
INSERT INTO `car_region` VALUES ('843', '苏尼特左旗', '835', '2');
INSERT INTO `car_region` VALUES ('844', '太仆寺旗', '835', '2');
INSERT INTO `car_region` VALUES ('845', '正镶白旗', '835', '2');
INSERT INTO `car_region` VALUES ('846', '正蓝旗', '835', '2');
INSERT INTO `car_region` VALUES ('847', '镶黄旗', '835', '2');
INSERT INTO `car_region` VALUES ('848', '呼伦贝尔市', '11', '1');
INSERT INTO `car_region` VALUES ('849', '海拉尔区', '848', '2');
INSERT INTO `car_region` VALUES ('850', '满洲里市', '848', '2');
INSERT INTO `car_region` VALUES ('851', '牙克石市', '848', '2');
INSERT INTO `car_region` VALUES ('852', '扎兰屯市', '848', '2');
INSERT INTO `car_region` VALUES ('853', '根河市', '848', '2');
INSERT INTO `car_region` VALUES ('854', '额尔古纳市', '848', '2');
INSERT INTO `car_region` VALUES ('855', '陈巴尔虎旗', '848', '2');
INSERT INTO `car_region` VALUES ('856', '阿荣旗', '848', '2');
INSERT INTO `car_region` VALUES ('857', '新巴尔虎左旗', '848', '2');
INSERT INTO `car_region` VALUES ('858', '新巴尔虎右旗', '848', '2');
INSERT INTO `car_region` VALUES ('859', '鄂伦春旗', '848', '2');
INSERT INTO `car_region` VALUES ('860', '莫力达瓦旗', '848', '2');
INSERT INTO `car_region` VALUES ('861', '鄂温克族旗', '848', '2');
INSERT INTO `car_region` VALUES ('870', '鄂尔多斯市', '11', '1');
INSERT INTO `car_region` VALUES ('871', '东胜区', '870', '2');
INSERT INTO `car_region` VALUES ('872', '准格尔旗', '870', '2');
INSERT INTO `car_region` VALUES ('874', '伊金霍洛旗', '870', '2');
INSERT INTO `car_region` VALUES ('875', '乌审旗', '870', '2');
INSERT INTO `car_region` VALUES ('876', '杭锦旗', '870', '2');
INSERT INTO `car_region` VALUES ('877', '鄂托克旗', '870', '2');
INSERT INTO `car_region` VALUES ('878', '鄂托克前旗', '870', '2');
INSERT INTO `car_region` VALUES ('879', '达拉特旗', '870', '2');
INSERT INTO `car_region` VALUES ('880', '巴彦淖尔市', '11', '1');
INSERT INTO `car_region` VALUES ('881', '临河区', '880', '2');
INSERT INTO `car_region` VALUES ('882', '五原县', '880', '2');
INSERT INTO `car_region` VALUES ('883', '磴口县', '880', '2');
INSERT INTO `car_region` VALUES ('884', '杭锦后旗', '880', '2');
INSERT INTO `car_region` VALUES ('885', '乌拉特中旗', '880', '2');
INSERT INTO `car_region` VALUES ('888', '乌拉特后旗 ', '880', '2');
INSERT INTO `car_region` VALUES ('890', '乌拉特前旗 ', '880', '2');
INSERT INTO `car_region` VALUES ('891', '阿拉善盟', '11', '1');
INSERT INTO `car_region` VALUES ('892', '阿拉善右旗', '891', '2');
INSERT INTO `car_region` VALUES ('893', '阿拉善左旗', '891', '2');
INSERT INTO `car_region` VALUES ('894', '额济纳旗', '891', '2');
INSERT INTO `car_region` VALUES ('895', '兴安盟', '11', '1');
INSERT INTO `car_region` VALUES ('896', '乌兰浩特市', '895', '2');
INSERT INTO `car_region` VALUES ('897', '阿尔山市', '895', '2');
INSERT INTO `car_region` VALUES ('898', '突泉县', '895', '2');
INSERT INTO `car_region` VALUES ('899', '扎赍特旗', '895', '2');
INSERT INTO `car_region` VALUES ('900', '科尔沁右翼前旗', '895', '2');
INSERT INTO `car_region` VALUES ('901', '科尔沁右翼中旗', '895', '2');
INSERT INTO `car_region` VALUES ('902', '通辽市', '11', '1');
INSERT INTO `car_region` VALUES ('904', '南京市', '12', '1');
INSERT INTO `car_region` VALUES ('905', '江宁区', '904', '2');
INSERT INTO `car_region` VALUES ('907', '高淳县', '904', '2');
INSERT INTO `car_region` VALUES ('908', '六合区', '904', '2');
INSERT INTO `car_region` VALUES ('911', '徐州市', '12', '1');
INSERT INTO `car_region` VALUES ('912', '邳州市(G310以南,连徐高速以北)', '911', '2');
INSERT INTO `car_region` VALUES ('913', '新沂市（京沪高速以西，连徐高速以北）', '911', '2');
INSERT INTO `car_region` VALUES ('914', '铜山县', '911', '2');
INSERT INTO `car_region` VALUES ('915', '睢宁县', '911', '2');
INSERT INTO `car_region` VALUES ('916', '沛县', '911', '2');
INSERT INTO `car_region` VALUES ('917', '丰县', '911', '2');
INSERT INTO `car_region` VALUES ('919', '连云港市', '12', '1');
INSERT INTO `car_region` VALUES ('920', '赣榆县', '919', '2');
INSERT INTO `car_region` VALUES ('921', '灌云县', '919', '2');
INSERT INTO `car_region` VALUES ('922', '东海县', '919', '2');
INSERT INTO `car_region` VALUES ('923', '灌南县', '919', '2');
INSERT INTO `car_region` VALUES ('925', '淮安市', '12', '1');
INSERT INTO `car_region` VALUES ('926', '楚州区', '925', '2');
INSERT INTO `car_region` VALUES ('928', '涟水县(涟城镇,朱码镇,陈师镇,小李集乡)', '925', '2');
INSERT INTO `car_region` VALUES ('929', '洪泽县', '925', '2');
INSERT INTO `car_region` VALUES ('930', '金湖县', '925', '2');
INSERT INTO `car_region` VALUES ('931', '盱眙县', '925', '2');
INSERT INTO `car_region` VALUES ('933', '宿迁市', '12', '1');
INSERT INTO `car_region` VALUES ('934', '宿豫区', '933', '2');
INSERT INTO `car_region` VALUES ('937', '泗洪县', '933', '2');
INSERT INTO `car_region` VALUES ('939', '盐城市', '12', '1');
INSERT INTO `car_region` VALUES ('940', '东台市', '939', '2');
INSERT INTO `car_region` VALUES ('941', '大丰市', '939', '2');
INSERT INTO `car_region` VALUES ('944', '盐都区(宁靖盐高速以南、以东,盐徐高速以北)', '939', '2');
INSERT INTO `car_region` VALUES ('945', '建湖县', '939', '2');
INSERT INTO `car_region` VALUES ('946', '响水县', '939', '2');
INSERT INTO `car_region` VALUES ('947', '射阳县(经济开发区,合德镇,兴桥镇,千秋镇,临海镇)', '939', '2');
INSERT INTO `car_region` VALUES ('948', '阜宁县', '939', '2');
INSERT INTO `car_region` VALUES ('949', '滨海县', '939', '2');
INSERT INTO `car_region` VALUES ('951', '扬州市', '12', '1');
INSERT INTO `car_region` VALUES ('952', '高邮市（市区，九里镇，一沟镇，车逻镇）', '951', '2');
INSERT INTO `car_region` VALUES ('953', '江都市(除武坚、真武、小纪、丁沟、樊川镇外)', '951', '2');
INSERT INTO `car_region` VALUES ('954', '仪征市(宁通高速以南,新桥路以西)', '951', '2');
INSERT INTO `car_region` VALUES ('955', '广陵区', '951', '2');
INSERT INTO `car_region` VALUES ('956', '邗江区', '951', '2');
INSERT INTO `car_region` VALUES ('957', '宝应县', '951', '2');
INSERT INTO `car_region` VALUES ('959', '泰州市', '12', '1');
INSERT INTO `car_region` VALUES ('960', '泰兴市', '959', '2');
INSERT INTO `car_region` VALUES ('961', '姜堰市（启扬高速以南，盐靖高速以东）', '959', '2');
INSERT INTO `car_region` VALUES ('962', '靖江市', '959', '2');
INSERT INTO `car_region` VALUES ('963', '兴化市', '959', '2');
INSERT INTO `car_region` VALUES ('965', '南通市', '12', '1');
INSERT INTO `car_region` VALUES ('966', '如皋市(除长青沙乡外)', '965', '2');
INSERT INTO `car_region` VALUES ('967', '通州区', '965', '2');
INSERT INTO `car_region` VALUES ('968', '海门市(东通线、刘余线以南)', '965', '2');
INSERT INTO `car_region` VALUES ('969', '启东市(除吕四港镇,天汾镇,兆民镇,启隆乡外)', '965', '2');
INSERT INTO `car_region` VALUES ('970', '如东县', '965', '2');
INSERT INTO `car_region` VALUES ('972', '镇江市', '12', '1');
INSERT INTO `car_region` VALUES ('973', '扬中市', '972', '2');
INSERT INTO `car_region` VALUES ('974', '丹阳市(丹西公路、县道203以北)', '972', '2');
INSERT INTO `car_region` VALUES ('975', '句容市（市区、黄梅镇、石狮镇、二圣镇）', '972', '2');
INSERT INTO `car_region` VALUES ('976', '丹徒区', '972', '2');
INSERT INTO `car_region` VALUES ('978', '常州市', '12', '1');
INSERT INTO `car_region` VALUES ('980', '金坛市', '978', '2');
INSERT INTO `car_region` VALUES ('981', '溧阳市', '978', '2');
INSERT INTO `car_region` VALUES ('984', '无锡市', '12', '1');
INSERT INTO `car_region` VALUES ('988', '苏州市', '12', '1');
INSERT INTO `car_region` VALUES ('991', '昆山市(玉山镇、巴城、石牌、正仪、周市、新镇)', '988', '2');
INSERT INTO `car_region` VALUES ('993', '常熟市', '988', '2');
INSERT INTO `car_region` VALUES ('994', '张家港市', '988', '2');
INSERT INTO `car_region` VALUES ('997', '吴江区(除桃源镇、震泽镇、七都镇外)', '988', '2');
INSERT INTO `car_region` VALUES ('1000', '济南市', '13', '1');
INSERT INTO `car_region` VALUES ('1001', '章丘市(明水镇城区以外)', '1000', '2');
INSERT INTO `car_region` VALUES ('1002', '长清区', '1000', '2');
INSERT INTO `car_region` VALUES ('1003', '平阴县', '1000', '2');
INSERT INTO `car_region` VALUES ('1004', '济阳县', '1000', '2');
INSERT INTO `car_region` VALUES ('1005', '商河县', '1000', '2');
INSERT INTO `car_region` VALUES ('1007', '青岛市', '13', '1');
INSERT INTO `car_region` VALUES ('1011', '胶南市（海西路以东，滨海大道以北，临港八路以南）', '1007', '2');
INSERT INTO `car_region` VALUES ('1013', '即墨市（青威路南,华山一路东,文化路北,204国道西）', '1007', '2');
INSERT INTO `car_region` VALUES ('1014', '莱西市', '1007', '2');
INSERT INTO `car_region` VALUES ('1016', '淄博市', '13', '1');
INSERT INTO `car_region` VALUES ('1019', '高青县', '1016', '2');
INSERT INTO `car_region` VALUES ('1020', '沂源县', '1016', '2');
INSERT INTO `car_region` VALUES ('1021', '桓台县', '1016', '2');
INSERT INTO `car_region` VALUES ('1022', '枣庄市', '13', '1');
INSERT INTO `car_region` VALUES ('1023', '滕州市（京台路西、腾飞路北、鲁班路东，墨子路南）', '1022', '2');
INSERT INTO `car_region` VALUES ('1025', '东营市', '13', '1');
INSERT INTO `car_region` VALUES ('1026', '河口区', '1025', '2');
INSERT INTO `car_region` VALUES ('1027', '广饶县', '1025', '2');
INSERT INTO `car_region` VALUES ('1028', '利津县', '1025', '2');
INSERT INTO `car_region` VALUES ('1029', '垦利县', '1025', '2');
INSERT INTO `car_region` VALUES ('1030', '东营区(康洋路以西,西四路以东,北二路以南)', '1025', '2');
INSERT INTO `car_region` VALUES ('1032', '潍坊市', '13', '1');
INSERT INTO `car_region` VALUES ('1033', '青州市', '1032', '2');
INSERT INTO `car_region` VALUES ('1034', '诸城市', '1032', '2');
INSERT INTO `car_region` VALUES ('1036', '安丘市', '1032', '2');
INSERT INTO `car_region` VALUES ('1037', '高密市', '1032', '2');
INSERT INTO `car_region` VALUES ('1038', '昌邑市', '1032', '2');
INSERT INTO `car_region` VALUES ('1039', '昌乐县', '1032', '2');
INSERT INTO `car_region` VALUES ('1041', '临朐县', '1032', '2');
INSERT INTO `car_region` VALUES ('1042', '烟台市', '13', '1');
INSERT INTO `car_region` VALUES ('1044', '莱阳市', '1042', '2');
INSERT INTO `car_region` VALUES ('1047', '招远市', '1042', '2');
INSERT INTO `car_region` VALUES ('1048', '蓬莱市', '1042', '2');
INSERT INTO `car_region` VALUES ('1049', '栖霞市', '1042', '2');
INSERT INTO `car_region` VALUES ('1050', '海阳市', '1042', '2');
INSERT INTO `car_region` VALUES ('1051', '长岛县', '1042', '2');
INSERT INTO `car_region` VALUES ('1053', '威海市', '13', '1');
INSERT INTO `car_region` VALUES ('1054', '乳山市', '1053', '2');
INSERT INTO `car_region` VALUES ('1056', '荣成市（青山中路以南、将军中路以东、凭海东路以北）', '1053', '2');
INSERT INTO `car_region` VALUES ('1057', '环翠区(戚家夼路以南)', '1053', '2');
INSERT INTO `car_region` VALUES ('1058', '莱芜市', '13', '1');
INSERT INTO `car_region` VALUES ('1059', '莱城区', '1058', '2');
INSERT INTO `car_region` VALUES ('1060', '德州市', '13', '1');
INSERT INTO `car_region` VALUES ('1061', '乐陵市', '1060', '2');
INSERT INTO `car_region` VALUES ('1062', '禹城市', '1060', '2');
INSERT INTO `car_region` VALUES ('1063', '陵县', '1060', '2');
INSERT INTO `car_region` VALUES ('1064', '宁津县', '1060', '2');
INSERT INTO `car_region` VALUES ('1065', '齐河县（晏城镇城区以内）', '1060', '2');
INSERT INTO `car_region` VALUES ('1066', '武城县', '1060', '2');
INSERT INTO `car_region` VALUES ('1067', '庆云县', '1060', '2');
INSERT INTO `car_region` VALUES ('1068', '平原县', '1060', '2');
INSERT INTO `car_region` VALUES ('1069', '临邑县', '1060', '2');
INSERT INTO `car_region` VALUES ('1071', '夏津县', '1060', '2');
INSERT INTO `car_region` VALUES ('1072', '临沂市', '13', '1');
INSERT INTO `car_region` VALUES ('1073', '沂南县', '1072', '2');
INSERT INTO `car_region` VALUES ('1074', '沂水县', '1072', '2');
INSERT INTO `car_region` VALUES ('1075', '苍山县', '1072', '2');
INSERT INTO `car_region` VALUES ('1076', '费县', '1072', '2');
INSERT INTO `car_region` VALUES ('1077', '平邑县', '1072', '2');
INSERT INTO `car_region` VALUES ('1078', '蒙阴县', '1072', '2');
INSERT INTO `car_region` VALUES ('1079', '临沭县', '1072', '2');
INSERT INTO `car_region` VALUES ('1080', '河东区(沃尔沃路以东,沂河路以南)', '1072', '2');
INSERT INTO `car_region` VALUES ('1081', '聊城市', '13', '1');
INSERT INTO `car_region` VALUES ('1082', '临清市', '1081', '2');
INSERT INTO `car_region` VALUES ('1083', '东昌府区(双力路北,湖南路南,站前街西,中华路东)', '1081', '2');
INSERT INTO `car_region` VALUES ('1084', '阳谷县', '1081', '2');
INSERT INTO `car_region` VALUES ('1085', '茌平县', '1081', '2');
INSERT INTO `car_region` VALUES ('1086', '莘县', '1081', '2');
INSERT INTO `car_region` VALUES ('1087', '东阿县', '1081', '2');
INSERT INTO `car_region` VALUES ('1088', '冠县', '1081', '2');
INSERT INTO `car_region` VALUES ('1090', '滨州市', '13', '1');
INSERT INTO `car_region` VALUES ('1091', '滨城区(黄河十一路以北,渤十八路以西,渤二路以东)', '1090', '2');
INSERT INTO `car_region` VALUES ('1092', '邹平县', '1090', '2');
INSERT INTO `car_region` VALUES ('1093', '沾化县', '1090', '2');
INSERT INTO `car_region` VALUES ('1094', '惠民县', '1090', '2');
INSERT INTO `car_region` VALUES ('1095', '博兴县', '1090', '2');
INSERT INTO `car_region` VALUES ('1096', '阳信县', '1090', '2');
INSERT INTO `car_region` VALUES ('1099', '菏泽市', '13', '1');
INSERT INTO `car_region` VALUES ('1101', '单县', '1099', '2');
INSERT INTO `car_region` VALUES ('1102', '曹县', '1099', '2');
INSERT INTO `car_region` VALUES ('1103', '定陶县', '1099', '2');
INSERT INTO `car_region` VALUES ('1104', '巨野县', '1099', '2');
INSERT INTO `car_region` VALUES ('1105', '成武县', '1099', '2');
INSERT INTO `car_region` VALUES ('1106', '东明县', '1099', '2');
INSERT INTO `car_region` VALUES ('1107', '郓城县', '1099', '2');
INSERT INTO `car_region` VALUES ('1108', '日照市', '13', '1');
INSERT INTO `car_region` VALUES ('1111', '东港区(山海路以北,上海路以南,日照路以西)', '1108', '2');
INSERT INTO `car_region` VALUES ('1112', '泰安市', '13', '1');
INSERT INTO `car_region` VALUES ('1114', '铜陵市', '14', '1');
INSERT INTO `car_region` VALUES ('1115', '铜陵县(翠湖六路以南,长江以东,G50以北)', '1114', '2');
INSERT INTO `car_region` VALUES ('1116', '合肥市', '14', '1');
INSERT INTO `car_region` VALUES ('1117', '长丰县（双凤经济开发区）', '1116', '2');
INSERT INTO `car_region` VALUES ('1118', '肥西县（柏堰科技园区）', '1116', '2');
INSERT INTO `car_region` VALUES ('1119', '肥东县', '1116', '2');
INSERT INTO `car_region` VALUES ('1121', '淮南市', '14', '1');
INSERT INTO `car_region` VALUES ('1122', '凤台县', '1121', '2');
INSERT INTO `car_region` VALUES ('1124', '淮北市', '14', '1');
INSERT INTO `car_region` VALUES ('1125', '濉溪县(濉河路以东,S101以北)', '1124', '2');
INSERT INTO `car_region` VALUES ('1127', '芜湖市', '14', '1');
INSERT INTO `car_region` VALUES ('1128', '芜湖县', '1127', '2');
INSERT INTO `car_region` VALUES ('1129', '繁昌县', '1127', '2');
INSERT INTO `car_region` VALUES ('1130', '南陵县', '1127', '2');
INSERT INTO `car_region` VALUES ('1132', '蚌埠市', '14', '1');
INSERT INTO `car_region` VALUES ('1133', '怀远县', '1132', '2');
INSERT INTO `car_region` VALUES ('1134', '固镇县', '1132', '2');
INSERT INTO `car_region` VALUES ('1135', '五河县', '1132', '2');
INSERT INTO `car_region` VALUES ('1137', '马鞍山市', '14', '1');
INSERT INTO `car_region` VALUES ('1138', '当涂县', '1137', '2');
INSERT INTO `car_region` VALUES ('1139', '当涂县', '14', '1');
INSERT INTO `car_region` VALUES ('1140', '安庆市', '14', '1');
INSERT INTO `car_region` VALUES ('1141', '桐城市', '1140', '2');
INSERT INTO `car_region` VALUES ('1142', '宿松县', '1140', '2');
INSERT INTO `car_region` VALUES ('1143', '枞阳县', '1140', '2');
INSERT INTO `car_region` VALUES ('1144', '太湖县', '1140', '2');
INSERT INTO `car_region` VALUES ('1145', '怀宁县', '1140', '2');
INSERT INTO `car_region` VALUES ('1146', '岳西县', '1140', '2');
INSERT INTO `car_region` VALUES ('1147', '望江县', '1140', '2');
INSERT INTO `car_region` VALUES ('1148', '潜山县', '1140', '2');
INSERT INTO `car_region` VALUES ('1151', '黄山市', '14', '1');
INSERT INTO `car_region` VALUES ('1153', '休宁县', '1151', '2');
INSERT INTO `car_region` VALUES ('1154', '歙县', '1151', '2');
INSERT INTO `car_region` VALUES ('1155', '黟县', '1151', '2');
INSERT INTO `car_region` VALUES ('1156', '祁门县', '1151', '2');
INSERT INTO `car_region` VALUES ('1158', '宁波市', '15', '1');
INSERT INTO `car_region` VALUES ('1159', '滁州市', '14', '1');
INSERT INTO `car_region` VALUES ('1161', '明光市', '1159', '2');
INSERT INTO `car_region` VALUES ('1162', '全椒县', '1159', '2');
INSERT INTO `car_region` VALUES ('1163', '来安县', '1159', '2');
INSERT INTO `car_region` VALUES ('1164', '定远县', '1159', '2');
INSERT INTO `car_region` VALUES ('1165', '凤阳县', '1159', '2');
INSERT INTO `car_region` VALUES ('1167', '阜阳市', '14', '1');
INSERT INTO `car_region` VALUES ('1168', '界首市', '1167', '2');
INSERT INTO `car_region` VALUES ('1169', '太和县', '1167', '2');
INSERT INTO `car_region` VALUES ('1170', '阜南县', '1167', '2');
INSERT INTO `car_region` VALUES ('1171', '颍上县', '1167', '2');
INSERT INTO `car_region` VALUES ('1172', '临泉县', '1167', '2');
INSERT INTO `car_region` VALUES ('1174', '亳州市', '14', '1');
INSERT INTO `car_region` VALUES ('1176', '利辛县', '1174', '2');
INSERT INTO `car_region` VALUES ('1177', '蒙城县', '1174', '2');
INSERT INTO `car_region` VALUES ('1178', '涡阳县', '1174', '2');
INSERT INTO `car_region` VALUES ('1180', '宿州市', '14', '1');
INSERT INTO `car_region` VALUES ('1181', '灵壁县', '1180', '2');
INSERT INTO `car_region` VALUES ('1182', '泗县', '1180', '2');
INSERT INTO `car_region` VALUES ('1183', '萧县', '1180', '2');
INSERT INTO `car_region` VALUES ('1184', '砀山县', '1180', '2');
INSERT INTO `car_region` VALUES ('1186', '巢湖市（卧牛山,亚父,半汤,天河,凤凰山街道,银屏镇）', '1116', '2');
INSERT INTO `car_region` VALUES ('1187', '含山县', '1137', '2');
INSERT INTO `car_region` VALUES ('1188', '和县', '1137', '2');
INSERT INTO `car_region` VALUES ('1189', '无为县', '1127', '2');
INSERT INTO `car_region` VALUES ('1190', '庐江县', '1116', '2');
INSERT INTO `car_region` VALUES ('1201', '池州市', '14', '1');
INSERT INTO `car_region` VALUES ('1202', '东至县', '1201', '2');
INSERT INTO `car_region` VALUES ('1203', '石台县', '1201', '2');
INSERT INTO `car_region` VALUES ('1204', '青阳县', '1201', '2');
INSERT INTO `car_region` VALUES ('1206', '六安市', '14', '1');
INSERT INTO `car_region` VALUES ('1207', '寿县', '1206', '2');
INSERT INTO `car_region` VALUES ('1208', '霍山县', '1206', '2');
INSERT INTO `car_region` VALUES ('1209', '金寨县', '1206', '2');
INSERT INTO `car_region` VALUES ('1210', '霍邱县', '1206', '2');
INSERT INTO `car_region` VALUES ('1211', '舒城县', '1206', '2');
INSERT INTO `car_region` VALUES ('1213', '杭州市', '15', '1');
INSERT INTO `car_region` VALUES ('1214', '余杭区', '1213', '2');
INSERT INTO `car_region` VALUES ('1215', '萧山区', '1213', '2');
INSERT INTO `car_region` VALUES ('1217', '富阳市', '1213', '2');
INSERT INTO `car_region` VALUES ('1218', '桐庐县', '1213', '2');
INSERT INTO `car_region` VALUES ('1219', '建德市', '1213', '2');
INSERT INTO `car_region` VALUES ('1220', '淳安县', '1213', '2');
INSERT INTO `car_region` VALUES ('1223', '鄞州中心区', '1158', '2');
INSERT INTO `car_region` VALUES ('1224', '慈溪市', '1158', '2');
INSERT INTO `car_region` VALUES ('1225', '余姚市(环线以内)', '1158', '2');
INSERT INTO `car_region` VALUES ('1226', '奉化市', '1158', '2');
INSERT INTO `car_region` VALUES ('1227', '宁海县', '1158', '2');
INSERT INTO `car_region` VALUES ('1228', '象山县', '1158', '2');
INSERT INTO `car_region` VALUES ('1230', '北仑区(富春江路,坝头路,珠江路,进港路环线内)', '1158', '2');
INSERT INTO `car_region` VALUES ('1233', '温州市', '15', '1');
INSERT INTO `car_region` VALUES ('1234', '瑞安市(除海岛外)', '1233', '2');
INSERT INTO `car_region` VALUES ('1235', '乐清市(除淡溪,清江,芙蓉,大荆,仙溪,雁荡,白石镇外)', '1233', '2');
INSERT INTO `car_region` VALUES ('1236', '永嘉县(104国道以南)', '1233', '2');
INSERT INTO `car_region` VALUES ('1237', '文成县', '1233', '2');
INSERT INTO `car_region` VALUES ('1238', '平阳县', '1233', '2');
INSERT INTO `car_region` VALUES ('1239', '泰顺县', '1233', '2');
INSERT INTO `car_region` VALUES ('1240', '洞头县', '1233', '2');
INSERT INTO `car_region` VALUES ('1241', '苍南县', '1233', '2');
INSERT INTO `car_region` VALUES ('1243', '嘉兴市', '15', '1');
INSERT INTO `car_region` VALUES ('1244', '海宁市', '1243', '2');
INSERT INTO `car_region` VALUES ('1248', '海盐县', '1243', '2');
INSERT INTO `car_region` VALUES ('1250', '湖州市', '15', '1');
INSERT INTO `car_region` VALUES ('1251', '长兴县', '1250', '2');
INSERT INTO `car_region` VALUES ('1252', '德清县', '1250', '2');
INSERT INTO `car_region` VALUES ('1253', '安吉县', '1250', '2');
INSERT INTO `car_region` VALUES ('1255', '绍兴市', '15', '1');
INSERT INTO `car_region` VALUES ('1257', '诸暨市', '1255', '2');
INSERT INTO `car_region` VALUES ('1258', '上虞市', '1255', '2');
INSERT INTO `car_region` VALUES ('1259', '嵊州市', '1255', '2');
INSERT INTO `car_region` VALUES ('1260', '新昌县', '1255', '2');
INSERT INTO `car_region` VALUES ('1261', '绍兴市市区(二环内)', '1255', '2');
INSERT INTO `car_region` VALUES ('1262', '金华市', '15', '1');
INSERT INTO `car_region` VALUES ('1263', '金东区', '1262', '2');
INSERT INTO `car_region` VALUES ('1264', '兰溪市', '1262', '2');
INSERT INTO `car_region` VALUES ('1265', '婺城区', '1262', '2');
INSERT INTO `car_region` VALUES ('1266', '义乌市', '1262', '2');
INSERT INTO `car_region` VALUES ('1267', '东阳市', '1262', '2');
INSERT INTO `car_region` VALUES ('1268', '永康市', '1262', '2');
INSERT INTO `car_region` VALUES ('1269', '武义县', '1262', '2');
INSERT INTO `car_region` VALUES ('1270', '浦江县', '1262', '2');
INSERT INTO `car_region` VALUES ('1271', '磐安县', '1262', '2');
INSERT INTO `car_region` VALUES ('1273', '衢州市', '15', '1');
INSERT INTO `car_region` VALUES ('1274', '衢江区(中心区域)', '1273', '2');
INSERT INTO `car_region` VALUES ('1275', '江山市', '1273', '2');
INSERT INTO `car_region` VALUES ('1276', '常山县', '1273', '2');
INSERT INTO `car_region` VALUES ('1277', '开化县', '1273', '2');
INSERT INTO `car_region` VALUES ('1278', '龙游县', '1273', '2');
INSERT INTO `car_region` VALUES ('1280', '丽水市', '15', '1');
INSERT INTO `car_region` VALUES ('1281', '龙泉市', '1280', '2');
INSERT INTO `car_region` VALUES ('1282', '缙云县', '1280', '2');
INSERT INTO `car_region` VALUES ('1283', '遂昌县', '1280', '2');
INSERT INTO `car_region` VALUES ('1284', '松阳县', '1280', '2');
INSERT INTO `car_region` VALUES ('1285', '景宁畚族自治县', '1280', '2');
INSERT INTO `car_region` VALUES ('1286', '云和县', '1280', '2');
INSERT INTO `car_region` VALUES ('1288', '青田县', '1280', '2');
INSERT INTO `car_region` VALUES ('1290', '台州市', '15', '1');
INSERT INTO `car_region` VALUES ('1291', '临海市', '1290', '2');
INSERT INTO `car_region` VALUES ('1292', '温岭市(除松门、石塘、邬根以外)', '1290', '2');
INSERT INTO `car_region` VALUES ('1293', '玉环县(玉环县除海岛以外)', '1290', '2');
INSERT INTO `car_region` VALUES ('1294', '三门县', '1290', '2');
INSERT INTO `car_region` VALUES ('1295', '天台县', '1290', '2');
INSERT INTO `car_region` VALUES ('1296', '仙居县', '1290', '2');
INSERT INTO `car_region` VALUES ('1298', '舟山市', '15', '1');
INSERT INTO `car_region` VALUES ('1299', '普陀区(G329国道以南,海天大道/东海西路以北)', '1298', '2');
INSERT INTO `car_region` VALUES ('1300', '岱山县', '1298', '2');
INSERT INTO `car_region` VALUES ('1301', '嵊泗县', '1298', '2');
INSERT INTO `car_region` VALUES ('1303', '福州市', '16', '1');
INSERT INTO `car_region` VALUES ('1305', '长乐市', '1303', '2');
INSERT INTO `car_region` VALUES ('1306', '福清市(沈海高速东,洪宽三路南,清盛大道北)', '1303', '2');
INSERT INTO `car_region` VALUES ('1307', '闽侯县（上街镇三福高速以东，浦上大桥以北）', '1303', '2');
INSERT INTO `car_region` VALUES ('1308', '平潭县', '1303', '2');
INSERT INTO `car_region` VALUES ('1309', '连江县', '1303', '2');
INSERT INTO `car_region` VALUES ('1310', '钓鱼岛', '84', '1');
INSERT INTO `car_region` VALUES ('1311', '钓鱼岛', '1310', '2');
INSERT INTO `car_region` VALUES ('1312', '罗源县', '1303', '2');
INSERT INTO `car_region` VALUES ('1313', '永泰县', '1303', '2');
INSERT INTO `car_region` VALUES ('1314', '闽清县', '1303', '2');
INSERT INTO `car_region` VALUES ('1315', '厦门市', '16', '1');
INSERT INTO `car_region` VALUES ('1316', '思明区', '1315', '2');
INSERT INTO `car_region` VALUES ('1317', '三明市', '16', '1');
INSERT INTO `car_region` VALUES ('1319', '永安市', '1317', '2');
INSERT INTO `car_region` VALUES ('1320', '明溪县', '1317', '2');
INSERT INTO `car_region` VALUES ('1321', '将乐县', '1317', '2');
INSERT INTO `car_region` VALUES ('1322', '大田县', '1317', '2');
INSERT INTO `car_region` VALUES ('1323', '宁化县', '1317', '2');
INSERT INTO `car_region` VALUES ('1324', '建宁县', '1317', '2');
INSERT INTO `car_region` VALUES ('1325', '沙县', '1317', '2');
INSERT INTO `car_region` VALUES ('1326', '尤溪县', '1317', '2');
INSERT INTO `car_region` VALUES ('1327', '清流县', '1317', '2');
INSERT INTO `car_region` VALUES ('1328', '泰宁县', '1317', '2');
INSERT INTO `car_region` VALUES ('1329', '莆田市', '16', '1');
INSERT INTO `car_region` VALUES ('1331', '仙游县', '1329', '2');
INSERT INTO `car_region` VALUES ('1332', '泉州市', '16', '1');
INSERT INTO `car_region` VALUES ('1334', '石狮市', '1332', '2');
INSERT INTO `car_region` VALUES ('1336', '南安市', '1332', '2');
INSERT INTO `car_region` VALUES ('1337', '惠安县', '1332', '2');
INSERT INTO `car_region` VALUES ('1338', '安溪县', '1332', '2');
INSERT INTO `car_region` VALUES ('1339', '德化县', '1332', '2');
INSERT INTO `car_region` VALUES ('1340', '永春县', '1332', '2');
INSERT INTO `car_region` VALUES ('1341', '漳州市', '16', '1');
INSERT INTO `car_region` VALUES ('1343', '龙海市', '1341', '2');
INSERT INTO `car_region` VALUES ('1344', '平和县', '1341', '2');
INSERT INTO `car_region` VALUES ('1345', '南靖县', '1341', '2');
INSERT INTO `car_region` VALUES ('1346', '诏安县', '1341', '2');
INSERT INTO `car_region` VALUES ('1347', '漳浦县', '1341', '2');
INSERT INTO `car_region` VALUES ('1348', '华安县', '1341', '2');
INSERT INTO `car_region` VALUES ('1349', '云霄县', '1341', '2');
INSERT INTO `car_region` VALUES ('1350', '东山县', '1341', '2');
INSERT INTO `car_region` VALUES ('1351', '长泰县', '1341', '2');
INSERT INTO `car_region` VALUES ('1352', '南平市', '16', '1');
INSERT INTO `car_region` VALUES ('1354', '建瓯市', '1352', '2');
INSERT INTO `car_region` VALUES ('1355', '邵武市', '1352', '2');
INSERT INTO `car_region` VALUES ('1356', '武夷山市', '1352', '2');
INSERT INTO `car_region` VALUES ('1357', '建阳市', '1352', '2');
INSERT INTO `car_region` VALUES ('1358', '松溪县', '1352', '2');
INSERT INTO `car_region` VALUES ('1359', '顺昌县', '1352', '2');
INSERT INTO `car_region` VALUES ('1360', '浦城县', '1352', '2');
INSERT INTO `car_region` VALUES ('1361', '政和县', '1352', '2');
INSERT INTO `car_region` VALUES ('1362', '龙岩市', '16', '1');
INSERT INTO `car_region` VALUES ('1364', '漳平市', '1362', '2');
INSERT INTO `car_region` VALUES ('1365', '长汀县', '1362', '2');
INSERT INTO `car_region` VALUES ('1366', '武平县', '1362', '2');
INSERT INTO `car_region` VALUES ('1367', '永定县', '1362', '2');
INSERT INTO `car_region` VALUES ('1368', '上杭县', '1362', '2');
INSERT INTO `car_region` VALUES ('1369', '连城县', '1362', '2');
INSERT INTO `car_region` VALUES ('1370', '宁德市', '16', '1');
INSERT INTO `car_region` VALUES ('1372', '福安市', '1370', '2');
INSERT INTO `car_region` VALUES ('1373', '福鼎市', '1370', '2');
INSERT INTO `car_region` VALUES ('1374', '寿宁县', '1370', '2');
INSERT INTO `car_region` VALUES ('1375', '霞浦县', '1370', '2');
INSERT INTO `car_region` VALUES ('1376', '柘荣县', '1370', '2');
INSERT INTO `car_region` VALUES ('1377', '屏南县', '1370', '2');
INSERT INTO `car_region` VALUES ('1378', '古田县', '1370', '2');
INSERT INTO `car_region` VALUES ('1379', '周宁县', '1370', '2');
INSERT INTO `car_region` VALUES ('1381', '武汉市', '17', '1');
INSERT INTO `car_region` VALUES ('1382', '蔡甸区(城区以内)', '1381', '2');
INSERT INTO `car_region` VALUES ('1383', '江夏区(纸坊城区)', '1381', '2');
INSERT INTO `car_region` VALUES ('1384', '新洲区(邾城城区、阳逻城区、汉施路1号)', '1381', '2');
INSERT INTO `car_region` VALUES ('1385', '黄陂区(城区以内)', '1381', '2');
INSERT INTO `car_region` VALUES ('1386', '江岸区', '1381', '2');
INSERT INTO `car_region` VALUES ('1387', '黄石市', '17', '1');
INSERT INTO `car_region` VALUES ('1388', '西塞山区(沿湖路以北)', '1387', '2');
INSERT INTO `car_region` VALUES ('1389', '黄石港区', '1387', '2');
INSERT INTO `car_region` VALUES ('1391', '下陆区(大泉路/磁湖路以东)', '1387', '2');
INSERT INTO `car_region` VALUES ('1392', '铁山区', '1387', '2');
INSERT INTO `car_region` VALUES ('1393', '大冶市', '1387', '2');
INSERT INTO `car_region` VALUES ('1394', '阳新县', '1387', '2');
INSERT INTO `car_region` VALUES ('1396', '襄阳市', '17', '1');
INSERT INTO `car_region` VALUES ('1397', '老河口市', '1396', '2');
INSERT INTO `car_region` VALUES ('1398', '枣阳市', '1396', '2');
INSERT INTO `car_region` VALUES ('1399', '宜城市', '1396', '2');
INSERT INTO `car_region` VALUES ('1401', '南漳县', '1396', '2');
INSERT INTO `car_region` VALUES ('1402', '保康县', '1396', '2');
INSERT INTO `car_region` VALUES ('1403', '谷城县', '1396', '2');
INSERT INTO `car_region` VALUES ('1405', '十堰市', '17', '1');
INSERT INTO `car_region` VALUES ('1406', '丹江口市', '1405', '2');
INSERT INTO `car_region` VALUES ('1407', '房县', '1405', '2');
INSERT INTO `car_region` VALUES ('1408', '竹山县', '1405', '2');
INSERT INTO `car_region` VALUES ('1409', '竹溪县', '1405', '2');
INSERT INTO `car_region` VALUES ('1410', '郧县', '1405', '2');
INSERT INTO `car_region` VALUES ('1411', '郧西县', '1405', '2');
INSERT INTO `car_region` VALUES ('1412', '茅箭区(市区内)', '1405', '2');
INSERT INTO `car_region` VALUES ('1413', '荆州市', '17', '1');
INSERT INTO `car_region` VALUES ('1414', '江陵县', '1413', '2');
INSERT INTO `car_region` VALUES ('1415', '洪湖市', '1413', '2');
INSERT INTO `car_region` VALUES ('1416', '石首市', '1413', '2');
INSERT INTO `car_region` VALUES ('1417', '松滋市', '1413', '2');
INSERT INTO `car_region` VALUES ('1418', '监利县', '1413', '2');
INSERT INTO `car_region` VALUES ('1419', '公安县', '1413', '2');
INSERT INTO `car_region` VALUES ('1421', '宜昌市', '17', '1');
INSERT INTO `car_region` VALUES ('1423', '当阳市', '1421', '2');
INSERT INTO `car_region` VALUES ('1424', '枝江市', '1421', '2');
INSERT INTO `car_region` VALUES ('1425', '夷陵区', '1421', '2');
INSERT INTO `car_region` VALUES ('1426', '秭归县', '1421', '2');
INSERT INTO `car_region` VALUES ('1427', '兴山县', '1421', '2');
INSERT INTO `car_region` VALUES ('1428', '远安县', '1421', '2');
INSERT INTO `car_region` VALUES ('1429', '五峰土家族自治县', '1421', '2');
INSERT INTO `car_region` VALUES ('1430', '长阳土家族自治县', '1421', '2');
INSERT INTO `car_region` VALUES ('1432', '孝感市', '17', '1');
INSERT INTO `car_region` VALUES ('1433', '应城市', '1432', '2');
INSERT INTO `car_region` VALUES ('1434', '安陆市', '1432', '2');
INSERT INTO `car_region` VALUES ('1435', '汉川市', '1432', '2');
INSERT INTO `car_region` VALUES ('1437', '云梦县', '1432', '2');
INSERT INTO `car_region` VALUES ('1438', '大悟县', '1432', '2');
INSERT INTO `car_region` VALUES ('1439', '孝昌县', '1432', '2');
INSERT INTO `car_region` VALUES ('1441', '黄冈市', '17', '1');
INSERT INTO `car_region` VALUES ('1442', '麻城市', '1441', '2');
INSERT INTO `car_region` VALUES ('1443', '武穴市', '1441', '2');
INSERT INTO `car_region` VALUES ('1444', '红安县', '1441', '2');
INSERT INTO `car_region` VALUES ('1445', '罗田县', '1441', '2');
INSERT INTO `car_region` VALUES ('1446', '浠水县', '1441', '2');
INSERT INTO `car_region` VALUES ('1447', '黄梅县', '1441', '2');
INSERT INTO `car_region` VALUES ('1448', '英山县', '1441', '2');
INSERT INTO `car_region` VALUES ('1449', '团风县', '1441', '2');
INSERT INTO `car_region` VALUES ('1457', '蕲春县', '1441', '2');
INSERT INTO `car_region` VALUES ('1458', '咸宁市', '17', '1');
INSERT INTO `car_region` VALUES ('1459', '咸安区(咸安城区,温泉新城区)', '1458', '2');
INSERT INTO `car_region` VALUES ('1460', '赤壁市(市区)', '1458', '2');
INSERT INTO `car_region` VALUES ('1461', '嘉鱼县', '1458', '2');
INSERT INTO `car_region` VALUES ('1462', '通山县', '1458', '2');
INSERT INTO `car_region` VALUES ('1463', '崇阳县', '1458', '2');
INSERT INTO `car_region` VALUES ('1464', '通城县', '1458', '2');
INSERT INTO `car_region` VALUES ('1466', '恩施州', '17', '1');
INSERT INTO `car_region` VALUES ('1467', '恩施市', '1466', '2');
INSERT INTO `car_region` VALUES ('1468', '利川市', '1466', '2');
INSERT INTO `car_region` VALUES ('1469', '建始县', '1466', '2');
INSERT INTO `car_region` VALUES ('1470', '来凤县', '1466', '2');
INSERT INTO `car_region` VALUES ('1471', '巴东县', '1466', '2');
INSERT INTO `car_region` VALUES ('1472', '鹤峰县', '1466', '2');
INSERT INTO `car_region` VALUES ('1473', '宣恩县', '1466', '2');
INSERT INTO `car_region` VALUES ('1474', '咸丰县', '1466', '2');
INSERT INTO `car_region` VALUES ('1475', '鄂州市', '17', '1');
INSERT INTO `car_region` VALUES ('1476', '鄂城区（市区内）', '1475', '2');
INSERT INTO `car_region` VALUES ('1477', '荆门市', '17', '1');
INSERT INTO `car_region` VALUES ('1478', '京山县', '1477', '2');
INSERT INTO `car_region` VALUES ('1479', '随州市', '17', '1');
INSERT INTO `car_region` VALUES ('1481', '孝南区(商贸街南,澴河东,316国道北,107国道西)', '1432', '2');
INSERT INTO `car_region` VALUES ('1482', '长沙市', '18', '1');
INSERT INTO `car_region` VALUES ('1483', '浏阳市', '1482', '2');
INSERT INTO `car_region` VALUES ('1484', '长沙县(星沙经济技术开发区)', '1482', '2');
INSERT INTO `car_region` VALUES ('1485', '望城县', '1482', '2');
INSERT INTO `car_region` VALUES ('1486', '宁乡县', '1482', '2');
INSERT INTO `car_region` VALUES ('1487', '雨花区(时代阳光大道以北,万家丽路以西)', '1482', '2');
INSERT INTO `car_region` VALUES ('1488', '株洲市', '18', '1');
INSERT INTO `car_region` VALUES ('1489', '醴陵市', '1488', '2');
INSERT INTO `car_region` VALUES ('1490', '株洲县', '1488', '2');
INSERT INTO `car_region` VALUES ('1491', '攸县', '1488', '2');
INSERT INTO `car_region` VALUES ('1492', '茶陵县', '1488', '2');
INSERT INTO `car_region` VALUES ('1493', '炎陵县', '1488', '2');
INSERT INTO `car_region` VALUES ('1494', '天元区(西环路以东)', '1488', '2');
INSERT INTO `car_region` VALUES ('1495', '湘潭市', '18', '1');
INSERT INTO `car_region` VALUES ('1496', '湘乡市', '1495', '2');
INSERT INTO `car_region` VALUES ('1497', '湘潭县', '1495', '2');
INSERT INTO `car_region` VALUES ('1498', '韶山市', '1495', '2');
INSERT INTO `car_region` VALUES ('1499', '韶山市', '18', '1');
INSERT INTO `car_region` VALUES ('1500', '韶山市区内', '1499', '2');
INSERT INTO `car_region` VALUES ('1501', '衡阳市', '18', '1');
INSERT INTO `car_region` VALUES ('1502', '常宁市', '1501', '2');
INSERT INTO `car_region` VALUES ('1503', '衡阳县', '1501', '2');
INSERT INTO `car_region` VALUES ('1504', '耒阳市', '1501', '2');
INSERT INTO `car_region` VALUES ('1505', '衡东县', '1501', '2');
INSERT INTO `car_region` VALUES ('1506', '衡南县', '1501', '2');
INSERT INTO `car_region` VALUES ('1507', '衡山县', '1501', '2');
INSERT INTO `car_region` VALUES ('1508', '祁东县', '1501', '2');
INSERT INTO `car_region` VALUES ('1509', '南岳区', '1501', '2');
INSERT INTO `car_region` VALUES ('1511', '邵阳市', '18', '1');
INSERT INTO `car_region` VALUES ('1512', '武冈市', '1511', '2');
INSERT INTO `car_region` VALUES ('1513', '邵东县', '1511', '2');
INSERT INTO `car_region` VALUES ('1514', '洞口县', '1511', '2');
INSERT INTO `car_region` VALUES ('1515', '新邵县', '1511', '2');
INSERT INTO `car_region` VALUES ('1516', '绥宁县', '1511', '2');
INSERT INTO `car_region` VALUES ('1517', '新宁县', '1511', '2');
INSERT INTO `car_region` VALUES ('1518', '邵阳县', '1511', '2');
INSERT INTO `car_region` VALUES ('1519', '隆回县', '1511', '2');
INSERT INTO `car_region` VALUES ('1520', '城步苗族自治县', '1511', '2');
INSERT INTO `car_region` VALUES ('1521', '北塔区(市区内，江北）', '1511', '2');
INSERT INTO `car_region` VALUES ('1522', '岳阳市', '18', '1');
INSERT INTO `car_region` VALUES ('1523', '临湘市', '1522', '2');
INSERT INTO `car_region` VALUES ('1524', '汩罗市', '1522', '2');
INSERT INTO `car_region` VALUES ('1525', '岳阳县', '1522', '2');
INSERT INTO `car_region` VALUES ('1526', '湘阴县', '1522', '2');
INSERT INTO `car_region` VALUES ('1527', '华容县', '1522', '2');
INSERT INTO `car_region` VALUES ('1528', '平江县', '1522', '2');
INSERT INTO `car_region` VALUES ('1529', '岳阳楼区(107国道以西,南湖以北)', '1522', '2');
INSERT INTO `car_region` VALUES ('1530', '常德市', '18', '1');
INSERT INTO `car_region` VALUES ('1532', '津市市', '1530', '2');
INSERT INTO `car_region` VALUES ('1533', '澧县', '1530', '2');
INSERT INTO `car_region` VALUES ('1534', '临澧县', '1530', '2');
INSERT INTO `car_region` VALUES ('1535', '桃源县', '1530', '2');
INSERT INTO `car_region` VALUES ('1536', '汉寿县', '1530', '2');
INSERT INTO `car_region` VALUES ('1537', '石门县', '1530', '2');
INSERT INTO `car_region` VALUES ('1538', '安乡县', '1530', '2');
INSERT INTO `car_region` VALUES ('1539', '鼎城区(金霞路以北,市区内)', '1530', '2');
INSERT INTO `car_region` VALUES ('1540', '张家界市', '18', '1');
INSERT INTO `car_region` VALUES ('1541', '慈利县', '1540', '2');
INSERT INTO `car_region` VALUES ('1542', '桑植县', '1540', '2');
INSERT INTO `car_region` VALUES ('1543', '武陵源区', '1540', '2');
INSERT INTO `car_region` VALUES ('1544', '郴州市', '18', '1');
INSERT INTO `car_region` VALUES ('1545', '资兴市', '1544', '2');
INSERT INTO `car_region` VALUES ('1546', '宜章县', '1544', '2');
INSERT INTO `car_region` VALUES ('1547', '安仁县', '1544', '2');
INSERT INTO `car_region` VALUES ('1548', '汝城县', '1544', '2');
INSERT INTO `car_region` VALUES ('1549', '嘉禾县', '1544', '2');
INSERT INTO `car_region` VALUES ('1550', '临武县', '1544', '2');
INSERT INTO `car_region` VALUES ('1551', '桂东县', '1544', '2');
INSERT INTO `car_region` VALUES ('1552', '永兴县', '1544', '2');
INSERT INTO `car_region` VALUES ('1553', '桂阳县', '1544', '2');
INSERT INTO `car_region` VALUES ('1554', '苏仙区（郴江路以西，市区内）', '1544', '2');
INSERT INTO `car_region` VALUES ('1555', '益阳市', '18', '1');
INSERT INTO `car_region` VALUES ('1556', '南县', '1555', '2');
INSERT INTO `car_region` VALUES ('1557', '桃江县', '1555', '2');
INSERT INTO `car_region` VALUES ('1558', '安化县', '1555', '2');
INSERT INTO `car_region` VALUES ('1559', '资阳区（资阳大道以南）', '1555', '2');
INSERT INTO `car_region` VALUES ('1560', '永州市', '18', '1');
INSERT INTO `car_region` VALUES ('1561', '冷水滩区(市区内)', '1560', '2');
INSERT INTO `car_region` VALUES ('1563', '祁阳县', '1560', '2');
INSERT INTO `car_region` VALUES ('1564', '双牌县', '1560', '2');
INSERT INTO `car_region` VALUES ('1565', '沅江市', '1555', '2');
INSERT INTO `car_region` VALUES ('1566', '道县', '1560', '2');
INSERT INTO `car_region` VALUES ('1567', '江永县', '1560', '2');
INSERT INTO `car_region` VALUES ('1568', '江华瑶族自治县', '1560', '2');
INSERT INTO `car_region` VALUES ('1569', '宁远县', '1560', '2');
INSERT INTO `car_region` VALUES ('1570', '新田县', '1560', '2');
INSERT INTO `car_region` VALUES ('1571', '蓝山县', '1560', '2');
INSERT INTO `car_region` VALUES ('1572', '东安县', '1560', '2');
INSERT INTO `car_region` VALUES ('1573', '零陵区', '1560', '2');
INSERT INTO `car_region` VALUES ('1574', '怀化市', '18', '1');
INSERT INTO `car_region` VALUES ('1575', '洪江市', '1574', '2');
INSERT INTO `car_region` VALUES ('1576', '会同县', '1574', '2');
INSERT INTO `car_region` VALUES ('1578', '溆浦县', '1574', '2');
INSERT INTO `car_region` VALUES ('1579', '辰溪县', '1574', '2');
INSERT INTO `car_region` VALUES ('1580', '靖州苗族侗族自治县', '1574', '2');
INSERT INTO `car_region` VALUES ('1581', '通道侗族自治县', '1574', '2');
INSERT INTO `car_region` VALUES ('1582', '芷江侗族自治县', '1574', '2');
INSERT INTO `car_region` VALUES ('1583', '新晃侗族自治县', '1574', '2');
INSERT INTO `car_region` VALUES ('1584', '麻阳苗族自治县', '1574', '2');
INSERT INTO `car_region` VALUES ('1586', '娄底市', '18', '1');
INSERT INTO `car_region` VALUES ('1588', '冷水江市', '1586', '2');
INSERT INTO `car_region` VALUES ('1589', '涟源市', '1586', '2');
INSERT INTO `car_region` VALUES ('1590', '新化县', '1586', '2');
INSERT INTO `car_region` VALUES ('1591', '双峰县', '1586', '2');
INSERT INTO `car_region` VALUES ('1592', '湘西州', '18', '1');
INSERT INTO `car_region` VALUES ('1593', '吉首市', '1592', '2');
INSERT INTO `car_region` VALUES ('1594', '古丈县', '1592', '2');
INSERT INTO `car_region` VALUES ('1595', '龙山县', '1592', '2');
INSERT INTO `car_region` VALUES ('1596', '永顺县', '1592', '2');
INSERT INTO `car_region` VALUES ('1597', '泸溪县', '1592', '2');
INSERT INTO `car_region` VALUES ('1598', '凤凰县', '1592', '2');
INSERT INTO `car_region` VALUES ('1599', '花垣县', '1592', '2');
INSERT INTO `car_region` VALUES ('1600', '保靖县', '1592', '2');
INSERT INTO `car_region` VALUES ('1601', '广州市', '19', '1');
INSERT INTO `car_region` VALUES ('1602', '花都区(赤坭、梯面镇、白云国际机场)', '1601', '2');
INSERT INTO `car_region` VALUES ('1603', '番禺区(除榄核、大岗、灵山镇外)', '1601', '2');
INSERT INTO `car_region` VALUES ('1604', '从化市(除街口、城郊、江埔、太平、神岗外)', '1601', '2');
INSERT INTO `car_region` VALUES ('1607', '深圳市', '19', '1');
INSERT INTO `car_region` VALUES ('1609', '珠海市', '19', '1');
INSERT INTO `car_region` VALUES ('1610', '香洲区（新香洲、老香洲、前山、南屏、湾仔保税区）', '1609', '2');
INSERT INTO `car_region` VALUES ('1611', '汕头市', '19', '1');
INSERT INTO `car_region` VALUES ('1612', '澄海区(澄城，莲上、莲下、上华、湾头)', '1611', '2');
INSERT INTO `car_region` VALUES ('1614', '南澳县', '1611', '2');
INSERT INTO `car_region` VALUES ('1615', '金平区(月浦、莲塘、鮀莲、赖厝、天港、玉井)', '1611', '2');
INSERT INTO `car_region` VALUES ('1616', '濠江区(达濠岛)', '1611', '2');
INSERT INTO `car_region` VALUES ('1617', '韶关市', '19', '1');
INSERT INTO `car_region` VALUES ('1618', '南雄市', '1617', '2');
INSERT INTO `car_region` VALUES ('1619', '乐昌市', '1617', '2');
INSERT INTO `car_region` VALUES ('1620', '仁化县', '1617', '2');
INSERT INTO `car_region` VALUES ('1621', '始兴县', '1617', '2');
INSERT INTO `car_region` VALUES ('1622', '翁源县', '1617', '2');
INSERT INTO `car_region` VALUES ('1624', '新丰县', '1617', '2');
INSERT INTO `car_region` VALUES ('1625', '乳源瑶族自治县', '1617', '2');
INSERT INTO `car_region` VALUES ('1626', '曲江区', '1617', '2');
INSERT INTO `car_region` VALUES ('1627', '河源市', '19', '1');
INSERT INTO `car_region` VALUES ('1628', '和平县', '1627', '2');
INSERT INTO `car_region` VALUES ('1629', '龙川县', '1627', '2');
INSERT INTO `car_region` VALUES ('1630', '紫金县', '1627', '2');
INSERT INTO `car_region` VALUES ('1631', '连平县', '1627', '2');
INSERT INTO `car_region` VALUES ('1632', '东源县(仙塘圩镇、仙塘蝴蝶岭工业园)', '1627', '2');
INSERT INTO `car_region` VALUES ('1633', '源城区(埔前镇、高埔岗、龙岭工业园、临江镇)', '1627', '2');
INSERT INTO `car_region` VALUES ('1634', '梅州市', '19', '1');
INSERT INTO `car_region` VALUES ('1635', '兴宁市', '1634', '2');
INSERT INTO `car_region` VALUES ('1636', '梅县', '1634', '2');
INSERT INTO `car_region` VALUES ('1637', '蕉岭县', '1634', '2');
INSERT INTO `car_region` VALUES ('1638', '大埔县', '1634', '2');
INSERT INTO `car_region` VALUES ('1639', '丰顺县', '1634', '2');
INSERT INTO `car_region` VALUES ('1640', '五华县', '1634', '2');
INSERT INTO `car_region` VALUES ('1641', '平远县', '1634', '2');
INSERT INTO `car_region` VALUES ('1642', '梅江区', '1634', '2');
INSERT INTO `car_region` VALUES ('1643', '惠州市', '19', '1');
INSERT INTO `car_region` VALUES ('1644', '惠阳区(秋长、沙田、三和、新墟、镇隆、永湖、良井)', '1643', '2');
INSERT INTO `car_region` VALUES ('1647', '龙门县', '1643', '2');
INSERT INTO `car_region` VALUES ('1650', '汕尾市', '19', '1');
INSERT INTO `car_region` VALUES ('1653', '陆河县', '1650', '2');
INSERT INTO `car_region` VALUES ('1654', '城区(海汕公路及莲花山以西,141县道以北)', '1650', '2');
INSERT INTO `car_region` VALUES ('1655', '东莞市', '19', '1');
INSERT INTO `car_region` VALUES ('1656', '东城区(莞深高速以西,莞龙路以南,迎宾路以北)', '1655', '2');
INSERT INTO `car_region` VALUES ('1657', '中山市', '19', '1');
INSERT INTO `car_region` VALUES ('1658', '中山市区内', '1657', '2');
INSERT INTO `car_region` VALUES ('1659', '江门市', '19', '1');
INSERT INTO `car_region` VALUES ('1660', '台山市(除台城镇以外)', '1659', '2');
INSERT INTO `car_region` VALUES ('1661', '新会区(会城除外，含七堡、南坦)', '1659', '2');
INSERT INTO `car_region` VALUES ('1662', '开平市（长沙区/三埠区除外,含楼冈、沙冈）', '1659', '2');
INSERT INTO `car_region` VALUES ('1663', '鹤山市(雅瑶镇/桃源镇镇中心、沙坪镇）', '1659', '2');
INSERT INTO `car_region` VALUES ('1665', '江海区(西江以西、江中高速以北)', '1659', '2');
INSERT INTO `car_region` VALUES ('1666', '佛山市', '19', '1');
INSERT INTO `car_region` VALUES ('1667', '三水区(除西南街道外)', '1666', '2');
INSERT INTO `car_region` VALUES ('1668', '南海区(除桂城、大沥、盐步、黄岐、里水、和顺镇外)', '1666', '2');
INSERT INTO `car_region` VALUES ('1669', '顺德区', '1666', '2');
INSERT INTO `car_region` VALUES ('1670', '高明区（荷城）', '1666', '2');
INSERT INTO `car_region` VALUES ('1671', '禅城区(市内、南庄镇)', '1666', '2');
INSERT INTO `car_region` VALUES ('1672', '阳江市', '19', '1');
INSERT INTO `car_region` VALUES ('1673', '阳春市', '1672', '2');
INSERT INTO `car_region` VALUES ('1674', '阳西县', '1672', '2');
INSERT INTO `car_region` VALUES ('1675', '阳东县(龙塘路以西,新华路以北,金山路以南)', '1672', '2');
INSERT INTO `car_region` VALUES ('1676', '江城区(建设路以东,江台路以北,金山路以南)', '1672', '2');
INSERT INTO `car_region` VALUES ('1677', '湛江市', '19', '1');
INSERT INTO `car_region` VALUES ('1678', '廉江市(廉城镇、石城镇镇中心)', '1677', '2');
INSERT INTO `car_region` VALUES ('1679', '雷州市', '1677', '2');
INSERT INTO `car_region` VALUES ('1680', '吴川市', '1677', '2');
INSERT INTO `car_region` VALUES ('1682', '徐闻县', '1677', '2');
INSERT INTO `car_region` VALUES ('1683', '麻章区(金华西路以南、政通路以北、疏港大道以东)', '1677', '2');
INSERT INTO `car_region` VALUES ('1684', '茂名市', '19', '1');
INSERT INTO `car_region` VALUES ('1687', '信宜市', '1684', '2');
INSERT INTO `car_region` VALUES ('1689', '茂南区(主城区)', '1684', '2');
INSERT INTO `car_region` VALUES ('1690', '肇庆市', '19', '1');
INSERT INTO `car_region` VALUES ('1691', '高要市(除南岸、金渡、马安、新桥镇区、科技学院以外)', '1690', '2');
INSERT INTO `car_region` VALUES ('1692', '四会市(除城中、东城、高新区；新江、清塘镇以外)', '1690', '2');
INSERT INTO `car_region` VALUES ('1693', '广宁县', '1690', '2');
INSERT INTO `car_region` VALUES ('1694', '德庆县', '1690', '2');
INSERT INTO `car_region` VALUES ('1695', '怀集县', '1690', '2');
INSERT INTO `car_region` VALUES ('1696', '封开县', '1690', '2');
INSERT INTO `car_region` VALUES ('1697', '鼎湖区', '1690', '2');
INSERT INTO `car_region` VALUES ('1698', '云浮市', '19', '1');
INSERT INTO `car_region` VALUES ('1700', '云安县', '1698', '2');
INSERT INTO `car_region` VALUES ('1701', '新兴县', '1698', '2');
INSERT INTO `car_region` VALUES ('1702', '郁南县', '1698', '2');
INSERT INTO `car_region` VALUES ('1703', '云城区(新世纪大道以西、324国道以南)', '1698', '2');
INSERT INTO `car_region` VALUES ('1704', '清远市', '19', '1');
INSERT INTO `car_region` VALUES ('1705', '潮州市', '19', '1');
INSERT INTO `car_region` VALUES ('1706', '潮安县（古巷镇政府，枫洋村）', '1705', '2');
INSERT INTO `car_region` VALUES ('1707', '饶平县', '1705', '2');
INSERT INTO `car_region` VALUES ('1708', '湘桥区(市区外，意溪镇，六亩村，黄金塘)', '1705', '2');
INSERT INTO `car_region` VALUES ('1709', '揭阳市', '19', '1');
INSERT INTO `car_region` VALUES ('1711', '揭东县(除曲溪镇县城、揭东开发区外)', '1709', '2');
INSERT INTO `car_region` VALUES ('1712', '揭西县', '1709', '2');
INSERT INTO `car_region` VALUES ('1713', '惠来县', '1709', '2');
INSERT INTO `car_region` VALUES ('1714', '榕城区(梅云镇、渔湖镇)', '1709', '2');
INSERT INTO `car_region` VALUES ('1715', '南宁市', '20', '1');
INSERT INTO `car_region` VALUES ('1716', '武鸣县', '1715', '2');
INSERT INTO `car_region` VALUES ('1720', '柳州市', '20', '1');
INSERT INTO `car_region` VALUES ('1721', '柳江县', '1720', '2');
INSERT INTO `car_region` VALUES ('1722', '柳城县', '1720', '2');
INSERT INTO `car_region` VALUES ('1724', '邕宁区', '1715', '2');
INSERT INTO `car_region` VALUES ('1725', '鹿寨县', '1720', '2');
INSERT INTO `car_region` VALUES ('1726', '桂林市', '20', '1');
INSERT INTO `car_region` VALUES ('1727', '阳朔县', '1726', '2');
INSERT INTO `car_region` VALUES ('1728', '临桂县', '1726', '2');
INSERT INTO `car_region` VALUES ('1729', '灵川县', '1726', '2');
INSERT INTO `car_region` VALUES ('1730', '全州县', '1726', '2');
INSERT INTO `car_region` VALUES ('1731', '平乐县', '1726', '2');
INSERT INTO `car_region` VALUES ('1732', '兴安县', '1726', '2');
INSERT INTO `car_region` VALUES ('1733', '灌阳县', '1726', '2');
INSERT INTO `car_region` VALUES ('1734', '荔浦县', '1726', '2');
INSERT INTO `car_region` VALUES ('1735', '资源县', '1726', '2');
INSERT INTO `car_region` VALUES ('1736', '永福县', '1726', '2');
INSERT INTO `car_region` VALUES ('1738', '龙胜各族自治县', '1726', '2');
INSERT INTO `car_region` VALUES ('1740', '梧州市', '20', '1');
INSERT INTO `car_region` VALUES ('1741', '岑溪市', '1740', '2');
INSERT INTO `car_region` VALUES ('1742', '苍梧县', '1740', '2');
INSERT INTO `car_region` VALUES ('1743', '藤县', '1740', '2');
INSERT INTO `car_region` VALUES ('1744', '蒙山县', '1740', '2');
INSERT INTO `car_region` VALUES ('1745', '长洲区(竹葵背以南,火车站以东,竹湾路以北)', '1740', '2');
INSERT INTO `car_region` VALUES ('1746', '北海市', '20', '1');
INSERT INTO `car_region` VALUES ('1747', '合浦县', '1746', '2');
INSERT INTO `car_region` VALUES ('1748', '铁山港区', '1746', '2');
INSERT INTO `car_region` VALUES ('1749', '防城港市', '20', '1');
INSERT INTO `car_region` VALUES ('1750', '东兴市', '1749', '2');
INSERT INTO `car_region` VALUES ('1751', '上思县', '1749', '2');
INSERT INTO `car_region` VALUES ('1753', '钦州市', '20', '1');
INSERT INTO `car_region` VALUES ('1754', '浦北县', '1753', '2');
INSERT INTO `car_region` VALUES ('1755', '灵山县', '1753', '2');
INSERT INTO `car_region` VALUES ('1756', '钦南区(G325以南,金海湾路以北,钦州学院以东)', '1753', '2');
INSERT INTO `car_region` VALUES ('1757', '贵港市', '20', '1');
INSERT INTO `car_region` VALUES ('1758', '桂平市', '1757', '2');
INSERT INTO `car_region` VALUES ('1759', '平南县', '1757', '2');
INSERT INTO `car_region` VALUES ('1760', '覃塘区', '1757', '2');
INSERT INTO `car_region` VALUES ('1761', '玉林市', '20', '1');
INSERT INTO `car_region` VALUES ('1762', '北流市', '1761', '2');
INSERT INTO `car_region` VALUES ('1763', '容县', '1761', '2');
INSERT INTO `car_region` VALUES ('1764', '博白县', '1761', '2');
INSERT INTO `car_region` VALUES ('1765', '陆川县', '1761', '2');
INSERT INTO `car_region` VALUES ('1766', '兴业县', '1761', '2');
INSERT INTO `car_region` VALUES ('1767', '玉州区(二环北路以南,S216以东,火车站以北)', '1761', '2');
INSERT INTO `car_region` VALUES ('1792', '贺州市', '20', '1');
INSERT INTO `car_region` VALUES ('1795', '连州市', '1704', '2');
INSERT INTO `car_region` VALUES ('1796', '佛冈县', '1704', '2');
INSERT INTO `car_region` VALUES ('1797', '阳山县', '1704', '2');
INSERT INTO `car_region` VALUES ('1798', '清新县', '1704', '2');
INSERT INTO `car_region` VALUES ('1799', '连山壮族瑶族自治县', '1704', '2');
INSERT INTO `car_region` VALUES ('1800', '连南瑶族自治区', '1704', '2');
INSERT INTO `car_region` VALUES ('1801', '清城区(环城北路以南、人民路以北)', '1704', '2');
INSERT INTO `car_region` VALUES ('1802', '八步区(笔架山以南,杨梅以北,张屋以西,马岭以东)', '1792', '2');
INSERT INTO `car_region` VALUES ('1803', '钟山县', '1792', '2');
INSERT INTO `car_region` VALUES ('1804', '昭平县', '1792', '2');
INSERT INTO `car_region` VALUES ('1805', '富川瑶族自治县', '1792', '2');
INSERT INTO `car_region` VALUES ('1806', '百色市', '20', '1');
INSERT INTO `car_region` VALUES ('1807', '右江区', '1806', '2');
INSERT INTO `car_region` VALUES ('1808', '平果县', '1806', '2');
INSERT INTO `car_region` VALUES ('1809', '乐业县', '1806', '2');
INSERT INTO `car_region` VALUES ('1810', '田阳县', '1806', '2');
INSERT INTO `car_region` VALUES ('1811', '西林县', '1806', '2');
INSERT INTO `car_region` VALUES ('1812', '田林县', '1806', '2');
INSERT INTO `car_region` VALUES ('1813', '德保县', '1806', '2');
INSERT INTO `car_region` VALUES ('1814', '靖西县', '1806', '2');
INSERT INTO `car_region` VALUES ('1815', '田东县', '1806', '2');
INSERT INTO `car_region` VALUES ('1816', '那坡县', '1806', '2');
INSERT INTO `car_region` VALUES ('1817', '隆林县', '1806', '2');
INSERT INTO `car_region` VALUES ('1818', '河池市', '20', '1');
INSERT INTO `car_region` VALUES ('1820', '宜州市', '1818', '2');
INSERT INTO `car_region` VALUES ('1821', '天峨县', '1818', '2');
INSERT INTO `car_region` VALUES ('1822', '凤山县', '1818', '2');
INSERT INTO `car_region` VALUES ('1823', '南丹县', '1818', '2');
INSERT INTO `car_region` VALUES ('1824', '东兰县', '1818', '2');
INSERT INTO `car_region` VALUES ('1825', '巴马县', '1818', '2');
INSERT INTO `car_region` VALUES ('1826', '环江县', '1818', '2');
INSERT INTO `car_region` VALUES ('1827', '南昌市', '21', '1');
INSERT INTO `car_region` VALUES ('1828', '南昌县', '1827', '2');
INSERT INTO `car_region` VALUES ('1829', '进贤县', '1827', '2');
INSERT INTO `car_region` VALUES ('1830', '安义县', '1827', '2');
INSERT INTO `car_region` VALUES ('1832', '景德镇市', '21', '1');
INSERT INTO `car_region` VALUES ('1833', '乐平市', '1832', '2');
INSERT INTO `car_region` VALUES ('1834', '浮梁县', '1832', '2');
INSERT INTO `car_region` VALUES ('1836', '萍乡市', '21', '1');
INSERT INTO `car_region` VALUES ('1837', '湘东区', '1836', '2');
INSERT INTO `car_region` VALUES ('1838', '莲花县', '1836', '2');
INSERT INTO `car_region` VALUES ('1839', '上栗县', '1836', '2');
INSERT INTO `car_region` VALUES ('1840', '芦溪县', '1836', '2');
INSERT INTO `car_region` VALUES ('1842', '新余市', '21', '1');
INSERT INTO `car_region` VALUES ('1843', '分宜县', '1842', '2');
INSERT INTO `car_region` VALUES ('1845', '九江市', '21', '1');
INSERT INTO `car_region` VALUES ('1846', '九江县', '1845', '2');
INSERT INTO `car_region` VALUES ('1847', '瑞昌市', '1845', '2');
INSERT INTO `car_region` VALUES ('1848', '星子县', '1845', '2');
INSERT INTO `car_region` VALUES ('1849', '武宁县', '1845', '2');
INSERT INTO `car_region` VALUES ('1850', '澎泽县', '1845', '2');
INSERT INTO `car_region` VALUES ('1851', '永修县', '1845', '2');
INSERT INTO `car_region` VALUES ('1852', '修水县', '1845', '2');
INSERT INTO `car_region` VALUES ('1853', '湖口县', '1845', '2');
INSERT INTO `car_region` VALUES ('1854', '德安县', '1845', '2');
INSERT INTO `car_region` VALUES ('1855', '都昌县', '1845', '2');
INSERT INTO `car_region` VALUES ('1857', '鹰潭市', '21', '1');
INSERT INTO `car_region` VALUES ('1858', '余江县', '1857', '2');
INSERT INTO `car_region` VALUES ('1859', '贵溪市', '1857', '2');
INSERT INTO `car_region` VALUES ('1860', '月湖区', '1857', '2');
INSERT INTO `car_region` VALUES ('1861', '上饶市', '21', '1');
INSERT INTO `car_region` VALUES ('1863', '德兴市', '1861', '2');
INSERT INTO `car_region` VALUES ('1864', '广丰县', '1861', '2');
INSERT INTO `car_region` VALUES ('1865', '鄱阳县', '1861', '2');
INSERT INTO `car_region` VALUES ('1866', '婺源县', '1861', '2');
INSERT INTO `car_region` VALUES ('1867', '余干县', '1861', '2');
INSERT INTO `car_region` VALUES ('1868', '横峰县', '1861', '2');
INSERT INTO `car_region` VALUES ('1869', '弋阳县', '1861', '2');
INSERT INTO `car_region` VALUES ('1870', '铅山县', '1861', '2');
INSERT INTO `car_region` VALUES ('1871', '玉山县', '1861', '2');
INSERT INTO `car_region` VALUES ('1872', '万年县', '1861', '2');
INSERT INTO `car_region` VALUES ('1874', '宜春市', '21', '1');
INSERT INTO `car_region` VALUES ('1875', '丰城市', '1874', '2');
INSERT INTO `car_region` VALUES ('1876', '樟树市', '1874', '2');
INSERT INTO `car_region` VALUES ('1877', '高安市', '1874', '2');
INSERT INTO `car_region` VALUES ('1878', '铜鼓县', '1874', '2');
INSERT INTO `car_region` VALUES ('1879', '靖安县', '1874', '2');
INSERT INTO `car_region` VALUES ('1880', '宜丰县', '1874', '2');
INSERT INTO `car_region` VALUES ('1881', '奉新县', '1874', '2');
INSERT INTO `car_region` VALUES ('1882', '万载县', '1874', '2');
INSERT INTO `car_region` VALUES ('1883', '上高县', '1874', '2');
INSERT INTO `car_region` VALUES ('1884', '袁州区（环城路、清宜线环内市区）', '1874', '2');
INSERT INTO `car_region` VALUES ('1885', '抚州市', '21', '1');
INSERT INTO `car_region` VALUES ('1886', '临川区（市区内）', '1885', '2');
INSERT INTO `car_region` VALUES ('1887', '南丰县', '1885', '2');
INSERT INTO `car_region` VALUES ('1888', '乐安县', '1885', '2');
INSERT INTO `car_region` VALUES ('1889', '金溪县', '1885', '2');
INSERT INTO `car_region` VALUES ('1890', '南城县', '1885', '2');
INSERT INTO `car_region` VALUES ('1891', '东乡县', '1885', '2');
INSERT INTO `car_region` VALUES ('1892', '资溪县', '1885', '2');
INSERT INTO `car_region` VALUES ('1893', '宜黄县', '1885', '2');
INSERT INTO `car_region` VALUES ('1894', '崇仁县', '1885', '2');
INSERT INTO `car_region` VALUES ('1895', '黎川县', '1885', '2');
INSERT INTO `car_region` VALUES ('1896', '广昌县', '1885', '2');
INSERT INTO `car_region` VALUES ('1898', '吉安市', '21', '1');
INSERT INTO `car_region` VALUES ('1899', '井冈山市', '1898', '2');
INSERT INTO `car_region` VALUES ('1900', '吉安县', '1898', '2');
INSERT INTO `car_region` VALUES ('1901', '永丰县', '1898', '2');
INSERT INTO `car_region` VALUES ('1902', '永新县', '1898', '2');
INSERT INTO `car_region` VALUES ('1903', '新干县', '1898', '2');
INSERT INTO `car_region` VALUES ('1904', '泰和县', '1898', '2');
INSERT INTO `car_region` VALUES ('1905', '峡江县', '1898', '2');
INSERT INTO `car_region` VALUES ('1906', '遂川县', '1898', '2');
INSERT INTO `car_region` VALUES ('1907', '安福县', '1898', '2');
INSERT INTO `car_region` VALUES ('1908', '吉水县', '1898', '2');
INSERT INTO `car_region` VALUES ('1909', '万安县', '1898', '2');
INSERT INTO `car_region` VALUES ('1910', '吉州区（主城区内）', '1898', '2');
INSERT INTO `car_region` VALUES ('1911', '赣州市', '21', '1');
INSERT INTO `car_region` VALUES ('1912', '南康市', '1911', '2');
INSERT INTO `car_region` VALUES ('1913', '瑞金市', '1911', '2');
INSERT INTO `car_region` VALUES ('1914', '石城县', '1911', '2');
INSERT INTO `car_region` VALUES ('1915', '安远县', '1911', '2');
INSERT INTO `car_region` VALUES ('1916', '赣县', '1911', '2');
INSERT INTO `car_region` VALUES ('1917', '宁都县', '1911', '2');
INSERT INTO `car_region` VALUES ('1918', '寻乌县', '1911', '2');
INSERT INTO `car_region` VALUES ('1919', '兴国县', '1911', '2');
INSERT INTO `car_region` VALUES ('1920', '定南县', '1911', '2');
INSERT INTO `car_region` VALUES ('1921', '上犹县', '1911', '2');
INSERT INTO `car_region` VALUES ('1922', '于都县', '1911', '2');
INSERT INTO `car_region` VALUES ('1923', '龙南县', '1911', '2');
INSERT INTO `car_region` VALUES ('1924', '崇义县', '1911', '2');
INSERT INTO `car_region` VALUES ('1925', '大余县', '1911', '2');
INSERT INTO `car_region` VALUES ('1926', '信丰县', '1911', '2');
INSERT INTO `car_region` VALUES ('1927', '全南县', '1911', '2');
INSERT INTO `car_region` VALUES ('1928', '会昌县', '1911', '2');
INSERT INTO `car_region` VALUES ('1929', '章贡区(赣江源以北,贡水以南,华坚路东,铁路以西)', '1911', '2');
INSERT INTO `car_region` VALUES ('1930', '成都市', '22', '1');
INSERT INTO `car_region` VALUES ('1931', '龙泉驿区(除主城区,同安镇,十陵镇,大面镇外区域)', '1930', '2');
INSERT INTO `car_region` VALUES ('1932', '青白江区(凤凰大道以北,巨石路以东,团结路以南)', '1930', '2');
INSERT INTO `car_region` VALUES ('1933', '都江堰市(三环外)', '1930', '2');
INSERT INTO `car_region` VALUES ('1934', '彭州市(牡丹大道以东,城西铁路以西)', '1930', '2');
INSERT INTO `car_region` VALUES ('1935', '崇州市(主城区,新城区以外区域)', '1930', '2');
INSERT INTO `car_region` VALUES ('1936', '金堂县(赵镇以外区域)', '1930', '2');
INSERT INTO `car_region` VALUES ('1938', '新津县(五津镇、邓双镇以外区域)', '1930', '2');
INSERT INTO `car_region` VALUES ('1940', '郫县(除主城区,犀浦、郫茼镇,进出口加工区外区域)', '1930', '2');
INSERT INTO `car_region` VALUES ('1941', '双流县(除东升、文星、白家镇镇中心；蛟龙工业港外)', '1930', '2');
INSERT INTO `car_region` VALUES ('1942', '邛崃市(主城区以外)', '1930', '2');
INSERT INTO `car_region` VALUES ('1943', '蒲江县(老城区、新城区以内)', '1930', '2');
INSERT INTO `car_region` VALUES ('1944', '大邑县(除主城区,晋原镇外区域)', '1930', '2');
INSERT INTO `car_region` VALUES ('1945', '青羊区(三环以内)', '1930', '2');
INSERT INTO `car_region` VALUES ('1946', '自贡市', '22', '1');
INSERT INTO `car_region` VALUES ('1947', '荣县', '1946', '2');
INSERT INTO `car_region` VALUES ('1948', '富顺县', '1946', '2');
INSERT INTO `car_region` VALUES ('1949', '自流井区', '1946', '2');
INSERT INTO `car_region` VALUES ('1950', '攀枝花市', '22', '1');
INSERT INTO `car_region` VALUES ('1951', '米易县', '1950', '2');
INSERT INTO `car_region` VALUES ('1952', '盐边县', '1950', '2');
INSERT INTO `car_region` VALUES ('1953', '仁和区', '1950', '2');
INSERT INTO `car_region` VALUES ('1954', '泸州市', '22', '1');
INSERT INTO `car_region` VALUES ('1955', '泸县', '1954', '2');
INSERT INTO `car_region` VALUES ('1956', '合江县', '1954', '2');
INSERT INTO `car_region` VALUES ('1957', '叙永县', '1954', '2');
INSERT INTO `car_region` VALUES ('1958', '古蔺县', '1954', '2');
INSERT INTO `car_region` VALUES ('1959', '江阳区(长江大桥以南,滨江路以东,酒城大道以西)', '1954', '2');
INSERT INTO `car_region` VALUES ('1960', '绵阳市', '22', '1');
INSERT INTO `car_region` VALUES ('1962', '德阳市', '22', '1');
INSERT INTO `car_region` VALUES ('1963', '广汉市(主城区、经济开发区、新城区以外区域)', '1962', '2');
INSERT INTO `car_region` VALUES ('1964', '什邡市（主城区）', '1962', '2');
INSERT INTO `car_region` VALUES ('1965', '罗江县', '1962', '2');
INSERT INTO `car_region` VALUES ('1966', '中江县', '1962', '2');
INSERT INTO `car_region` VALUES ('1967', '旌阳区(主城区外区域)', '1962', '2');
INSERT INTO `car_region` VALUES ('1968', '绵竹市（主城区以内）', '1962', '2');
INSERT INTO `car_region` VALUES ('1969', '江油市(主城区)', '1960', '2');
INSERT INTO `car_region` VALUES ('1970', '盐亭县', '1960', '2');
INSERT INTO `car_region` VALUES ('1971', '三台县', '1960', '2');
INSERT INTO `car_region` VALUES ('1972', '平武县', '1960', '2');
INSERT INTO `car_region` VALUES ('1973', '北川羌族自治县', '1960', '2');
INSERT INTO `car_region` VALUES ('1974', '安县', '1960', '2');
INSERT INTO `car_region` VALUES ('1975', '梓潼县', '1960', '2');
INSERT INTO `car_region` VALUES ('1976', '涪城区(二环以外)', '1960', '2');
INSERT INTO `car_region` VALUES ('1977', '广元市', '22', '1');
INSERT INTO `car_region` VALUES ('1978', '青川县', '1977', '2');
INSERT INTO `car_region` VALUES ('1979', '旺苍县', '1977', '2');
INSERT INTO `car_region` VALUES ('1980', '剑阁县', '1977', '2');
INSERT INTO `car_region` VALUES ('1981', '苍溪县', '1977', '2');
INSERT INTO `car_region` VALUES ('1982', '利州区(主城区以外)', '1977', '2');
INSERT INTO `car_region` VALUES ('1983', '遂宁市', '22', '1');
INSERT INTO `car_region` VALUES ('1984', '射洪县', '1983', '2');
INSERT INTO `car_region` VALUES ('1985', '蓬溪县', '1983', '2');
INSERT INTO `car_region` VALUES ('1986', '大英县', '1983', '2');
INSERT INTO `car_region` VALUES ('1987', '安居区', '1983', '2');
INSERT INTO `car_region` VALUES ('1988', '内江市', '22', '1');
INSERT INTO `car_region` VALUES ('1989', '资中县', '1988', '2');
INSERT INTO `car_region` VALUES ('1990', '隆昌县', '1988', '2');
INSERT INTO `car_region` VALUES ('1991', '威远县', '1988', '2');
INSERT INTO `car_region` VALUES ('1992', '市中区', '1988', '2');
INSERT INTO `car_region` VALUES ('1993', '乐山市', '22', '1');
INSERT INTO `car_region` VALUES ('1994', '五通桥区', '1993', '2');
INSERT INTO `car_region` VALUES ('1995', '沙湾区', '1993', '2');
INSERT INTO `car_region` VALUES ('1996', '金口河区', '1993', '2');
INSERT INTO `car_region` VALUES ('1997', '峨眉山市(主城区外)', '1993', '2');
INSERT INTO `car_region` VALUES ('1998', '夹江县', '1993', '2');
INSERT INTO `car_region` VALUES ('1999', '井研县', '1993', '2');
INSERT INTO `car_region` VALUES ('2000', '犍为县', '1993', '2');
INSERT INTO `car_region` VALUES ('2001', '沐川县', '1993', '2');
INSERT INTO `car_region` VALUES ('2002', '峨边彝族自治县', '1993', '2');
INSERT INTO `car_region` VALUES ('2003', '马边彝族自治县', '1993', '2');
INSERT INTO `car_region` VALUES ('2004', '市中区(主城区外区域)', '1993', '2');
INSERT INTO `car_region` VALUES ('2005', '宜宾市', '22', '1');
INSERT INTO `car_region` VALUES ('2006', '宜宾县', '2005', '2');
INSERT INTO `car_region` VALUES ('2007', '南溪县', '2005', '2');
INSERT INTO `car_region` VALUES ('2008', '江安县', '2005', '2');
INSERT INTO `car_region` VALUES ('2009', '长宁县', '2005', '2');
INSERT INTO `car_region` VALUES ('2010', '兴文县', '2005', '2');
INSERT INTO `car_region` VALUES ('2011', '珙县', '2005', '2');
INSERT INTO `car_region` VALUES ('2012', '高县', '2005', '2');
INSERT INTO `car_region` VALUES ('2013', '屏山县', '2005', '2');
INSERT INTO `car_region` VALUES ('2014', '翠屏区(高客站以北,七星大道以南,长江大桥以东)', '2005', '2');
INSERT INTO `car_region` VALUES ('2015', '筠连县', '2005', '2');
INSERT INTO `car_region` VALUES ('2016', '广安市', '22', '1');
INSERT INTO `car_region` VALUES ('2017', '岳池县', '2016', '2');
INSERT INTO `car_region` VALUES ('2018', '武胜县', '2016', '2');
INSERT INTO `car_region` VALUES ('2019', '邻水县', '2016', '2');
INSERT INTO `car_region` VALUES ('2020', '广安区', '2016', '2');
INSERT INTO `car_region` VALUES ('2021', '华蓥市', '2016', '2');
INSERT INTO `car_region` VALUES ('2022', '南充市', '22', '1');
INSERT INTO `car_region` VALUES ('2023', '顺庆区(绕城高速以外)', '2022', '2');
INSERT INTO `car_region` VALUES ('2024', '高坪区(滨江中路以外)', '2022', '2');
INSERT INTO `car_region` VALUES ('2025', '嘉陵区(春江路以外)', '2022', '2');
INSERT INTO `car_region` VALUES ('2026', '南部县（主城区）', '2022', '2');
INSERT INTO `car_region` VALUES ('2027', '西充县（主城区）', '2022', '2');
INSERT INTO `car_region` VALUES ('2028', '仪陇县', '2022', '2');
INSERT INTO `car_region` VALUES ('2029', '蓬安县', '2022', '2');
INSERT INTO `car_region` VALUES ('2030', '营山县', '2022', '2');
INSERT INTO `car_region` VALUES ('2032', '阆中市（主城区）', '2022', '2');
INSERT INTO `car_region` VALUES ('2033', '达州市', '22', '1');
INSERT INTO `car_region` VALUES ('2034', '通川区', '2033', '2');
INSERT INTO `car_region` VALUES ('2035', '达县', '2033', '2');
INSERT INTO `car_region` VALUES ('2036', '大竹县', '2033', '2');
INSERT INTO `car_region` VALUES ('2037', '渠县', '2033', '2');
INSERT INTO `car_region` VALUES ('2038', '万源市', '2033', '2');
INSERT INTO `car_region` VALUES ('2039', '宣汉县', '2033', '2');
INSERT INTO `car_region` VALUES ('2040', '开江县', '2033', '2');
INSERT INTO `car_region` VALUES ('2042', '巴中市', '22', '1');
INSERT INTO `car_region` VALUES ('2044', '南江县', '2042', '2');
INSERT INTO `car_region` VALUES ('2045', '平昌县', '2042', '2');
INSERT INTO `car_region` VALUES ('2046', '通江县', '2042', '2');
INSERT INTO `car_region` VALUES ('2047', '雅安市', '22', '1');
INSERT INTO `car_region` VALUES ('2048', '雨城区(康藏路以北,育才路以西)', '2047', '2');
INSERT INTO `car_region` VALUES ('2049', '芦山县', '2047', '2');
INSERT INTO `car_region` VALUES ('2052', '石棉县', '2047', '2');
INSERT INTO `car_region` VALUES ('2053', '名山县', '2047', '2');
INSERT INTO `car_region` VALUES ('2054', '天全县', '2047', '2');
INSERT INTO `car_region` VALUES ('2055', '荥经县', '2047', '2');
INSERT INTO `car_region` VALUES ('2056', '汉源县', '2047', '2');
INSERT INTO `car_region` VALUES ('2057', '宝兴县', '2047', '2');
INSERT INTO `car_region` VALUES ('2058', '眉山市', '22', '1');
INSERT INTO `car_region` VALUES ('2059', '东坡区(主城区以外的区域)', '2058', '2');
INSERT INTO `car_region` VALUES ('2060', '仁寿县', '2058', '2');
INSERT INTO `car_region` VALUES ('2061', '彭山县', '2058', '2');
INSERT INTO `car_region` VALUES ('2062', '洪雅县', '2058', '2');
INSERT INTO `car_region` VALUES ('2063', '丹棱县', '2058', '2');
INSERT INTO `car_region` VALUES ('2064', '青神县', '2058', '2');
INSERT INTO `car_region` VALUES ('2065', '资阳市', '22', '1');
INSERT INTO `car_region` VALUES ('2067', '简阳市(主城区外)', '2065', '2');
INSERT INTO `car_region` VALUES ('2068', '安岳县', '2065', '2');
INSERT INTO `car_region` VALUES ('2069', '乐至县', '2065', '2');
INSERT INTO `car_region` VALUES ('2070', '阿坝藏族羌族自治州', '22', '1');
INSERT INTO `car_region` VALUES ('2071', '马尔康县', '2070', '2');
INSERT INTO `car_region` VALUES ('2072', '九寨沟县', '2070', '2');
INSERT INTO `car_region` VALUES ('2073', '红原县', '2070', '2');
INSERT INTO `car_region` VALUES ('2074', '汶川县(城区)', '2070', '2');
INSERT INTO `car_region` VALUES ('2075', '阿坝县', '2070', '2');
INSERT INTO `car_region` VALUES ('2076', '理县', '2070', '2');
INSERT INTO `car_region` VALUES ('2077', '若尔盖县', '2070', '2');
INSERT INTO `car_region` VALUES ('2078', '金川县', '2070', '2');
INSERT INTO `car_region` VALUES ('2079', '小金县', '2070', '2');
INSERT INTO `car_region` VALUES ('2080', '黑水县', '2070', '2');
INSERT INTO `car_region` VALUES ('2081', '松潘县', '2070', '2');
INSERT INTO `car_region` VALUES ('2082', '壤塘县', '2070', '2');
INSERT INTO `car_region` VALUES ('2083', '茂县', '2070', '2');
INSERT INTO `car_region` VALUES ('2084', '甘孜州', '22', '1');
INSERT INTO `car_region` VALUES ('2085', '康定县', '2084', '2');
INSERT INTO `car_region` VALUES ('2086', '泸定县', '2084', '2');
INSERT INTO `car_region` VALUES ('2087', '九龙县', '2084', '2');
INSERT INTO `car_region` VALUES ('2088', '丹巴县', '2084', '2');
INSERT INTO `car_region` VALUES ('2089', '道孚县', '2084', '2');
INSERT INTO `car_region` VALUES ('2090', '炉霍县', '2084', '2');
INSERT INTO `car_region` VALUES ('2091', '色达县', '2084', '2');
INSERT INTO `car_region` VALUES ('2092', '甘孜县', '2084', '2');
INSERT INTO `car_region` VALUES ('2093', '新龙县', '2084', '2');
INSERT INTO `car_region` VALUES ('2094', '白玉县', '2084', '2');
INSERT INTO `car_region` VALUES ('2095', '德格县', '2084', '2');
INSERT INTO `car_region` VALUES ('2096', '石渠县', '2084', '2');
INSERT INTO `car_region` VALUES ('2097', '雅江县', '2084', '2');
INSERT INTO `car_region` VALUES ('2098', '理塘县', '2084', '2');
INSERT INTO `car_region` VALUES ('2099', '巴塘县', '2084', '2');
INSERT INTO `car_region` VALUES ('2100', '稻城县', '2084', '2');
INSERT INTO `car_region` VALUES ('2101', '乡城县', '2084', '2');
INSERT INTO `car_region` VALUES ('2102', '得荣县', '2084', '2');
INSERT INTO `car_region` VALUES ('2103', '凉山彝族自治州', '22', '1');
INSERT INTO `car_region` VALUES ('2104', '西昌市(主城区)', '2103', '2');
INSERT INTO `car_region` VALUES ('2105', '美姑县', '2103', '2');
INSERT INTO `car_region` VALUES ('2106', '昭觉县', '2103', '2');
INSERT INTO `car_region` VALUES ('2107', '会理县', '2103', '2');
INSERT INTO `car_region` VALUES ('2108', '会东县', '2103', '2');
INSERT INTO `car_region` VALUES ('2109', '普格县', '2103', '2');
INSERT INTO `car_region` VALUES ('2110', '宁南县', '2103', '2');
INSERT INTO `car_region` VALUES ('2111', '德昌县', '2103', '2');
INSERT INTO `car_region` VALUES ('2112', '冕宁县', '2103', '2');
INSERT INTO `car_region` VALUES ('2113', '盐源县', '2103', '2');
INSERT INTO `car_region` VALUES ('2114', '金阳县', '2103', '2');
INSERT INTO `car_region` VALUES ('2115', '布拖县', '2103', '2');
INSERT INTO `car_region` VALUES ('2116', '雷波县', '2103', '2');
INSERT INTO `car_region` VALUES ('2117', '越西县', '2103', '2');
INSERT INTO `car_region` VALUES ('2118', '喜德县', '2103', '2');
INSERT INTO `car_region` VALUES ('2119', '甘洛县', '2103', '2');
INSERT INTO `car_region` VALUES ('2120', '木里藏族自治县', '2103', '2');
INSERT INTO `car_region` VALUES ('2121', '海口市', '23', '1');
INSERT INTO `car_region` VALUES ('2122', '龙华区(椰海大道以北)', '2121', '2');
INSERT INTO `car_region` VALUES ('2144', '贵阳市', '24', '1');
INSERT INTO `car_region` VALUES ('2145', '清镇市', '2144', '2');
INSERT INTO `car_region` VALUES ('2146', '开阳县', '2144', '2');
INSERT INTO `car_region` VALUES ('2147', '修文县', '2144', '2');
INSERT INTO `car_region` VALUES ('2148', '息峰县', '2144', '2');
INSERT INTO `car_region` VALUES ('2149', '乌当区', '2144', '2');
INSERT INTO `car_region` VALUES ('2150', '六盘水市', '24', '1');
INSERT INTO `car_region` VALUES ('2151', '盘县', '2150', '2');
INSERT INTO `car_region` VALUES ('2152', '六枝特区', '2150', '2');
INSERT INTO `car_region` VALUES ('2153', '水城县', '2150', '2');
INSERT INTO `car_region` VALUES ('2154', '钟山区', '2150', '2');
INSERT INTO `car_region` VALUES ('2155', '遵义市', '24', '1');
INSERT INTO `car_region` VALUES ('2156', '赤水市', '2155', '2');
INSERT INTO `car_region` VALUES ('2157', '仁怀市', '2155', '2');
INSERT INTO `car_region` VALUES ('2158', '遵义县', '2155', '2');
INSERT INTO `car_region` VALUES ('2159', '桐梓县', '2155', '2');
INSERT INTO `car_region` VALUES ('2160', '绥阳县', '2155', '2');
INSERT INTO `car_region` VALUES ('2161', '习水县', '2155', '2');
INSERT INTO `car_region` VALUES ('2162', '凤冈县', '2155', '2');
INSERT INTO `car_region` VALUES ('2163', '正安县', '2155', '2');
INSERT INTO `car_region` VALUES ('2164', '湄潭县', '2155', '2');
INSERT INTO `car_region` VALUES ('2165', '余庆县', '2155', '2');
INSERT INTO `car_region` VALUES ('2166', '道真仡佬族苗族', '2155', '2');
INSERT INTO `car_region` VALUES ('2167', '务川仡佬族苗族', '2155', '2');
INSERT INTO `car_region` VALUES ('2168', '红花岗区(人民医院以北)', '2155', '2');
INSERT INTO `car_region` VALUES ('2169', '铜仁市', '24', '1');
INSERT INTO `car_region` VALUES ('2170', '碧江区', '2169', '2');
INSERT INTO `car_region` VALUES ('2171', '德江县', '2169', '2');
INSERT INTO `car_region` VALUES ('2172', '江口县', '2169', '2');
INSERT INTO `car_region` VALUES ('2173', '思南县', '2169', '2');
INSERT INTO `car_region` VALUES ('2174', '万山区', '2169', '2');
INSERT INTO `car_region` VALUES ('2175', '石阡县', '2169', '2');
INSERT INTO `car_region` VALUES ('2176', '玉屏侗族自治县', '2169', '2');
INSERT INTO `car_region` VALUES ('2177', '松桃苗族自治县', '2169', '2');
INSERT INTO `car_region` VALUES ('2178', '印江土家族苗族自治县', '2169', '2');
INSERT INTO `car_region` VALUES ('2179', '沿河土家族自治县', '2169', '2');
INSERT INTO `car_region` VALUES ('2180', '毕节市', '24', '1');
INSERT INTO `car_region` VALUES ('2182', '黔西县', '2180', '2');
INSERT INTO `car_region` VALUES ('2183', '大方县', '2180', '2');
INSERT INTO `car_region` VALUES ('2184', '织金县', '2180', '2');
INSERT INTO `car_region` VALUES ('2185', '金沙县', '2180', '2');
INSERT INTO `car_region` VALUES ('2186', '赫章县', '2180', '2');
INSERT INTO `car_region` VALUES ('2187', '纳雍县', '2180', '2');
INSERT INTO `car_region` VALUES ('2188', '威宁彝族回族苗族自治县', '2180', '2');
INSERT INTO `car_region` VALUES ('2189', '安顺市', '24', '1');
INSERT INTO `car_region` VALUES ('2190', '西秀区', '2189', '2');
INSERT INTO `car_region` VALUES ('2191', '普定县', '2189', '2');
INSERT INTO `car_region` VALUES ('2192', '平坝县', '2189', '2');
INSERT INTO `car_region` VALUES ('2193', '镇宁布依族苗族自治县', '2189', '2');
INSERT INTO `car_region` VALUES ('2194', '关岭布依族苗族自治县', '2189', '2');
INSERT INTO `car_region` VALUES ('2195', '紫云苗族布依族自治县', '2189', '2');
INSERT INTO `car_region` VALUES ('2196', '黔西南州', '24', '1');
INSERT INTO `car_region` VALUES ('2197', '兴义市', '2196', '2');
INSERT INTO `car_region` VALUES ('2198', '望谟县', '2196', '2');
INSERT INTO `car_region` VALUES ('2199', '兴仁县', '2196', '2');
INSERT INTO `car_region` VALUES ('2200', '普安县', '2196', '2');
INSERT INTO `car_region` VALUES ('2201', '册亨县', '2196', '2');
INSERT INTO `car_region` VALUES ('2202', '晴隆县', '2196', '2');
INSERT INTO `car_region` VALUES ('2203', '贞丰县', '2196', '2');
INSERT INTO `car_region` VALUES ('2204', '安龙县', '2196', '2');
INSERT INTO `car_region` VALUES ('2205', '黔东南州', '24', '1');
INSERT INTO `car_region` VALUES ('2206', '凯里市', '2205', '2');
INSERT INTO `car_region` VALUES ('2207', '施秉市', '2205', '2');
INSERT INTO `car_region` VALUES ('2208', '从江县', '2205', '2');
INSERT INTO `car_region` VALUES ('2209', '锦屏县', '2205', '2');
INSERT INTO `car_region` VALUES ('2210', '镇远县', '2205', '2');
INSERT INTO `car_region` VALUES ('2211', '麻江县', '2205', '2');
INSERT INTO `car_region` VALUES ('2212', '台江县', '2205', '2');
INSERT INTO `car_region` VALUES ('2213', '天柱县', '2205', '2');
INSERT INTO `car_region` VALUES ('2214', '黄平县', '2205', '2');
INSERT INTO `car_region` VALUES ('2215', '榕江县', '2205', '2');
INSERT INTO `car_region` VALUES ('2216', '剑河县', '2205', '2');
INSERT INTO `car_region` VALUES ('2217', '三穗县', '2205', '2');
INSERT INTO `car_region` VALUES ('2218', '雷山县', '2205', '2');
INSERT INTO `car_region` VALUES ('2219', '黎平县', '2205', '2');
INSERT INTO `car_region` VALUES ('2220', '岑巩县', '2205', '2');
INSERT INTO `car_region` VALUES ('2221', '丹寨县', '2205', '2');
INSERT INTO `car_region` VALUES ('2222', '黔南州', '24', '1');
INSERT INTO `car_region` VALUES ('2223', '都匀市', '2222', '2');
INSERT INTO `car_region` VALUES ('2224', '福泉市', '2222', '2');
INSERT INTO `car_region` VALUES ('2225', '贵定市', '2222', '2');
INSERT INTO `car_region` VALUES ('2226', '惠水县', '2222', '2');
INSERT INTO `car_region` VALUES ('2227', '罗甸县', '2222', '2');
INSERT INTO `car_region` VALUES ('2228', '瓮安县', '2222', '2');
INSERT INTO `car_region` VALUES ('2229', '荔波县', '2222', '2');
INSERT INTO `car_region` VALUES ('2230', '龙里县', '2222', '2');
INSERT INTO `car_region` VALUES ('2231', '平塘县', '2222', '2');
INSERT INTO `car_region` VALUES ('2232', '长顺县', '2222', '2');
INSERT INTO `car_region` VALUES ('2233', '独山县', '2222', '2');
INSERT INTO `car_region` VALUES ('2234', '三都县', '2222', '2');
INSERT INTO `car_region` VALUES ('2235', '昆明市', '25', '1');
INSERT INTO `car_region` VALUES ('2236', '东川区', '2235', '2');
INSERT INTO `car_region` VALUES ('2237', '安宁县', '2235', '2');
INSERT INTO `car_region` VALUES ('2238', '富民县', '2235', '2');
INSERT INTO `car_region` VALUES ('2239', '蒿明县', '2235', '2');
INSERT INTO `car_region` VALUES ('2241', '晋宁县', '2235', '2');
INSERT INTO `car_region` VALUES ('2242', '宜良县', '2235', '2');
INSERT INTO `car_region` VALUES ('2243', '禄劝彝族苗族自治县', '2235', '2');
INSERT INTO `car_region` VALUES ('2244', '石林彝族自治县', '2235', '2');
INSERT INTO `car_region` VALUES ('2245', '寻甸回族彝族自治县', '2235', '2');
INSERT INTO `car_region` VALUES ('2246', '盘龙区', '2235', '2');
INSERT INTO `car_region` VALUES ('2247', '曲靖市', '25', '1');
INSERT INTO `car_region` VALUES ('2249', '马龙县', '2247', '2');
INSERT INTO `car_region` VALUES ('2250', '宣威市', '2247', '2');
INSERT INTO `car_region` VALUES ('2251', '富源县', '2247', '2');
INSERT INTO `car_region` VALUES ('2252', '会泽县', '2247', '2');
INSERT INTO `car_region` VALUES ('2253', '陆良县', '2247', '2');
INSERT INTO `car_region` VALUES ('2254', '师宗县', '2247', '2');
INSERT INTO `car_region` VALUES ('2255', '罗平县', '2247', '2');
INSERT INTO `car_region` VALUES ('2256', '沾益县', '2247', '2');
INSERT INTO `car_region` VALUES ('2258', '玉溪市', '25', '1');
INSERT INTO `car_region` VALUES ('2259', '红塔区（玉江大道以北，抚仙路以南）', '2258', '2');
INSERT INTO `car_region` VALUES ('2260', '华宁县', '2258', '2');
INSERT INTO `car_region` VALUES ('2261', '澄江县', '2258', '2');
INSERT INTO `car_region` VALUES ('2262', '易门县', '2258', '2');
INSERT INTO `car_region` VALUES ('2263', '通海县', '2258', '2');
INSERT INTO `car_region` VALUES ('2264', '江川县', '2258', '2');
INSERT INTO `car_region` VALUES ('2265', '元江哈尼族彝族自治县', '2258', '2');
INSERT INTO `car_region` VALUES ('2266', '新平彝族傣族自治县', '2258', '2');
INSERT INTO `car_region` VALUES ('2267', '峨山彝族自治县', '2258', '2');
INSERT INTO `car_region` VALUES ('2270', '昭通市', '25', '1');
INSERT INTO `car_region` VALUES ('2271', '昭阳区', '2270', '2');
INSERT INTO `car_region` VALUES ('2272', '镇雄县', '2270', '2');
INSERT INTO `car_region` VALUES ('2273', '永善县', '2270', '2');
INSERT INTO `car_region` VALUES ('2274', '大关县', '2270', '2');
INSERT INTO `car_region` VALUES ('2275', '盐津县', '2270', '2');
INSERT INTO `car_region` VALUES ('2276', '彝良县', '2270', '2');
INSERT INTO `car_region` VALUES ('2277', '水富县', '2270', '2');
INSERT INTO `car_region` VALUES ('2278', '巧家县', '2270', '2');
INSERT INTO `car_region` VALUES ('2279', '威信县', '2270', '2');
INSERT INTO `car_region` VALUES ('2281', '普洱市', '25', '1');
INSERT INTO `car_region` VALUES ('2282', '思茅区', '2281', '2');
INSERT INTO `car_region` VALUES ('2283', '宁洱县', '2281', '2');
INSERT INTO `car_region` VALUES ('2284', '景东县', '2281', '2');
INSERT INTO `car_region` VALUES ('2285', '镇沅县', '2281', '2');
INSERT INTO `car_region` VALUES ('2286', '景谷县', '2281', '2');
INSERT INTO `car_region` VALUES ('2287', '墨江县', '2281', '2');
INSERT INTO `car_region` VALUES ('2288', '澜沧县', '2281', '2');
INSERT INTO `car_region` VALUES ('2289', '西盟县', '2281', '2');
INSERT INTO `car_region` VALUES ('2290', '江城县', '2281', '2');
INSERT INTO `car_region` VALUES ('2291', '临沧市', '25', '1');
INSERT INTO `car_region` VALUES ('2292', '临翔区', '2291', '2');
INSERT INTO `car_region` VALUES ('2293', '镇康县', '2291', '2');
INSERT INTO `car_region` VALUES ('2294', '凤庆县', '2291', '2');
INSERT INTO `car_region` VALUES ('2295', '云县', '2291', '2');
INSERT INTO `car_region` VALUES ('2296', '永德县', '2291', '2');
INSERT INTO `car_region` VALUES ('2297', '耿马县', '2291', '2');
INSERT INTO `car_region` VALUES ('2298', '保山市', '25', '1');
INSERT INTO `car_region` VALUES ('2299', '隆阳区', '2298', '2');
INSERT INTO `car_region` VALUES ('2300', '施甸县', '2298', '2');
INSERT INTO `car_region` VALUES ('2301', '昌宁县', '2298', '2');
INSERT INTO `car_region` VALUES ('2302', '龙陵县', '2298', '2');
INSERT INTO `car_region` VALUES ('2303', '腾冲县', '2298', '2');
INSERT INTO `car_region` VALUES ('2304', '丽江地区', '25', '1');
INSERT INTO `car_region` VALUES ('2305', '玉龙纳西族自治县', '2304', '2');
INSERT INTO `car_region` VALUES ('2306', '华坪县', '2304', '2');
INSERT INTO `car_region` VALUES ('2307', '永胜县', '2304', '2');
INSERT INTO `car_region` VALUES ('2308', '宁蒗彝族自治县', '2304', '2');
INSERT INTO `car_region` VALUES ('2309', '文山州', '25', '1');
INSERT INTO `car_region` VALUES ('2310', '文山市', '2309', '2');
INSERT INTO `car_region` VALUES ('2311', '麻栗坡县', '2309', '2');
INSERT INTO `car_region` VALUES ('2312', '砚山县', '2309', '2');
INSERT INTO `car_region` VALUES ('2313', '广南县', '2309', '2');
INSERT INTO `car_region` VALUES ('2314', '马关县', '2309', '2');
INSERT INTO `car_region` VALUES ('2315', '富宁县', '2309', '2');
INSERT INTO `car_region` VALUES ('2316', '西畴县', '2309', '2');
INSERT INTO `car_region` VALUES ('2317', '丘北县', '2309', '2');
INSERT INTO `car_region` VALUES ('2318', '红河州', '25', '1');
INSERT INTO `car_region` VALUES ('2319', '个旧市', '2318', '2');
INSERT INTO `car_region` VALUES ('2320', '开远市', '2318', '2');
INSERT INTO `car_region` VALUES ('2321', '弥勒县', '2318', '2');
INSERT INTO `car_region` VALUES ('2322', '红河县', '2318', '2');
INSERT INTO `car_region` VALUES ('2323', '绿春县', '2318', '2');
INSERT INTO `car_region` VALUES ('2324', '蒙自市', '2318', '2');
INSERT INTO `car_region` VALUES ('2325', '泸西县', '2318', '2');
INSERT INTO `car_region` VALUES ('2326', '建水县', '2318', '2');
INSERT INTO `car_region` VALUES ('2327', '元阳县', '2318', '2');
INSERT INTO `car_region` VALUES ('2328', '石屏县', '2318', '2');
INSERT INTO `car_region` VALUES ('2329', '金平县', '2318', '2');
INSERT INTO `car_region` VALUES ('2330', '屏边县', '2318', '2');
INSERT INTO `car_region` VALUES ('2331', '河口县', '2318', '2');
INSERT INTO `car_region` VALUES ('2332', '西双版纳州', '25', '1');
INSERT INTO `car_region` VALUES ('2333', '景洪市', '2332', '2');
INSERT INTO `car_region` VALUES ('2334', '勐海县', '2332', '2');
INSERT INTO `car_region` VALUES ('2335', '勐腊县', '2332', '2');
INSERT INTO `car_region` VALUES ('2336', '楚雄彝族自治州', '25', '1');
INSERT INTO `car_region` VALUES ('2337', '楚雄市（云开路以南，雄宝路以北）', '2336', '2');
INSERT INTO `car_region` VALUES ('2338', '元谋县', '2336', '2');
INSERT INTO `car_region` VALUES ('2339', '南华县', '2336', '2');
INSERT INTO `car_region` VALUES ('2340', '牟定县', '2336', '2');
INSERT INTO `car_region` VALUES ('2341', '武定县', '2336', '2');
INSERT INTO `car_region` VALUES ('2342', '大姚县', '2336', '2');
INSERT INTO `car_region` VALUES ('2343', '双柏县', '2336', '2');
INSERT INTO `car_region` VALUES ('2344', '禄丰县', '2336', '2');
INSERT INTO `car_region` VALUES ('2345', '永仁县', '2336', '2');
INSERT INTO `car_region` VALUES ('2347', '大理白族自治州', '25', '1');
INSERT INTO `car_region` VALUES ('2348', '大理市（祥云路以北，海滨大道以南）', '2347', '2');
INSERT INTO `car_region` VALUES ('2349', '剑川县', '2347', '2');
INSERT INTO `car_region` VALUES ('2350', '弥渡县', '2347', '2');
INSERT INTO `car_region` VALUES ('2351', '云龙县', '2347', '2');
INSERT INTO `car_region` VALUES ('2352', '洱源县', '2347', '2');
INSERT INTO `car_region` VALUES ('2353', '鹤庆县', '2347', '2');
INSERT INTO `car_region` VALUES ('2354', '宾川县', '2347', '2');
INSERT INTO `car_region` VALUES ('2355', '祥云县', '2347', '2');
INSERT INTO `car_region` VALUES ('2356', '永平县', '2347', '2');
INSERT INTO `car_region` VALUES ('2357', '巍山彝族回族自治州', '2347', '2');
INSERT INTO `car_region` VALUES ('2358', '漾濞彝族自治县', '2347', '2');
INSERT INTO `car_region` VALUES ('2359', '南涧彝族自治县', '2347', '2');
INSERT INTO `car_region` VALUES ('2360', '德宏州', '25', '1');
INSERT INTO `car_region` VALUES ('2361', '芒市', '2360', '2');
INSERT INTO `car_region` VALUES ('2362', '瑞丽市', '2360', '2');
INSERT INTO `car_region` VALUES ('2363', '盈江县', '2360', '2');
INSERT INTO `car_region` VALUES ('2364', '梁河县', '2360', '2');
INSERT INTO `car_region` VALUES ('2365', '陇川县', '2360', '2');
INSERT INTO `car_region` VALUES ('2366', '怒江州', '25', '1');
INSERT INTO `car_region` VALUES ('2367', '泸水县', '2366', '2');
INSERT INTO `car_region` VALUES ('2368', '福贡县', '2366', '2');
INSERT INTO `car_region` VALUES ('2369', '兰坪县', '2366', '2');
INSERT INTO `car_region` VALUES ('2370', '贡山县', '2366', '2');
INSERT INTO `car_region` VALUES ('2376', '西安市', '27', '1');
INSERT INTO `car_region` VALUES ('2377', '阎良区', '2376', '2');
INSERT INTO `car_region` VALUES ('2378', '临潼区（老县城以内）', '2376', '2');
INSERT INTO `car_region` VALUES ('2379', '长安区(大学城以内,067基地)', '2376', '2');
INSERT INTO `car_region` VALUES ('2380', '高陵县', '2376', '2');
INSERT INTO `car_region` VALUES ('2381', '蓝田县', '2376', '2');
INSERT INTO `car_region` VALUES ('2382', '户县', '2376', '2');
INSERT INTO `car_region` VALUES ('2383', '周至县', '2376', '2');
INSERT INTO `car_region` VALUES ('2386', '铜川市', '27', '1');
INSERT INTO `car_region` VALUES ('2387', '印台区', '2386', '2');
INSERT INTO `car_region` VALUES ('2388', '宜君县', '2386', '2');
INSERT INTO `car_region` VALUES ('2389', '王益区', '2386', '2');
INSERT INTO `car_region` VALUES ('2390', '宝鸡市', '27', '1');
INSERT INTO `car_region` VALUES ('2391', '陈仓区(文兴路以西)', '2390', '2');
INSERT INTO `car_region` VALUES ('2392', '岐山县', '2390', '2');
INSERT INTO `car_region` VALUES ('2393', '太白县', '2390', '2');
INSERT INTO `car_region` VALUES ('2394', '凤翔县', '2390', '2');
INSERT INTO `car_region` VALUES ('2395', '陇县', '2390', '2');
INSERT INTO `car_region` VALUES ('2396', '麟游县', '2390', '2');
INSERT INTO `car_region` VALUES ('2397', '千阳县', '2390', '2');
INSERT INTO `car_region` VALUES ('2398', '扶风县', '2390', '2');
INSERT INTO `car_region` VALUES ('2399', '凤县', '2390', '2');
INSERT INTO `car_region` VALUES ('2400', '眉县', '2390', '2');
INSERT INTO `car_region` VALUES ('2401', '渭滨区', '2390', '2');
INSERT INTO `car_region` VALUES ('2402', '咸阳市', '27', '1');
INSERT INTO `car_region` VALUES ('2403', '兴平市', '2402', '2');
INSERT INTO `car_region` VALUES ('2404', '礼泉县', '2402', '2');
INSERT INTO `car_region` VALUES ('2405', '泾阳县', '2402', '2');
INSERT INTO `car_region` VALUES ('2406', '永寿县', '2402', '2');
INSERT INTO `car_region` VALUES ('2407', '三原县', '2402', '2');
INSERT INTO `car_region` VALUES ('2408', '彬县', '2402', '2');
INSERT INTO `car_region` VALUES ('2409', '旬邑县', '2402', '2');
INSERT INTO `car_region` VALUES ('2411', '长武县', '2402', '2');
INSERT INTO `car_region` VALUES ('2412', '乾县', '2402', '2');
INSERT INTO `car_region` VALUES ('2413', '武功县', '2402', '2');
INSERT INTO `car_region` VALUES ('2414', '淳化县', '2402', '2');
INSERT INTO `car_region` VALUES ('2415', '秦都区(市区以内)', '2402', '2');
INSERT INTO `car_region` VALUES ('2416', '渭南市', '27', '1');
INSERT INTO `car_region` VALUES ('2417', '韩城市', '2416', '2');
INSERT INTO `car_region` VALUES ('2418', '华阴市', '2416', '2');
INSERT INTO `car_region` VALUES ('2419', '蒲城县', '2416', '2');
INSERT INTO `car_region` VALUES ('2420', '华县', '2416', '2');
INSERT INTO `car_region` VALUES ('2421', '潼关县', '2416', '2');
INSERT INTO `car_region` VALUES ('2422', '大荔县', '2416', '2');
INSERT INTO `car_region` VALUES ('2423', '澄城县', '2416', '2');
INSERT INTO `car_region` VALUES ('2424', '合阳县', '2416', '2');
INSERT INTO `car_region` VALUES ('2425', '白水县', '2416', '2');
INSERT INTO `car_region` VALUES ('2426', '富平县', '2416', '2');
INSERT INTO `car_region` VALUES ('2428', '延安市', '27', '1');
INSERT INTO `car_region` VALUES ('2429', '安塞县', '2428', '2');
INSERT INTO `car_region` VALUES ('2430', '洛川县', '2428', '2');
INSERT INTO `car_region` VALUES ('2431', '子长县', '2428', '2');
INSERT INTO `car_region` VALUES ('2432', '黄陵县', '2428', '2');
INSERT INTO `car_region` VALUES ('2433', '延长县', '2428', '2');
INSERT INTO `car_region` VALUES ('2434', '宜川县', '2428', '2');
INSERT INTO `car_region` VALUES ('2435', '延川县', '2428', '2');
INSERT INTO `car_region` VALUES ('2436', '甘泉县', '2428', '2');
INSERT INTO `car_region` VALUES ('2437', '富县', '2428', '2');
INSERT INTO `car_region` VALUES ('2438', '志丹县', '2428', '2');
INSERT INTO `car_region` VALUES ('2439', '黄龙县', '2428', '2');
INSERT INTO `car_region` VALUES ('2440', '吴起县', '2428', '2');
INSERT INTO `car_region` VALUES ('2441', '宝塔区（市区内）', '2428', '2');
INSERT INTO `car_region` VALUES ('2442', '汉中市', '27', '1');
INSERT INTO `car_region` VALUES ('2443', '南郑县', '2442', '2');
INSERT INTO `car_region` VALUES ('2444', '城固县', '2442', '2');
INSERT INTO `car_region` VALUES ('2445', '洋县', '2442', '2');
INSERT INTO `car_region` VALUES ('2446', '佛坪县', '2442', '2');
INSERT INTO `car_region` VALUES ('2447', '留坝县', '2442', '2');
INSERT INTO `car_region` VALUES ('2448', '镇巴县', '2442', '2');
INSERT INTO `car_region` VALUES ('2449', '西乡县', '2442', '2');
INSERT INTO `car_region` VALUES ('2450', '勉县', '2442', '2');
INSERT INTO `car_region` VALUES ('2451', '略阳县', '2442', '2');
INSERT INTO `car_region` VALUES ('2452', '宁强县', '2442', '2');
INSERT INTO `car_region` VALUES ('2453', '汉台区（环城路以内）', '2442', '2');
INSERT INTO `car_region` VALUES ('2454', '榆林市', '27', '1');
INSERT INTO `car_region` VALUES ('2455', '榆阳区（市区内）', '2454', '2');
INSERT INTO `car_region` VALUES ('2456', '清涧县', '2454', '2');
INSERT INTO `car_region` VALUES ('2457', '绥德县', '2454', '2');
INSERT INTO `car_region` VALUES ('2459', '佳县', '2454', '2');
INSERT INTO `car_region` VALUES ('2460', '神木县', '2454', '2');
INSERT INTO `car_region` VALUES ('2461', '府谷县', '2454', '2');
INSERT INTO `car_region` VALUES ('2462', '子洲县', '2454', '2');
INSERT INTO `car_region` VALUES ('2464', '横山县', '2454', '2');
INSERT INTO `car_region` VALUES ('2465', '米脂县', '2454', '2');
INSERT INTO `car_region` VALUES ('2466', '吴堡县', '2454', '2');
INSERT INTO `car_region` VALUES ('2467', '定边县', '2454', '2');
INSERT INTO `car_region` VALUES ('2468', '商洛市', '27', '1');
INSERT INTO `car_region` VALUES ('2469', '商州区', '2468', '2');
INSERT INTO `car_region` VALUES ('2470', '镇安县', '2468', '2');
INSERT INTO `car_region` VALUES ('2471', '山阳县', '2468', '2');
INSERT INTO `car_region` VALUES ('2472', '洛南县', '2468', '2');
INSERT INTO `car_region` VALUES ('2473', '商南县', '2468', '2');
INSERT INTO `car_region` VALUES ('2474', '丹凤县', '2468', '2');
INSERT INTO `car_region` VALUES ('2475', '柞水县', '2468', '2');
INSERT INTO `car_region` VALUES ('2476', '安康市', '27', '1');
INSERT INTO `car_region` VALUES ('2478', '紫阳县', '2476', '2');
INSERT INTO `car_region` VALUES ('2479', '岚皋县', '2476', '2');
INSERT INTO `car_region` VALUES ('2480', '旬阳县', '2476', '2');
INSERT INTO `car_region` VALUES ('2481', '镇坪县', '2476', '2');
INSERT INTO `car_region` VALUES ('2482', '平利县', '2476', '2');
INSERT INTO `car_region` VALUES ('2483', '宁陕县', '2476', '2');
INSERT INTO `car_region` VALUES ('2484', '汉阴县', '2476', '2');
INSERT INTO `car_region` VALUES ('2485', '石泉县', '2476', '2');
INSERT INTO `car_region` VALUES ('2486', '白河县', '2476', '2');
INSERT INTO `car_region` VALUES ('2487', '兰州市', '28', '1');
INSERT INTO `car_region` VALUES ('2488', '永登县', '2487', '2');
INSERT INTO `car_region` VALUES ('2489', '榆中县', '2487', '2');
INSERT INTO `car_region` VALUES ('2490', '皋兰县', '2487', '2');
INSERT INTO `car_region` VALUES ('2491', '城关区(天水路以西)', '2487', '2');
INSERT INTO `car_region` VALUES ('2492', '金昌市', '28', '1');
INSERT INTO `car_region` VALUES ('2493', '永昌县', '2492', '2');
INSERT INTO `car_region` VALUES ('2494', '金川区', '2492', '2');
INSERT INTO `car_region` VALUES ('2495', '白银市', '28', '1');
INSERT INTO `car_region` VALUES ('2496', '白银区', '2495', '2');
INSERT INTO `car_region` VALUES ('2497', '平川区', '2495', '2');
INSERT INTO `car_region` VALUES ('2498', '靖远县', '2495', '2');
INSERT INTO `car_region` VALUES ('2499', '景泰县', '2495', '2');
INSERT INTO `car_region` VALUES ('2500', '会宁县', '2495', '2');
INSERT INTO `car_region` VALUES ('2501', '天水市', '28', '1');
INSERT INTO `car_region` VALUES ('2502', '秦州区（市区内）', '2501', '2');
INSERT INTO `car_region` VALUES ('2503', '麦积区（市区内）', '2501', '2');
INSERT INTO `car_region` VALUES ('2504', '甘谷区', '2501', '2');
INSERT INTO `car_region` VALUES ('2505', '武山县', '2501', '2');
INSERT INTO `car_region` VALUES ('2506', '清水县', '2501', '2');
INSERT INTO `car_region` VALUES ('2507', '秦安县', '2501', '2');
INSERT INTO `car_region` VALUES ('2508', '张家川回族自治县', '2501', '2');
INSERT INTO `car_region` VALUES ('2509', '嘉峪关市', '28', '1');
INSERT INTO `car_region` VALUES ('2518', '平凉市', '28', '1');
INSERT INTO `car_region` VALUES ('2519', '华亭县', '2518', '2');
INSERT INTO `car_region` VALUES ('2520', '崇信县', '2518', '2');
INSERT INTO `car_region` VALUES ('2521', '泾川县', '2518', '2');
INSERT INTO `car_region` VALUES ('2522', '灵台县', '2518', '2');
INSERT INTO `car_region` VALUES ('2523', '镇原县', '2518', '2');
INSERT INTO `car_region` VALUES ('2524', '庄浪县', '2518', '2');
INSERT INTO `car_region` VALUES ('2525', '庆阳市', '28', '1');
INSERT INTO `car_region` VALUES ('2526', '西峰区', '2525', '2');
INSERT INTO `car_region` VALUES ('2528', '镇原县', '2525', '2');
INSERT INTO `car_region` VALUES ('2529', '合水县', '2525', '2');
INSERT INTO `car_region` VALUES ('2530', '华池县', '2525', '2');
INSERT INTO `car_region` VALUES ('2531', '环县', '2525', '2');
INSERT INTO `car_region` VALUES ('2532', '宁县', '2525', '2');
INSERT INTO `car_region` VALUES ('2533', '正宁县', '2525', '2');
INSERT INTO `car_region` VALUES ('2534', '陇南市', '28', '1');
INSERT INTO `car_region` VALUES ('2535', '成县', '2534', '2');
INSERT INTO `car_region` VALUES ('2536', '礼县', '2534', '2');
INSERT INTO `car_region` VALUES ('2537', '康县', '2534', '2');
INSERT INTO `car_region` VALUES ('2538', '武都区', '2534', '2');
INSERT INTO `car_region` VALUES ('2539', '文县', '2534', '2');
INSERT INTO `car_region` VALUES ('2540', '两当县', '2534', '2');
INSERT INTO `car_region` VALUES ('2541', '徽县', '2534', '2');
INSERT INTO `car_region` VALUES ('2542', '宕昌县', '2534', '2');
INSERT INTO `car_region` VALUES ('2543', '西和县', '2534', '2');
INSERT INTO `car_region` VALUES ('2544', '武威市', '28', '1');
INSERT INTO `car_region` VALUES ('2545', '凉州区', '2544', '2');
INSERT INTO `car_region` VALUES ('2546', '古浪县', '2544', '2');
INSERT INTO `car_region` VALUES ('2547', '天祝县', '2544', '2');
INSERT INTO `car_region` VALUES ('2548', '民勤县', '2544', '2');
INSERT INTO `car_region` VALUES ('2549', '张掖市', '28', '1');
INSERT INTO `car_region` VALUES ('2550', '甘州区', '2549', '2');
INSERT INTO `car_region` VALUES ('2551', '山丹县', '2549', '2');
INSERT INTO `car_region` VALUES ('2552', '临泽县', '2549', '2');
INSERT INTO `car_region` VALUES ('2553', '高台县', '2549', '2');
INSERT INTO `car_region` VALUES ('2554', '肃南县', '2549', '2');
INSERT INTO `car_region` VALUES ('2555', '民乐县', '2549', '2');
INSERT INTO `car_region` VALUES ('2556', '酒泉市', '28', '1');
INSERT INTO `car_region` VALUES ('2558', '玉门市', '2556', '2');
INSERT INTO `car_region` VALUES ('2559', '敦煌市', '2556', '2');
INSERT INTO `car_region` VALUES ('2560', '金塔县', '2556', '2');
INSERT INTO `car_region` VALUES ('2562', '阿克塞县', '2556', '2');
INSERT INTO `car_region` VALUES ('2563', '肃北县', '2556', '2');
INSERT INTO `car_region` VALUES ('2564', '甘南州', '28', '1');
INSERT INTO `car_region` VALUES ('2565', '合作市', '2564', '2');
INSERT INTO `car_region` VALUES ('2566', '夏河县', '2564', '2');
INSERT INTO `car_region` VALUES ('2567', '碌曲县', '2564', '2');
INSERT INTO `car_region` VALUES ('2568', '舟曲县', '2564', '2');
INSERT INTO `car_region` VALUES ('2569', '玛曲县', '2564', '2');
INSERT INTO `car_region` VALUES ('2570', '迭部县', '2564', '2');
INSERT INTO `car_region` VALUES ('2571', '临潭县', '2564', '2');
INSERT INTO `car_region` VALUES ('2572', '卓尼县', '2564', '2');
INSERT INTO `car_region` VALUES ('2573', '临夏州', '28', '1');
INSERT INTO `car_region` VALUES ('2574', '临夏县', '2573', '2');
INSERT INTO `car_region` VALUES ('2575', '康乐县', '2573', '2');
INSERT INTO `car_region` VALUES ('2576', '永靖县', '2573', '2');
INSERT INTO `car_region` VALUES ('2577', '和政县', '2573', '2');
INSERT INTO `car_region` VALUES ('2578', '东乡族自治县', '2573', '2');
INSERT INTO `car_region` VALUES ('2579', '积石山县', '2573', '2');
INSERT INTO `car_region` VALUES ('2580', '西宁市', '29', '1');
INSERT INTO `car_region` VALUES ('2581', '湟中县', '2580', '2');
INSERT INTO `car_region` VALUES ('2582', '湟源县', '2580', '2');
INSERT INTO `car_region` VALUES ('2583', '大通回族土族自治县', '2580', '2');
INSERT INTO `car_region` VALUES ('2584', '城中区(六一桥以北,祁连路以南)', '2580', '2');
INSERT INTO `car_region` VALUES ('2585', '海东地区', '29', '1');
INSERT INTO `car_region` VALUES ('2586', '平安县', '2585', '2');
INSERT INTO `car_region` VALUES ('2587', '乐都县', '2585', '2');
INSERT INTO `car_region` VALUES ('2588', '民和县', '2585', '2');
INSERT INTO `car_region` VALUES ('2589', '互助县', '2585', '2');
INSERT INTO `car_region` VALUES ('2590', '化隆县', '2585', '2');
INSERT INTO `car_region` VALUES ('2591', '循化县', '2585', '2');
INSERT INTO `car_region` VALUES ('2592', '海北州', '29', '1');
INSERT INTO `car_region` VALUES ('2593', '海晏县', '2592', '2');
INSERT INTO `car_region` VALUES ('2594', '祁连县', '2592', '2');
INSERT INTO `car_region` VALUES ('2595', '刚察县', '2592', '2');
INSERT INTO `car_region` VALUES ('2596', '门源县', '2592', '2');
INSERT INTO `car_region` VALUES ('2597', '黄南州', '29', '1');
INSERT INTO `car_region` VALUES ('2598', '尖扎县', '2597', '2');
INSERT INTO `car_region` VALUES ('2599', '同仁县', '2597', '2');
INSERT INTO `car_region` VALUES ('2600', '泽库县', '2597', '2');
INSERT INTO `car_region` VALUES ('2602', '河南县', '2597', '2');
INSERT INTO `car_region` VALUES ('2603', '海南州', '29', '1');
INSERT INTO `car_region` VALUES ('2605', '果洛州', '29', '1');
INSERT INTO `car_region` VALUES ('2606', '玛沁县', '2605', '2');
INSERT INTO `car_region` VALUES ('2607', '甘德县', '2605', '2');
INSERT INTO `car_region` VALUES ('2608', '达日县', '2605', '2');
INSERT INTO `car_region` VALUES ('2609', '班玛县', '2605', '2');
INSERT INTO `car_region` VALUES ('2610', '久治县', '2605', '2');
INSERT INTO `car_region` VALUES ('2611', '玛多县', '2605', '2');
INSERT INTO `car_region` VALUES ('2612', '玉树州', '29', '1');
INSERT INTO `car_region` VALUES ('2613', '玉树县', '2612', '2');
INSERT INTO `car_region` VALUES ('2614', '称多县', '2612', '2');
INSERT INTO `car_region` VALUES ('2615', '囊谦县', '2612', '2');
INSERT INTO `car_region` VALUES ('2616', '杂多县', '2612', '2');
INSERT INTO `car_region` VALUES ('2617', '治多县', '2612', '2');
INSERT INTO `car_region` VALUES ('2618', '曲麻莱县', '2612', '2');
INSERT INTO `car_region` VALUES ('2620', '海西州', '29', '1');
INSERT INTO `car_region` VALUES ('2621', '德令哈市', '2620', '2');
INSERT INTO `car_region` VALUES ('2622', '乌兰县', '2620', '2');
INSERT INTO `car_region` VALUES ('2623', '天峻县', '2620', '2');
INSERT INTO `car_region` VALUES ('2624', '都兰县', '2620', '2');
INSERT INTO `car_region` VALUES ('2625', '大柴旦行委', '2620', '2');
INSERT INTO `car_region` VALUES ('2626', '冷湖行委', '2620', '2');
INSERT INTO `car_region` VALUES ('2627', '茫崖行委', '2620', '2');
INSERT INTO `car_region` VALUES ('2628', '银川市', '30', '1');
INSERT INTO `car_region` VALUES ('2629', '灵武市', '2628', '2');
INSERT INTO `car_region` VALUES ('2630', '永宁县', '2628', '2');
INSERT INTO `car_region` VALUES ('2631', '贺兰县', '2628', '2');
INSERT INTO `car_region` VALUES ('2632', '石嘴山市', '30', '1');
INSERT INTO `car_region` VALUES ('2633', '平罗县', '2632', '2');
INSERT INTO `car_region` VALUES ('2635', '惠农区', '2632', '2');
INSERT INTO `car_region` VALUES ('2636', '大武口区', '2632', '2');
INSERT INTO `car_region` VALUES ('2637', '吴忠市', '30', '1');
INSERT INTO `car_region` VALUES ('2638', '青铜峡市', '2637', '2');
INSERT INTO `car_region` VALUES ('2641', '同心县', '2637', '2');
INSERT INTO `car_region` VALUES ('2642', '盐池县', '2637', '2');
INSERT INTO `car_region` VALUES ('2643', '红寺堡开发区', '2637', '2');
INSERT INTO `car_region` VALUES ('2644', '固原市', '30', '1');
INSERT INTO `car_region` VALUES ('2647', '西吉县', '2644', '2');
INSERT INTO `car_region` VALUES ('2648', '隆德县', '2644', '2');
INSERT INTO `car_region` VALUES ('2649', '泾源县', '2644', '2');
INSERT INTO `car_region` VALUES ('2650', '彭阳县', '2644', '2');
INSERT INTO `car_region` VALUES ('2651', '原州区', '2644', '2');
INSERT INTO `car_region` VALUES ('2652', '乌鲁木齐市', '31', '1');
INSERT INTO `car_region` VALUES ('2653', '乌鲁木齐县', '2652', '2');
INSERT INTO `car_region` VALUES ('2654', '克拉玛依市', '31', '1');
INSERT INTO `car_region` VALUES ('2655', '克拉玛依区', '2654', '2');
INSERT INTO `car_region` VALUES ('2656', '石河子市', '31', '1');
INSERT INTO `car_region` VALUES ('2657', '石河子市', '2656', '2');
INSERT INTO `car_region` VALUES ('2658', '吐鲁番地区', '31', '1');
INSERT INTO `car_region` VALUES ('2659', '吐鲁番市', '2658', '2');
INSERT INTO `car_region` VALUES ('2660', '托克逊县', '2658', '2');
INSERT INTO `car_region` VALUES ('2661', '鄯善县', '2658', '2');
INSERT INTO `car_region` VALUES ('2662', '哈密地区', '31', '1');
INSERT INTO `car_region` VALUES ('2663', '哈密市', '2662', '2');
INSERT INTO `car_region` VALUES ('2664', '巴里昆县', '2662', '2');
INSERT INTO `car_region` VALUES ('2665', '伊吾县', '2662', '2');
INSERT INTO `car_region` VALUES ('2666', '和田地区', '31', '1');
INSERT INTO `car_region` VALUES ('2667', '和田市', '2666', '2');
INSERT INTO `car_region` VALUES ('2669', '墨玉县', '2666', '2');
INSERT INTO `car_region` VALUES ('2670', '洛浦县', '2666', '2');
INSERT INTO `car_region` VALUES ('2671', '策勒县', '2666', '2');
INSERT INTO `car_region` VALUES ('2672', '于田县', '2666', '2');
INSERT INTO `car_region` VALUES ('2673', '民丰县', '2666', '2');
INSERT INTO `car_region` VALUES ('2674', '皮山县', '2666', '2');
INSERT INTO `car_region` VALUES ('2675', '阿克苏地区', '31', '1');
INSERT INTO `car_region` VALUES ('2676', '阿克苏市', '2675', '2');
INSERT INTO `car_region` VALUES ('2678', '温宿县', '2675', '2');
INSERT INTO `car_region` VALUES ('2679', '沙雅县', '2675', '2');
INSERT INTO `car_region` VALUES ('2680', '拜城县', '2675', '2');
INSERT INTO `car_region` VALUES ('2681', '阿瓦提县', '2675', '2');
INSERT INTO `car_region` VALUES ('2682', '库车县', '2675', '2');
INSERT INTO `car_region` VALUES ('2683', '柯坪县', '2675', '2');
INSERT INTO `car_region` VALUES ('2684', '新和县', '2675', '2');
INSERT INTO `car_region` VALUES ('2685', '乌什县', '2675', '2');
INSERT INTO `car_region` VALUES ('2686', '喀什地区', '31', '1');
INSERT INTO `car_region` VALUES ('2687', '喀什市', '2686', '2');
INSERT INTO `car_region` VALUES ('2688', '巴楚县', '2686', '2');
INSERT INTO `car_region` VALUES ('2689', '泽普县', '2686', '2');
INSERT INTO `car_region` VALUES ('2690', '伽师县', '2686', '2');
INSERT INTO `car_region` VALUES ('2691', '叶城县', '2686', '2');
INSERT INTO `car_region` VALUES ('2692', '岳普湖县', '2686', '2');
INSERT INTO `car_region` VALUES ('2693', '疏附县', '2686', '2');
INSERT INTO `car_region` VALUES ('2694', '疏勒县', '2686', '2');
INSERT INTO `car_region` VALUES ('2695', '英吉沙县', '2686', '2');
INSERT INTO `car_region` VALUES ('2696', '麦盖提县', '2686', '2');
INSERT INTO `car_region` VALUES ('2697', '莎车县', '2686', '2');
INSERT INTO `car_region` VALUES ('2698', '塔什库尔干县', '2686', '2');
INSERT INTO `car_region` VALUES ('2699', '克孜勒苏州', '31', '1');
INSERT INTO `car_region` VALUES ('2700', '阿图什市', '2699', '2');
INSERT INTO `car_region` VALUES ('2701', '阿合奇县', '2699', '2');
INSERT INTO `car_region` VALUES ('2702', '乌恰县', '2699', '2');
INSERT INTO `car_region` VALUES ('2703', '阿克陶县', '2699', '2');
INSERT INTO `car_region` VALUES ('2704', '巴音郭楞州', '31', '1');
INSERT INTO `car_region` VALUES ('2705', '库尔勒市', '2704', '2');
INSERT INTO `car_region` VALUES ('2706', '尉犁县', '2704', '2');
INSERT INTO `car_region` VALUES ('2707', '和静县', '2704', '2');
INSERT INTO `car_region` VALUES ('2708', '博湖县', '2704', '2');
INSERT INTO `car_region` VALUES ('2709', '和硕县', '2704', '2');
INSERT INTO `car_region` VALUES ('2710', '轮台县', '2704', '2');
INSERT INTO `car_region` VALUES ('2711', '若羌县', '2704', '2');
INSERT INTO `car_region` VALUES ('2712', '且末县', '2704', '2');
INSERT INTO `car_region` VALUES ('2713', '焉耆县', '2704', '2');
INSERT INTO `car_region` VALUES ('2714', '昌吉州', '31', '1');
INSERT INTO `car_region` VALUES ('2715', '昌吉市', '2714', '2');
INSERT INTO `car_region` VALUES ('2716', '阜康市', '2714', '2');
INSERT INTO `car_region` VALUES ('2718', '奇台县', '2714', '2');
INSERT INTO `car_region` VALUES ('2719', '玛纳斯县', '2714', '2');
INSERT INTO `car_region` VALUES ('2720', '吉木萨尔县', '2714', '2');
INSERT INTO `car_region` VALUES ('2721', '呼图壁县', '2714', '2');
INSERT INTO `car_region` VALUES ('2722', '木垒县', '2714', '2');
INSERT INTO `car_region` VALUES ('2723', '博尔塔拉州', '31', '1');
INSERT INTO `car_region` VALUES ('2724', '博乐市', '2723', '2');
INSERT INTO `car_region` VALUES ('2725', '精河县', '2723', '2');
INSERT INTO `car_region` VALUES ('2726', '温泉县', '2723', '2');
INSERT INTO `car_region` VALUES ('2727', '伊犁州', '31', '1');
INSERT INTO `car_region` VALUES ('2728', '伊宁市', '2727', '2');
INSERT INTO `car_region` VALUES ('2729', '特克斯县', '2727', '2');
INSERT INTO `car_region` VALUES ('2730', '尼勒克县', '2727', '2');
INSERT INTO `car_region` VALUES ('2731', '昭苏县', '2727', '2');
INSERT INTO `car_region` VALUES ('2732', '新源县', '2727', '2');
INSERT INTO `car_region` VALUES ('2733', '霍城县', '2727', '2');
INSERT INTO `car_region` VALUES ('2734', '察布查尔县', '2727', '2');
INSERT INTO `car_region` VALUES ('2735', '巩留县', '2727', '2');
INSERT INTO `car_region` VALUES ('2736', '塔城地区', '31', '1');
INSERT INTO `car_region` VALUES ('2737', '塔城市', '2736', '2');
INSERT INTO `car_region` VALUES ('2738', '乌苏市', '2736', '2');
INSERT INTO `car_region` VALUES ('2739', '额敏县', '2736', '2');
INSERT INTO `car_region` VALUES ('2740', '裕民县', '2736', '2');
INSERT INTO `car_region` VALUES ('2741', '沙湾县', '2736', '2');
INSERT INTO `car_region` VALUES ('2742', '托里县', '2736', '2');
INSERT INTO `car_region` VALUES ('2743', '和布克赛尔县', '2736', '2');
INSERT INTO `car_region` VALUES ('2744', '阿勒泰地区', '31', '1');
INSERT INTO `car_region` VALUES ('2745', '阿勒泰市', '2744', '2');
INSERT INTO `car_region` VALUES ('2746', '富蕴县', '2744', '2');
INSERT INTO `car_region` VALUES ('2747', '青河县', '2744', '2');
INSERT INTO `car_region` VALUES ('2748', '吉木乃县', '2744', '2');
INSERT INTO `car_region` VALUES ('2749', '布尔津县', '2744', '2');
INSERT INTO `car_region` VALUES ('2750', '福海县', '2744', '2');
INSERT INTO `car_region` VALUES ('2751', '哈巴河县', '2744', '2');
INSERT INTO `car_region` VALUES ('2754', '香港特别行政区', '42', '1');
INSERT INTO `car_region` VALUES ('2755', '香港市区内', '2754', '2');
INSERT INTO `car_region` VALUES ('2756', '遵化市', '258', '2');
INSERT INTO `car_region` VALUES ('2757', '丰南区', '258', '2');
INSERT INTO `car_region` VALUES ('2759', '迁西县', '258', '2');
INSERT INTO `car_region` VALUES ('2760', '滦南县', '258', '2');
INSERT INTO `car_region` VALUES ('2761', '丰润区', '258', '2');
INSERT INTO `car_region` VALUES ('2762', '玉田县', '258', '2');
INSERT INTO `car_region` VALUES ('2763', '唐海县', '258', '2');
INSERT INTO `car_region` VALUES ('2764', '乐亭县', '258', '2');
INSERT INTO `car_region` VALUES ('2765', '滦县', '258', '2');
INSERT INTO `car_region` VALUES ('2767', '隆化县', '239', '2');
INSERT INTO `car_region` VALUES ('2768', '台湾市', '32', '1');
INSERT INTO `car_region` VALUES ('2769', '台湾市区内', '2768', '2');
INSERT INTO `car_region` VALUES ('2770', '澳门市', '43', '1');
INSERT INTO `car_region` VALUES ('2771', '澳门市区内', '2770', '2');
INSERT INTO `car_region` VALUES ('2772', '无棣县', '1090', '2');
INSERT INTO `car_region` VALUES ('2773', '鄄城县', '1099', '2');
INSERT INTO `car_region` VALUES ('2774', '海安县', '965', '2');
INSERT INTO `car_region` VALUES ('2777', '南朗镇', '1657', '2');
INSERT INTO `car_region` VALUES ('2780', '济源市', '7', '1');
INSERT INTO `car_region` VALUES ('2781', '和平区(三环内)', '560', '2');
INSERT INTO `car_region` VALUES ('2782', '上街区', '412', '2');
INSERT INTO `car_region` VALUES ('2799', '三环以内', '72', '2');
INSERT INTO `car_region` VALUES ('2800', '海淀区', '1', '1');
INSERT INTO `car_region` VALUES ('2801', '西城区', '1', '1');
INSERT INTO `car_region` VALUES ('2802', '东城区', '1', '1');
INSERT INTO `car_region` VALUES ('2803', '崇文区', '1', '1');
INSERT INTO `car_region` VALUES ('2804', '宣武区', '1', '1');
INSERT INTO `car_region` VALUES ('2805', '丰台区', '1', '1');
INSERT INTO `car_region` VALUES ('2806', '石景山区', '1', '1');
INSERT INTO `car_region` VALUES ('2807', '门头沟', '1', '1');
INSERT INTO `car_region` VALUES ('2808', '房山区', '1', '1');
INSERT INTO `car_region` VALUES ('2809', '通州区', '1', '1');
INSERT INTO `car_region` VALUES ('2810', '大兴区', '1', '1');
INSERT INTO `car_region` VALUES ('2811', '卢湾区', '2', '1');
INSERT INTO `car_region` VALUES ('2812', '顺义区', '1', '1');
INSERT INTO `car_region` VALUES ('2813', '徐汇区', '2', '1');
INSERT INTO `car_region` VALUES ('2814', '怀柔区', '1', '1');
INSERT INTO `car_region` VALUES ('2815', '长宁区', '2', '1');
INSERT INTO `car_region` VALUES ('2816', '密云区', '1', '1');
INSERT INTO `car_region` VALUES ('2817', '静安区', '2', '1');
INSERT INTO `car_region` VALUES ('2819', '三环到四环之间', '72', '2');
INSERT INTO `car_region` VALUES ('2820', '闸北区', '2', '1');
INSERT INTO `car_region` VALUES ('2821', '内环到三环里', '2802', '2');
INSERT INTO `car_region` VALUES ('2822', '虹口区', '2', '1');
INSERT INTO `car_region` VALUES ('2823', '杨浦区', '2', '1');
INSERT INTO `car_region` VALUES ('2824', '宝山区', '2', '1');
INSERT INTO `car_region` VALUES ('2825', '闵行区', '2', '1');
INSERT INTO `car_region` VALUES ('2826', '嘉定区', '2', '1');
INSERT INTO `car_region` VALUES ('2827', '内环到二环里', '2801', '2');
INSERT INTO `car_region` VALUES ('2828', '内环到三环里', '2804', '2');
INSERT INTO `car_region` VALUES ('2829', '一环到二环', '2803', '2');
INSERT INTO `car_region` VALUES ('2830', '浦东新区', '2', '1');
INSERT INTO `car_region` VALUES ('2831', '四环到五环内', '2806', '2');
INSERT INTO `car_region` VALUES ('2832', '四环到五环之间', '2805', '2');
INSERT INTO `car_region` VALUES ('2833', '青浦区', '2', '1');
INSERT INTO `car_region` VALUES ('2834', '松江区', '2', '1');
INSERT INTO `car_region` VALUES ('2835', '金山区', '2', '1');
INSERT INTO `car_region` VALUES ('2836', '南汇区', '2', '1');
INSERT INTO `car_region` VALUES ('2837', '奉贤区', '2', '1');
INSERT INTO `car_region` VALUES ('2839', '四环到五环之间', '72', '2');
INSERT INTO `car_region` VALUES ('2840', '五环到六环之间', '72', '2');
INSERT INTO `car_region` VALUES ('2841', '普陀区', '2', '1');
INSERT INTO `car_region` VALUES ('2842', '二环到三环', '2803', '2');
INSERT INTO `car_region` VALUES ('2843', '郊区', '2807', '2');
INSERT INTO `car_region` VALUES ('2844', '郊区', '2808', '2');
INSERT INTO `car_region` VALUES ('2847', '郊区', '2814', '2');
INSERT INTO `car_region` VALUES ('2848', '三环以内', '2800', '2');
INSERT INTO `car_region` VALUES ('2849', '三环到四环之间', '2800', '2');
INSERT INTO `car_region` VALUES ('2850', '四环到五环之间', '2800', '2');
INSERT INTO `car_region` VALUES ('2851', '五环到六环之间', '2800', '2');
INSERT INTO `car_region` VALUES ('2852', '六环以外', '2800', '2');
INSERT INTO `car_region` VALUES ('2853', '二环到三环', '2801', '2');
INSERT INTO `car_region` VALUES ('2854', '二环到三环', '2805', '2');
INSERT INTO `car_region` VALUES ('2855', '三环到四环之间', '2805', '2');
INSERT INTO `car_region` VALUES ('2856', '内环中环之间', '2822', '2');
INSERT INTO `car_region` VALUES ('2857', '内环中环之间', '2811', '2');
INSERT INTO `car_region` VALUES ('2858', '六环以外', '2809', '2');
INSERT INTO `car_region` VALUES ('2860', '内环以内', '2811', '2');
INSERT INTO `car_region` VALUES ('2861', '中环外环之间', '2811', '2');
INSERT INTO `car_region` VALUES ('2862', '城区以外', '2816', '2');
INSERT INTO `car_region` VALUES ('2863', '内环以内', '2813', '2');
INSERT INTO `car_region` VALUES ('2864', '外环以外', '2826', '2');
INSERT INTO `car_region` VALUES ('2865', '内环中环之间', '2813', '2');
INSERT INTO `car_region` VALUES ('2866', '外环以外', '2834', '2');
INSERT INTO `car_region` VALUES ('2868', '外环以外', '2835', '2');
INSERT INTO `car_region` VALUES ('2869', '外环以外', '2833', '2');
INSERT INTO `car_region` VALUES ('2870', '内环以内', '2815', '2');
INSERT INTO `car_region` VALUES ('2871', '内环中环之间', '2815', '2');
INSERT INTO `car_region` VALUES ('2872', '中环外环之间', '2815', '2');
INSERT INTO `car_region` VALUES ('2873', '内环以内', '2817', '2');
INSERT INTO `car_region` VALUES ('2874', '内环中环之间', '2817', '2');
INSERT INTO `car_region` VALUES ('2875', '中环外环之间', '2817', '2');
INSERT INTO `car_region` VALUES ('2876', '内环以内', '2841', '2');
INSERT INTO `car_region` VALUES ('2877', '内环中环之间', '2841', '2');
INSERT INTO `car_region` VALUES ('2878', '中环外环之间', '2841', '2');
INSERT INTO `car_region` VALUES ('2879', '内环以内', '2820', '2');
INSERT INTO `car_region` VALUES ('2880', '中环外环之间', '2820', '2');
INSERT INTO `car_region` VALUES ('2881', '内环中环之间', '2820', '2');
INSERT INTO `car_region` VALUES ('2882', '内环以内', '2822', '2');
INSERT INTO `car_region` VALUES ('2883', '中环外环之间', '2822', '2');
INSERT INTO `car_region` VALUES ('2884', '内环以内', '2823', '2');
INSERT INTO `car_region` VALUES ('2885', '内环中环之间', '2823', '2');
INSERT INTO `car_region` VALUES ('2886', '中环外环之间', '2823', '2');
INSERT INTO `car_region` VALUES ('2888', '外环以外', '2837', '2');
INSERT INTO `car_region` VALUES ('2889', '中环以内', '2824', '2');
INSERT INTO `car_region` VALUES ('2890', '中环外环之间', '2824', '2');
INSERT INTO `car_region` VALUES ('2891', '外环以外', '2824', '2');
INSERT INTO `car_region` VALUES ('2892', '中环以内', '2825', '2');
INSERT INTO `car_region` VALUES ('2893', '外环以外', '2825', '2');
INSERT INTO `car_region` VALUES ('2894', '中环以内', '2830', '2');
INSERT INTO `car_region` VALUES ('2895', '外环以外', '2830', '2');
INSERT INTO `car_region` VALUES ('2896', '中环外环之间', '2825', '2');
INSERT INTO `car_region` VALUES ('2897', '中环外环之间', '2830', '2');
INSERT INTO `car_region` VALUES ('2900', '济宁市', '13', '1');
INSERT INTO `car_region` VALUES ('2901', '昌平区', '1', '1');
INSERT INTO `car_region` VALUES ('2902', '小榄镇', '1657', '2');
INSERT INTO `car_region` VALUES ('2903', '祝桥镇', '2836', '2');
INSERT INTO `car_region` VALUES ('2904', '新场镇', '2836', '2');
INSERT INTO `car_region` VALUES ('2905', '邹城市(国宏大道北,城前西路南,东环东,西外环西)', '2900', '2');
INSERT INTO `car_region` VALUES ('2906', '城区以外', '2901', '2');
INSERT INTO `car_region` VALUES ('2907', '南开区', '83', '2');
INSERT INTO `car_region` VALUES ('2908', '梁山县', '2900', '2');
INSERT INTO `car_region` VALUES ('2910', '兖州市', '2900', '2');
INSERT INTO `car_region` VALUES ('2912', '微山县', '2900', '2');
INSERT INTO `car_region` VALUES ('2913', '汶上县', '2900', '2');
INSERT INTO `car_region` VALUES ('2914', '泗水县', '2900', '2');
INSERT INTO `car_region` VALUES ('2915', '嘉祥县', '2900', '2');
INSERT INTO `car_region` VALUES ('2916', '鱼台县', '2900', '2');
INSERT INTO `car_region` VALUES ('2917', '金乡县', '2900', '2');
INSERT INTO `car_region` VALUES ('2919', '崇明县', '2', '1');
INSERT INTO `car_region` VALUES ('2922', '潜江市', '17', '1');
INSERT INTO `car_region` VALUES ('2924', '周村区', '1016', '2');
INSERT INTO `car_region` VALUES ('2925', '新都区(除主城区,大丰镇、天回镇以外区域)', '1930', '2');
INSERT INTO `car_region` VALUES ('2926', '莒南县 ', '1072', '2');
INSERT INTO `car_region` VALUES ('2927', '新北区', '978', '2');
INSERT INTO `car_region` VALUES ('2930', '独山子区', '2654', '2');
INSERT INTO `car_region` VALUES ('2931', '五环以外', '2805', '2');
INSERT INTO `car_region` VALUES ('2932', '天山区(外环路以内)', '2652', '2');
INSERT INTO `car_region` VALUES ('2934', '五莲县', '1108', '2');
INSERT INTO `car_region` VALUES ('2935', '惠南镇', '2836', '2');
INSERT INTO `car_region` VALUES ('2937', '康桥镇', '2836', '2');
INSERT INTO `car_region` VALUES ('2938', '宣桥镇', '2836', '2');
INSERT INTO `car_region` VALUES ('2939', '书院镇', '2836', '2');
INSERT INTO `car_region` VALUES ('2940', '大团镇', '2836', '2');
INSERT INTO `car_region` VALUES ('2941', '周浦镇', '2836', '2');
INSERT INTO `car_region` VALUES ('2942', '芦潮港镇', '2836', '2');
INSERT INTO `car_region` VALUES ('2943', '泥城镇', '2836', '2');
INSERT INTO `car_region` VALUES ('2944', '六灶镇', '2836', '2');
INSERT INTO `car_region` VALUES ('2945', '航头镇', '2836', '2');
INSERT INTO `car_region` VALUES ('2946', '万祥镇', '2836', '2');
INSERT INTO `car_region` VALUES ('2947', '老港镇', '2836', '2');
INSERT INTO `car_region` VALUES ('2949', '虎门镇(环岛路以西,轮渡路以北,凤凰路以南)', '1655', '2');
INSERT INTO `car_region` VALUES ('2950', '中堂镇', '1655', '2');
INSERT INTO `car_region` VALUES ('2951', '拉萨市', '26', '1');
INSERT INTO `car_region` VALUES ('2952', '城关区', '2951', '2');
INSERT INTO `car_region` VALUES ('2953', '平谷区', '1', '1');
INSERT INTO `car_region` VALUES ('2954', '城区以外', '2953', '2');
INSERT INTO `car_region` VALUES ('2955', '延平区（五里亭南，水泥厂北，名流世家东，南孚以西）', '1352', '2');
INSERT INTO `car_region` VALUES ('2956', '光泽县 ', '1352', '2');
INSERT INTO `car_region` VALUES ('2957', '古镇', '1657', '2');
INSERT INTO `car_region` VALUES ('2958', '孟连县', '2281', '2');
INSERT INTO `car_region` VALUES ('2959', '镇海区(除九龙湖镇、澥浦镇外)', '1158', '2');
INSERT INTO `car_region` VALUES ('2960', '济源市（环城路以内）', '2780', '2');
INSERT INTO `car_region` VALUES ('2962', '淄川区', '1016', '2');
INSERT INTO `car_region` VALUES ('2963', '江干区', '1213', '2');
INSERT INTO `car_region` VALUES ('2964', '牟平区', '1042', '2');
INSERT INTO `car_region` VALUES ('2966', '利通区', '2637', '2');
INSERT INTO `car_region` VALUES ('2967', '泽州县', '325', '2');
INSERT INTO `car_region` VALUES ('2968', '博山区', '1016', '2');
INSERT INTO `car_region` VALUES ('2969', '临淄区', '1016', '2');
INSERT INTO `car_region` VALUES ('2970', '雄关区', '2509', '2');
INSERT INTO `car_region` VALUES ('2971', '宣城市', '14', '1');
INSERT INTO `car_region` VALUES ('2972', '泾县', '2971', '2');
INSERT INTO `car_region` VALUES ('2973', '钟祥市', '1477', '2');
INSERT INTO `car_region` VALUES ('2974', '郯城县', '1072', '2');
INSERT INTO `car_region` VALUES ('2975', '城阳区(墨水河以西，硕阳路以北，青新高速以东)', '1007', '2');
INSERT INTO `car_region` VALUES ('2976', '海港区(二环内,东到东港路,南到新春路,含开发区)', '248', '2');
INSERT INTO `car_region` VALUES ('2977', '宣州区(G50以北以东，水阳江以西，古泉镇吴庄以南)', '2971', '2');
INSERT INTO `car_region` VALUES ('2978', '公主岭市', '9', '1');
INSERT INTO `car_region` VALUES ('2980', '天门市', '17', '1');
INSERT INTO `car_region` VALUES ('2983', '仙桃市', '17', '1');
INSERT INTO `car_region` VALUES ('2984', '和平区', '83', '2');
INSERT INTO `car_region` VALUES ('2985', '河西区', '83', '2');
INSERT INTO `car_region` VALUES ('2986', '红桥区', '83', '2');
INSERT INTO `car_region` VALUES ('2987', '河北区', '83', '2');
INSERT INTO `car_region` VALUES ('2989', '山海关区', '248', '2');
INSERT INTO `car_region` VALUES ('2990', '北戴河区', '248', '2');
INSERT INTO `car_region` VALUES ('2991', '罗城县', '1818', '2');
INSERT INTO `car_region` VALUES ('2992', '辽源市', '9', '1');
INSERT INTO `car_region` VALUES ('2993', '龙山区', '2992', '2');
INSERT INTO `car_region` VALUES ('2994', '西安区', '2992', '2');
INSERT INTO `car_region` VALUES ('2995', '东丰县', '2992', '2');
INSERT INTO `car_region` VALUES ('2996', '东辽县', '2992', '2');
INSERT INTO `car_region` VALUES ('2997', '大亚湾区（西区、新寮、响水河工业区）', '1643', '2');
INSERT INTO `car_region` VALUES ('2999', '钦北区', '1753', '2');
INSERT INTO `car_region` VALUES ('3000', '河东区', '83', '2');
INSERT INTO `car_region` VALUES ('3001', '坦洲镇', '1657', '2');
INSERT INTO `car_region` VALUES ('3002', '鲁甸县', '2270', '2');
INSERT INTO `car_region` VALUES ('3003', '绥江县', '2270', '2');
INSERT INTO `car_region` VALUES ('3005', '宾阳县', '1715', '2');
INSERT INTO `car_region` VALUES ('3006', '白碱滩区', '2654', '2');
INSERT INTO `car_region` VALUES ('3007', '黄圃镇', '1657', '2');
INSERT INTO `car_region` VALUES ('3009', '崂山区(松岭路以西,株洲路以南)', '1007', '2');
INSERT INTO `car_region` VALUES ('3016', '三乡镇', '1657', '2');
INSERT INTO `car_region` VALUES ('3017', '金安区(金安医院以西,金安大道以南,G312以北)', '1206', '2');
INSERT INTO `car_region` VALUES ('3018', '裕安区(环城路以内)', '1206', '2');
INSERT INTO `car_region` VALUES ('3021', '格尔木市', '2620', '2');
INSERT INTO `car_region` VALUES ('3022', '涵江区', '1329', '2');
INSERT INTO `car_region` VALUES ('3023', '崆峒区', '2518', '2');
INSERT INTO `car_region` VALUES ('3024', '溧水县', '904', '2');
INSERT INTO `car_region` VALUES ('3026', '鲅鱼圈区(鲅鱼圈高速口北，熊岳河南，望儿山大街东)', '609', '2');
INSERT INTO `car_region` VALUES ('3027', '潮阳区(谷饶、贵屿、河溪、金灶、铜盂、关埠)', '1611', '2');
INSERT INTO `car_region` VALUES ('3034', '儋州市', '23', '1');
INSERT INTO `car_region` VALUES ('3037', '海丰县', '1650', '2');
INSERT INTO `car_region` VALUES ('3038', '滨江区', '1213', '2');
INSERT INTO `car_region` VALUES ('3039', '张店区(宝沣路东,西十路西,鲁泰大道北,昌国西路南)', '1016', '2');
INSERT INTO `car_region` VALUES ('3040', '公主岭市市区', '2978', '2');
INSERT INTO `car_region` VALUES ('3041', '东坑镇', '1655', '2');
INSERT INTO `car_region` VALUES ('3044', '来宾市', '20', '1');
INSERT INTO `car_region` VALUES ('3045', '庆元县', '1280', '2');
INSERT INTO `car_region` VALUES ('3046', '兴宾区', '3044', '2');
INSERT INTO `car_region` VALUES ('3047', '合山市', '3044', '2');
INSERT INTO `car_region` VALUES ('3048', '忻城县', '3044', '2');
INSERT INTO `car_region` VALUES ('3049', '武宣县', '3044', '2');
INSERT INTO `car_region` VALUES ('3050', '象州县', '3044', '2');
INSERT INTO `car_region` VALUES ('3051', '金秀县', '3044', '2');
INSERT INTO `car_region` VALUES ('3055', '沙洋县', '1477', '2');
INSERT INTO `car_region` VALUES ('3056', '黄江镇(虎岗高速以北、莞佛高速以西、东环二路以南)', '1655', '2');
INSERT INTO `car_region` VALUES ('3065', '延庆县', '1', '1');
INSERT INTO `car_region` VALUES ('3066', '百泉路南,京新高速北,康张路西,京银路东', '3065', '2');
INSERT INTO `car_region` VALUES ('3067', '东凤镇', '1657', '2');
INSERT INTO `car_region` VALUES ('3068', '莒县', '1108', '2');
INSERT INTO `car_region` VALUES ('3070', '沅陵县', '1574', '2');
INSERT INTO `car_region` VALUES ('3071', '中卫市', '30', '1');
INSERT INTO `car_region` VALUES ('3072', '中宁县', '3071', '2');
INSERT INTO `car_region` VALUES ('3073', '城 区', '325', '2');
INSERT INTO `car_region` VALUES ('3074', '长治市', '6', '1');
INSERT INTO `car_region` VALUES ('3075', '长治县', '3074', '2');
INSERT INTO `car_region` VALUES ('3076', '高新区(内环高速以里)', '87', '2');
INSERT INTO `car_region` VALUES ('3077', '临漳县', '148', '2');
INSERT INTO `car_region` VALUES ('3078', '道滘镇', '1655', '2');
INSERT INTO `car_region` VALUES ('3079', '武昌区', '1381', '2');
INSERT INTO `car_region` VALUES ('3080', '定西市', '28', '1');
INSERT INTO `car_region` VALUES ('3081', '岷县', '3080', '2');
INSERT INTO `car_region` VALUES ('3082', '相城区', '988', '2');
INSERT INTO `car_region` VALUES ('3083', '金阊区', '988', '2');
INSERT INTO `car_region` VALUES ('3084', '吴中区（不含东山镇、西山镇）', '988', '2');
INSERT INTO `car_region` VALUES ('3085', '虎丘区', '988', '2');
INSERT INTO `car_region` VALUES ('3087', '平江区', '988', '2');
INSERT INTO `car_region` VALUES ('3088', '沧浪区', '988', '2');
INSERT INTO `car_region` VALUES ('3089', '新泰市（市区内）', '1112', '2');
INSERT INTO `car_region` VALUES ('3091', '青原区（主城区内）', '1898', '2');
INSERT INTO `car_region` VALUES ('3092', '承德县', '239', '2');
INSERT INTO `car_region` VALUES ('3096', '嫩江县', '776', '2');
INSERT INTO `car_region` VALUES ('3097', '沙田镇', '1655', '2');
INSERT INTO `car_region` VALUES ('3098', '威县', '164', '2');
INSERT INTO `car_region` VALUES ('3100', '高步镇', '1655', '2');
INSERT INTO `car_region` VALUES ('3102', '石龙镇', '1655', '2');
INSERT INTO `car_region` VALUES ('3103', '浦口区(宁连高速以内,老山以东)', '904', '2');
INSERT INTO `car_region` VALUES ('3104', '石排镇', '1655', '2');
INSERT INTO `car_region` VALUES ('3105', '企石镇', '1655', '2');
INSERT INTO `car_region` VALUES ('3107', '那曲地区', '26', '1');
INSERT INTO `car_region` VALUES ('3108', '索县', '3107', '2');
INSERT INTO `car_region` VALUES ('3109', '潞城市', '3074', '2');
INSERT INTO `car_region` VALUES ('3110', '桃浦新村', '2841', '2');
INSERT INTO `car_region` VALUES ('3111', '石碣镇', '1655', '2');
INSERT INTO `car_region` VALUES ('3112', '横栏镇', '1657', '2');
INSERT INTO `car_region` VALUES ('3113', '渑池县', '495', '2');
INSERT INTO `car_region` VALUES ('3115', '琼海市', '23', '1');
INSERT INTO `car_region` VALUES ('3116', '洪梅镇', '1655', '2');
INSERT INTO `car_region` VALUES ('3117', '泉港区', '1332', '2');
INSERT INTO `car_region` VALUES ('3118', '平鲁区', '330', '2');
INSERT INTO `car_region` VALUES ('3119', '商城县', '549', '2');
INSERT INTO `car_region` VALUES ('3120', '麻涌镇', '1655', '2');
INSERT INTO `car_region` VALUES ('3121', '东兴区', '1988', '2');
INSERT INTO `car_region` VALUES ('3123', '林周县', '2951', '2');
INSERT INTO `car_region` VALUES ('3124', '灞桥区(绕城以内及洪庆镇区)', '2376', '2');
INSERT INTO `car_region` VALUES ('3125', '那大镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3126', '芝罘区', '1042', '2');
INSERT INTO `car_region` VALUES ('3127', '通许县', '420', '2');
INSERT INTO `car_region` VALUES ('3128', '旌德县', '2971', '2');
INSERT INTO `car_region` VALUES ('3129', '山南地区', '26', '1');
INSERT INTO `car_region` VALUES ('3130', '贡嘎县', '3129', '2');
INSERT INTO `car_region` VALUES ('3132', '东平县', '1112', '2');
INSERT INTO `car_region` VALUES ('3133', '清水河县', '799', '2');
INSERT INTO `car_region` VALUES ('3134', '桥头镇', '1655', '2');
INSERT INTO `car_region` VALUES ('3135', '惠城区(桥东、桥西、江北、河南岸、惠环、陈江)', '1643', '2');
INSERT INTO `car_region` VALUES ('3136', '曲沃县', '379', '2');
INSERT INTO `car_region` VALUES ('3137', '万宁市', '23', '1');
INSERT INTO `car_region` VALUES ('3138', '昌都地区', '26', '1');
INSERT INTO `car_region` VALUES ('3139', '昌都县', '3138', '2');
INSERT INTO `car_region` VALUES ('3142', '霍林郭勒市', '902', '2');
INSERT INTO `car_region` VALUES ('3143', '三角镇', '1657', '2');
INSERT INTO `car_region` VALUES ('3144', '日喀则地区', '26', '1');
INSERT INTO `car_region` VALUES ('3147', '宁国市', '2971', '2');
INSERT INTO `car_region` VALUES ('3148', '海原县', '3071', '2');
INSERT INTO `car_region` VALUES ('3150', '龙岗区(布吉,南湾,龙岗,龙城,横岗,坂田,平湖街道)', '1607', '2');
INSERT INTO `car_region` VALUES ('3151', '望牛墩镇', '1655', '2');
INSERT INTO `car_region` VALUES ('3152', '大化县', '1818', '2');
INSERT INTO `car_region` VALUES ('3154', '神农架林区', '17', '1');
INSERT INTO `car_region` VALUES ('3155', '南山区', '1607', '2');
INSERT INTO `car_region` VALUES ('3156', '沽源县', '224', '2');
INSERT INTO `car_region` VALUES ('3158', '神农架林区', '3154', '2');
INSERT INTO `car_region` VALUES ('3160', '聂拉木县', '3144', '2');
INSERT INTO `car_region` VALUES ('3161', '金州区(沈海高速公路以东，大窑湾高速公路以西)', '573', '2');
INSERT INTO `car_region` VALUES ('3163', '广水市', '1479', '2');
INSERT INTO `car_region` VALUES ('3164', '曾都区', '1479', '2');
INSERT INTO `car_region` VALUES ('3166', '昂仁县', '3144', '2');
INSERT INTO `car_region` VALUES ('3168', '崇左市', '20', '1');
INSERT INTO `car_region` VALUES ('3169', '江州区', '3168', '2');
INSERT INTO `car_region` VALUES ('3170', '旅顺口区(启明路以北,郭水路以东)', '573', '2');
INSERT INTO `car_region` VALUES ('3171', '茶山镇', '1655', '2');
INSERT INTO `car_region` VALUES ('3172', '德惠市', '639', '2');
INSERT INTO `car_region` VALUES ('3173', '东方市', '23', '1');
INSERT INTO `car_region` VALUES ('3175', '临夏市', '2573', '2');
INSERT INTO `car_region` VALUES ('3176', '南头镇', '1657', '2');
INSERT INTO `car_region` VALUES ('3177', '长安区(中山路以南,裕华路以北)', '142', '2');
INSERT INTO `car_region` VALUES ('3178', '桥东区(二环内)', '142', '2');
INSERT INTO `car_region` VALUES ('3179', '桥西区(二环内)', '142', '2');
INSERT INTO `car_region` VALUES ('3180', '新华区(二环内)', '142', '2');
INSERT INTO `car_region` VALUES ('3181', '裕华区(石安高速以西)', '142', '2');
INSERT INTO `car_region` VALUES ('3182', '井陉矿区', '142', '2');
INSERT INTO `car_region` VALUES ('3183', '丛台区(北环路、东环路以内)', '148', '2');
INSERT INTO `car_region` VALUES ('3184', '邯山区(西环路、南环路、东环路以内)', '148', '2');
INSERT INTO `car_region` VALUES ('3186', '复兴区(北环路、西环路、南环路以内)', '148', '2');
INSERT INTO `car_region` VALUES ('3187', '永年县', '148', '2');
INSERT INTO `car_region` VALUES ('3188', '桥西区(滨江路以西,南外环以南,郭守敬大道以北)', '164', '2');
INSERT INTO `car_region` VALUES ('3189', '桥东区(郭守敬大道以北,东外环以东,南外环以南)', '164', '2');
INSERT INTO `car_region` VALUES ('3190', '新市区', '199', '2');
INSERT INTO `car_region` VALUES ('3191', '北市区', '199', '2');
INSERT INTO `car_region` VALUES ('3192', '南市区', '199', '2');
INSERT INTO `car_region` VALUES ('3193', '安新县', '199', '2');
INSERT INTO `car_region` VALUES ('3194', '桥西区(西外环以西,北外环以北,盛华西大街以南)', '224', '2');
INSERT INTO `car_region` VALUES ('3195', '桥东区(建国路以东,北外环以北,盛华东大街以南)', '224', '2');
INSERT INTO `car_region` VALUES ('3196', '双桥区（环城路以内）', '239', '2');
INSERT INTO `car_region` VALUES ('3197', '双滦区', '239', '2');
INSERT INTO `car_region` VALUES ('3198', '鹰手营子矿区', '239', '2');
INSERT INTO `car_region` VALUES ('3199', '元宝山区', '812', '2');
INSERT INTO `car_region` VALUES ('3200', '路北区(112国道以东,环城路以南)', '258', '2');
INSERT INTO `car_region` VALUES ('3201', '路南区(205国以西,唐胥路以北)', '258', '2');
INSERT INTO `car_region` VALUES ('3202', '古冶区', '258', '2');
INSERT INTO `car_region` VALUES ('3203', '开平区　', '258', '2');
INSERT INTO `car_region` VALUES ('3204', '运河区（渤海路南，海河路北）', '264', '2');
INSERT INTO `car_region` VALUES ('3205', '新华区（长芦大道西，迎宾大道东）', '264', '2');
INSERT INTO `car_region` VALUES ('3206', '安次区', '274', '2');
INSERT INTO `car_region` VALUES ('3207', '广阳区', '274', '2');
INSERT INTO `car_region` VALUES ('3208', '杏花岭区(胜利街以南，建设路以西)', '303', '2');
INSERT INTO `car_region` VALUES ('3209', '小店区(龙城街以北，建设路/太榆路以西)', '303', '2');
INSERT INTO `car_region` VALUES ('3210', '迎泽区(建设路以西)', '303', '2');
INSERT INTO `car_region` VALUES ('3211', '尖草坪区', '303', '2');
INSERT INTO `car_region` VALUES ('3212', '万柏林区(窊流路以东，西峪东街以北，胜利街以南)', '303', '2');
INSERT INTO `car_region` VALUES ('3213', '晋源区(西峪东街以北、新晋祠路以东)', '303', '2');
INSERT INTO `car_region` VALUES ('3214', '新荣区', '309', '2');
INSERT INTO `car_region` VALUES ('3216', '南郊区', '309', '2');
INSERT INTO `car_region` VALUES ('3217', '矿　区', '309', '2');
INSERT INTO `car_region` VALUES ('3218', '城区（文兴路西，208国道北，绕城高速东，109国道南）', '309', '2');
INSERT INTO `car_region` VALUES ('3219', '矿　区', '318', '2');
INSERT INTO `car_region` VALUES ('3220', '城区（大连路南，四矿口东，李白路西，南环路北）', '318', '2');
INSERT INTO `car_region` VALUES ('3221', '城　区（城北西街南、南二环北、西二环东、城东路西）', '3074', '2');
INSERT INTO `car_region` VALUES ('3222', '郊　区', '3074', '2');
INSERT INTO `car_region` VALUES ('3223', '襄垣县', '3074', '2');
INSERT INTO `car_region` VALUES ('3224', '屯留县', '3074', '2');
INSERT INTO `car_region` VALUES ('3225', '平顺县', '3074', '2');
INSERT INTO `car_region` VALUES ('3226', '黎城县', '3074', '2');
INSERT INTO `car_region` VALUES ('3227', '壶关县', '3074', '2');
INSERT INTO `car_region` VALUES ('3228', '长子县', '3074', '2');
INSERT INTO `car_region` VALUES ('3229', '武乡县', '3074', '2');
INSERT INTO `car_region` VALUES ('3230', '沁　县', '3074', '2');
INSERT INTO `car_region` VALUES ('3231', '沁源县', '3074', '2');
INSERT INTO `car_region` VALUES ('3233', '闻喜县', '398', '2');
INSERT INTO `car_region` VALUES ('3235', '交口县', '368', '2');
INSERT INTO `car_region` VALUES ('3236', '交城县', '368', '2');
INSERT INTO `car_region` VALUES ('3237', '石楼县', '368', '2');
INSERT INTO `car_region` VALUES ('3238', '回民区(二环以内)', '799', '2');
INSERT INTO `car_region` VALUES ('3239', '新城区(二环以内)', '799', '2');
INSERT INTO `car_region` VALUES ('3240', '玉泉区', '799', '2');
INSERT INTO `car_region` VALUES ('3241', '赛罕区', '799', '2');
INSERT INTO `car_region` VALUES ('3242', '昆都仑区(莫尼路以南,三八路以东,黄河街以北)', '805', '2');
INSERT INTO `car_region` VALUES ('3243', '东河区', '805', '2');
INSERT INTO `car_region` VALUES ('3244', '青山区(青山路以南,明主路以西,黄河街以北)', '805', '2');
INSERT INTO `car_region` VALUES ('3245', '石拐区', '805', '2');
INSERT INTO `car_region` VALUES ('3246', '白云矿区', '805', '2');
INSERT INTO `car_region` VALUES ('3247', '九原区', '805', '2');
INSERT INTO `car_region` VALUES ('3248', '海南区', '810', '2');
INSERT INTO `car_region` VALUES ('3249', '乌达区', '810', '2');
INSERT INTO `car_region` VALUES ('3251', '松山区', '812', '2');
INSERT INTO `car_region` VALUES ('3252', '开鲁县', '902', '2');
INSERT INTO `car_region` VALUES ('3253', '库伦旗', '902', '2');
INSERT INTO `car_region` VALUES ('3254', '奈曼旗', '902', '2');
INSERT INTO `car_region` VALUES ('3255', '扎鲁特旗　', '902', '2');
INSERT INTO `car_region` VALUES ('3256', '科尔沁左翼中旗', '902', '2');
INSERT INTO `car_region` VALUES ('3258', '科尔沁左翼后旗', '902', '2');
INSERT INTO `car_region` VALUES ('3259', '沈北新区(三环外)', '560', '2');
INSERT INTO `car_region` VALUES ('3261', '沙河口区', '573', '2');
INSERT INTO `car_region` VALUES ('3263', '西岗区', '573', '2');
INSERT INTO `car_region` VALUES ('3264', '铁东区', '579', '2');
INSERT INTO `car_region` VALUES ('3265', '铁西区（除腾鳌区）', '579', '2');
INSERT INTO `car_region` VALUES ('3266', '立山区', '579', '2');
INSERT INTO `car_region` VALUES ('3267', '千山区（除高新区，达道弯经济开发区）', '579', '2');
INSERT INTO `car_region` VALUES ('3268', '望花区', '584', '2');
INSERT INTO `car_region` VALUES ('3269', '东洲区', '584', '2');
INSERT INTO `car_region` VALUES ('3270', '新抚区', '584', '2');
INSERT INTO `car_region` VALUES ('3271', '顺城区', '584', '2');
INSERT INTO `car_region` VALUES ('3272', '平山区（城区内）', '589', '2');
INSERT INTO `car_region` VALUES ('3273', '溪湖区（城区内）', '589', '2');
INSERT INTO `car_region` VALUES ('3274', '明山区（城区内）', '589', '2');
INSERT INTO `car_region` VALUES ('3275', '南芬区', '589', '2');
INSERT INTO `car_region` VALUES ('3276', '振安区(九连城镇区以北,国界以东)', '593', '2');
INSERT INTO `car_region` VALUES ('3277', '元宝区(201国道以西)', '593', '2');
INSERT INTO `car_region` VALUES ('3278', '振兴区(柳林河以南)', '593', '2');
INSERT INTO `car_region` VALUES ('3282', '老边区', '609', '2');
INSERT INTO `car_region` VALUES ('3283', '西市区', '609', '2');
INSERT INTO `car_region` VALUES ('3285', '细河区(北新路以北,东新大街以东)', '617', '2');
INSERT INTO `car_region` VALUES ('3286', '清河门区', '617', '2');
INSERT INTO `car_region` VALUES ('3287', '太平区(煤城路以南)', '617', '2');
INSERT INTO `car_region` VALUES ('3288', '新邱区', '617', '2');
INSERT INTO `car_region` VALUES ('3289', '海州区(迎宾大街以西)', '617', '2');
INSERT INTO `car_region` VALUES ('3290', '太子河区', '621', '2');
INSERT INTO `car_region` VALUES ('3291', '弓长岭区', '621', '2');
INSERT INTO `car_region` VALUES ('3292', '宏伟区', '621', '2');
INSERT INTO `car_region` VALUES ('3293', '文圣区(铁路东线以东)', '621', '2');
INSERT INTO `car_region` VALUES ('3294', '白塔区(胜利路以西,北哨街以北,铁路东线以东)', '621', '2');
INSERT INTO `car_region` VALUES ('3295', '兴隆台区(中华路西,香稻路东,文汇路南,太子河北)', '613', '2');
INSERT INTO `car_region` VALUES ('3296', '双台子区(一统河路西,双兴北路东,城北街北,太子河南)', '613', '2');
INSERT INTO `car_region` VALUES ('3299', '龙城区', '632', '2');
INSERT INTO `car_region` VALUES ('3300', '龙港区', '604', '2');
INSERT INTO `car_region` VALUES ('3301', '连山区(京沈高速公路以西,岛东线以北)', '604', '2');
INSERT INTO `car_region` VALUES ('3302', '南关区(南环城路以内)', '639', '2');
INSERT INTO `car_region` VALUES ('3303', '宽城区（北环城路至东环城路以内）', '639', '2');
INSERT INTO `car_region` VALUES ('3304', '二道区(北环城路以南)', '639', '2');
INSERT INTO `car_region` VALUES ('3305', '绿园区（西环城路以内）', '639', '2');
INSERT INTO `car_region` VALUES ('3306', '双阳区', '639', '2');
INSERT INTO `car_region` VALUES ('3307', '昌邑区(和平路以北，五医院以西)', '644', '2');
INSERT INTO `car_region` VALUES ('3308', '龙潭区(北建西部基地东，珲乌高速南，龙东小区西)', '644', '2');
INSERT INTO `car_region` VALUES ('3309', '船营区(欢喜路以西)', '644', '2');
INSERT INTO `car_region` VALUES ('3311', '东昌区', '657', '2');
INSERT INTO `car_region` VALUES ('3312', '图们市', '687', '2');
INSERT INTO `car_region` VALUES ('3313', '敦化市', '687', '2');
INSERT INTO `car_region` VALUES ('3314', '珲春市', '687', '2');
INSERT INTO `car_region` VALUES ('3315', '龙井市', '687', '2');
INSERT INTO `car_region` VALUES ('3316', '和龙市', '687', '2');
INSERT INTO `car_region` VALUES ('3317', '汪清县', '687', '2');
INSERT INTO `car_region` VALUES ('3318', '安图县', '687', '2');
INSERT INTO `car_region` VALUES ('3319', '松北区(三环以内)', '698', '2');
INSERT INTO `car_region` VALUES ('3320', '道里区(三环以内)', '698', '2');
INSERT INTO `car_region` VALUES ('3321', '南岗区(三环以内)', '698', '2');
INSERT INTO `car_region` VALUES ('3322', '道外区(三环以内)', '698', '2');
INSERT INTO `car_region` VALUES ('3323', '香坊区(三环以内)', '698', '2');
INSERT INTO `car_region` VALUES ('3324', '平房区(南厂以北,绕城高速南,新星街东,威海路西)', '698', '2');
INSERT INTO `car_region` VALUES ('3325', '建华区(碾北公路以南,嫩江以东)', '712', '2');
INSERT INTO `car_region` VALUES ('3326', '龙沙区(鹤城路以北)', '712', '2');
INSERT INTO `car_region` VALUES ('3327', '铁锋区(环城东路以西)', '712', '2');
INSERT INTO `car_region` VALUES ('3328', '鸡冠区（朝阳桥以西、206公路以北、左家村以东）', '737', '2');
INSERT INTO `car_region` VALUES ('3329', '恒山区', '737', '2');
INSERT INTO `car_region` VALUES ('3330', '滴道区', '737', '2');
INSERT INTO `car_region` VALUES ('3331', '梨树区', '737', '2');
INSERT INTO `car_region` VALUES ('3332', '城子河区', '737', '2');
INSERT INTO `car_region` VALUES ('3333', '麻山区', '737', '2');
INSERT INTO `car_region` VALUES ('3334', '兴山区', '727', '2');
INSERT INTO `car_region` VALUES ('3335', '向阳区', '727', '2');
INSERT INTO `car_region` VALUES ('3336', '工农区　', '727', '2');
INSERT INTO `car_region` VALUES ('3337', '南山区', '727', '2');
INSERT INTO `car_region` VALUES ('3338', '兴安区', '727', '2');
INSERT INTO `car_region` VALUES ('3339', '东山区', '727', '2');
INSERT INTO `car_region` VALUES ('3340', '尖山区', '731', '2');
INSERT INTO `car_region` VALUES ('3341', '岭东区', '731', '2');
INSERT INTO `car_region` VALUES ('3342', '四方台区', '731', '2');
INSERT INTO `car_region` VALUES ('3343', '宝山区', '731', '2');
INSERT INTO `car_region` VALUES ('3344', '伊春区　', '753', '2');
INSERT INTO `car_region` VALUES ('3345', '南岔区', '753', '2');
INSERT INTO `car_region` VALUES ('3346', '友好区', '753', '2');
INSERT INTO `car_region` VALUES ('3347', '西林区', '753', '2');
INSERT INTO `car_region` VALUES ('3348', '翠峦区', '753', '2');
INSERT INTO `car_region` VALUES ('3349', '新青区', '753', '2');
INSERT INTO `car_region` VALUES ('3350', '美溪区', '753', '2');
INSERT INTO `car_region` VALUES ('3351', '金山屯区', '753', '2');
INSERT INTO `car_region` VALUES ('3352', '五营区', '753', '2');
INSERT INTO `car_region` VALUES ('3353', '乌马河区', '753', '2');
INSERT INTO `car_region` VALUES ('3354', '汤旺河区', '753', '2');
INSERT INTO `car_region` VALUES ('3355', '带岭区', '753', '2');
INSERT INTO `car_region` VALUES ('3356', '乌伊岭区　', '753', '2');
INSERT INTO `car_region` VALUES ('3357', '红星区', '753', '2');
INSERT INTO `car_region` VALUES ('3358', '上甘岭区', '753', '2');
INSERT INTO `car_region` VALUES ('3359', '前进区(沿江路以南)', '765', '2');
INSERT INTO `car_region` VALUES ('3360', '永红区', '765', '2');
INSERT INTO `car_region` VALUES ('3361', '向阳区(大学路以北)', '765', '2');
INSERT INTO `car_region` VALUES ('3363', '郊　区(圃东街以东)', '765', '2');
INSERT INTO `car_region` VALUES ('3364', '桃山区', '773', '2');
INSERT INTO `car_region` VALUES ('3365', '新兴区', '773', '2');
INSERT INTO `car_region` VALUES ('3366', '茄子河区', '773', '2');
INSERT INTO `car_region` VALUES ('3367', '爱民区', '757', '2');
INSERT INTO `car_region` VALUES ('3368', '东安区', '757', '2');
INSERT INTO `car_region` VALUES ('3369', '阳明区', '757', '2');
INSERT INTO `car_region` VALUES ('3370', '西安区', '757', '2');
INSERT INTO `car_region` VALUES ('3371', '爱辉区', '776', '2');
INSERT INTO `car_region` VALUES ('3373', '玄武区', '904', '2');
INSERT INTO `car_region` VALUES ('3374', '白下区', '904', '2');
INSERT INTO `car_region` VALUES ('3375', '秦淮区', '904', '2');
INSERT INTO `car_region` VALUES ('3376', '建邺区', '904', '2');
INSERT INTO `car_region` VALUES ('3377', '鼓楼区', '904', '2');
INSERT INTO `car_region` VALUES ('3378', '栖霞区', '904', '2');
INSERT INTO `car_region` VALUES ('3379', '雨花台区', '904', '2');
INSERT INTO `car_region` VALUES ('3380', '下关区', '904', '2');
INSERT INTO `car_region` VALUES ('3381', '崇安区', '984', '2');
INSERT INTO `car_region` VALUES ('3382', '南长区', '984', '2');
INSERT INTO `car_region` VALUES ('3383', '北塘区', '984', '2');
INSERT INTO `car_region` VALUES ('3384', '锡山区', '984', '2');
INSERT INTO `car_region` VALUES ('3385', '惠山区', '984', '2');
INSERT INTO `car_region` VALUES ('3386', '滨湖区(除胡埭镇，马山镇外)', '984', '2');
INSERT INTO `car_region` VALUES ('3387', '泉山区(三环以内)', '911', '2');
INSERT INTO `car_region` VALUES ('3388', '贾汪区', '911', '2');
INSERT INTO `car_region` VALUES ('3389', '云龙区(三环以内)', '911', '2');
INSERT INTO `car_region` VALUES ('3390', '鼓楼区(三环以内)', '911', '2');
INSERT INTO `car_region` VALUES ('3391', '戚墅堰区', '978', '2');
INSERT INTO `car_region` VALUES ('3392', '钟楼区', '978', '2');
INSERT INTO `car_region` VALUES ('3393', '天宁区', '978', '2');
INSERT INTO `car_region` VALUES ('3394', '港闸区', '965', '2');
INSERT INTO `car_region` VALUES ('3395', '崇川区', '965', '2');
INSERT INTO `car_region` VALUES ('3396', '海州区(连徐高速以北、宁连高速以西)', '919', '2');
INSERT INTO `car_region` VALUES ('3398', '新浦区(G310国道以南、宁连高速以西)', '919', '2');
INSERT INTO `car_region` VALUES ('3400', '清河区(G25国道以东、宁连公路以西)', '925', '2');
INSERT INTO `car_region` VALUES ('3401', '亭湖区(沿海高速以西、宁靖盐高速以南、盐徐高速以北)', '939', '2');
INSERT INTO `car_region` VALUES ('3402', '维扬区', '951', '2');
INSERT INTO `car_region` VALUES ('3403', '润州区', '972', '2');
INSERT INTO `car_region` VALUES ('3404', '京口区', '972', '2');
INSERT INTO `car_region` VALUES ('3405', '高港区', '959', '2');
INSERT INTO `car_region` VALUES ('3406', '海陵区', '959', '2');
INSERT INTO `car_region` VALUES ('3407', '宿城区', '933', '2');
INSERT INTO `car_region` VALUES ('3408', '上城区', '1213', '2');
INSERT INTO `car_region` VALUES ('3409', '下城区', '1213', '2');
INSERT INTO `car_region` VALUES ('3410', '拱墅区', '1213', '2');
INSERT INTO `car_region` VALUES ('3411', '西湖区', '1213', '2');
INSERT INTO `car_region` VALUES ('3412', '海曙区', '1158', '2');
INSERT INTO `car_region` VALUES ('3413', '江东区', '1158', '2');
INSERT INTO `car_region` VALUES ('3414', '江北区(除慈城镇外)', '1158', '2');
INSERT INTO `car_region` VALUES ('3415', '鹿城区(金丽温高速公路以东、绕城高速公路以南)', '1233', '2');
INSERT INTO `car_region` VALUES ('3416', '龙湾区', '1233', '2');
INSERT INTO `car_region` VALUES ('3417', '瓯海区(金丽温高速以东、甬台温高速公路以北)', '1233', '2');
INSERT INTO `car_region` VALUES ('3418', '南湖区', '1243', '2');
INSERT INTO `car_region` VALUES ('3419', '秀洲区', '1243', '2');
INSERT INTO `car_region` VALUES ('3420', '吴兴区(申嘉湖高速公路、杭宁高速公路以北)', '1250', '2');
INSERT INTO `car_region` VALUES ('3425', '柯城区(锦西大道以东,沪昆高速以南,G320浙西大道以北)', '1273', '2');
INSERT INTO `car_region` VALUES ('3426', '定海区(G329国道以南,弘生大道/昌洲大道以北)', '1298', '2');
INSERT INTO `car_region` VALUES ('3427', '椒江区(疏港大道、椒金公路以西)', '1290', '2');
INSERT INTO `car_region` VALUES ('3428', '黄岩区(甬台温高速以东、永宁江以南)', '1290', '2');
INSERT INTO `car_region` VALUES ('3429', '路桥区(石八线、路院一级公路以北)', '1290', '2');
INSERT INTO `car_region` VALUES ('3430', '莲都区(桃碧线东,G330西,丽和线、绕城公路南,G25北)', '1280', '2');
INSERT INTO `car_region` VALUES ('3431', '包河区', '1116', '2');
INSERT INTO `car_region` VALUES ('3432', '蜀山区', '1116', '2');
INSERT INTO `car_region` VALUES ('3433', '瑶海区', '1116', '2');
INSERT INTO `car_region` VALUES ('3434', '庐阳区', '1116', '2');
INSERT INTO `car_region` VALUES ('3435', '鸠江区（除沈巷镇、裕溪口街道以外）', '1127', '2');
INSERT INTO `car_region` VALUES ('3436', '新芜区', '1127', '2');
INSERT INTO `car_region` VALUES ('3437', '马塘区', '1127', '2');
INSERT INTO `car_region` VALUES ('3438', '镜湖区', '1127', '2');
INSERT INTO `car_region` VALUES ('3439', '淮上区(宁洛高速以南)', '1132', '2');
INSERT INTO `car_region` VALUES ('3440', '禹会区(京台高速以东)', '1132', '2');
INSERT INTO `car_region` VALUES ('3441', '龙子湖区(市区)', '1132', '2');
INSERT INTO `car_region` VALUES ('3442', '蚌山区', '1132', '2');
INSERT INTO `car_region` VALUES ('3444', '工业园区', '988', '2');
INSERT INTO `car_region` VALUES ('3447', '田家庵区', '1121', '2');
INSERT INTO `car_region` VALUES ('3448', '大通区', '1121', '2');
INSERT INTO `car_region` VALUES ('3449', '谢家集区', '1121', '2');
INSERT INTO `car_region` VALUES ('3450', '八公山区', '1121', '2');
INSERT INTO `car_region` VALUES ('3451', '潘集区', '1121', '2');
INSERT INTO `car_region` VALUES ('3452', '金家庄区(市区)', '1137', '2');
INSERT INTO `car_region` VALUES ('3453', '花山区(宁芜高速以西、长江以东)', '1137', '2');
INSERT INTO `car_region` VALUES ('3454', '雨山区(宁芜高速以西、长江以东)', '1137', '2');
INSERT INTO `car_region` VALUES ('3455', '烈山区(京台高速以西,S101以北)', '1124', '2');
INSERT INTO `car_region` VALUES ('3456', '杜集区(北外环路以南,京台高速以西)', '1124', '2');
INSERT INTO `car_region` VALUES ('3457', '郊区(G3以北)', '1114', '2');
INSERT INTO `car_region` VALUES ('3458', '狮子山区(市区内)', '1114', '2');
INSERT INTO `car_region` VALUES ('3459', '铜官山区(长江以东)', '1114', '2');
INSERT INTO `car_region` VALUES ('3460', '郊　区', '1140', '2');
INSERT INTO `car_region` VALUES ('3461', '大观区(S332以东)', '1140', '2');
INSERT INTO `car_region` VALUES ('3462', '迎江区(独秀大道以西)', '1140', '2');
INSERT INTO `car_region` VALUES ('3463', '屯溪区(京台高速以东,麻雀山以西,铁路以南,G56以北)', '1151', '2');
INSERT INTO `car_region` VALUES ('3464', '黄山区', '1151', '2');
INSERT INTO `car_region` VALUES ('3465', '徽州区(黄山路以东,G205以西、南,永佳大道以北)', '1151', '2');
INSERT INTO `car_region` VALUES ('3466', '琅琊区(G104、世纪大道以南)', '1159', '2');
INSERT INTO `car_region` VALUES ('3467', '南谯区', '1159', '2');
INSERT INTO `car_region` VALUES ('3468', '颍州区(淮河路以北,南京路以东,颖州工贸园)', '1167', '2');
INSERT INTO `car_region` VALUES ('3469', '颍东区(铁路以西,颖东路以南)', '1167', '2');
INSERT INTO `car_region` VALUES ('3470', '颍泉区(古泉路以南,南京路以东,颖泉工业园区)', '1167', '2');
INSERT INTO `car_region` VALUES ('3472', '埇桥区(市区,东关,西关,南关,北关)', '1180', '2');
INSERT INTO `car_region` VALUES ('3474', '谯城区(G311以南、银杏路以北、G35以西、G105以东)', '1174', '2');
INSERT INTO `car_region` VALUES ('3475', '贵池区(长江以南,G50以北,杜坞桥以东,棠溪大道以西)', '1201', '2');
INSERT INTO `car_region` VALUES ('3477', '郎溪县', '2971', '2');
INSERT INTO `car_region` VALUES ('3478', '广德县', '2971', '2');
INSERT INTO `car_region` VALUES ('3479', '绩溪县', '2971', '2');
INSERT INTO `car_region` VALUES ('3480', '晋安区(绕城高速路以南,东三环以西)', '1303', '2');
INSERT INTO `car_region` VALUES ('3482', '仓山区(南三环北,西三环东,则徐大道西)', '1303', '2');
INSERT INTO `car_region` VALUES ('3483', '台江区', '1303', '2');
INSERT INTO `car_region` VALUES ('3484', '鼓楼区', '1303', '2');
INSERT INTO `car_region` VALUES ('3485', '海沧区(海沧道东,海新路西,建港路南,新垵北路北)', '1315', '2');
INSERT INTO `car_region` VALUES ('3486', '湖里区', '1315', '2');
INSERT INTO `car_region` VALUES ('3487', '集美区(天马路西,西滨路东,龙船路北,厦漳高速南)', '1315', '2');
INSERT INTO `car_region` VALUES ('3489', '翔安区', '1315', '2');
INSERT INTO `car_region` VALUES ('3490', '城厢区(荔园西大道以南、荔城大道以东)', '1329', '2');
INSERT INTO `car_region` VALUES ('3491', '荔城区(荔园大道以西、少林南街以南)', '1329', '2');
INSERT INTO `car_region` VALUES ('3492', '秀屿区', '1329', '2');
INSERT INTO `car_region` VALUES ('3493', '梅列区(三明大桥以南)', '1317', '2');
INSERT INTO `car_region` VALUES ('3494', '三元区（荆东工业园以北，台江村以东，新泉路以西）', '1317', '2');
INSERT INTO `car_region` VALUES ('3495', '金门县', '1332', '2');
INSERT INTO `car_region` VALUES ('3496', '鲤城区(清濛开发区,漳泉肖铁路以南,南环路以东)', '1332', '2');
INSERT INTO `car_region` VALUES ('3497', '丰泽区(铁路以南,不含宝山、后亭、后渚、新市政府)', '1332', '2');
INSERT INTO `car_region` VALUES ('3498', '洛江区', '1332', '2');
INSERT INTO `car_region` VALUES ('3499', '芗城区', '1341', '2');
INSERT INTO `car_region` VALUES ('3500', '龙文区', '1341', '2');
INSERT INTO `car_region` VALUES ('3501', '新罗区(东宫下以北,东肖政府南,龙门塔西,翠屏路东)', '1362', '2');
INSERT INTO `car_region` VALUES ('3502', '新建县', '1827', '2');
INSERT INTO `car_region` VALUES ('3503', '青山湖区(孔目湖大街以南,昌东大道以西)', '1827', '2');
INSERT INTO `car_region` VALUES ('3504', '湾里区', '1827', '2');
INSERT INTO `car_region` VALUES ('3505', '青云谱区', '1827', '2');
INSERT INTO `car_region` VALUES ('3506', '西湖区', '1827', '2');
INSERT INTO `car_region` VALUES ('3507', '东湖区', '1827', '2');
INSERT INTO `car_region` VALUES ('3508', '珠山区', '1832', '2');
INSERT INTO `car_region` VALUES ('3511', '庐山区(长江大道以东,福银高速以西、以北)', '1845', '2');
INSERT INTO `car_region` VALUES ('3512', '浔阳区(长虹北路以西)', '1845', '2');
INSERT INTO `car_region` VALUES ('3513', '历城区(二环内)', '1000', '2');
INSERT INTO `car_region` VALUES ('3514', '天桥区(二环内)', '1000', '2');
INSERT INTO `car_region` VALUES ('3515', '槐荫区(二环内)', '1000', '2');
INSERT INTO `car_region` VALUES ('3516', '历下区(二环内)', '1000', '2');
INSERT INTO `car_region` VALUES ('3517', '市中区(二环内)', '1000', '2');
INSERT INTO `car_region` VALUES ('3519', '四方区', '1007', '2');
INSERT INTO `car_region` VALUES ('3520', '市北区', '1007', '2');
INSERT INTO `car_region` VALUES ('3521', '市南区', '1007', '2');
INSERT INTO `car_region` VALUES ('3522', '山亭区', '1022', '2');
INSERT INTO `car_region` VALUES ('3523', '台儿庄区', '1022', '2');
INSERT INTO `car_region` VALUES ('3524', '峄城区', '1022', '2');
INSERT INTO `car_region` VALUES ('3525', '薛城区', '1022', '2');
INSERT INTO `car_region` VALUES ('3526', '市中区', '1022', '2');
INSERT INTO `car_region` VALUES ('3527', '福山区（回里镇，张各庄镇，门楼镇以外）', '1042', '2');
INSERT INTO `car_region` VALUES ('3528', '莱山区', '1042', '2');
INSERT INTO `car_region` VALUES ('3529', '奎文区(青银高速以北,宝通街以南,潍县中路以东)', '1032', '2');
INSERT INTO `car_region` VALUES ('3530', '坊子区', '1032', '2');
INSERT INTO `car_region` VALUES ('3531', '寒亭区（海龙路东，东环路以西，舜王路以南）', '1032', '2');
INSERT INTO `car_region` VALUES ('3532', '潍城区(月河路以西)', '1032', '2');
INSERT INTO `car_region` VALUES ('3533', '任城区', '2900', '2');
INSERT INTO `car_region` VALUES ('3534', '市中区(车站路东,济安桥路西,常青路北,车站路南)', '2900', '2');
INSERT INTO `car_region` VALUES ('3535', '宁阳县', '1112', '2');
INSERT INTO `car_region` VALUES ('3537', '岱岳区(环山路以北,泮河路以南)', '1112', '2');
INSERT INTO `car_region` VALUES ('3538', '泰山区(泰明路以东,大河路以西)', '1112', '2');
INSERT INTO `car_region` VALUES ('3539', '钢城区', '1058', '2');
INSERT INTO `car_region` VALUES ('3540', '罗庄区', '1072', '2');
INSERT INTO `car_region` VALUES ('3541', '兰山区(外环路以西,青年路以北)', '1072', '2');
INSERT INTO `car_region` VALUES ('3542', '德城区', '1060', '2');
INSERT INTO `car_region` VALUES ('3543', '牡丹区', '1099', '2');
INSERT INTO `car_region` VALUES ('3544', '惠济区', '412', '2');
INSERT INTO `car_region` VALUES ('3545', '金水区', '412', '2');
INSERT INTO `car_region` VALUES ('3546', '管城回族区', '412', '2');
INSERT INTO `car_region` VALUES ('3547', '二七区', '412', '2');
INSERT INTO `car_region` VALUES ('3548', '中原区', '412', '2');
INSERT INTO `car_region` VALUES ('3549', '金明区(市区内)', '420', '2');
INSERT INTO `car_region` VALUES ('3550', '禹王台区(市区内)', '420', '2');
INSERT INTO `car_region` VALUES ('3551', '顺河回族区(市区内)', '420', '2');
INSERT INTO `car_region` VALUES ('3552', '龙亭区(市区内)', '420', '2');
INSERT INTO `car_region` VALUES ('3553', '鼓楼区(市区内)', '420', '2');
INSERT INTO `car_region` VALUES ('3554', '洛龙区(龙门大道以西,关林路以北,瀛洲路以东)', '427', '2');
INSERT INTO `car_region` VALUES ('3555', '吉利区', '427', '2');
INSERT INTO `car_region` VALUES ('3556', '涧西区', '427', '2');
INSERT INTO `car_region` VALUES ('3557', '瀍河回族区', '427', '2');
INSERT INTO `car_region` VALUES ('3558', '老城区', '427', '2');
INSERT INTO `car_region` VALUES ('3559', '西工区', '427', '2');
INSERT INTO `car_region` VALUES ('3560', '石龙区', '438', '2');
INSERT INTO `car_region` VALUES ('3561', '湛河区（环路内）', '438', '2');
INSERT INTO `car_region` VALUES ('3562', '卫东区（环路内）', '438', '2');
INSERT INTO `car_region` VALUES ('3563', '新华区（环路内及新城区大学城、市政府）', '438', '2');
INSERT INTO `car_region` VALUES ('3564', '马村区（银河大道以西）', '446', '2');
INSERT INTO `car_region` VALUES ('3565', '中站区(晋新高速公路以东）', '446', '2');
INSERT INTO `car_region` VALUES ('3566', '解放区', '446', '2');
INSERT INTO `car_region` VALUES ('3567', '山城区', '454', '2');
INSERT INTO `car_region` VALUES ('3568', '淇滨区(京广线以东，京港澳高速以西城区)', '454', '2');
INSERT INTO `car_region` VALUES ('3569', '牧野区(外环以内)', '458', '2');
INSERT INTO `car_region` VALUES ('3570', '凤泉区', '458', '2');
INSERT INTO `car_region` VALUES ('3571', '红旗区(外环以内)', '458', '2');
INSERT INTO `car_region` VALUES ('3572', '卫滨区(外环以内)', '458', '2');
INSERT INTO `car_region` VALUES ('3573', '殷都区（邺城大道以南,华祥路以东）', '468', '2');
INSERT INTO `car_region` VALUES ('3574', '文峰区（光明路以西，长江大道以北）', '468', '2');
INSERT INTO `car_region` VALUES ('3575', '北关区（邺城大道以南）', '468', '2');
INSERT INTO `car_region` VALUES ('3576', '源汇区', '489', '2');
INSERT INTO `car_region` VALUES ('3577', '宛城区(滨河东路以西,长江路以北)', '502', '2');
INSERT INTO `car_region` VALUES ('3578', '梁园区（市区内）', '517', '2');
INSERT INTO `car_region` VALUES ('3579', '浉河区(市区内)', '549', '2');
INSERT INTO `car_region` VALUES ('3580', '川汇区(环路沿线内）', '527', '2');
INSERT INTO `car_region` VALUES ('3581', '驿城区(市区内)', '538', '2');
INSERT INTO `car_region` VALUES ('3582', '江汉区', '1381', '2');
INSERT INTO `car_region` VALUES ('3583', '硚口区', '1381', '2');
INSERT INTO `car_region` VALUES ('3584', '汉阳区(三环之内)', '1381', '2');
INSERT INTO `car_region` VALUES ('3585', '青山区(三环之内)', '1381', '2');
INSERT INTO `car_region` VALUES ('3586', '洪山区(三环之内)', '1381', '2');
INSERT INTO `car_region` VALUES ('3587', '东西湖区(环湖中路以南,京珠高速以东)', '1381', '2');
INSERT INTO `car_region` VALUES ('3588', '汉南区(纱帽街城区)', '1381', '2');
INSERT INTO `car_region` VALUES ('3589', '襄州区(邓城大道/钻石大道以南,园林路以西)', '1396', '2');
INSERT INTO `car_region` VALUES ('3590', '樊城区(邓城大道以南,汉江路以东)', '1396', '2');
INSERT INTO `car_region` VALUES ('3591', '襄城区(环城路以内)', '1396', '2');
INSERT INTO `car_region` VALUES ('3592', '张湾区(车城路以东,广东路东环路以南)', '1405', '2');
INSERT INTO `car_region` VALUES ('3593', '沙市区', '1413', '2');
INSERT INTO `car_region` VALUES ('3594', '宜都市', '1421', '2');
INSERT INTO `car_region` VALUES ('3595', '猇亭区', '1421', '2');
INSERT INTO `car_region` VALUES ('3596', '点军区', '1421', '2');
INSERT INTO `car_region` VALUES ('3597', '伍家岗区', '1421', '2');
INSERT INTO `car_region` VALUES ('3598', '西陵区', '1421', '2');
INSERT INTO `car_region` VALUES ('3599', '掇刀区', '1477', '2');
INSERT INTO `car_region` VALUES ('3600', '东宝区', '1477', '2');
INSERT INTO `car_region` VALUES ('3601', '梁子湖区', '1475', '2');
INSERT INTO `car_region` VALUES ('3602', '华容区', '1475', '2');
INSERT INTO `car_region` VALUES ('3603', '黄州区(市区内)', '1441', '2');
INSERT INTO `car_region` VALUES ('3604', '开福区(北二环以南)', '1482', '2');
INSERT INTO `car_region` VALUES ('3605', '天心区(时代阳光大道以北)', '1482', '2');
INSERT INTO `car_region` VALUES ('3606', '芙蓉区', '1482', '2');
INSERT INTO `car_region` VALUES ('3607', '岳麓区(二环以内,麓谷)', '1482', '2');
INSERT INTO `car_region` VALUES ('3608', '石峰区(响田路以南)', '1488', '2');
INSERT INTO `car_region` VALUES ('3609', '芦淞区(南环路以北)', '1488', '2');
INSERT INTO `car_region` VALUES ('3610', '荷塘区(红旗路以西)', '1488', '2');
INSERT INTO `car_region` VALUES ('3611', '雨湖区(二环以内,农高路以东,湘潭大学,湖南科技大学)', '1495', '2');
INSERT INTO `car_region` VALUES ('3612', '岳塘区(吉安路以西)', '1495', '2');
INSERT INTO `car_region` VALUES ('3613', '蒸湘区(市区内)', '1501', '2');
INSERT INTO `car_region` VALUES ('3614', '石鼓区(蒸水以南)', '1501', '2');
INSERT INTO `car_region` VALUES ('3615', '珠晖区(京广铁路以西,市区内)', '1501', '2');
INSERT INTO `car_region` VALUES ('3616', '雁峰区(湘桂铁路以北,市区内)', '1501', '2');
INSERT INTO `car_region` VALUES ('3617', '大祥区（湘桂黔铁路以北，七里坪）', '1511', '2');
INSERT INTO `car_region` VALUES ('3618', '双清区（湘桂黔铁路以西市区内）', '1511', '2');
INSERT INTO `car_region` VALUES ('3619', '君山区', '1522', '2');
INSERT INTO `car_region` VALUES ('3620', '云溪区', '1522', '2');
INSERT INTO `car_region` VALUES ('3621', '武陵区(市区内)', '1530', '2');
INSERT INTO `car_region` VALUES ('3622', '永定区', '1540', '2');
INSERT INTO `car_region` VALUES ('3623', '赫山区（市区内）', '1555', '2');
INSERT INTO `car_region` VALUES ('3624', '北湖区（七里大道以东，市区内）', '1544', '2');
INSERT INTO `car_region` VALUES ('3625', '鹤城区（市区内）', '1574', '2');
INSERT INTO `car_region` VALUES ('3626', '中方县', '1574', '2');
INSERT INTO `car_region` VALUES ('3627', '娄星区（娄星城区）', '1586', '2');
INSERT INTO `car_region` VALUES ('3628', '浑南新区(三环外)', '560', '2');
INSERT INTO `car_region` VALUES ('3630', '未央区(三环以内)', '2376', '2');
INSERT INTO `car_region` VALUES ('3633', '天河区', '1601', '2');
INSERT INTO `car_region` VALUES ('3634', '海珠区', '1601', '2');
INSERT INTO `car_region` VALUES ('3635', '荔湾区', '1601', '2');
INSERT INTO `car_region` VALUES ('3637', '越秀区', '1601', '2');
INSERT INTO `car_region` VALUES ('3638', '罗湖区', '1607', '2');
INSERT INTO `car_region` VALUES ('3639', '福田区', '1607', '2');
INSERT INTO `car_region` VALUES ('3640', '斗门区（斗门镇、六乡镇、莲洲镇）', '1609', '2');
INSERT INTO `car_region` VALUES ('3641', '金湾区（红旗镇、三灶镇、小林镇、平沙镇中心）', '1609', '2');
INSERT INTO `car_region` VALUES ('3642', '龙湖区(外充公、新溪、渔洲、旦家园)', '1611', '2');
INSERT INTO `car_region` VALUES ('3643', '武江区', '1617', '2');
INSERT INTO `car_region` VALUES ('3644', '浈江区', '1617', '2');
INSERT INTO `car_region` VALUES ('3645', '蓬江区(北环以南、西环以东、中江以北、青年路以北)', '1659', '2');
INSERT INTO `car_region` VALUES ('3646', '坡头区', '1677', '2');
INSERT INTO `car_region` VALUES ('3647', '霞山区(友谊路以北,黎湛铁路以东)', '1677', '2');
INSERT INTO `car_region` VALUES ('3648', '赤坎区(福建村以南、大吨沙以西)', '1677', '2');
INSERT INTO `car_region` VALUES ('3650', '横　县', '1715', '2');
INSERT INTO `car_region` VALUES ('3651', '上林县', '1715', '2');
INSERT INTO `car_region` VALUES ('3652', '隆安县', '1715', '2');
INSERT INTO `car_region` VALUES ('3653', '马山县', '1715', '2');
INSERT INTO `car_region` VALUES ('3654', '良庆区(建设路以北、银沙大道以西)', '1715', '2');
INSERT INTO `car_region` VALUES ('3655', '西乡塘区(环城高速公路内)', '1715', '2');
INSERT INTO `car_region` VALUES ('3656', '江南区(那洪大道以北、沙井大道以东)', '1715', '2');
INSERT INTO `car_region` VALUES ('3657', '兴宁区(环城高速公路内)', '1715', '2');
INSERT INTO `car_region` VALUES ('3658', '青秀区(枫林路、青环路以西)', '1715', '2');
INSERT INTO `car_region` VALUES ('3659', '融安县', '1720', '2');
INSERT INTO `car_region` VALUES ('3660', '三江侗族自治县', '1720', '2');
INSERT INTO `car_region` VALUES ('3661', '融水苗族自治县', '1720', '2');
INSERT INTO `car_region` VALUES ('3662', '柳北区(胜利路以南、河东路以南)', '1720', '2');
INSERT INTO `car_region` VALUES ('3663', '柳南区(柳太路以东、飞鹅路以北)', '1720', '2');
INSERT INTO `car_region` VALUES ('3664', '鱼峰区(柳邕路以东、南环路以北)', '1720', '2');
INSERT INTO `car_region` VALUES ('3665', '城中区(河东路以南、东环路以西)', '1720', '2');
INSERT INTO `car_region` VALUES ('3666', '恭城瑶族自治县', '1726', '2');
INSERT INTO `car_region` VALUES ('3667', '七星区(七星路、普陀路以西，环城南一路以北)', '1726', '2');
INSERT INTO `car_region` VALUES ('3668', '秀峰区(环城西二路以东)', '1726', '2');
INSERT INTO `car_region` VALUES ('3669', '叠彩区(环城北一路、环城北二路以南)', '1726', '2');
INSERT INTO `car_region` VALUES ('3670', '象山区', '1726', '2');
INSERT INTO `car_region` VALUES ('3671', '蝶山区(广东路以南,西提二路以北)', '1740', '2');
INSERT INTO `car_region` VALUES ('3672', '万秀区(钱鉴以北,西江二路以南,白云山以西)', '1740', '2');
INSERT INTO `car_region` VALUES ('3673', '银海区(北铁一级公路以南,银海大道以西)', '1746', '2');
INSERT INTO `car_region` VALUES ('3674', '海城区(北铁一级公路以南)', '1746', '2');
INSERT INTO `car_region` VALUES ('3676', '港南区（江南大道以北，西环路以东）', '1757', '2');
INSERT INTO `car_region` VALUES ('3677', '港北区（新城区路以南，登龙桥路以西）', '1757', '2');
INSERT INTO `car_region` VALUES ('3678', '凌云县', '1806', '2');
INSERT INTO `car_region` VALUES ('3679', '都安县', '1818', '2');
INSERT INTO `car_region` VALUES ('3680', '金城江区', '1818', '2');
INSERT INTO `car_region` VALUES ('3681', '凭祥市', '3168', '2');
INSERT INTO `car_region` VALUES ('3682', '扶绥县', '3168', '2');
INSERT INTO `car_region` VALUES ('3683', '大新县', '3168', '2');
INSERT INTO `car_region` VALUES ('3684', '天等县', '3168', '2');
INSERT INTO `car_region` VALUES ('3685', '宁明县　', '3168', '2');
INSERT INTO `car_region` VALUES ('3686', '龙州县', '3168', '2');
INSERT INTO `car_region` VALUES ('3687', '秀英区(秀英大道/海港路以东,椰海大道以北)', '2121', '2');
INSERT INTO `car_region` VALUES ('3688', '琼山区(凤翔东路/凤翔西路以北)', '2121', '2');
INSERT INTO `car_region` VALUES ('3689', '美兰区(南渡江以西)', '2121', '2');
INSERT INTO `car_region` VALUES ('3690', '三亚市', '23', '1');
INSERT INTO `car_region` VALUES ('3691', '河西区（金鸡岭街以南）', '3690', '2');
INSERT INTO `car_region` VALUES ('3693', '海棠湾镇', '3690', '2');
INSERT INTO `car_region` VALUES ('3694', '田独镇', '3690', '2');
INSERT INTO `car_region` VALUES ('3695', '凤凰镇', '3690', '2');
INSERT INTO `car_region` VALUES ('3696', '天涯镇', '3690', '2');
INSERT INTO `car_region` VALUES ('3697', '育才镇', '3690', '2');
INSERT INTO `car_region` VALUES ('3698', '文昌市', '23', '1');
INSERT INTO `car_region` VALUES ('3699', '五指山市', '23', '1');
INSERT INTO `car_region` VALUES ('3701', '临高县', '23', '1');
INSERT INTO `car_region` VALUES ('3702', '澄迈县', '23', '1');
INSERT INTO `car_region` VALUES ('3703', '定安县', '23', '1');
INSERT INTO `car_region` VALUES ('3704', '屯昌县', '23', '1');
INSERT INTO `car_region` VALUES ('3705', '昌江县', '23', '1');
INSERT INTO `car_region` VALUES ('3706', '白沙县', '23', '1');
INSERT INTO `car_region` VALUES ('3707', '琼中县', '23', '1');
INSERT INTO `car_region` VALUES ('3708', '陵水县', '23', '1');
INSERT INTO `car_region` VALUES ('3709', '保亭县', '23', '1');
INSERT INTO `car_region` VALUES ('3710', '乐东县', '23', '1');
INSERT INTO `car_region` VALUES ('3711', '三沙市', '23', '1');
INSERT INTO `car_region` VALUES ('3712', '通什镇', '3699', '2');
INSERT INTO `car_region` VALUES ('3713', '南圣镇', '3699', '2');
INSERT INTO `car_region` VALUES ('3714', '毛阳镇', '3699', '2');
INSERT INTO `car_region` VALUES ('3715', '番阳镇', '3699', '2');
INSERT INTO `car_region` VALUES ('3716', '畅好乡', '3699', '2');
INSERT INTO `car_region` VALUES ('3717', '毛道乡', '3699', '2');
INSERT INTO `car_region` VALUES ('3718', '荥阳市', '412', '2');
INSERT INTO `car_region` VALUES ('3719', '水满乡', '3699', '2');
INSERT INTO `car_region` VALUES ('3720', '嘉积镇', '3115', '2');
INSERT INTO `car_region` VALUES ('3721', '万泉镇', '3115', '2');
INSERT INTO `car_region` VALUES ('3722', '石壁镇', '3115', '2');
INSERT INTO `car_region` VALUES ('3723', '中原镇', '3115', '2');
INSERT INTO `car_region` VALUES ('3724', '博鳌镇', '3115', '2');
INSERT INTO `car_region` VALUES ('3725', '阳江镇', '3115', '2');
INSERT INTO `car_region` VALUES ('3727', '龙江镇', '3115', '2');
INSERT INTO `car_region` VALUES ('3728', '潭门镇', '3115', '2');
INSERT INTO `car_region` VALUES ('3729', '塔洋镇', '3115', '2');
INSERT INTO `car_region` VALUES ('3730', '长坡镇', '3115', '2');
INSERT INTO `car_region` VALUES ('3731', '大路镇', '3115', '2');
INSERT INTO `car_region` VALUES ('3732', '会山镇', '3115', '2');
INSERT INTO `car_region` VALUES ('3733', '和庆镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3734', '南丰镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3735', '大成镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3736', '雅星镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3737', '兰洋镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3738', '光村镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3739', '木棠镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3740', '海头镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3741', '峨蔓镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3742', '高新区', '988', '2');
INSERT INTO `car_region` VALUES ('3743', '沙溪镇', '1657', '2');
INSERT INTO `car_region` VALUES ('3744', '三都镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3745', '王五镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3746', '白马井镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3747', '中和镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3748', '排浦镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3749', '东成镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3750', '新州镇', '3034', '2');
INSERT INTO `car_region` VALUES ('3751', '洋浦经济开发区', '3034', '2');
INSERT INTO `car_region` VALUES ('3752', '文城镇', '3698', '2');
INSERT INTO `car_region` VALUES ('3753', '重兴镇', '3698', '2');
INSERT INTO `car_region` VALUES ('3754', '蓬莱镇', '3698', '2');
INSERT INTO `car_region` VALUES ('3755', '会文镇', '3698', '2');
INSERT INTO `car_region` VALUES ('3756', '东路镇', '3698', '2');
INSERT INTO `car_region` VALUES ('3757', '潭牛镇', '3698', '2');
INSERT INTO `car_region` VALUES ('3758', '东阁镇', '3698', '2');
INSERT INTO `car_region` VALUES ('3759', '文教镇', '3698', '2');
INSERT INTO `car_region` VALUES ('3760', '东郊镇', '3698', '2');
INSERT INTO `car_region` VALUES ('3761', '龙楼镇', '3698', '2');
INSERT INTO `car_region` VALUES ('3762', '昌洒镇', '3698', '2');
INSERT INTO `car_region` VALUES ('3763', '翁田镇', '3698', '2');
INSERT INTO `car_region` VALUES ('3764', '抱罗镇', '3698', '2');
INSERT INTO `car_region` VALUES ('3765', '冯坡镇', '3698', '2');
INSERT INTO `car_region` VALUES ('3766', '锦山镇', '3698', '2');
INSERT INTO `car_region` VALUES ('3767', '铺前镇', '3698', '2');
INSERT INTO `car_region` VALUES ('3768', '万城镇', '3137', '2');
INSERT INTO `car_region` VALUES ('3769', '龙滚镇', '3137', '2');
INSERT INTO `car_region` VALUES ('3770', '和乐镇', '3137', '2');
INSERT INTO `car_region` VALUES ('3771', '后安镇', '3137', '2');
INSERT INTO `car_region` VALUES ('3772', '大茂镇', '3137', '2');
INSERT INTO `car_region` VALUES ('3773', '东澳镇', '3137', '2');
INSERT INTO `car_region` VALUES ('3774', '礼纪镇', '3137', '2');
INSERT INTO `car_region` VALUES ('3775', '长丰镇', '3137', '2');
INSERT INTO `car_region` VALUES ('3776', '山根镇', '3137', '2');
INSERT INTO `car_region` VALUES ('3777', '北大镇', '3137', '2');
INSERT INTO `car_region` VALUES ('3778', '南桥镇', '3137', '2');
INSERT INTO `car_region` VALUES ('3779', '三更罗镇', '3137', '2');
INSERT INTO `car_region` VALUES ('3780', '八所镇', '3173', '2');
INSERT INTO `car_region` VALUES ('3781', '东河镇', '3173', '2');
INSERT INTO `car_region` VALUES ('3782', '大田镇', '3173', '2');
INSERT INTO `car_region` VALUES ('3783', '感城镇', '3173', '2');
INSERT INTO `car_region` VALUES ('3784', '板桥镇', '3173', '2');
INSERT INTO `car_region` VALUES ('3785', '三家镇', '3173', '2');
INSERT INTO `car_region` VALUES ('3786', '四更镇', '3173', '2');
INSERT INTO `car_region` VALUES ('3787', '新龙镇', '3173', '2');
INSERT INTO `car_region` VALUES ('3788', '天安乡', '3173', '2');
INSERT INTO `car_region` VALUES ('3789', '江边乡', '3173', '2');
INSERT INTO `car_region` VALUES ('3790', '临城镇', '3701', '2');
INSERT INTO `car_region` VALUES ('3791', '波莲镇', '3701', '2');
INSERT INTO `car_region` VALUES ('3792', '东英镇', '3701', '2');
INSERT INTO `car_region` VALUES ('3793', '博厚镇', '3701', '2');
INSERT INTO `car_region` VALUES ('3794', '皇桐镇', '3701', '2');
INSERT INTO `car_region` VALUES ('3795', '多文镇', '3701', '2');
INSERT INTO `car_region` VALUES ('3796', '和舍镇', '3701', '2');
INSERT INTO `car_region` VALUES ('3797', '南宝镇', '3701', '2');
INSERT INTO `car_region` VALUES ('3798', '新盈镇', '3701', '2');
INSERT INTO `car_region` VALUES ('3799', '调楼镇', '3701', '2');
INSERT INTO `car_region` VALUES ('3800', '加来镇', '3701', '2');
INSERT INTO `car_region` VALUES ('3801', '金江镇', '3702', '2');
INSERT INTO `car_region` VALUES ('3802', '老城镇', '3702', '2');
INSERT INTO `car_region` VALUES ('3803', '瑞溪镇', '3702', '2');
INSERT INTO `car_region` VALUES ('3804', '永发镇', '3702', '2');
INSERT INTO `car_region` VALUES ('3805', '加乐镇', '3702', '2');
INSERT INTO `car_region` VALUES ('3806', '文儒镇', '3702', '2');
INSERT INTO `car_region` VALUES ('3807', '中兴镇', '3702', '2');
INSERT INTO `car_region` VALUES ('3808', '仁兴镇', '3702', '2');
INSERT INTO `car_region` VALUES ('3809', '福山镇', '3702', '2');
INSERT INTO `car_region` VALUES ('3810', '桥头镇', '3702', '2');
INSERT INTO `car_region` VALUES ('3811', '定城镇', '3703', '2');
INSERT INTO `car_region` VALUES ('3812', '新竹镇', '3703', '2');
INSERT INTO `car_region` VALUES ('3813', '龙湖镇', '3703', '2');
INSERT INTO `car_region` VALUES ('3814', '雷鸣镇', '3703', '2');
INSERT INTO `car_region` VALUES ('3815', '龙门镇', '3703', '2');
INSERT INTO `car_region` VALUES ('3816', '龙河镇', '3703', '2');
INSERT INTO `car_region` VALUES ('3817', '岭口镇', '3703', '2');
INSERT INTO `car_region` VALUES ('3818', '翰林镇', '3703', '2');
INSERT INTO `car_region` VALUES ('3819', '富文镇', '3703', '2');
INSERT INTO `car_region` VALUES ('3820', '屯城镇', '3704', '2');
INSERT INTO `car_region` VALUES ('3821', '新兴镇', '3704', '2');
INSERT INTO `car_region` VALUES ('3822', '枫木镇', '3704', '2');
INSERT INTO `car_region` VALUES ('3823', '乌坡镇', '3704', '2');
INSERT INTO `car_region` VALUES ('3824', '南吕镇', '3704', '2');
INSERT INTO `car_region` VALUES ('3825', '南坤镇', '3704', '2');
INSERT INTO `car_region` VALUES ('3826', '坡心镇', '3704', '2');
INSERT INTO `car_region` VALUES ('3827', '西昌镇', '3704', '2');
INSERT INTO `car_region` VALUES ('3828', '石碌镇', '3705', '2');
INSERT INTO `car_region` VALUES ('3829', '叉河镇', '3705', '2');
INSERT INTO `car_region` VALUES ('3830', '十月田镇', '3705', '2');
INSERT INTO `car_region` VALUES ('3831', '乌烈镇', '3705', '2');
INSERT INTO `car_region` VALUES ('3832', '昌化镇', '3705', '2');
INSERT INTO `car_region` VALUES ('3833', '海尾镇', '3705', '2');
INSERT INTO `car_region` VALUES ('3834', '牙叉镇', '3706', '2');
INSERT INTO `car_region` VALUES ('3835', '七坊镇', '3706', '2');
INSERT INTO `car_region` VALUES ('3836', '邦溪镇', '3706', '2');
INSERT INTO `car_region` VALUES ('3837', '打安镇', '3706', '2');
INSERT INTO `car_region` VALUES ('3838', '细水乡', '3706', '2');
INSERT INTO `car_region` VALUES ('3839', '元门乡', '3706', '2');
INSERT INTO `car_region` VALUES ('3840', '南开乡', '3706', '2');
INSERT INTO `car_region` VALUES ('3841', '阜龙乡', '3706', '2');
INSERT INTO `car_region` VALUES ('3842', '青松乡', '3706', '2');
INSERT INTO `car_region` VALUES ('3843', '金波乡', '3706', '2');
INSERT INTO `car_region` VALUES ('3844', '荣邦乡', '3706', '2');
INSERT INTO `car_region` VALUES ('3845', '抱由镇', '3710', '2');
INSERT INTO `car_region` VALUES ('3846', '万冲镇', '3710', '2');
INSERT INTO `car_region` VALUES ('3847', '大安镇', '3710', '2');
INSERT INTO `car_region` VALUES ('3848', '吉大区', '1609', '2');
INSERT INTO `car_region` VALUES ('3849', '志仲镇', '3710', '2');
INSERT INTO `car_region` VALUES ('3850', '拱北区', '1609', '2');
INSERT INTO `car_region` VALUES ('3851', '千家镇', '3710', '2');
INSERT INTO `car_region` VALUES ('3852', '九所镇', '3710', '2');
INSERT INTO `car_region` VALUES ('3853', '利国镇', '3710', '2');
INSERT INTO `car_region` VALUES ('3854', '黄流镇', '3710', '2');
INSERT INTO `car_region` VALUES ('3855', '佛罗镇', '3710', '2');
INSERT INTO `car_region` VALUES ('3856', '尖峰镇', '3710', '2');
INSERT INTO `car_region` VALUES ('3857', '莺歌海镇', '3710', '2');
INSERT INTO `car_region` VALUES ('3858', '椰林镇', '3708', '2');
INSERT INTO `car_region` VALUES ('3859', '光坡镇', '3708', '2');
INSERT INTO `car_region` VALUES ('3860', '三才镇', '3708', '2');
INSERT INTO `car_region` VALUES ('3861', '英州镇', '3708', '2');
INSERT INTO `car_region` VALUES ('3862', '隆广镇', '3708', '2');
INSERT INTO `car_region` VALUES ('3863', '文罗镇', '3708', '2');
INSERT INTO `car_region` VALUES ('3864', '本号镇', '3708', '2');
INSERT INTO `car_region` VALUES ('3865', '新村镇', '3708', '2');
INSERT INTO `car_region` VALUES ('3866', '黎安镇', '3708', '2');
INSERT INTO `car_region` VALUES ('3867', '提蒙乡', '3708', '2');
INSERT INTO `car_region` VALUES ('3868', '群英乡', '3708', '2');
INSERT INTO `car_region` VALUES ('3869', '保城镇', '3709', '2');
INSERT INTO `car_region` VALUES ('3870', '什玲镇', '3709', '2');
INSERT INTO `car_region` VALUES ('3871', '加茂镇', '3709', '2');
INSERT INTO `car_region` VALUES ('3872', '响水镇', '3709', '2');
INSERT INTO `car_region` VALUES ('3873', '新政镇', '3709', '2');
INSERT INTO `car_region` VALUES ('3874', '三道镇', '3709', '2');
INSERT INTO `car_region` VALUES ('3875', '六弓乡', '3709', '2');
INSERT INTO `car_region` VALUES ('3876', '南林乡', '3709', '2');
INSERT INTO `car_region` VALUES ('3877', '毛感乡', '3709', '2');
INSERT INTO `car_region` VALUES ('3878', '营根镇', '3707', '2');
INSERT INTO `car_region` VALUES ('3879', '湾岭镇', '3707', '2');
INSERT INTO `car_region` VALUES ('3880', '黎母山镇', '3707', '2');
INSERT INTO `car_region` VALUES ('3881', '和平镇', '3707', '2');
INSERT INTO `car_region` VALUES ('3882', '长征镇', '3707', '2');
INSERT INTO `car_region` VALUES ('3883', '红毛镇', '3707', '2');
INSERT INTO `car_region` VALUES ('3884', '中平镇', '3707', '2');
INSERT INTO `car_region` VALUES ('3885', '上安乡', '3707', '2');
INSERT INTO `car_region` VALUES ('3886', '什运乡', '3707', '2');
INSERT INTO `car_region` VALUES ('3887', '西沙群岛', '3711', '2');
INSERT INTO `car_region` VALUES ('3888', '南沙群岛', '3711', '2');
INSERT INTO `car_region` VALUES ('3889', '锦江区(三环以内)', '1930', '2');
INSERT INTO `car_region` VALUES ('3890', '金牛区(三环以内)', '1930', '2');
INSERT INTO `car_region` VALUES ('3891', '武侯区(三环以内)', '1930', '2');
INSERT INTO `car_region` VALUES ('3892', '成华区(三环以内)', '1930', '2');
INSERT INTO `car_region` VALUES ('3893', '大安区(城区以外)', '1946', '2');
INSERT INTO `car_region` VALUES ('3894', '贡井区(城区以外)', '1946', '2');
INSERT INTO `car_region` VALUES ('3895', '沿滩区', '1946', '2');
INSERT INTO `car_region` VALUES ('3896', '西　区', '1950', '2');
INSERT INTO `car_region` VALUES ('3897', '东　区(主城区外区域)', '1950', '2');
INSERT INTO `car_region` VALUES ('3898', '纳溪区', '1954', '2');
INSERT INTO `car_region` VALUES ('3899', '龙马潭区(龙马大道以北,沱江三桥以西)', '1954', '2');
INSERT INTO `car_region` VALUES ('3900', '游仙区(二环以外)', '1960', '2');
INSERT INTO `car_region` VALUES ('3901', '元坝区', '1977', '2');
INSERT INTO `car_region` VALUES ('3902', '朝天区', '1977', '2');
INSERT INTO `car_region` VALUES ('3904', '巴州区', '2042', '2');
INSERT INTO `car_region` VALUES ('3905', '雁江区', '2065', '2');
INSERT INTO `car_region` VALUES ('3906', '南明区', '2144', '2');
INSERT INTO `car_region` VALUES ('3907', '云岩区(三桥综合批发市场以东)', '2144', '2');
INSERT INTO `car_region` VALUES ('3908', '花溪区(花溪大道南段以西,新区大道以北,甲秀南路以东)', '2144', '2');
INSERT INTO `car_region` VALUES ('3909', '白云区', '2144', '2');
INSERT INTO `car_region` VALUES ('3910', '小河区(桐荫路以西,西南环路以北,花溪大道中段以东)', '2144', '2');
INSERT INTO `car_region` VALUES ('3911', '汇川区(主城区)', '2155', '2');
INSERT INTO `car_region` VALUES ('3912', '五华区', '2235', '2');
INSERT INTO `car_region` VALUES ('3913', '官渡区', '2235', '2');
INSERT INTO `car_region` VALUES ('3914', '西山区', '2235', '2');
INSERT INTO `car_region` VALUES ('3915', '双江县', '2291', '2');
INSERT INTO `car_region` VALUES ('3916', '沧源县', '2291', '2');
INSERT INTO `car_region` VALUES ('3917', '姚安县', '2336', '2');
INSERT INTO `car_region` VALUES ('3918', '当雄县', '2951', '2');
INSERT INTO `car_region` VALUES ('3919', '尼木县', '2951', '2');
INSERT INTO `car_region` VALUES ('3920', '曲水县', '2951', '2');
INSERT INTO `car_region` VALUES ('3921', '堆龙德庆县', '2951', '2');
INSERT INTO `car_region` VALUES ('3922', '达孜县', '2951', '2');
INSERT INTO `car_region` VALUES ('3923', '墨竹工卡县', '2951', '2');
INSERT INTO `car_region` VALUES ('3924', '江达县', '3138', '2');
INSERT INTO `car_region` VALUES ('3925', '贡觉县', '3138', '2');
INSERT INTO `car_region` VALUES ('3926', '类乌齐县', '3138', '2');
INSERT INTO `car_region` VALUES ('3927', '丁青县', '3138', '2');
INSERT INTO `car_region` VALUES ('3928', '察雅县', '3138', '2');
INSERT INTO `car_region` VALUES ('3929', '八宿县', '3138', '2');
INSERT INTO `car_region` VALUES ('3930', '左贡县', '3138', '2');
INSERT INTO `car_region` VALUES ('3931', '芒康县', '3138', '2');
INSERT INTO `car_region` VALUES ('3932', '洛隆县', '3138', '2');
INSERT INTO `car_region` VALUES ('3933', '边坝县', '3138', '2');
INSERT INTO `car_region` VALUES ('3934', '扎囊县', '3129', '2');
INSERT INTO `car_region` VALUES ('3935', '乃东县', '3129', '2');
INSERT INTO `car_region` VALUES ('3936', '桑日县', '3129', '2');
INSERT INTO `car_region` VALUES ('3937', '琼结县', '3129', '2');
INSERT INTO `car_region` VALUES ('3938', '曲松县', '3129', '2');
INSERT INTO `car_region` VALUES ('3939', '措美县', '3129', '2');
INSERT INTO `car_region` VALUES ('3940', '洛扎县', '3129', '2');
INSERT INTO `car_region` VALUES ('3941', '加查县', '3129', '2');
INSERT INTO `car_region` VALUES ('3942', '隆子县', '3129', '2');
INSERT INTO `car_region` VALUES ('3943', '错那县', '3129', '2');
INSERT INTO `car_region` VALUES ('3944', '浪卡子县', '3129', '2');
INSERT INTO `car_region` VALUES ('3945', '日喀则市', '3144', '2');
INSERT INTO `car_region` VALUES ('3946', '南木林县', '3144', '2');
INSERT INTO `car_region` VALUES ('3947', '江孜县', '3144', '2');
INSERT INTO `car_region` VALUES ('3948', '定日县', '3144', '2');
INSERT INTO `car_region` VALUES ('3949', '萨迦县　', '3144', '2');
INSERT INTO `car_region` VALUES ('3950', '拉孜县', '3144', '2');
INSERT INTO `car_region` VALUES ('3951', '谢通门县', '3144', '2');
INSERT INTO `car_region` VALUES ('3952', '白朗县', '3144', '2');
INSERT INTO `car_region` VALUES ('3953', '仁布县', '3144', '2');
INSERT INTO `car_region` VALUES ('3954', '康马县', '3144', '2');
INSERT INTO `car_region` VALUES ('3955', '定结县', '3144', '2');
INSERT INTO `car_region` VALUES ('3956', '仲巴县', '3144', '2');
INSERT INTO `car_region` VALUES ('3957', '亚东县', '3144', '2');
INSERT INTO `car_region` VALUES ('3958', '吉隆县', '3144', '2');
INSERT INTO `car_region` VALUES ('3959', '萨嘎县', '3144', '2');
INSERT INTO `car_region` VALUES ('3960', '岗巴县', '3144', '2');
INSERT INTO `car_region` VALUES ('3961', '那曲县', '3107', '2');
INSERT INTO `car_region` VALUES ('3962', '嘉黎县', '3107', '2');
INSERT INTO `car_region` VALUES ('3963', '比如县', '3107', '2');
INSERT INTO `car_region` VALUES ('3964', '聂荣县', '3107', '2');
INSERT INTO `car_region` VALUES ('3965', '安多县', '3107', '2');
INSERT INTO `car_region` VALUES ('3966', '申扎县', '3107', '2');
INSERT INTO `car_region` VALUES ('3967', '班戈县', '3107', '2');
INSERT INTO `car_region` VALUES ('3968', '巴青县', '3107', '2');
INSERT INTO `car_region` VALUES ('3969', '尼玛县', '3107', '2');
INSERT INTO `car_region` VALUES ('3970', '阿里地区', '26', '1');
INSERT INTO `car_region` VALUES ('3971', '林芝地区', '26', '1');
INSERT INTO `car_region` VALUES ('3972', '噶尔县', '3970', '2');
INSERT INTO `car_region` VALUES ('3973', '普兰县', '3970', '2');
INSERT INTO `car_region` VALUES ('3974', '札达县　', '3970', '2');
INSERT INTO `car_region` VALUES ('3975', '日土县', '3970', '2');
INSERT INTO `car_region` VALUES ('3976', '革吉县', '3970', '2');
INSERT INTO `car_region` VALUES ('3977', '改则县', '3970', '2');
INSERT INTO `car_region` VALUES ('3978', '措勤县', '3970', '2');
INSERT INTO `car_region` VALUES ('3979', '林芝县', '3971', '2');
INSERT INTO `car_region` VALUES ('3980', '工布江达县', '3971', '2');
INSERT INTO `car_region` VALUES ('3981', '米林县', '3971', '2');
INSERT INTO `car_region` VALUES ('3982', '墨脱县', '3971', '2');
INSERT INTO `car_region` VALUES ('3983', '波密县', '3971', '2');
INSERT INTO `car_region` VALUES ('3984', '察隅县', '3971', '2');
INSERT INTO `car_region` VALUES ('3985', '朗县', '3971', '2');
INSERT INTO `car_region` VALUES ('3986', '碑林区(长安路以西)', '2376', '2');
INSERT INTO `car_region` VALUES ('3987', '新城区(华清路-环城北路以北)', '2376', '2');
INSERT INTO `car_region` VALUES ('3988', '莲湖区(三环以内)', '2376', '2');
INSERT INTO `car_region` VALUES ('3989', '耀州区', '2386', '2');
INSERT INTO `car_region` VALUES ('3990', '金台区', '2390', '2');
INSERT INTO `car_region` VALUES ('3992', '渭城区(市区以内)', '2402', '2');
INSERT INTO `car_region` VALUES ('3993', '汉滨区', '2476', '2');
INSERT INTO `car_region` VALUES ('3994', '七里河区(武威路以东)', '2487', '2');
INSERT INTO `car_region` VALUES ('3995', '西固区', '2487', '2');
INSERT INTO `car_region` VALUES ('3996', '安宁区(市区范围费家营十字以东)', '2487', '2');
INSERT INTO `car_region` VALUES ('3997', '红古区', '2487', '2');
INSERT INTO `car_region` VALUES ('3998', '静宁县', '2518', '2');
INSERT INTO `car_region` VALUES ('3999', '瓜州县', '2556', '2');
INSERT INTO `car_region` VALUES ('4000', '肃州区', '2556', '2');
INSERT INTO `car_region` VALUES ('4001', '庆城县', '2525', '2');
INSERT INTO `car_region` VALUES ('4002', '安定区', '3080', '2');
INSERT INTO `car_region` VALUES ('4003', '通渭县', '3080', '2');
INSERT INTO `car_region` VALUES ('4004', '临洮县', '3080', '2');
INSERT INTO `car_region` VALUES ('4005', '漳县', '3080', '2');
INSERT INTO `car_region` VALUES ('4006', '渭源县', '3080', '2');
INSERT INTO `car_region` VALUES ('4007', '陇西县', '3080', '2');
INSERT INTO `car_region` VALUES ('4008', '广河县', '2573', '2');
INSERT INTO `car_region` VALUES ('4009', '城东区(湟中路以西,互助路以南,昆仑路以北)', '2580', '2');
INSERT INTO `car_region` VALUES ('4010', '城西区(昆仑路以北,海湖路以东,柴达木路以南)', '2580', '2');
INSERT INTO `car_region` VALUES ('4011', '城北区(门源路以南)', '2580', '2');
INSERT INTO `car_region` VALUES ('4012', '共和县', '2603', '2');
INSERT INTO `car_region` VALUES ('4013', '同德县', '2603', '2');
INSERT INTO `car_region` VALUES ('4014', '贵德县', '2603', '2');
INSERT INTO `car_region` VALUES ('4015', '兴海县', '2603', '2');
INSERT INTO `car_region` VALUES ('4016', '贵南县', '2603', '2');
INSERT INTO `car_region` VALUES ('4017', '兴庆区(主城区以内)', '2628', '2');
INSERT INTO `car_region` VALUES ('4018', '金凤区(主城区以内)', '2628', '2');
INSERT INTO `car_region` VALUES ('4019', '西夏区(主城区以内)', '2628', '2');
INSERT INTO `car_region` VALUES ('4020', '沙坡头区', '3071', '2');
INSERT INTO `car_region` VALUES ('4021', '沙依巴克区(外环路以内)', '2652', '2');
INSERT INTO `car_region` VALUES ('4022', '新市区(苏州路立交桥以内)', '2652', '2');
INSERT INTO `car_region` VALUES ('4023', '水磨沟区(外环路以内)', '2652', '2');
INSERT INTO `car_region` VALUES ('4024', '头屯河区', '2652', '2');
INSERT INTO `car_region` VALUES ('4025', '达坂城区', '2652', '2');
INSERT INTO `car_region` VALUES ('4026', '米东区', '2652', '2');
INSERT INTO `car_region` VALUES ('4027', '乌尔禾区', '2654', '2');
INSERT INTO `car_region` VALUES ('4028', '奎屯市', '2727', '2');
INSERT INTO `car_region` VALUES ('4029', '新区', '984', '2');
INSERT INTO `car_region` VALUES ('4031', '金唐区（金鼎镇、唐家湾镇）', '1609', '2');
INSERT INTO `car_region` VALUES ('4032', '杨家杖子经济开发区', '604', '2');
INSERT INTO `car_region` VALUES ('4033', '红谷滩新区(核心城区)', '1827', '2');
INSERT INTO `car_region` VALUES ('4034', '相山区(濉河路、S202以东)', '1124', '2');
INSERT INTO `car_region` VALUES ('4036', '高新区', '502', '2');
INSERT INTO `car_region` VALUES ('4037', '凤阳县', '14', '1');
INSERT INTO `car_region` VALUES ('4038', '宜宾市区(滨江路以东,火车站以西)', '2005', '2');
INSERT INTO `car_region` VALUES ('4039', '高新区', '1827', '2');
INSERT INTO `car_region` VALUES ('4040', '南沙区(除南沙街道、黄阁外)', '1601', '2');
INSERT INTO `car_region` VALUES ('4042', '五桂山镇', '1657', '2');
INSERT INTO `car_region` VALUES ('4043', '高唐', '1081', '2');
INSERT INTO `car_region` VALUES ('4044', '净月开发区(仅限大学)', '639', '2');
INSERT INTO `car_region` VALUES ('4046', '宣化区', '224', '2');
INSERT INTO `car_region` VALUES ('4075', '安庆市开发区', '1140', '2');
INSERT INTO `car_region` VALUES ('4076', '阜沙镇', '1657', '2');
INSERT INTO `car_region` VALUES ('4078', '荆州区', '1413', '2');
INSERT INTO `car_region` VALUES ('4080', '东升镇', '1657', '2');
INSERT INTO `car_region` VALUES ('4081', '靖边县', '2454', '2');
INSERT INTO `car_region` VALUES ('4086', '古城区（东康小道以南，玉泽东路以北）', '2304', '2');
INSERT INTO `car_region` VALUES ('4087', '谢岗镇', '1655', '2');
INSERT INTO `car_region` VALUES ('4089', '烟台开发区(荣乌高速以东，不含大季家镇)', '1042', '2');
INSERT INTO `car_region` VALUES ('4090', '杨凌区', '2376', '2');
INSERT INTO `car_region` VALUES ('4093', '抚宁县', '248', '2');
INSERT INTO `car_region` VALUES ('4094', '珲春市', '9', '1');
INSERT INTO `car_region` VALUES ('4095', '开发区', '965', '2');
INSERT INTO `car_region` VALUES ('4096', '高新区', '2376', '2');
INSERT INTO `car_region` VALUES ('4097', '开发区', '274', '2');
INSERT INTO `car_region` VALUES ('4100', '高新区(三环以内)', '1930', '2');
INSERT INTO `car_region` VALUES ('4101', '昌北区', '1827', '2');
INSERT INTO `car_region` VALUES ('4102', '板芙镇', '1657', '2');
INSERT INTO `car_region` VALUES ('4103', '洛南新区', '427', '2');
INSERT INTO `car_region` VALUES ('4105', '经济技术开发区', '142', '2');
INSERT INTO `car_region` VALUES ('4108', '迪庆州', '25', '1');
INSERT INTO `car_region` VALUES ('4110', '五家渠市', '31', '1');
INSERT INTO `car_region` VALUES ('4111', '高新区(二环以外)', '1960', '2');
INSERT INTO `car_region` VALUES ('4113', '岚山区', '1108', '2');
INSERT INTO `car_region` VALUES ('4114', '加格达奇区', '793', '2');
INSERT INTO `car_region` VALUES ('4115', '松岭区', '793', '2');
INSERT INTO `car_region` VALUES ('4116', '呼中区', '793', '2');
INSERT INTO `car_region` VALUES ('4119', '凤阳县', '4037', '2');
INSERT INTO `car_region` VALUES ('4122', '五家渠市', '4110', '2');
INSERT INTO `car_region` VALUES ('4123', '珲春市', '4094', '2');
INSERT INTO `car_region` VALUES ('4124', '当涂县', '1139', '2');
INSERT INTO `car_region` VALUES ('4127', '神湾镇', '1657', '2');
INSERT INTO `car_region` VALUES ('4129', '潍坊高新技术开发区（北海路东，潍安路西，宝通街北）', '1032', '2');
INSERT INTO `car_region` VALUES ('4130', '南浔区', '1250', '2');
INSERT INTO `car_region` VALUES ('4131', '高区(世昌大道南,文化西路北,除山大、哈工大威海分校)', '1053', '2');
INSERT INTO `car_region` VALUES ('4132', '上地', '2800', '2');
INSERT INTO `car_region` VALUES ('4134', '西三旗', '2800', '2');
INSERT INTO `car_region` VALUES ('4135', '六环以内', '2901', '2');
INSERT INTO `car_region` VALUES ('4136', '城区', '2901', '2');
INSERT INTO `car_region` VALUES ('4137', '管庄', '72', '2');
INSERT INTO `car_region` VALUES ('4139', '北苑', '72', '2');
INSERT INTO `car_region` VALUES ('4140', '温江区(除主城区以外的区域)', '1930', '2');
INSERT INTO `car_region` VALUES ('4141', '港口镇', '1657', '2');
INSERT INTO `car_region` VALUES ('4144', '经济技术开发区', '1053', '2');
INSERT INTO `car_region` VALUES ('4145', '湛江经济技术开发区(除东海岛)', '1677', '2');
INSERT INTO `car_region` VALUES ('4147', '松山湖', '1655', '2');
INSERT INTO `car_region` VALUES ('4148', '绥芬河市', '757', '2');
INSERT INTO `car_region` VALUES ('4150', '嵩县', '427', '2');
INSERT INTO `car_region` VALUES ('4152', '高新区(南四环至蔚山路以北)', '639', '2');
INSERT INTO `car_region` VALUES ('4158', '平山县', '142', '2');
INSERT INTO `car_region` VALUES ('4159', '申港街道', '2836', '2');
INSERT INTO `car_region` VALUES ('4161', '共青城', '1845', '2');
INSERT INTO `car_region` VALUES ('4162', '高新区', '2390', '2');
INSERT INTO `car_region` VALUES ('4163', '博尔塔拉蒙古自治州阿拉山口口岸', '31', '1');
INSERT INTO `car_region` VALUES ('4164', '城口县', '87', '2');
INSERT INTO `car_region` VALUES ('4171', '阿拉尔市', '2675', '2');
INSERT INTO `car_region` VALUES ('4172', '弋江区', '1127', '2');
INSERT INTO `car_region` VALUES ('4173', '经济技术开发区', '1116', '2');
INSERT INTO `car_region` VALUES ('4175', '五环到六环之间', '2809', '2');
INSERT INTO `car_region` VALUES ('4180', '临港新城', '2836', '2');
INSERT INTO `car_region` VALUES ('4182', '崖城镇', '3690', '2');
INSERT INTO `car_region` VALUES ('4183', '保定市（二环内，乐凯大街东）', '199', '2');
INSERT INTO `car_region` VALUES ('4185', '经济技术开发区（世纪大街以西)', '639', '2');
INSERT INTO `car_region` VALUES ('4186', '宜秀区(济广高速以西,以南)', '1140', '2');
INSERT INTO `car_region` VALUES ('4187', '石景山城区', '2806', '2');
INSERT INTO `car_region` VALUES ('4188', '八大处科技园区', '2806', '2');
INSERT INTO `car_region` VALUES ('4190', '大涌镇', '1657', '2');
INSERT INTO `car_region` VALUES ('4191', '河东区（凤凰路以西、金鸡岭街以南、鹿回头广场以北）', '3690', '2');
INSERT INTO `car_region` VALUES ('4192', '高新技术开发区', '1116', '2');
INSERT INTO `car_region` VALUES ('4194', '四环至五环之间', '2810', '2');
INSERT INTO `car_region` VALUES ('4196', '新市区', '1108', '2');
INSERT INTO `car_region` VALUES ('4197', '高新区', '412', '2');
INSERT INTO `car_region` VALUES ('4198', '仙桃市', '1441', '2');
INSERT INTO `car_region` VALUES ('4203', '清河', '2800', '2');
INSERT INTO `car_region` VALUES ('4205', '六环以外', '2810', '2');
INSERT INTO `car_region` VALUES ('4206', '左提路以东,顺平南线以南,高白路以西,机场北线以北', '2812', '2');
INSERT INTO `car_region` VALUES ('4207', '圆明园西路', '2800', '2');
INSERT INTO `car_region` VALUES ('4208', '农业大学西校区', '2800', '2');
INSERT INTO `car_region` VALUES ('4209', '西二旗', '2800', '2');
INSERT INTO `car_region` VALUES ('4211', '定福庄', '72', '2');
INSERT INTO `car_region` VALUES ('4212', '北京经济技术开发区', '72', '2');
INSERT INTO `car_region` VALUES ('4214', '富克镇', '3034', '2');
INSERT INTO `car_region` VALUES ('4223', '金山桥开发区', '911', '2');
INSERT INTO `car_region` VALUES ('4224', '铜山经济技术开发区', '911', '2');
INSERT INTO `car_region` VALUES ('4225', '郑集镇', '911', '2');
INSERT INTO `car_region` VALUES ('4226', '大吴镇', '911', '2');
INSERT INTO `car_region` VALUES ('4227', '大庙镇', '911', '2');
INSERT INTO `car_region` VALUES ('4228', '八段工业园区', '911', '2');
INSERT INTO `car_region` VALUES ('4229', '柳新镇', '911', '2');
INSERT INTO `car_region` VALUES ('4230', '金阳新区', '2144', '2');
INSERT INTO `car_region` VALUES ('4238', '枫溪区(如意路以南)', '1705', '2');
INSERT INTO `car_region` VALUES ('4242', '增城市(朱村、正果、石滩、中新、派潭、小楼镇)', '1601', '2');
INSERT INTO `car_region` VALUES ('4248', '连云区', '919', '2');
INSERT INTO `car_region` VALUES ('4250', '耒阳市', '18', '1');
INSERT INTO `car_region` VALUES ('4251', '耒阳市', '4250', '2');
INSERT INTO `car_region` VALUES ('4252', '蔡子池区', '4250', '2');
INSERT INTO `car_region` VALUES ('4253', '高新科技开发区', '1158', '2');
INSERT INTO `car_region` VALUES ('4255', '莞城区', '1655', '2');
INSERT INTO `car_region` VALUES ('4256', '南城区', '1655', '2');
INSERT INTO `car_region` VALUES ('4257', '皇姑区(四环外)', '560', '2');
INSERT INTO `car_region` VALUES ('4258', '铁西区(四环外)', '560', '2');
INSERT INTO `car_region` VALUES ('4259', '大东区(三环外)', '560', '2');
INSERT INTO `car_region` VALUES ('4260', '东陵区(三环外)', '560', '2');
INSERT INTO `car_region` VALUES ('4261', '于洪区(三环外)', '560', '2');
INSERT INTO `car_region` VALUES ('4262', '和平区(三环外)', '560', '2');
INSERT INTO `car_region` VALUES ('4264', '江北区(内环高速以外)', '87', '2');
INSERT INTO `car_region` VALUES ('4265', '九龙坡区(内环高速以外)', '87', '2');
INSERT INTO `car_region` VALUES ('4266', '大渡口区(内环高速以外)', '87', '2');
INSERT INTO `car_region` VALUES ('4267', '沙坪坝区(除铁路西站沿线以东及虎溪大学城以外)', '87', '2');
INSERT INTO `car_region` VALUES ('4268', '莲湖区(三环以外)', '2376', '2');
INSERT INTO `car_region` VALUES ('4269', '未央区(三环以外)', '2376', '2');
INSERT INTO `car_region` VALUES ('4270', '灞桥区(绕城以外)', '2376', '2');
INSERT INTO `car_region` VALUES ('4271', '长安区(大学城以外,除067基地)', '2376', '2');
INSERT INTO `car_region` VALUES ('4272', '历下区(二环外)', '1000', '2');
INSERT INTO `car_region` VALUES ('4273', '历城区(二环外)', '1000', '2');
INSERT INTO `car_region` VALUES ('4274', '市中区(二环外)', '1000', '2');
INSERT INTO `car_region` VALUES ('4275', '槐荫区(二环外)', '1000', '2');
INSERT INTO `car_region` VALUES ('4276', '天桥区(二环外)', '1000', '2');
INSERT INTO `car_region` VALUES ('4277', '高新区', '1000', '2');
INSERT INTO `car_region` VALUES ('4278', '青羊区(绕城环线以外)', '1930', '2');
INSERT INTO `car_region` VALUES ('4279', '锦江区(绕城环线以外)', '1930', '2');
INSERT INTO `car_region` VALUES ('4280', '金牛区(绕城环线以外)', '1930', '2');
INSERT INTO `car_region` VALUES ('4281', '武侯区(绕城环线以外)', '1930', '2');
INSERT INTO `car_region` VALUES ('4282', '成华区(绕城环线以外)', '1930', '2');
INSERT INTO `car_region` VALUES ('4283', '高新区(绕城环线以外)', '1930', '2');
INSERT INTO `car_region` VALUES ('4284', '高新西区', '1930', '2');
INSERT INTO `car_region` VALUES ('4285', '下沙区', '1213', '2');
INSERT INTO `car_region` VALUES ('4287', '鄞州区(除鄞州中心区外)', '1158', '2');
INSERT INTO `car_region` VALUES ('4288', '江北区(慈城镇)', '1158', '2');
INSERT INTO `car_region` VALUES ('4291', '崂山区(松岭路以东,株洲路以北)', '1007', '2');
INSERT INTO `car_region` VALUES ('4292', '淮阴区(G25国道以东、宁连公路以西)', '925', '2');
INSERT INTO `car_region` VALUES ('4295', '吴中区（东山镇、西山镇）', '988', '2');
INSERT INTO `car_region` VALUES ('4298', '南岸区(南滨路东,洋人街南,七公里北,内环高速以内)', '87', '2');
INSERT INTO `car_region` VALUES ('4299', '巴南区(岔路口往市区以外)', '87', '2');
INSERT INTO `car_region` VALUES ('4303', '高新区(内环高速以外)', '87', '2');
INSERT INTO `car_region` VALUES ('4304', '南岸区(南滨路西,洋人街北,七公里南,内环高速以外)', '87', '2');
INSERT INTO `car_region` VALUES ('4305', '经济开发区', '925', '2');
INSERT INTO `car_region` VALUES ('4306', '东丽区（外环外）', '83', '2');
INSERT INTO `car_region` VALUES ('4310', '仓山区(南三环南,西三环西,则徐大道东)', '1303', '2');
INSERT INTO `car_region` VALUES ('4311', '晋安区(绕城高速路以北,东三环以东)', '1303', '2');
INSERT INTO `car_region` VALUES ('4312', '雨花区(时代阳光大道以南,万家丽路以东)', '1482', '2');
INSERT INTO `car_region` VALUES ('4314', '天心区(时代阳光大道以南)', '1482', '2');
INSERT INTO `car_region` VALUES ('4315', '开福区(北二环以北)', '1482', '2');
INSERT INTO `car_region` VALUES ('4320', '道里区(三环以外)', '698', '2');
INSERT INTO `car_region` VALUES ('4321', '道外区(三环以外)', '698', '2');
INSERT INTO `car_region` VALUES ('4322', '南岗区(三环以外)', '698', '2');
INSERT INTO `car_region` VALUES ('4326', '鹿城区(金丽温高速公路以西、绕城高速公路以北)', '1233', '2');
INSERT INTO `car_region` VALUES ('4328', '瓯海区(除金丽温高速以东、甬台温高速公路以北以外)', '1233', '2');
INSERT INTO `car_region` VALUES ('4337', '郑东新区', '412', '2');
INSERT INTO `car_region` VALUES ('4340', '清浦区(G25国道以东、宁连公路以西)', '925', '2');
INSERT INTO `car_region` VALUES ('4341', '永嘉县（104国道以北）', '1233', '2');
INSERT INTO `car_region` VALUES ('4342', '温州茶山高教园区', '1233', '2');
INSERT INTO `car_region` VALUES ('4343', '雁塔区', '2376', '2');
INSERT INTO `car_region` VALUES ('4346', '太仓市', '988', '2');
INSERT INTO `car_region` VALUES ('4349', '香洲区（横琴岛新区）', '1609', '2');
INSERT INTO `car_region` VALUES ('4355', '万柏林区(窊流路以西，西峪东街以南，胜利街以北)', '303', '2');
INSERT INTO `car_region` VALUES ('4356', '杏花岭区(胜利街以北，建设路以东)', '303', '2');
INSERT INTO `car_region` VALUES ('4357', '迎泽区(建设路以东)', '303', '2');
INSERT INTO `car_region` VALUES ('4358', '小店区(龙城街以南，建设路/太榆路以东)', '303', '2');
INSERT INTO `car_region` VALUES ('4359', '晋源区(西峪东街以南、新晋祠路以西)', '303', '2');
INSERT INTO `car_region` VALUES ('4360', '崇明岛', '2919', '2');
INSERT INTO `car_region` VALUES ('4361', '长兴岛', '2919', '2');
INSERT INTO `car_region` VALUES ('4362', '横沙岛', '2919', '2');
INSERT INTO `car_region` VALUES ('4364', '郭溪镇', '1233', '2');
INSERT INTO `car_region` VALUES ('4365', '瞿溪镇', '1233', '2');
INSERT INTO `car_region` VALUES ('4366', '潘桥镇', '1233', '2');
INSERT INTO `car_region` VALUES ('4367', '南白象镇', '1233', '2');
INSERT INTO `car_region` VALUES ('4368', '吴江区(桃源镇、震泽镇、七都镇)', '988', '2');
INSERT INTO `car_region` VALUES ('4370', '高新区(南四环至蔚山路以南)', '639', '2');
INSERT INTO `car_region` VALUES ('4371', '绿园区（西环城路以外）', '639', '2');
INSERT INTO `car_region` VALUES ('4372', '宽城区（北环城路至东环城路以外）', '639', '2');
INSERT INTO `car_region` VALUES ('4373', '二道区(北环城路以北)', '639', '2');
INSERT INTO `car_region` VALUES ('4374', '经济技术开发区（世纪大街以东)', '639', '2');
INSERT INTO `car_region` VALUES ('4375', '南关区(南环城路以外)', '639', '2');
INSERT INTO `car_region` VALUES ('4376', '汽车产业开发区（兴顺路创业路西环城路以内）', '639', '2');
INSERT INTO `car_region` VALUES ('4377', '汽车产业开发区（兴顺路创业路西环城路以外）', '639', '2');
INSERT INTO `car_region` VALUES ('4379', '青山湖区(孔目湖大街以北,昌东大道以东)', '1827', '2');
INSERT INTO `car_region` VALUES ('4385', '南通经济技术开发区', '965', '2');
INSERT INTO `car_region` VALUES ('4392', '滨湖区(胡埭镇，马山镇)', '984', '2');
INSERT INTO `car_region` VALUES ('4394', '朝阳区(南环城路蔚山路以南)', '639', '2');
INSERT INTO `car_region` VALUES ('4395', '良渚镇', '1213', '2');
INSERT INTO `car_region` VALUES ('4396', '临平镇', '1213', '2');
INSERT INTO `car_region` VALUES ('4399', '闲林镇', '1213', '2');
INSERT INTO `car_region` VALUES ('4401', '瓶窑镇', '1213', '2');
INSERT INTO `car_region` VALUES ('4403', '乔司镇', '1213', '2');
INSERT INTO `car_region` VALUES ('4412', '长安区(中山路以北,裕华路以南)', '142', '2');
INSERT INTO `car_region` VALUES ('4413', '裕华区(石安高速以东)', '142', '2');
INSERT INTO `car_region` VALUES ('4414', '桥东区(二环外)', '142', '2');
INSERT INTO `car_region` VALUES ('4415', '桥西区(二环外)', '142', '2');
INSERT INTO `car_region` VALUES ('4416', '新华区(二环外)', '142', '2');
INSERT INTO `car_region` VALUES ('4417', '浦口区(宁连高速以外)', '904', '2');
INSERT INTO `car_region` VALUES ('4419', '宁波保税区', '1158', '2');
INSERT INTO `car_region` VALUES ('4420', '北仑区(除宁波保税区和北仑中心城区外)', '1158', '2');
INSERT INTO `car_region` VALUES ('4421', '洪山区(三环之外,除黄家湖大学城区域)', '1381', '2');
INSERT INTO `car_region` VALUES ('4423', '青山区(三环之外)', '1381', '2');
INSERT INTO `car_region` VALUES ('4424', '武汉经济技术开发区', '1381', '2');
INSERT INTO `car_region` VALUES ('4427', '云岩区(三桥综合批发市场以西)', '2144', '2');
INSERT INTO `car_region` VALUES ('4429', '桐乡市', '1243', '2');
INSERT INTO `car_region` VALUES ('4430', '平湖市', '1243', '2');
INSERT INTO `car_region` VALUES ('4431', '嘉善县', '1243', '2');
INSERT INTO `car_region` VALUES ('4432', '安宁区(市区范围费家营十字以西)', '2487', '2');
INSERT INTO `car_region` VALUES ('4433', '城关区(天水路以东)', '2487', '2');
INSERT INTO `car_region` VALUES ('4434', '七里河区(武威路以西)', '2487', '2');
INSERT INTO `car_region` VALUES ('4435', '西乡塘区(环城高速公路外)', '1715', '2');
INSERT INTO `car_region` VALUES ('4436', '兴宁区(环城高速公路外)', '1715', '2');
INSERT INTO `car_region` VALUES ('4437', '青秀区(枫林路、青环路以东)', '1715', '2');
INSERT INTO `car_region` VALUES ('4438', '良庆区(建设路以南、银沙大道以东)', '1715', '2');
INSERT INTO `car_region` VALUES ('4439', '新城区(二环以外)', '799', '2');
INSERT INTO `car_region` VALUES ('4440', '回民区(二环以外)', '799', '2');
INSERT INTO `car_region` VALUES ('4443', '涪城区(二环以内)', '1960', '2');
INSERT INTO `car_region` VALUES ('4444', '游仙区(二环以内)', '1960', '2');
INSERT INTO `car_region` VALUES ('4445', '福山区(回里镇，张各庄镇，门楼镇)', '1042', '2');
INSERT INTO `car_region` VALUES ('4447', '惠城区(小金口、水口、汝湖、三栋、沥林、潼侨)', '1643', '2');
INSERT INTO `car_region` VALUES ('4453', '叠彩区(环城北一路、环城北二路以北)', '1726', '2');
INSERT INTO `car_region` VALUES ('4454', '秀峰区(环城西二路以西)', '1726', '2');
INSERT INTO `car_region` VALUES ('4455', '七星区(七星路、普陀路以东，环城南一路以南)', '1726', '2');
INSERT INTO `car_region` VALUES ('4457', '雁山区', '1726', '2');
INSERT INTO `car_region` VALUES ('4458', '新城区(华清路-环城北路以南)', '2376', '2');
INSERT INTO `car_region` VALUES ('4459', '武进区', '978', '2');
INSERT INTO `car_region` VALUES ('4467', '鸠江区（沈巷镇、裕溪口街道）', '1127', '2');
INSERT INTO `car_region` VALUES ('4468', '中山区', '573', '2');
INSERT INTO `car_region` VALUES ('4469', '保定市（二环外，乐凯大街西）', '199', '2');
INSERT INTO `car_region` VALUES ('4470', '岳麓区(二环以外)', '1482', '2');
INSERT INTO `car_region` VALUES ('4472', '沈河区(三环外)', '560', '2');
INSERT INTO `car_region` VALUES ('4473', '椒江区(疏港大道、椒金公路以东)', '1290', '2');
INSERT INTO `car_region` VALUES ('4474', '路桥区(石八线、路院一级公路以南)', '1290', '2');
INSERT INTO `car_region` VALUES ('4475', '黄岩区(甬台温高速以西、永宁江以北)', '1290', '2');
INSERT INTO `car_region` VALUES ('4476', '鲤城区(漳泉肖铁路以北,南环路以西)', '1332', '2');
INSERT INTO `car_region` VALUES ('4477', '丰泽区(铁路以北,宝山、后亭、后渚、新市政府)', '1332', '2');
INSERT INTO `car_region` VALUES ('4478', '高新区(二环以内)', '1960', '2');
INSERT INTO `car_region` VALUES ('4479', '经开区(二环以外)', '1960', '2');
INSERT INTO `car_region` VALUES ('4480', '经开区(二环以内)', '1960', '2');
INSERT INTO `car_region` VALUES ('4482', '绍兴市区(二环外除二环北路以北)', '1255', '2');
INSERT INTO `car_region` VALUES ('4483', '袍江工业区', '1255', '2');
INSERT INTO `car_region` VALUES ('4492', '柳北区(胜利路以北、河东路以北)', '1720', '2');
INSERT INTO `car_region` VALUES ('4493', '柳南区(柳太路以西、飞鹅路以南)', '1720', '2');
INSERT INTO `car_region` VALUES ('4494', '鱼峰区(柳邕路以西、南环路以南)', '1720', '2');
INSERT INTO `car_region` VALUES ('4495', '城中区(河东路以北、东环路以东)', '1720', '2');
INSERT INTO `car_region` VALUES ('4496', '江海区(西江以东、江中高速以南)', '1659', '2');
INSERT INTO `car_region` VALUES ('4497', '蓬江区(北环以北、西环以西、中江以南、青年路以南)', '1659', '2');
INSERT INTO `car_region` VALUES ('4498', '黄竹镇', '3703', '2');
INSERT INTO `car_region` VALUES ('4499', '伊宁县', '2727', '2');
INSERT INTO `car_region` VALUES ('4745', '番禺区(大岗、灵山镇)', '1601', '2');
INSERT INTO `car_region` VALUES ('4746', '郫县(主城区,犀浦、郫茼镇,进出口加工区)', '1930', '2');
INSERT INTO `car_region` VALUES ('4747', '东城区(莞深高速以东,莞龙路以北,迎宾路以南)', '1655', '2');
INSERT INTO `car_region` VALUES ('4748', '海港区(二环外,东港路以东,新春路以南,不含开发区)', '248', '2');
INSERT INTO `car_region` VALUES ('4749', '南海区(桂城、大沥、盐步、黄岐、里水、和顺镇)', '1666', '2');
INSERT INTO `car_region` VALUES ('4750', '龙华区(椰海大道以南)', '2121', '2');
INSERT INTO `car_region` VALUES ('4751', '秀英区(秀英大道/海港路以西,椰海大道以南)', '2121', '2');
INSERT INTO `car_region` VALUES ('4752', '琼山区(凤翔东路/凤翔西路以南)', '2121', '2');
INSERT INTO `car_region` VALUES ('4753', '美兰区(南渡江以东)', '2121', '2');
INSERT INTO `car_region` VALUES ('4754', '碑林区(长安路以东)', '2376', '2');
INSERT INTO `car_region` VALUES ('4755', '龙湖区(市区内、鸥汀、内充公、辛厝寮、外砂)', '1611', '2');
INSERT INTO `car_region` VALUES ('4756', '金平区(市区内，光华、岐山、升平、汕大、叠金)', '1611', '2');
INSERT INTO `car_region` VALUES ('4757', '双流县(东升、文星、白家镇镇中心；蛟龙工业港)', '1930', '2');
INSERT INTO `car_region` VALUES ('4758', '新都区(主城区,大丰镇、天回镇)', '1930', '2');
INSERT INTO `car_region` VALUES ('4759', '霞山区(友谊路以南,黎湛铁路以西)', '1677', '2');
INSERT INTO `car_region` VALUES ('4760', '长安镇', '1655', '2');
INSERT INTO `car_region` VALUES ('4762', '路南区(205国以东,唐胥路以南)', '258', '2');
INSERT INTO `car_region` VALUES ('4763', '路北区(112国道以西,环城路以北)', '258', '2');
INSERT INTO `car_region` VALUES ('4764', '东营区(康洋路以东,西四路以西,北二路以北)', '1025', '2');
INSERT INTO `car_region` VALUES ('4765', '塘沽区', '83', '2');
INSERT INTO `car_region` VALUES ('4766', '天山区(外环路以外)', '2652', '2');
INSERT INTO `car_region` VALUES ('4767', '沙依巴克区(外环路以外)', '2652', '2');
INSERT INTO `car_region` VALUES ('4768', '水磨沟区(外环路以外)', '2652', '2');
INSERT INTO `car_region` VALUES ('4769', '新市区(苏州路立交桥以外)', '2652', '2');
INSERT INTO `car_region` VALUES ('4770', '泉山区(三环以外)', '911', '2');
INSERT INTO `car_region` VALUES ('4771', '云龙区(三环以外)', '911', '2');
INSERT INTO `car_region` VALUES ('4772', '鼓楼区(三环以外)', '911', '2');
INSERT INTO `car_region` VALUES ('4773', '宝安区(新安，西乡，福永，沙井，松岗，石岩街道)', '1607', '2');
INSERT INTO `car_region` VALUES ('4774', '清城区(环城北路以北、人民路以南)', '1704', '2');
INSERT INTO `car_region` VALUES ('4775', '虎门镇(环岛路以东,轮渡路以南,凤凰路以北)', '1655', '2');
INSERT INTO `car_region` VALUES ('4776', '盐都区(宁靖盐高速以北、以西,盐徐高速以南)', '939', '2');
INSERT INTO `car_region` VALUES ('4777', '亭湖区(沿海高速以东、宁靖盐高速以北、盐徐高速以南)', '939', '2');
INSERT INTO `car_region` VALUES ('4778', '增城市(荔城、增江、新塘镇)', '1601', '2');
INSERT INTO `car_region` VALUES ('4779', '秦都区(市区以外)', '2402', '2');
INSERT INTO `car_region` VALUES ('4780', '渭城区(市区以外)', '2402', '2');
INSERT INTO `car_region` VALUES ('4781', '端州区', '1690', '2');
INSERT INTO `car_region` VALUES ('4784', '云城区(新世纪大道以东、324国道以北)', '1698', '2');
INSERT INTO `car_region` VALUES ('4785', '温江区(主城区)', '1930', '2');
INSERT INTO `car_region` VALUES ('4787', '洛龙区(龙门大道以东,关林路以南,瀛洲路以西)', '427', '2');
INSERT INTO `car_region` VALUES ('4788', '清河区(G25国道以西、宁连公路以东)', '925', '2');
INSERT INTO `car_region` VALUES ('4789', '清浦区(G25国道以西、宁连公路以东)', '925', '2');
INSERT INTO `car_region` VALUES ('4790', '淮阴区(G25国道以西、宁连公路以东)', '925', '2');
INSERT INTO `car_region` VALUES ('4791', '龙泉驿区(主城区,同安镇,十陵镇,大面镇)', '1930', '2');
INSERT INTO `car_region` VALUES ('4792', '新浦区(G310国道以北、宁连高速以东)', '919', '2');
INSERT INTO `car_region` VALUES ('4793', '海州区(连徐高速以南、宁连高速以东)', '919', '2');
INSERT INTO `car_region` VALUES ('4794', '荔城区(荔园大道以东、少林南街以北)', '1329', '2');
INSERT INTO `car_region` VALUES ('4795', '城厢区(荔园西大道以北、荔城大道以西)', '1329', '2');
INSERT INTO `car_region` VALUES ('4796', '昆山市(周庄、锦溪、淀山湖、千灯、张浦、陆家、花桥)', '988', '2');
INSERT INTO `car_region` VALUES ('4797', '天元区(西环路以西)', '1488', '2');
INSERT INTO `car_region` VALUES ('4798', '芦淞区(南环路以南)', '1488', '2');
INSERT INTO `car_region` VALUES ('4799', '荷塘区(红旗路以东)', '1488', '2');
INSERT INTO `car_region` VALUES ('4800', '石峰区(响田路以北)', '1488', '2');
INSERT INTO `car_region` VALUES ('4801', '吴兴区(申嘉湖高速公路、杭宁高速公路以南)', '1250', '2');
INSERT INTO `car_region` VALUES ('4802', '花山区(宁芜高速以东、长江以西)', '1137', '2');
INSERT INTO `car_region` VALUES ('4803', '雨山区(宁芜高速以东、长江以西)', '1137', '2');
INSERT INTO `car_region` VALUES ('4804', '金家庄区(市区外区域)', '1137', '2');
INSERT INTO `car_region` VALUES ('4805', '兴庆区(主城区以外)', '2628', '2');
INSERT INTO `car_region` VALUES ('4806', '金凤区(主城区以外)', '2628', '2');
INSERT INTO `car_region` VALUES ('4807', '西夏区(主城区以外)', '2628', '2');
INSERT INTO `car_region` VALUES ('4808', '章贡区(赣江源以南,贡水以北,华坚路西,铁路以东)', '1911', '2');
INSERT INTO `car_region` VALUES ('4809', '大安区(城区以内)', '1946', '2');
INSERT INTO `car_region` VALUES ('4810', '贡井区(城区以内)', '1946', '2');
INSERT INTO `car_region` VALUES ('4811', '禹会区(京台高速以西)', '1132', '2');
INSERT INTO `car_region` VALUES ('4812', '龙子湖区(市区外区域)', '1132', '2');
INSERT INTO `car_region` VALUES ('4813', '淮上区(宁洛高速以北)', '1132', '2');
INSERT INTO `car_region` VALUES ('4814', '迎江区(独秀大道以东)', '1140', '2');
INSERT INTO `car_region` VALUES ('4815', '宜秀区(济广高速以东,以北)', '1140', '2');
INSERT INTO `car_region` VALUES ('4816', '大观区(S332以西)', '1140', '2');
INSERT INTO `car_region` VALUES ('4818', '丛台区(北环路、东环路以外)', '148', '2');
INSERT INTO `car_region` VALUES ('4819', '复兴区(北环路、西环路、南环路以外)', '148', '2');
INSERT INTO `car_region` VALUES ('4820', '邯山区(西环路、南环路、东环路以外)', '148', '2');
INSERT INTO `car_region` VALUES ('4821', '江城区(建设路以西,江台路以南,金山路以北)', '1672', '2');
INSERT INTO `car_region` VALUES ('4822', '阳东县(龙塘路以东,新华路以南,金山路以北)', '1672', '2');
INSERT INTO `car_region` VALUES ('4823', '花都区(新华,雅瑶,狮岭,炭步,花山,花东镇)', '1601', '2');
INSERT INTO `car_region` VALUES ('4824', '东西湖区(环湖中路以北,京珠高速以西)', '1381', '2');
INSERT INTO `car_region` VALUES ('4826', '余姚市(环线以外)', '1158', '2');
INSERT INTO `car_region` VALUES ('4827', '琅琊区(G104、世纪大道以北)', '1159', '2');
INSERT INTO `car_region` VALUES ('4828', '颍东区(铁路以东,颖东路以北)', '1167', '2');
INSERT INTO `car_region` VALUES ('4829', '颍泉区(古泉路以北,南京路以西)', '1167', '2');
INSERT INTO `car_region` VALUES ('4830', '颍州区(淮河路以南,南京路以西)', '1167', '2');
INSERT INTO `car_region` VALUES ('4831', '陈仓区(文兴路以东)', '2390', '2');
INSERT INTO `car_region` VALUES ('4832', '阜阳经济技术开发区', '1167', '2');
INSERT INTO `car_region` VALUES ('4833', '莲都区(桃碧线西,G330东,丽和线、绕城公路北,G25南)', '1280', '2');
INSERT INTO `car_region` VALUES ('4836', '乐清市(淡溪,清江,芙蓉,大荆,仙溪,雁荡,白石镇)', '1233', '2');
INSERT INTO `car_region` VALUES ('4837', '江南区(那洪大道以南、沙井大道以西)', '1715', '2');
INSERT INTO `car_region` VALUES ('4838', '旌阳区(主城区)', '1962', '2');
INSERT INTO `car_region` VALUES ('4839', '茂南区(主城区外区域)', '1684', '2');
INSERT INTO `car_region` VALUES ('4840', '源城区(除埔前镇、高埔岗、龙岭工业园、临江镇以外)', '1627', '2');
INSERT INTO `car_region` VALUES ('4841', '东源县(除仙塘圩镇、仙塘蝴蝶岭工业园以外)', '1627', '2');
INSERT INTO `car_region` VALUES ('4844', '赤坎区(福建村以北、大吨沙以东)', '1677', '2');
INSERT INTO `car_region` VALUES ('4845', '湛江经济技术开发区(东海岛)', '1677', '2');
INSERT INTO `car_region` VALUES ('4846', '麻章区(金华西路以北、政通路以南、疏港大道以西)', '1677', '2');
INSERT INTO `car_region` VALUES ('4848', '市中区(主城区)', '1993', '2');
INSERT INTO `car_region` VALUES ('4851', '晋江市(池店镇、凤池路南，狮城道北，梅岭路东)', '1332', '2');
INSERT INTO `car_region` VALUES ('4852', '火炬开发区', '1657', '2');
INSERT INTO `car_region` VALUES ('4853', '高要市(南岸、金渡、马安、新桥镇区、科技学院)', '1690', '2');
INSERT INTO `car_region` VALUES ('4855', '香坊区(三环以外)', '698', '2');
INSERT INTO `car_region` VALUES ('4856', '净月开发区(除大学外范围)', '639', '2');
INSERT INTO `car_region` VALUES ('4857', '沈北新区(三环内)', '560', '2');
INSERT INTO `car_region` VALUES ('4858', '浑南新区(三环内)', '560', '2');
INSERT INTO `car_region` VALUES ('4859', '千山区（高新区，达道弯经济开发区）', '579', '2');
INSERT INTO `car_region` VALUES ('4860', '鞍山高新区', '579', '2');
INSERT INTO `car_region` VALUES ('4861', '江阳区(长江大桥以北,滨江路以西,酒城大道以东)', '1954', '2');
INSERT INTO `car_region` VALUES ('4862', '龙马潭区(龙马大道以南,沱江三桥以东)', '1954', '2');
INSERT INTO `car_region` VALUES ('4863', '宜宾市区(滨江路以西,火车站以东)', '2005', '2');
INSERT INTO `car_region` VALUES ('4864', '翠屏区(高客站以南,七星大道以北,长江大桥以西)', '2005', '2');
INSERT INTO `car_region` VALUES ('4866', '寮步镇', '1655', '2');
INSERT INTO `car_region` VALUES ('4867', '汉阳区(三环之外)', '1381', '2');
INSERT INTO `car_region` VALUES ('4868', '左提路以西,顺平南线以北,高白路以东,机场北线以南', '2812', '2');
INSERT INTO `car_region` VALUES ('4871', '大岭山镇', '1655', '2');
INSERT INTO `car_region` VALUES ('4872', '建华区(碾北公路以北,嫩江以西)', '712', '2');
INSERT INTO `car_region` VALUES ('4873', '铁锋区(环城东路以东)', '712', '2');
INSERT INTO `car_region` VALUES ('4874', '龙沙区(鹤城路以南)', '712', '2');
INSERT INTO `car_region` VALUES ('4875', '向阳区(大学路以南)', '765', '2');
INSERT INTO `car_region` VALUES ('4876', '东风区(建国街以西)', '765', '2');
INSERT INTO `car_region` VALUES ('4877', '东风区(建国街以东)', '765', '2');
INSERT INTO `car_region` VALUES ('4878', '前进区(沿江路以北)', '765', '2');
INSERT INTO `car_region` VALUES ('4879', '郊　区(圃东街以西)', '765', '2');
INSERT INTO `car_region` VALUES ('4880', '萝岗区(夏港街道、萝岗街道、东区街道、联和街道)', '1601', '2');
INSERT INTO `car_region` VALUES ('4881', '蔡甸区(城区以外)', '1381', '2');
INSERT INTO `car_region` VALUES ('4882', '江夏区(纸坊县城外、流芳县城外、庙山县城外)', '1381', '2');
INSERT INTO `car_region` VALUES ('4883', '新洲区(邾城县城外、阳逻县城外)', '1381', '2');
INSERT INTO `car_region` VALUES ('4884', '黄陂区(城区以外)', '1381', '2');
INSERT INTO `car_region` VALUES ('4885', '汉南区(纱帽街城区以外)', '1381', '2');
INSERT INTO `car_region` VALUES ('4886', '常平镇', '1655', '2');
INSERT INTO `car_region` VALUES ('4889', '花溪区(花溪大道南段以东,新区大道以南,甲秀南路以西)', '2144', '2');
INSERT INTO `car_region` VALUES ('4890', '小河区(桐荫路以东,西南环路以南,花溪大道中段以西)', '2144', '2');
INSERT INTO `car_region` VALUES ('4891', '环翠区(戚家夼路以北)', '1053', '2');
INSERT INTO `car_region` VALUES ('4893', '高区(世昌大道北,文化西路南,山大、哈工大威海分校)', '1053', '2');
INSERT INTO `car_region` VALUES ('4894', '惠阳区(淡水城区内)', '1643', '2');
INSERT INTO `car_region` VALUES ('4895', '雨湖区(二环以外,农高路以西)', '1495', '2');
INSERT INTO `car_region` VALUES ('4896', '岳塘区(吉安路以东)', '1495', '2');
INSERT INTO `car_region` VALUES ('4897', '桥西区(西外环以东,北外环以南,盛华西大街以北)', '224', '2');
INSERT INTO `car_region` VALUES ('4898', '桥东区(建国路以西,北外环以南,盛华东大街以北)', '224', '2');
INSERT INTO `car_region` VALUES ('4899', '浔阳区(长虹北路以东)', '1845', '2');
INSERT INTO `car_region` VALUES ('4900', '庐山区(长江大道以西,福银高速以东、以南)', '1845', '2');
INSERT INTO `car_region` VALUES ('4903', '孝南区(商贸街北,澴河西,316国道南,107国道东)', '1432', '2');
INSERT INTO `car_region` VALUES ('4906', '牧野区(外环以外)', '458', '2');
INSERT INTO `car_region` VALUES ('4907', '红旗区(外环以外)', '458', '2');
INSERT INTO `car_region` VALUES ('4908', '卫滨区(外环以外)', '458', '2');
INSERT INTO `car_region` VALUES ('4909', '李沧区', '1007', '2');
INSERT INTO `car_region` VALUES ('4910', '厚街镇', '1655', '2');
INSERT INTO `car_region` VALUES ('4911', '万江区', '1655', '2');
INSERT INTO `car_region` VALUES ('4912', '古塔区', '598', '2');
INSERT INTO `car_region` VALUES ('4913', '凌河区', '598', '2');
INSERT INTO `car_region` VALUES ('4914', '太和区', '598', '2');
INSERT INTO `car_region` VALUES ('4915', '东坡区(主城区)', '2058', '2');
INSERT INTO `car_region` VALUES ('4916', '镇江新区', '972', '2');
INSERT INTO `car_region` VALUES ('4932', '樟木头镇', '1655', '2');
INSERT INTO `car_region` VALUES ('4933', '黄江镇(虎岗高速以南、莞佛高速以东、东环二路以北)', '1655', '2');
INSERT INTO `car_region` VALUES ('4934', '湘桥区(市区，下津村，韩山师范学院，金山中学)', '1705', '2');
INSERT INTO `car_region` VALUES ('4935', '枫溪区(如意路以北)', '1705', '2');
INSERT INTO `car_region` VALUES ('4960', '淮南高新技术开发区', '1121', '2');
INSERT INTO `car_region` VALUES ('4961', '船山区', '1983', '2');
INSERT INTO `car_region` VALUES ('4962', '彭州市(牡丹大道以西,城西铁路以东)', '1930', '2');
INSERT INTO `car_region` VALUES ('4963', '雨城区(康藏路以南,育才路以东)', '2047', '2');
INSERT INTO `car_region` VALUES ('4964', '徽州区(黄山路以西,G205以东、北,永佳大道以南)', '1151', '2');
INSERT INTO `car_region` VALUES ('4965', '屯溪区(京台高速以西,麻雀山以东,铁路以北,G56以南)', '1151', '2');
INSERT INTO `car_region` VALUES ('4966', '都江堰市(三环内)', '1930', '2');
INSERT INTO `car_region` VALUES ('4967', '昌邑区(和平路以南，五医院以东)', '644', '2');
INSERT INTO `car_region` VALUES ('4968', '丰满区(深中路以南,南山街以东)', '644', '2');
INSERT INTO `car_region` VALUES ('4969', '龙潭区(北建西部基地西，珲乌高速北，龙东小区东)', '644', '2');
INSERT INTO `car_region` VALUES ('4970', '船营区(欢喜路以东)', '644', '2');
INSERT INTO `car_region` VALUES ('4971', '振安区(九连城镇区以南,国界以西)', '593', '2');
INSERT INTO `car_region` VALUES ('4972', '振兴区(柳林河以北)', '593', '2');
INSERT INTO `car_region` VALUES ('4973', '元宝区(201国道以东)', '593', '2');
INSERT INTO `car_region` VALUES ('4974', '金明区(市郊)', '420', '2');
INSERT INTO `car_region` VALUES ('4975', '鼓楼区(市郊)', '420', '2');
INSERT INTO `car_region` VALUES ('4976', '龙亭区(市郊)', '420', '2');
INSERT INTO `car_region` VALUES ('4977', '顺河回族区(市郊)', '420', '2');
INSERT INTO `car_region` VALUES ('4978', '禹王台区(市郊)', '420', '2');
INSERT INTO `car_region` VALUES ('4979', '黄州区(郊区)', '1441', '2');
INSERT INTO `car_region` VALUES ('4980', '大朗镇', '1655', '2');
INSERT INTO `car_region` VALUES ('4981', '丹阳市(丹西公路、县道203以南)', '972', '2');
INSERT INTO `car_region` VALUES ('4982', '顺庆区(绕城高速以内)', '2022', '2');
INSERT INTO `car_region` VALUES ('4983', '嘉陵区(春江路以内)', '2022', '2');
INSERT INTO `car_region` VALUES ('4984', '高坪区(滨江中路以内)', '2022', '2');
INSERT INTO `car_region` VALUES ('4985', '红谷滩新区(核心城区外区域)', '1827', '2');
INSERT INTO `car_region` VALUES ('5451', '海门市(东通线、刘余线以北)', '965', '2');
INSERT INTO `car_region` VALUES ('5453', '广汉市(主城区、经济开发区、新城区)', '1962', '2');
INSERT INTO `car_region` VALUES ('5454', '驿城区(市郊)', '538', '2');
INSERT INTO `car_region` VALUES ('5455', '武陵区(市郊)', '1530', '2');
INSERT INTO `car_region` VALUES ('5456', '鼎城区(市郊)', '1530', '2');
INSERT INTO `car_region` VALUES ('5457', '塘厦镇', '1655', '2');
INSERT INTO `car_region` VALUES ('5458', '岱岳区(环山路以南,泮河路以北)', '1112', '2');
INSERT INTO `car_region` VALUES ('5459', '泰山区(泰明路以西,大河路以东)', '1112', '2');
INSERT INTO `car_region` VALUES ('5460', '铜陵县(翠湖六路以北,长江以西,G50以南)', '1114', '2');
INSERT INTO `car_region` VALUES ('5461', '铜官山区(长江以西)', '1114', '2');
INSERT INTO `car_region` VALUES ('5462', '狮子山区(市郊)', '1114', '2');
INSERT INTO `car_region` VALUES ('5463', '郊区(G3以南)', '1114', '2');
INSERT INTO `car_region` VALUES ('5464', '江都市(武坚、真武、小纪、丁沟、樊川镇)', '951', '2');
INSERT INTO `car_region` VALUES ('5465', '岳阳楼区(107国道以东,南湖以南)', '1522', '2');
INSERT INTO `car_region` VALUES ('5466', '启东市(吕四港镇,天汾镇,兆民镇,启隆乡)', '965', '2');
INSERT INTO `car_region` VALUES ('5467', '埇桥区(市郊)', '1180', '2');
INSERT INTO `car_region` VALUES ('5468', '定海区(G329国道以北,弘生大道/昌洲大道以南)', '1298', '2');
INSERT INTO `car_region` VALUES ('5469', '普陀区(G329国道以北,海天大道/东海西路以南)', '1298', '2');
INSERT INTO `car_region` VALUES ('5471', '平桥区(市郊)', '549', '2');
INSERT INTO `car_region` VALUES ('5472', '浉河区(市郊)', '549', '2');
INSERT INTO `car_region` VALUES ('5473', '凤岗镇', '1655', '2');
INSERT INTO `car_region` VALUES ('5474', '兴隆台区(中华路东,香稻路西,文汇路北,太子河南)', '613', '2');
INSERT INTO `car_region` VALUES ('5475', '双台子区(一统河路东,双兴北路西,城北街南,太子河北)', '613', '2');
INSERT INTO `car_region` VALUES ('5476', '张店区(宝沣路西,西十路东,鲁泰大道南,昌国西路北)', '1016', '2');
INSERT INTO `car_region` VALUES ('5477', '柯城区(锦西大道以西,沪昆高速以北,G320浙西大道以南)', '1273', '2');
INSERT INTO `car_region` VALUES ('5478', '衢江区(中心区域外范围)', '1273', '2');
INSERT INTO `car_region` VALUES ('5479', '宛城区(滨河东路以东,长江路以南)', '502', '2');
INSERT INTO `car_region` VALUES ('5480', '卧龙区(北环路以北,北京路以西)', '502', '2');
INSERT INTO `car_region` VALUES ('5481', '从化市(街口、城郊、江埔、太平、神岗)', '1601', '2');
INSERT INTO `car_region` VALUES ('5482', '西塞山区(沿湖路以南)', '1387', '2');
INSERT INTO `car_region` VALUES ('5483', '下陆区(大泉路/磁湖路以西)', '1387', '2');
INSERT INTO `car_region` VALUES ('5484', '东山区', '1709', '2');
INSERT INTO `car_region` VALUES ('5485', '大南山华侨管理区', '1709', '2');
INSERT INTO `car_region` VALUES ('5486', '普宁华侨管理区', '1709', '2');
INSERT INTO `car_region` VALUES ('5487', '揭阳经济开发试验区', '1709', '2');
INSERT INTO `car_region` VALUES ('5489', '榕城区(榕城区内、仙桥镇)', '1709', '2');
INSERT INTO `car_region` VALUES ('5490', '揭东县(曲溪镇县城、揭东开发区)', '1709', '2');
INSERT INTO `car_region` VALUES ('5491', '樊城区(邓城大道以北,汉江路以西)', '1396', '2');
INSERT INTO `car_region` VALUES ('5492', '襄城区(环城路以外)', '1396', '2');
INSERT INTO `car_region` VALUES ('5493', '襄州区(邓城大道/钻石大道以北,园林路以东)', '1396', '2');
INSERT INTO `car_region` VALUES ('5494', '长洲区(竹葵背以北,火车站以西,竹湾路以南)', '1740', '2');
INSERT INTO `car_region` VALUES ('5495', '蝶山区(广东路以北,西提二路以南)', '1740', '2');
INSERT INTO `car_region` VALUES ('5496', '万秀区(钱鉴以南,西江二路以北,白云山以东)', '1740', '2');
INSERT INTO `car_region` VALUES ('5499', '裕安区(环城路以外)', '1206', '2');
INSERT INTO `car_region` VALUES ('5500', '金安区(金安医院以东,金安大道以北,G312以南)', '1206', '2');
INSERT INTO `car_region` VALUES ('5501', '城区(海汕公路及莲花山以东,141县道以南)', '1650', '2');
INSERT INTO `car_region` VALUES ('5502', '晋江市(池店镇、凤池路北，狮城道南，梅岭路西)', '1332', '2');
INSERT INTO `car_region` VALUES ('5503', '白塔区(胜利路以东,北哨街以南,铁路东线以西)', '621', '2');
INSERT INTO `car_region` VALUES ('5504', '文圣区(铁路东线以西)', '621', '2');
INSERT INTO `car_region` VALUES ('5505', '黄岛区', '1007', '2');
INSERT INTO `car_region` VALUES ('5506', '奎文区(青银高速以南,宝通街以北,潍县中路以西)', '1032', '2');
INSERT INTO `car_region` VALUES ('5507', '潍城区(月河路以东)', '1032', '2');
INSERT INTO `car_region` VALUES ('5508', '福清市(沈海高速西,洪宽三路北,清盛大道南)', '1303', '2');
INSERT INTO `car_region` VALUES ('5509', '石鼓区(蒸水以北)', '1501', '2');
INSERT INTO `car_region` VALUES ('5510', '雁峰区(湘桂铁路以南,市郊)', '1501', '2');
INSERT INTO `car_region` VALUES ('5511', '蒸湘区(市郊)', '1501', '2');
INSERT INTO `car_region` VALUES ('5512', '珠晖区(京广铁路以东,市郊)', '1501', '2');
INSERT INTO `car_region` VALUES ('5513', '张湾区(车城路以西,广东路东环路以北)', '1405', '2');
INSERT INTO `car_region` VALUES ('5514', '茅箭区(市郊)', '1405', '2');
INSERT INTO `car_region` VALUES ('5864', '普宁市', '1709', '2');
INSERT INTO `car_region` VALUES ('5865', '廉江市(除廉城镇、石城镇镇中心外)', '1677', '2');
INSERT INTO `car_region` VALUES ('5866', '延吉市(新民街西,延北加油站北,新进街东,延龙路南)', '687', '2');
INSERT INTO `car_region` VALUES ('5867', '集美区(天马路东,西滨路西,龙船路南,厦漳高速北)', '1315', '2');
INSERT INTO `car_region` VALUES ('5868', '镇海区(九龙湖镇、澥浦镇)', '1158', '2');
INSERT INTO `car_region` VALUES ('5869', '清溪镇', '1655', '2');
INSERT INTO `car_region` VALUES ('5897', '汇川区(主城区外范围)', '2155', '2');
INSERT INTO `car_region` VALUES ('5898', '红花岗区(人民医院以南)', '2155', '2');
INSERT INTO `car_region` VALUES ('5899', '市中区(车站路西,济安桥路东,常青路南,车站路北)', '2900', '2');
INSERT INTO `car_region` VALUES ('5900', '城中区(六一桥以南,祁连路以北)', '2580', '2');
INSERT INTO `car_region` VALUES ('5901', '城东区(湟中路以东,互助路以北,昆仑路以南)', '2580', '2');
INSERT INTO `car_region` VALUES ('5902', '城西区(昆仑路以南,海湖路以西,柴达木路以北)', '2580', '2');
INSERT INTO `car_region` VALUES ('5903', '城北区(门源路以北)', '2580', '2');
INSERT INTO `car_region` VALUES ('5904', '东　区(主城区)', '1950', '2');
INSERT INTO `car_region` VALUES ('5905', '横沥镇', '1655', '2');
INSERT INTO `car_region` VALUES ('5907', '射阳县(除经济开发区,合德镇,兴桥镇,千秋镇,临海镇外)', '939', '2');
INSERT INTO `car_region` VALUES ('5909', '甘井子区', '573', '2');
INSERT INTO `car_region` VALUES ('6000', '涟水县(除涟城镇,朱码镇,陈师镇,小李集乡外区域)', '925', '2');
INSERT INTO `car_region` VALUES ('6001', '邳州市(G310以北,连徐高速以南)', '911', '2');
INSERT INTO `car_region` VALUES ('6002', '昆都仑区(莫尼路以北,三八路以西,黄河街以南)', '805', '2');
INSERT INTO `car_region` VALUES ('6003', '青山区(青山路以北,明主路以东,黄河街以南)', '805', '2');
INSERT INTO `car_region` VALUES ('6005', '长沙县(除星沙经济技术开发区外区域)', '1482', '2');
INSERT INTO `car_region` VALUES ('6006', '经济开发区', '1180', '2');
INSERT INTO `car_region` VALUES ('6007', '三水区(西南街道)', '1666', '2');
INSERT INTO `car_region` VALUES ('6008', '邹城市(国宏大道南,城前西路北,东环西,西外环东)', '2900', '2');
INSERT INTO `car_region` VALUES ('6009', '百泉路北,京新高速南,康张路东,京银路西', '3065', '2');
INSERT INTO `car_region` VALUES ('6115', '城区以内', '2814', '2');
INSERT INTO `car_region` VALUES ('6116', '南沙区(南沙街道、黄阁)', '1601', '2');
INSERT INTO `car_region` VALUES ('6117', '北城新区', '1116', '2');
INSERT INTO `car_region` VALUES ('6118', '滨湖新区', '1116', '2');
INSERT INTO `car_region` VALUES ('6119', '政务文化新区', '1116', '2');
INSERT INTO `car_region` VALUES ('6120', '新站综合开发试验区', '1116', '2');
INSERT INTO `car_region` VALUES ('6491', '城区以内', '2807', '2');
INSERT INTO `car_region` VALUES ('6492', '城区以内', '2808', '2');
INSERT INTO `car_region` VALUES ('6501', '五环至六环之间', '2810', '2');
INSERT INTO `car_region` VALUES ('6560', '如皋市(长青沙乡)', '965', '2');
INSERT INTO `car_region` VALUES ('6561', '高新园区', '573', '2');
INSERT INTO `car_region` VALUES ('6562', '瑞安市(海岛)', '1233', '2');
INSERT INTO `car_region` VALUES ('6627', '大连开发区', '573', '2');
INSERT INTO `car_region` VALUES ('6628', '站前区', '609', '2');
INSERT INTO `car_region` VALUES ('6629', '青羊区(三环与绕城环线之间)', '1930', '2');
INSERT INTO `car_region` VALUES ('6630', '连山区(京沈高速公路以东,岛东线以南)', '604', '2');
INSERT INTO `car_region` VALUES ('6631', '旅顺口区(启明路以南,郭水路以西)', '573', '2');
INSERT INTO `car_region` VALUES ('6632', '海州区(迎宾大街以东)', '617', '2');
INSERT INTO `car_region` VALUES ('6633', '太平区(煤城路以北)', '617', '2');
INSERT INTO `car_region` VALUES ('6634', '细河区(北新路以南,东新大街以西)', '617', '2');
INSERT INTO `car_region` VALUES ('6635', '松北区(三环以外)', '698', '2');
INSERT INTO `car_region` VALUES ('6636', '呼兰区(除大学城外区域)', '698', '2');
INSERT INTO `car_region` VALUES ('6637', '平房区(南厂以南,绕城高速北,新星街西,威海路东)', '698', '2');
INSERT INTO `car_region` VALUES ('6638', '新会区（会城，不含七堡、南坦）', '1659', '2');
INSERT INTO `car_region` VALUES ('6639', '青白江区(凤凰大道以南,巨石路以西,团结路以北)', '1930', '2');
INSERT INTO `car_region` VALUES ('6640', '大邑县(主城区,晋原镇)', '1930', '2');
INSERT INTO `car_region` VALUES ('6641', '铁东区', '651', '2');
INSERT INTO `car_region` VALUES ('6642', '铁西区', '651', '2');
INSERT INTO `car_region` VALUES ('6643', '双塔区(黄河路北,农科院南,中山大街东,麒麟大街西)', '632', '2');
INSERT INTO `car_region` VALUES ('6644', '兰山区(外环路以东,青年路以南)', '1072', '2');
INSERT INTO `car_region` VALUES ('6645', '河东区(沃尔沃路以西,沂河路以北)', '1072', '2');
INSERT INTO `car_region` VALUES ('6646', '北辰区（外环内）', '83', '2');
INSERT INTO `car_region` VALUES ('6647', '兴城市(兴城河以南,京哈高速以西)', '604', '2');
INSERT INTO `car_region` VALUES ('6648', '新津县(五津镇、邓双镇)', '1930', '2');
INSERT INTO `car_region` VALUES ('6649', '成华区(三环与绕城环线之间)', '1930', '2');
INSERT INTO `car_region` VALUES ('6650', '邛崃市(主城区)', '1930', '2');
INSERT INTO `car_region` VALUES ('6651', '金堂县(赵镇)', '1930', '2');
INSERT INTO `car_region` VALUES ('6653', '崇州市(主城区,新城区)', '1930', '2');
INSERT INTO `car_region` VALUES ('6654', '东昌府区(双力路南,湖南路北,站前街东,中华路西)', '1081', '2');
INSERT INTO `car_region` VALUES ('6656', '咸安区(郊区)', '1458', '2');
INSERT INTO `car_region` VALUES ('6659', '赤壁市(郊区)', '1458', '2');
INSERT INTO `car_region` VALUES ('6660', '东港市(光瓦线以南,G201以西)', '593', '2');
INSERT INTO `car_region` VALUES ('6661', '东港区(山海路以南,上海路以北,日照路以东)', '1108', '2');
INSERT INTO `car_region` VALUES ('6662', '海城区(北铁一级公路以北)', '1746', '2');
INSERT INTO `car_region` VALUES ('6663', '银海区(北铁一级公路以北,银海大道以东)', '1746', '2');
INSERT INTO `car_region` VALUES ('6664', '温岭市(松门、石塘、邬根)', '1290', '2');
INSERT INTO `car_region` VALUES ('6665', '滨城区(黄河十一路以南,渤十八路以东,渤二路以西)', '1090', '2');
INSERT INTO `car_region` VALUES ('6666', '城区', '2953', '2');
INSERT INTO `car_region` VALUES ('6667', '城区', '2816', '2');
INSERT INTO `car_region` VALUES ('6668', '城阳区(墨水河以东，硕阳路以南，青新高速以西)', '1007', '2');
INSERT INTO `car_region` VALUES ('6669', '新罗区(东宫下以南,东肖政府北,龙门塔东,翠屏路西)', '1362', '2');
INSERT INTO `car_region` VALUES ('6670', '桥东区(郭守敬大道以南,东外环以西,南外环以北)', '164', '2');
INSERT INTO `car_region` VALUES ('6671', '桥西区(滨江路以东,南外环以北,郭守敬大道以南)', '164', '2');
INSERT INTO `car_region` VALUES ('6673', '龙华新区(民治，龙华，大浪街道)', '1607', '2');
INSERT INTO `car_region` VALUES ('6674', '龙华新区(观澜街道)', '1607', '2');
INSERT INTO `car_region` VALUES ('6675', '光明新区(光明，公明街道)', '1607', '2');
INSERT INTO `car_region` VALUES ('6676', '金牛区(三环与绕城环线之间)', '1930', '2');
INSERT INTO `car_region` VALUES ('6677', '高新区(三环与绕城环线之间)', '1930', '2');
INSERT INTO `car_region` VALUES ('6678', '锦江区(三环与绕城环线之间)', '1930', '2');
INSERT INTO `car_region` VALUES ('6679', '武侯区(三环与绕城环线之间)', '1930', '2');
INSERT INTO `car_region` VALUES ('6680', '三河市(市区、燕郊开发区)', '274', '2');
INSERT INTO `car_region` VALUES ('6681', '洪山区(三环之外,黄家湖大学城)', '1381', '2');
INSERT INTO `car_region` VALUES ('6683', '桃城区(环路以内)', '275', '2');
INSERT INTO `car_region` VALUES ('6685', '开平市（长沙区/三埠区，不含楼冈、沙冈）', '1659', '2');
INSERT INTO `car_region` VALUES ('6686', '玉环县(玉环县海岛)', '1290', '2');
INSERT INTO `car_region` VALUES ('6687', '潮阳区(棉城、和平、海门、金浦)', '1611', '2');
INSERT INTO `car_region` VALUES ('6688', '濠江区(河浦镇)', '1611', '2');
INSERT INTO `car_region` VALUES ('6689', '榆次区(东、西、南环路以外，龙湖街以北)', '336', '2');
INSERT INTO `car_region` VALUES ('6690', '相山区(濉河路、S202以西)', '1124', '2');
INSERT INTO `car_region` VALUES ('6691', '杜集区(北外环路以北,京台高速以东)', '1124', '2');
INSERT INTO `car_region` VALUES ('6692', '烈山区(京台高速以东,S101以南)', '1124', '2');
INSERT INTO `car_region` VALUES ('6693', '濉溪县(濉河路以西,S101以南)', '1124', '2');
INSERT INTO `car_region` VALUES ('6694', '台山市(台城镇)', '1659', '2');
INSERT INTO `car_region` VALUES ('6695', '贵池区(长江以北,G50以南,杜坞桥以西,棠溪大道以东)', '1201', '2');
INSERT INTO `car_region` VALUES ('6696', '玉州区(二环北路以北,S216以西,火车站以南)', '1761', '2');
INSERT INTO `car_region` VALUES ('6697', '鲅鱼圈区(鲅鱼圈高速口南，熊岳河北，望儿山大街西)', '609', '2');
INSERT INTO `car_region` VALUES ('6698', '斗门区（井岸镇、乾务镇、白蕉镇）', '1609', '2');
INSERT INTO `car_region` VALUES ('6699', '西昌市(主城区以外的区域)', '2103', '2');
INSERT INTO `car_region` VALUES ('6700', '八步区(笔架山以北,杨梅以南,张屋以东,马岭以西)', '1792', '2');
INSERT INTO `car_region` VALUES ('6701', '江夏区(流芳城区、庙山城区、藏龙岛)', '1381', '2');
INSERT INTO `car_region` VALUES ('6702', '宁江区(建华路南,和平路北,青年大街西)', '674', '2');
INSERT INTO `car_region` VALUES ('6703', '前郭尔罗斯蒙古族自治县(昆江街西,哈达大街东)', '674', '2');
INSERT INTO `car_region` VALUES ('6704', '钦南区(G325以北,金海湾路以南,钦州学院以西)', '1753', '2');
INSERT INTO `car_region` VALUES ('6705', '峨眉山市(主城区以内)', '1993', '2');
INSERT INTO `car_region` VALUES ('6706', '利州区(主城区)', '1977', '2');
INSERT INTO `car_region` VALUES ('6707', '四会市(城中、东城、高新区；新江、清塘镇)', '1690', '2');
INSERT INTO `car_region` VALUES ('6708', '简阳市(主城区)', '2065', '2');
INSERT INTO `car_region` VALUES ('6709', '章丘市(明水镇城区)', '1000', '2');
INSERT INTO `car_region` VALUES ('6710', '海沧区(海沧道西,海新路东,建港路北,新垵北路南)', '1315', '2');
INSERT INTO `car_region` VALUES ('6711', '仪征市(宁通高速以北,新桥路以东)', '951', '2');
INSERT INTO `car_region` VALUES ('6712', '北林区', '782', '2');
INSERT INTO `car_region` VALUES ('6714', '汶川县(城区以外)', '2070', '2');
INSERT INTO `car_region` VALUES ('6715', '蒲江县(老城区、新城区以外)', '1930', '2');
INSERT INTO `car_region` VALUES ('6716', '梅列区(三明大桥以北)', '1317', '2');
INSERT INTO `car_region` VALUES ('6717', '三元区（荆东工业园以南，台江村以西，新泉路以东）', '1317', '2');
INSERT INTO `car_region` VALUES ('6718', '龙安区(文昌大道以南，华祥路以西郊区）', '468', '2');
INSERT INTO `car_region` VALUES ('6719', '殷都区（邺城大道以北,华祥路以西郊区）', '468', '2');
INSERT INTO `car_region` VALUES ('6720', '北关区（邺城大道以北郊区）', '468', '2');
INSERT INTO `car_region` VALUES ('6721', '文峰区（光明路以东，长江大道以南郊区）', '468', '2');
INSERT INTO `car_region` VALUES ('6723', '卫东区（环路外）', '438', '2');
INSERT INTO `car_region` VALUES ('6724', '新华区（环路外）', '438', '2');
INSERT INTO `car_region` VALUES ('6725', '湛河区（环路外）', '438', '2');
INSERT INTO `car_region` VALUES ('6726', '绵竹市（主城区以外）', '1962', '2');
INSERT INTO `car_region` VALUES ('6727', '什邡市（主城区外）', '1962', '2');
INSERT INTO `car_region` VALUES ('6728', '江油市(主城区以外)', '1960', '2');
INSERT INTO `car_region` VALUES ('6729', '皇姑区（三环至四环间)', '560', '2');
INSERT INTO `car_region` VALUES ('6730', '中站区(晋新高速公路以西）', '446', '2');
INSERT INTO `car_region` VALUES ('6731', '马村区（银河大道以东）', '446', '2');
INSERT INTO `car_region` VALUES ('6735', '龙岗区（坪地街道）', '1607', '2');
INSERT INTO `car_region` VALUES ('6736', '坪山新区（坪山，坑梓街道）', '1607', '2');
INSERT INTO `car_region` VALUES ('6737', '大鹏新区（大鹏，南澳，葵涌街道）', '1607', '2');
INSERT INTO `car_region` VALUES ('6738', '双桥区（环城路以外）', '239', '2');
INSERT INTO `car_region` VALUES ('6739', '潍坊高新技术开发区（北海路西，潍安路东，宝通街南）', '1032', '2');
INSERT INTO `car_region` VALUES ('6740', '寒亭区（海龙路西，东环路以东，舜王路以北）', '1032', '2');
INSERT INTO `car_region` VALUES ('6741', '浑江区（北安大街北，南环路南，浑江西桥西，九中东）', '664', '2');
INSERT INTO `car_region` VALUES ('6742', '运河区（渤海路北，海河路南）', '264', '2');
INSERT INTO `car_region` VALUES ('6743', '新华区（长芦大道东，迎宾大道西）', '264', '2');
INSERT INTO `car_region` VALUES ('6744', '迁安市（迁安镇）', '258', '2');
INSERT INTO `car_region` VALUES ('6745', '迁安市（除迁安镇以外）', '258', '2');
INSERT INTO `car_region` VALUES ('6746', '涿州市（双塔街道、桃园街道）', '199', '2');
INSERT INTO `car_region` VALUES ('6747', '涿州市（除双塔街道、桃园街道以外）', '199', '2');
INSERT INTO `car_region` VALUES ('6748', '宣州区(G50以南以西，水阳江以东，古泉镇吴庄以北)', '2971', '2');
INSERT INTO `car_region` VALUES ('6749', '谯城区(G311以北、银杏路以南、G35以东、G105以西)', '1174', '2');
INSERT INTO `car_region` VALUES ('6750', '大祥区（湘桂黔铁路以南乡镇）', '1511', '2');
INSERT INTO `car_region` VALUES ('6751', '双清区（湘桂黔铁路以东乡镇）', '1511', '2');
INSERT INTO `car_region` VALUES ('6752', '北塔区(市郊乡镇）', '1511', '2');
INSERT INTO `car_region` VALUES ('6753', '鸡冠区（朝阳桥以东、206公路以南、左家村以西）', '737', '2');
INSERT INTO `car_region` VALUES ('6754', '梁园区（市郊乡镇）', '517', '2');
INSERT INTO `car_region` VALUES ('6755', '睢阳区（南环路以外）', '517', '2');
INSERT INTO `car_region` VALUES ('6756', '川汇区(环路沿线以外）', '527', '2');
INSERT INTO `car_region` VALUES ('6757', '三山区（除峨桥镇以外）', '1127', '2');
INSERT INTO `car_region` VALUES ('6758', '三山区（峨桥镇）', '1127', '2');
INSERT INTO `car_region` VALUES ('6759', '肥西县（除柏堰科技园区以外）', '1116', '2');
INSERT INTO `car_region` VALUES ('6760', '长丰县（除双凤经济开发区以外）', '1116', '2');
INSERT INTO `car_region` VALUES ('6766', '本溪满族自治县（县城外）', '589', '2');
INSERT INTO `car_region` VALUES ('6767', '高碑店市（兴华路街道、和平街道）', '199', '2');
INSERT INTO `car_region` VALUES ('6768', '高碑店市（除兴华路街道、和平街道以外）', '199', '2');
INSERT INTO `car_region` VALUES ('6769', '娄星区（娄星城区以外）', '1586', '2');
INSERT INTO `car_region` VALUES ('6770', '鹤城区（市区外）', '1574', '2');
INSERT INTO `car_region` VALUES ('6771', '武安市（除武安镇以外）', '148', '2');
INSERT INTO `car_region` VALUES ('6772', '任丘市（除新华路街道、西环路街道以外）', '264', '2');
INSERT INTO `car_region` VALUES ('6773', '楚雄市（云开路以北，雄宝路以南）', '2336', '2');
INSERT INTO `car_region` VALUES ('6774', '古城区（东康小道以北，玉泽东路以南）', '2304', '2');
INSERT INTO `car_region` VALUES ('6775', '红塔区（玉江大道以南，抚仙路以北）', '2258', '2');
INSERT INTO `car_region` VALUES ('6776', '大理市（祥云路以南，海滨大道以北）', '2347', '2');
INSERT INTO `car_region` VALUES ('6777', '北湖区（市郊乡镇）', '1544', '2');
INSERT INTO `car_region` VALUES ('6778', '苏仙区（市郊乡镇）', '1544', '2');
INSERT INTO `car_region` VALUES ('6779', '赫山区（市郊乡镇）', '1555', '2');
INSERT INTO `car_region` VALUES ('6780', '资阳区（资阳大道以北市郊）', '1555', '2');
INSERT INTO `car_region` VALUES ('6781', '冷水滩区（市郊乡镇）', '1560', '2');
INSERT INTO `car_region` VALUES ('6782', '鄂城区（市郊乡镇）', '1475', '2');
INSERT INTO `car_region` VALUES ('6783', '临潼区（老县城以外）', '2376', '2');
INSERT INTO `car_region` VALUES ('6784', '渝北区（除渝北城区、空港、回兴、鸳鸯城区以外）', '87', '2');
INSERT INTO `car_region` VALUES ('6785', '袁州区（环城路、清宜线环外市郊乡镇）', '1874', '2');
INSERT INTO `car_region` VALUES ('6786', '临川区（市郊乡镇）', '1885', '2');
INSERT INTO `car_region` VALUES ('6790', '锦州经济技术开发区', '598', '2');
INSERT INTO `car_region` VALUES ('6791', '烟台开发区（荣乌高速以西，含大季家镇）', '1042', '2');
INSERT INTO `car_region` VALUES ('6792', '青原区（城郊乡镇）', '1898', '2');
INSERT INTO `car_region` VALUES ('6793', '吉州区（城郊乡镇）', '1898', '2');
INSERT INTO `car_region` VALUES ('6794', '番禺区(榄核镇)', '1601', '2');
INSERT INTO `car_region` VALUES ('6795', '河东区（凤凰路以东、金鸡岭街以北、鹿回头广场以南）', '3690', '2');
INSERT INTO `car_region` VALUES ('6796', '河西区（金鸡岭街以北）', '3690', '2');
INSERT INTO `car_region` VALUES ('6797', '高明区（除荷城外）', '1666', '2');
INSERT INTO `car_region` VALUES ('6798', '麒麟区（珠江源大道以西，寥廓北路以东）', '2247', '2');
INSERT INTO `car_region` VALUES ('6799', '麒麟区（南宁、廖廓、西山、白石口、建宁街道）', '2247', '2');
INSERT INTO `car_region` VALUES ('6800', '麒麟区（南宁、廖廓、西山、白石口、建宁街道以外）', '2247', '2');
INSERT INTO `car_region` VALUES ('6803', '武安市（武安镇）', '148', '2');
INSERT INTO `car_region` VALUES ('6804', '湖滨区（连霍高速以南，陇海铁路以东乡镇）', '495', '2');
INSERT INTO `car_region` VALUES ('6805', '淇滨区(京广线以西，京港澳高速以东乡镇)', '454', '2');
INSERT INTO `car_region` VALUES ('6806', '胶南市（海西路以西，滨海大道以南，临港八路以北）', '1007', '2');
INSERT INTO `car_region` VALUES ('6807', '即墨市（青威路北,华山一路西,文化路南,204国道东）', '1007', '2');
INSERT INTO `car_region` VALUES ('6810', '金湾区（南水镇、高栏港区、平沙镇郊区）', '1609', '2');
INSERT INTO `car_region` VALUES ('6817', '鹤山市(除雅瑶镇/桃源镇镇中心、沙坪镇以外）', '1659', '2');
INSERT INTO `car_region` VALUES ('6818', '金州区（沈海高速公路以西，大窑湾高速公路以东)', '573', '2');
INSERT INTO `car_region` VALUES ('6819', '城　区（城北西街北、南二环南、西二环西、城东路东）', '3074', '2');
INSERT INTO `car_region` VALUES ('6820', '城区（文兴路东，208国道南，绕城高速西，109国道北）', '309', '2');
INSERT INTO `car_region` VALUES ('6821', '城区（大连路北，四矿口西，李白路东，南环路南）', '318', '2');
INSERT INTO `car_region` VALUES ('6822', '北屯市', '2744', '2');
INSERT INTO `car_region` VALUES ('6823', '香格里拉县', '4108', '2');
INSERT INTO `car_region` VALUES ('6824', '德钦县', '4108', '2');
INSERT INTO `car_region` VALUES ('6825', '维西县', '4108', '2');
INSERT INTO `car_region` VALUES ('6826', '凤城市（G304国道以东，丹沈铁路以西）', '593', '2');
INSERT INTO `car_region` VALUES ('6827', '潮安县（除古巷镇政府，枫洋村外）', '1705', '2');
INSERT INTO `car_region` VALUES ('6828', '西充县（主城区以外）', '2022', '2');
INSERT INTO `car_region` VALUES ('6829', '阆中市（主城区以外）', '2022', '2');
INSERT INTO `car_region` VALUES ('6830', '南部县（主城区以外）', '2022', '2');
INSERT INTO `car_region` VALUES ('6831', '平山区（城区外）', '589', '2');
INSERT INTO `car_region` VALUES ('6832', '溪湖区（城区外）', '589', '2');
INSERT INTO `car_region` VALUES ('6833', '明山区（城区外）', '589', '2');
INSERT INTO `car_region` VALUES ('6834', '澄海区(莲华、东里、溪南、盐鸿、隆都、坝头)', '1611', '2');
INSERT INTO `car_region` VALUES ('6835', '铁西区（腾鳌区）', '579', '2');
INSERT INTO `car_region` VALUES ('6836', '大亚湾区（澳头、霞涌、石化区）', '1643', '2');
INSERT INTO `car_region` VALUES ('6837', '齐河县（晏城镇城区以外）', '1060', '2');
INSERT INTO `car_region` VALUES ('6838', '荣成市（青山中路以北、将军中路以西、凭海东路以南）', '1053', '2');
INSERT INTO `car_region` VALUES ('6839', '蕉城区(畲族宫南，洋尾桥北，南漈山东，师院新区西)', '1370', '2');
INSERT INTO `car_region` VALUES ('6840', '蕉城区(畲族宫北，洋尾桥南，南漈山西，师院新区东)', '1370', '2');
INSERT INTO `car_region` VALUES ('6841', '闽侯县（上街镇三福高速以西，浦上大桥以南）', '1303', '2');
INSERT INTO `car_region` VALUES ('6842', '北碚区（主城区外）', '87', '2');
INSERT INTO `car_region` VALUES ('6843', '铁西区（三环到四环）', '560', '2');
INSERT INTO `car_region` VALUES ('6844', '延平区（五里亭北，水泥厂南，名流世家西，南孚以东）', '1352', '2');
INSERT INTO `car_region` VALUES ('6845', '港北区（新城区路以北，登龙桥路以东）', '1757', '2');
INSERT INTO `car_region` VALUES ('6846', '港南区（江南大道以南，西环路以西）', '1757', '2');
INSERT INTO `car_region` VALUES ('6847', '新沂市（京沪高速以东，连徐高速以南）', '911', '2');
INSERT INTO `car_region` VALUES ('6848', '高邮市（除市区，九里镇，一沟镇，车逻镇以外）', '951', '2');
INSERT INTO `car_region` VALUES ('6849', '姜堰市（启扬高速以北，盐靖高速以西）', '959', '2');
INSERT INTO `car_region` VALUES ('6850', '句容市（除市区、黄梅镇、石狮镇、二圣镇以外）', '972', '2');
INSERT INTO `car_region` VALUES ('6851', '化州市（河西、东山、下郭、南盛街道）', '1684', '2');
INSERT INTO `car_region` VALUES ('6852', '化州市（石湾街道）', '1684', '2');
INSERT INTO `car_region` VALUES ('6853', '化州市（除河西、东山、下郭、南盛、石湾街道以外）', '1684', '2');
INSERT INTO `car_region` VALUES ('6854', '高州市（宝光、潘州、山美、石仔岭街道）', '1684', '2');
INSERT INTO `car_region` VALUES ('6855', '高州市（金山街道）', '1684', '2');
INSERT INTO `car_region` VALUES ('6856', '高州市（除宝光、潘州、山美、石仔岭、金山街道以外）', '1684', '2');
INSERT INTO `car_region` VALUES ('6857', '榆阳区（市区外）', '2454', '2');
INSERT INTO `car_region` VALUES ('6858', '铁岭市', '8', '1');
INSERT INTO `car_region` VALUES ('6859', '银州区', '6858', '2');
INSERT INTO `car_region` VALUES ('6860', '清河区', '6858', '2');
INSERT INTO `car_region` VALUES ('6861', '调兵山市', '6858', '2');
INSERT INTO `car_region` VALUES ('6862', '开原市', '6858', '2');
INSERT INTO `car_region` VALUES ('6863', '铁岭县', '6858', '2');
INSERT INTO `car_region` VALUES ('6864', '西丰县', '6858', '2');
INSERT INTO `car_region` VALUES ('6865', '昌图县', '6858', '2');
INSERT INTO `car_region` VALUES ('6866', '宝塔区（市区外）', '2428', '2');
INSERT INTO `car_region` VALUES ('6867', '秦州区（市区外）', '2501', '2');
INSERT INTO `car_region` VALUES ('6868', '麦积区（市区外）', '2501', '2');
INSERT INTO `car_region` VALUES ('6869', '汉台区（环城路以外）', '2442', '2');
INSERT INTO `car_region` VALUES ('6870', '滕州市（京台路东、腾飞路南、鲁班路西，墨子路北）', '1022', '2');
INSERT INTO `car_region` VALUES ('6871', '济源市（环城路以外）', '2780', '2');
INSERT INTO `car_region` VALUES ('6874', '巢湖市（栏杆集,苏湾,柘皋,夏阁,中旱镇,中庙街道）', '1116', '2');
INSERT INTO `car_region` VALUES ('6875', '巢湖市（散兵,烔炀,黄麓,槐林,坝镇镇,庙岗乡）', '1116', '2');
INSERT INTO `car_region` VALUES ('6876', '新泰市（市区外）', '1112', '2');
INSERT INTO `car_region` VALUES ('6877', '盐湖区（国粮街南、迎太路西、运临路东，红旗街北）', '398', '2');
INSERT INTO `car_region` VALUES ('6878', '盐湖区（国粮街北、迎太路东、运临路西，红旗街南）', '398', '2');
INSERT INTO `car_region` VALUES ('6881', '红山区（玉龙大街南,车站南街北,双平路东,清河路西）', '812', '2');
INSERT INTO `car_region` VALUES ('6882', '红山区（玉龙大街北,车站南街南,双平路西,清河路东）', '812', '2');
INSERT INTO `car_region` VALUES ('6883', '同安区（同宏路东，同安大道北，榕源路西，东山村南）', '1315', '2');
INSERT INTO `car_region` VALUES ('6884', '同安区（同宏路西，同安大道南，榕源路东，东山村北）', '1315', '2');
INSERT INTO `car_region` VALUES ('6886', '霸州市(京九铁路东，牤牛河西，裕华道南，112国道北)', '274', '2');
INSERT INTO `car_region` VALUES ('6887', '霸州市(京九铁路西，牤牛河东，裕华道北，112国道南)', '274', '2');
INSERT INTO `car_region` VALUES ('6888', '天长市（天长街道,杨村,界牌,金集,郑集,石梁镇）', '1159', '2');
INSERT INTO `car_region` VALUES ('6891', '天长市（除天长街道,杨村,界牌,金集,郑集,石梁镇外）', '1159', '2');
INSERT INTO `car_region` VALUES ('6894', '藁城市(藁梅公路东,翼辰大街西,黄石高速南,石井村北)', '142', '2');
INSERT INTO `car_region` VALUES ('6895', '藁城市(藁梅公路西,翼辰大街东,黄石高速北,石井村南)', '142', '2');
INSERT INTO `car_region` VALUES ('6896', '鹿泉市（翠屏大街东,石柏大街西,恒益路南,龙泉路北）', '142', '2');
INSERT INTO `car_region` VALUES ('6897', '鹿泉市（翠屏大街西,石柏大街东,恒益路北,龙泉路南）', '142', '2');
INSERT INTO `car_region` VALUES ('6898', '防城区（三甲水库以南，钦东高速以西）', '1749', '2');
INSERT INTO `car_region` VALUES ('6899', '防城区（三甲水库以北，钦东高速以东）', '1749', '2');
INSERT INTO `car_region` VALUES ('6900', '港口区（疏港大道以北，西湾大桥以东）', '1749', '2');
INSERT INTO `car_region` VALUES ('6901', '港口区（疏港大道以南，西湾大桥以西）', '1749', '2');
INSERT INTO `car_region` VALUES ('6902', '临安市（S208以东）', '1213', '2');
INSERT INTO `car_region` VALUES ('6903', '临安市（S208以西）', '1213', '2');
INSERT INTO `car_region` VALUES ('6904', '定州市（兴定路南、博陵街东、自来佛街西、中兴路北）', '199', '2');
INSERT INTO `car_region` VALUES ('6905', '定州市（兴定路北、博陵街西、自来佛街东、中兴路南）', '199', '2');
INSERT INTO `car_region` VALUES ('6906', '恩平市(平石镇中心、东安镇中心、恩城镇）', '1659', '2');
INSERT INTO `car_region` VALUES ('6907', '恩平市(除平石镇中心、东安镇中心、恩城镇以外）', '1659', '2');
INSERT INTO `car_region` VALUES ('6909', '尧都区(汾东路南，滨河西路东，环城南路北，东外环西)', '379', '2');
INSERT INTO `car_region` VALUES ('6910', '尧都区(汾东路北，滨河西路西，环城南路南，东外环东)', '379', '2');
INSERT INTO `car_region` VALUES ('6911', '新郑市（市区内，薛店，航空港区）', '412', '2');
INSERT INTO `car_region` VALUES ('6912', '新郑市（除市区内，薛店，航空港区以外）', '412', '2');
INSERT INTO `car_region` VALUES ('6913', '昌江区（迎宾大道以南，长虹路以东，昌江以西北城区）', '1832', '2');
INSERT INTO `car_region` VALUES ('6914', '昌江区（迎宾大道以北，长虹路以西，昌江以东南乡镇）', '1832', '2');
INSERT INTO `car_region` VALUES ('6915', '信州区（志敏大道以北，三清山大道以南，玉丰路以西）', '1861', '2');
INSERT INTO `car_region` VALUES ('6916', '信州区（志敏大道以南，三清山大道以北郊区）', '1861', '2');
INSERT INTO `car_region` VALUES ('6917', '上饶县（武夷山大道以西其他乡镇）', '1861', '2');
INSERT INTO `car_region` VALUES ('6918', '上饶县（武夷山大道以东城区）', '1861', '2');
INSERT INTO `car_region` VALUES ('6923', '电白县（水东镇）', '1684', '2');
INSERT INTO `car_region` VALUES ('6924', '电白县（除水东镇以外）', '1684', '2');
INSERT INTO `car_region` VALUES ('6925', '茂港区（南海、高地街道）', '1684', '2');
INSERT INTO `car_region` VALUES ('6926', '茂港区（除南海、高地街道以外）', '1684', '2');
INSERT INTO `car_region` VALUES ('6927', '潜江市（市区内）', '2922', '2');
INSERT INTO `car_region` VALUES ('6928', '潜江市（市郊乡镇）', '2922', '2');
INSERT INTO `car_region` VALUES ('6929', '天门市（市区内）', '2980', '2');
INSERT INTO `car_region` VALUES ('6930', '天门市（市郊乡镇）', '2980', '2');
INSERT INTO `car_region` VALUES ('6931', '仙桃市（干河、沙嘴、龙华山街道）', '2983', '2');
INSERT INTO `car_region` VALUES ('6932', '仙桃市（其他乡镇）', '2983', '2');
INSERT INTO `car_region` VALUES ('6933', '罗定市（罗城、城西、城东、附城街道）', '1698', '2');
INSERT INTO `car_region` VALUES ('6934', '罗定市（双东、素龙街道）', '1698', '2');
INSERT INTO `car_region` VALUES ('6935', '渝水区（城区内）', '1842', '2');
INSERT INTO `car_region` VALUES ('6936', '渝水区（郊区其他乡镇）', '1842', '2');
INSERT INTO `car_region` VALUES ('6937', '英德市（英城镇中心、大站镇中心）', '1704', '2');
INSERT INTO `car_region` VALUES ('6938', '英德市（除英城镇中心、大站镇中心以外）', '1704', '2');
INSERT INTO `car_region` VALUES ('6939', '惠东县（平山、大岭）', '1643', '2');
INSERT INTO `car_region` VALUES ('6940', '惠东县（白花、多祝、稔山、安墩、吉隆、黄埠、巽寮）', '1643', '2');
INSERT INTO `car_region` VALUES ('6942', '罗定市(除罗城、城西、城东、附城、双东、素龙街道外)', '1698', '2');
INSERT INTO `car_region` VALUES ('6944', '黄骅市(昌骅大街东、新兴大街西、学院路南、石港路北)', '264', '2');
INSERT INTO `car_region` VALUES ('6945', '黄骅市(昌骅大街西、新兴大街东、学院路北、石港路南)', '264', '2');
INSERT INTO `car_region` VALUES ('6948', '龙口市(环城北路南,张新线东,烟新高速北,凤凰山路西)', '1042', '2');
INSERT INTO `car_region` VALUES ('6949', '龙口市(环城北路北,张新线西,烟新高速南,凤凰山路东)', '1042', '2');
INSERT INTO `car_region` VALUES ('6950', '文登市（虎山路西，秀山路北，威青高速东）', '1053', '2');
INSERT INTO `car_region` VALUES ('6951', '文登市（虎山路东，秀山路南，威青高速西）', '1053', '2');
INSERT INTO `car_region` VALUES ('6954', '胶州市(香港路北,省道s219南,海尔大道西,同三高速东)', '1007', '2');
INSERT INTO `car_region` VALUES ('6955', '胶州市(香港路南,省道s219北,海尔大道东,同三高速西)', '1007', '2');
INSERT INTO `car_region` VALUES ('6957', '平度市（天津路南,青啤大道西,S218道东,世纪大道北）', '1007', '2');
INSERT INTO `car_region` VALUES ('6958', '平度市（天津路北,青啤大道东,S218道西,世纪大道南）', '1007', '2');
INSERT INTO `car_region` VALUES ('6959', '曲阜市（市区以内）', '2900', '2');
INSERT INTO `car_region` VALUES ('6960', '曲阜市（市区以外）', '2900', '2');
INSERT INTO `car_region` VALUES ('6961', '白云区(除人和镇、太和镇、钟落潭镇外)', '1601', '2');
INSERT INTO `car_region` VALUES ('6962', '白云区(人和镇、太和镇、钟落潭镇)', '1601', '2');
INSERT INTO `car_region` VALUES ('6963', '博望区', '1137', '2');
INSERT INTO `car_region` VALUES ('6964', '黄埔区(除长洲街道外)', '1601', '2');
INSERT INTO `car_region` VALUES ('6965', '黄埔区(长洲街道)', '1601', '2');
INSERT INTO `car_region` VALUES ('6967', '科尔沁区（西辽河以东，福利路以西，新建大街以北）', '902', '2');
INSERT INTO `car_region` VALUES ('6968', '科尔沁区（西辽河以西，福利路以东，新建大街以南）', '902', '2');
INSERT INTO `car_region` VALUES ('6969', '遂溪县（遂城镇、黄城镇镇中心）', '1677', '2');
INSERT INTO `car_region` VALUES ('6970', '遂溪县（除遂城镇、黄城镇镇中心以外）', '1677', '2');
INSERT INTO `car_region` VALUES ('6997', '璧山县（县城内）', '87', '2');
INSERT INTO `car_region` VALUES ('6998', '璧山县（县城外）', '87', '2');
INSERT INTO `car_region` VALUES ('6999', '合川区（主城区内）', '87', '2');
INSERT INTO `car_region` VALUES ('7000', '合川区（主城区外）', '87', '2');
INSERT INTO `car_region` VALUES ('7001', '江津区（主城区内）', '87', '2');
INSERT INTO `car_region` VALUES ('7002', '江津区（主城区外）', '87', '2');
INSERT INTO `car_region` VALUES ('7003', '荣昌县（县城内）', '87', '2');
INSERT INTO `car_region` VALUES ('7004', '荣昌县（县城外）', '87', '2');
INSERT INTO `car_region` VALUES ('7005', '铜梁县（县城内）', '87', '2');
INSERT INTO `car_region` VALUES ('7006', '铜梁县（县城外）', '87', '2');
INSERT INTO `car_region` VALUES ('7007', '永川区（主城区内）', '87', '2');
INSERT INTO `car_region` VALUES ('7008', '永川区（主城区外）', '87', '2');
INSERT INTO `car_region` VALUES ('7009', '长寿区(城区、渡舟镇、晏家镇、朱家镇）', '87', '2');
INSERT INTO `car_region` VALUES ('7010', '长寿区(除城区、渡舟镇、晏家镇、朱家镇以外）', '87', '2');
INSERT INTO `car_region` VALUES ('7011', '呈贡区（石龙路以南，关山水库以北，梁王路以西）', '2235', '2');
INSERT INTO `car_region` VALUES ('7012', '呈贡区（石龙路以北，关山水库以南，梁王路以东）', '2235', '2');
INSERT INTO `car_region` VALUES ('7357', '随县', '1479', '2');
INSERT INTO `car_region` VALUES ('7396', '肥城市(工业三路南,肥桃路北,吉山路西,金牛山大街东)', '1112', '2');
INSERT INTO `car_region` VALUES ('7397', '肥城市(工业三路北,肥桃路南,吉山路东,金牛山大街西)', '1112', '2');
INSERT INTO `car_region` VALUES ('7398', '盐田区（沙头角、海山、盐田街道）', '1607', '2');
INSERT INTO `car_region` VALUES ('7399', '盐田区（梅沙街道）', '1607', '2');
INSERT INTO `car_region` VALUES ('8138', '寿光市（环路内）', '1032', '2');
INSERT INTO `car_region` VALUES ('8139', '寿光市（环路外）', '1032', '2');
INSERT INTO `car_region` VALUES ('8140', '莱州市（环路内，玉海街以南）', '1042', '2');
INSERT INTO `car_region` VALUES ('8141', '莱州市（环路外，玉海街以北）', '1042', '2');
INSERT INTO `car_region` VALUES ('8142', '临渭区(崇业路东,渭河大桥西,陇海铁路北,乐天大街南)', '2416', '2');
INSERT INTO `car_region` VALUES ('8143', '临渭区(崇业路西,渭河大桥东,陇海铁路南,乐天大街北)', '2416', '2');
INSERT INTO `car_region` VALUES ('8145', '马尾区（机场高速南，江滨东路北，罗星东路西）', '1303', '2');
INSERT INTO `car_region` VALUES ('8146', '马尾区（机场高速北，江滨东路南，罗星东路东）', '1303', '2');
INSERT INTO `car_region` VALUES ('8187', '陆丰市（城东街道、东海街道、河西街道）', '1650', '2');
INSERT INTO `car_region` VALUES ('8188', '陆丰市（除城东街道、东海街道、河西街道以外）', '1650', '2');
INSERT INTO `car_region` VALUES ('8538', '潮南区（峡山、陈店、两英、司马浦）', '1611', '2');
INSERT INTO `car_region` VALUES ('8539', '潮南区（井都、陇田、雷岭、成田、胪岗、仙城）', '1611', '2');
INSERT INTO `car_region` VALUES ('8540', '民众镇', '1657', '2');
INSERT INTO `car_region` VALUES ('8541', '博罗县（罗阳、义和）', '1643', '2');
INSERT INTO `car_region` VALUES ('8542', '博罗县（龙溪、福田、长宁、园洲、石湾、杨村、公庄）', '1643', '2');
INSERT INTO `car_region` VALUES ('8543', '南海区（罗村街道、狮山镇）', '1666', '2');
INSERT INTO `car_region` VALUES ('8545', '大港区（大港油田）', '83', '2');
INSERT INTO `car_region` VALUES ('8546', '大港区（主城区内）', '83', '2');
INSERT INTO `car_region` VALUES ('8547', '大港区（主城区外）', '83', '2');
INSERT INTO `car_region` VALUES ('8558', '沭阳县', '933', '2');
INSERT INTO `car_region` VALUES ('8559', '泗阳县', '933', '2');
INSERT INTO `car_region` VALUES ('8891', '七星关区', '2180', '2');
INSERT INTO `car_region` VALUES ('9752', '萝岗区(永和街道、九龙镇)', '1601', '2');
INSERT INTO `car_region` VALUES ('11432', '新林区', '793', '2');
INSERT INTO `car_region` VALUES ('12746', '畅好农场', '3699', '2');
INSERT INTO `car_region` VALUES ('12747', '彬村山华侨农场', '3115', '2');
INSERT INTO `car_region` VALUES ('12748', '东太农场', '3115', '2');
INSERT INTO `car_region` VALUES ('12749', '东红农场', '3115', '2');
INSERT INTO `car_region` VALUES ('12750', '东升农场', '3115', '2');
INSERT INTO `car_region` VALUES ('12751', '南俸农场', '3115', '2');
INSERT INTO `car_region` VALUES ('12752', '西培农场', '3034', '2');
INSERT INTO `car_region` VALUES ('12753', '西联农场', '3034', '2');
INSERT INTO `car_region` VALUES ('12754', '蓝洋农场', '3034', '2');
INSERT INTO `car_region` VALUES ('12755', '八一农场', '3034', '2');
INSERT INTO `car_region` VALUES ('12756', '西华农场', '3034', '2');
INSERT INTO `car_region` VALUES ('12757', '西庆农场', '3034', '2');
INSERT INTO `car_region` VALUES ('12758', '西流农场', '3034', '2');
INSERT INTO `car_region` VALUES ('12759', '新盈农场', '3034', '2');
INSERT INTO `car_region` VALUES ('12760', '龙山农场', '3034', '2');
INSERT INTO `car_region` VALUES ('12761', '红岭农场', '3034', '2');
INSERT INTO `car_region` VALUES ('12762', '公坡镇', '3698', '2');
INSERT INTO `car_region` VALUES ('12763', '迈号镇', '3698', '2');
INSERT INTO `car_region` VALUES ('12764', '清谰镇', '3698', '2');
INSERT INTO `car_region` VALUES ('12765', '南阳镇', '3698', '2');
INSERT INTO `car_region` VALUES ('12766', '新桥镇', '3698', '2');
INSERT INTO `car_region` VALUES ('12767', '头苑镇', '3698', '2');
INSERT INTO `car_region` VALUES ('12768', '宝芳乡', '3698', '2');
INSERT INTO `car_region` VALUES ('12769', '龙马乡', '3698', '2');
INSERT INTO `car_region` VALUES ('12770', '湖山乡', '3698', '2');
INSERT INTO `car_region` VALUES ('12771', '东路农场', '3698', '2');
INSERT INTO `car_region` VALUES ('12772', '南阳农场', '3698', '2');
INSERT INTO `car_region` VALUES ('12773', '罗豆农场', '3698', '2');
INSERT INTO `car_region` VALUES ('12774', '橡胶研究所', '3698', '2');
INSERT INTO `car_region` VALUES ('12775', '六连林场', '3137', '2');
INSERT INTO `car_region` VALUES ('12776', '东兴农场', '3137', '2');
INSERT INTO `car_region` VALUES ('12777', '东和农场', '3137', '2');
INSERT INTO `car_region` VALUES ('12778', '新中农场', '3137', '2');
INSERT INTO `car_region` VALUES ('12779', '兴隆华侨农场', '3137', '2');
INSERT INTO `car_region` VALUES ('12780', '广坝农场', '3173', '2');
INSERT INTO `car_region` VALUES ('12781', '东方华侨农场', '3173', '2');
INSERT INTO `car_region` VALUES ('12782', '金鸡岭农场', '3703', '2');
INSERT INTO `car_region` VALUES ('12783', '中瑞农场', '3703', '2');
INSERT INTO `car_region` VALUES ('12784', '南海农场', '3703', '2');
INSERT INTO `car_region` VALUES ('12785', '中建农场', '3704', '2');
INSERT INTO `car_region` VALUES ('12786', '中坤农场', '3704', '2');
INSERT INTO `car_region` VALUES ('12787', '大丰镇', '3702', '2');
INSERT INTO `car_region` VALUES ('12788', '红光农场', '3702', '2');
INSERT INTO `car_region` VALUES ('12789', '西达农场', '3702', '2');
INSERT INTO `car_region` VALUES ('12790', '金安农场', '3702', '2');
INSERT INTO `car_region` VALUES ('12791', '红华农场', '3701', '2');
INSERT INTO `car_region` VALUES ('12792', '加来农场', '3701', '2');
INSERT INTO `car_region` VALUES ('12793', '白沙农场', '3706', '2');
INSERT INTO `car_region` VALUES ('12794', '龙江农场', '3706', '2');
INSERT INTO `car_region` VALUES ('12795', '邦溪农场', '3706', '2');
INSERT INTO `car_region` VALUES ('12796', '七叉镇', '3705', '2');
INSERT INTO `car_region` VALUES ('12797', '王下乡', '3705', '2');
INSERT INTO `car_region` VALUES ('12798', '海南矿业公司', '3705', '2');
INSERT INTO `car_region` VALUES ('12799', '霸王岭林场', '3705', '2');
INSERT INTO `car_region` VALUES ('12800', '红林农场', '3705', '2');
INSERT INTO `car_region` VALUES ('12801', '尖峰岭林业公司', '3710', '2');
INSERT INTO `car_region` VALUES ('12802', '莺歌海盐场', '3710', '2');
INSERT INTO `car_region` VALUES ('12803', '山荣农场', '3710', '2');
INSERT INTO `car_region` VALUES ('12804', '乐光农场', '3710', '2');
INSERT INTO `car_region` VALUES ('12805', '保国农场', '3710', '2');
INSERT INTO `car_region` VALUES ('12806', '吊罗山林业公司', '3708', '2');
INSERT INTO `car_region` VALUES ('12807', '岭门农场', '3708', '2');
INSERT INTO `car_region` VALUES ('12808', '南平农场', '3708', '2');
INSERT INTO `car_region` VALUES ('12809', '保亭研究所', '3709', '2');
INSERT INTO `car_region` VALUES ('12810', '新星农场', '3709', '2');
INSERT INTO `car_region` VALUES ('12811', '金江农场', '3709', '2');
INSERT INTO `car_region` VALUES ('12812', '三道农场', '3709', '2');
INSERT INTO `car_region` VALUES ('12813', '吊罗山乡', '3707', '2');
INSERT INTO `car_region` VALUES ('12814', '黎母山林业公司', '3707', '2');
INSERT INTO `car_region` VALUES ('12815', '阳江农场', '3707', '2');
INSERT INTO `car_region` VALUES ('12816', '乌石农场', '3707', '2');
INSERT INTO `car_region` VALUES ('12817', '加钗农场', '3707', '2');
INSERT INTO `car_region` VALUES ('12818', '长征农场', '3707', '2');
INSERT INTO `car_region` VALUES ('12819', '中沙群岛', '3711', '2');
INSERT INTO `car_region` VALUES ('12824', '热作学院', '3034', '2');
INSERT INTO `car_region` VALUES ('13989', '江阴市', '984', '2');
INSERT INTO `car_region` VALUES ('14848', '和田县', '2666', '2');
INSERT INTO `car_region` VALUES ('15943', '宜兴市', '984', '2');
INSERT INTO `car_region` VALUES ('15944', '绍兴县', '1255', '2');
INSERT INTO `car_region` VALUES ('15945', '阿拉尔市', '31', '1');
INSERT INTO `car_region` VALUES ('15946', '图木舒克市', '31', '1');
INSERT INTO `car_region` VALUES ('15947', '图木舒克市', '15946', '2');
INSERT INTO `car_region` VALUES ('15948', '阿拉尔市', '15945', '2');
INSERT INTO `car_region` VALUES ('16899', '长城区', '2509', '2');
INSERT INTO `car_region` VALUES ('16923', '镜铁区', '2509', '2');
INSERT INTO `car_region` VALUES ('18317', '安源区', '1836', '2');
INSERT INTO `car_region` VALUES ('18374', '康巴什新区', '870', '2');

-- ----------------------------
-- Table structure for `car_report_form`
-- ----------------------------
DROP TABLE IF EXISTS `car_report_form`;
CREATE TABLE `car_report_form` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `report_uid` int(11) unsigned NOT NULL COMMENT '报单中心uid',
  `uid` int(11) unsigned NOT NULL COMMENT '报单uid',
  `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL DEFAULT '' COMMENT '姓名',
  `address` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '' COMMENT '地址',
  `mobile` varchar(11) COLLATE utf8_unicode_ci NOT NULL DEFAULT '' COMMENT '手机号',
  `team_list` int(11) NOT NULL DEFAULT '0' COMMENT '团队id',
  `posi` tinyint(10) DEFAULT '0' COMMENT '若手动排序的位置',
  `is_auto` tinyint(2) unsigned NOT NULL DEFAULT '1' COMMENT '进组规则 1:进新组 0:进旧组',
  `recomm_id` int(11) unsigned DEFAULT '0' COMMENT '推荐人uid',
  `team_id` int(11) unsigned DEFAULT '0' COMMENT '站队uid',
  `goods_id` int(11) NOT NULL DEFAULT '0' COMMENT '商品id',
  `price` decimal(10,2) NOT NULL COMMENT '金额',
  `thumb` text COLLATE utf8_unicode_ci COMMENT '图片',
  `card_front` text COLLATE utf8_unicode_ci COMMENT '身份证正面',
  `card_negative` text COLLATE utf8_unicode_ci COMMENT '身份证反面',
  `remark` text COLLATE utf8_unicode_ci COMMENT '驳回',
  `remarks` text COLLATE utf8_unicode_ci COMMENT '备注',
  `status` tinyint(1) unsigned NOT NULL COMMENT '状态 1:待审核 2:审核通过 4:财务审核通过',
  `created_at` int(11) NOT NULL COMMENT '创建时间',
  `updated_at` int(11) DEFAULT '0' COMMENT '更新时间',
  `goods_status` tinyint(2) DEFAULT '0' COMMENT '0:未发货 1:已发货 2:已收货 3:已评价 4:已退货',
  `express_type` varchar(30) COLLATE utf8_unicode_ci DEFAULT '' COMMENT '快递公司',
  `express_no` varchar(20) COLLATE utf8_unicode_ci DEFAULT '' COMMENT '快递号',
  `reason` varchar(50) COLLATE utf8_unicode_ci DEFAULT '' COMMENT '理由',
  `operateid` int(10) DEFAULT '0' COMMENT '操作ID -1:用户确定 X:系统管理员',
  PRIMARY KEY (`id`),
  KEY `is_auto` (`is_auto`)
) ENGINE=InnoDB AUTO_INCREMENT=181 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ROW_FORMAT=COMPACT COMMENT='报单表';

-- ----------------------------
-- Records of car_report_form
-- ----------------------------
INSERT INTO `car_report_form` VALUES ('1', '4', '101', '程小红', '北京', '18972678085', '1', '1', '0', '98', '0', '1', '16800.00', null, null, null, null, null, '2', '1546483512', '1546483512', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('2', '4', '103', '王海宇', '北京', '15866666666', '1', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546484070', '1546484070', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('3', '4', '104', '韩东', '北京', '15866666666', '1', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546484315', '1546484315', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('4', '4', '105', '仲伟双', '北京', '15866666666', '1', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546484419', '1546484419', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('5', '4', '106', '郑道云', '北京', '15866666666', '1', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546484511', '1546484511', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('6', '4', '107', '郑道云', '北京', '15866666666', '1', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546484582', '1546484582', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('7', '4', '108', '韩利', '北京', '15971197077', '1', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546484756', '1546484756', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('8', '1', '109', '穆向前', 'beijing', '15515882499', '1', '8', '0', '108', '0', '1', '16800.00', '/uploads/image/201901/03/20190103112026_56159.jpeg', null, null, '未知原因被驳回', '33', '3', '1546485626', '1546485792', '0', '', '', '', '0');
INSERT INTO `car_report_form` VALUES ('9', '4', '109', '穆向前', '8543组，旧组移至新系统', '15515882499', '1', '8', '0', '108', '0', '1', '16800.00', '/uploads/image/201901/03/20190103112823_79087.png', null, null, null, '8543组，旧组移至新系统', '2', '1546486103', '1546498413', '0', '', '', '', '0');
INSERT INTO `car_report_form` VALUES ('10', '13', '110', '陈柏光', '北京', '13318315309', '2', '1', '1', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546487389', '1546487389', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('11', '47', '111', '李连芳', '北京', '13222006175', '3', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546490676', '1546490676', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('12', '47', '112', '张小平', '北京', '15184701184', '3', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546490819', '1546490819', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('13', '47', '113', '李连芳', '北京', '13222006175', '3', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546490979', '1546490979', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('14', '47', '114', '刘乐', '北京', '15866666666', '3', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546491171', '1546491171', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('15', '47', '115', '马小平', '北京', '15866666666', '3', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546491348', '1546491348', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('16', '47', '116', '陈燕斌', '北京', '15866666666', '3', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546491458', '1546491458', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('17', '47', '117', '陈建中', '北京', '15866666666', '3', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546491633', '1546491633', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('18', '47', '118', '乔建华', '北京', '15866666666', '3', '8', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546493354', '1546493354', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('19', '47', '119', '张小平', '北京', '15866666666', '3', '9', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546493492', '1546493492', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('20', '47', '120', '麻召君', '北京', '15866666666', '3', '10', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546493586', '1546493586', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('21', '89', '705', '贺海容', '北京', '13693368069', '1', '9', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546828244', '1546828244', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('22', '4', '706', '魏福桃', '北京', '18908911238', '1', '10', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546828577', '1546828577', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('23', '4', '707', '魏福桃B', '北京', '18908911238', '1', '11', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546828681', '1546828681', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('24', '4', '710', '杨光浩', '北京', '18062318334', '1', '12', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546829040', '1546829040', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('25', '4', '730', '李颖', '北京', '15926850688', '1', '13', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546829295', '1546829295', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('26', '89', '742', '崔念崧', '北京', '15866666666', '5', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546830100', '1546830100', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('27', '89', '760', '崔绍其', '北京', '15866666666', '5', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546830227', '1546830227', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('28', '89', '772', '崔云开', '北京', '15866666666', '5', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546830402', '1546830402', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('29', '89', '777', '老宝怡', '北京', '15866666666', '5', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546830581', '1546830581', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('30', '89', '778', '崔珍葵', '北京', '15866666666', '5', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546830909', '1546830909', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('31', '89', '783', '崔艳芳', '北京', '15866666666', '5', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546832205', '1546832205', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('32', '89', '793', '李钰欢', '北京', '15866666666', '5', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546832471', '1546832471', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('33', '89', '797', '崔琼开', '北京', '15866666666', '5', '8', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546832632', '1546832632', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('34', '89', '798', '崔云开', '北京', '15866666666', '5', '9', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546832819', '1546832819', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('35', '89', '799', '卢倩萍', '北京', '15866666666', '5', '10', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546832936', '1546832936', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('36', '89', '808', '张晓阳', '北京', '15947719433', '6', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546839830', '1546839830', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('37', '89', '813', '王白龙', '北京', '15866666666', '6', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546840094', '1546840094', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('38', '89', '814', '孙柏林', '北京', '15866666666', '6', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546840236', '1546840236', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('39', '89', '815', '闫太铭', '北京', '15866666666', '6', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546840327', '1546840327', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('40', '89', '818', '乌日其其格', '北京', '15866666666', '6', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546840468', '1546840468', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('41', '89', '820', '陈红亮', '北京', '15866666666', '6', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546840594', '1546840594', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('42', '89', '821', '楠茜', '北京', '13704716526', '6', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546840688', '1546840688', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('43', '89', '822', '石松林', '北京', '15866666666', '6', '8', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546840783', '1546840783', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('44', '89', '823', '包春梅', '15866666666', '', '6', '9', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546840870', '1546840870', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('45', '89', '824', '木仁', '北京', '15866666666', '6', '10', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546841025', '1546841025', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('47', '13', '843', '陈志宁', '北京', '13809702292', '8', '1', '1', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546842061', '1546842061', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('48', '13', '869', '沈志强', '北京', '13927280333', '9', '1', '1', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546842516', '1546842516', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('49', '13', '875', '陈雅昭', '北京', '18029211879', '10', '1', '1', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546842647', '1546842647', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('50', '13', '878', '陈志宁', '北京', '13809702292', '11', '1', '1', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546842771', '1546842771', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('51', '13', '881', '陈志宁', '北京', '13923153303', '12', '1', '1', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546842889', '1546842889', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('52', '13', '885', '敬春华', '北京', '13923153303', '13', '1', '1', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546843027', '1546843027', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('53', '57', '916', '褚洪光', '北京', '13902691564', '14', '1', '1', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546844276', '1546844276', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('54', '57', '924', '褚洪光', '北京', '13902691564', '15', '1', '1', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546844473', '1546844473', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('55', '57', '927', '褚洪光', '北京', '13902691564', '16', '1', '1', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546844648', '1546844648', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('56', '89', '1022', '赵秀端', '北京', '15866666666', '17', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546847358', '1546847358', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('57', '89', '1027', '魏金玉', '北京', '15866666666', '17', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546847499', '1546847499', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('58', '89', '1031', '郭志清', '北京', '15866666666', '17', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546847623', '1546847623', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('59', '89', '1035', '朱德平', '北京', '15866666666', '17', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546847736', '1546847736', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('60', '89', '1038', '温小军', '北京', '15648188887', '17', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546847836', '1546847836', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('61', '39', '1041', '温小军', '北京', '15648188888', '17', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546847991', '1546847991', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('62', '39', '1047', '温小军', '北京', '15648188887', '17', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546848075', '1546848075', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('63', '89', '1056', '海棠', '北京', '15866666666', '18', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546848362', '1546848362', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('64', '89', '1225', '达布希勒图', '北京', '15866666666', '18', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546914260', '1546914260', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('65', '89', '1226', '郭军', '北京', '15866666666', '18', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546914412', '1546914412', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('66', '89', '1227', '杨利平', '北京', '15866666666', '18', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546914529', '1546914529', '2', '', '', '', '1');
INSERT INTO `car_report_form` VALUES ('67', '89', '1228', '王巧生', '北京', '15866666666', '18', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546915623', '1546915623', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('68', '89', '1229', '旭仁花', '北京', '15866666666', '18', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546915713', '1546915713', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('69', '89', '1230', '史志刚', '北京', '15866666666', '18', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546915805', '1546915805', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('70', '89', '1231', '杨玉成', '北京', '15866666666', '18', '8', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546915900', '1546915900', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('71', '89', '1232', '张芳', '北京', '15866666666', '18', '9', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546915989', '1546915989', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('72', '89', '1233', '王雯爽', '北京', '15866666666', '18', '10', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546916069', '1546916069', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('73', '89', '1234', '温兰香', '北京', '15704710963', '19', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546916233', '1546916233', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('74', '89', '1235', '曹建平', '北京', '15848930064', '19', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546916337', '1546916337', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('75', '89', '1236', '武三毛', '北京', '15754931106', '19', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546916549', '1546916549', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('76', '89', '1237', '陈铸钢', '北京', '15866666666', '19', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546916630', '1546916630', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('77', '89', '1238', '杨丽萍', '北京', '13674812998', '19', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546916758', '1546916758', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('78', '89', '1239', '孙志平', '北京', '15866666666', '19', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546916859', '1546916859', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('79', '89', '1240', '庄云宝', '北京', '15866666666', '19', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546916955', '1546916955', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('80', '89', '1241', '云俊荣', '北京', '15866666666', '19', '8', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546917036', '1546917036', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('81', '89', '1242', '周勇', '北京', '15866666666', '19', '9', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546917127', '1546917127', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('82', '89', '1243', '赵伟', '北京', '15866666666', '20', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546917327', '1546917327', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('83', '52', '444', '邓秋浓', '北京', '13727139863', '20', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546917936', '1546917936', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('84', '52', '525', '刘桂娇', '北京', '18344008632', '20', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546918792', '1546918792', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('85', '52', '1245', '林保嫦', '北京', '17322760973', '20', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546919000', '1546919000', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('86', '44', '1246', '黄彩云', '北京', '13580860018', '20', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546919140', '1546919140', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('87', '44', '1247', '黄彩云', '北京', '13580860018', '20', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546919539', '1546919539', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('88', '44', '1249', '黄彩云', '北京', '13580860018', '20', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546919615', '1546919615', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('89', '44', '1250', '黄彩云', '北京', '13580860018', '21', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546919879', '1546919879', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('90', '44', '1252', '黄彩云', '北京', '13580860018', '21', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546929628', '1546929628', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('91', '44', '1255', '苏翠珍', '北京', '13809871988', '21', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546930074', '1546930074', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('92', '44', '1257', '刘祥能', '北京', '13660633235', '21', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546930185', '1546930185', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('93', '44', '1258', '刘桂华', '北京', '13927649383', '21', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546930328', '1546930328', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('94', '44', '1259', '陈志峰', '北京', '13907965350', '21', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546930437', '1546930437', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('95', '44', '1260', '刘桂华', '北京', '13927649383', '21', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546930547', '1546930547', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('96', '89', '1261', '曾漫远', '北京', '15866666666', '22', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546931155', '1546931155', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('97', '89', '1264', '黄彩云', '北京', '13580860018', '22', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546931298', '1546931298', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('98', '44', '1267', '黄彩云', '北京', '13580860018', '22', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546931486', '1546931486', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('99', '44', '1268', '嫦娥', '北京', '17322760973', '22', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546931765', '1546931765', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('100', '44', '1271', '黄彩云', '北京', '13580860018', '22', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546931961', '1546931961', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('101', '44', '1273', '黄彩云', '北京', '13580860018', '22', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546932077', '1546932077', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('102', '44', '1274', '黄彩云', '北京', '13580860018', '22', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546932161', '1546932161', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('103', '89', '1280', '嫦娥', '北京', '17322760973', '22', '8', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546932251', '1546932251', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('104', '52', '1283', '钟雪霞', '北京', '13413490049', '23', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546933082', '1546933082', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('105', '44', '1284', '黄彩云', '北京', '13580860018', '23', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546933228', '1546933228', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('106', '44', '1285', '黄彩云', '北京', '13580860018', '23', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546933329', '1546933329', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('107', '44', '1286', '黄彩云', '北京', '13580860018', '23', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546933437', '1546933437', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('108', '44', '1289', '黄彩云', '北京', '13580860018', '23', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546933611', '1546933611', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('109', '44', '1292', '刘桂华', '北京', '13927649383', '23', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546934561', '1546934561', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('110', '44', '1301', '陈志峰', '北京', '13907965350', '23', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546934763', '1546934763', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('111', '3', '1251', '李锡泉', '佛山市顺德区容桂镇中华路31号', '13360363808', '6', '11', '0', '814', '0', '1', '16800.00', '/uploads/image/201901/08/20190108160632_49878.jpeg', null, null, null, '暂时不拿', '2', '1546934792', '1546937299', '0', '', '', '', '0');
INSERT INTO `car_report_form` VALUES ('112', '13', '1317', '沈志强', '北京', '13927280333', '24', '1', '1', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546935494', '1546935494', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('113', '31', '1319', '雷小玲', '北京', '18688452382', '25', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546935716', '1546935716', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('114', '31', '1320', '张洁莹', '北京', '13709669330', '25', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546936105', '1546936105', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('115', '31', '1321', '陈海瑛', '北京', '13923202308', '25', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546936300', '1546936300', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('116', '31', '1322', '陈惠杰', '北京', '13927779611', '25', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1546936393', '1546936393', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('117', '13', '1332', '敬春华', '广东省佛山市南海区西樵镇轻纺织城绣缨街49号', '18923153303', '0', null, '1', '110', '0', '1', '16800.00', '/uploads/image/201901/08/20190108173010_72722.jpeg', null, null, '提交重复', '', '3', '1546939810', '1546940617', '0', '', '', '', '0');
INSERT INTO `car_report_form` VALUES ('118', '13', '1332', '敬春华', '广东省佛山南海区西樵镇轻纺织城绣缨街49号', '18923153303', '29', '1', '1', '110', '0', '1', '16800.00', '/uploads/image/201901/08/20190108173320_54887.jpeg', null, null, null, '', '2', '1546940000', '1546940575', '0', '', '', '', '0');
INSERT INTO `car_report_form` VALUES ('119', '13', '1347', '敬春华', '广东省佛山市南海区西樵镇轻纺织城绣缨街49号', '18923153303', '0', null, '1', '110', '0', '1', '16800.00', '/uploads/image/201901/08/20190108175057_54690.jpeg', null, null, null, '', '1', '1546941057', '1546941057', '0', '', '', '', '0');
INSERT INTO `car_report_form` VALUES ('120', '13', '1349', '敬春华', '广东省佛山市南海区西樵镇轻纺织城绣缨街49号', '18923153303', '0', null, '1', '110', '0', '1', '16800.00', '/uploads/image/201901/08/20190108175704_31147.jpeg', null, null, null, '', '1', '1546941424', '1546941424', '0', '', '', '', '0');
INSERT INTO `car_report_form` VALUES ('121', '13', '1350', '敬春华', '广东省佛山市南海区西樵镇轻纺织城绣缨街49号', '18923153303', '0', null, '1', '110', '0', '1', '16800.00', '/uploads/image/201901/08/20190108233249_65164.jpeg', null, null, null, '', '1', '1546961569', '1546961569', '0', '', '', '', '0');
INSERT INTO `car_report_form` VALUES ('122', '13', '1351', '敬春华', '广东省佛山市南海区西樵镇轻纺织城绣缨街49号', '18923153303', '0', null, '1', '110', '0', '1', '16800.00', '/uploads/image/201901/09/20190109083856_67045.jpeg', null, null, null, '', '1', '1546994336', '1546994336', '0', '', '', '', '0');
INSERT INTO `car_report_form` VALUES ('123', '13', '1353', '敬春华', '广东省佛山市南海区西樵镇轻纺织城绣缨街49号', '18923153303', '0', null, '1', '110', '0', '1', '16800.00', '/uploads/image/201901/09/20190109084912_90435.jpeg', null, null, null, '', '1', '1546994952', '1546994952', '0', '', '', '', '0');
INSERT INTO `car_report_form` VALUES ('124', '13', '1354', '敬春华', '广东省佛山市南海区西樵镇轻纺织城绣缨街49号', '18923153303', '0', null, '1', '110', '0', '1', '16800.00', '/uploads/image/201901/09/20190109085911_92274.jpeg', null, null, null, '', '1', '1546995551', '1546995551', '0', '', '', '', '0');
INSERT INTO `car_report_form` VALUES ('125', '13', '1354', '敬春华', '广东省佛山市南海区西樵镇轻纺织城绣缨街49号', '18923153303', '0', null, '1', '110', '0', '1', '16800.00', '/uploads/image/201901/09/20190109085931_76976.jpeg', null, null, null, '', '1', '1546995571', '1546995571', '0', '', '', '', '0');
INSERT INTO `car_report_form` VALUES ('126', '13', '1354', '敬春华', '广东省佛山市南海区西樵镇轻纺织城绣缨街49号', '18923153303', '0', null, '1', '110', '0', '1', '16800.00', '/uploads/image/201901/09/20190109085931_91623.jpeg', null, null, null, '', '1', '1546995571', '1546995571', '0', '', '', '', '0');
INSERT INTO `car_report_form` VALUES ('127', '13', '1354', '敬春华', '广东省佛山市南海区西樵镇轻纺织城绣缨街49号', '18923153303', '0', null, '1', '110', '0', '1', '16800.00', '/uploads/image/201901/09/20190109085932_66564.jpeg', null, null, null, '', '1', '1546995572', '1546995572', '0', '', '', '', '0');
INSERT INTO `car_report_form` VALUES ('128', '13', '1354', '敬春华', '广东省佛山市南海区西樵镇轻纺织城绣缨街49号', '18923153303', '0', null, '1', '110', '0', '1', '16800.00', '/uploads/image/201901/09/20190109085934_15099.jpeg', null, null, null, '', '1', '1546995574', '1546995574', '0', '', '', '', '0');
INSERT INTO `car_report_form` VALUES ('129', '31', '1430', '张运华', '北京', '15986381766', '25', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547001407', '1547001407', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('130', '31', '1431', '王晓英', '北京', '15109228869', '25', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547001484', '1547001484', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('131', '31', '1437', '麦晓青', '北京', '13802634522', '25', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547001722', '1547001722', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('132', '89', '1444', '何丽颜', '北京', '18022299367', '28', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547002370', '1547002370', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('133', '89', '1471', '陈皓然', '北京', '15866666666', '28', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547002932', '1547002932', '2', '', '', '', '18');
INSERT INTO `car_report_form` VALUES ('134', '89', '1509', '陈皓然', '北京', '15866666666', '28', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547003474', '1547003474', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('135', '89', '1565', '温小泉', '北京', '15866666666', '28', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547005028', '1547005028', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('136', '89', '1569', '吴敏霞', '北京', '15866666666', '28', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547005154', '1547005154', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('137', '89', '1573', '张绮玲133', '北京', '15866666666', '28', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547005281', '1547005281', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('138', '89', '1575', '何丽颜10', '北京', '15866666666', '28', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547005403', '1547005403', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('139', '89', '1576', '何全辉', '北京', '15866666666', '28', '8', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547005458', '1547005458', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('140', '89', '1577', '胡星4', '北京', '15866666666', '28', '9', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547005672', '1547005672', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('141', '89', '1578', '郑伟良', '北京', '13710744501', '30', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547005941', '1547005941', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('142', '89', '1583', '黄凤华', '北京', '13702966715', '30', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547006064', '1547006064', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('143', '89', '1587', '汤小燕C', '北京', '15866666666', '30', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547006190', '1547006190', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('144', '89', '1589', '吴美甜', '北京', '15866666666', '30', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547006238', '1547006238', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('145', '89', '1593', '吴美甜', '北京', '15866666666', '30', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547006341', '1547006341', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('146', '89', '1599', '华宇', '北京', '15866666666', '30', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547006496', '1547006496', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('147', '89', '1621', '罗海燕a', '北京', '15866666666', '30', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547012989', '1547012989', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('148', '89', '1625', '郑永锋', '北京', '15866666666', '30', '8', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547013085', '1547013085', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('149', '89', '1626', '郑金花', '北京', '15866666666', '30', '9', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547013135', '1547013135', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('150', '89', '1628', '伍永楠', '北京', '15866666666', '30', '10', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547013175', '1547013175', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('151', '89', '777', '老宝仪', '北京', '15866666666', '31', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547013391', '1547013391', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('152', '89', '1636', '黄三妹12', '北京', '15866666666', '31', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547013497', '1547013497', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('153', '89', '1638', '李桂花B', '北京', '15866666666', '31', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547013609', '1547013609', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('154', '89', '1640', '李小倩3', '北京', '15866666666', '31', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547013654', '1547013654', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('155', '89', '1642', '何小霖A', '北京', '15866666666', '31', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547013702', '1547013702', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('156', '89', '1643', '黄丽燕a', '北京', '15866666666', '31', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547013741', '1547013741', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('157', '89', '1645', '黄丽燕b', '北京', '15866666666', '31', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547013773', '1547013773', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('158', '89', '1649', '程永祥37', '北京', '15866666666', '31', '8', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547013891', '1547013891', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('159', '89', '1651', '蔡杨杨', '北京', '15866666666', '31', '9', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547013930', '1547013930', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('160', '89', '1654', '胡永慧', '北京', '15866666666', '32', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547014125', '1547014125', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('161', '1', '1657', '胡永慧（复投）', '北京', '15866666666', '32', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547014245', '1547014245', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('162', '89', '1672', '丁海琴', '北京', '15866666666', '32', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547014845', '1547014845', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('163', '89', '1675', '周焕珍', '北京', '15866666666', '32', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547014911', '1547014911', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('164', '89', '1679', '温长虹', '北京', '15866666666', '32', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547014973', '1547014973', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('165', '89', '1680', ' 高娟A', '北京', '15866666666', '32', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547015058', '1547015058', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('166', '89', '1682', '胡永慧1', '北京', '15866666666', '32', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547015128', '1547015128', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('167', '89', '1685', '周焕珍1', '北京', '15866666666', '32', '8', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547015220', '1547015220', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('168', '89', '1686', '周焕珍3', '北京', '15866666666', '32', '9', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547015385', '1547015385', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('169', '89', '1688', '唐永生', '北京', '15866666666', '32', '10', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547015450', '1547015450', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('170', '3', '1689', '李锡泉', '北京', '15866666666', '35', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547015992', '1547015992', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('171', '3', '1689', '李锡泉', '北京', '15866666666', '36', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547016023', '1547016023', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('172', '3', '1690', '钟春花', '北京', '15866666666', '35', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547016444', '1547016444', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('173', '3', '1691', '李锡泉', '北京', '15866666666', '35', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547016491', '1547016491', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('174', '3', '1692', '翠绿阁', '北京', '15866666666', '35', '4', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547016538', '1547016538', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('175', '3', '1693', '翠绿阁', '北京', '15866666666', '35', '5', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547016575', '1547016575', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('176', '3', '1694', '翠绿阁', '北京', '15866666666', '35', '6', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547016600', '1547016600', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('177', '3', '1695', '翠绿阁', '北京', '15866666666', '35', '7', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547016628', '1547016628', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('178', '47', '1696', '张肖克', '北京', '15866666666', '33', '1', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547019186', '1547019186', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('179', '47', '1697', '伊晨光', '北京', '15866666666', '33', '2', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547019408', '1547019408', '2', '', '', '', '24');
INSERT INTO `car_report_form` VALUES ('180', '47', '1698', '霍金柱', '北京', '15866666666', '33', '3', '0', '5', '0', '1', '16800.00', null, null, null, null, null, '2', '1547019827', '1547019827', '2', '', '', '', '24');

-- ----------------------------
-- Table structure for `car_shop_cart`
-- ----------------------------
DROP TABLE IF EXISTS `car_shop_cart`;
CREATE TABLE `car_shop_cart` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `goods_id` int(11) NOT NULL COMMENT '商品ID',
  `goods_price` decimal(10,2) NOT NULL COMMENT '商品价格',
  `goods_name` varchar(100) NOT NULL COMMENT '商品名称',
  `goods_num` smallint(5) NOT NULL COMMENT '数量',
  `thumb` varchar(255) NOT NULL COMMENT '图片',
  `status` tinyint(1) NOT NULL COMMENT '状态',
  `created_at` int(11) NOT NULL,
  `updated_at` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='购物车';

-- ----------------------------
-- Records of car_shop_cart
-- ----------------------------

-- ----------------------------
-- Table structure for `car_shop_goods`
-- ----------------------------
DROP TABLE IF EXISTS `car_shop_goods`;
CREATE TABLE `car_shop_goods` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL COMMENT '标题',
  `price` decimal(10,2) NOT NULL COMMENT '价钱',
  `imgs` text NOT NULL COMMENT '商品图片',
  `info` longtext NOT NULL COMMENT '详情',
  `status` tinyint(1) NOT NULL COMMENT '状态',
  `created_at` int(11) NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='商品表';

-- ----------------------------
-- Records of car_shop_goods
-- ----------------------------
INSERT INTO `car_shop_goods` VALUES ('1', '名人字画', '16800.00', '/uploads/image/201901/03/20190103104306_84883.png', '名人字画', '2', '1546483390');

-- ----------------------------
-- Table structure for `car_shops`
-- ----------------------------
DROP TABLE IF EXISTS `car_shops`;
CREATE TABLE `car_shops` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sid` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '线下商家id',
  `username` varchar(50) NOT NULL,
  `password` varchar(100) NOT NULL,
  `auth_key` varchar(255) DEFAULT '',
  `access_token` varchar(255) DEFAULT '',
  `title` varchar(50) NOT NULL,
  `shopuid` int(11) NOT NULL COMMENT '商家负责人',
  `shop_type` tinyint(1) NOT NULL COMMENT '申请类型',
  `turnover` decimal(10,2) unsigned NOT NULL DEFAULT '0.00' COMMENT '营业额',
  `shopPeople` int(11) unsigned DEFAULT '0' COMMENT '商家推荐人uid',
  `tel` varchar(50) DEFAULT '' COMMENT '联系人电话',
  `isrecom` tinyint(1) NOT NULL DEFAULT '0' COMMENT '1推荐，0不推荐',
  `QQ` varchar(13) DEFAULT '' COMMENT '预留QQ',
  `logo` varchar(255) DEFAULT '' COMMENT '商家logo',
  `birth` varchar(255) DEFAULT '' COMMENT '地址',
  `address` varchar(500) DEFAULT '' COMMENT '详细地址',
  `location` varchar(255) DEFAULT '' COMMENT '经纬',
  `province` varchar(50) DEFAULT '',
  `city` varchar(50) DEFAULT '',
  `county` varchar(100) DEFAULT '',
  `description` mediumtext COMMENT '简介',
  `lat` varchar(255) DEFAULT '' COMMENT '经纬度',
  `lng` varchar(255) DEFAULT '' COMMENT '经纬度',
  `shopCustomerNotice` longtext COMMENT '客户须知',
  `cname` varchar(50) DEFAULT '' COMMENT '联系人',
  `email` varchar(50) DEFAULT '' COMMENT '邮箱',
  `shop_like` int(11) DEFAULT '0' COMMENT '点赞',
  `care` int(11) DEFAULT '0' COMMENT '被关注次数',
  `lookNum` int(11) DEFAULT '0' COMMENT '浏览次数',
  `status` tinyint(1) DEFAULT '1' COMMENT '默认 1',
  `displayorder` int(11) DEFAULT '0',
  `isDel` tinyint(1) DEFAULT '0' COMMENT '是否删除 0默认1删除',
  `offlinePayDis` decimal(10,2) unsigned DEFAULT '0.00' COMMENT '线下支付折扣',
  `shopPeopleDis` decimal(10,2) DEFAULT '0.00',
  `jsOffline` decimal(10,2) DEFAULT '0.00' COMMENT '线下结算百分比',
  `jsOfflineRate` decimal(10,2) DEFAULT '0.00' COMMENT '商家结算费率',
  `singleRemark` varchar(50) DEFAULT '0' COMMENT '商家下单提示',
  `updated_at` int(11) DEFAULT '0' COMMENT '最后一次更新时间',
  `created_at` int(11) NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of car_shops
-- ----------------------------

-- ----------------------------
-- Table structure for `car_shops_applyfor`
-- ----------------------------
DROP TABLE IF EXISTS `car_shops_applyfor`;
CREATE TABLE `car_shops_applyfor` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `username` varchar(50) NOT NULL COMMENT '商家帐号',
  `mobile` varchar(13) NOT NULL,
  `pepole` varchar(50) NOT NULL DEFAULT '0' COMMENT '推荐人uid',
  `shoptitle` varchar(50) NOT NULL COMMENT '商家名称',
  `birth` varchar(500) DEFAULT '' COMMENT '地址信息',
  `shopaddress` varchar(500) DEFAULT '' COMMENT '商家详细地址',
  `logo` varchar(255) DEFAULT '' COMMENT '商家logo',
  `content` text,
  `lat` varchar(255) DEFAULT '',
  `lng` varchar(255) DEFAULT '',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '-1驳回，0 待审核，1审核完毕',
  `shop_type` tinyint(1) DEFAULT '0' COMMENT '开店or加盟',
  `isDel` tinyint(1) NOT NULL DEFAULT '0',
  `product` varchar(150) DEFAULT '' COMMENT '产地信息',
  `businessLicence` text COMMENT '营业执照',
  `idCardThumbA` text NOT NULL COMMENT '法人身份证正面',
  `idCardThumbB` text NOT NULL COMMENT '法人身份证反面',
  `imgs` text NOT NULL COMMENT '手持身份证',
  `description` text COMMENT '商家描述',
  `reason` text COMMENT '驳回原因',
  `created_at` int(11) NOT NULL,
  `updated_at` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='商家申请表';

-- ----------------------------
-- Records of car_shops_applyfor
-- ----------------------------

-- ----------------------------
-- Table structure for `car_shops_manage`
-- ----------------------------
DROP TABLE IF EXISTS `car_shops_manage`;
CREATE TABLE `car_shops_manage` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `shops_id` int(11) NOT NULL COMMENT '商家ID',
  `title` varchar(50) CHARACTER SET utf8 COLLATE utf8_estonian_ci NOT NULL COMMENT '店铺名称',
  `coba` varchar(255) NOT NULL COMMENT '门头照片',
  `details` longtext NOT NULL COMMENT '详细介绍',
  `InsideShowA` varchar(255) NOT NULL COMMENT '内部展示图1',
  `InsideShowB` varchar(255) NOT NULL COMMENT '内部展示图2',
  `businessLicence` varchar(255) NOT NULL COMMENT '营业执照',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '状态',
  `created_at` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '创建时间',
  `updated_at` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `shops_id` (`shops_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='商铺管理表';

-- ----------------------------
-- Records of car_shops_manage
-- ----------------------------

-- ----------------------------
-- Table structure for `car_sms_log`
-- ----------------------------
DROP TABLE IF EXISTS `car_sms_log`;
CREATE TABLE `car_sms_log` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `uid` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '发送用户UID 没有为0',
  `mobile` varchar(11) NOT NULL COMMENT '手机号',
  `content` varchar(255) NOT NULL COMMENT '短信内容',
  `type` varchar(50) NOT NULL COMMENT '类型',
  `result` varchar(255) NOT NULL COMMENT '结果',
  `ip` varchar(50) NOT NULL COMMENT 'ip',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0: 失败 1: 成功',
  `created_at` int(11) unsigned NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='短信验证码发送记录';

-- ----------------------------
-- Records of car_sms_log
-- ----------------------------
INSERT INTO `car_sms_log` VALUES ('1', '0', '18408619543', '6684', 'other', '短信发送成功', '1.50.100.101', '1', '1546423053');
INSERT INTO `car_sms_log` VALUES ('2', '0', '18408619543', '4022', 'other', '短信发送成功', '1.50.103.136', '1', '1546839643');

-- ----------------------------
-- Table structure for `car_sms_verifycode`
-- ----------------------------
DROP TABLE IF EXISTS `car_sms_verifycode`;
CREATE TABLE `car_sms_verifycode` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `uid` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '用户uid',
  `mobile` varchar(11) NOT NULL COMMENT '手机号',
  `verifycode` varchar(10) NOT NULL COMMENT '验证码',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0：未验证 1：已验证',
  `created_at` int(11) unsigned NOT NULL COMMENT '创建时间',
  `updated_at` int(11) unsigned NOT NULL COMMENT '更新时间',
  `ip` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='短信验证码确认记录';

-- ----------------------------
-- Records of car_sms_verifycode
-- ----------------------------
INSERT INTO `car_sms_verifycode` VALUES ('1', '0', '18408619543', '6684', '0', '1546423053', '1546423053', '1.50.100.101');
INSERT INTO `car_sms_verifycode` VALUES ('2', '0', '18408619543', '4022', '0', '1546839643', '1546839643', '1.50.103.136');

-- ----------------------------
-- Table structure for `car_system_auth_assignment`
-- ----------------------------
DROP TABLE IF EXISTS `car_system_auth_assignment`;
CREATE TABLE `car_system_auth_assignment` (
  `id` int(255) unsigned NOT NULL AUTO_INCREMENT,
  `item_name` varchar(64) NOT NULL,
  `user_id` varchar(64) NOT NULL,
  `created_at` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=71 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of car_system_auth_assignment
-- ----------------------------
INSERT INTO `car_system_auth_assignment` VALUES ('7', '文章管理员', '9', '1511495336');
INSERT INTO `car_system_auth_assignment` VALUES ('8', '一级管理员', '2', '1546412811');
INSERT INTO `car_system_auth_assignment` VALUES ('10', '文章管理员', '3', '1546413012');
INSERT INTO `car_system_auth_assignment` VALUES ('11', '文章管理员', '4', '1546413042');
INSERT INTO `car_system_auth_assignment` VALUES ('12', '一级管理员', '4', '1546413049');
INSERT INTO `car_system_auth_assignment` VALUES ('19', '查询', '3', '1546414124');
INSERT INTO `car_system_auth_assignment` VALUES ('24', '销售中心审核', '8', '1546854229');
INSERT INTO `car_system_auth_assignment` VALUES ('26', '销售中心审核', '6', '1546854247');
INSERT INTO `car_system_auth_assignment` VALUES ('27', '财务审核', '7', '1546855053');
INSERT INTO `car_system_auth_assignment` VALUES ('28', '文章管理员', '9', '1546855151');
INSERT INTO `car_system_auth_assignment` VALUES ('33', '超级管理员', '10', '1546909892');
INSERT INTO `car_system_auth_assignment` VALUES ('34', '超级管理员', '5', '1546909906');
INSERT INTO `car_system_auth_assignment` VALUES ('36', '文章管理员', '12', '1546910493');
INSERT INTO `car_system_auth_assignment` VALUES ('37', '客服', '12', '1546910500');
INSERT INTO `car_system_auth_assignment` VALUES ('38', '普通管理员', '11', '1546910508');
INSERT INTO `car_system_auth_assignment` VALUES ('40', '普通管理员', '13', '1546910619');
INSERT INTO `car_system_auth_assignment` VALUES ('41', '普通管理员', '10', '1546910637');
INSERT INTO `car_system_auth_assignment` VALUES ('42', '销售中心审核', '13', '1546910665');
INSERT INTO `car_system_auth_assignment` VALUES ('44', '财务审核', '14', '1546910820');
INSERT INTO `car_system_auth_assignment` VALUES ('45', '文章管理员', '15', '1546911599');
INSERT INTO `car_system_auth_assignment` VALUES ('51', '普通管理员', '18', '1546911768');
INSERT INTO `car_system_auth_assignment` VALUES ('56', '超级管理员', '16', '1546911895');
INSERT INTO `car_system_auth_assignment` VALUES ('57', '超级管理员', '17', '1546911902');
INSERT INTO `car_system_auth_assignment` VALUES ('59', '普通管理员', '19', '1546911912');
INSERT INTO `car_system_auth_assignment` VALUES ('60', '客服', '20', '1546911929');
INSERT INTO `car_system_auth_assignment` VALUES ('61', '普通管理员', '21', '1546911936');
INSERT INTO `car_system_auth_assignment` VALUES ('63', '客服', '22', '1546911968');
INSERT INTO `car_system_auth_assignment` VALUES ('66', '客服', '23', '1546913406');
INSERT INTO `car_system_auth_assignment` VALUES ('68', '财务审核', '25', '1546913579');
INSERT INTO `car_system_auth_assignment` VALUES ('70', '普通管理员', '24', '1547002786');

-- ----------------------------
-- Table structure for `car_system_auth_item`
-- ----------------------------
DROP TABLE IF EXISTS `car_system_auth_item`;
CREATE TABLE `car_system_auth_item` (
  `id` int(11) unsigned NOT NULL,
  `pid` int(11) unsigned NOT NULL DEFAULT '0',
  `name` varchar(64) NOT NULL,
  `type` smallint(6) NOT NULL,
  `description` text NOT NULL,
  `rule_name` varchar(64) DEFAULT '',
  `data` blob,
  `level` int(11) NOT NULL DEFAULT '0',
  `sort` int(11) unsigned DEFAULT '0',
  `created_at` int(11) DEFAULT '0',
  `updated_at` int(11) DEFAULT '0',
  PRIMARY KEY (`name`),
  UNIQUE KEY `id` (`id`),
  KEY `rule_name` (`rule_name`),
  KEY `idx-auth_item-type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of car_system_auth_item
-- ----------------------------
INSERT INTO `car_system_auth_item` VALUES ('8', '0', 'announcement', '2', '公告管理', '', null, '1', '0', '1546850240', '1546850240');
INSERT INTO `car_system_auth_item` VALUES ('19', '8', 'announcement/argee', '2', '协议管理', '', null, '2', '0', '1546851231', '1546851231');
INSERT INTO `car_system_auth_item` VALUES ('18', '8', 'announcement/system', '2', '系统公告', '', null, '2', '0', '1546851199', '1546851199');
INSERT INTO `car_system_auth_item` VALUES ('31', '10', 'article/list', '2', '疑难协助', '', null, '2', '0', '1546852154', '1546852154');
INSERT INTO `car_system_auth_item` VALUES ('15', '9', 'article/slide-list', '2', '幻灯片', '', null, '2', '0', '1546851064', '1546851064');
INSERT INTO `car_system_auth_item` VALUES ('27', '10', 'autn-manager/item-list', '2', '角色权限', '', null, '2', '0', '1546852003', '1546852003');
INSERT INTO `car_system_auth_item` VALUES ('33', '10', 'config/group', '2', '网站设置', '', null, '2', '0', '1546852221', '1546852221');
INSERT INTO `car_system_auth_item` VALUES ('25', '10', 'config/index', '2', '配置管理', '', null, '2', '0', '1546851913', '1546851913');
INSERT INTO `car_system_auth_item` VALUES ('32', '10', 'config/manager-list', '2', '操作日志', '', null, '2', '0', '1546852185', '1546852185');
INSERT INTO `car_system_auth_item` VALUES ('29', '10', 'distribution/index', '2', '分销设置', '', null, '2', '0', '1546852086', '1546852086');
INSERT INTO `car_system_auth_item` VALUES ('20', '7', 'integral-release/list', '2', '分销列表', '', null, '2', '0', '1546851316', '1546851316');
INSERT INTO `car_system_auth_item` VALUES ('11', '0', 'manual', '2', '手动操作', '', null, '1', '0', '1546850319', '1546850319');
INSERT INTO `car_system_auth_item` VALUES ('17', '11', 'manual/report-team', '2', '手动添加报单和组', '', null, '2', '0', '1546851150', '1546851150');
INSERT INTO `car_system_auth_item` VALUES ('28', '10', 'menu/item-list', '2', '前台菜单', '', null, '2', '0', '1546852032', '1546852032');
INSERT INTO `car_system_auth_item` VALUES ('9', '0', 'shop', '2', '商城管理', '', null, '1', '0', '1546850267', '1546850267');
INSERT INTO `car_system_auth_item` VALUES ('14', '9', 'shop/custom', '2', '定制订单', '', null, '2', '0', '1546851015', '1546851015');
INSERT INTO `car_system_auth_item` VALUES ('12', '9', 'shop/list', '2', '商品列表', '', null, '2', '0', '1546850953', '1546850953');
INSERT INTO `car_system_auth_item` VALUES ('13', '9', 'shop/order', '2', '商品订单', '', null, '2', '0', '1546850980', '1546850980');
INSERT INTO `car_system_auth_item` VALUES ('30', '10', 'shop/sms', '2', '短信记录', '', null, '2', '0', '1546852119', '1546852119');
INSERT INTO `car_system_auth_item` VALUES ('37', '0', 'site', '2', '后台首页', '', null, '1', '0', '1546853450', '1546853450');
INSERT INTO `car_system_auth_item` VALUES ('38', '37', 'site/index', '2', '首页', '', null, '2', '0', '1546853472', '1546853472');
INSERT INTO `car_system_auth_item` VALUES ('10', '0', 'system', '2', '系统设置', '', null, '1', '0', '1546850291', '1546850291');
INSERT INTO `car_system_auth_item` VALUES ('34', '10', 'system-menu/list', '2', '后台菜单', '', null, '2', '0', '1546852250', '1546852250');
INSERT INTO `car_system_auth_item` VALUES ('26', '10', 'system-user/list', '2', '系统用户', '', null, '2', '0', '1546851949', '1546851949');
INSERT INTO `car_system_auth_item` VALUES ('6', '0', 'user', '2', '销售中心', '', null, '1', '0', '1546850160', '1546912981');
INSERT INTO `car_system_auth_item` VALUES ('7', '0', 'user-order/list', '2', '财务管理', '', null, '1', '0', '1546850193', '1546850193');
INSERT INTO `car_system_auth_item` VALUES ('23', '7', 'user/bankcard', '2', '收款信息', '', null, '2', '0', '1546851443', '1546851443');
INSERT INTO `car_system_auth_item` VALUES ('5', '1', 'user/integral-list', '2', '出局列表', '', null, '2', '0', '1546850119', '1546850119');
INSERT INTO `car_system_auth_item` VALUES ('2', '1', 'user/list', '2', '会员列表', '', null, '2', '0', '1546849998', '1546849998');
INSERT INTO `car_system_auth_item` VALUES ('16', '6', 'user/proxy', '2', '销售中心管理', '', null, '2', '0', '1546851102', '1546851102');
INSERT INTO `car_system_auth_item` VALUES ('21', '7', 'user/real-name', '2', '财务审核', '', null, '2', '0', '1546851348', '1546851348');
INSERT INTO `car_system_auth_item` VALUES ('3', '1', 'user/relation-list', '2', '关系列表', '', null, '2', '0', '1546850056', '1546850056');
INSERT INTO `car_system_auth_item` VALUES ('24', '7', 'user/report-confirm', '2', '销售中心审核', '', null, '2', '0', '1546851473', '1546851473');
INSERT INTO `car_system_auth_item` VALUES ('22', '7', 'user/report-list', '2', '销售列表', '', null, '2', '0', '1546851408', '1546851408');
INSERT INTO `car_system_auth_item` VALUES ('4', '1', 'user/team-list', '2', '团队列表', '', null, '2', '0', '1546850083', '1546850083');
INSERT INTO `car_system_auth_item` VALUES ('1', '0', 'users', '2', '会员管理', '', null, '1', '0', '1546849963', '1546912972');
INSERT INTO `car_system_auth_item` VALUES ('40', '0', '客服', '1', '1|添加了|客服|角色', '', null, '0', '0', '1546910043', '1546910043');
INSERT INTO `car_system_auth_item` VALUES ('41', '0', '普通管理员', '1', '1|添加了|普通管理员|角色', '', null, '0', '0', '1546910099', '1546910099');
INSERT INTO `car_system_auth_item` VALUES ('35', '0', '财务审核', '1', '1|添加了|财务审核|角色', '', null, '0', '0', '1546852862', '1546852862');
INSERT INTO `car_system_auth_item` VALUES ('39', '0', '超级管理员', '1', '1|添加了|超级管理员|角色', '', null, '0', '0', '1546853835', '1546853835');
INSERT INTO `car_system_auth_item` VALUES ('36', '0', '销售中心审核', '1', '1|添加了|销售中心审核|角色', '', null, '0', '0', '1546853043', '1546853043');

-- ----------------------------
-- Table structure for `car_system_auth_item_child`
-- ----------------------------
DROP TABLE IF EXISTS `car_system_auth_item_child`;
CREATE TABLE `car_system_auth_item_child` (
  `parent` varchar(64) NOT NULL DEFAULT '',
  `child` varchar(64) NOT NULL DEFAULT '',
  PRIMARY KEY (`parent`,`child`),
  KEY `child` (`child`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of car_system_auth_item_child
-- ----------------------------
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'announcement');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'announcement');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'announcement');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'announcement');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'announcement/argee');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'announcement/argee');
INSERT INTO `car_system_auth_item_child` VALUES ('客服', 'announcement/system');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'announcement/system');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'announcement/system');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'announcement/system');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'announcement/system');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'article/list');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'article/list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'article/slide-list');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'article/slide-list');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'article/slide-list');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'article/slide-list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'autn-manager/item-list');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'autn-manager/item-list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'config/group');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'config/group');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'config/index');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'config/index');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'config/manager-list');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'config/manager-list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'distribution/index');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'distribution/index');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'integral-release/list');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'integral-release/list');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'integral-release/list');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'integral-release/list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'manual');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'manual');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'manual/report-team');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'manual/report-team');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'menu/item-list');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'menu/item-list');
INSERT INTO `car_system_auth_item_child` VALUES ('客服', 'shop');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'shop');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'shop');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'shop');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'shop');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'shop/custom');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'shop/custom');
INSERT INTO `car_system_auth_item_child` VALUES ('客服', 'shop/list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'shop/list');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'shop/list');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'shop/list');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'shop/list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'shop/order');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'shop/order');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'shop/order');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'shop/order');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'shop/sms');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'shop/sms');
INSERT INTO `car_system_auth_item_child` VALUES ('客服', 'site');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'site');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'site');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'site');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'site');
INSERT INTO `car_system_auth_item_child` VALUES ('客服', 'site/index');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'site/index');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'site/index');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'site/index');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'site/index');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'system');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'system');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'system-menu/list');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'system-menu/list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'system-user/list');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'system-user/list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'user');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'user');
INSERT INTO `car_system_auth_item_child` VALUES ('客服', 'user-order/list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'user-order/list');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'user-order/list');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'user-order/list');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'user-order/list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'user/bankcard');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'user/bankcard');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'user/bankcard');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'user/bankcard');
INSERT INTO `car_system_auth_item_child` VALUES ('客服', 'user/integral-list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'user/integral-list');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'user/integral-list');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'user/integral-list');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'user/integral-list');
INSERT INTO `car_system_auth_item_child` VALUES ('客服', 'user/list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'user/list');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'user/list');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'user/list');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'user/list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'user/proxy');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'user/proxy');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'user/real-name');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'user/real-name');
INSERT INTO `car_system_auth_item_child` VALUES ('客服', 'user/relation-list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'user/relation-list');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'user/relation-list');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'user/relation-list');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'user/relation-list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'user/report-confirm');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'user/report-confirm');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'user/report-confirm');
INSERT INTO `car_system_auth_item_child` VALUES ('客服', 'user/report-list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'user/report-list');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'user/report-list');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'user/report-list');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'user/report-list');
INSERT INTO `car_system_auth_item_child` VALUES ('客服', 'user/team-list');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'user/team-list');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'user/team-list');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'user/team-list');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'user/team-list');
INSERT INTO `car_system_auth_item_child` VALUES ('客服', 'users');
INSERT INTO `car_system_auth_item_child` VALUES ('普通管理员', 'users');
INSERT INTO `car_system_auth_item_child` VALUES ('财务审核', 'users');
INSERT INTO `car_system_auth_item_child` VALUES ('超级管理员', 'users');
INSERT INTO `car_system_auth_item_child` VALUES ('销售中心审核', 'users');

-- ----------------------------
-- Table structure for `car_system_auth_rule`
-- ----------------------------
DROP TABLE IF EXISTS `car_system_auth_rule`;
CREATE TABLE `car_system_auth_rule` (
  `name` varchar(64) NOT NULL,
  `data` blob,
  `created_at` int(11) DEFAULT '0',
  `updated_at` int(11) DEFAULT '0',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of car_system_auth_rule
-- ----------------------------

-- ----------------------------
-- Table structure for `car_system_menu`
-- ----------------------------
DROP TABLE IF EXISTS `car_system_menu`;
CREATE TABLE `car_system_menu` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `pid` int(11) unsigned DEFAULT '0' COMMENT '上级分类ID',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT '菜单标题',
  `link` varchar(255) DEFAULT '' COMMENT 'url地址',
  `icon` varchar(255) DEFAULT '' COMMENT '图标',
  `remark` varchar(255) DEFAULT '' COMMENT '说明',
  `group` varchar(255) DEFAULT '' COMMENT '分组',
  `sort` int(11) unsigned DEFAULT '0' COMMENT '排序',
  `isShow` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '是否隐藏1是不隐藏 0是隐藏',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=153 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of car_system_menu
-- ----------------------------
INSERT INTO `car_system_menu` VALUES ('14', '0', '系统设置', '/system', 'fa fa-cogs', '系统功能', '系统', '999', '1');
INSERT INTO `car_system_menu` VALUES ('15', '14', '后台菜单', '/system-menu/list', 'fa fa-link', '', '系统管理', '999', '1');
INSERT INTO `car_system_menu` VALUES ('16', '14', '配置管理', '/config/index', 'fa fa-file', '', '系统管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('20', '0', '会员管理', '/users', 'fa fa-user-circle', '', '会员', '0', '1');
INSERT INTO `car_system_menu` VALUES ('22', '20', '会员列表', '/user/list', 'fa fa-list', '', '会员列表', '0', '1');
INSERT INTO `car_system_menu` VALUES ('55', '51', '规格分类', '/goods/goods-cattr', 'fa fa-link', '商品规格分类', '商品管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('133', '0', '商城管理', 'shop', '', '', '商城管理', '5', '1');
INSERT INTO `car_system_menu` VALUES ('24', '23', '文章列表', '/article/list', 'fa fa-chevron-circle-right', '', '文章列表', '0', '1');
INSERT INTO `car_system_menu` VALUES ('27', '23', '文章分类', '/article/clist', 'fa fa-chevron-circle-right', '', '文章分类', '0', '0');
INSERT INTO `car_system_menu` VALUES ('56', '51', '价格设置', '/goods/goods-price', 'fa fa-link', '根据套餐设置商品价格', '商品管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('28', '14', '网站设置', '/config/group', 'fa fa-link', '', '网站设置', '9', '1');
INSERT INTO `car_system_menu` VALUES ('29', '14', '系统用户', '/system-user/list', 'fa fa-user', '', '系统功能', '0', '1');
INSERT INTO `car_system_menu` VALUES ('79', '77', '房间列表', '/game-room/list', 'fa fa-list', '', '房间列表', '0', '0');
INSERT INTO `car_system_menu` VALUES ('61', '60', '系统公告', '/announcement/system', 'fa fa-chevron-circle-right', '系统公告', '公告管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('60', '0', '公告管理', '/announcement', 'fa fa-volume-up', '公告管理', '公告', '4', '1');
INSERT INTO `car_system_menu` VALUES ('129', '82', '销售列表', 'user/report-list', '', '', '销售列表', '0', '1');
INSERT INTO `car_system_menu` VALUES ('39', '32', '关于我们', '/message/aboutus', 'fa fa fa-link', '前台关于我们', '信息管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('40', '32', '免责声明', '/message/mianze', 'fa fa fa fa-link', '这里是免责声明', '信息管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('42', '32', '联系我们', '/message/tel-me', 'fa fa fa-link', '联系我们', '信息管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('43', '32', '招聘信息', '/message/zhaopin', 'fa fa fa-link', '我们招人', '信息管理', '0', '0');
INSERT INTO `car_system_menu` VALUES ('44', '20', '证件管理', '/user/certificates', 'fa fa fa-link', '证件管理', '会员管理', '0', '0');
INSERT INTO `car_system_menu` VALUES ('46', '14', '角色权限', '/auth-manager/item-list', 'fa fa-user-secret', '', '系统功能', '0', '1');
INSERT INTO `car_system_menu` VALUES ('140', '0', '销售中心', '/user', '', '', '销售中心', '1', '1');
INSERT INTO `car_system_menu` VALUES ('48', '47', '财务日志', '/finance/finance-log', 'fa fa-file-excel-o', '', '财务管理', '0', '0');
INSERT INTO `car_system_menu` VALUES ('49', '47', '批量充值', '/finance/recharge', 'fa  fa-yen', '', '财务管理', '0', '0');
INSERT INTO `car_system_menu` VALUES ('138', '20', '出局列表', '/user/integral-list', '', '', '积分发放', '0', '1');
INSERT INTO `car_system_menu` VALUES ('83', '82', '会员订单2', '/user-order/list', 'fa fa-vcard-o', '', '房卡订单', '0', '0');
INSERT INTO `car_system_menu` VALUES ('82', '0', '财务管理', '/user-order/list', 'fa fa-bullhorn', '', '财务', '2', '1');
INSERT INTO `car_system_menu` VALUES ('135', '133', '商品订单', 'shop/order', '', '', '商品订单', '0', '1');
INSERT INTO `car_system_menu` VALUES ('68', '67', 'QQ客服', '/service/qq-list', 'fa fa-qq', '客服管理', '客服管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('64', '50', '游戏设置', '/game/config/index', 'fa fa-cog', '', '游戏', '0', '0');
INSERT INTO `car_system_menu` VALUES ('62', '60', '游戏公告', '/announcement/game', 'fa fa-chevron-circle-right', '游戏公告', '游戏公告', '0', '0');
INSERT INTO `car_system_menu` VALUES ('63', '23', '幻灯片管理', '/article/slide-list', 'fa fa-chevron-circle-right', '幻灯片管理', '文章管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('70', '60', '关于我们', '/announcement/about', 'fa fa-chevron-circle-right', '关于我们', '公告管理', '0', '0');
INSERT INTO `car_system_menu` VALUES ('84', '20', '回收站', '/user/recycle', 'fa fa-bitbucket', '', '回收站', '0', '0');
INSERT INTO `car_system_menu` VALUES ('81', '80', '套餐列表', '/room-card/list', 'fa fa-chevron-circle-right', '', '房卡套餐', '0', '1');
INSERT INTO `car_system_menu` VALUES ('73', '60', '用户须知', '/announcement/user-agreement', 'fa fa-chevron-circle-right', '公告管理', '公告管理', '0', '0');
INSERT INTO `car_system_menu` VALUES ('76', '55', '用户信息', '/trade/user-list', 'fa fa-user-o', '', '大盘管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('86', '85', '资讯列表', '/article/list', 'fa fa-chevron-circle-right', '文章列表', '资讯列表', '0', '1');
INSERT INTO `car_system_menu` VALUES ('87', '20', '代理商列表', '/user/agent-list', 'fa fa-user', '代理商列表', '会员管理', '1', '0');
INSERT INTO `car_system_menu` VALUES ('88', '50', '微信平台菜单', '/wechat/list', 'fa fa-link', '微信平台菜单', '游戏管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('99', '85', '分类列表', '/article/cate-list', 'fa fa-chevron-circle-right', '分类列表', '文章管理', '0', '0');
INSERT INTO `car_system_menu` VALUES ('139', '20', '积分列表', '/user/integral', '', '', '积分列表', '0', '0');
INSERT INTO `car_system_menu` VALUES ('92', '91', '评论列表', '/comment/list', 'fa fa-chevron-circle-right', '评论列表', '评论管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('134', '133', '商品列表', 'shop/list', '', '', '商品列表', '0', '1');
INSERT INTO `car_system_menu` VALUES ('94', '93', '商家列表', '/shops/list', '', '', '商家管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('95', '93', '申请商家', '/shops/apply-list', '', '', '商家管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('142', '140', '销售中心管理', 'user/proxy', '', '', '销售中心管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('98', '97', '收藏列表', '/collect/index', 'fa fa-chevron-circle-right', '收藏列表', '收藏管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('100', '85', '幻灯片列表', 'article/slide-list', 'fa fa-chevron-circle-right', '幻灯片列表', '文章管理', '0', '0');
INSERT INTO `car_system_menu` VALUES ('146', '14', '短信记录', 'shop/sms', '', '', '短信记录', '0', '1');
INSERT INTO `car_system_menu` VALUES ('102', '14', '前台菜单', '/menu/item-list', 'fa fa-chevron-circle-right', '前台菜单', '系统设置', '0', '1');
INSERT INTO `car_system_menu` VALUES ('103', '47', '志愿者充值', '/volunteer-list/list', '', '', '志愿者充值', '0', '1');
INSERT INTO `car_system_menu` VALUES ('104', '47', '志愿者商城', '/volunteer-list/goods-list', '', '', '志愿者商城', '0', '1');
INSERT INTO `car_system_menu` VALUES ('105', '93', '订单管理', '/shops/order-list', '', '', '订单管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('141', '140', '地区代理', 'user/area', '', '', '地区代理', '0', '0');
INSERT INTO `car_system_menu` VALUES ('107', '106', '公益列表', '/love/list', '', '', '爱心列表', '0', '1');
INSERT INTO `car_system_menu` VALUES ('145', '133', '订制订单', 'shop/custom', '', '', '订制订单', '0', '1');
INSERT INTO `car_system_menu` VALUES ('109', '108', '合伙人列表', '/consumption/list', 'fa fa-chevron-circle-right', '合伙人列表', '合伙人管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('111', '60', '线下打款', '/announcement/state', '', '线下打款', '公告管理', '0', '0');
INSERT INTO `car_system_menu` VALUES ('112', '60', '协议管理', 'announcement/agree', 'fa fa-chevron-circle-right', '合伙人协议', '公共管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('113', '85', '欢迎页列表', 'article/index-list', 'fa fa-chevron-circle-right', '欢迎页列表', '文章管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('114', '82', '提现管理', '/withdraw/list', '', '', '提现管理', '0', '0');
INSERT INTO `car_system_menu` VALUES ('115', '82', '分销列表', '/integral-release/list', '', '', '分销列表', '0', '1');
INSERT INTO `car_system_menu` VALUES ('116', '47', '志愿者列表', '/volunteer-list/shop-list', '', '', '商城列表', '0', '1');
INSERT INTO `car_system_menu` VALUES ('143', '140', '销售中心列表', '/user/report-lists', '', '', '销售中心列表', '0', '0');
INSERT INTO `car_system_menu` VALUES ('118', '14', '分销设置', '/distribution/index', 'fa fa-chevron-circle-right', '分销设置', '系统设置', '0', '1');
INSERT INTO `car_system_menu` VALUES ('119', '47', '志愿者申请', '/volunteer-list/apply-shop-list', 'fa fa-chevron-circle-right', '志愿者申请', '志愿者管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('121', '93', '开店申请', '/shops/shop-apply-list', '', '', '开店申请', '0', '1');
INSERT INTO `car_system_menu` VALUES ('122', '47', '会员充值', '/volunteer-list/user-list', '', '', '会员充值', '0', '1');
INSERT INTO `car_system_menu` VALUES ('123', '20', '关系列表', '/user/relation-list', '', '', '关系列表', '0', '1');
INSERT INTO `car_system_menu` VALUES ('124', '93', '卡管理', '', '', '', '卡管理', '0', '1');
INSERT INTO `car_system_menu` VALUES ('125', '47', '添加图片', '/utils/kindeditor', '', '', '添加图片', '0', '1');
INSERT INTO `car_system_menu` VALUES ('130', '82', '收款信息', '/user/bankcard', '', '', '收款信息', '0', '1');
INSERT INTO `car_system_menu` VALUES ('127', '20', '团队列表', '/user/team-list', '', '', '团队列表', '0', '1');
INSERT INTO `car_system_menu` VALUES ('128', '82', '财务审核', '/user/real-name', '', '', '财务审核', '0', '1');
INSERT INTO `car_system_menu` VALUES ('144', '140', '销售中心管理', '/user/report-manage', '', '', '销售中心管理', '0', '0');
INSERT INTO `car_system_menu` VALUES ('147', '133', '幻灯片', 'article/slide-list', '', '', '幻灯片', '0', '1');
INSERT INTO `car_system_menu` VALUES ('148', '14', '疑难帮助', 'article/list', '', '', '疑难帮助', '0', '1');
INSERT INTO `car_system_menu` VALUES ('149', '82', '销售中心审核', '/user/report-confirm', '', '', '报单中心审核', '0', '1');
INSERT INTO `car_system_menu` VALUES ('150', '14', '操作日志', '/config/manager-list', '', '用户系统内操作的日志记录', '系统设置', '0', '1');
INSERT INTO `car_system_menu` VALUES ('151', '0', '手动操作', '/manual', 'fa fa-home', '手动添加报单和组', '手动操作', '0', '1');
INSERT INTO `car_system_menu` VALUES ('152', '151', '手动添加报单和组', 'manual/report-team', '', '', '手动添加报单和组', '0', '1');

-- ----------------------------
-- Table structure for `car_system_menu2`
-- ----------------------------
DROP TABLE IF EXISTS `car_system_menu2`;
CREATE TABLE `car_system_menu2` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `pid` int(11) unsigned DEFAULT '0' COMMENT '上级分类ID',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT '菜单标题',
  `link` varchar(255) DEFAULT '' COMMENT 'url地址',
  `icon` varchar(255) DEFAULT '' COMMENT '图标',
  `remark` varchar(255) DEFAULT '' COMMENT '说明',
  `group` varchar(255) DEFAULT '' COMMENT '分组',
  `sort` int(11) unsigned DEFAULT '0' COMMENT '排序',
  `isShow` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '是否隐藏1是不隐藏 0是隐藏',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=153 DEFAULT CHARSET=utf8 COMMENT='系统菜单';

-- ----------------------------
-- Records of car_system_menu2
-- ----------------------------
INSERT INTO `car_system_menu2` VALUES ('14', '0', '系统设置', '/system', 'fa fa-cogs', '系统功能', '系统', '999', '1');
INSERT INTO `car_system_menu2` VALUES ('15', '14', '后台菜单', '/system-menu/list', 'fa fa-link', '', '系统管理', '999', '1');
INSERT INTO `car_system_menu2` VALUES ('16', '14', '配置管理', '/config/index', 'fa fa-file', '', '系统管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('20', '0', '会员管理', '/user', 'fa fa-user-circle', '', '会员', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('22', '20', '会员列表', '/user/list', 'fa fa-list', '', '会员列表', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('55', '51', '规格分类', '/goods/goods-cattr', 'fa fa-link', '商品规格分类', '商品管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('133', '0', '商城管理', 'shop', '', '', '商城管理', '5', '1');
INSERT INTO `car_system_menu2` VALUES ('24', '23', '文章列表', '/article/list', 'fa fa-chevron-circle-right', '', '文章列表', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('27', '23', '文章分类', '/article/clist', 'fa fa-chevron-circle-right', '', '文章分类', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('56', '51', '价格设置', '/goods/goods-price', 'fa fa-link', '根据套餐设置商品价格', '商品管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('28', '14', '网站设置', '/config/group', 'fa fa-link', '', '网站设置', '9', '1');
INSERT INTO `car_system_menu2` VALUES ('29', '14', '系统用户', '/system-user/list', 'fa fa-user', '', '系统功能', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('79', '77', '房间列表', '/game-room/list', 'fa fa-list', '', '房间列表', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('61', '60', '系统公告', '/announcement/system', 'fa fa-chevron-circle-right', '系统公告', '公告管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('60', '0', '公告管理', '/announcement', 'fa fa-volume-up', '公告管理', '公告', '4', '1');
INSERT INTO `car_system_menu2` VALUES ('129', '82', '销售列表', 'user/report-list', '', '', '销售列表', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('39', '32', '关于我们', '/message/aboutus', 'fa fa fa-link', '前台关于我们', '信息管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('40', '32', '免责声明', '/message/mianze', 'fa fa fa fa-link', '这里是免责声明', '信息管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('42', '32', '联系我们', '/message/tel-me', 'fa fa fa-link', '联系我们', '信息管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('43', '32', '招聘信息', '/message/zhaopin', 'fa fa fa-link', '我们招人', '信息管理', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('44', '20', '证件管理', '/user/certificates', 'fa fa fa-link', '证件管理', '会员管理', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('46', '14', '角色权限', '/auth-manager/item-list', 'fa fa-user-secret', '', '系统功能', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('140', '0', '销售中心', '/user', '', '', '销售中心', '1', '1');
INSERT INTO `car_system_menu2` VALUES ('48', '47', '财务日志', '/finance/finance-log', 'fa fa-file-excel-o', '', '财务管理', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('49', '47', '批量充值', '/finance/recharge', 'fa  fa-yen', '', '财务管理', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('138', '20', '出局列表', 'user/integral-list', '', '', '积分发放', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('83', '82', '会员订单', '/user-order/list', 'fa fa-vcard-o', '', '房卡订单', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('82', '0', '财务管理', 'user-order/list', 'fa fa-bullhorn', '', '财务', '2', '1');
INSERT INTO `car_system_menu2` VALUES ('135', '133', '商品订单', 'shop/order', '', '', '商品订单', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('68', '67', 'QQ客服', '/service/qq-list', 'fa fa-qq', '客服管理', '客服管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('64', '50', '游戏设置', '/game/config/index', 'fa fa-cog', '', '游戏', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('62', '60', '游戏公告', '/announcement/game', 'fa fa-chevron-circle-right', '游戏公告', '游戏公告', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('63', '23', '幻灯片管理', '/article/slide-list', 'fa fa-chevron-circle-right', '幻灯片管理', '文章管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('70', '60', '关于我们', '/announcement/about', 'fa fa-chevron-circle-right', '关于我们', '公告管理', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('84', '20', '回收站', '/user/recycle', 'fa fa-bitbucket', '', '回收站', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('81', '80', '套餐列表', '/room-card/list', 'fa fa-chevron-circle-right', '', '房卡套餐', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('73', '60', '用户须知', '/announcement/user-agreement', 'fa fa-chevron-circle-right', '公告管理', '公告管理', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('76', '55', '用户信息', '/trade/user-list', 'fa fa-user-o', '', '大盘管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('86', '85', '资讯列表', '/article/list', 'fa fa-chevron-circle-right', '文章列表', '资讯列表', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('87', '20', '代理商列表', '/user/agent-list', 'fa fa-user', '代理商列表', '会员管理', '1', '0');
INSERT INTO `car_system_menu2` VALUES ('88', '50', '微信平台菜单', '/wechat/list', 'fa fa-link', '微信平台菜单', '游戏管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('99', '85', '分类列表', 'article/cate-list', 'fa fa-chevron-circle-right', '分类列表', '文章管理', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('139', '20', '积分列表', 'user/integral', '', '', '积分列表', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('92', '91', '评论列表', '/comment/list', 'fa fa-chevron-circle-right', '评论列表', '评论管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('134', '133', '商品列表', 'shop/list', '', '', '商品列表', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('94', '93', '商家列表', '/shops/list', '', '', '商家管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('95', '93', '申请商家', '/shops/apply-list', '', '', '商家管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('142', '140', '销售中心管理', 'user/proxy', '', '', '销售中心管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('98', '97', '收藏列表', '/collect/index', 'fa fa-chevron-circle-right', '收藏列表', '收藏管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('100', '85', '幻灯片列表', 'article/slide-list', 'fa fa-chevron-circle-right', '幻灯片列表', '文章管理', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('146', '14', '短信记录', 'shop/sms', '', '', '短信记录', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('102', '14', '前台菜单', '/menu/item-list', 'fa fa-chevron-circle-right', '前台菜单', '系统设置', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('103', '47', '志愿者充值', '/volunteer-list/list', '', '', '志愿者充值', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('104', '47', '志愿者商城', '/volunteer-list/goods-list', '', '', '志愿者商城', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('105', '93', '订单管理', '/shops/order-list', '', '', '订单管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('141', '140', '地区代理', 'user/area', '', '', '地区代理', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('107', '106', '公益列表', '/love/list', '', '', '爱心列表', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('145', '133', '订制订单', 'shop/custom', '', '', '订制订单', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('109', '108', '合伙人列表', '/consumption/list', 'fa fa-chevron-circle-right', '合伙人列表', '合伙人管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('111', '60', '线下打款', '/announcement/state', '', '线下打款', '公告管理', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('112', '60', '协议管理', 'announcement/agree', 'fa fa-chevron-circle-right', '合伙人协议', '公共管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('113', '85', '欢迎页列表', 'article/index-list', 'fa fa-chevron-circle-right', '欢迎页列表', '文章管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('114', '82', '提现管理', '/withdraw/list', '', '', '提现管理', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('115', '82', '分销列表', '/integral-release/list', '', '', '分销列表', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('116', '47', '志愿者列表', '/volunteer-list/shop-list', '', '', '商城列表', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('143', '140', '销售中心列表', 'user/report-lists', '', '', '销售中心列表', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('118', '14', '分销设置', '/distribution/index', 'fa fa-chevron-circle-right', '分销设置', '系统设置', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('119', '47', '志愿者申请', '/volunteer-list/apply-shop-list', 'fa fa-chevron-circle-right', '志愿者申请', '志愿者管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('121', '93', '开店申请', '/shops/shop-apply-list', '', '', '开店申请', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('122', '47', '会员充值', '/volunteer-list/user-list', '', '', '会员充值', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('123', '20', '关系列表', '/user/relation-list', '', '', '关系列表', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('124', '93', '卡管理', '', '', '', '卡管理', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('125', '47', '添加图片', 'utils/kindeditor', '', '', '添加图片', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('130', '82', '收款信息', '/user/bankcard', '', '', '收款信息', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('127', '20', '团队列表', 'user/team-list', '', '', '团队列表', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('128', '82', '财务审核', '/user/real-name', '', '', '财务审核', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('144', '140', '销售中心管理', 'user/report-manage', '', '', '销售中心管理', '0', '0');
INSERT INTO `car_system_menu2` VALUES ('147', '133', '幻灯片', 'article/slide-list', '', '', '幻灯片', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('148', '14', '疑难帮助', 'article/list', '', '', '疑难帮助', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('149', '82', '销售中心审核', '/user/report-confirm', '', '', '报单中心审核', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('150', '14', '操作日志', '/config/manager-list', '', '用户系统内操作的日志记录', '系统设置', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('151', '0', '手动操作', '/manual', 'fa fa-home', '手动添加报单和组', '手动操作', '0', '1');
INSERT INTO `car_system_menu2` VALUES ('152', '151', '手动添加报单和组', 'manual/report-team', '', '', '手动添加报单和组', '0', '1');

-- ----------------------------
-- Table structure for `car_system_user`
-- ----------------------------
DROP TABLE IF EXISTS `car_system_user`;
CREATE TABLE `car_system_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(255) NOT NULL,
  `auth_key` varchar(50) NOT NULL,
  `password_hash` varchar(255) NOT NULL,
  `password_reset_token` varchar(255) DEFAULT '',
  `email` varchar(255) DEFAULT '',
  `status` smallint(6) NOT NULL DEFAULT '10',
  `role_id` int(10) DEFAULT '0' COMMENT '角色授权',
  `created_at` int(11) NOT NULL,
  `updated_at` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`),
  UNIQUE KEY `email` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8 COMMENT='系统菜单';

-- ----------------------------
-- Records of car_system_user
-- ----------------------------
INSERT INTO `car_system_user` VALUES ('1', 'admin', 'wd-LaKWNjQVBCjRcoTh8L7qhE435PaC1', '$2y$10$pjObJoKfMZ0SXH2oCrTHIuAjQGT62cZeu8DSs/iYtPWVOo7x8HW52', null, null, '10', '39', '1511170155', '1535680870');
INSERT INTO `car_system_user` VALUES ('2', 'zhou001', 'OIpweBpcjQvTWJmMTL1astc9soCwaxMm', '$2y$13$rJdT22m9atVr22cP8RNMKug/yldWY4p3zX3/eOl/XA21kUjg8cjVq', '', '657432049@qq.com', '0', '8', '1535707995', '1546412914');
INSERT INTO `car_system_user` VALUES ('3', 'kefu01', 'jurRX-pA4ZOqApBRq_isyVBh3uAr4dKH', '$2y$13$XyBvlNXCBucN5JWuA5V0iu9oSgI8jOC2PdPQoTEgvTbxIxalN9tZW', '', '111111@qq.com', '0', '0', '1546413003', '1546910518');
INSERT INTO `car_system_user` VALUES ('4', 'adminzhou', 'wopGwsx8NEAcnx2QTmy7lj0d6p8HuQVn', '$2y$13$LO/SOnSAkEqslqXqyn8IQuuJ0ppJBjfbAHdk/JBSN2b4JrPfUoHpu', '', '22222@qq.com', '0', '8', '1546413042', '1546413969');
INSERT INTO `car_system_user` VALUES ('5', 'adminyang', 'lX1uDbouXfSsu3WA0Hutj9c5ZhOyNzol', '$2y$13$DAKVr0goGlA2flMzYxYcMemX5ifHaWpvzHF4QoEsmciLRdrpEioQO', '', '333333@qq.com', '0', '39', '1546413095', '1546910414');
INSERT INTO `car_system_user` VALUES ('6', 'paiwei01', 'CQXTt0xMZg-yHJeAiGL4lXiO9td3Xi0q', '$2y$13$CV6c4LISbrysVg8WtUOIwOjAbOiYw0N8vBjJfnvbuHMiNk39S14Km', '', '11@qq.com', '0', '36', '1546413133', '1546910456');
INSERT INTO `car_system_user` VALUES ('7', 'caiwu01', 'XQTHwN3C0gAVGYu44tgQHVrAFmLCOVYh', '$2y$13$giFidMUPsk7NsS1Lla3QguDr9vK2JBy0kknxHPfCkJyxChYLf1cSi', '', '111@qq.com', '0', '35', '1546413345', '1546910515');
INSERT INTO `car_system_user` VALUES ('8', 'xszx', 'WAu5oEptZuwaV4yUX5tyNrSi0qBcAu-O', '$2y$10$pjObJoKfMZ0SXH2oCrTHIuAjQGT62cZeu8DSs/iYtPWVOo7x8HW52', '', '125363@qq.com', '0', '36', '1546476895', '1546909514');
INSERT INTO `car_system_user` VALUES ('9', '111', 'IVHwLaI5mFUke8YulL6qEu-vHtWRtQrc', '$2y$13$HbtoVTC4mjbukyi9qKLS..LSoEhLtfcoNgFVS/LKy4ERMzxQ/1NqW', '', '7823622525@qq.com', '0', '0', '1546855151', '1546909243');
INSERT INTO `car_system_user` VALUES ('10', 'zhoujinhao', 'i-hAqdLcR7bOB4S-b-5UetVk42rsbCQf', '$2y$13$SP7t6zV2ARkH.lBL0ymWfu5DJpzJ.eG.VsHaM4sbOthafwF9yrrPS', '', '9888998@qq.com', '0', '41', '1546909237', '1546911883');
INSERT INTO `car_system_user` VALUES ('11', 'yanglei', 'XzSi9G4v05kaAajBWuYXa4iIvIR4ylLI', '$2y$13$.Kf.TQQHeHa10brob/XlBuOibGMj5ICwXHIBjuo7sSCQhWV00bU2u', '', '1613415316@qq.com', '0', '41', '1546910445', '1546911875');
INSERT INTO `car_system_user` VALUES ('12', 'wendandan', 'FrO0Via3obhgUQ4l_7Ewxw0TncorV5c4', '$2y$13$wavKwef.xKcJd5NgvHj.9ePHGKzp.1/ngIuIJ.lnL36yxTUiy19g2', '', '874346941@qq.com', '0', '40', '1546910493', '1546911827');
INSERT INTO `car_system_user` VALUES ('13', 'huangyingying', '1nTzk86sPGKNRFxUws3WU6k2M1VraHUm', '$2y$13$CfMmBvrIlmcLVinVyJr41uP2tsi3S3aGlrghQv3k23qG44H9ENo96', '', '54343@qq.com', '0', '36', '1546910599', '1546911800');
INSERT INTO `car_system_user` VALUES ('14', 'chenxiyan', 'L8LT62CeCTcVjCrmTqcuUUOmrLcPOo80', '$2y$13$EswZcuAtRPmsaYMK/eJYwO5jVYPZvwTnnPL0pM.BlEXBgnT/ZoIDq', '', '4343@qq.com', '0', '35', '1546910808', '1546911887');
INSERT INTO `car_system_user` VALUES ('15', '客服', 'vdi6gYAR4_F8_PQA6Xc3gw4mlvUvTR2N', '$2y$13$DY99.M8U20k/ATpFiUo5OO0GdLAa4Hf/6TouebeKziTHCNfCg4bWm', '', '15151515@qq.com', '0', '0', '1546911599', '1546911616');
INSERT INTO `car_system_user` VALUES ('16', '胡长勇', 'Lazn7jerRcyTFlYQwDyeHsI3-DqeRCwz', '$2y$13$ucJcf48.pp187NPmXCksgeQ049pnyEhJqS7nkpwnEROe/U1i4arzy', '', '49756@qq.com', '10', '39', '1546911686', '1546911895');
INSERT INTO `car_system_user` VALUES ('17', '田明华', 'o2B64vQBIh0R-IPUCSWMztuh-8gn8AnN', '$2y$13$SnPVnHFxLzrvrqWGKhqZNOvZfslLu7PqarkHbu7Eunj8GENfs9VHa', '', '7694697@qq.com', '10', '39', '1546911723', '1546911902');
INSERT INTO `car_system_user` VALUES ('18', '周津昊', 'YSr3AloQnRMlTXW5b98csdcv6f8vwWCB', '$2y$13$wNV1Rdxp0zYzojp3gsk6GekkTHEtywGi5Hniu3aA6nsOjAqZl3TXG', '', '48634689@qq.com', '10', '41', '1546911760', '1546911768');
INSERT INTO `car_system_user` VALUES ('19', '黄莹莹', '502q7W_AF24QC-rkDxyPVkODxQ-Opsw7', '$2y$13$AHnG6S3SVtBj9QqFox6BYuSG5t8b9zynkrt6CNerHEjx/8OEd7tnW', '', '78649@qq.com', '10', '41', '1546911786', '1546912858');
INSERT INTO `car_system_user` VALUES ('20', '温丹丹', 'gs3yH34lkevIgLREXpU5Ix8tu2ALQNDK', '$2y$13$F2q3h8B5WdTKJN/QjySNfO0D49E8cGN9zEqETbvZZ177CEiYIexwq', '', '74684@qq.com', '10', '40', '1546911844', '1546937553');
INSERT INTO `car_system_user` VALUES ('21', '杨磊', '6UCVArAWsP4AuVNuruo7yLM30SdBFgO1', '$2y$13$6h/ZkP7eIZjY.424wnVtP.W0hlFqUkOGD1ojijiGx334fuEwJpi9y', '', '786486@qq.com', '10', '41', '1546911869', '1546911936');
INSERT INTO `car_system_user` VALUES ('22', '韩彩霞', 'XsicXE8bJQZIGhs9pNB14rLfT8YE_15o', '$2y$13$Cpl3uJpDi24OhX7ywp1qFuKnbX7jo/Ta0KlgH9IhecHXIftkHnK4.', '', '145343@qq.com', '10', '40', '1546911962', '1546911968');
INSERT INTO `car_system_user` VALUES ('23', '许晴', 'ZjDlLyGhaSQf1Hk9PwFVuYkfWpov1dIO', '$2y$13$PPsFmVgPYj0zvNce5zd9X.Ei/vQOfLhTCL7m5A67SdvVx9s7NWjwq', '', '4643@qq.com', '10', '40', '1546912009', '1546913406');
INSERT INTO `car_system_user` VALUES ('24', '申桠楠', 'e9vfAv8YjOpdSDcHpuuxTBb5en72Qv_i', '$2y$13$VrMO2z3J0D7t53cN87dY5.WEIK84tvol60IiQWtbImGrTNZZ8AOCG', '', '57354@qq.com', '10', '41', '1546912795', '1547002786');
INSERT INTO `car_system_user` VALUES ('25', '陈喜艳', 'qcC0dEHpYHPDa1bUxQe3ZV_ovJgYcJTi', '$2y$13$GaeASGIeKdYN6hyyvLEsPO2DW3YZgnBHh.VSH68cMYelBduPkGef2', '', '4779@qq.com', '10', '35', '1546913569', '1546918395');

-- ----------------------------
-- Table structure for `car_system_user_log`
-- ----------------------------
DROP TABLE IF EXISTS `car_system_user_log`;
CREATE TABLE `car_system_user_log` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ip` varchar(50) NOT NULL COMMENT '登录IP',
  `username` varchar(50) NOT NULL COMMENT '登录用户名',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '状态 1：登录成功 0：登录失败',
  `created_at` int(11) unsigned NOT NULL,
  `updated_at` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ip_username` (`ip`,`username`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=100 DEFAULT CHARSET=utf8 COMMENT='系统用户日志';

-- ----------------------------
-- Records of car_system_user_log
-- ----------------------------
INSERT INTO `car_system_user_log` VALUES ('34', '111.206.117.13', 'admin', '1', '1545895410', '1545895410');
INSERT INTO `car_system_user_log` VALUES ('35', '111.206.117.21', 'admin', '1', '1545895530', '1545895530');
INSERT INTO `car_system_user_log` VALUES ('36', '123.126.115.152', 'admin', '1', '1546412727', '1546412727');
INSERT INTO `car_system_user_log` VALUES ('37', '123.126.115.152', 'adminyang', '1', '1546413833', '1546413833');
INSERT INTO `car_system_user_log` VALUES ('38', '123.126.115.152', 'admin', '1', '1546413935', '1546413935');
INSERT INTO `car_system_user_log` VALUES ('39', '111.206.117.21', 'admin', '1', '1546478549', '1546478549');
INSERT INTO `car_system_user_log` VALUES ('40', '111.206.117.13', ' xszx', '1', '1546480212', '1546480212');
INSERT INTO `car_system_user_log` VALUES ('41', '111.206.117.13', 'admin', '1', '1546480258', '1546480258');
INSERT INTO `car_system_user_log` VALUES ('42', '111.206.117.13', 'xszx', '1', '1546480920', '1546480920');
INSERT INTO `car_system_user_log` VALUES ('43', '111.206.117.21', 'admin', '1', '1546480967', '1546480967');
INSERT INTO `car_system_user_log` VALUES ('44', '111.206.117.21', 'admin', '1', '1546481037', '1546481037');
INSERT INTO `car_system_user_log` VALUES ('45', '111.206.117.21', 'caiwu01', '1', '1546486187', '1546486187');
INSERT INTO `car_system_user_log` VALUES ('46', '111.206.117.21', 'caiwu01', '1', '1546486236', '1546486236');
INSERT INTO `car_system_user_log` VALUES ('47', '111.206.117.21', 'admin', '1', '1546486384', '1546486384');
INSERT INTO `car_system_user_log` VALUES ('48', '111.206.117.13', 'admin', '1', '1546486469', '1546486469');
INSERT INTO `car_system_user_log` VALUES ('49', '111.206.117.13', 'admin', '1', '1546487031', '1546487031');
INSERT INTO `car_system_user_log` VALUES ('50', '111.206.117.13', 'admin', '1', '1546487216', '1546487216');
INSERT INTO `car_system_user_log` VALUES ('51', '111.206.117.13', 'admin', '1', '1546487519', '1546487519');
INSERT INTO `car_system_user_log` VALUES ('52', '111.206.117.21', 'admin', '1', '1546493790', '1546493790');
INSERT INTO `car_system_user_log` VALUES ('53', '111.206.117.13', 'admin', '1', '1546494195', '1546494195');
INSERT INTO `car_system_user_log` VALUES ('54', '111.206.117.13', 'admin', '1', '1546495250', '1546495250');
INSERT INTO `car_system_user_log` VALUES ('55', '111.206.117.13', 'admin', '1', '1546495899', '1546495899');
INSERT INTO `car_system_user_log` VALUES ('56', '111.206.117.13', 'admin', '1', '1546497638', '1546497638');
INSERT INTO `car_system_user_log` VALUES ('57', '111.206.117.21', 'admin', '1', '1546497867', '1546497867');
INSERT INTO `car_system_user_log` VALUES ('58', '111.206.117.21', 'admin', '1', '1546585238', '1546585238');
INSERT INTO `car_system_user_log` VALUES ('59', '111.206.117.21', 'admin', '1', '1546587837', '1546587837');
INSERT INTO `car_system_user_log` VALUES ('60', '111.206.117.21', 'admin', '1', '1546855413', '1546855413');
INSERT INTO `car_system_user_log` VALUES ('61', '111.206.117.21', 'zhoujinhao', '1', '1546909801', '1546909801');
INSERT INTO `car_system_user_log` VALUES ('62', '111.206.117.21', 'admin', '1', '1546909837', '1546909837');
INSERT INTO `car_system_user_log` VALUES ('63', '111.206.117.21', 'zhoujinhao', '1', '1546909937', '1546909937');
INSERT INTO `car_system_user_log` VALUES ('64', '111.206.117.21', 'admin', '1', '1546910070', '1546910070');
INSERT INTO `car_system_user_log` VALUES ('65', '111.206.117.21', 'yanglei', '1', '1546911292', '1546911292');
INSERT INTO `car_system_user_log` VALUES ('66', '111.206.117.21', '温丹丹', '1', '1546912061', '1546912061');
INSERT INTO `car_system_user_log` VALUES ('67', '111.206.117.21', '黄莹莹', '1', '1546912102', '1546912102');
INSERT INTO `car_system_user_log` VALUES ('68', '111.206.117.21', '周津昊', '1', '1546912431', '1546912431');
INSERT INTO `car_system_user_log` VALUES ('69', '111.206.117.21', 'admin', '1', '1546912490', '1546912490');
INSERT INTO `car_system_user_log` VALUES ('70', '111.206.117.13', '温丹丹', '1', '1546912705', '1546912705');
INSERT INTO `car_system_user_log` VALUES ('71', '111.206.117.21', '胡长勇', '1', '1546912835', '1546912835');
INSERT INTO `car_system_user_log` VALUES ('72', '111.206.117.21', 'admin', '1', '1546912877', '1546912877');
INSERT INTO `car_system_user_log` VALUES ('73', '111.206.117.21', '周津昊', '1', '1546912918', '1546912918');
INSERT INTO `car_system_user_log` VALUES ('74', '111.206.117.21', 'admin', '1', '1546912941', '1546912941');
INSERT INTO `car_system_user_log` VALUES ('75', '111.206.117.21', '周津昊', '1', '1546912974', '1546912974');
INSERT INTO `car_system_user_log` VALUES ('76', '111.206.117.21', 'admin', '1', '1546913023', '1546913023');
INSERT INTO `car_system_user_log` VALUES ('77', '111.206.117.21', '胡长勇', '1', '1546913109', '1546913109');
INSERT INTO `car_system_user_log` VALUES ('78', '111.206.117.21', '田明华', '1', '1546913156', '1546913156');
INSERT INTO `car_system_user_log` VALUES ('79', '111.206.117.21', '温丹丹', '1', '1546913351', '1546913351');
INSERT INTO `car_system_user_log` VALUES ('80', '111.206.117.21', '韩彩霞', '1', '1546913395', '1546913395');
INSERT INTO `car_system_user_log` VALUES ('81', '111.206.117.21', '许晴', '1', '1546913436', '1546913436');
INSERT INTO `car_system_user_log` VALUES ('82', '111.206.117.21', '申桠楠', '1', '1546913457', '1546913457');
INSERT INTO `car_system_user_log` VALUES ('83', '111.206.117.13', '温丹丹', '1', '1546913557', '1546913557');
INSERT INTO `car_system_user_log` VALUES ('84', '111.206.117.21', '申桠楠', '1', '1546914838', '1546914838');
INSERT INTO `car_system_user_log` VALUES ('85', '111.206.117.21', '周津昊', '1', '1546914864', '1546914864');
INSERT INTO `car_system_user_log` VALUES ('86', '111.206.117.21', 'admin', '1', '1546914903', '1546914903');
INSERT INTO `car_system_user_log` VALUES ('87', '111.206.117.21', '申桠楠', '1', '1546914995', '1546914995');
INSERT INTO `car_system_user_log` VALUES ('88', '111.206.117.21', 'admin', '1', '1546915019', '1546915019');
INSERT INTO `car_system_user_log` VALUES ('89', '111.206.117.21', '周津昊', '1', '1546915078', '1546915078');
INSERT INTO `car_system_user_log` VALUES ('90', '111.206.117.21', '申桠楠', '1', '1546915238', '1546915238');
INSERT INTO `car_system_user_log` VALUES ('91', '111.206.117.21', '陈喜艳', '1', '1546918330', '1546918330');
INSERT INTO `car_system_user_log` VALUES ('92', '111.206.117.21', 'admin', '1', '1546936709', '1546936709');
INSERT INTO `car_system_user_log` VALUES ('93', '111.206.117.21', '温丹丹', '1', '1546937600', '1546937600');
INSERT INTO `car_system_user_log` VALUES ('94', '111.206.117.13', '申桠楠', '1', '1546937849', '1546937849');
INSERT INTO `car_system_user_log` VALUES ('95', '111.206.117.21', '周津昊', '1', '1546938196', '1546938196');
INSERT INTO `car_system_user_log` VALUES ('96', '111.206.117.21', 'admin', '1', '1546940016', '1546940016');
INSERT INTO `car_system_user_log` VALUES ('97', '111.206.117.21', '周津昊', '1', '1546995333', '1546995333');
INSERT INTO `car_system_user_log` VALUES ('98', '111.206.117.21', '韩彩霞', '1', '1546999356', '1546999356');
INSERT INTO `car_system_user_log` VALUES ('99', '111.206.117.21', '申桠楠', '1', '1547003097', '1547003097');

-- ----------------------------
-- Table structure for `car_team`
-- ----------------------------
DROP TABLE IF EXISTS `car_team`;
CREATE TABLE `car_team` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid1` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `uid2` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `uid3` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `uid4` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `uid5` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `uid6` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `uid7` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `uid8` int(11) NOT NULL DEFAULT '0',
  `uid9` int(11) NOT NULL DEFAULT '0',
  `uid10` int(11) NOT NULL DEFAULT '0',
  `uid11` int(11) NOT NULL DEFAULT '0',
  `uid12` int(11) NOT NULL DEFAULT '0',
  `uid13` int(11) NOT NULL DEFAULT '0',
  `uid14` int(11) NOT NULL DEFAULT '0',
  `uid15` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态 1:未裂变 2:裂变',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT '父id',
  `created_at` int(11) NOT NULL,
  `update_at` int(11) NOT NULL DEFAULT '0',
  `type` tinyint(2) DEFAULT '1' COMMENT '组类型 1:7推8 2:一推8',
  PRIMARY KEY (`id`),
  KEY `uid1` (`uid1`),
  KEY `uid2` (`uid2`),
  KEY `uid3` (`uid3`),
  KEY `uid5` (`uid5`),
  KEY `uid6` (`uid6`),
  KEY `uid7` (`uid7`),
  KEY `uid4` (`uid4`),
  KEY `uid1_2` (`uid1`),
  KEY `uid2_2` (`uid2`),
  KEY `uid3_2` (`uid3`),
  KEY `uid4_2` (`uid4`),
  KEY `uid5_2` (`uid5`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- ----------------------------
-- Records of car_team
-- ----------------------------
INSERT INTO `car_team` VALUES ('1', '101', '103', '104', '105', '106', '107', '108', '109', '705', '706', '707', '710', '730', '0', '0', '1', '0', '1546829295', '1546829295', '1');
INSERT INTO `car_team` VALUES ('2', '110', '1332', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546487389', '1546940575', '1');
INSERT INTO `car_team` VALUES ('3', '111', '112', '113', '114', '115', '116', '117', '118', '119', '120', '0', '0', '0', '0', '0', '1', '0', '1546493586', '1546493586', '1');
INSERT INTO `car_team` VALUES ('5', '742', '760', '772', '777', '778', '783', '793', '797', '798', '799', '0', '0', '0', '0', '0', '1', '0', '1546832936', '1546832936', '1');
INSERT INTO `car_team` VALUES ('6', '808', '813', '814', '815', '818', '820', '821', '822', '823', '824', '1251', '0', '0', '0', '0', '1', '0', '1546841025', '1546938402', '1');
INSERT INTO `car_team` VALUES ('8', '843', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546842061', '1546842061', '1');
INSERT INTO `car_team` VALUES ('9', '869', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546842516', '1546842516', '1');
INSERT INTO `car_team` VALUES ('10', '875', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546842647', '1546842647', '1');
INSERT INTO `car_team` VALUES ('11', '878', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546842771', '1546842771', '1');
INSERT INTO `car_team` VALUES ('12', '881', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546842889', '1546842889', '1');
INSERT INTO `car_team` VALUES ('13', '885', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546843027', '1546843027', '1');
INSERT INTO `car_team` VALUES ('14', '916', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546844276', '1546844276', '1');
INSERT INTO `car_team` VALUES ('15', '924', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546844473', '1546844473', '1');
INSERT INTO `car_team` VALUES ('16', '927', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546844648', '1546844648', '1');
INSERT INTO `car_team` VALUES ('17', '1022', '1027', '1031', '1035', '1038', '1041', '1047', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546848075', '1546848075', '1');
INSERT INTO `car_team` VALUES ('18', '1056', '1225', '1226', '1227', '1228', '1229', '1230', '1231', '1232', '1233', '0', '0', '0', '0', '0', '1', '0', '1546916069', '1546916069', '1');
INSERT INTO `car_team` VALUES ('19', '1234', '1235', '1236', '1237', '1238', '1239', '1240', '1241', '1242', '0', '0', '0', '0', '0', '0', '1', '0', '1546917127', '1546917127', '1');
INSERT INTO `car_team` VALUES ('20', '1243', '444', '525', '1245', '1246', '1247', '1249', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546919615', '1546919615', '1');
INSERT INTO `car_team` VALUES ('21', '1250', '1252', '1255', '1257', '1258', '1259', '1260', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546930547', '1546930547', '1');
INSERT INTO `car_team` VALUES ('22', '1261', '1264', '1267', '1268', '1271', '1273', '1274', '1280', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546932251', '1546932251', '1');
INSERT INTO `car_team` VALUES ('23', '1283', '1284', '1285', '1286', '1289', '1292', '1301', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546934763', '1546934763', '1');
INSERT INTO `car_team` VALUES ('24', '1317', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546935494', '1546935494', '1');
INSERT INTO `car_team` VALUES ('25', '1319', '1320', '1321', '1322', '1430', '1431', '1437', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1547001722', '1547001722', '1');
INSERT INTO `car_team` VALUES ('26', '1251', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546938402', '1546938402', '2');
INSERT INTO `car_team` VALUES ('28', '1444', '1471', '1509', '1565', '1569', '1573', '1575', '1576', '1577', '0', '0', '0', '0', '0', '0', '1', '0', '1547005672', '1547005672', '2');
INSERT INTO `car_team` VALUES ('29', '1332', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1546941626', '1546941626', '2');
INSERT INTO `car_team` VALUES ('30', '1578', '1583', '1587', '1589', '1593', '1599', '1621', '1625', '1626', '1628', '0', '0', '0', '0', '0', '1', '0', '1547013175', '1547013175', '1');
INSERT INTO `car_team` VALUES ('31', '777', '1636', '1638', '1640', '1642', '1643', '1645', '1649', '1651', '0', '0', '0', '0', '0', '0', '1', '0', '1547013930', '1547013930', '1');
INSERT INTO `car_team` VALUES ('32', '1654', '1657', '1672', '1675', '1679', '1680', '1682', '1685', '1686', '1688', '0', '0', '0', '0', '0', '1', '0', '1547015450', '1547015450', '1');
INSERT INTO `car_team` VALUES ('33', '1696', '1697', '1698', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1547019827', '1547019827', '1');
INSERT INTO `car_team` VALUES ('35', '1689', '1690', '1691', '1692', '1693', '1694', '1695', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1547016628', '1547016628', '1');

-- ----------------------------
-- Table structure for `car_trade_config`
-- ----------------------------
DROP TABLE IF EXISTS `car_trade_config`;
CREATE TABLE `car_trade_config` (
  `title` varchar(255) NOT NULL COMMENT '配置名称',
  `info` longtext,
  PRIMARY KEY (`title`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='交易盘交易配置';

-- ----------------------------
-- Records of car_trade_config
-- ----------------------------
INSERT INTO `car_trade_config` VALUES ('trade', '1231');
INSERT INTO `car_trade_config` VALUES ('about_us', 'a:1:{s:11:&quot;TradeConfig&quot;;a:2:{s:5:&quot;title&quot;;s:18:&quot;关于我们标题&quot;;s:4:&quot;info&quot;;s:21:&quot;关于我们的内容&quot;;}}');
INSERT INTO `car_trade_config` VALUES ('mian_ze', 'a:1:{s:11:&quot;TradeConfig&quot;;a:2:{s:5:&quot;title&quot;;s:21:&quot;免责声明的标题&quot;;s:4:&quot;info&quot;;s:21:&quot;免责声明的内容&quot;;}}');
INSERT INTO `car_trade_config` VALUES ('tel_me', 'a:1:{s:4:&quot;info&quot;;a:4:{s:7:&quot;address&quot;;s:21:&quot;联系我们的地址&quot;;s:8:&quot;telphone&quot;;s:21:&quot;联系我们的咨询&quot;;s:6:&quot;mobile&quot;;s:21:&quot;联系我们的电话&quot;;s:5:&quot;email&quot;;s:21:&quot;联系我们的邮箱&quot;;}}');
INSERT INTO `car_trade_config` VALUES ('zhao_pin', 'a:1:{s:11:&quot;TradeConfig&quot;;a:2:{s:5:&quot;title&quot;;s:21:&quot;招聘信息的标题&quot;;s:4:&quot;info&quot;;s:21:&quot;招聘信息的内容&quot;;}}');

-- ----------------------------
-- Table structure for `car_user`
-- ----------------------------
DROP TABLE IF EXISTS `car_user`;
CREATE TABLE `car_user` (
  `uid` int(255) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `marks` varchar(30) DEFAULT '' COMMENT '原数据库ID',
  `mobile` varchar(11) DEFAULT NULL COMMENT '手机号',
  `superior` varchar(2000) DEFAULT '0' COMMENT '上级列表',
  `referrer` varchar(11) DEFAULT '' COMMENT '推荐人',
  `team_id` int(11) DEFAULT '0',
  `outs` tinyint(1) DEFAULT '0' COMMENT '出局次数',
  `report_center` tinyint(1) DEFAULT '0' COMMENT '是否报单过',
  `credit` decimal(12,2) unsigned DEFAULT '0.00' COMMENT '报单积分',
  `credit1` decimal(10,2) unsigned DEFAULT '0.00' COMMENT '出局积分',
  `credit2` decimal(10,2) unsigned DEFAULT '0.00' COMMENT '冻结积分',
  `credit3` decimal(14,2) unsigned DEFAULT '0.00' COMMENT '总金额',
  `report` tinyint(1) DEFAULT '0' COMMENT '是否为报单中心',
  `partner` tinyint(1) DEFAULT '0' COMMENT '是否代理',
  `is_withdrawn` tinyint(4) DEFAULT '0' COMMENT '是否可提现',
  `partner_address` varchar(255) DEFAULT '' COMMENT '代理地址',
  `password_hash` varchar(255) DEFAULT NULL COMMENT '密码',
  `password_reset_token` varchar(255) DEFAULT '',
  `auth_key` varchar(50) DEFAULT NULL COMMENT 'cookie验证',
  `pay_password` varchar(255) DEFAULT '' COMMENT '交易密码',
  `lv` smallint(1) unsigned DEFAULT '0' COMMENT '代理等级',
  `realname` varchar(15) DEFAULT '' COMMENT '真实姓名',
  `nickname` varchar(20) DEFAULT '' COMMENT '昵称',
  `accountname` varchar(30) CHARACTER SET utf8mb4 DEFAULT '' COMMENT '登录账号',
  `username` varchar(255) DEFAULT '',
  `avatar` varchar(255) DEFAULT '' COMMENT '头像',
  `gender` tinyint(1) unsigned DEFAULT '0' COMMENT '性别',
  `province` varchar(20) DEFAULT '' COMMENT '省',
  `city` varchar(20) DEFAULT '' COMMENT '市',
  `county` varchar(20) DEFAULT '' COMMENT '县区',
  `address` varchar(255) DEFAULT '' COMMENT '详细地址',
  `district` varchar(255) DEFAULT '',
  `domicile_address` varchar(255) DEFAULT '' COMMENT '户籍所在地',
  `bank_card` varchar(50) DEFAULT '' COMMENT '银行卡号',
  `email` varchar(50) DEFAULT '' COMMENT '邮箱',
  `birthyear` smallint(6) unsigned DEFAULT '0' COMMENT '出生年',
  `birthmonth` tinyint(3) unsigned DEFAULT '0' COMMENT '出生月',
  `birthday` tinyint(11) unsigned DEFAULT '0' COMMENT '出生日',
  `idcard` varchar(18) DEFAULT '' COMMENT '身份证号',
  `identity0` varchar(255) DEFAULT '' COMMENT '手持身份证',
  `identity1` varchar(100) DEFAULT '' COMMENT '身份证正面',
  `identity2` varchar(100) DEFAULT '' COMMENT '身份证反面',
  `bank_address` varchar(255) DEFAULT '' COMMENT '开户行地址',
  `status` tinyint(4) DEFAULT '0',
  `real_status` tinyint(1) DEFAULT '0' COMMENT '是否认证，0未认证，1认证中，2已认证',
  `report_price` decimal(10,2) DEFAULT '0.00' COMMENT '代理金额',
  `gesture` int(11) unsigned DEFAULT '0' COMMENT '手势密码',
  `access_token` varchar(255) DEFAULT '' COMMENT 'api接口密匙',
  `updated_at` int(11) unsigned DEFAULT '0' COMMENT '更新时间',
  `created_at` int(11) unsigned DEFAULT '0' COMMENT '创建时间',
  `wechat_openid` varchar(50) DEFAULT '' COMMENT '微信标识',
  `lock_version` int(11) unsigned DEFAULT '0' COMMENT '锁版本',
  `erp_openid` char(36) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT '' COMMENT 'erp的openid',
  PRIMARY KEY (`uid`),
  UNIQUE KEY `car_user_uid_password_hash` (`uid`,`password_hash`),
  UNIQUE KEY `car_user_mobile_password_hash` (`mobile`,`password_hash`),
  KEY `ids` (`marks`),
  KEY `user_uid` (`uid`),
  KEY `car_user_accountbname_password_hash` (`password_hash`,`accountname`),
  KEY `car_user_erp_openid_uid` (`uid`,`erp_openid`)
) ENGINE=InnoDB AUTO_INCREMENT=1699 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='用户表';

-- ----------------------------
-- Records of car_user
-- ----------------------------
INSERT INTO `car_user` VALUES ('1', '', '15888888888', '0', '0', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', null, '', null, '', '0', '', '系统虚拟账户', '系统虚拟账户', '系统虚拟账户', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', null, '0.00', '0', '', '0', '0', '', '0', '');
INSERT INTO `car_user` VALUES ('5', '', '18518085856', '1_0', '1', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$fgQb8ybmv4l5kjlkPNBtQuERyG8DjAyCSKvuYmbHt8lQLD1B80Jhu', '', '7Cg_p_MkPeawqb4fMy7tvmRxALH8V3_E', '', '0', '鸿睿博远总部', '', 'hrby168', '鸿睿博远总部', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545878255', '1545878255', '', '0', '9cf21767-1ff2-835f-bb27-b8aa140a3059');
INSERT INTO `car_user` VALUES ('6', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Xi0fQG28AD3GlGD4644QmeapusoWki/g8wKZgbyNDWTHv7vEa2x7u', '', '_LCuniQ5notgOP8wrMyqmom_JVsl2a_q', '', '0', '崔萍', '', 'cp888888', '崔萍销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545889888', '1545889888', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('7', '', '13772428899', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Y.qxt8rd3pLh7O/8Uz4wUuf83lEU3L/isN3r5gFL8HQpOtnxaDspO', '', '4Sx27sMLoG7rovO6JUimNtrhT2sWdLN2', '', '0', '黄渊龙', '', 'hyl888888', '黄渊龙销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890046', '1545890046', '', '0', 'c84589bf-9982-8db8-13ff-b82251437e04');
INSERT INTO `car_user` VALUES ('8', '', '13316319833', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wLXDRtIGA0j3Ppl9Kw5vOusjRKwwOPyyEhqxPQ/uOc8cHvCGZJS7G', '', 'Iq6dQ6P_SRX-yeHetDQTQWd37oolZghx', '', '0', '钟春花', '', 'zch888888', '钟春花销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890216', '1545890216', '', '0', '9afed03b-7d9b-0716-9a66-09999de715f6');
INSERT INTO `car_user` VALUES ('9', '', '18571123551', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$JNjwpr0flEfsIdLEcp0gvuPo5dDU5nnVF/cWo0iZv5TkxX29jvd.C', '', '-GtyGAWRI20WctHjzHwDWBlnM05zm8bj', '', '0', '何莉华', '', 'hlh888888', '何莉华销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890259', '1545890259', '', '0', 'dfacff09-ccc5-cb31-e163-5f36c5dd9a81');
INSERT INTO `car_user` VALUES ('10', '', '13299586598', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$NJLToCzq5y2dZuRl68jKOeEU/GN09S8ZAn5VrLu0XY726MAKxhZ52', '', 'svyQS52QBbLdL-Vp-OcYkDGpBVwOBn4S', '', '0', '王林', '', 'wl888888', '银川销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890451', '1545890451', '', '0', 'b8988ec8-e223-0704-b7f9-abe80a3bbb26');
INSERT INTO `car_user` VALUES ('11', '', '18686186129', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$B8BX/JmP7dQuyg42LBk/nu/6NyRXIoscnm7ijUPrUDWpTrOqiMBfe', '', 'c95UMr05P1_WUI656y80sV36La6TFFtY', '', '0', '唐春梅', '', 'tcm888888', '唐春梅销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546493312', '1545890481', '', '1', '3f45c655-09b7-078d-d489-89187faf4ebf');
INSERT INTO `car_user` VALUES ('12', '', '13027499598', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$iq.Dy6O8RXXS5BLnXG65PuPV5PuVF5vdG/TQEU0VmoN17DHNEKVpy', '', 'sPI6p6GpI-YOrO319gEYxnPpfjsZ9biM', '', '0', '陈凤英', '', 'cfy888888', '陈凤英销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890515', '1545890515', '', '0', '1550efe0-ea8d-2fc5-ff72-0756eb6bea36');
INSERT INTO `car_user` VALUES ('13', '', '13122019000', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$0OmPMpDAU83PJQdKtVU0peJpgZI08lW/y6VgORPWb1ORMI8/3lU4C', '', 'cErudnKhUGCtcOzD375iW8Cl-Kt1LwsP', '', '0', '唐松群', '', 'tsq888888', '唐松群销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890546', '1545890546', '', '0', '4d49b126-bf97-525a-fc79-b134fd41227c');
INSERT INTO `car_user` VALUES ('14', '', '13436347831', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$H9Jtu03LNnWr8Rw3QmqEfucT7fTMxFgBGIygE6b22a6rLWhXZotDO', '', '3JwwPvg6tfhZXoE8MnawzzQe1ZeKalVG', '', '0', '李术和', '', 'lsh888888', '李术和销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890577', '1545890577', '', '0', 'c1633031-6c84-5512-bae8-f5926c6f8d6b');
INSERT INTO `car_user` VALUES ('15', '', '13827216909', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Az.IrjVLJuAAt9RamNtDUOb0hPAtOeqDH36a5C67144nRwXXji466', '', 'ZqY30eYsRvJ_-5Vx9BBxPE-7AG_GiGTR', '', '0', '杨朝均', '', 'ycj888888', '杨朝均销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890601', '1545890601', '', '0', 'af62141b-2e2e-7993-08a4-b8d386df073a');
INSERT INTO `car_user` VALUES ('16', '', '13609031591', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XEsPLuhvnU88SOSwZoX0Cu9rkupSomfjwMab78bR1JriGZHWwIBkK', '', 'sozXJ8ODw8thx-L14AalLeGnlrqbj480', '', '0', '颜雪娥', '', 'yxe888888', '颜雪娥销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890671', '1545890671', '', '0', 'a2404974-e369-b7ec-25d8-370479670343');
INSERT INTO `car_user` VALUES ('17', '', '18307761933', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Dj1PxDryXfNoGOj6L08xnO6DIUnUmbUAgBacC123ZIOPBCjPAs0uC', '', 'M2ZYvFbi7K-Nk2hezzfSpOrHGMxSnY6D', '', '0', '陈连武', '', 'clw888888', '陈连武销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890701', '1545890701', '', '0', 'd73ed5b1-271e-7107-8b9d-c51f816728b5');
INSERT INTO `car_user` VALUES ('18', '', '13923153303', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$tBfV./9q6F.BalV4kP55NeC2pj460.Is40RbPq1vFI6jTwfLR25by', '', '2JFX0bTj0KkJLX9PLMMTvBPrZw8KQ38j', '', '0', '敬春华', '', 'jch888888', '敬春华销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890728', '1545890728', '', '0', 'ab28e3cc-9ead-9f88-182e-55a60424b014');
INSERT INTO `car_user` VALUES ('19', '', '13948104127', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$i2LvVVvLuSpcl4k0Zb2RTeivqSiM6CocahS.TTm6P9YVzAMaE7vFa', '', 'Th5gSDDWktwKM2bmSN-MCrGfYMR3R_ps', '', '0', '杜九君', '', 'djj888888', '杜九君销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890761', '1545890761', '', '0', 'cea68181-04f0-f4e5-9fd4-79e5218cc25f');
INSERT INTO `car_user` VALUES ('20', '', '18947910994', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$PdzoxSMcxdTRC50CkkLf3ejzf8nf4/fWkTebqSoMGnGLzyOyVmPz6', '', '2ULtEq5YabeJJ0I6sJsxuscI7pROcoJA', '', '0', '李伟', '', 'lw888888', '李伟销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890793', '1545890793', '', '0', '6d5bdc19-f563-52f3-4a6e-5470595e25fc');
INSERT INTO `car_user` VALUES ('21', '', '13680673188', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Vey3LLm2gbjhnaZ0JBlYmOCu2Fkbu0n2RqTCVQyGak4Qyao0hY9Sa', '', 'n4tgh2YWGQG6cVl_Jv11VhQ0_Df-k9hN', '', '0', '曹兴龙', '', 'cxl888888', '曹兴龙销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546493960', '1545890826', '', '1', '4b638348-ad2f-39bd-1314-0a6654cfb9c4');
INSERT INTO `car_user` VALUES ('22', '', '18795254054', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kuMinLZYiF5c/h2R.lcTD.UyY/Lw7y6F.adtj32RgOlJ5GSIbwb8i', '', 'k96JYvPC-hgRZEm_LUdSk6TUOPrG4Jh-', '', '0', '罗小云', '', 'lxy888888', '罗小云销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890853', '1545890853', '', '0', '4516d7db-7e0f-3785-caf8-f4918903ce7b');
INSERT INTO `car_user` VALUES ('23', '', '18500610313', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$SaravlT1D7znPJ48GyFrtO3aKErhpLFdsefVl22xaQGugfJJopK7.', '', 'iaVERgdTWhzJIDJKZWTA9GnygAHEkTGK', '', '0', '唐华丽', '', 'thl888888', '唐华丽销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890879', '1545890879', '', '0', '68bb0fbc-dc9e-1d18-c36e-dadf23b9b4ee');
INSERT INTO `car_user` VALUES ('24', '', '18518335816', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ASTMHA2hkGyPiZeVeXC49eT5GgmI0zYH4Y5gi8trjo4BWGD23J5oS', '', 'PWPGlt5vdB8P24sac_LguewUz0V-gwqX', '', '0', '于兴次', '', 'yxc888888', '于兴次销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890922', '1545890922', '', '0', '59f7366f-1c76-21d3-be16-dadeeefdd3fb');
INSERT INTO `car_user` VALUES ('25', '', '18518085856', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7NLGyaydUSA.kZE3kDez.ubuG.zK4JymkSdo5Rfa.T55Jgp.iVhcS', '', 'nJBmEZy3_7WEpYys47y-PmQcibddfMar', '', '0', '胡长勇', '', 'hcy888888', '可可销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890970', '1545890970', '', '0', '9cf21767-1ff2-835f-bb27-b8aa140a3059');
INSERT INTO `car_user` VALUES ('26', '', '13927784542', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$n/GHPqQ9yu6c0nQLcgM9/eVyjMfUoepUCI/o5NcvUzOk/JV7xchfK', '', 'fo41P5p0MnKrxqEwCfZw4GP4H5s5UrnH', '', '0', '邱伟江', '', 'qwj888888', '邱伟江销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545890996', '1545890996', '', '0', '47799b40-dffc-9ea1-4bbd-4be0ff67b2e9');
INSERT INTO `car_user` VALUES ('27', '', '13372187767', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nOPsZeCNUoFVSmk5H1Pnq.voVOqoOGCImUm38y2Sbks7PudCxFbia', '', 'aykKwUIbHsxAlQT6Kft0K-jhZcYd2ayC', '', '0', '张尧磊', '', 'zyl888888', '张尧磊销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891023', '1545891023', '', '0', '0c6b01c4-d4e4-29e6-9f84-e6e451cb3384');
INSERT INTO `car_user` VALUES ('28', '', '18025229751', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$IIvoa1.EYdme5GwnjBY0d.4LlQ/FlhaDzkK2AEUOfw3nnfqNG7s2K', '', 'MsCLZ9BJdczFtgqhIw65J5jm9SN1Ohaw', '', '0', '谭成武', '', 'tcw888888', '谭成武销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891047', '1545891047', '', '0', '1df76240-46ec-4b2f-ae7f-4c304c1792f4');
INSERT INTO `car_user` VALUES ('29', '', '17371705217', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$GBRWcxXoxgHiGT0Yw0dyV.exkt50F35xVxuvqNJ8Hifvj1IeKxyZC', '', 'Z73p8TFW2FxMLDG48jA2MB90VAqF27kx', '', '0', '李国顺', '', 'lgs888888', '李国顺销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891078', '1545891078', '', '0', 'a91bc901-6fd7-186f-65da-b7083470b4d6');
INSERT INTO `car_user` VALUES ('30', '', '15344267773', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1Uc5RMPivHhy7T520/xT/.8.XdxVI89H9VpPHVkVGWvyCFiwxVgB2', '', 'jcAlZnGzHkbyD5y2SARuIuuN-FyygwUq', '', '0', '付敏', '', 'fm888888', '付敏销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891108', '1545891108', '', '0', '54c0dcc7-2e12-c79e-e02d-acfebc0bd4da');
INSERT INTO `car_user` VALUES ('31', '', '18992696699', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Jb/9BOWWVHmQboIsdvSa.eRiMz0gwC4ff3qN3hcDtAdAhQHNWVsmm', '', 'MRL5_eAxndU0HaboaoRNt3OH-P55Tjmg', '', '0', '冯安涛', '', 'fat888888', '北京销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891139', '1545891139', '', '0', '31051171-0b6d-b91c-b978-efdd03fba691');
INSERT INTO `car_user` VALUES ('32', '', '18819168466', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RHfTwkp/28.HYd2ZRe9oB.DrlE2xSwfIf3Aa4tasZRBinGIAEHMhW', '', 'xv4uN3vQGglEFa3IHcw987rQXlV3kT4o', '', '0', '邓稳固', '', 'dwg888888', '稳固销售服务中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891162', '1545891162', '', '0', 'e528970c-63f6-0b0e-3955-f2e26cc6ae0a');
INSERT INTO `car_user` VALUES ('33', '', '13430337066', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qfz0UrV93zAwCqPsGZoFxODeZ00Qza4bys4q7WPG0SEh7qCI1zVY2', '', '6bxYHU4w3V_EQ1nHiycQna7s67EA0s6z', '', '0', '苏银平', '', 'syp888888', '苏银平销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891192', '1545891192', '', '0', '3953b754-1e13-7994-3e8c-e2169cc9f7c8');
INSERT INTO `car_user` VALUES ('34', '', '18647824449', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wYlQscBEceYIbdGvuK4mO.bOLigC4ZwgD6Gen/lvHKrPJKmpRFmX.', '', 'H73QT_kXW0CjXwzOODS3MPwpQZyYcmtk', '', '0', '王嘉磊', '', 'wjl888888', '王嘉磊销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891218', '1545891218', '', '0', '16db1548-a53f-ffd3-49a2-c05e218a3378');
INSERT INTO `car_user` VALUES ('35', '', '15327286915', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$dim0yl.w4oKo13E34.DBvuxiPuxZk/ibL2MsiU7fymKssmU1M0VJy', '', 'MU6iOQZuEueHEwoZEWSNReXf7ehH6Cq-', '', '0', '陈庆喜', '', 'cqx888888', '陈庆喜销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891244', '1545891244', '', '0', '56c92518-1e7f-775f-b4da-630f04e8dc5e');
INSERT INTO `car_user` VALUES ('36', '', '15920729962', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hNnG4Cd9kZi4t72EUwHi.OjyWLbbbPMXnMAQWmlSHa4bk8HK8PLMy', '', 'wehbFlnLeK9E9SNQJjeqKAH6eW72Zxek', '', '0', '丘龙平', '', 'qlp888888', '丘龙平销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891271', '1545891271', '', '0', '970f303b-7f91-29f4-f3d2-e0d54dd8d166');
INSERT INTO `car_user` VALUES ('37', '', '13772272392', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$056rGPucy9rifRO9TjTHD.AGviO514ZzUqYX5N3APQf2l2N19XE6K', '', '4VuF-oegOG0YKdSj8GCF1uiALigqAuxK', '', '0', '张文军', '', 'zwj888888', '张文军销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891294', '1545891294', '', '0', '4646163a-24cf-a66a-d717-959ba43fe094');
INSERT INTO `car_user` VALUES ('38', '', '13798731857', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mYJ4dvk7xOq.HdIxSahAC.MLh/llrm68GNCgHT8LNBLcxhVFxCVd.', '', 'NqNmL2c2k314gyYvhk6XH-K5t7FFnco4', '', '0', '梁仲向', '', 'lzx888888', '梁仲向销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891321', '1545891321', '', '0', '3f4f278b-325d-6ab2-b89e-70d881f82ccb');
INSERT INTO `car_user` VALUES ('39', '', '13888772586', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$M.3EWQYoUmZRzq.Hu33X7eMAKxZzrl8UlGwLnEOWWPgfsXFB622SS', '', 'I2oh89ImLDubxSkFegjpdWkzQhTgAbCX', '', '0', '赵新华', '', 'zxh888888', '赵新华销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891362', '1545891362', '', '0', '186cb217-4749-e5bf-2248-ddc571e5ba3d');
INSERT INTO `car_user` VALUES ('40', '', '18327629960', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$PgfNwZBUC0fSqBn5bmlFuu4Ir9dZNNy1r9BzyG87zzz/AOU8obVYW', '', 'LghFl47bx15XZT_dmpgoHBITnGMBMVae', '', '0', '徐颖', '', 'xy888888', '徐颖销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891386', '1545891386', '', '0', 'b6aad466-23da-9219-5d3a-014776bcd2ef');
INSERT INTO `car_user` VALUES ('41', '', '13823409681', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$tuTYXMkRnmWjnLiWzelawuAYkHycvMkxsQiMn5rha6umKtxJyVgAq', '', 'DQmyB_8AzcqUdjogpcQZJKrAoL2psMID', '', '0', '丘珂', '', 'qk888888', '丘珂销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891411', '1545891411', '', '0', '71e0e287-9d40-54c3-8080-135df2f9985a');
INSERT INTO `car_user` VALUES ('42', '', '13644719379', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7Go8/GWgvmkt4toi8CeGcuCNw2aijInpY3OYZwqs1mGDpFQ/3RcfK', '', 'qdGLgDI17suHuA8eNmdtQfxLHx9Fq6U8', '', '0', '常久平', '', 'cjp888888', '常久平销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891430', '1545891430', '', '0', '6e3a5560-1e6e-a9a6-62bf-5a971cff0dbe');
INSERT INTO `car_user` VALUES ('43', '', '15661076282', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$2fJWjlRxs8C5O8aBtgSrBeSwSvHOKQHteSv1e/3ZKIFHLYZDNhd/q', '', 'E8pXZT_oJCHtIvjLrhKHOy3ygzP6X5AV', '', '0', '温小军', '', 'wxj888888', '温小军销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891449', '1545891449', '', '0', '0fc6d204-b679-f732-2392-c0f1a7d37dcc');
INSERT INTO `car_user` VALUES ('44', '', '18247447378', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$D6nNNxsviFpVRaL360aoS.OxkcRoF/3N3dwhYyKAR3aSzytYN9DRS', '', '6VHApPZPDTl-0IJKuL5b2nt9Ng-BOTY6', '', '0', '任军民', '', 'rjm888888', '任军民销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891477', '1545891477', '', '0', '0402bc19-5960-5814-a4ae-ba77962d49fc');
INSERT INTO `car_user` VALUES ('45', '', '15047316336', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Yq6KObcpF.fKdZAKooxGWus9U.WFvTT.iJP590GUq1FEu1A1B3V6O', '', 'eFkxxrViVRem7jkwYKCLSGl2NC9t84we', '', '0', '任天昊', '', 'rth888888', '任天昊销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546492563', '1545891503', '', '1', 'e5cd5599-5131-976c-9e79-9578c9a40a05');
INSERT INTO `car_user` VALUES ('46', '', '18747487458', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$g9lFRggvw.PdNPU8mwWCU.F1x9ZxFYQVbDW4KnTAuIA7b8nWxmhkW', '', 'H4xuT4XyUhzJ2uayUlQeioRgh0xmf66F', '', '0', '张丽芬', '', 'zlf888888', '张丽芬销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891523', '1545891523', '', '0', '2d2c2072-1edb-31e9-1d52-49fd63701bce');
INSERT INTO `car_user` VALUES ('47', '', '13537502643', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RhlX9XvTBubU8FE1saTW6.e2V0wB0vq1eyPCR7/oWIACzMDWBpPLu', '', 'p3CXiv0IV7kXu3RTqbKyigTKxpZvTrDM', '', '0', '王丽珍', '', 'wlz888888', '王丽珍销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546496870', '1545891544', '', '1', 'd3a85063-ce7c-902b-8666-30ace20f9ffb');
INSERT INTO `car_user` VALUES ('48', '', '13553927596', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$obys8dwHkFsWVMnQR80LA.EdYC/t8QJ8Nu.PBkzxv3orRyusorSpq', '', 'jhm4SnSAe6ZJ9KzWbOmPU6-gnmEDMLxy', '', '0', '林保嫦', '', 'lbc888888', '林保嫦销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891574', '1545891574', '', '0', '6b530ee8-3b8b-2a39-df2f-9132a99261f4');
INSERT INTO `car_user` VALUES ('49', '', '13384720756', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$bjz0AM/qrwYV3.jZfF9qsuPjKjrRKhbPyggMXr8sitpxLOTHPdFkW', '', 'LfVKoPYUvTH0L0jW6KuRjY-tpIBHmpKl', '', '0', '徐俊峰', '', 'xjf888888', '徐俊峰销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891596', '1545891596', '', '0', 'aa64a024-cda5-0793-888e-d53487d60024');
INSERT INTO `car_user` VALUES ('50', '', '18983618755', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$dcBHYlu8w4B71.JU1VTNnO4IWfbTAgYM.ttdqreUInDAmm70p7lay', '', 'CmX94K1PeSMoGEAuSXSdMQ4bMF1_iNX6', '', '0', '雷刚', '', 'lg888888', '雷刚销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891628', '1545891628', '', '0', '399b9140-ac73-7021-1a42-d1ccad9861c1');
INSERT INTO `car_user` VALUES ('51', '', '18639012416', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$zQOHHpagDpjCTl0iiYyKT.nU7Rrw33VPfZM0YyElQ09DiUuNYDaWy', '', '5Nl7zSW3b4IM6fH3imnf_7CKwCq0F9fp', '', '0', '张肖克', '', 'zxk888888', '张肖克销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891653', '1545891653', '', '0', '25562d07-d7da-64d0-bd10-eca404d819a6');
INSERT INTO `car_user` VALUES ('52', '', '13822799513', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3./HYV8aeoX0w4TDHfbzneQQt.ge0kjCYu9Arq.bfYpGtLkFqvvQ.', '', 'ZKEVfCg7mg6Xjusrgkw4IrzUHmGSd8yO', '', '0', '具锦安', '', 'jja888888', '具锦安销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891677', '1545891677', '', '0', '6c2e506c-396f-41f5-f3ec-623f539462ed');
INSERT INTO `car_user` VALUES ('53', '', '13626193141', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Tj3q8xHNk4uIO3zTfJEq6u4jr9wNf2FevXc4wnaULufJHsr4oy0aq', '', '8z9yDf_1O1mbVHZ6uHR8RhQ9phypkFpy', '', '0', '何伟荣', '', 'hwr888888', '何伟荣销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891702', '1545891702', '', '0', 'a5289bb9-f2cd-912d-f649-2a2a43710cf7');
INSERT INTO `car_user` VALUES ('54', '', '13555639686', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ppdU6Yjo22G7QITQKfMfSuYOWeXxos7GAH5.Lb3cLFLFapxzcGAcy', '', 'wozix9urYO_iJlZdnIVEzNQArqrSLFj-', '', '0', '梁妙缘', '', 'lmy888888', '梁妙缘销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891727', '1545891727', '', '0', '239372b1-3bc4-e3e7-4780-5f464253fbad');
INSERT INTO `car_user` VALUES ('55', '', '13631286386', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pzPICiHuJrfPT6JxH7eNO.NXGtBLUzfUBnos7MyJv8td9cPdTb6Vi', '', 'rdx5UwY9BxyZXgd8MsnvXICDSd3kUTWz', '', '0', '苏小红', '', 'sxh888888', '苏小红销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891750', '1545891750', '', '0', '30e13d22-efc6-a0e5-cd89-6ca98f7c9fac');
INSERT INTO `car_user` VALUES ('56', '', '13809812939', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$zTR8NoHrf0cJqwKn/jOrWebp6NWWGckjsCYiaAlnNQ4zvGx.muhXG', '', 'Zpc9I1xHAq1XGLhVBZV8x6v0sZD8igQV', '', '0', '李庆华', '', 'lqh888888', '李庆华销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891775', '1545891775', '', '0', '577442c5-2c94-d245-cd98-51ef0bb4745a');
INSERT INTO `car_user` VALUES ('57', '', '18697943457', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6pMDGuH5UmsDL92nUvbEqOKAc7KfG.Utsmry6tCQk8tb2eRfET1r2', '', 'aJISsMYt2G3xDwojTGcL7f2Pkt1nqyCv', '', '0', '苏群珍', '', 'sqz888888', '苏群珍销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891801', '1545891801', '', '0', 'fc6e5df3-86ad-fcb7-3056-b0864effdf8f');
INSERT INTO `car_user` VALUES ('59', '', '15604712580', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6f5dpyQaP5bgE1GeebP8FufaI7ahEuBtYOxpO.3OzG4Bj7I0zCK.S', '', 'bChYnwqX-gDHt9lUE_6w0VuPPijC00Qg', '', '0', '张永胜', '', 'zys888888', '张永胜销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545891980', '1545891980', '', '0', '089b18f6-461a-8e8c-0350-08684fd0a877');
INSERT INTO `car_user` VALUES ('61', '', '15981632777', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FHALvyMCKXJxBk2nC.OZoOVW4r5tnQCQECUWlze6x1IrHBWpKSPPi', '', 'ljAcWkXakavHm_fp_EBMNTBhqpz0dMEl', '', '0', '张宏光', '', 'zhg888888', '张宏光销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892183', '1545892183', '', '0', '8a16f187-5ae7-0ba2-4f94-ed466f89458e');
INSERT INTO `car_user` VALUES ('62', '', '13724520351', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RUuAfSTxncXLihViBS9U6OiaNvW36HwjITraapy3SlI05jzHFUYeW', '', 's9ZeOMEAaiuhTV8VS91oyw0dh2GkN_kH', '', '0', '陈玉红', '', 'cyh888888', '陈玉红销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892212', '1545892212', '', '0', '5365ac1a-49c4-757b-8526-965fe915c91b');
INSERT INTO `car_user` VALUES ('63', '', '18978597860', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$GLHdN1Y8T/JPFr5f/d5X0e95tn/uur7hUsWRWofIEs8004gt6.23C', '', '2W72HUidK2E-i5S9U8ge3EDZJSofzz1b', '', '0', '陆秋健', '', 'lqj888888', '陆秋健销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892237', '1545892237', '', '0', '712d206f-4b39-816c-a9be-4ae13cd2a47b');
INSERT INTO `car_user` VALUES ('64', '', '13928634719', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rjDwAQfB4YJj1QryJ7GnReIuZO6HWA5RAedefo.cZppMn8BeYEDsK', '', 'YvF9Gc8KgDgBGqDv8nkvqPJwRBim-A1p', '', '0', '邱后诚', '', 'qhc888888', '邱后诚销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892262', '1545892262', '', '0', 'e6e8fbca-4115-f528-4281-0059b605caea');
INSERT INTO `car_user` VALUES ('65', '', '15815967870', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$cODmmRegBaKHjTnqv.TsY.6a6DNobsPYHP2egpV0RB49lbb3239Tm', '', 'Mh-Fh6ET296D1YaDK0fNAHMaBm6VtUBR', '', '0', '覃祥', '', 'qx888888', '覃祥销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892281', '1545892281', '', '0', '1d89b56e-4229-8dc2-5073-abe1b34e716c');
INSERT INTO `car_user` VALUES ('66', '', '18947109117', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$MTZOZYBCai8YVnMI0rDPMeh98JKcuVXu.6OQuENeqeTgP1ZwVHQqy', '', 'sxkUaWLpxBqoZbC486kWc_cicbnAboT-', '', '0', '王彩霞', '', 'wcx888888', '王彩霞销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892304', '1545892304', '', '0', '44900b25-b57c-98e2-bc75-95d26dbed1ae');
INSERT INTO `car_user` VALUES ('68', '', '15848132883', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$F/JNIoTFtCgAei9.4Jh5ke2k02OzECvlbMTuQgEqKmF70pClJCiny', '', '-GuTXNWg4BrSab53kwGFnTe9t4bClPOR', '', '0', '张建叶', '', 'zjy888888', '张建叶销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892377', '1545892377', '', '0', '5c34c28e-060a-9c15-c2dd-70a39597d328');
INSERT INTO `car_user` VALUES ('69', '', '13500692255', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pjweZBLLSiBGZTgIjjFyFOtsJEgf88b5lxjqYx8Sm61kdasq0ElWW', '', '-jGp1rN6PuRhenjUVM0Tf2IgrgqvaMNf', '', '0', '张永敏', '', 'zym888888', '张永敏销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892630', '1545892630', '', '0', '0e1e4657-e871-7f8e-3b8d-175de7d8047f');
INSERT INTO `car_user` VALUES ('70', '', '18672256043', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$NccLWnzlWjHc/5HEdI8Z2OZNL8StItZt2jL7IlhG1hxpY2GZcvmvm', '', 'pDEzg1RaSkcGn1fvhSgmnAnpNjsPIsox', '', '0', '田红霞', '', 'thx888888', '田红霞销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892701', '1545892701', '', '0', '28fb881a-ca03-1844-f7e0-7153d500329f');
INSERT INTO `car_user` VALUES ('71', '', '13674744853', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TXtFxxCYb5L5I9r0aCcnQ.mx4/gcPum0rzrffdo0T1kSH/Jvt0E/K', '', 'mI5MOiP3vg8n5j4_Kpr0Bh76-SdNTgx6', '', '0', '王忠凤', '', 'wzf888888', '王忠凤销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892741', '1545892741', '', '0', '88de275b-5a4c-213a-ecd7-91988f89b606');
INSERT INTO `car_user` VALUES ('72', '', '15897974771', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ZOZgbdx.gnP0wlAyb0rjEOQDu6SQ/neMyyPj6JgJJuqBQ3hTQfA3G', '', 'K1ir7B9Fw5ujfldh4WsDb8SB9_qi1JoQ', '', '0', '杜凝夕', '', 'dnx888888', '杜凝夕销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892765', '1545892765', '', '0', 'c7f3a338-7d5c-8a9d-7503-0d97ba188ed1');
INSERT INTO `car_user` VALUES ('73', '', '13995397039', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uGgDf00/hV9EmglQijKM5ua0hXhiyQcJ5d0omqvpxWPsyXCnaS4kW', '', 'L1c5ebWj4lBDwb4jQ7pi8mHtNqoNEN8I', '', '0', '张进', '', 'zj888888', '张进销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892789', '1545892789', '', '0', '5b8c94b2-f4c5-c9fb-63c3-7778142bd8f8');
INSERT INTO `car_user` VALUES ('74', '', '18408619543', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XR3gJw9aam2Ycwtk1U1BZuZG.xlgxICb3SbkY21ysdDtwIkkGIRsy', '', 'I962K1jvpq1NHHwExel3gf5RyjywjdXV', '', '0', '唐岩', '', 'ty888888', '唐岩销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892813', '1545892813', '', '0', '00a729df-a9e9-9596-e70a-5c27c8334a62');
INSERT INTO `car_user` VALUES ('75', '', '13909517756', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FAlbk7.zW/wfHyYqXR8a6ebqthG03ydC5aO3VpQ8r6Y76/h6/ViY2', '', 'wpvVo0qnCvEvobIraCMEPzhL9cL5hLdx', '', '0', '李小军', '', 'lxj888888', '李小军销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892834', '1545892834', '', '0', '17282ae6-f0ef-aafb-b77e-872e8fb4e0be');
INSERT INTO `car_user` VALUES ('76', '', '15754968810', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$um7Nu0ntfzpLpo4nDMirJu1X5yZNYh0e9LbBlMIi9ZMv4h0HmSTAu', '', '-MTE3wj2xlm5hsDN5GXNbj4L-cToVz6m', '', '0', '孙文霞', '', 'swx888888', '孙文霞销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892887', '1545892887', '', '0', 'b0bbb68d-3f1b-5ae3-5b2d-2c3651ab5986');
INSERT INTO `car_user` VALUES ('77', '', '18680587996', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Qtqezp1XoEG1CkdVtE3jiO0NDeVih/SGqfnGE6nVmBpNwb5pEHy1i', '', 'E5UNRy3K30bDOAKKqD5mThadg31zH4CO', '', '0', '张国华', '', 'zgh888888', '张国华销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892908', '1545892908', '', '0', '03ba9bc1-7703-0e36-171e-cf54ef760f64');
INSERT INTO `car_user` VALUES ('78', '', '15847206670', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kHWDIR6GSctespplmk5PnOZDQMJSz68rG96uLqlohatp6CvY.Z6mS', '', 'U9LpA46QCtlK2M8A16rbh4J9F3orAciw', '', '0', '姚惠荣', '', 'yhr888888', '姚惠荣销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892931', '1545892931', '', '0', 'cd4c6e3e-d164-593c-2a22-d05779073cb6');
INSERT INTO `car_user` VALUES ('79', '', '18992609123', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vB01CuOqwdTq6/evJzf6X.srNfpib6e1MG7OkXnAl36cIB9jschrS', '', 'Jk0P2gbfP1Q5VSRE17VuIz7v75m8dQhq', '', '0', '申雪丽', '', 'sxl888888', '申雪丽销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892958', '1545892958', '', '0', '14a6ba88-e077-6d3f-cc3d-f08e192b758f');
INSERT INTO `car_user` VALUES ('80', '', '13802945134', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3/a85rj6AIaznM/mSqGMcuuynVXqJrqpbqDyAUhE3dtdKfraVOZSG', '', 'nUECVG-ovmGnFsVLeoo6UQaE44YUuxUE', '', '0', '邱苏香', '', 'qsx888888', '邱苏香销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545892999', '1545892999', '', '0', '1396ed2c-9d2e-8771-2adf-b1faf8feb7b6');
INSERT INTO `car_user` VALUES ('81', '', '18995007576', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Kz76HcRZEIABC6G2bp5d7O7S6XSWNkco.06i4tCHSv5vlX51YWM5u', '', '98XMYakdby1s-wa42TmeQPVqvJDacKui', '', '0', '赵四海', '', 'zsh888888', '赵四海销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545893021', '1545893021', '', '0', '198c34ad-aced-1e5c-fdea-8593df759925');
INSERT INTO `car_user` VALUES ('82', '', '18395296777', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ulCP8ULQ0PwsnaO1dvbdhOv2/zewIHlUtqBUnAZZP2k/Wde4PPApa', '', '8uW9MmAfPx9Otk5DIZRFdEEtjSNoiWo4', '', '0', '苏炜辙', '', 'swz888888', '苏炜辙销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545893101', '1545893101', '', '0', '9eb740d9-dc90-9d0f-72e3-89683801e32d');
INSERT INTO `car_user` VALUES ('83', '', '18847420633', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$PIpUYTU8Bg03YI2n46nG8.hazvSrtOCaZwEmQiSZGsxajFKmGlXEy', '', 'mlo2QXHFI5kGld43MEgYivJwvb2EDDq6', '', '0', '杨威', '', 'yw888888', '杨威销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545893130', '1545893130', '', '0', '9b18345e-6bcc-01e1-8449-49dc607c7fe6');
INSERT INTO `car_user` VALUES ('84', '', '13782763299', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$BxAhtgrUGRYLDCPFnE7yLONq110NgmKxsHYahZDhOjVdzc8XFjCVC', '', 'ubZgXegZKqyV7gIF079_4-6X7aIoHtrq', '', '0', '王晓萍', '', 'wxp888888', '王晓萍销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546493148', '1545893155', '', '1', 'ae6ef39b-9fdd-b6f4-c7ff-45a15ba29523');
INSERT INTO `car_user` VALUES ('85', '', '18818715099', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FrFRH3ZRKXmRu61FfSOBH.moBYk1USM0ydOtyH/2f8BHwvrNWIHJa', '', 'Uid6YJHa5KGq5ndxivMYAS-N3UwY3kE8', '', '0', '何宁', '', 'hn888888', '何宁销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546496042', '1545893173', '', '1', 'a23577c8-1140-21a7-5964-daa72652bbc6');
INSERT INTO `car_user` VALUES ('86', '', '15097790017', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$DXvEQuVP53swkL6oKpRp..4cI8TIbVn5CPbDFkyTtAtl.W6zXighi', '', 'b9RA1zJ_XHaY9kehgFC6BYKJG4WqQgBS', '', '0', '杨金玲', '', 'yjl888888', '杨金玲销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545893208', '1545893208', '', '0', '6cb8a533-ab0e-64ea-11c4-aefdd2ddfe27');
INSERT INTO `car_user` VALUES ('87', '', '15930045948', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$HKRoiOM2Z4AxQTt2B7SZEe.Kpr8MdkJH3i9izVDWfWEipFSZEhE3u', '', 'osShBYG5w5taZNDSzZVHVZXD7dl41to4', '', '0', '杨文会', '', 'ywh888888', '杨文会销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545893228', '1545893228', '', '0', '59e59332-a82d-6e8c-3196-f71820255f23');
INSERT INTO `car_user` VALUES ('88', '', '13723330132', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nHpOlKA.YQTmmzGptZEOBuuKi0VFiU8scjmE6WqXgLceux2mjaxL6', '', 'HG8evBt0-K8xRYygA7qasACTOie6QcCu', '', '0', '刘占永', '', 'lzy888888', '刘占永销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545893249', '1545893249', '', '0', 'fb998fe7-2245-b577-e101-00f18adbea29');
INSERT INTO `car_user` VALUES ('89', '', '13519584448', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QXzHjl88EsDvy1rJaZWio.oMHgDcXieuuIG7/Y9ihGTpbL7ADcGLi', '', '5ltzAuQz5jH5r2T61Fluz6hhIatuBpZR', '', '0', '张继平', '', 'zjp888888', '张继平销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545893270', '1545893270', '', '0', '74bdae95-2c15-781b-66f8-beef4089f57c');
INSERT INTO `car_user` VALUES ('90', '', '15976626151', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$KWOntjEI53It287/BFeIyOPh6K.0UjdOdu.BjZM9t9Ntgx33FPYha', '', 'VV4LGACsPaz6_FlmNzoE9KmL3PY26KBV', '', '0', '石和军', '', 'shj888888', '石和军销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545893288', '1545893288', '', '0', '7e107955-f037-d6d8-ac52-f9dc650828af');
INSERT INTO `car_user` VALUES ('91', '', '13348676366', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kC4XTeqQMWoAzUrmBA7.Z.T1ApkIwLXw4OKs8uNa1k4Nl2SmEdnfi', '', '_MaYlG2O3xAoljYPuSmz4L7r6WoRU3Zr', '', '0', '谭华元', '', 'thy888888', '谭华元销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545893314', '1545893314', '', '0', '7a004963-5777-07a9-4b3a-68c2f9e51adb');
INSERT INTO `car_user` VALUES ('92', '', '18923059288', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8MUnHaNI9f59zx.oXVurjucnoON0kw2fvjPCeZ9tY9fI8kU8meGuq', '', 'GwiddImqVHSwXVHsIU4GpzsyANcU4JpI', '', '0', '朱丽萍', '', 'zlp888888', '朱丽萍销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545893334', '1545893334', '', '0', 'bd8dee2d-5f29-5e2f-700c-923bf012ca07');
INSERT INTO `car_user` VALUES ('93', '', '18548174699', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$JXQatKTUTYZi5ev7ZHaeFuIWrHxgwjs9Ex6NFEuwI/PCfUakv8R.S', '', 'OPkYV-dU28rFLwVwJc62MBm1v_W8D14p', '', '0', '杨万金', '', 'ywj888888', '杨万金销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545893356', '1545893356', '', '0', '1f025be8-b8a6-8dbc-78ef-5f4d06942ad4');
INSERT INTO `car_user` VALUES ('94', '', '18004747536', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ujSwwQ2GH3RmdQeNfHxTo.UyPMtPoAc2z/mMsJsbKKKrqospblLNC', '', 'D6aFlg41EIX3XBOQUmnYHo1qNKBCUyGo', '', '0', '卜伟花', '', 'pwh888888', '卜伟花销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545893381', '1545893381', '', '0', '03d9cd67-c29a-e1d8-396b-7b0d6afe2f45');
INSERT INTO `car_user` VALUES ('95', '', '18627779898', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$EuM1EBnke9lK2gRD1SmTWe6A69/6x2J/7V.cAVPfUUuP/37fLDAwC', '', '9KgBCX8sbT54QvklsYDaHNOAycONHqxn', '', '0', '余功银', '', 'ygy888888', '余功银销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1545893401', '1545893401', '', '0', '180fbe9e-2c73-17d1-8d69-081f1a1a965b');
INSERT INTO `car_user` VALUES ('96', '', '18971199389', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$YwN.wc88aywLgdP6498/9uJnHQit0KKuKFSfq1eD8r2DDalCKUuh2', '', 'FaFkb3n-tq517j9iITXCXW9j1uI_T8sf', '', '0', '汝国知', '', 'rgz18971199389', '汝国知', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546398804', '1546398804', '', '0', 'f039347c-22ec-afca-eb4d-6278316b5d31');
INSERT INTO `car_user` VALUES ('98', '', '13647123261', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$L5tbNJXJsF55oikQDUIqmueAFmVPkgA.JaFb5V3vUr7sxRNKITPeu', '', 'e7BPDp2wqewe0GEl7DWzcejghVIWYS8h', '', '0', '陈春红', '', 'cchxg001', '陈春红孝感', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546482509', '1546482509', '', '0', '99af6c39-caa4-3aa8-e7ed-aee90c239e8b');
INSERT INTO `car_user` VALUES ('101', '', '18972678085', '98_5_1_0', '98', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xUpDkb/C/KCiEHScj3BRxe1Ye5JhDbAO8RbkG5h9IpQ4gF8G8zBs2', '', 'AQQaX39V_R-HjOGQ1wt1IGoMkxu3ZjrN', '', '0', '陈小红', '', 'cxhxg001', '陈小红孝感', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546482743', '1546482743', '', '0', 'b39188e9-17d5-199f-54b0-8c4e29a41886');
INSERT INTO `car_user` VALUES ('103', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Kxau2Q5Jsr5IRfB07oxX0e9RywZmKl9DWFdKaFZyt8CDpOKr1IvCy', '', 'yjeVty9fDM4L8QxkHOeZShaZQ-K1F3MW', '', '0', '王海宇', '', 'why002', '王海宇2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546483844', '1546483844', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('104', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$BjyJ3A0I2wEsPyI49C4PIuEcOk0LBznE4i5lkZh25dAbIIaEOrjzK', '', 'De-PwghUKsCqnuhCvThlNVp4osus2OcH', '', '0', '韩东', '', 'hd0002', '韩东2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546484239', '1546484239', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('105', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RuQgV1nYulsywK85R8UXDeuJ4we/Zr6bQhicyA9rYsPIbuHRMu51e', '', 'yMR8kXp6VHoYszvYkOT2P2CC1UcFyidr', '', '0', '仲伟双', '', 'zws002', '仲伟双2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546484386', '1546484386', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('106', '', '15172176660', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$z7uOCIiQE7SIJtgKK77xD.1fJJaDV8s1CJAB.oKtMWvOpNoszdhQa', '', '1SdnaYgw6-9aQLIUG9olVTT8Z49E0BJe', '', '0', '郑道云', '', 'zdy000', '郑道云', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546484490', '1546484490', '', '0', '8030f9a5-cc3d-4615-6b83-16fe63f945b5');
INSERT INTO `car_user` VALUES ('107', '', '15172176660', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1aeQ5lh.GRjDGqTZ2NoMoOxjSB2YEVYU4BwVtURM83ZQINWx9VpaS', '', 'PjrK9RuxW282gNOW11OiI4Yh-1ZiREle', '', '0', '郑道云', '', 'zdy003', '郑道云3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546484566', '1546484566', '', '0', '8030f9a5-cc3d-4615-6b83-16fe63f945b5');
INSERT INTO `car_user` VALUES ('108', '', '15971197077', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$oybFgqmgbnZ6dEbC/WwNpuAG.BvOBJEkI5gdl2HXLaaBZMklJf/SK', '', '6XGphahZ2hAJH3sx943ndsAGIkQKRxxK', '', '0', '韩利', '', 'hl000b', '韩利B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546484654', '1546484654', '', '0', 'd20db442-f992-3a99-2330-02983cd4693a');
INSERT INTO `car_user` VALUES ('109', '', '15515882499', '108_5_1_0', '108', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$S7pLmDozLa/nABmfoPXZc.NFFhRb5RU2dn5hw3DirjaptkJnLWX5m', '', 'OrfVRIR3Wdlr93batd6hzq4We1XBHSVT', '', '0', '穆向前', '', 'mxq000', '穆向前', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546484849', '1546484849', '', '0', 'd7efc22b-ee98-05d6-fdb1-45c83ddd6e3c');
INSERT INTO `car_user` VALUES ('110', '', '13318315309', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$n7fo5gjA8zOoLkmR6BhvuuzedcN/5SjIsjgMQhB5YGofo6wpgbso6', '', 'WBk9ygCWL8-P4J-yPS2WOpxMFnQCDKMp', '', '0', '陈柏光', '', 'cbg004', '陈柏光4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546487311', '1546487311', '', '0', '35e42b08-776e-cda0-eea7-444c8e161a99');
INSERT INTO `car_user` VALUES ('111', '', '13222006175', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$2GJHQsZnBXOA6Rt/YdARIuscQD2fSzwHpv9.fP3juT58X3IwB7qhu', '', 'NvkSOGTs9Ie5YboIiydiLu5jNR3jfqlc', '', '0', '李连芳', '', 'llf001x', '李连芳001x', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546490481', '1546490481', '', '0', '1d79b8f9-d7a5-657e-0c3c-657dc5c1147e');
INSERT INTO `car_user` VALUES ('112', '', '15184701184', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Crx0Q9nT.HpxZYRdj21Bq.qO25SqLO.L7EXo/ODsAQe56g6O6RR3K', '', 'I8aah8f_ssx5AgeeeMQb9o8fn96zw-Tg', '', '0', '张小平', '', 'zxp5577a', '张小平5577a', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546490735', '1546490735', '', '0', '012ee7ad-b41e-eba6-753b-77a1fafe1d67');
INSERT INTO `car_user` VALUES ('113', '', '13222006175', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$tEqc3CdbysJQ35FhxGx57e7qSG.fL9fq2x8e2iKSbwOdwAEp8KlBu', '', 'JxJlru0cD0afqYiwePs7r4rbf48Ku7JC', '', '0', '李连芳', '', 'llf001', '李连芳1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546490902', '1546490902', '', '0', '1d79b8f9-d7a5-657e-0c3c-657dc5c1147e');
INSERT INTO `car_user` VALUES ('114', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$MxNHkCYOvEAVFQg6jPb02uTXYBKBTXb19R7aHIV0ilHYOf4lD2Gue', '', 'NQfjn2GcFMWZctZrL-JSttHylbBWAw4S', '', '0', '刘乐', '', 'll55771', '刘乐55771', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546491108', '1546491108', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('115', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pPRak1ECMk9ktG.24phIxOdnpsD6M8Qx9FF.VhINsMhYeFa6L11Re', '', 'NmfngXgGEcaZ75yBieXp4hX4bbckCQzZ', '', '0', '马小平', '', 'mxp5577a', '马小平5577a', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546491275', '1546491275', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('116', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wYQMeVIufLIvl23gNGeWLOc.u.IIEkZSt4BQ.IthHaS0xuYVWeLzC', '', 'xn26Nxg_zvIjc_yxt5-l1NyHahpxRtpL', '', '0', '陈燕斌', '', 'cyb0000', '陈燕斌', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546491401', '1546491401', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('117', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hLo.xV.txYGkjlCIuP8adu.1aBzk/98dKgcMDiu6q/bPGvKy04TJa', '', 'EGuhVMmMl9R-vQ27QPZ8KlZmLlBI6rlT', '', '0', '陈建中1', '', 'cjz001', '陈建中1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546491560', '1546491560', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('118', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7SLrkQFe0vH38XtHzw4qieF8uu1ddolruFCk1Rgtro0RYLvyj2y0e', '', 'TM6SewCI_7iSfkJ7sx6HjT_sgZqFkrKG', '', '0', '乔建华', '', 'qjh001', '乔建华1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546492317', '1546492199', '', '2', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('119', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yPXkMno9BguORA7ohe2ooOL6/9hqEpKlHIZZPrTyf7d.qRldcz8HC', '', '5LTdCKfCTMlQ9sf3G8d0fRJfXTXDoaoW', '', '0', '张小平', '', 'zxp001', '张小平1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546493427', '1546493427', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('120', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$YW/689fYUYng6H9bgPtjK.VzzhMcF9T7EA/p8mUzXJAHuY6xSiJOe', '', 'ZABXeDXxb3ldgXRYoQOxB-c4aNGyg_Ll', '', '0', '麻召君', '', 'mzj000', '麻召君', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546493522', '1546493522', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('121', '', '13451312973', '116_5_1_0', '116', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ndF9nbJJIO0p4l6O/jpWVO5bnjUxuYbr8zemxY6NCD5wajfoN33UC', '', '2RryilqB1Ujet8Jg-oMfVb2yCN8S84uj', '', '0', '张利候', '', 'zlh2973', '张利候AA', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546505054', '1546505054', '', '0', '085b1638-0e28-eb33-7a55-1b01b698e713');
INSERT INTO `car_user` VALUES ('122', '', '15848927796', '121_116_5_1_0', '121', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$aFuPu6oT1OsyX6Uc92quMeyLcq1FbEkUJcOnhNdDNM6Tro4/Mazzu', '', 'PeHzPJoh7jfsKhbFwWJBHCebGCexsZ-d', '', '0', '王新亮', '', 'wxl7796', '王新亮AA', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546505241', '1546505241', '', '0', '1a7634df-2a7b-068a-e250-f2e445f8b439');
INSERT INTO `car_user` VALUES ('123', '', '13895186995', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$o9dmP3qRmdStyJV7n1y6KOpZdH3J23Ck6NY8f8L3PYvI/Lg4FkL9O', '', 'pRgh2fmCbNDBLEx-ichijI5Dzo-oyKHh', '', '0', '官宝音', '', 'gby007', '官宝音7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546571753', '1546571753', '', '0', '8e484117-3ca7-219b-1087-da80d9a8ece3');
INSERT INTO `car_user` VALUES ('124', '', '15506139141', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5NvV8xNbxDojwS6xUjrseuPygJbnMTNQgHJckS3ggSe9stAaQeTDO', '', 'Zv7JSwoaFV8JF_MpmZP9TDVq3V6UPKHS', '', '0', '叶春平', '', 'ycp00a', '叶春平A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546571848', '1546571848', '', '0', '2bf57f53-f45a-48c0-5299-e23f7351a08a');
INSERT INTO `car_user` VALUES ('125', '', '13992126960', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$LsYJiVrbbX5iYnhF1FTg1eZZ.4YaHzXqIgVguJAXyXwBdUJsO9iuu', '', 'WPQNjJVn92H3xgViSFeeYX_62c8C0DRs', '', '0', '闫玉芳', '', 'yyf008', '闫玉芳8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546571977', '1546571977', '', '0', 'd088ec97-7231-f60c-4c26-93b3a8c96c35');
INSERT INTO `car_user` VALUES ('127', '', '18695137390', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FT8PXkFLvXydJFyO4.hfIOWUlfDT6irfiFv2Ts7Kyjlxr2yNTB.Tu', '', 'tI5adOox6zHvZojh1siUMXZvNZ8VIhIx', '', '0', '马峰', '', 'mf000a', '马峰A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546572543', '1546572543', '', '0', '188a8d7e-2d1a-8e73-7d44-1e372f597329');
INSERT INTO `car_user` VALUES ('128', '', '13488288300', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5Ii1fNmhg8U0vUm3ViSfd.oWKNTGzOWB2nWqEvn1R08BteNvj5.GO', '', 'y_4cXrabjiGMVNIjpKsHiqA4QpGJMRf3', '', '0', '李秋艳', '', 'lqy006', '李秋艳6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546572615', '1546572615', '', '0', '60c830de-e2af-f857-0c37-c1bb107d594e');
INSERT INTO `car_user` VALUES ('129', '', '15971286152', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$PU.riAtsnknQxm92gYrbBe/nP11NBDqZmGFxcFgqqtHWLlsbSWkCO', '', 'ZaOhlcmYMbtLcLZYxmRy-Mc-uH-kRxX_', '', '0', '张承福', '', 'zcf003', '张承福3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546572732', '1546572732', '', '0', 'f9c65d42-35ef-325c-ba48-6b36bfa69681');
INSERT INTO `car_user` VALUES ('130', '', '15072679935', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$fNCfIdCH3ywgys1eDZE7cuylzDLOBVOxorxEA7QR2YvoFXWJixa1G', '', 'LqHfhh2uzTmOEOsNrdyNAanp3kFScxKT', '', '0', '汤晓荣', '', 'txr003', '汤晓荣3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546572782', '1546572782', '', '0', '06289587-7c9b-15da-c651-803df14079db');
INSERT INTO `car_user` VALUES ('131', '', '15209506648', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$oymSmwbywxPAwy8Wg97Njep4QWIhrEciRa/jGLw5foQL1LQnHJcge', '', '06tFtoNybJxF2WzzartjkaRu3II_aftj', '', '0', '周梅芳', '', 'zmf003', '周梅芳3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546572832', '1546572832', '', '0', '81ce9439-d1c0-a8d7-f790-ce38c5755446');
INSERT INTO `car_user` VALUES ('132', '', '13572619340', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$iKZRmo1.V6Yt.dufUeBLru4RoRe69mZo6yJ6dVEkhiCsD0l/j74va', '', '06C66J5XfLIc7EfRvzQIJlKwb4np-SY3', '', '0', '杨文利', '', 'ywl001', '杨文利1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546572932', '1546572932', '', '0', '7fbfde5b-bb60-78f5-5193-f0a97aa9eaed');
INSERT INTO `car_user` VALUES ('133', '', '13476548398', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Z/rvT4qUmaGCbghot7HDm.ShdWXARa54x4M0553F/G03bEoW69hN.', '', 'GWOlNyshr1Yr-RZeTF0EM6on9yz5wKu8', '', '0', '李树清', '', 'lsq00a', '李树清A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546573007', '1546573007', '', '0', '7d07c9d2-3e8b-73e2-b00d-41a487925fb1');
INSERT INTO `car_user` VALUES ('134', '', '13995399148', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ZttJXBdueX0TX85Yis0ONuYNhYOOh8C.0jtlMbUU1jXwtiIhnedy.', '', 'MqxKcKeoipIK5BwRD9nPj4inrtF8w_Yd', '', '0', '石亮', '', 'sl0002', '石亮2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546573187', '1546573187', '', '0', '6a0dc854-c5ed-89e6-823e-7cf6a76c9fb6');
INSERT INTO `car_user` VALUES ('135', '', '13702267183', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$AMet7mUG4yLvdgS5I5g98eNwvg1BJYg2Sb7DrS/Hcxw3CIcCQj7hO', '', '8WDb9CiRxzef_i0RHcI9isdMufJDvKer', '', '0', '梁彪强', '', 'lbq008', '梁彪强8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546573471', '1546573471', '', '0', '5777dcbf-88c1-a221-0c06-61515fe317ac');
INSERT INTO `car_user` VALUES ('136', '', '13907965350', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nuBXZ2gv2eJSfVWEiq/4L.w0V4r6kJ5.brzhgMn6edbenomwSgt6G', '', 'IMeTmW7kGGUT8q3h1ckT26lvBr3Wnkx5', '', '0', '陈志峰', '', 'czf011', '陈志峰11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546573528', '1546573528', '', '0', '50e9fcf8-e9b5-4bdc-6ccc-d95cff921897');
INSERT INTO `car_user` VALUES ('137', '', '18095103811', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$VrQS9sdDHGgRj6qd8tYYc.EtlOJ/nlS/s.jm5RBSUrbE.JZKYXw6u', '', 'n-ARQ7RDb5TfvJARTHM8EbFnkl96_IoX', '', '0', '杨学刚', '', 'yxg00a', '杨学刚A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546573995', '1546573995', '', '0', 'e133bdcc-323d-742c-a9c4-1cd818967ca2');
INSERT INTO `car_user` VALUES ('138', '', '13797163835', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$l16XNhAQ3ezRFjDZQ0.hMum8BE11UbFNk6jvPHZIuvHGt/FcCbEU.', '', 'pe864_oJhQSC_a3RYd0lpaH2KspSyoRN', '', '0', '姜雄', '', 'jx0012', '姜雄12', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546574038', '1546574038', '', '0', '19a2911c-7c39-42c4-93a3-82915bebe441');
INSERT INTO `car_user` VALUES ('139', '', '15947071372', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TtCniD4aE0t3FxK6vsSuXO7.8oJiQWky7u2NCULJ3wnqUcrhNdo22', '', 'aQIo1enmX3sxjvkCKW1uwF4G0QsFQZt8', '', '0', '任永莉', '', 'ryl00c', '任永莉C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546574088', '1546574088', '', '0', '1f6d7b9d-a739-b3b8-dd30-c70eb03d3c77');
INSERT INTO `car_user` VALUES ('140', '', '13602236171', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7F/tcOaFD63j/T3kSMoze.qqLoHHi42R2sZFgbLTOFYXqebGWUcjm', '', 'NYHKdm7Q8TnkknkUHD7_GfQVfztA5q4E', '', '0', '何翠荣', '', 'hcr0a6', '何翠荣A6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546574146', '1546574146', '', '0', 'ddf2d6f1-040b-9eae-9cd1-82898b90e392');
INSERT INTO `car_user` VALUES ('141', '', '18908911238', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Suyb7HRvIRE2kOoJMgan8OzpAJEmRu9eFqlIduXWhGvtPkuCtMUCe', '', '4rHD54qPX1VcBwTB6S5AUAnjtBJzTItu', '', '0', '李裕平', '', 'lyp005', '李裕平5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546574190', '1546574190', '', '0', '967e6c8b-d468-e2ae-ce45-5aea2873a615');
INSERT INTO `car_user` VALUES ('142', '', '15191664069', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$s.M.nt3CGZtg/REOXbVu7.1pcz4tk99QlezzM2YUwG61EkuKN707K', '', 'llwEOrDkTRjprEL9Ku3z4DBT540U6Soq', '', '0', '张锐', '', 'zr000a', '张锐A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546574228', '1546574228', '', '0', '19fc8142-6e97-49e1-352a-a4849bbc2f89');
INSERT INTO `car_user` VALUES ('144', '', '18928600219', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mHFPOKvJzZC8qNz787AJteFRIuRVvPN3C0eaUZShcKBzj57/KCdoC', '', 'XfO09fpEBjBuKoqQbnNo2UVh2Ndaevds', '', '0', '黄细妹', '', 'hxm010', '黄细妹10', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546574311', '1546574311', '', '0', 'e524ba5b-2bb8-755b-266e-bdbafd120b6a');
INSERT INTO `car_user` VALUES ('145', '', '18671445688', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$x0OO7tzFT.5/YtRRiis6M.gma66nphpBfwDZoU7XkoDuiD5o0mMXq', '', 'oS5Vv38IRuZ_EcoWysdqULci5W2dtwu-', '', '0', '唐永兴', '', 'tyx00a', '唐永兴A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546574374', '1546574374', '', '0', '9056c6c9-8b04-a953-843c-b96618f6b023');
INSERT INTO `car_user` VALUES ('146', '', '13997672061', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$LwV4dLXR/foSD1b0GlOC7unBN7ccLa2MwNGRpSKSxT8fJqpBPnTE6', '', 'cSB6Dzjn5hTXLxBTcqDBSOlML80AYJLx', '', '0', '冯素萍', '', 'fsp00f', '冯素萍F', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546574415', '1546574415', '', '0', '53521db3-fb90-00ae-482b-68f5797656bc');
INSERT INTO `car_user` VALUES ('147', '', '13556529779', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hxdR5nhf5ahp8GGQwreuwegWOd2ShP1AEU1gIJ5w6IsRdEJI4xxye', '', 'uyvK4Y_1_y_6aluob_c3Ybu7zhNYJ-um', '', '0', '翟文德', '', 'zwd003', '翟文德3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546580875', '1546580875', '', '0', 'f34095d9-f350-a526-357f-ca7a41360636');
INSERT INTO `car_user` VALUES ('149', '', '13556529779', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$h0xXmOaQdp315QvAozKDTOZo0e6k6cOW1Qho8OlbzZuxcbsYc8o2y', '', 'gO2qWMvQF9oJHkJNIpvL5YGFDK6U1ia8', '', '0', '黄子珊', '', 'hzs001', '黄子珊1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546580921', '1546580921', '', '0', 'f34095d9-f350-a526-357f-ca7a41360636');
INSERT INTO `car_user` VALUES ('150', '', '18928663765', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WY2s4YV0cyAFe7oAgllszuLBn7lQTG9pbe6B1g/1bOxMBy3I6PwvG', '', 'qCfYf8Kj1-1fEV-0OW0cjCS2ES8FMWQM', '', '0', '余圩钱', '', 'yxq000', '余圩钱', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546580990', '1546580990', '', '0', '0e3fe7f6-81ac-90fb-28f9-0d5aaaed9505');
INSERT INTO `car_user` VALUES ('151', '', '18924828326', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$g0I/LWGHnIIjYWtt0X99mejpjMJ/6qZwaxTrscH/zMuLKL6YF6H6e', '', 'NWRu0anmaZz70Rs_Bez6zZ8dC_9Aa4-B', '', '0', '覃小荣', '', 'qxr013', '覃小荣13', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546581067', '1546581067', '', '0', '5e9df39a-95f3-0352-24b7-24fb71621748');
INSERT INTO `car_user` VALUES ('152', '', '13316301938', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vTUJIzn31KQ/egN1hDjUD.SOZ.hjrN5lhfn8aA9T2yEZXohriry6m', '', 'ZK6hW4T2J5H46sOzmd1XmeIwGzPafMTV', '', '0', '阎国乡', '', 'ygx001', '阎国乡1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546581135', '1546581135', '', '0', '51db509b-c9c6-b7d9-a68a-0e62d048e65b');
INSERT INTO `car_user` VALUES ('153', '', '17746550387', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$g/5H1las2SvoZ/qjdbrq0u8KbdmfA1PL0e3XpOz8bZQdsXlNy.W.O', '', 'hyJAmLGm-OtzGK7sqXkqptQ00YZuKuj3', '', '0', '谢长军', '', 'xcj001', '谢长军1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546581221', '1546581221', '', '0', 'dfd0e3d8-391b-d2a4-b969-62bc8dfd97a0');
INSERT INTO `car_user` VALUES ('154', '', '13211192021', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.pz8JZpEPn.Ht2eaix.N1uj0YlGZ2BY8jyL4ML3KZ4gO/wEURvkty', '', 'uBRKcphyvPyNmiTNfJKYzsIPtF_8eoOh', '', '0', '钱志娣', '', 'qzd006', '钱志娣6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546581266', '1546581266', '', '0', '05e6f8da-9b00-8b1d-8880-4a3efb63a380');
INSERT INTO `car_user` VALUES ('155', '', '13798671852', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$BsadquIgro7NvUj6LJewDu/heu35UMwaGv9DKVMQ36POrgbRqsUqC', '', 'BZMAKYBBiucjTaDu8A7S6sbS58zsd_yb', '', '0', '梁圣贤', '', 'lsx013', '梁圣贤13', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546581326', '1546581326', '', '0', '3028b8d3-2649-3a4f-7674-aa8fe415c6b7');
INSERT INTO `car_user` VALUES ('156', '', '13902802842', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ilcRkwOXtqs8EC0CXiJS0OxILy1Gugfgk0dAOiw13ow8S4gKKDAsG', '', 'iI0-IR1_oxUlaNOsMforeL_Jdm93s5Yw', '', '0', '张广海', '', 'yjz00b', '袁锦贞B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546581393', '1546581393', '', '0', '98ca4854-5fc5-8c3e-517c-a5e8bbacff5f');
INSERT INTO `car_user` VALUES ('157', '', '18811726247', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$75oZbAgx0Xm55Mvr5tRFEuJNk8RAL/0VAcJIaPgzyujxn8hVXCMNO', '', '-_VQ9b1g9kkuZgvUUohQ_Ps62xplKmea', '', '0', '柯绍柳', '', 'ksl001', '柯绍柳1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546581454', '1546581454', '', '0', 'c08f4739-bfa8-7d6b-1446-58642b57d12c');
INSERT INTO `car_user` VALUES ('158', '', '13168795857', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yChZF.IEmdI3/6SjPITMjOtGNJy3NpzoNFVWyEWVWa1KYiedmwepu', '', 'O-IGs_s8-RR8aq0HkhOh4BFqDWsZoHFx', '', '0', '任广芳', '', 'rgf001', '任广芳1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546581493', '1546581493', '', '0', '19070019-9494-8ecc-141d-ac9d85787c56');
INSERT INTO `car_user` VALUES ('159', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qCrusDSNgyquiJ.c5iOG4eQjCWnmCbzo4wS4VWMJIuHCyUbHnNttC', '', 'r-RhAiv3FWFj-BW5W9B36wf1pyjr_Lx5', '', '0', '杨静', '', 'yj000a', '杨静A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546581565', '1546581565', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('160', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ikIXQTTqh9.LTGmc0hTMH.tVmthHfB7chAYIkXxHm1jKDkMVedn/m', '', 'yrIj3mvhtCkTMv6JXnasGiiV7yK-zgi2', '', '0', '刘自军', '', 'lzj888', '刘自军888', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546581619', '1546581619', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('161', '', '13759457280', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$w6vM0pdz5KcIkbbzXtjxG.PBQ/BiFjrKo5KElTfwHVHbjVASW/slW', '', 'jfMTTE4MBJyxTXlBiFmybZ-YLkF8ADaA', '', '0', '肖祁云', '', 'xqy000', '肖祁云', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546581662', '1546581662', '', '0', 'f57efd90-ad3c-e3e6-e49e-8dfc1e3021b6');
INSERT INTO `car_user` VALUES ('162', '', '13872460726', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pAczEFkOy0caqC2KzSjffu7WIAsL.1tfp7Q2DTs9inkBE0AUGoaAe', '', 's-Sn_5v8EFKjaR4CEhxGbxw_vku39xoE', '', '0', '望西强', '', 'wxq00b', '望西强B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546581742', '1546581742', '', '0', 'e9902a30-bd1c-983f-ffa1-9cfbfbb3f125');
INSERT INTO `car_user` VALUES ('163', '', '15171738369', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9gqjOUCCpIFZZuDjJ6FOCeVwFPNSX.iur6NQ7PXXWyvhK9ACrTyLK', '', 'odbf1S5W4u16VYZfXh5TSPf-0HBpfkpc', '', '0', '黄玉婷', '', 'hyt000', '黄玉婷', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546581847', '1546581847', '', '0', '408c7197-ccc5-452e-3ce8-34136deb57e2');
INSERT INTO `car_user` VALUES ('164', '', '15971663551', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Ju9UAiDjAnP55FUYsMn8eeqhHC3ABHLMyQL4zNiPSRdtcsm9yznsi', '', 'i9Bz5mu8pKKPy66qV8eHR0KSK7lHQuqH', '', '0', '卢启华', '', 'pgx00b', '蒲光现B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546581907', '1546581907', '', '0', 'd25f8c71-9fb9-07c6-5a29-ce90527aa183');
INSERT INTO `car_user` VALUES ('165', '', '17771705988', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yxO5l3kl1lVXcCCpT6czXOmUOk6JN2fg/dfPEIlJMT3ub72Kdase6', '', 'vw0B_xKMmvHLiDQnaZ_VcJDzay0kGsGo', '', '0', '刘家新', '', 'ljx001', '刘家新1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546581946', '1546581946', '', '0', '72c9b5cf-1f7a-1ecc-9858-aed9b615d552');
INSERT INTO `car_user` VALUES ('166', '', '18871732173', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$K8K7.yUQTrDw/qPcW3xyfeSl5ObW/gzgY0pz827RGn9gbAIapxNMq', '', '0lWhTz_qDjd4DeHaMH9LWOgj0JBrw0MK', '', '0', '谭文琴', '', 'twq001', '谭文琴1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546581985', '1546581985', '', '0', 'cba1e49e-6776-9151-7e9a-6f9403bfee5c');
INSERT INTO `car_user` VALUES ('167', '', '15358428534', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wS7AL3uNixg2lBa0313We.kDmdyPISGOeXcEsNW3QiprRLLz3FSTS', '', 'I5S42uJ2LUJWdPW15H2O7NnqJgFfwZpw', '', '0', '褚之舟', '', 'czz002', '褚之舟2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546582023', '1546582023', '', '0', 'b7016167-96a6-ccac-f76a-6215d689b654');
INSERT INTO `car_user` VALUES ('168', '', '18138527557', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6Pru6YpEZSCvf17iSJo0NuTnHlqkiDW9Ed2g7IDJDmU.4OH.WWq2i', '', '5yGq7svXYfHJziSU0dcypmIceEMZ9xRs', '', '0', '雷喜荣', '', 'lxr00e', '雷喜荣E', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546582079', '1546582079', '', '0', 'a80d0660-3e51-ce6f-7971-e6a263242a52');
INSERT INTO `car_user` VALUES ('169', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$eX5V3AGx4Q5Uswavx0kme.5zyciwZ1oQdmeD0sBBNoPmfhWildguq', '', 'RJJ-rV0hSBOvn_iliqIhQFtcNwZBHoDn', '', '0', '梁慧', '', 'lh0002', '梁慧2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546582132', '1546582132', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('170', '', '15971203300', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$DACFclLh/8F2kB7CqhdX6eZsfCM84TbKcrZlWOiAn/qZUkOrsrXkG', '', '18td4SCKyg7YCq8I23woUDrpT225XNIk', '', '0', '段艳霞', '', 'wcy000', '汪承悦', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546582174', '1546582174', '', '0', '7ee4d664-02ec-6eb1-6d01-ac675c83c8f1');
INSERT INTO `car_user` VALUES ('171', '', '13535860088', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kdbtU7MY0ttOcoXYINVcIu2zYLmDqKQ0sUF1j6GEAUbT7y9YSIz52', '', '5RKdPA47a9N-RBiT-4-2MNT6IwJ2uRDm', '', '0', '曾伟鸿', '', 'zwh011', '曾伟鸿11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546582215', '1546582215', '', '0', 'af8cbb90-793b-999e-2b4d-27c5908ed86b');
INSERT INTO `car_user` VALUES ('172', '', '13535860088', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hHoF97XVWR/LkJ.qbWLcruYCsTRZJ36f05lWLZTIR/WS94g/vsyqi', '', 'UkYjdgXDv1SC_1bJTSqCpdijHy-HNUkP', '', '0', '曾会东', '', 'zhd003', '曾会东3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546582244', '1546582244', '', '0', 'af8cbb90-793b-999e-2b4d-27c5908ed86b');
INSERT INTO `car_user` VALUES ('173', '', '13535860088', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$NKCTctffJHaBa2blgR2ZEu1526U7R/is5Oy8rBRjjvheX5FpvNbT6', '', 'roylPPrgMKkxKNuGNTpxRexGCNerldIm', '', '0', '吴宝潮', '', 'wbc003', '吴宝潮3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546582297', '1546582297', '', '0', 'af8cbb90-793b-999e-2b4d-27c5908ed86b');
INSERT INTO `car_user` VALUES ('174', '', '13802511267', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$p51l0ZdWkyDtvTYDGnd4KeFCyTnNyzHfiNofG7TTzUExGYhp16kY6', '', 'gWATYpGNioWeqXblRF0w6f1kKRkbvnTc', '', '0', '罗玉明', '', 'lym002', '罗玉明2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546582356', '1546582356', '', '0', '584a6f05-dd42-a2c4-863b-0073eaeb58aa');
INSERT INTO `car_user` VALUES ('176', '', '13826143493', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$92BhE1W3uHFDS3uUyXlz5et79pHI3rXxel8sNaV2QtNV3LYNfEsAi', '', 'OTaACGn87Un9I_BnAUocpovWDfTQlrJB', '', '0', '何玲', '', 'hl0004', '何玲4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546582422', '1546582422', '', '0', '70b2a9ca-309b-aeca-446b-712a0e1476a6');
INSERT INTO `car_user` VALUES ('177', '', '13995399148', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vCpBzLipenC64KCTZodim.8wAX1rpSWhNVMIORkkNVnFQ2bsf1Yq6', '', 'wvA_9ZaKPpEENZNOjUyHN_eQbqumiJFq', '', '0', '石亮', '', 'sl0006', '石亮6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546582458', '1546582458', '', '0', '6a0dc854-c5ed-89e6-823e-7cf6a76c9fb6');
INSERT INTO `car_user` VALUES ('178', '', '13906139321', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$T/.NcIBdNE9HM1uueIOiC.0g0VPjiZMe/s167DJREKmpab.BhnSiG', '', 'lQDKtUzy1lFFFA-N7t2ZX6zUhzUJ4WmU', '', '0', '吴金男', '', 'wjn002', '吴金男2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546582488', '1546582488', '', '0', 'a891b097-5d53-75bd-9f64-938f2db54847');
INSERT INTO `car_user` VALUES ('179', '', '13392241228', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$v0RflXI6KbSXMTJSfhOuGewImVP2tJb4ajgIs1rlUR1MBIMg6J/W6', '', 'HtZgTjwkCGxTmO3u8X2BpLa1rOKo9hLo', '', '0', '黄小红', '', 'hxh000', '黄小红', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546582986', '1546582986', '', '0', '67e0cc94-b54d-f657-c041-a06773d19999');
INSERT INTO `car_user` VALUES ('180', '', '13772821044', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hUksXV6FjNHxqdTmU0rfC.eFvaMjc6OFwjS8dEEnscVj9B1z4Wkju', '', 'yi0OeWPcKTIRCkfAY1kEC0By41gMDGmA', '', '0', '周丽萍', '', 'zlp002', '周丽萍2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546583060', '1546583060', '', '0', 'e443e144-802f-84c5-792f-ff51b2b69c97');
INSERT INTO `car_user` VALUES ('181', '', '13719480678', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XBRq5F1Ig/EEgyqwRsdIs.mmEYDzFz03NHYirEwkhmW3Q8dBmavnS', '', 'oA5-i1JI1zm2D8XEX-MIwJZEYjYzohwh', '', '0', '林月环', '', 'lyh000', '林月环', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546583482', '1546583482', '', '0', '1b777fdf-0e22-096c-6faa-5df66474d68e');
INSERT INTO `car_user` VALUES ('182', '', '13695224892', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$NxqKVpnxxeP0XvW.vnQQLOQm5gbmBB.gzFrfySJrLUhwCBkJDU882', '', 'u4KSOCaMxew30QLADO79TvDUDlkSC-XO', '', '0', '陈浩刚', '', 'chg000', '陈浩刚', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546583541', '1546583541', '', '0', 'baae3f6c-89c9-0b46-dbbb-92cbcb5811ab');
INSERT INTO `car_user` VALUES ('183', '', '18147438268', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$u8r9Z05A7DA//6k0oDKB9uX5CjfOGsOjbhvD8qfC7xaV2WktAd0Ey', '', '6VTKHroCcRjXIKOBH1ue940IlvDjO50-', '', '0', '曹雪琴', '', 'cxq001', '曹雪琴', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546583615', '1546583615', '', '0', 'b30a554e-2ff2-184f-6134-4c611a2fd518');
INSERT INTO `car_user` VALUES ('184', '', '18147438268', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$VLnDEQgQzyKYTAbbPMWIm.N62Vgz2LkIqBD5BqIc6hQt7qXne/uFi', '', 'V9xD4N7xKusqodlMmx50Gh4FYaAIYxnt', '', '0', '曹雪琴', '', 'cxq00a', '曹雪琴A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546583775', '1546583775', '', '0', 'b30a554e-2ff2-184f-6134-4c611a2fd518');
INSERT INTO `car_user` VALUES ('186', '', '13948432892', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$sZQrVAovGYPcBPB6LmEMreBcAdVprFb7ZHYLbxPxz4ZwcjwbUMlT6', '', 'yMCkd4NNoFo3smMtMQq0_1BOpjuKYGTb', '', '0', '高洁', '', 'gj000b', '高洁B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546583871', '1546583871', '', '0', '4a738802-3433-8e80-e6cb-a482b4f10876');
INSERT INTO `car_user` VALUES ('188', '', '13902807728', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QrMAI3wUrFQFfJXzotNrJeDvGoXz0BIi1mobUw0pG15RIQyUpCF8S', '', 'QzquV3nj3lmz0F1gXHMzrW7lE8Ov0ywf', '', '0', '冼绍儒', '', 'xsr000', '冼绍儒', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546583964', '1546583964', '', '0', '7d5e47dc-fa23-eaf3-1377-549efc7aaaa3');
INSERT INTO `car_user` VALUES ('189', '', '13702559098', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$tG./ozhDYwDRvJW.jGAEguPlB7Ewd2R33XkBmWST9TwOwEcayHnae', '', 'xqihrXLEx8qs9V-l9TXLq31LNlTWNvIA', '', '0', '陈振华', '', 'czh003', '陈振华3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546584279', '1546584279', '', '0', 'd19a0ebf-9cd5-1034-dce2-9ea045b1aab3');
INSERT INTO `car_user` VALUES ('190', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pgbprJFNx9GdcYWDTDeKm.IIMQXUKgRsh7YomGSnmN5fue55B.Odu', '', 'uFe3jvn9dWrWGaE5b1sxEUn46fOSqLHE', '', '0', '麦松喜', '', 'msx000', '麦松喜', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546584463', '1546584463', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('191', '', '13420819593', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$13Q2ILSD07I0iQ.xm87mzeSPOAZtjB3JkeE1nwQ1Su2ref1ZaXVYy', '', 'd2817JsVFydUPwVdxPCij3mNCwuCGnrX', '', '0', '麦松喜', '', 'msx0000', '麦松喜', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546584598', '1546584598', '', '0', '284d7c63-c2c0-c682-cc08-3ade0b72cc3a');
INSERT INTO `car_user` VALUES ('192', '', '13500959645', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vrQBTvxaewtP0Sin092d3ez1SWf2uGcrQpx5Ym8sL17r3cRsQS1.6', '', 'ajZlFBW42QTTGh3zv-lnXol3qyT5lAkm', '', '0', '刘树清', '', 'lsq000', '刘树清', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546584741', '1546584741', '', '0', '895ce331-5d58-9de9-074a-9c69f2ae7e84');
INSERT INTO `car_user` VALUES ('193', '', '13500959645', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ETyxBidVgmIu8ndsJpvuiOsXWZfvp16DKryHQAetCE9yg8RBde.0K', '', 'Ks0--NZ-KpnCM9rtSb9NEKhVZNc4QAjX', '', '0', '刘树清', '', 'lsq002', '刘树清2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546584791', '1546584791', '', '0', '895ce331-5d58-9de9-074a-9c69f2ae7e84');
INSERT INTO `car_user` VALUES ('194', '', '15838903304', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5553bq4ct04OdRB9mtJDyeQr.YHrSNUtCUjLV2fr7uyfocmOuG8mG', '', 'ZtlPbkiHGyaCsGgMWVtzUuhcwcP4aGJ7', '', '0', '柳铁孩', '', 'wxp005', '王晓萍5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546585107', '1546585107', '', '0', 'e38e3c2b-582d-79b7-aad4-20fb349c6de2');
INSERT INTO `car_user` VALUES ('195', '', '15838903304', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$v4m2vwzESfV.oOuQZ0C0Uuo7iS/wwDeQw2gPzNzslQObfcqcDJjbS', '', 'Hihk9Q9dg1j5z6yAuaIkXPu45nkaE6we', '', '0', '柳铁孩', '', 'wxp006', '王晓萍6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546585143', '1546585143', '', '0', 'e38e3c2b-582d-79b7-aad4-20fb349c6de2');
INSERT INTO `car_user` VALUES ('196', '', '13782763299', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FooAcsLz8dwQ1FHMfgQW1eud1kYEEIB0dbiLhr2Vig5vbkGRTVpgm', '', 'H-9J73QU-doQMnVbaWuxQk63qkd71r_1', '', '0', '王晓萍', '', 'wxp008', '王晓萍8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546585303', '1546585303', '', '0', 'ae6ef39b-9fdd-b6f4-c7ff-45a15ba29523');
INSERT INTO `car_user` VALUES ('197', '', '13782763299', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uCmppDCPxHmpitnmOhediumSaS5/K77Utc7zSzaLMQIaDbIDJ2GPa', '', 'pnM9JZG2VNRnNJ1zqR9N7GsBKQarzgUO', '', '0', '王晓萍', '', 'wxp009', '王晓萍', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546585451', '1546585451', '', '0', 'ae6ef39b-9fdd-b6f4-c7ff-45a15ba29523');
INSERT INTO `car_user` VALUES ('198', '', '13782763299', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$obFSwE9WHccsBDEHh30p9euTjrsNgMo/Bt.9EHi5c.hNeUWcUVv1S', '', 'r5ChgotZzzY0milnOh04oFxRUftkt0ND', '', '0', '王晓萍', '', 'wxp0010', '王晓萍10', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546585512', '1546585512', '', '0', 'ae6ef39b-9fdd-b6f4-c7ff-45a15ba29523');
INSERT INTO `car_user` VALUES ('202', '', '13782763299', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$GjQcE9a838Eq/PYf9u48aO2Di3zSUTQAOG6O1yC/PxGdYJE8Q8y3a', '', 'CeskSspn30jT6Eo2UIEQb2DbpYkAZQuD', '', '0', '王晓萍', '', 'wxp0013', '王晓萍13', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546585590', '1546585590', '', '0', 'ae6ef39b-9fdd-b6f4-c7ff-45a15ba29523');
INSERT INTO `car_user` VALUES ('203', '', '13995202640', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ORxxavKF2ofRb6e4SuXfI.AcNYHze39srzuHquKuXwTgGr7pkc0Oe', '', 'QupX4lpNoHiwRiSLVh67z4nWFkv9vYKg', '', '0', '朱秀珍', '', 'zxz006', '朱秀珍6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546585655', '1546585655', '', '0', '82a82c24-6ced-327f-1f0e-355e03ab491f');
INSERT INTO `car_user` VALUES ('204', '', '13713367708', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$JvdhDBHznsy6MugwRWdbfuC0GqzD6abuGtAFwBfIN7hot5PS9eKhW', '', 'hGMrARGpncyKAM4gumXOyjzjyENH5ktX', '', '0', '梁惠惠', '', 'lhh001', '梁惠惠1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546585741', '1546585741', '', '0', '8b44c588-27fb-3df2-82dd-eb1d54d4f610');
INSERT INTO `car_user` VALUES ('205', '', '13030206209', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$92diz9CYnA.8Ha0C5lMynOdmi8K5PR3G38z4wbJp0E.veeE4ErAWa', '', 'VlAEXs-tgjRIExoZw68Szl-UMIOVA6R_', '', '0', '李荣标', '', 'lrb001', '李荣标1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546585817', '1546585817', '', '0', 'b7da1a23-647b-9f10-ca45-575a826468aa');
INSERT INTO `car_user` VALUES ('206', '', '15077698889', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yD8s3ZftF1FBFzZYI8Y1EO/Sisxc7cFueSGBqsCibzI6c1Db1b5Ee', '', 'nhogg8WAVN9FheHhrZmZI6VhM3ZIPqxD', '', '0', '周秀娥', '', 'zxe001', '周秀娥1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546585883', '1546585883', '', '0', '6c2cf72f-1816-5cf7-2948-2566ecb81687');
INSERT INTO `car_user` VALUES ('207', '', '13197330568', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Y8HION8aZ1xD8tY.Jboi.uH2nO5.YXmAYUYugyEga06UvHyL6aE5i', '', 'agrIuoW8KV4ov1EsE8cWDCXNdLocLz_I', '', '0', '李国砚', '', 'lgx001c', '李国砚1c', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546585961', '1546585961', '', '0', '27f46e72-9ede-b3e0-129f-1afc93f71215');
INSERT INTO `car_user` VALUES ('209', '', '15971637226', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$97VLddqT9dYcsCpwQewccunHITq7pB8onajgUu.gpVC32Xg/kuH0C', '', 'NlvVFmQCBsUe58eIeUQ-nek2FjFtYV3v', '', '0', '望菊红', '', 'wjh001', '望菊红1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546586106', '1546586106', '', '0', '61ccb1ff-6a05-dd04-1836-e30a50b51d61');
INSERT INTO `car_user` VALUES ('210', '', '18520936383', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uo8PF5uN.xWs7f9DwGIriu7lrvAffSW0M5jyTTXAAbjz8uH/FFwLa', '', 'u_Xupl5h635denf_S7dqQyN5Z2Ax_FyV', '', '0', '徐燕', '', 'ykn001', '余柯楠', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546586246', '1546586246', '', '0', 'c44b8208-46f7-ee61-f47b-614f9b5ae059');
INSERT INTO `car_user` VALUES ('211', '', '13948128084', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$MN.DSyPtb41pRBHv.ddsReR31EggE7pRCkJVI./8QIUeOx55jp74K', '', '2E_dBIeAUU7RcrxULZEe0tVwQIxrciLD', '', '0', '徐燕', '', 'qjs00c', '邱集山', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546586469', '1546586469', '', '0', '66f0afb8-34f4-93df-3c3a-5ac3023967b5');
INSERT INTO `car_user` VALUES ('212', '', '13171082478', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3KUTp3wE0Isg6Vd9tF.nKuH/1zEOZIN1x/PIF4rqszMxiIvBMOCLy', '', 'NoD4LgRtwXHvQa2CstSn1VC1i7i946OL', '', '0', '邱亭山', '', 'qts00b', '邱亭山B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546586564', '1546586564', '', '0', 'b496a3f7-6c7f-9b66-c332-3baddacaefac');
INSERT INTO `car_user` VALUES ('213', '', '15934916679', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Yx.xrzC96nGdaLM8kGxsIOHTAjVvall59tS7TvIWAKBc4l6GX9sAa', '', 'hRPS6hTuLVZEAFgGDc5ChSx9bMv5Ma-T', '', '0', '邱红利', '', 'qhl00b', '邱红利B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546586633', '1546586633', '', '0', '80cb0cf6-5a36-e3db-99b4-b7f55b0c0023');
INSERT INTO `car_user` VALUES ('214', '', '15827536877', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6g2sIYUVnisQ9ayntk8dROFcbbAcZePjbL2dObHxhYmXjsjvlhj.y', '', 't1oGnY2rj5dp9ftUaBCGn2yh47yPWxMq', '', '0', '胡明明', '', 'hmm00a', '胡明明A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546586714', '1546586714', '', '0', '5b383f4a-f80d-d429-29f0-cfe6eff6b852');
INSERT INTO `car_user` VALUES ('215', '', '18643528567', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$sGOpODusWsbSrQBKCzB5uOwS70qTf5mS7jnjm/oZ.m1yrNjOp/XCy', '', 'Ac8kU44sQmLKirebop7kvcQoGc9cOzoF', '', '0', '刘国清', '', 'lgq002', '刘国清2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546586802', '1546586802', '', '0', '0c5ac514-16c5-2542-d39e-4c850d086f45');
INSERT INTO `car_user` VALUES ('216', '', '18643528567', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$dj2JEym6BVGRfwGCPxDci.LhMPKctGmuaqBylniQPA71XEG4EDW6G', '', 'C_kqP_ZIVHTZg0aV75qiPHMjA7OZk8Ko', '', '0', '刘国清', '', 'lgq007', '刘国清7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546586844', '1546586844', '', '0', '0c5ac514-16c5-2542-d39e-4c850d086f45');
INSERT INTO `car_user` VALUES ('218', '', '18643528567', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vXf7/pwj61FJ5Rk.ZDY.5uoQm2YzDKdY67XwYQwk7TOaVLZAomLr.', '', 'BmTzawdEuUEa1N8spfX2Jq2plZiXgmh8', '', '0', '刘国清', '', 'lgq008', '刘国清8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546586888', '1546586888', '', '0', '0c5ac514-16c5-2542-d39e-4c850d086f45');
INSERT INTO `car_user` VALUES ('219', '', '18643528567', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$2v5nhLEMfCLfexdvt99mp.oalpb4C3HwLwrPNPzvqyxU7iv.KqFEW', '', 'LEb2atTcV2tiOmymo2-DqPcXvTqKINtx', '', '0', '刘国清', '', 'lgq009', '刘国清9', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546586938', '1546586938', '', '0', '0c5ac514-16c5-2542-d39e-4c850d086f45');
INSERT INTO `car_user` VALUES ('220', '', '18643528567', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$HghXSCRSGxH4L2S56WIdOuk36pKUeXlqefOiJf9RtHJDe4jnpbCbe', '', 'MvB2XPU7eE-WJygC11GU6GZa7g0Hl864', '', '0', '刘国清', '', 'lgq0010', '刘国清10', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546586970', '1546586970', '', '0', '0c5ac514-16c5-2542-d39e-4c850d086f45');
INSERT INTO `car_user` VALUES ('221', '', '18643528567', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.RZgGrUfFmJ4UCOi7jeHJ.ZEvumrqkIKDX1CMGea/XLv3qVZ26KWa', '', 'uzG1_h4dU30JtnXYleQxZ2uaYxfFrUed', '', '0', '刘国清', '', 'lgq0011', '刘国清11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546587014', '1546587014', '', '0', '0c5ac514-16c5-2542-d39e-4c850d086f45');
INSERT INTO `car_user` VALUES ('222', '', '15844539077', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$L14Uz5zzG9/vxU01GFgyJucv1ikkXC9JpU5ex3nRN3inUdTo6.HIy', '', '0eVI7W1c0pmSKUrQRk0485jzBf_EIrnw', '', '0', '张春艳', '', 'zcy007', '张春艳7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546587094', '1546587094', '', '0', '8dd56a92-6a6b-5a4c-c9af-cc1d77239f3b');
INSERT INTO `car_user` VALUES ('223', '', '15971663551', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$satX3IvD2C1vOurxAxBo4.jVyLvFR1Rjef8kc7n1MLzoF78ZIgzAu', '', 'mLla1BBsrG9o4z7aNpuSZ1lgYpKK4Ktj', '', '0', '蒲光现', '', 'pgx00d', '蒲光现D', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546587267', '1546587267', '', '0', 'd25f8c71-9fb9-07c6-5a29-ce90527aa183');
INSERT INTO `car_user` VALUES ('225', '', '17335103647', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$4qQq6txxxEybJ4ZokFw65uLNOqFQBeKKCMhVlS5VPrM.ALbf92bI2', '', '3CexitrHW2sbiA0hgoHBEK6u-9aF-Xt6', '', '0', '袁宏', '', 'yh0003', '袁宏3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546587371', '1546587371', '', '0', 'c849e795-5c67-ef80-511e-b96a8e924ecc');
INSERT INTO `car_user` VALUES ('226', '', '15934231901', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ruD4c4KKVPfXU.cQY829AePIC9Xm84K39UbyZtvQv0Sh9juMvMhQu', '', 'HocKLf5sNeuhki7bPO3SiLVwwzq-ePm9', '', '0', '金美云', '', 'jmy001', '金美云1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546587434', '1546587434', '', '0', '7c3dcc5b-ebb6-8710-0476-cddcd15351b6');
INSERT INTO `car_user` VALUES ('227', '', '18747487458', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1wLB0avNvFymydJ03sXyluz/02DNRqQYR5POsF4ijEJl6sL/.TwSK', '', 'zlaKfzK886z3Aepc5noXqMCtoa51Tc18', '', '0', '张丽芬', '', 'zlfa13', '张丽芬A13', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546587477', '1546587477', '', '0', '2d2c2072-1edb-31e9-1d52-49fd63701bce');
INSERT INTO `car_user` VALUES ('228', '', '15934231901', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$aLVwQ37CMgJLGjVUVu5cwuReVMAUkpiPC7NivRKtGCbE29Nsp32.O', '', 'G_36LHSrUsnn7ssnJaAqpafcFKW3yb_S', '', '0', '金美云', '', 'jmy002', '金美云2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546587480', '1546587480', '', '0', '7c3dcc5b-ebb6-8710-0476-cddcd15351b6');
INSERT INTO `car_user` VALUES ('229', '', '17728947668', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9RvjmPwzPwUEtwsQGk6VDe94jKLamV.hwqpzNXBtg2YrWt3ZnZU5i', '', 'k7KzEj4-wxnOR-Hu5JfOvZZyKIwA8CBM', '', '0', '赵带娣', '', 'zdd000', '赵带娣', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546587552', '1546587552', '', '0', '99934289-d510-8c59-0fc6-82af3f908df4');
INSERT INTO `car_user` VALUES ('230', '', '15909110691', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3Eht8LePoUFSOq.BSxTwgu42kNOVMNeRTnZEuI5uCQrLy4d984wru', '', 'Xjd609qeqMk6IGgyYlo-QrXhWaYneLFN', '', '0', '李海平', '', 'lhp001', '李海平1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546587683', '1546587683', '', '0', '39cbd644-727f-b9aa-5194-0c65086a2be3');
INSERT INTO `car_user` VALUES ('231', '', '18686134663', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WRzcx7XIh5C7L4PG2Ty6M.HOvUPkO8w/VYBgRQY25OZjZycVfBn4W', '', 'SoeNE5283yOrj5yuB8wVozXUZX0qC0WN', '', '0', '刘国雄', '', 'hy000c', '皓月C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546587769', '1546587769', '', '0', 'd30a2598-6b31-7f42-7737-e261e9d9d59b');
INSERT INTO `car_user` VALUES ('232', '', '13191433858', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.3gSNJFLsq/oUo/LL.IN9OjQutX2nOhISPn4de92tXDPYsvq4MWTG', '', 'a3zQCFrqBKvBD7F3_FKOSepXPWzXOz8b', '', '0', '冯桂英', '', 'fgy000', '冯桂英', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546587823', '1546587823', '', '0', '57c4d1f8-740b-a6ad-77c3-50612d9245cf');
INSERT INTO `car_user` VALUES ('233', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Q4xRxSzq3YYZfgUkysc76Od2oVnYo7BcTJICzYykE0LzyftShnNNe', '', 'hzEeLDdq0wVMzc05_92afN_4LhULAyzY', '', '0', '孙本霞', '', 'sbx000', '孙本霞', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546587973', '1546587973', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('234', '', '13928261297', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1GpujchUj2Vzvfhuj8HZPOzMA0s4bb.pGN7iTmPm4Ykjigo/jVuti', '', 'CxFaP6ooJkySv5QUD9xG52twhh1kt-as', '', '0', '叶结仪', '', 'yjy058', '叶结仪58', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546588177', '1546588177', '', '0', 'f8036310-9848-3085-8f68-109ed2b71432');
INSERT INTO `car_user` VALUES ('236', '', '18123580206', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$bmq3pkcMXvHHaIq8OKPRTO8ouFwQIy5p/dqQKVT7s8pkIcNa0QC3G', '', 'LF4wceoewFhRgOiXcfTeYeK4urrwaDKq', '', '0', '吕徐慧', '', 'lxh000', '吕徐慧', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546588429', '1546588429', '', '0', '65016a94-d457-dc24-d5e7-835b80a95895');
INSERT INTO `car_user` VALUES ('239', '', '18747487458', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RJZLBJv/0i4Sd4QQV1sK2OcJWwxao9XTm9UdxxIJFmYTyIIfb.ySa', '', 'y3YyN9NY_1Znb-iiQ9UC_aDC6PaXRPXE', '', '0', '张丽芬', '', 'zlfa15', '张丽芬A15', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546589044', '1546589044', '', '0', '2d2c2072-1edb-31e9-1d52-49fd63701bce');
INSERT INTO `car_user` VALUES ('240', '', '18747487458', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$NSe7I7l7vvGKjSU4LcPzVuRE7Hc4kdv5X4dhJGtW13bKi8zbzl1ue', '', 'QM9FyKI066K8K3IfULK2x3rnMc3IfC0g', '', '0', '张丽芬', '', 'zlfa17', '张丽芬A17', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546589077', '1546589077', '', '0', '2d2c2072-1edb-31e9-1d52-49fd63701bce');
INSERT INTO `car_user` VALUES ('242', '', '13168048861', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Lsx1w5hdNyyQIpErz3LtzOv0FiGV86pEnNJkVxEQerY7szzE0lUbe', '', 'vl5PmvmiyIM4GCUPsba6MYV0nS8mRBzz', '', '0', '许绍荣', '', 'xsr001', '许绍荣1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546589390', '1546589390', '', '0', '21d6e91d-905f-4167-0b86-0400be2d1761');
INSERT INTO `car_user` VALUES ('243', '', '15126084733', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$iNWeT6k7Ztb9M/7GitqVheAoXGute.kGCPAYw/8RfE5NjP7p9JWJG', '', 'Pj1sE6KCV3K6vdxr4UypdjP4yYHDgAaj', '', '0', '王文海', '', 'wwh000', '王文海', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546589529', '1546589529', '', '0', 'a6fd8a0a-739a-7f4b-7791-32dd2ab4f56c');
INSERT INTO `car_user` VALUES ('244', '', '13992689668', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$UO2mrqQLMW/GcYmIdPGe7O3mqSKEbtIUw3nBfiHBQSIWQuRZd.E46', '', 'nBsWkdPs4T12O1IzV-OceP74YtuLcpXV', '', '0', '刘海燕', '', 'lhy011', '刘海燕11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546589588', '1546589588', '', '0', '3c20fd08-5be0-edb8-c12e-c4345deecb00');
INSERT INTO `car_user` VALUES ('245', '', '13992689668', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9jYOObWdzqNosyaRX1ElNugzcqKJ97rmUVcJmr6Mt5LVM2mGu9s5S', '', 'IRONiin_I3cU2KXxL-sY-0kBAlQZEel-', '', '0', '刘海燕', '', 'lhy022', '刘海燕22', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546589751', '1546589751', '', '0', '3c20fd08-5be0-edb8-c12e-c4345deecb00');
INSERT INTO `car_user` VALUES ('246', '', '13992689668', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xObtoR2bhYRdyhx2NnL4f.iifY6N/tWU/aXdY1Jg8Hhg98HM3gDBC', '', 'g-wCf6JlqGfRE8E-aLDmoHGQ8EyQACZM', '', '0', '刘海燕', '', 'lhy044', '刘海燕44', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546589793', '1546589793', '', '0', '3c20fd08-5be0-edb8-c12e-c4345deecb00');
INSERT INTO `car_user` VALUES ('247', '', '18947190586', '116_5_1_0', '116', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$F0GcQcOPXL8HA4DtBPXexun0RlPj.zKsJFWGExeOW/0RhWnlX17Ui', '', 'PwuHqyPjpIPaJK6bJovzOTA0rtQ-AYE0', '', '0', '周彦彤', '', 'zyt0586', '周彦彤A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546589893', '1546589893', '', '0', '7d3e3d47-78ca-674e-e858-4d871321a3bc');
INSERT INTO `car_user` VALUES ('248', '', '13760816259', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Ss5zquEM7xMzo6gpznSw1ugSMRBhInNlKI55oje9l.7SE1d6pyN0W', '', 'GBE4Z71o46DRza9rr4difu7Ok8YHKqpH', '', '0', '刘戴忠', '', 'ldz001', '刘戴忠1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546589974', '1546589974', '', '0', '58fc1ee8-1324-f409-6f2e-81f2b378e571');
INSERT INTO `car_user` VALUES ('249', '', '13006966472', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$U1hSNgvQgLZyq3rD1ADfa.1GSYfdMZwwHw0fq5o.PCG19tvwZtfuO', '', 'lsXTE2BQZ4DqZ8l5S7Xn4Ay08bN2mQCh', '', '0', '何应机', '', 'hyj001', '何应机1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590029', '1546590029', '', '0', 'eb023e9b-c787-9fd3-07de-1a7fb9d883e4');
INSERT INTO `car_user` VALUES ('250', '', '13988840705', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gJaWaKRdTY1xlHvyfr7IWeO0EW4hvQWynymAveZEy89yYTChDxSZS', '', 'xp3LOxmGmWSRPrqK_yoTIDLFxo8RplkT', '', '0', '陈明志', '', 'cmz000', '陈明志', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590194', '1546590194', '', '0', '5969df45-3836-7840-466d-5d06bc175024');
INSERT INTO `car_user` VALUES ('251', '', '13038615618', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ToB8AILDnGYSGY2yNncx9uuGY9SG.GgaoPnuUeG3ijE6NKiJz04xW', '', 'Fd6LwI_GS_E3R6Yk3FFqLIgtP_lzs-Ac', '', '0', '郭菲菲', '', 'gff000', '郭菲菲', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590225', '1546590225', '', '0', 'e54a7e4b-4e69-85aa-c8e0-dcd5d4b5866f');
INSERT INTO `car_user` VALUES ('252', '', '15647234229', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9x7sW17nEZD4waSIsWzxgu7417ijElEdBGXFyl/9T6fP8rOAbDLBG', '', 'UgIUf6m5O9Ydw96mbWM-9cDOOjZJM2j4', '', '0', '支兴', '', 'zx0000', '支兴B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590276', '1546590276', '', '0', '8127b770-5312-cf85-6da1-87d00ea03f8b');
INSERT INTO `car_user` VALUES ('253', '', '15332711634', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vrrZyyPUdj9M4dMrbqIXEOvH1Qt3Ts/isDXFnrEwmrB7pASEJoetu', '', '2s2DFJgaqFGl6O25mDHPKV9CKr2BpzQz', '', '0', '哈斯', '', 'hsefg0', '哈斯恩福G', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590351', '1546590351', '', '0', '30c03ead-4c63-b536-5083-37bcc586b710');
INSERT INTO `car_user` VALUES ('254', '', '13087102624', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$YUDR8/29ChsmHmgE.pnZk.FHL6Jzr401zXuzv1Jk3rFayQTSm9tP2', '', '0WjYJ9NpQSI8T8DLr1HwbxyZ3_N1kpV9', '', '0', '靳秀莲', '', 'jxl00e', '靳秀莲E', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590432', '1546590432', '', '0', 'f5fb5031-0543-bfaf-90a1-cca5cbcc27d1');
INSERT INTO `car_user` VALUES ('255', '', '13087102624', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$arQ.cutsPyrIg6YZ4LpaSu5sn7O6RUu1/Sr/zXhpHKBVIYOsvntm.', '', 'sS4BccOtkmadaeGQw_fchIXTyDQC7lSD', '', '0', '靳秀莲', '', 'jxl00f', '靳秀莲F', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590453', '1546590453', '', '0', 'f5fb5031-0543-bfaf-90a1-cca5cbcc27d1');
INSERT INTO `car_user` VALUES ('256', '', '13087102624', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$NdB/oN.BUAE42KcqeI4o0O74ueQCgs3LorVxXrHyRSkuRFfdlFA/y', '', 'vL7Up5Y1aIgc3eJV0CSHAMUeCM8UDEAi', '', '0', '靳秀莲', '', 'jxl00g', '靳秀莲F', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590477', '1546590477', '', '0', 'f5fb5031-0543-bfaf-90a1-cca5cbcc27d1');
INSERT INTO `car_user` VALUES ('257', '', '18988659266', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Ey5jRX3oyV0ifjLV.Fb6sORlNp2XNl9YLjI0tJsMwI.kp35tDySm2', '', '2DkC2--_pONkykvDyCebT-vNExINa1LZ', '', '0', '邓一峰', '', 'dyf000', '邓一峰', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590535', '1546590535', '', '0', 'c0098597-538c-e180-6b25-a029bf809093');
INSERT INTO `car_user` VALUES ('258', '', '18947190586', '247_116_5_1_0', '247', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nMyXHsQFArq3sDA2e46e3OA/35X7S1/veXCXeBYyS8AbHd9JsDO2q', '', 'FNYk5zZjSMG_uiH0XcKEhRT4NMGrV_UY', '', '0', '周彦彤', '', 'zyt0587', '周彦彤B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590552', '1546590552', '', '0', '7d3e3d47-78ca-674e-e858-4d871321a3bc');
INSERT INTO `car_user` VALUES ('259', '', '15817800320', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WdEai4v7sbiXh9cwl574xu5doTA43d0LycJqHYoM7/UFC8/c2pH3K', '', 'lyKu8Widtsx5I-t7qMh_6fo5aGQOLrOY', '', '0', '黄凡边', '', 'hfb000', '黄凡边', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590581', '1546590581', '', '0', '917f3b97-9e82-4a7c-69ed-09c030fee808');
INSERT INTO `car_user` VALUES ('260', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$bWexeEcPCuMo/mRBXx/NiOB22coz46NaWJvt.ukoX/URde.iS42Ga', '', '3ay-N0ki4wUIkNJtQhZLcIWHYzBC0HJ-', '', '0', '丁志远', '', 'dzy679', '丁志远', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590602', '1546590602', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('261', '', '15914877628', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$BpR19pEQvWqffoudQ1mVi.PJTJMePNZxsGlOT.ezQFj1O6hFxN4Ni', '', 'kmP_COqm5FZOuGyFENn-I6Ynan_DnRkJ', '', '0', '李秋菊', '', 'lqj00a', '李秋菊A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590652', '1546590652', '', '0', 'be94f6c3-3dc1-b678-02cb-5f9978aebac6');
INSERT INTO `car_user` VALUES ('262', '', '13604792606', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$OLfcWo8NBf7euPbiF.wIVe9vTSLRzg8y4LYAn1zwnpyapq0kfXpse', '', '-mVmC6ae9wScZPWulGP4tinBZUUhEaQJ', '', '0', '李明', '', 'lm0000', '李明', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590680', '1546590680', '', '0', 'da077125-756f-c263-5d96-f05d2bb0b5cb');
INSERT INTO `car_user` VALUES ('263', '', '15848484353', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XAbqbuWLIJbwdd0yi8I1OOUDnagqv6HxMdObsU4PkMAjYzmaFowWi', '', 'kk5RMWGjhQ5sMrac2koGCrFOlrO92Glr', '', '0', '高建亭', '', 'gjt003', '高建亭3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590727', '1546590727', '', '0', '9b0dda78-18c5-3c79-1665-bd85785af96c');
INSERT INTO `car_user` VALUES ('264', '', '13347189992', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$UICRVVJrtnM7GcrSmNHgd.MT2BphHYdFG3TaKG50KNAK8tvt.4KOu', '', 'a2BroCQdNMOD08c3d_mCDqe3A7sNNhYh', '', '0', '王宏斌', '', 'whb00a', '王宏斌A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590729', '1546590729', '', '0', 'bc075472-0ffd-ae2c-72d4-1bc93d32c185');
INSERT INTO `car_user` VALUES ('265', '', '15334787287', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RoekoVnXKg.oRPF3bKFVi.YMoFbUNk5bmMgSkmcwLhYEIFtcFf0Bm', '', 'y1pK5sRs-HSujLrHQLvK_QTI4FgJefTj', '', '0', '胡乌兰', '', 'uwl008', '胡乌兰8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590769', '1546590769', '', '0', '87b14ae0-735d-0293-c37a-b111627b300a');
INSERT INTO `car_user` VALUES ('266', '', '13861311076', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$DSPqb6Pz.N/4zRsM7SKLF.ek0pHK23XKpJ4sc/5FKI3yBjK8YwPGK', '', '40yauADkKmWO0GKkX6rlzOwE1u1NpT_Y', '', '0', '肖小兰', '', 'xxl00a', '肖小兰A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590791', '1546590791', '', '0', 'a9849f27-4bfe-b099-368a-ca663e4e4324');
INSERT INTO `car_user` VALUES ('267', '', '13347107399', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$2xqYrKKb7hKBfe39kI7TnudfZEV.CYcfVFHHhf52oAfOvy/iPEgmu', '', '7an8I613mruXSntWDyPr2RSwdSsTGeNL', '', '0', '郭金全', '', 'gjq006', '郭金全6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590809', '1546590809', '', '0', 'bf450e4a-aab4-317b-c81d-8da376f6f9c7');
INSERT INTO `car_user` VALUES ('268', '', '15849288388', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nJzn0JLvSICUVT0iGWjOYuUejd8TGV0HvHVrCAF2BH5O5/V0JA.Im', '', 'vOvoU3Lvw2I0QjgUMlTUCGFw2rkwRL7w', '', '0', '贺志刚', '', 'hzg00d', '贺志刚D', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590846', '1546590846', '', '0', '90180247-6264-dba3-844f-502dc403e9ac');
INSERT INTO `car_user` VALUES ('269', '', '13606131273', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$H9k3WD7JjMfjkLGGVqY.kOWTgyr1R5r.zlNok4776gk97IEwHOlD.', '', 'Udig3mAxzAUeN-RGYiUvAohMEjMFKPfN', '', '0', '周伟民', '', 'zwm00a', '周伟民A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590851', '1546590851', '', '0', 'ac3636c4-9971-b7b6-c236-0dd4ad95fe72');
INSERT INTO `car_user` VALUES ('270', '', '18636275844', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kR6k3WjCnAJWdlFktsfV5.C1gg1NOQjMEftlGSsLFq2K1T4.2LnN6', '', 'LRheghdIrygiEJXPQphCeae4NTk-xgI8', '', '0', '谢振权', '', 'xzq002', '谢振权xzq2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590891', '1546590891', '', '0', '27fe7b3f-6837-c22c-5567-488cc07ae53b');
INSERT INTO `car_user` VALUES ('271', '', '18628226588', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$W88GWQDi7nG.t9fbf2pJxOvYX6pOC3S9Hw1NfWEUvJb2eYW5ZO/pW', '', 'mfcgMfEbbszdAShYLBeNMEqvMVZn0yl6', '', '0', '邓智勇', '', 'dzy00a', '邓志勇A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590898', '1546590898', '', '0', '836ef6e3-1e1d-ae1f-0ba6-c1d8debc61f5');
INSERT INTO `car_user` VALUES ('272', '', '18636275844', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nviLqNKZkdYsYFhjuKDe.OTTrUklwY32sPH4vGGFWhgOQFIZ3axiG', '', 'VxN1G_EK1QHKt_b33zLYx4HGfnJ4dk2o', '', '0', '谢振权', '', 'xzq003', '谢振权xzq3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590913', '1546590913', '', '0', '27fe7b3f-6837-c22c-5567-488cc07ae53b');
INSERT INTO `car_user` VALUES ('273', '', '13703015345', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$egC4//1KH8YpmpTCDp3XhuMcb/ZJDXuDKR1QLH9yKrKnLYF3xA0Ou', '', 'yBndAAGLeG5YK2Od4KFN8BjeUKK87p-p', '', '0', '肖淑珍', '', 'xsz001', '肖淑珍1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590946', '1546590946', '', '0', '59e54322-1947-cb46-74ca-efe55a9b11e9');
INSERT INTO `car_user` VALUES ('274', '', '13029538883', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$jKqeqcwaj5yZnJkSVs9dhO6KTxXFRINlS.HoMMDF9RiSFA3RzeRkC', '', 'icovHe0fmNoOALY2yjLYhxBcx8obWyP7', '', '0', '姜风云', '', 'jfy00a', '姜风云A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590952', '1546590952', '', '0', '2637fda1-deb8-7b78-53e9-33a6646f448a');
INSERT INTO `car_user` VALUES ('275', '', '13871890484', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$0RBIWuAP8du0lnXKyCVy5uFtzZlZROPh9wcHihQr9pqBXL3tCCHoa', '', 'CVN9VD3ARBmbISxbeWjCi3TNT_FUggoC', '', '0', '胡菊', '', 'hj000a', '胡菊a', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590985', '1546590985', '', '0', 'c34cba01-f7a3-3b51-273b-be7c2b534880');
INSERT INTO `car_user` VALUES ('276', '', '18216085106', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vGhnfBNhv2U1SVXhPbVqgOCfavsOtR8EfW7dYz8rXg..3SkIlOFMq', '', 'MahMyKSRJsnVyJm-mA0KMEMh0cVeUb-5', '', '0', '李贞枚', '', 'lzm00a', '李贞枚A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546590996', '1546590996', '', '0', '733a3e8a-797b-5473-5abd-132f88bbe7a0');
INSERT INTO `car_user` VALUES ('278', '', '13995886663', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5fpCzqncPfXTMx80wpwu6.H2fHyfQOmAxlYRgMRUcI8Cbb/slpie2', '', '4v4ThHcawMlHvK_qygvXZrA2KPCgMHYX', '', '0', '王太洪', '', 'wth00a', '王太洪a', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591022', '1546591022', '', '0', '41e417a7-9933-75b5-6ac1-ea079cbc1f17');
INSERT INTO `car_user` VALUES ('279', '', '13809702292', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$k4mGDeOE9q3PngAcD1c9YetsjjNzyqUNeWGIq.GsxdebwEEuibXj.', '', 'wAbrvbHTic598WFMsCzvDGJXVrQgUzAh', '', '0', '陈志宁', '', 'czn002', '陈志宁2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591064', '1546591064', '', '0', '7cd695e1-9918-1315-64e8-6b98761c525e');
INSERT INTO `car_user` VALUES ('280', '', '15171226588', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$/jU8GUucw/4JIFwXRwiXG.C2LgkBMkXKUqZRSx6IcGKoDFRIsQJrm', '', '3lvRu7hS-hj_4e1yQGC_f1n048U5T6Qd', '', '0', '黄义军', '', 'hyj00e', '黄义军e', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591064', '1546591064', '', '0', '61486b75-f9ed-888f-c6d0-564eefaa636e');
INSERT INTO `car_user` VALUES ('282', '', '18926658693', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Bbp1I7QVqbd8QxSpHb7MsOfoanSEiDfbDr0zyn/2kt5m3XKDLdTx2', '', 'qOzMQRI4oIotBHwkdwTlM7mMkI43D4mx', '', '0', '温云锋', '', 'wyf000', '锋哥', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591111', '1546591111', '', '0', 'a7e56f66-6d37-d621-6be9-859f5c8940a9');
INSERT INTO `car_user` VALUES ('283', '', '15626440679', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$emf4JKe9SrlN3bWcdjzYjen9oOeJLajGFn0jJJAs37Fph2ERNhAvW', '', 'ySWYb7_Ms2QaZP0pSj3E0xEDnbXDiTgd', '', '0', '孔祥源', '', 'kxy000', '孔祥源', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591118', '1546591118', '', '0', 'b0882e71-0afb-132a-371d-5d0f267f47f6');
INSERT INTO `car_user` VALUES ('284', '', '13622251989', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$a.DHBoMSlamz4prhUqSyBuyTHpx6CGR9jyjaKOEViNjIfIZSeX6H2', '', '9kDUd35t4ajymMfCXDa0a0W18OsJ4sce', '', '0', '陈丽华', '', 'ch0000', '陈华', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591148', '1546591148', '', '0', '0792bd3d-f961-7c95-48aa-6745bc3d6c1b');
INSERT INTO `car_user` VALUES ('285', '', '15626440679', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$eCtslKLorqaCrQLyBjOcm.1BfrCOsywDiMsF/zq52yrIOiISHrwnK', '', 'YcWbCYznQMPpiziSXA-_5KfwKqzqwAix', '', '0', '孔祥源', '', 'kxy002', '孔祥源2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591151', '1546591151', '', '0', 'b0882e71-0afb-132a-371d-5d0f267f47f6');
INSERT INTO `car_user` VALUES ('287', '', '18947129897', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$k1fxL15r57DSPo8C8W/jDeCRsn1iZpOk7Y8Afa3ajQm/MItQtP4AC', '', 'Km7avv5ZhYy4196hCxWj6ugtdljyZMPL', '', '0', '程雪燕', '', 'cxy021', '程雪燕21', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591205', '1546591205', '', '0', '07423e55-3d74-7cf4-9c2b-3c3ce209c10c');
INSERT INTO `car_user` VALUES ('288', '', '13297736336', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$PSnt6PMtOjdQarguHzORheyUkocBr.7RTAODnvbggfElM83nAJ7wi', '', 'Ay3A-pV1H8gNNshPEp-j0aPAcgztglNR', '', '0', '张馨支', '', 'zxz000', '张馨支', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591243', '1546591243', '', '0', '21567367-ae78-b99b-fc58-bc28d39fa835');
INSERT INTO `car_user` VALUES ('289', '', '13554925652', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$s6e2b47rJIozOyeVA.D/HeWa3w7.GgrOKz.tWzl0I/w7tu3rw2CUi', '', '1w6PtvELJcucR7TgmaOg_FjniaZcLxb8', '', '0', '程雪歌', '', 'cxg004', '程雪歌4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591252', '1546591252', '', '0', '77bae066-928e-9a45-57c4-ae3f469a8a6f');
INSERT INTO `car_user` VALUES ('290', '', '15848061681', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$/pNsCYXxqdntJhAIvOTgZ.lDiPNFzu3klTFuE33p28/tyQ3JEOsgq', '', 'qoQ8WyPGneaSx4AdW0C8PGaiDYZSV-he', '', '0', '徐景林', '', 'xjl000', '徐景林', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591297', '1546591297', '', '0', '6649bcbe-3eff-d217-c67e-cb26a5db2c39');
INSERT INTO `car_user` VALUES ('291', '', '15918174822', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.A.FDN0uDVESL2Ui4n/zIuHMetU6R052h4k1TTJMgR.M7Wx88PXS2', '', 'YHSk2aoVBlAv_K5jRP3KMdCYKz9-t-hh', '', '0', '陈华思', '', 'chs002', '陈华思2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591321', '1546591321', '', '0', '0acffbb4-2ab1-fba3-5398-40dcfb90e36d');
INSERT INTO `car_user` VALUES ('292', '', '15848118553', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hcslT0w0CgHMZmYgfmYW9u58Mu4dVl0kl.6sa7O63Z8UG0rbqNG0y', '', 't_P9PivSCKYpDZakDGANdbPBjUIvVFUa', '', '0', '王先明', '', 'wxm00a', '王先明A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591340', '1546591340', '', '0', '37235ae3-c0a1-52a7-4e7f-f9488c51012e');
INSERT INTO `car_user` VALUES ('293', '', '13927868139', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$f8HCM4cIf4I54VQaa75fYO6t.tLQCOPkoGwHzwKtmLAFgxEsVP8S2', '', 'N2GDpFQaPiZUOuQTzzSWlDj3v0XzOayV', '', '0', '刘国鹏', '', 'lgp000', '刘国鹏', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591399', '1546591399', '', '0', '0e143bc8-f7ac-c459-6007-5b0f80d83419');
INSERT INTO `car_user` VALUES ('294', '', '18295618198', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$AeSTXODur9JPjGpjlKO/bukpyJfbHu4vvh1oLWYT7WIVLNvZE04lO', '', 'FUUuypRBpz6RKM7QPUWapPw8nvdgQMJg', '', '0', '张永忠', '', 'zyz18295618198', '18295618198', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591405', '1546591405', '', '0', '5d324f16-8f5d-e4d2-316a-bdd4d8c8ff4c');
INSERT INTO `car_user` VALUES ('295', '', '13927868139', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8NvoD9d/4a.t.e8bzVxeHuyBbolaGu7b5ue3.K6y5Pn95CgDtonYa', '', 'xMu8bcOwOIwoj8DOrDdZhj0YyUkVDsX1', '', '0', '毛清明', '', 'mqm00c', '毛清明c', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591455', '1546591455', '', '0', '0e143bc8-f7ac-c459-6007-5b0f80d83419');
INSERT INTO `car_user` VALUES ('296', '', '15091215894', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1sFhaafMto6UW8RMOuFQ1.hyajYkGdr1tAy/JWEwmBbS3VOcaBqYi', '', 'BqRDUAhYRnhpjyN_B12FWqH6IDy21ovo', '', '0', '郝秀琴', '', 'hxq002', '郝秀琴2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591469', '1546591469', '', '0', '48eaf50e-f366-26c2-c933-f8221f61ce51');
INSERT INTO `car_user` VALUES ('297', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$X2Adyxjx6HcSdgdhkzNsG.9BjLtctdot7U0qrrt45Yn/Er/WACuh.', '', '0QV-73o_Ma9s07PHmXTuoNzvCRBjDJSf', '', '0', '马调琴', '', 'mtq0382', 'mtq0382', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591502', '1546591502', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('298', '', '15661080804', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gmZG4Ts5ENEzHf90hTGvzO.vpa6CgTO.psDYHHFogcX1sqQVZpLFK', '', 'PITs1ZBFVREpjZLn6lRLYmhYZhMkX1Vo', '', '0', '王小萍', '', 'wxp0aa', '王小萍AA', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591517', '1546591517', '', '0', 'cee5d5b5-eecb-8530-66f6-2a104e94f640');
INSERT INTO `car_user` VALUES ('299', '', '13847128535', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$opdibNEy.w7myG6fsO8TL.dPCg7dt0cMfvj2JcdDEetrdDsKNzqee', '', 'nRd8YCF_E2jUja8feW40udAYiUXE1NKU', '', '0', '王树林', '', 'wsl00a', '王树林A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591562', '1546591562', '', '0', '40d5bd4b-4e44-fb36-f398-aa0fe9a34e1c');
INSERT INTO `car_user` VALUES ('300', '', '13772428899', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3t4tRpVFXVKF3dtghB.Wv.SsIpwE4sP9k1cLNfaukGGr1UDh4E.1K', '', 'OeObZRTbW3-zFZJ9597NJ_tAoHeWCgw-', '', '0', '黄渊龙', '', 'hyl000', '黄龙', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591600', '1546591600', '', '0', 'c84589bf-9982-8db8-13ff-b82251437e04');
INSERT INTO `car_user` VALUES ('301', '', '15947181031', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$HyVxiVqBBky50lE.mAMpBe5.zAB9r.natAKf64v2s/rHV6J/tVxP2', '', 'Xs3VHALeXmS1XlgJOz6jlMi9otKZrMkS', '', '0', '闫雨婷', '', 'ly0000', '乐妍', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591617', '1546591617', '', '0', 'f56e43ef-910e-186b-878f-170544c60669');
INSERT INTO `car_user` VALUES ('302', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$2Ys0VsNRcpQ1wWWo4vJDFO9VDk95u19Rc.wQ62Xu7cw5BwXgZ9SBy', '', 'NnvOfue6ztbaUK2b0R9fxeTMB7z7lYCh', '', '0', '黄婉珊', '', 'hws000', '黄婉珊', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591644', '1546591644', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('303', '', '15247299998', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QJoeH7VDLl277b7NIAAOQOT/AIm7ZIxTw.IiQeKvDe8aCOeLx3az6', '', 'jR0XQhLq_9imbMCRUDE4iaFzoYH8dup0', '', '0', '高玉萍', '', 'gyp001', '高玉萍1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591663', '1546591663', '', '0', '1f56a7de-c679-5d17-2f0f-1b9280bfda35');
INSERT INTO `car_user` VALUES ('305', '', '13947134490', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$m7tBFyKsoGnrMREheQy2d.7yUN4JBwQxlJWqI9s59eJ7xspZI99Tu', '', 'UMGZAWZ9MVUrpvYTQ7HgTxVWawQidvFa', '', '0', '刘刚', '', 'lg0000', '刘刚', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591703', '1546591703', '', '0', '69e1d77c-e4ef-5a33-c78d-ce9623a81c39');
INSERT INTO `car_user` VALUES ('306', '', '15920729962', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kmIjhZBSdsNIoz/0zk/9r.Ja.kfkabp.dno515Di4lG1wlheszpTu', '', 'cYZlqbhcGpxQ01pF6-7DS3RNf14EGnsx', '', '0', '丘龙平', '', 'qlp00a', '花木场A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591735', '1546591735', '', '0', '970f303b-7f91-29f4-f3d2-e0d54dd8d166');
INSERT INTO `car_user` VALUES ('307', '', '15975755772', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$r88m/eq9pusbLcOHWZMj3.nssnwZ1uj3nsvzJGGtujnQU0/675BVC', '', 'UxLOFgIX7lrnnBSbrxyNDETF6KnUKUIY', '', '0', '张艳', '', 'zy0000', '张艳', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591744', '1546591744', '', '0', 'e8c3db13-3d5b-cf03-b817-4010a5e0f2fd');
INSERT INTO `car_user` VALUES ('308', '', '15920729962', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$aZxEJxtjFmjboaoGPcMDbeH80chf6/uzUhPtb1N5S5bcWq1OHthEa', '', '7N4LmBXZu7eQX6fp93JhuV5OamfFp90A', '', '0', '姜治中', '', 'jzz000', '霞霞', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591778', '1546591778', '', '0', '970f303b-7f91-29f4-f3d2-e0d54dd8d166');
INSERT INTO `car_user` VALUES ('309', '', '18688802247', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$oY.1pEWTBIwiQKUINqpI2O9YTdsbkIcTdtwD2XBb686CKjv6MkQpK', '', 'WyQhtj1BAajdgNZnVkM_R0xrdX7xWj6b', '', '0', '吴晓华', '', 'wxh00a', '吴晓华A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591798', '1546591798', '', '0', '872546ed-f828-8d55-d2bc-8c450592b462');
INSERT INTO `car_user` VALUES ('310', '', '13692477214', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$i9.8naIQwLLOitJTUdN2pecUxAk1XsrHIiDBQmG1e7qVSFVTdlv/.', '', 'NUk7nM0sxdFaVL4lCJtzeupSUyQdh_25', '', '0', '黄莹莹', '', 'hyylishi1997', '黄莹莹', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591878', '1546591878', '', '0', '58722abe-db77-9815-7a35-15bc200ecee8');
INSERT INTO `car_user` VALUES ('311', '', '15061090609', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7G7hzJxIbQaewShgSLwj8.O8/Nb51FjGoCPfeqeit5VimKrqMsfiu', '', 'mvydf2359_px9FnOq97Z_umaLIjEOpPL', '', '0', '周津昊', '', 'zjh0909', '周津昊', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546591970', '1546591970', '', '0', 'fd6ad14e-3ffd-5467-aeb8-a2db7e9fe2b9');
INSERT INTO `car_user` VALUES ('312', '', '15332711634', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$98ktqnaYDFWzddO26GL3keZ/CV/BPpHemAbsQPvo2kM5mUxEE8Rvu', '', '0idLqSDH4rCV4LqmH1C5lBO46izhdma-', '', '0', '哈斯', '', 'hsef00e', '哈斯恩福E', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592085', '1546592085', '', '0', '30c03ead-4c63-b536-5083-37bcc586b710');
INSERT INTO `car_user` VALUES ('313', '', '15332711634', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$HNLgj2Yfml.jjQ/WlxoWluHG5s.vWAuVW1.Nko2TWaI7GG/wmCPzi', '', 'j78d_HNvIRk2BE8PEWM0GHu1MPGM1inP', '', '0', '哈斯', '', 'hsef00f', '哈斯恩福F', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592132', '1546592132', '', '0', '30c03ead-4c63-b536-5083-37bcc586b710');
INSERT INTO `car_user` VALUES ('314', '', '13425863982', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$VZgD5.S.NQahi2EYHQTG7ulbRp1G9w6LPNs6tTq.qi.czgRSOX7lm', '', 'V7ikQEF_hHD5zIkCBe3pV8LXQtrAW1iL', '', '0', '宋二妮', '', 'sen000', '宋二妮', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592208', '1546592208', '', '0', 'd8feb292-c171-7c91-f452-b69a4a57278c');
INSERT INTO `car_user` VALUES ('315', '', '13425863982', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7p5/o5Rh6YR8JuHpWC32g.iSp3tK8YRz56vQxap0md2hXnlJz4mBy', '', 'EzDYBKvrrW-TTQFO0hxTxWId6hCMPeTI', '', '0', '宋二妮', '', 'sen002', '宋二妮2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592241', '1546592241', '', '0', 'd8feb292-c171-7c91-f452-b69a4a57278c');
INSERT INTO `car_user` VALUES ('317', '', '13904741275', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Rh65eShTM73YCIZEm/xwOezrru4skbXVfY8SuDfRg5J0y22uAy6i.', '', 'WOjRyBFI2cxIqDc58avSoN2TGRL5GIa_', '', '0', '石玉明', '', 'sym00c', '石玉明C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592289', '1546592289', '', '0', '761fa348-d2f3-84c9-ac88-e62dbfd62efe');
INSERT INTO `car_user` VALUES ('318', '', '15804748676', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FeIubDgpQhMAHMB/aEMGsekY7.9nJ44XKCT9lKOiksgQPSXt5Ujga', '', 'xpfc5p_j_FDxRgC_77nBW-ieXO49EDC9', '', '0', '布仁图雅', '', 'brty00a', '布仁图雅A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592477', '1546592477', '', '0', '8580d3ab-57ba-af69-24c0-6f005b333ff4');
INSERT INTO `car_user` VALUES ('319', '', '17620685285', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kpYADkyzQLgWBEI/hJsvsuNBzMf3RKnlLOj/WxxDksEO518IGtxui', '', 'qNDSnXR1VUVDcUEXRjzMo6tZAx_x5xFF', '', '0', '刘巧莉', '', 'lql003', '刘巧莉3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592478', '1546592478', '', '0', '9bd00acd-b707-3f02-9ba5-6307dd6d9dc8');
INSERT INTO `car_user` VALUES ('320', '', '13947426556', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nzzGljnS8SlkUnErBJ3ghePBmgiO8iGD0iz5LyNIY1iGzNYze.Zxm', '', 'TzfFMft0WaevI9ph2zSFF368xDNsCSSM', '', '0', '李全胜', '', 'lqs00c', '李全胜C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592524', '1546592524', '', '0', '10f65a98-63b9-042a-c306-4131bb838101');
INSERT INTO `car_user` VALUES ('321', '', '13629551651', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1N9cvmJzijHs/L9GKa6oCOBYSxgSZLlhMk.nYVackWAvLNJeQvlhW', '', 'lTgmtMomILYJCb8rERKePFbZEUS9-mg-', '', '0', '卢希平', '', 'lxp011', '卢希平11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592532', '1546592532', '', '0', 'cd38e011-6ba3-c656-16b8-4ab95394d37c');
INSERT INTO `car_user` VALUES ('322', '', '18735084266', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$zvnzo.RZsMtk4/6qm2WtIuYGu8Tn57ovh9zWxzGUxhROMwAo9mo4e', '', 'wTB00nM_Qyz0yuEHH8oq7aXSquTZlAHm', '', '0', '杜玉明', '', 'dym112', '杜玉明112', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592569', '1546592569', '', '0', '2ed8416b-50f7-0401-1336-28c55a826e9a');
INSERT INTO `car_user` VALUES ('323', '', '15048468686', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.q6KjiJJJ9POHspt6YPakOfyBuCr3NapwLiGBCSz2d5PrKcbb1Z8K', '', '-8NDfuYnerEKwys6-Y9PfBPJkFx-1tJ4', '', '0', '任玲荣', '', 'rlr002', '任玲荣2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592578', '1546592578', '', '0', '6d43178e-1f4f-da8d-fef9-450ce5a1a869');
INSERT INTO `car_user` VALUES ('324', '', '13847444830', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8LfT56h6xnkkidHQ2HfvpuLy8rp7bPhsbQ6SuaKFpy6HoGtPWebNO', '', 'OAqhbR-fSaRUZQKvtkmnjp_8WMjStKJu', '', '0', '苏布达', '', 'sbd00a', '苏布达A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592615', '1546592615', '', '0', '58a3f178-8097-5bd7-ead2-69d5fe15e81e');
INSERT INTO `car_user` VALUES ('325', '', '13620622310', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$iDUJtDb7029wv3cJDrA98OlJmeDIsRTTYgfUHDIRs1l.WCHo8GWo.', '', 'kVGGwdWhndO1v0X4wfBDRfdV4dPiOjl2', '', '0', '谢迎春', '', 'xyc112', '谢迎春112', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592616', '1546592616', '', '0', '506fcaa9-2b16-9e40-66ca-eeb74d6a696a');
INSERT INTO `car_user` VALUES ('326', '', '18823140009', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Epukds3J5NsKzBMkEZVrSOiqRUxZxUEHzSAvyGaXJ4CbHdeOJ5Agy', '', '8_6cyyrtQaX50tkmv2JddzPyQb-fgAre', '', '0', '罗利㓋B', '', 'llh00b', '罗利洪B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592665', '1546592665', '', '0', '6dbb4d0c-0bbc-5783-0b19-9b9ed63412ef');
INSERT INTO `car_user` VALUES ('327', '', '18686028820', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$iyJ2l8pFjCpZSx6HJSaelu4AaBVJlCWDMNNTjoyAxSsIhl3WeBRuq', '', 'Nez5W3Cbmt-wl74M0M4FUBv8xqfRpPTz', '', '0', '兰先枝', '', 'lxz123', '兰先枝123', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592672', '1546592672', '', '0', 'e50e971c-ce8a-5b14-f742-3541226d2e67');
INSERT INTO `car_user` VALUES ('328', '', '18686028820', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QJZMgq.WjJIfkE3VAWa0YezRPISWc5TMXzOujCFrBT4PLFcEDUAhW', '', '31dmxT6AqEST5vksW44vzY1_mVJb5DZL', '', '0', '兰先枝', '', 'lxz223', '兰先枝223', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592704', '1546592704', '', '0', 'e50e971c-ce8a-5b14-f742-3541226d2e67');
INSERT INTO `car_user` VALUES ('329', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$bGs.13tn8VxO7sGfxUrjAOvYpwtrHgfCfUDWaRoEnMNULced9juSu', '', '6lpPb6v95n0WTkXkXKZBPkkNQQvB6hGU', '', '0', '苏炜轼', '', 'sws000', '苏炜轼', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592705', '1546592705', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('330', '', '17709134608', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$4fahQ1qU715lTG/wHzLx2eJiMzYXKggK0WPNTOmEIbWwA3J1ipkQO', '', 'OHL6dnmC8MuYrVStphXwOew2geMIIQ96', '', '0', '王珍珠', '', 'wzz00a', '王珍珠a', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592737', '1546592737', '', '0', '9b8b5fd3-e899-1161-2424-a2503a95dc17');
INSERT INTO `car_user` VALUES ('331', '', '18647150549', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9/dTvUlEwWjpRER2EtFIYe12ZUp6V0Z1b7gvt7f8GBXAaVuRE0J7O', '', 'mUuUNbRUzO-HpNeJsWPw6QgvAFyg2gNE', '', '0', '娜日莎', '', 'nrs00a', '娜日莎A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592762', '1546592762', '', '0', '7fdd394d-0b4b-1cb4-ad8e-1109255c3493');
INSERT INTO `car_user` VALUES ('332', '', '13612511368', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ExZnwl11b05qHCXmqpHbN.vKl04gHh73iaymseww88m.O/lW6IOfW', '', 'U1ZuWdHoN4c5ZRIx0jaTCA_biSRmvvwi', '', '0', '袁少媚', '', 'ysm00b', '袁少媚B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592775', '1546592775', '', '0', 'e3e4bcb8-e922-768a-91f3-fcad5fa4a460');
INSERT INTO `car_user` VALUES ('333', '', '13847469617', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$2vapsuNr0gwPvvJ.tLZsHOJu25uiXPppiK0OmgjZAWoFqtIFf9Bgm', '', 'X8CJqJEKAX6vXqwkj-uJuW9S2zNwFs37', '', '0', '岳建文', '', 'yjw001', '岳建文1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592812', '1546592812', '', '0', '163e887d-0c26-b63f-ec8d-20432110f062');
INSERT INTO `car_user` VALUES ('334', '', '13337182746', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$aZmiFFl/Wyx6IaSxrHV6UeT1Glwo3Ih0JK6zGTh1uU35nZgn0rXui', '', 'EEzEIQkN6a-v9pTXQGewKXQsRW3Wi2qB', '', '0', '兰美婵', '', 'wyc00a', '王有才A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592816', '1546592816', '', '0', 'a2a5957a-76de-5979-33fa-5fe6e5817860');
INSERT INTO `car_user` VALUES ('335', '', '13327199333', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TookHM4mNJ8r9DiQvrEbFeaTQuCaTQTTsh1q2Irl5fhvELsWdTMe.', '', '79r3YO-Ht7ZhXP8ZB9lOqnULVAoCcHap', '', '0', '赵素荣', '', 'zy000a', '赵宇A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592846', '1546592846', '', '0', '4db2d0f1-4754-8783-6769-1a057758ec48');
INSERT INTO `car_user` VALUES ('336', '', '15326086604', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$u/vfc6jHrr7HTkojxNOKBOntFanJh1la6JpKRjiy6pVPi5TC7.KYi', '', 'sRdQ9sUowXsuUlvn2AuJykxAec0-zpBu', '', '0', '宁桂英', '', 'ngy006', '宁桂英6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592877', '1546592877', '', '0', 'cb29f637-b5e2-2490-59e6-07c26c6a7e0d');
INSERT INTO `car_user` VALUES ('337', '', '13891639012', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$2MEWCVeQNGk.6S/QPVFH8.ZU2z6MHWlFPlgH6LJ5YWiMfcannVpgu', '', 'wLUCIK9BKpn2js0uzUkj9AN9oCCc27-V', '', '0', '雪洪燕', '', 'xhy000', '雪洪燕', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592911', '1546592911', '', '0', '966a62aa-a225-4834-b609-73a42ede5d74');
INSERT INTO `car_user` VALUES ('339', '', '15109508701', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1yS0JjoiBsqqRebJ0xgxIOHUzjQxAS0uo1OScNKGWK/5RFDS3BKQW', '', '0OLHLSu8B_C5AqwNqmeIgkhdnxQ_BBGA', '', '0', '赵薇', '', 'zw0001', '赵薇1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592956', '1546592956', '', '0', '43118f23-86fa-2d81-4d20-82e5718b6c6b');
INSERT INTO `car_user` VALUES ('340', '', '15769614784', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rNNlSeON3xezfdJUkqlkEuXK/PDeOH6FcAFS6wRntCaGn7kLhjHnm', '', 'Y85PoW0Er3DlAst2p_HJPlUgoKxV1Aw3', '', '0', '苏微', '', 'sw0001', '苏微1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546592988', '1546592988', '', '0', 'd38ff350-62ba-a037-1292-a22772c1ecbe');
INSERT INTO `car_user` VALUES ('341', '', '13892655228', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mcYvXZmhweCHpT7IPP0iBO6rc3m1C0sXB/gbck.hZpVnVj/Xn2cU.', '', 'ZWXUbdSD7reWwkFEi0NMTjH5C2Jf24HB', '', '0', '牛亚利', '', 'nyl00b', '牛亚利B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593027', '1546593027', '', '0', '4892dfcd-45de-4073-d206-9a76456ff167');
INSERT INTO `car_user` VALUES ('342', '', '13847444830', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9nWix6Q3zZMnOR.PaVSkgu9qC7TAmm3znA1kYv2Ph19bEO8vq2Ore', '', 'SuQ0QDB2VQAIrLgoIjPLI2pcukzk7kzp', '', '0', '苏布达', '', 'sbd00b', '苏布达B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593057', '1546593057', '', '0', '58a3f178-8097-5bd7-ead2-69d5fe15e81e');
INSERT INTO `car_user` VALUES ('343', '', '15048468686', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pGWt6D1wYCcAJTN1H3cJs.QfygU8nHEICoeNuXLddqlFZ4Ya6xOpG', '', 'TmXhQplO54wVc44OqyAzpEUze5ZL8tg_', '', '0', '任玲荣', '', 'rlr00b', '任玲荣B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593068', '1546593068', '', '0', '6d43178e-1f4f-da8d-fef9-450ce5a1a869');
INSERT INTO `car_user` VALUES ('344', '', '15048468686', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8u5lfLBC9YmlCbTs1eLRg.EktWh8bdkru/wzhpbJ7y8cnJuZJX6AK', '', 'Nlw967pFcP-ev_iLXKOID9Wj59GrSibE', '', '0', '任玲荣', '', 'rlr00c', '任玲荣C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593102', '1546593102', '', '0', '6d43178e-1f4f-da8d-fef9-450ce5a1a869');
INSERT INTO `car_user` VALUES ('345', '', '15804748676', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FdAqUr2KbSiKLYaoRRBa0.BLWcNcFzuFsNoJ93saRJGaCFxFrUiDO', '', '41FZdBEBrnmxLqPjxg0OWot0JkASmo-w', '', '0', '布仁图雅', '', 'brty0b', '布仁图雅B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593113', '1546593113', '', '0', '8580d3ab-57ba-af69-24c0-6f005b333ff4');
INSERT INTO `car_user` VALUES ('346', '', '15048468686', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yGbuEy4oIQ.tu5TRS.Q.zedDcQXHCWtWSU.XenmGNwdHohmuGqfJS', '', 'NFA60bTws6YaqgffKMidFdiO0SovQpwA', '', '0', '任玲荣', '', 'rlr00d', '任玲荣D', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593126', '1546593126', '', '0', '6d43178e-1f4f-da8d-fef9-450ce5a1a869');
INSERT INTO `car_user` VALUES ('347', '', '13947426556', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$et2/EenTObnNHbdjzagcneR5jHAeIu6Q4ZNLLKUNDCxM1blVsTnhu', '', 'ETqPoyxQlrsHKHnuqVa3UZnW8FfJGDxD', '', '0', '李全胜', '', 'lqs00d', '李全胜D', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593150', '1546593150', '', '0', '10f65a98-63b9-042a-c306-4131bb838101');
INSERT INTO `car_user` VALUES ('349', '', '18586036209', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$cEYCFvXFU4Qnl23IxHd6C.0JDVZdDDN8Q3pT9lptAvlGkdPUKD2ge', '', 'i64cZwuaAMpCmvaTAE3m5gfctItL7-0F', '', '0', '云小平', '', 'yxp123', '云小平123', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593174', '1546593174', '', '0', '3c08f73a-44a7-7487-f4b0-e6eff7b7b068');
INSERT INTO `car_user` VALUES ('350', '', '15048468686', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xyl4v6.KE2iPzAnLiveS5eUeqs/2.gb3Kd5z6rEk0d.hUm//Hgk3W', '', '2bVuoEvmL3V6xK8cNetxs7gZQjx4P3pn', '', '0', '任玲荣', '', 'rlr003', '任玲荣3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593200', '1546593200', '', '0', '6d43178e-1f4f-da8d-fef9-450ce5a1a869');
INSERT INTO `car_user` VALUES ('351', '', '15150160485', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$cfPVRe.PUoLL99wn1VhR1e/Qgx6Ew6LrskuiPfCrNtCINoRRbVQQu', '', '73WM3M6U2CiQ7FOB2oKp-4HT3fDFoSZq', '', '0', '罗玉蓉', '', 'lyr00a', '罗玉蓉A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593229', '1546593229', '', '0', '1710f1e4-8a09-0bce-928b-e02550a85729');
INSERT INTO `car_user` VALUES ('352', '', '15847650942', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$UobSJTcNagLeMGJO7ZvgveXAlZYLp7m.FlRlhReVkI99rFIcC9Yv.', '', 'ZTC_HEeZ4e2eY7e6K2NBfDs8a67CwEcX', '', '0', '张文红', '', 'zwh00c', '张文红C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593261', '1546593261', '', '0', 'f6a8cb7e-b74e-ac88-e16f-281e318e6601');
INSERT INTO `car_user` VALUES ('353', '', '15147960290', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uc1wD1xSqWRUlgeJWkc9g.cHWfIorzbeiTPF2rZcVEZk3xS94hej.', '', 'nlsv3fpaK4rNQT5Zp83hKv1N2eeIwxDX', '', '0', '宝力格', '', 'blg0a3', '宝力格A3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593291', '1546593291', '', '0', '7c011279-7a8c-e321-4242-d31b15842b32');
INSERT INTO `car_user` VALUES ('354', '', '15048468686', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$/WINpIdJ5e.IVIBDYU.9ReCMkvKD8w9nCzcHGpnkNqXOH1a8oJPmW', '', 'dqkwSKDe7ahPxCbl9X3iu8QMzQjyjgfr', '', '0', '任玲荣', '', 'rlr004', '任玲荣4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593303', '1546593303', '', '0', '6d43178e-1f4f-da8d-fef9-450ce5a1a869');
INSERT INTO `car_user` VALUES ('355', '', '15847106226', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$bpBld4.NTyP0ZPbAEOG89OjO6ydpQ3CdVg6BomDOIOoh73Rxd7Pd2', '', 'sqIVtpUpGWRq8Yey8S3ZuRCpnmgDv2B3', '', '0', '杜润鱼', '', 'dry001', '杜润鱼1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593339', '1546593339', '', '0', '99e9ff0a-befa-82d5-e8c5-e9a474ddd44c');
INSERT INTO `car_user` VALUES ('356', '', '13872589256', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nNQxPfxkQaDa87TG1Spu8uXgrx/Feo1JVMzo6hSazKqrOHfIIKT/2', '', '6LnykURiEBrgT66ZjWd5eRRAiPYhxcSC', '', '0', '刘祖珍', '', 'lzz000', '刘祖珍', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593351', '1546593351', '', '0', '46697347-d4ce-772c-a63c-51bda58f8175');
INSERT INTO `car_user` VALUES ('357', '', '18347933993', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$iyipKy./EiWuayRF/IdPTOie8HzK0.kKjDywgaA91CjBgStofPUfm', '', 'n1bQKQTl_LNxkrqvN-A6S0bhSJR7hs7l', '', '0', '王乙茹', '', 'wyr00d', '王乙茹D', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593384', '1546593384', '', '0', '236f5737-d752-c178-000e-df9a4e8ae4e5');
INSERT INTO `car_user` VALUES ('358', '', '13084770368', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$15n1ho24aLyvzTImptx0g.qMIqdzTpU1mG7xmeMP3RORZgYbMz6wm', '', 'XJRoIT9WP3yUXUfi2D-PmaFZRvYURWTq', '', '0', '杨青山', '', 'yqs004', '杨青山4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593430', '1546593430', '', '0', '918885e3-5dd4-c576-ef3a-7b0ee074f8ba');
INSERT INTO `car_user` VALUES ('359', '', '13814811823', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$eBO5XsiG4fEkZAOQbgo1Cujz9jlbJiF5EVotUxKPyYCySBX2nxrt2', '', 'ccBMrt3OImIlwCIWkZkUAns34sca0O-8', '', '0', '顾家泉', '', 'gjq000', '顾家泉', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593478', '1546593478', '', '0', '2f160e6c-4fc4-d628-ec72-5c8b29f9a968');
INSERT INTO `car_user` VALUES ('361', '', '13972031850', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uAOYrbY6MdgH4hprD1DreO55KTpKh0m4saLlCZK3b8URw9ljRexqe', '', 'KwvDZCZ1Aq3pAnCoHu7_a64V1mF8crx7', '', '0', '王大莲', '', 'wdl001', '王大莲1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593535', '1546593535', '', '0', 'dd551fb1-257c-a319-757a-21670f6134d5');
INSERT INTO `car_user` VALUES ('363', '', '15309114747', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$bc5g9EAS6Taz2Kb4dU7ww.y1l0CVA7/UtS.2gTaXwfTkH0tQG1NSO', '', '0vIScoRa7MiZmtq2RVD__93J1QnBQd9a', '', '0', '徐勤', '', 'xq0000', '徐勤', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593588', '1546593588', '', '0', 'e32b0ce9-71a6-8816-936b-f87ccfc80671');
INSERT INTO `car_user` VALUES ('364', '', '15548862111', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$56H2tXYy51CvHBNxx/JOWebJse50ASbm0b1KPB5yr788gdxKyP/ea', '', 'IXmqk0ohKVXZDuC8oTr22xQUNiurhUYo', '', '0', '赵秀秀', '', 'xx000a', '秀秀A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593644', '1546593644', '', '0', '37943c29-8d1d-1bf5-47da-98234b232c55');
INSERT INTO `car_user` VALUES ('365', '', '13948819883', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$f/9efevjIW1nLIA6TiiYo.zOVgqZ2efoa92/LiH5/469eXT9ghX9u', '', 'tL_-A37Pwx_g8w8TzD6rIysZ-OE_a4U-', '', '0', '杨晓霞', '', 'yxx00a', '杨晓霞A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593684', '1546593684', '', '0', '1db9e79e-83d1-964c-17dc-5b65a87c603d');
INSERT INTO `car_user` VALUES ('366', '', '13891172513', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rGBk.OnsqUgCMgdWh0MRMuRxxguk8Q9jjabXxyRRTn1F8ugt3iTw6', '', 'nzKoMZozNz1qgXpZRjxwjOyu4BJXqpVR', '', '0', '郝永霞', '', 'hyx000', '郝永霞', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593691', '1546593691', '', '0', '28cdb42b-34d6-6fd4-e3ad-4e117bd2729d');
INSERT INTO `car_user` VALUES ('367', '', '13948658712', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$l7C34SBcUeZ029VmSzgD7.u85csnKYFqlUddnzbzPzh0kUcqeORPC', '', 'bi7rpirLM7Gm9LBguYKFgKS1hv3IIFk1', '', '0', '丛日华', '', 'crh00m', '丛日华M', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593724', '1546593724', '', '0', '67baedef-6493-5058-ece8-994e910ece5d');
INSERT INTO `car_user` VALUES ('368', '', '18691147670', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XqquyQTb3r1CaCESyTG5du5UKug8ZgwQc8JdQchXtLTqu3t2vN9Zq', '', 'FBxwhAQOZYMRHewaLyiU7F3HwDVClSUo', '', '0', '刘翠芳', '', 'lcf000', '刘翠芳', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593733', '1546593733', '', '0', '51e030e9-a37b-1ee6-d967-db2a0cfdef92');
INSERT INTO `car_user` VALUES ('369', '', '13015255597', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kmGWBZ6CpwHqSEUM/2yCiu3hnbdmypGX7ttjQTaG9pwAgoXgIJK0i', '', '6ir5SBFmIautK5v_7IwonNC469W9mAZH', '', '0', '高反过', '', 'gfg00b', '高反过B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593758', '1546593758', '', '0', '88333372-a94c-9f68-7cce-3669d6435fd6');
INSERT INTO `car_user` VALUES ('370', '', '13404845774', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$YeuNv8hTiG0dL1CzWEw3p.zykeoWNCd9DSoDfPWSpIesjZmmuulCq', '', '_4yRcxJUzJNIQ_Y3ciynwUcUp91ysR5P', '', '0', '张志勇', '', 'zzy666', '张志勇666', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593779', '1546593779', '', '0', 'a5a85b1f-0ed5-44e6-8c27-05e28e43c2cf');
INSERT INTO `car_user` VALUES ('371', '', '18947108269', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1/SN4s2vP11Rdb.VH8ut9eCSqI8/sHVrGQ8K/CZG8NCfvnzbtj71S', '', 'dVF0evhMj-gm70SCpDJt3lLuHaKJlP19', '', '0', '高乌恩', '', 'gwe123', '高乌恩123', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593798', '1546593798', '', '0', 'f0bffb6d-7289-878b-3d25-384775314f33');
INSERT INTO `car_user` VALUES ('372', '', '13904741275', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$bEpjD79MzXSPwkhyHYggEOp87/LhlGLyo1ZaB.fPzg726EI0oOyxG', '', 'jHo03oTx93TksrV3d8lDXBFRKWouFUTD', '', '0', '大爱无疆', '', 'zawj00', '大爱无疆', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593836', '1546593836', '', '0', '761fa348-d2f3-84c9-ac88-e62dbfd62efe');
INSERT INTO `car_user` VALUES ('373', '', '13927649383', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6mVR5xBBxYqwi2cK69FAKOVRv2nBbJ0Q.JWJo3oIWHouTOoyFLgHq', '', '3_lATMLfD91hree5yyu0V4hwVRv3lfFU', '', '0', '刘桂英', '', 'lgy000', '刘桂英', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593861', '1546593861', '', '0', '40c74ac9-a4a0-eecb-3f3d-969acf615dec');
INSERT INTO `car_user` VALUES ('374', '', '13906204386', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$HtqlCnEBuHwflbz/fILLnuf0MahXJaCk8rCqO4RS3SloGJ21cXWui', '', '2Rfq0btNbED5kDfwiaLlD8g9s8yo5yH4', '', '0', '秦福民', '', 'dfm00a', '秦福民A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593889', '1546593889', '', '0', '2c863d1e-c3c4-0245-786d-f3709710be8b');
INSERT INTO `car_user` VALUES ('375', '', '15915198687', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$zEnsnForfAUTe/AgjRyWjedshZWaUH3mRvg0z9b/dhgNYElyYWM.u', '', 'fp4AoHcf9mXPUs8m41m8d_vimk7Nv8oS', '', '0', '何佩璇', '', 'hpx00a', '何佩璇A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593904', '1546593904', '', '0', '6bd48901-e5c1-f930-c511-cb5b06138e68');
INSERT INTO `car_user` VALUES ('376', '', '18586037703', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5rgJ6c5gCOzOt9nP0SO8COLPxGXBlsle6GinqpcWrDkQHI8kzmRXO', '', 'gxcZn2LKL5RkqYs5GxcBNfAWjzv6p6Og', '', '0', 'A乐乐A', '', 'alla00', 'A乐乐A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593947', '1546593947', '', '0', 'c1623a61-fa89-6a4d-06c4-1ac10f7869e3');
INSERT INTO `car_user` VALUES ('377', '', '13826143493', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$/GYB9vJO57RuGbGOwhluKukrYlEF9ScXQLGuHF9yCTNOPEaFiTS3m', '', 'uceKVu_JUF5d07CRDBbO65Lsr1uMDizr', '', '0', '何玲', '', 'hl0005', '何玲5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593951', '1546593951', '', '0', '70b2a9ca-309b-aeca-446b-712a0e1476a6');
INSERT INTO `car_user` VALUES ('378', '', '13413490049', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$C/RQEWa77uBak/eb3/DvoOi3wZbBLaqMriYDD5w4EiP46tI60MCDi', '', 'yZ_MisUGOuAWEkNk_BHe7ocHS9kReiFG', '', '0', '钟雪霞', '', 'zxx000', '钟雪霞', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546593986', '1546593986', '', '0', 'c2d0bb4e-9f27-93f2-ae43-d8ba0dea9cdd');
INSERT INTO `car_user` VALUES ('379', '', '14778634175', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$CQeL.rXXYFO.qEjQgkQc7uxMMSCMjFgtIOhroNBB9XKgkwKfBK53y', '', 'iYFesSQpCsKbFA3wnccf0-yvnYouvJNZ', '', '0', '邓千水', '', 'dqs000', '邓千水', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594015', '1546594015', '', '0', '5f918d74-3bff-139a-7a7e-4624aa8aab54');
INSERT INTO `car_user` VALUES ('380', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Lp2dLoO6WdU3EJT5zU.Ns.P1CO9M8fdrl6u/QtxSmS6Ov8rO93/ZW', '', 'WzcY_UXPNycW-KJyDLZOxvEG9039qLMv', '', '0', '孟似琼', '', 'msq000', '孟似琼', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594028', '1546594028', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('381', '', '15876589351', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$edvYbqdB2VdSMkdAy7xQPuUKxBAlJY4dYlX0B9bfVs2sdGaKLjiD2', '', 'LKBiSNWvVEKBo07euvQwJkvmwDLFUWEh', '', '0', '何小萍', '', 'hsp005', '何小萍5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594042', '1546594042', '', '0', '1ead9733-ced5-a080-8cdd-d588d65bdaca');
INSERT INTO `car_user` VALUES ('382', '', '13928791188', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hWisDAz6UK3vpgEpaF1Wqe3.PRmR9s1L1gJl8n/xWWGvzC0x9G1Ri', '', 'I3AzVJdV15T-DIjrcGEELRA2RbEJqxGk', '', '0', '何敏玲', '', 'hml002', '何敏玲2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594070', '1546594070', '', '0', '74fb296e-3f62-884c-e90b-5a5d49474bd7');
INSERT INTO `car_user` VALUES ('383', '', '18694035500', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$g0eRC3VubCUnOOONVCneIORcXxt1Ad2j2DgAZKrIGKUKPB/vdi4sO', '', 'yr0reTO8A_MFGzVOpaaBejFQ3vGBa0tm', '', '0', '孟似琼', '', 'msq0000', '孟似琼', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594094', '1546594094', '', '0', 'c36c93c4-4300-fa3e-48a3-b17283f73cc2');
INSERT INTO `car_user` VALUES ('384', '', '18347968717', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XwZhKzTT4VY1YvpgMQHpj.174t30lPmtzY3c2DaR1zw2JucKmxoXu', '', 'En0iqu374GuC05ukL0ny6BAbHocUU_Rd', '', '0', '张坚', '', 'zj0000', '张坚', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594103', '1546594103', '', '0', '534102e8-207f-b1e7-62ff-77763700bac4');
INSERT INTO `car_user` VALUES ('385', '', '18694035500', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$q.X3gC89fUfZlB8s1oatNuyah5i19T3v7zJawhfWAUDNhPg3GP9ee', '', 'svrBpAEDKA3KuuwHmwpukz1R-f7o1fsW', '', '0', '孟似琼', '', 'msq00a', '孟似琼A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594122', '1546594122', '', '0', 'c36c93c4-4300-fa3e-48a3-b17283f73cc2');
INSERT INTO `car_user` VALUES ('386', '', '13380262142', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FXj3VayanGNgaGKqD2pLtOo298YmSTmZEWDNHMM8rVdZP4WcBruQG', '', 'pQ_xZIEcUeZETPuivrn70CcjWkBvdNwm', '', '0', '蔡润莲', '', 'crl000', '蔡润莲', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594132', '1546594132', '', '0', 'e29c9b9a-e42d-2295-9016-cecc06433f2e');
INSERT INTO `car_user` VALUES ('387', '', '13711345765', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yqXUIkOZlx.l1.Egj7uNAuywLiJY8XDlQqxhipMTAMZy0j3ISph6K', '', 'biSph9VYMvBcqfDi1ysqyBJdDi8lee70', '', '0', '黄绮华', '', 'hqh003', '黄绮华3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594162', '1546594162', '', '0', 'a6de7c0b-7767-5ba1-64c2-53f049b1ef02');
INSERT INTO `car_user` VALUES ('388', '', '13666120349', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gWfau2z/N.Ow7WA4a6TLbO3SO0VUu1WIoSQSAp8gD/Nk0aJWr53uy', '', '2SM8oKByseWdMMOhNIMNBqcFvE4Qwv8t', '', '0', '孙清明', '', 'sqm000', '孙清明', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594167', '1546594167', '', '0', '83546eb0-6f11-36f1-d2e9-ad942adf687c');
INSERT INTO `car_user` VALUES ('389', '', '13246308610', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$NyYoixEi/mjyHOHeZZEQoOGlnHYWzPV9x.2w9n21JwI0K9cEwT05S', '', 'nRjC8mrNrVEuF73nPNT5y7RWmoQNK7ui', '', '0', '吴小华', '', 'wxh001', '吴小华1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594211', '1546594211', '', '0', 'b0bed6f4-2632-4d86-cbf5-f642a59e6044');
INSERT INTO `car_user` VALUES ('390', '', '18942458990', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ENonuXz2v5jNmum/fkn6v.Az6MMOceavs/ugTahDusz8KFDznfNLW', '', 'XDNf75ZDGQqnqlUOlcyH3_uLqPnPZsNB', '', '0', '李大妹', '', 'ldm000', '李大妹', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594253', '1546594253', '', '0', '4d8cae73-c25d-91f6-9e39-54a416f5097c');
INSERT INTO `car_user` VALUES ('391', '', '18998648883', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$sp9KbIHHLyPNifqkmwETHOhI1QD7JnnkJSQcPkP1Y5T0ZRFESgsSa', '', '4tKrM5hAvvffDtJgzmoRzdrY7owUBkOz', '', '0', '冯小莲', '', 'fxl000', '冯小莲', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594256', '1546594256', '', '0', '26dc6275-c7e6-f15d-be1e-95b662ecfa29');
INSERT INTO `car_user` VALUES ('392', '', '15113544199', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$SCVgOcNi23slf7x8A/mj0uczt6d82put/.maQGPLpBJ/eOl2FUdl.', '', 'w7U4jguKRjNwwEv6eXh1U8hJoQoFflu-', '', '0', '戴要娣', '', 'dyd000', '戴要娣', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594293', '1546594293', '', '0', '2870db57-2764-08fd-b5f7-1043da763ae5');
INSERT INTO `car_user` VALUES ('393', '', '17734011888', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$JCXIwsr2y3lPAeJnaR1RuuqW/pVBJchrE.16FDnZIWM1m73Fh8tVi', '', 'enQ8bcbs3g9vT_LrSiK6q4GfNOeOGHa8', '', '0', '袁学军', '', 'yxj012', '袁学军12', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594296', '1546594296', '', '0', '1e4e9aad-d9e8-51c9-e204-4b8e46a9b932');
INSERT INTO `car_user` VALUES ('394', '', '13068551598', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$lzV4oJBr81KOGLQowa58g.MSvpVLQ2opbw9fQ5RQLgGiTrrYxTJb.', '', 'wMvdO2sineD7hYeidYgkpTkWC5q_CeUN', '', '0', '谢京喜', '', 'xjx000', '谢京喜', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594329', '1546594329', '', '0', '61546b05-7578-9398-75e9-7e9136e0ffcc');
INSERT INTO `car_user` VALUES ('395', '', '15188885953', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$M12VUWXaSYZtsfyny75uE.qi.xGkMsS779khOsfCBuq6fvhlEqX/C', '', 'NSbJj7ijfV6pNpTnEGTiuSxMg3QA3GPV', '', '0', '曹鑫奎', '', 'cxk008', '曹鑫奎8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594337', '1546594337', '', '0', '5a43fdf6-5e55-992a-2395-90f620caacf0');
INSERT INTO `car_user` VALUES ('396', '', '15217160824', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1afDUDRqjkmRvVh5Gpu.5e1kab.qN9dAx.HzQZGCjff31jBifc1im', '', 'TWOh_McMMcSp8vveCbXmXZi3_BPtal9E', '', '0', '曹观保', '', 'cgb000', '曹观保', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594367', '1546594367', '', '0', 'd1b1d98d-5210-fcd2-fdd1-5928449f7a91');
INSERT INTO `car_user` VALUES ('398', '', '13930068228', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Q8CmJ5A5XJFwtYbJ1YLX7uCvhBoII.uuIvLKD0Vwxf0k19av.KMpu', '', 'umuMUUHwP_vBt5129B6v0W5hodibQusW', '', '0', '李田顺', '', 'lts004', '李田顺4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594406', '1546594406', '', '0', 'e47b16bb-3c7e-0222-a0dc-472c2030c779');
INSERT INTO `car_user` VALUES ('399', '', '13614846982', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$huMu4MDlWWiSW8DYjjPSrueF3ATDknVNzdY0D0wQqNoBT2L6UTu7.', '', '4DVyNaIVnGejol_iwVO3SbEp7rtx_gmS', '', '0', '刘锐', '', 'lr0003', '刘锐3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594461', '1546594461', '', '0', '94337557-7408-1013-0568-c5c0e7a846e0');
INSERT INTO `car_user` VALUES ('400', '', '16608681098', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ijt8ttbrFoFAo6.y4ELfhe2aQcdUqUAJurDF/OjKBFt76RJcylSCq', '', 'X40MTm7TFViezz_Yfj0xhMvqA0lb-YZM', '', '0', '宋川鄂', '', 'sce000', '宋川鄂', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594497', '1546594497', '', '0', 'cfd916ac-8c24-2f1a-6ae7-64d5d40b45a4');
INSERT INTO `car_user` VALUES ('401', '', '13654747016', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$DH5Hj/4DqcbSsLN0SYTWYueR7KswS6ijjGtDbaz30oEzoS4sI//8C', '', 'Yc5XoYRsLDlR_Ms7TEQMEK-jyn6bImXo', '', '0', '庞富禄', '', 'pfl00a', '庞富禄A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594546', '1546594546', '', '0', '40a6fa0a-6687-4ef1-a8b0-a519d03d525b');
INSERT INTO `car_user` VALUES ('402', '', '13922207489', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$El6c7y2XuUfRxmQIeJOpm.1vXHtah7vzRlk0utC.b6SP38RegbaLW', '', 'RDT-je4r1NiL_2gYgcnvfcB5EfBYXS_W', '', '0', '甘达尧', '', 'gyd00a', '甘达尧a', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594553', '1546594553', '', '0', '9a974f81-07e2-6c22-01e5-fd5280b6e5d2');
INSERT INTO `car_user` VALUES ('403', '', '13750124762', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Z8Nq1pHcqB636cp6D4D3o.VkmLs4wDGX60PxaM.N49gm1Fb9vJRF6', '', 'EITNYlD3h1IhGQN-vPr2vidu1I84hEsH', '', '0', '潘光苗', '', 'pgm00a', '潘光苗a', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594598', '1546594598', '', '0', '4f2e3b1d-b7c6-a52c-58cf-3f26bc6df2cb');
INSERT INTO `car_user` VALUES ('404', '', '18048290732', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$HmI26JGbk7T1VI83ZQ3rpeAKTELd/F1AZUhSMvxGc/OsBZVtwrmAy', '', '20Dg89SxFlK-mq92GtD2cAIPGshrSsg0', '', '0', '吕楼', '', 'll0000', '吕楼', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594602', '1546594602', '', '0', 'cc1fd40e-e359-8b88-a625-5783d6ffe7ac');
INSERT INTO `car_user` VALUES ('405', '', '13789421635', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$CZVgUqbsxW8PqvDT72.i8uwg5rFno1Ox1BM9KMBU.khTckSF8o9N6', '', 'II1yjzNPgq-nwOfX73_zKE26vQNUY1p4', '', '0', '张文霞', '', 'zwx00b', '张文霞B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594637', '1546594637', '', '0', '74c2fbea-9dd7-44cf-26c2-e0da290e609b');
INSERT INTO `car_user` VALUES ('406', '', '18808609832', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$w1J1mUl1m9QIkzzW0bIrY.hf/xNRynZ5Ibqc1GIcpo2MKlkN7gpoO', '', 'RxUJmgMGfTsvmdxvAToThniC__SOK2fb', '', '0', '李圣菊', '', 'lsj001', '李圣菊1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594671', '1546594671', '', '0', 'b528a59d-5207-33c5-7927-9cfc87ee0b36');
INSERT INTO `car_user` VALUES ('407', '', '18748376111', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qZF3IyG09IMO9go0Dd5qyeBIpzkfbf6Br1.NnHQ7kyUzRKTYNa4UW', '', 'iZcleJI1qeU3EWFLFg0VNoH3s8Uf75Pm', '', '0', '郑长在', '', 'zcz002', '郑长在2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594678', '1546594678', '', '0', '256c3a72-e2d2-f765-23f4-6f88d10e22b4');
INSERT INTO `car_user` VALUES ('408', '', '13995116928', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$BRSvUwkFveBm8nliiYNRZu.SNtyoKbjsPzRBaPkTq7MFu/8MaGta2', '', 'xX0TLZDhUEiVBabLpm0SMO313jLxz2b7', '', '0', '荀佩', '', 'xp0000', '荀佩', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594714', '1546594714', '', '0', '43cdfacf-da47-5cab-37f6-cdb20aea51b3');
INSERT INTO `car_user` VALUES ('409', '', '13891631153', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$onYJREykqJycWDwPdduzJO478lWWVuFDBoBBz1dC8u/iFndQbuPxS', '', 'CYAvPB1dzFZuWfVHp5k543pq5sYXKIIu', '', '0', '张翔铭', '', 'zxm016', '张翔铭16', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594728', '1546594728', '', '0', 'fae2924d-e2ab-8b8e-6b82-62bf7e3971c9');
INSERT INTO `car_user` VALUES ('410', '', '13895375210', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$B8oB8CaKM17cigLLe/Hqpe2SQrW0zuHMzCcWbeF.fWS3B10X4Lh8y', '', 'ainLkmEd-iEd8vh-D1M-u6yI7qQbcBzS', '', '0', '杨彦国', '', 'yyg005', '杨彦国5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594753', '1546594753', '', '0', '3fe5dbfc-ca46-3d35-c0df-79b8e1695431');
INSERT INTO `car_user` VALUES ('411', '', '13892663333', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$IUIEdR8nXslj0cW7N0t/e.yi4N9Z/mDb8wbl5u51WKjmAC4/QRK1K', '', 'N9NyaBgurugbQ0KFLrgYDwT7YiqGKJzc', '', '0', '俞泰华', '', 'yth000', '俞泰华', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594771', '1546594771', '', '0', '7732069e-6ce6-132f-49a9-8eb9fb4899fd');
INSERT INTO `car_user` VALUES ('412', '', '18947162388', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$J4mm4LIKaHB21bV57RWDWOgWUO4gI0bv4Q2ZGgLAyfVN1kWGLGrnO', '', '8VWDwQHSG1fE7natNEnDwia6qGDRK2oj', '', '0', '韩红梅', '', 'hhm001', '韩红梅1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594795', '1546594795', '', '0', 'e66d3dd4-f9ac-f959-5593-ed44f6275efc');
INSERT INTO `car_user` VALUES ('413', '', '13902711890', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$lEVLRp0KkzKyvgQR0AfEyuRtT/7tCmcX1ibW.3ZP3AXemoeTXLXa.', '', 'xnqBOXDb7LXHeie_UNlFAxLciTsaEA7k', '', '0', '刘少鮀', '', 'lst012', '刘少鮀12', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594868', '1546594868', '', '0', '9172b5f2-2544-dbfa-b225-ee0bead459b8');
INSERT INTO `car_user` VALUES ('414', '', '18992620008', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$R1DtE9WA3L6QvVPB7Ji8NuYxZKxDTtwhaOmvEJrSCQYzjOt7np9Vu', '', 'qUoaEtszPDo1s5F3s04zvtSkENZXF3Ex', '', '0', '粟明亮', '', 'sml001', '粟明亮01', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594873', '1546594873', '', '0', '9c9b4b06-c3d9-82cf-fa11-dcf0d1b0451e');
INSERT INTO `car_user` VALUES ('415', '', '13724981241', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mcPNOh3fYfT/9inkWgqDXeUnuSQZloyi5bL2U4k8nJShWxoFyiBgK', '', '6UCLyYop89YPDF-AxXanWXV8v3J2Fhdf', '', '0', '陈文英', '', 'cwy00a', '陈文英A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594932', '1546594932', '', '0', 'f1d887c4-d4c4-d0ea-9e4d-89c2e3022d72');
INSERT INTO `car_user` VALUES ('416', '', '13822850789', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FOrSbWT9RXRhp9j20t6EgeslVuO.bWG3kXZh0MkXPy2uK/7J.JcFG', '', 'oL8Sch4Sq4aBpPbgE0xMJCRvVqDmJjCd', '', '0', '李苑', '', 'ly0003', '李苑3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546594966', '1546594966', '', '0', '7186ddf9-7305-19a5-4f1c-a0f7977eba8d');
INSERT INTO `car_user` VALUES ('417', '', '13649844238', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Qei3/WyzG7BnDs8hLsIFdu0raICS.tK2iZPMYKD/S73Etj7.zX4yK', '', 'CAQ8PQoMmfl_7AQrGHqYzK9TAWsMuv4S', '', '0', '吴鲜艳', '', 'wxy003', '吴鲜艳3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546595004', '1546595004', '', '0', 'a6a7c846-83e6-ba0c-f615-7ff6ee352ca2');
INSERT INTO `car_user` VALUES ('418', '', '13891643126', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WOrlANHwrn66049DUWOdQecIS1OuVumu2ug1NhNKzQSTCMW4bGPGy', '', 'HPUCrWnhfCUr63fzBKnCz5gSh__77U39', '', '0', '罗利平', '', 'llp000', '罗利平', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546595005', '1546595005', '', '0', 'ccd2e126-832f-7c86-3827-8b1f6d9dccaa');
INSERT INTO `car_user` VALUES ('419', '', '15829862251', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$DdNTmh1BTgh58jYPwH5Fkuqe70QUgFrvAek0o5RMIXkXsywjlAxCy', '', 'pwmJK3C_NIhGQo-ZOzB6gxR6G_hGV5_g', '', '0', '李艳利', '', 'lyl001', '李艳利1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546595064', '1546595064', '', '0', 'f1a483bb-a4e0-a725-99c0-e92304e0c267');
INSERT INTO `car_user` VALUES ('420', '', '18295618198', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Tbx9JhOZhj9YdQUMH5n8s.eD8VIzemxdAJ242sL59WSu5VC78zw9e', '', '1tZsFB6gvnOwHxrf30lrs4bPxlQmcrD9', '', '0', '张永忠', '', 'zyz008', '张永忠8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546595094', '1546595094', '', '0', '5d324f16-8f5d-e4d2-316a-bdd4d8c8ff4c');
INSERT INTO `car_user` VALUES ('421', '', '15334043891', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kRHbwCBXjHHDJApu0eKWp.wD9a/QcGqCVRUzvwO1oxCtkh7OpyYpK', '', '47ry7wsHQd7aa3I70y23EPbT98__8Dr8', '', '0', '宋明建', '', 'smj001', '宋明建1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546595109', '1546595109', '', '0', 'bbb3274a-1344-93c9-5ce0-41171b1ef897');
INSERT INTO `car_user` VALUES ('422', '', '13827550075', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$EEQxKypQvyJSwjqgFpor0O7UQoOXhtYuoGurnAkXjFYEb9IleOOAq', '', 'kxR47QEACaowjDBv5_qvU_5wNDAxY2F1', '', '0', '苏社清', '', 'ssq001', '苏社清1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546595136', '1546595136', '', '0', '61f44a5a-aa09-a5d4-536a-4757c20f5e53');
INSERT INTO `car_user` VALUES ('423', '', '15920723327', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$DLkDI4ncM2r4c9av06Qw/Oy.u1QVSPh0tKP0BaaJF0OudB7qC.oFu', '', '0Klh_5bZjywiTriu37_s6sH61wcrKwAo', '', '0', '马松涛', '', 'mst000', '马松涛', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546595165', '1546595165', '', '0', '232a3faf-58f6-0e70-a4fa-c1508b383819');
INSERT INTO `car_user` VALUES ('424', '', '13872472665', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$DwLJ/lal2COPWoEhp9/CPuTKHhHYqu2D8U253w4Hy4aKvExxHIUTO', '', 'KNi2k9hMIWRjX69uY0RVWAGDp9d66Jql', '', '0', '李国砚', '', 'lgyh04', '李国砚H4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546595197', '1546595197', '', '0', 'bff47852-e845-e461-ba02-d1ae6dc38d84');
INSERT INTO `car_user` VALUES ('425', '', '15895555700', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$r36RvurK..cw2j7R9d85c.0mKk5wm4Wma.jqWjinMfkLHmkOyL.OO', '', 'DApSmdkJhOp-dolXoFBicSRxp5HGBgkJ', '', '0', '徐云彩', '', 'xyc001', '徐云彩01', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546595216', '1546595216', '', '0', '70d62836-a609-4c8a-d9bf-7b964f1e3bd2');
INSERT INTO `car_user` VALUES ('426', '', '13872567508', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$jKqKWo5s52ZdeHRRBZtR.Ow8S6VbvSjsJhQ8dhX.sGaMjtL4383l.', '', '4XmiyoYk1E48wKQrm75nmKjYOM27JlCT', '', '0', '周云德', '', 'zyd003', '周云德3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546595243', '1546595243', '', '0', '4a26ec7e-6810-c9a6-16ad-5215c09cbe54');
INSERT INTO `car_user` VALUES ('427', '', '13872481662', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$AjXoZyOm1qtNFYuHAts4XO7ydprr6paZn1qa0CKTpQAkkQMp6IoiK', '', 'AwVv7XUHMYDdi06woUPd2nR13Dsswn5u', '', '0', '宋开华', '', 'skh004', '宋开华04', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546595297', '1546595297', '', '0', 'a5850b46-f7a4-dd47-2f48-3803b6fad10d');
INSERT INTO `car_user` VALUES ('428', '', '13514877581', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wFIF4cJP8Ps7jYoWhSFXhOPGnLp5FOIMcT2afY3GXcNpQoxxzonpG', '', 'TlXT9LuSf5pkHkNxS8fXHXV1C1T93_vc', '', '0', '苏雅拉', '', 'syl000', '苏雅拉', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546595343', '1546595343', '', '0', '3903efc0-b5ed-b893-183c-b9ac2e2e14d8');
INSERT INTO `car_user` VALUES ('429', '', '13726391366', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$dOiooFrFzssQgExYVd22D.r97dFUxpGZG2xY5xrwLxH6/zWz4uk3W', '', 'CEkLnm_aik8GBsJcEZHiYneBimb7vb8w', '', '0', '何德明', '', 'hdm000', '何德明', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546595632', '1546595632', '', '0', '8e690528-55af-127c-1aec-9d802dfb569c');
INSERT INTO `car_user` VALUES ('430', '', '13826277941', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ZZENycGNqX8DPlPWX6A3deKxz69eCw3slYkMsxjWxOmYZiD5F.6zW', '', 'BNOx0Lv1GJJHQfQuGOaYUJmAqZvUUlpi', '', '0', '魏仙琴', '', 'wxq131419', '魏仙琴131419', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546595692', '1546595692', '', '0', 'b09acb40-0592-a26c-d8cd-8186d7e47d58');
INSERT INTO `car_user` VALUES ('432', '', '13538241643', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$0XHwqaRddAE0/LV8n/j3au0eguuYsUxZLcrpDXSj/N8maOwDpby8q', '', 'uzG3xwh7A9LCMEW-TkAhV5l_rg_tK79N', '', '0', '曾瑞芳', '', 'zrf081', '曾瑞芳81', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546595755', '1546595755', '', '0', 'cb730fa4-d9b1-6453-6aea-151c3328f7be');
INSERT INTO `car_user` VALUES ('433', '', '18924552937', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$U0LXWEIa94YO15/lVsOWcOxYxH2HEoQrdowqft/MSq2bn4BsjIiNy', '', 'K8VgBd5iTs3-NxIpWlowLVMAZoJkqHRl', '', '0', '余璐华', '', 'ylh000', '余璐华', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546595802', '1546595802', '', '0', 'b985f5bc-e0ae-751a-ba3e-366c639d8974');
INSERT INTO `car_user` VALUES ('434', '', '18626131365', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rrQgJY3tNOWdaDrTgDMwF.zEx0p/7CaiohNrAvmRs/Y2ox42efxfu', '', 'v1Pp0bMhyApLtlajuVm_hZq1mgxgD2ZE', '', '0', '李延欣', '', 'lyx000', '李延欣', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546738503', '1546738503', '', '0', '00bc73e4-8643-94b0-2d12-d46211aad612');
INSERT INTO `car_user` VALUES ('435', '', '13338660009', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$BnxsIWbwxw0GuSfUutL24u6B.4YoSK6VLdqImVWjQ7EOaZ/IFrPOy', '', 'altivFUS9GhWEqLA7-H_r3fYJLhgeYIw', '', '0', '周宇文', '', 'zyw001', '周宇文01', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546738541', '1546738541', '', '0', '70ad3c63-072f-c4a0-4d25-3fb44ba96651');
INSERT INTO `car_user` VALUES ('436', '', '15370050717', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6yTxUIsnAerK6PuCbpYO8OLIfj7kzQnznRz4nTFm5jIRFWO4aQTA.', '', 'fL_bVJv3B_krL9QaLAeC7EPttjyAJAc6', '', '0', '田建英', '', 'tjy001', '田建英1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546738579', '1546738579', '', '0', '1d637d62-66c1-c830-d450-da0844fce404');
INSERT INTO `car_user` VALUES ('437', '', '13906139321', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gFz0BsNWQ2qlXaeOSD1xCe.jl6yV.nKKNZL96WzIyOh02e3j6Z4pa', '', 'c7xN41BEe9hD-y4U4_egAekgouMjCgG2', '', '0', '吴金男', '', 'wjn001', '吴金男1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546738641', '1546738641', '', '0', 'a891b097-5d53-75bd-9f64-938f2db54847');
INSERT INTO `car_user` VALUES ('438', '', '13862588469', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$od0vhAEsgfqgXk2.VadtF.Sn7H42cu7GNt6yBbjEdjlBLd/mD45XS', '', 'OE_Sd_XNWudIO612Z3kb05V1gQ8o1_Wb', '', '0', '周建英', '', 'zjy001', '周建英1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546738671', '1546738671', '', '0', '3a4a934d-be22-db89-f409-7639af5b21de');
INSERT INTO `car_user` VALUES ('439', '', '13771969355', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$KGZdUZrPbZ5eMu8wkCYfl.Zng/I8LVEm/OJjpUb1j2L1IiNTVK54C', '', 'iBbNMD_X66NKFlQQafRmFXYmlHKtNjY-', '', '0', '秦小琴', '', 'qxq000', '秦小琴', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546738707', '1546738707', '', '0', '2dc27f58-af9f-a06c-6ddc-f9bad9152726');
INSERT INTO `car_user` VALUES ('440', '', '13812644556', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$25E3EGyOyv4IpzIDmNnWxuf0fnieqr5N.NV47/YxyHn/mrFBNNlwm', '', 'EzvXcxmPvryMlri8tVY8M2FwW53DIpas', '', '0', '金海英', '', 'jhy000', '金海英', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546738765', '1546738765', '', '0', '61e53922-1df3-968d-0418-75f48427069a');
INSERT INTO `car_user` VALUES ('441', '', '15950092868', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mjbqtpMvT1u28G1r5hahb.8RmM/R52CPcFnJxCLKyCHU..n3Dez2C', '', '3ILAH1eyJhd9rCfx7TQ-Zl_cPkltJlKQ', '', '0', '徐勤琴', '', 'xqq000', '徐勤琴', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546738795', '1546738795', '', '0', 'e57f9295-acd4-12c8-6d7c-b863cd2765dc');
INSERT INTO `car_user` VALUES ('442', '', '13092603298', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3cx1ELeZCcyZ/RocxcUDEOCmEhKhzVEnBCIUTbBT3V.wjrQeTfFVm', '', 'TFuAFhFRKzSIi6Cpw0t_3I4IyPuhigbi', '', '0', '沈玲玲', '', 'sll000', '沈玲玲', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546738825', '1546738825', '', '0', '7266cedd-58e9-e3ea-2660-80b3416736e4');
INSERT INTO `car_user` VALUES ('443', '', '15006214917', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.GQBcb9VTua2JACHtcPsJOT6Wj0Bd5KMKySyJdHmrG3a8wTdGu6jO', '', 'm9Bq7T4AeZBfbssLKOnBPerlNe1gzezK', '', '0', '时伟平', '', 'swp000', '时伟平', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546738861', '1546738861', '', '0', '5e4573fd-5e1d-915d-7f46-997b737ddc0d');
INSERT INTO `car_user` VALUES ('444', '', '13727139863', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$DiVX4wBabllKrHWp8MeU9OwWe2FLnxXA0LgWMCuyexLft8fXygl22', '', 'gk7h8xM34ccjR3PgpFcXdEwRm-dyvTV6', '', '0', '邓秋浓', '', 'dqn001', '邓秋浓1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546738910', '1546738910', '', '0', 'fd5cc4ea-0c8c-b1a1-046f-11d7241fca43');
INSERT INTO `car_user` VALUES ('445', '', '13679599103', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gGCWFDfvaJVJcouHw6ienOXn4rruGlXuUMqzLRNGjuDpQ0yKg2WtK', '', 'cICvlqaZyNJrRR_ruK1zjg4q7rmpGSth', '', '0', '程国玲', '', 'cgl003', '程国玲3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739117', '1546739117', '', '0', 'd3992d25-aa2f-ae26-694b-e2f7392f5385');
INSERT INTO `car_user` VALUES ('446', '', '13991628985', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Rz.g8GX9eoMU5FKaoplJQ.2Ifubo11oW7IdF4.hu9cy1RdbpIrh2.', '', 'lVr6kNnW5Y5T7XTBMJKZdr3NTZ5kmbkv', '', '0', '王东明', '', 'wdm000', '王东明', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739148', '1546739148', '', '0', 'fd1798d8-735b-6b8f-7a77-76d9b333aeb6');
INSERT INTO `car_user` VALUES ('447', '', '15291601098', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FiGcM0pb7.L.ncnePIdhhe3ic1JkNvzSe1qdJUk2.41WT3zPySZHm', '', '6juQsPzahMj1wCsOLTr-V3hDiRjdrBox', '', '0', '朱刚', '', 'zg000b', '朱刚B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739188', '1546739188', '', '0', 'bbb0bd5d-488e-d991-a881-9f8f80b10227');
INSERT INTO `car_user` VALUES ('448', '', '18070641641', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XATy0rwO2VMRCxNxpDlnDe6yLJY0Mr58uTISwVasjl6STHlGyGyZO', '', 'eaPiuwek4JE_VJLyMsZiWNIiUW4Mi5LF', '', '0', '雷胜娟', '', 'lsj000', '雷胜娟', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739226', '1546739226', '', '0', '7dff5ae9-ee9f-8cea-25a8-fe54433a8202');
INSERT INTO `car_user` VALUES ('449', '', '13405033513', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9ZIgtKEHqEgaWxcuaJoouudzcSBBEVbai7NeHn.iHm20aWrjJlzv.', '', 'XyWCT4r3MZ1gCaeYZpshYvZloUEJUyuY', '', '0', '张一挺', '', 'zyt00a', '张一挺A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739260', '1546739260', '', '0', '3072cff4-abaf-a60c-2f13-db877c3917be');
INSERT INTO `car_user` VALUES ('450', '', '15850075833', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xqUQnNqBS3opMEaB87s/Yu1iQxvYUjge5ErD8fYj3ybkWkLWQhRJC', '', 'Inqc8HLYSsnoj3rp6QNYQE8vBq1e7HFj', '', '0', '徐熙猛', '', 'xxm000', '徐熙猛', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739289', '1546739289', '', '0', 'a373f157-e707-e28f-2081-a42e79146bf0');
INSERT INTO `car_user` VALUES ('451', '', '18936085203', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QGGTVNrL/exDWkIOCz1j3uq0Me0SFCkCzEGEHQU.rGaa6Nf7X8.DS', '', 'LhIukfkBJr3Ek-eKkCzRlnGEgY-PwO0n', '', '0', '刘望英', '', 'lwy003', '刘望英3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739320', '1546739320', '', '0', 'd0b10b28-4cac-44bf-d5d4-3960df3d48ee');
INSERT INTO `car_user` VALUES ('452', '', '15007195611', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Q40HiHNKn3z.ncJR4GtGfeVr/GdAiUqcmZl8cR2/WfSu3zasHD9.O', '', '_3D4G0CHMxdYQqXwQPrnBSrZlT2eoHqk', '', '0', '宁剑莉', '', 'njl018', '宁剑莉18', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739352', '1546739352', '', '0', '5d36458a-7be2-7ca9-86b6-738ea85f264d');
INSERT INTO `car_user` VALUES ('453', '', '13670623093', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$19FCcF/EdT/yP6Er59wQU.oSHsaB271DllrcFZtwAitENK2AE6UbC', '', '__G4JaYtyA3Hq9YSNuZSKLUHEruk6LWH', '', '0', '梁润安', '', 'lra003', '梁润安3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739385', '1546739385', '', '0', 'db7ad85a-c7d5-8242-caba-613ed51041d2');
INSERT INTO `car_user` VALUES ('454', '', '15804710106', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.MCn8.KuUgoRe/E5F.GMxO7d/LAnP30ri0MsxcRDDIOiIrKUTNvzm', '', 'WTxlJMHqLu2_7O_puJDR8JY5AOmFiC6T', '', '0', '萨仁高娃', '', 'srgw00', '萨仁高娃', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739426', '1546739426', '', '0', 'e8069863-4762-1e75-fe9f-f4e1b1ee292f');
INSERT INTO `car_user` VALUES ('455', '', '13015027401', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wuvPSU5RiDvk8zNtZN6sBuKiSRhKyxPnWT2jHE6O8ynbKSBraN/T.', '', 'X4UKKGEsTXjG2HSs6bL2ZnPMAXPnFeL2', '', '0', '栾君', '', 'lj0323', '栾君323', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739465', '1546739465', '', '0', '3d8db6f5-1ab8-2230-fdaf-a3d2a1c3d6e9');
INSERT INTO `car_user` VALUES ('456', '', '15121913065', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$SKEeqvgBWIikGQeK2zQj9evzzggq1pYSsj0bHzl9kQVXl1qg.Noz.', '', 'w30nRGUEyt0NYnP6PndYzNwmQu1UcSSS', '', '0', '王全尼', '', 'wqn001', '王全尼1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739497', '1546739497', '', '0', '642f9e82-0279-322b-e1c5-285ca57b4708');
INSERT INTO `car_user` VALUES ('457', '', '13336938812', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$orfnzq2..q.YHmfjspxbyuVVQjvkLv.18q3g6biXW34zLJBTwBQGy', '', 'cu_LWoTE6e517xa0GmHjs_4JAFl6Frzg', '', '0', '钟永爱', '', 'wya001', '钟永爱1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739528', '1546739528', '', '0', '8f168c8f-6de1-b248-8edb-a56df6b08651');
INSERT INTO `car_user` VALUES ('458', '', '15349606468', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7TbmjqiMtoFil/W5ssso.Ot14vYJQiFySdotY0YlY9npuOTqwDHRy', '', '9_Ao9anRVbT88pZOECCDWrIDiCCdJwIZ', '', '0', '马学武', '', 'mxw000', '马学武', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739558', '1546739558', '', '0', '6b37d356-88a2-e2c7-0d53-0d30a07ca992');
INSERT INTO `car_user` VALUES ('459', '', '18152300764', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RH/pvjaX2.7PY7eDUtu/9ez.NqQKKvoqJJD.O2gR6yvTVCMTqQdG2', '', 'Li-B0O7hhAJ1G1fJijeEBi2GknGSwnee', '', '0', '杨秀珍', '', 'yxz003', '杨秀珍3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739591', '1546739591', '', '0', '6c12a972-d3c0-a099-5959-06baa7088428');
INSERT INTO `car_user` VALUES ('460', '', '18995195923', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mDTJeFBxbeC9ufc78ZuNXu0h2PSCHDuhQsrK02uPEJYYgs4pL8S82', '', '7h8q_VhKo6pIS_7SqrS3WqIjKnRK69KA', '', '0', '温凤巧', '', 'wfq005', '温凤巧5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739662', '1546739662', '', '0', '40780078-c0d4-517b-b2ec-01b455893668');
INSERT INTO `car_user` VALUES ('461', '', '15004726258', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$sYRDbLlxJI2W533gxh0TDOP1IERW99Vnn7nuuUKihIQNGNs0M6D.6', '', 'lNgckyXExuScttQS5L3DbDkgorPDECwR', '', '0', '王慧蓉', '', 'whr00a', '王慧蓉A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739699', '1546739699', '', '0', 'd24e0f2a-c16d-1458-67ff-01d6da0e78a2');
INSERT INTO `car_user` VALUES ('462', '', '15004726258', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ZdM6fL4g2oGLx7oQFW1S.OeHReT5zqx5EywQy5i.RQcs9RFjAEBVe', '', '_csWE6XKb8hBFduZ6PE31cHf_A2GK2OQ', '', '0', '王慧蓉', '', 'whr00b', '王慧蓉B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739734', '1546739734', '', '0', 'd24e0f2a-c16d-1458-67ff-01d6da0e78a2');
INSERT INTO `car_user` VALUES ('463', '', '13948726163', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$I8SLXKd3cKLz1wG73f007.rxqzX83ZO6yZwJT370t3XZYRd8TrD0y', '', 'jA8GJDtv9Uv6CvVxPFGxJkLg-OWwwbb2', '', '0', '王小平', '', 'wxp000', '博盛王小平一', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739771', '1546739771', '', '0', 'b65c67c1-5cfa-9c0b-1ba7-d3ff7164ca30');
INSERT INTO `car_user` VALUES ('464', '', '18871219085', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$D/03s4kPde3Cc19rht2sXu/NT.fg.h/1VDeZoVG9GyPyxAvDLGa6G', '', '24BJk4VqnD8l3D2Gz65-tLMd7zqThLBy', '', '0', '杨明', '', 'ym0005', '杨明5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739818', '1546739818', '', '0', '4f0fb739-204c-1720-b7c9-3ad56dcd9528');
INSERT INTO `car_user` VALUES ('465', '', '13848429105', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$A/LawGfd2y4D1hk/Dg/rEO25pYcfhoLzI2.mcm.Wxtr.8EcFByajq', '', '4aEa59DbcqqtM1bGrH3ByIarAzNwDEsq', '', '0', '张文乐', '', 'zwl00a', '张文乐A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739857', '1546739857', '', '0', 'e3fc115b-dde9-d8ab-54fc-fd6fd661c1cc');
INSERT INTO `car_user` VALUES ('466', '', '13872585236', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$2q7Hc0X90pb6dOUOExA/.O7lza/U5ITB7bAyV6PuwmyEE7YRy98G6', '', 'l2uxSWuQ4w_POgJ-DqQJFuMMTOyyBd_K', '', '0', '黄荣', '', 'hr0002', '黄荣2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739914', '1546739914', '', '0', '6782c9c5-34c7-234e-0977-6f3efe8def7c');
INSERT INTO `car_user` VALUES ('467', '', '13487236291', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9xnyRpZB9nLxZfu/B07FhuYhIa6AjUFbHsY08TXZ5fdFys2t1Se.2', '', 'W4yeDIZymoTBXafcHrNkZ-NueRX6I-MX', '', '0', '刘卫华', '', 'lwh00c', '刘卫华c', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546739945', '1546739945', '', '0', '4f31f417-6f5f-ccd4-5854-95fc81d4f0d1');
INSERT INTO `car_user` VALUES ('468', '', '13487272716', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$M/bxyTwf6L5f8q4Eil9FIuRsxo9.wNPzqIWOvcQcozrYDq8/q7ZiC', '', 'fhZeGnjyGboEP3BeSouwMwS0y2Ereiec', '', '0', '邓光军', '', 'dgj001', '邓光军1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546740006', '1546740006', '', '0', '259af5a1-33c7-34cd-6950-ae650db94d78');
INSERT INTO `car_user` VALUES ('469', '', '13872490924', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kMyYmSVVhhdfKT5R7VF2lOQgofD3HzXRv42jFA9js1omtRtR9Cv5a', '', 'eBO3wjidgoSc49g3aBsm1kq6CEQ6y9jW', '', '0', '袁继青', '', 'yjq000', '袁继青', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546754404', '1546754404', '', '0', 'ab0f78df-def7-9fa2-2e91-aa4dc1797a52');
INSERT INTO `car_user` VALUES ('470', '', '13584867039', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ES/usotPkO1kW0.If8R8tu8NH9GEX/m/1Vj9S0mbH73KhzQK6EgDm', '', 'jNwr6zHf6_EQ4psGOo5lrIF9WvJvpjzP', '', '0', '李芳', '', 'lf0000', '李芳', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546754431', '1546754431', '', '0', '7f6e3639-88f6-e0c0-7db5-468845d027a7');
INSERT INTO `car_user` VALUES ('471', '', '13948198875', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wNED.KDLO75QkLacf0.XxOIV.vMNjMtzVK1EUOni1sHlPqW3QsBK6', '', 'goCXE4MQxH3JKblpHDC-XmBip-7vABRo', '', '0', '常利', '', 'cl0000', '常利', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546754470', '1546754470', '', '0', '62f90439-3085-1ea7-148c-b1adaef60156');
INSERT INTO `car_user` VALUES ('472', '', '13797181469', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$fhLjkEM92SGyFTKjo3rIgulP1Otj3IP9WnpDFK19NnygqTUAvtvmS', '', '5sCB1zTjUg3YdjcqGGjoN9MUvEmzFKUz', '', '0', '代贵珍', '', 'dgz000', '代贵珍', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546754503', '1546754503', '', '0', '80f552d3-51af-3308-fbb1-437d8b58701c');
INSERT INTO `car_user` VALUES ('474', '', '13327130489', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$W0B30oqIuRLk6RJ3uqN2EeTw.SUZO1IvMLRiodQYWrZQ/c.XsiDrq', '', 'wt8VHsFOIfkSo2Jk-7HC8tbweaWfHfqT', '', '0', '王霞', '', 'wx0000', '王霞', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546754839', '1546754839', '', '0', 'e22b22b7-e9ec-891c-b1c5-6cce9b475e75');
INSERT INTO `car_user` VALUES ('475', '', '18520913867', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Nbo9Ms3wscBfWZTpAYCaC.QE.3FYVbeuz5KMfOVn/Mu2criBNVBdq', '', 'KMf-WPLmj1Y9IAFte4hyzv7I0cvEhdCL', '', '0', '何素花', '', 'hsh00c', '何素花C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546754904', '1546754904', '', '0', 'a3626c9c-a930-de03-60d2-8008399b8daa');
INSERT INTO `car_user` VALUES ('476', '', '13972660195', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$/HuDv3EfLnJTi/Qyivh7yOhEbKl/oXnjdVQamYhu73FaafVb3/n7G', '', 'MFudCi1lPYp-10mQFwx8We0aYQqILDjH', '', '0', '陈学军', '', 'cxj00a', '陈学军A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546754939', '1546754939', '', '0', '757d5941-9509-c1ce-8f74-0876d501c86c');
INSERT INTO `car_user` VALUES ('477', '', '15560979029', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qRS.xwqtfAS6NKiCCBGJK.lyKgZfLqWGHfqrHfaMsHbJpQvdBcRc6', '', 'x3dK7KAulWHxFH9j5l8snQMG5sDlxCCz', '', '0', '刘丽萍', '', 'llp006', '刘丽萍6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546754974', '1546754974', '', '0', '49a1459b-1a06-6cc7-5b7b-ae9d5c806927');
INSERT INTO `car_user` VALUES ('478', '', '17777868576', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$zf12UKkHZaafM.PbwvReg..vEO/o47XznaGGnsYKHMSpgOJnjcFua', '', 'JefM96UVFhNDAPJJCzlx5jbtQlvlR912', '', '0', '赵俊霞', '', 'zjx000', '赵俊霞', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546755006', '1546755006', '', '0', 'bd638f10-ac1a-8ca9-7bcc-20531aea2ec5');
INSERT INTO `car_user` VALUES ('479', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$e9hBhh.nkQX.zXP973QsquUAwl/wp8rDqi8yvCJ1ywfmXu2yzwkn6', '', '7sbwMGMWjbw2ktwyYQBB425g5SGsjG6h', '', '0', '唐春萍', '', 'tcp0621', '唐春萍0621', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546755050', '1546755050', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('481', '', '13318315309', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XINkbqW4pEt0.k80E9Y91O0xeKlMdQsyd7BxBOvW5PexswfJMwu7G', '', 'oL5Re8EF8h6kvcNh_bauKDLLBvXfSlDR', '', '0', '陈柏光', '', 'cbg001', '陈柏光1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546755128', '1546755128', '', '0', '35e42b08-776e-cda0-eea7-444c8e161a99');
INSERT INTO `car_user` VALUES ('482', '', '18175765096', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$OUKD.giBYKqJeOA1kQ3fcOa.vLulsm5OtbJfPv.fly7aWbbIv2xfK', '', 'sNeZ58revqM4RVf19OAWAIrh-EGeG5aS', '', '0', '胡毅', '', 'hy0000', '胡毅', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546755168', '1546755168', '', '0', 'f584a66f-b894-3609-db9b-e8c8913f773e');
INSERT INTO `car_user` VALUES ('483', '', '15848250167', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$D9/fbgBx6SIlQfEkrMrBoeOiv5YNb3/e1eUxg28bIS19EWpCtzhMa', '', 'ciESffG2pVDrQgdg4MQctzGE0vwh4dtt', '', '0', '王爱学', '', 'wax1249', '王爱学1249', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546755218', '1546755218', '', '0', '68e4cb8f-3bb5-e000-719f-7e09b9de35d2');
INSERT INTO `car_user` VALUES ('484', '', '13972090521', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$YyV.a39iHLp0PpSY6wP5Me60dbukiZTIhzv0p.yhmW8JFUrgqUkES', '', 'fS1tR6k1-SApICEPHOeabVxKUb1mvyYz', '', '0', '韩伟国', '', 'hwg001', '韩伟国1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546755251', '1546755251', '', '0', '0f1fd2a3-03e3-c516-5b50-85f940d12911');
INSERT INTO `car_user` VALUES ('485', '', '13772821044', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$/9m4Pp792L18qJ0xzmvgsOsENQkHQKw22tu6yCshR.vL2IDWjPUCm', '', 'ybrwhWZIM9QWOAdnYGUu9G4O1Z0f_lEG', '', '0', '周丽萍', '', 'zlp004', '周丽萍4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546755287', '1546755287', '', '0', 'e443e144-802f-84c5-792f-ff51b2b69c97');
INSERT INTO `car_user` VALUES ('486', '', '13948432892', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uiU.zmCZRSjgih/pqwUFh.Yz0FCqcbXIaQuaeSIizGRHRTNWTeruu', '', 'Ikhj3Fw4LJuL0tepwWTmi8POfZaj2cXI', '', '0', '高洁', '', 'gj00aa', '高洁AA', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546755318', '1546755318', '', '0', '4a738802-3433-8e80-e6cb-a482b4f10876');
INSERT INTO `car_user` VALUES ('487', '', '18947109117', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ZXThQw4lD3F.aKXHUD0TreD.VYfFLNMh4HVe1hKX3HEaUHai1eIOa', '', 'jyWwJ-OAScaWY90UTGTswn6XNxC6cZju', '', '0', '王彩霞', '', 'yh0006', '雨涵6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546755357', '1546755357', '', '0', '44900b25-b57c-98e2-bc75-95d26dbed1ae');
INSERT INTO `car_user` VALUES ('488', '', '13711345765', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Tcy/386AqBSBkIeH7BOcsuBpteHR6Jag/biVS4g6oyFMaJDVLYtoG', '', 'W4kojuaMobOo4xChDIXfT-eMhzjvqYOd', '', '0', '黄绮华', '', 'hqh002', '黄绮华2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546755386', '1546755386', '', '0', 'a6de7c0b-7767-5ba1-64c2-53f049b1ef02');
INSERT INTO `car_user` VALUES ('489', '', '13928791188', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FINlN0nJEQ/zgWoKgSxp..w/CqKXb9FazIHi7a5xsZAxt71TQrg6S', '', 'LyW87qjULn3adhtpkYs9pTJxhBXy3YvN', '', '0', '何敏玲', '', 'hml001', '何敏玲1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546755423', '1546755423', '', '0', '74fb296e-3f62-884c-e90b-5a5d49474bd7');
INSERT INTO `car_user` VALUES ('490', '', '18665733639', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RwttPEvJFOIkV1tAVZsgA.jWhTKTKOP6PhhQZADzqZMBOgaS7ND4W', '', 'FRGf2zpF-O_dtgb_TJhRZoF95ZtcSJj-', '', '0', '周景美', '', 'zjm00a', '周景美A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546755460', '1546755460', '', '0', 'c3fd4d0a-3d61-5255-63da-b4cfde619013');
INSERT INTO `car_user` VALUES ('491', '', '13670615658', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$zjqmKnd7gGcnZpGAFQG7PeXxJLSC9IcRnJDELtFQTsTyI7m.udH1y', '', 'gDZq4KxtuCcm84txWEnyLjriFwPDIjVr', '', '0', '唐小芹', '', 'txq001', '唐小芹1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546755489', '1546755489', '', '0', '77374619-a5ba-77a0-c486-f3271f12f431');
INSERT INTO `car_user` VALUES ('492', '', '13519231840', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$meLrrZR2culHRsxJ4Ic1HeJnpySYLSMxko8OXDF49GYEL.B13Y9mu', '', 'CZF-XumF8hquTnGvGaW2a79CY24gTr-J', '', '0', '张淑霞', '', 'zsx003', '张淑霞3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546756185', '1546756185', '', '0', '794b9a72-8849-3428-a50f-144d1a7e2e64');
INSERT INTO `car_user` VALUES ('493', '', '13739569629', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$X8OUX7pILwcdTuZQIORSSeO/FWSOad9LmomKlBI//y8xBhyMKPkWK', '', '65ESq7fMQcKC3gTdJucTfxDcaMBhfMMC', '', '0', '王玉霞', '', 'wyx001', '王玉霞1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546756224', '1546756224', '', '0', '9527e0ff-4eb1-d253-e55b-85b37bfb3586');
INSERT INTO `car_user` VALUES ('494', '', '13895355268', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qUSK5mjPJxNDgsKI.uX5leccIsjt9fDp2nIVAotKaA/5Z6dgCFgBO', '', 'VTPUeYEBBzGg-vZOVJgd3FrLNead6Usy', '', '0', '牛华', '', 'nh0005', '牛华5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546756253', '1546756253', '', '0', 'cae97f4d-0b3d-c445-7546-f46710f0d2f3');
INSERT INTO `car_user` VALUES ('495', '', '13327177688', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9lBuzBiOb.tMUPgk3RtwSOVtAt1GZMH7kun0Gx4ZrR.DR88Fygt.6', '', 'ys-vZQHPJEvpzV04cChUJPP0ZleP30Va', '', '0', '贾旭', '', 'jx00a8', '贾旭A8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546756295', '1546756295', '', '0', 'a60c3901-3a01-d6c0-d940-0356b37a741f');
INSERT INTO `car_user` VALUES ('496', '', '13739541459', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$c5G/GvYJZ2MRdytEe4nSSermK0wCUierxmybxZ1ldNt0vORI4u.AC', '', '_X0TjxYHH6H6-QtQYm63THdDuurzQPC-', '', '0', '汪学芳', '', 'wxf002', '汪学芳2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546756336', '1546756336', '', '0', 'eacbcbc3-cf8e-71b4-4e4e-4d95af54d945');
INSERT INTO `car_user` VALUES ('497', '', '13314719653', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WUStdBvhXNqGiv.iud/kpuNesDmc6oahEQc44hOa8D1cgjuk7xzH6', '', 'Q-S9rPhX-uRrUHPn5gHevk8QT2dwCrMq', '', '0', '宗秀英', '', 'zxy00e', '宗秀英E', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546756371', '1546756371', '', '0', '74de0508-14f4-2943-1117-96d088b331ac');
INSERT INTO `car_user` VALUES ('498', '', '13862117296', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$bAn6h36I2ApUto0V.K8RAuC2usQjrbhbassTGulY5AaB6Lcf9xrW2', '', '0Mhtck_8TOs7mPxfkC3Z3ysqbVVkzDaT', '', '0', '奚美英', '', 'xmy000', '奚美英', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546756399', '1546756399', '', '0', '8ee09193-00d1-14d2-3f0c-aba3cb41d5df');
INSERT INTO `car_user` VALUES ('499', '', '18606222766', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$EOFiqFL6C9yBt637uwcrg.2UcN3dZWumDWsX0dx5r7tlILoGAZq2q', '', 'NQLqIRNTcml-dOU3rUOSGs6rQQ0UqHQk', '', '0', '张月兰', '', 'zyl000', '张月兰', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546756443', '1546756443', '', '0', 'fe3b0fe4-cb94-2d5b-91d7-f85350eab116');
INSERT INTO `car_user` VALUES ('500', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5pJm2RKG00TlXFkU9Kk1R.oQEdtipyUVn9DGLUcS52Ye0a.uE1eFS', '', 'fUiUp2qXoo5EUsTy8SxWLtwi0XE2HMj3', '', '0', '贾旭', '', 'jx0000', '贾旭', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546756476', '1546756476', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('501', '', '15876589351', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Gd9sWceD4mVh4qvPXiH2ge23l22mCTjZ.eZf4c1fyBOUMhXLvYlIu', '', '-0kFWnjTfTHRXTXTxsYi2liCQZ0unsue', '', '0', '何小萍', '', 'hxp004', '何小萍4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546756515', '1546756515', '', '0', '1ead9733-ced5-a080-8cdd-d588d65bdaca');
INSERT INTO `car_user` VALUES ('502', '', '17762161685', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$a5t6Ph2hwMfg4yfHVYei9uUqCLNFPKLWdCdSwbJiPTrSimvV86iPi', '', '8Ug3ORgYEi3gQkflHD7f-7Xm9cGxqKof', '', '0', '李素琴', '', 'lsq00b', '李素琴B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546756628', '1546756628', '', '0', 'c20ce69f-ec75-6f75-7435-ba14de878376');
INSERT INTO `car_user` VALUES ('503', '', '13995376796', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$dgAAh8ayMif5CXcKaRILAeo75swg293djfGQO1ODSH2DvcTBczFxu', '', 'cnE_zMm2mhFAXKLB-czyNrCVQUbm5N7r', '', '0', '唐登元', '', 'tdy00a', '唐登元A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546756661', '1546756661', '', '0', 'd23285b7-7fec-9eef-7f60-593424474eff');
INSERT INTO `car_user` VALUES ('506', '', '15647234229', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wNLTDS0mX6rl0LKmFf2RnueydM9ryUf7s4EMPyXyKjEHBJ71dFw3e', '', 'wNo1oUkrT2nySuBPBNQOIOUVze18QrO6', '', '0', '支兴', '', 'zx000a', '支兴A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546757156', '1546757156', '', '0', '8127b770-5312-cf85-6da1-87d00ea03f8b');
INSERT INTO `car_user` VALUES ('508', '', '13009554938', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$y3DrNdcDIET.kfqYz8ajkOB.YRcr/EYAF5Z0DAMur4sbp86uDZQZ2', '', '_rTeQ0SI1u91Xaz5jeeeC07gTqpz4cUX', '', '0', '田秀兰', '', 'txl00h', '田秀兰H', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546757279', '1546757279', '', '0', '42e375c1-b447-46a8-b6ba-a31abd484b88');
INSERT INTO `car_user` VALUES ('509', '', '13384720756', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wUHWcXHxKrgO5B1E6difIueN0.S1wmHRzEDoGYz2GlYl.HqtEZ5/a', '', 'AHyR5J4GdiXwZNVTuSObs0QyCTDzFFnM', '', '0', '徐俊峰', '', 'xjf005', '徐俊峰5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546757325', '1546757325', '', '0', 'aa64a024-cda5-0793-888e-d53487d60024');
INSERT INTO `car_user` VALUES ('512', '', '13988812007', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5FPOwgJAs51kbuSvyGzpyuoU2okhHUOcVc1sU6MwGe4q5X79PH2b2', '', '_ghbOYRxhxjK4TNUfDYug3t5b-rpSdQt', '', '0', '刘荣平', '', 'lrp000', '刘荣平', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546757410', '1546757410', '', '0', '337c92f0-03f9-a285-9f17-60ac69627be8');
INSERT INTO `car_user` VALUES ('515', '', '15849358798', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$OBjFoMS5rXp3EV9mybVWGuBKIU33Pa6UrlW2//gV2Xt2Utsp3ZRPq', '', 'KGknYD0ARx8Mb2-oX2DVYZzaMW3oase_', '', '0', '张文亮', '', 'zwl000a', '张文亮A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546757636', '1546757636', '', '0', '56a9ae4e-f1b1-5f8f-9584-b1a495d3b678');
INSERT INTO `car_user` VALUES ('516', '', '18913101416', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9PttIxzunrxgCI6JwJ/bR.lCcHD8CS8bmJM8IzZcuLKHuGDAHlp5O', '', 'oBWNbPeKHQUUgXvBeRrhQ2Z5AcPr8HbS', '', '0', '薛水男', '', 'xsn000', '薛水男', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546758650', '1546758650', '', '0', '100f4682-3772-607a-ce80-d8b5ac2d642d');
INSERT INTO `car_user` VALUES ('518', '', '15051535696', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$usWfLEQW3JASQA9qZvcAyuwCdqEmaR/49r0HfUkQdWXEZR55Hy8CG', '', 'F8IjnU4h_Vx8S11N7By-J5Anl2KA-0BA', '', '0', '张小兰', '', 'zxl00a', '张小兰A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546758718', '1546758718', '', '0', 'f82c55e0-053e-ed70-da63-8e5a8bb87633');
INSERT INTO `car_user` VALUES ('519', '', '18995102883', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$BnWsuZHTaPJmKkpxLuhwzOvnAvcrGvHN0B1Ydcjz6eAovjViUtbe2', '', 'SUGr6yhL2hcRHr-iOepfu4aX48LSVJoA', '', '0', '牛建东', '', 'njd00a', '牛建东A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546758790', '1546758790', '', '0', '70adca9b-9573-a48c-4c0b-b78fc95ea590');
INSERT INTO `car_user` VALUES ('521', '', '13686518755', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$37sJSYCziZskTPwUqKdhd.0eyo59Uz79pmRlAKTdr9l8VaNtZMYHu', '', 'TtjEzvBLGc27Icz-SLkXcdfOPR69mQyp', '', '0', '苏彬思', '', 'sbs000', '苏彬思', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546758940', '1546758940', '', '0', '51813724-e4a3-2d5f-9011-7e45ce3b7127');
INSERT INTO `car_user` VALUES ('522', '', '13527886828', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$he68nsZocsdtLWbAD2iPV.rlaEcUFT77SbwGnqS.JOfOGhVeKNGva', '', 'xhnw9tzvUZX_CWj_izWt8YFAxPPo0kED', '', '0', '龙秋霞', '', 'lqx001', '龙秋霞1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546758974', '1546758974', '', '0', 'c8ba7a9f-20e6-b976-9b45-4195ac5d2caf');
INSERT INTO `car_user` VALUES ('524', '', '18475818378', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yCDe1NRBkMj68oD8CFS7guYIXGhRVVvgAvDUkdTjFcZmeq1mbVGQe', '', 'i51gE67v5KQgB7ijd4sAOf4LAWVrJ6E8', '', '0', '刘桂芳', '', 'lgf00a', '刘桂芳A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546759051', '1546759051', '', '0', 'dcebc528-d4c8-24c2-6caa-0b0d08cc681f');
INSERT INTO `car_user` VALUES ('525', '', '18344008632', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FqDbxZmzw3CW4cSOgwfSp.s3aRXu.s0qTi2XKHPDhPp2eBmadrggu', '', 'B0I2YeozsIO9gI5P70mvn7O0EPEiKwKD', '', '0', '刘桂娇', '', 'lgj00a', '刘桂娇A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546759089', '1546759089', '', '0', '5bbeb1f6-7c11-246f-aa07-5e242e007c78');
INSERT INTO `car_user` VALUES ('526', '', '13995016330', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$N9Kdd3vCo2tudIGVQPIVMeoAdTxr9Ld4POzb7yzLO45SM/S7Tsm6.', '', 'tGVNrOH-KVhA7snawnwn_asuQj2twuNi', '', '0', '杨忠孝', '', 'yzx002', '杨忠孝2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546759129', '1546759129', '', '0', 'e39f8fa2-6a62-c547-72c7-1c7119589476');
INSERT INTO `car_user` VALUES ('527', '', '13995018432', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RgGD0a6CAVOy0.FhoOuHSeKHBd/53jUjXDc6qm2nDKtlRyQT0kZTu', '', 'gFQ0dlVgtGP2qgCjfopYuPlCBlcLczH1', '', '0', '李桂琴', '', 'lgq003', '李桂琴3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546759189', '1546759189', '', '0', 'e9bbfa3f-c48a-ca6a-511e-39bc34db5841');
INSERT INTO `car_user` VALUES ('529', '', '18902808553', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5FmIdWgGiqqRI7AegaA7fuyYc07AGvykEXfEBbdqi5nhKC2DGAjTG', '', 'N54mGpIq_8SCAf4s78cpvW1Y78aUtLoD', '', '0', '黄小琴', '', 'hxq000', '黄小琴', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546759799', '1546759799', '', '0', '406cb104-e21f-0141-c566-3d4e33581d88');
INSERT INTO `car_user` VALUES ('531', '', '15914516183', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$lG4AmcFDx49udOnFWR0jA.IowUJ2X54vBk0GQyudjcr8NDcyU9lWy', '', 'DWTJDKH8AWrkUi_S3GxXzr68f2NIxtfM', '', '0', '林润玲', '', 'lrl000', '林润玲', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546759831', '1546759831', '', '0', '7f189cff-6adb-7f69-433a-38557ac72ba4');
INSERT INTO `car_user` VALUES ('532', '', '18823235563', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kFhfzftZCGKuMom/YHnflepU2HgUxt7HtacG3eCdqFHGb0QcCMngi', '', 'jxENwSP-8k3N-UABsnovXcalsPekxLRu', '', '0', '徐荃梅', '', 'xqm000', '徐荃梅', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546759874', '1546759874', '', '0', '0dbf0259-7ea9-a0b4-1ef2-9e3eb144a6bd');
INSERT INTO `car_user` VALUES ('533', '', '13794895360', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$u7ByH3ZyGpt3RAaqxgp5ruJUjJK35yEbnLJ5KJZy3i/yWbCvji2S6', '', '8GUhHS6a4YbgX3IkixM3jfmBzpowEeu2', '', '0', '朱杏仪', '', 'zxy003', '朱杏仪3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546759910', '1546759910', '', '0', '68f26497-73f9-e5af-25b1-0b486d7cd332');
INSERT INTO `car_user` VALUES ('534', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.fgRUA3z4S7mSAqtfgaeRueaij3u3RXNZPNt2jP/MvKscfTqIz72m', '', 'QUW6_LZnY7RNRlsH-HXHHrKrnhVZTAu-', '', '0', '吴宝潮', '', 'wbc000', '吴宝潮', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546759949', '1546759949', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('535', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$a19H1cN4g/1i7pqhCpLu.u/usw4z1LQGG8BV26U53vNNnAh6LQfcK', '', 'CUPZuzFmKjrZacq-3jzYjlENN2ldGqTn', '', '0', '何丽颜', '', 'hly000', '何丽颜', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546759978', '1546759978', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('536', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yq0RgymsXegGSzg9n6jZa.ix0WQmZd4DHBud.MoUy8ImCUvWOsvKC', '', 'ApB7gJGlceLzH_6kSlwyBXnzBxpDgjKs', '', '0', '曾伟鸿', '', 'zwh000', '曾伟鸿', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760013', '1546760013', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('537', '', '13535860088', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9ex.Xkphsi3pPk/4MbYKLul5mWlNgIzNwO7LGrg2L6SwtLP6WAoEm', '', '0f4jN0Mk6hvuFqK3lYgDhpzW_WY9EVil', '', '0', '曾伟鸿', '', 'zwh009', '曾伟鸿9', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760043', '1546760043', '', '0', 'af8cbb90-793b-999e-2b4d-27c5908ed86b');
INSERT INTO `car_user` VALUES ('538', '', '13906226693', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uM19wrzTgtrittRQEKSstu1jmJuNq5iUTUD.Fjl2LBCwiDndQlRi.', '', 'PPgunQEhmxFRDQCrDGIo2c1cLzo6nIdr', '', '0', '蒋利健', '', 'jlj000', '蒋利健', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760074', '1546760074', '', '0', '3f6a853f-824f-44d5-3169-fc11a4004d24');
INSERT INTO `car_user` VALUES ('539', '', '15006227310', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qkSrILQtkQ755/GnrjUsCuSdjX1peb4ztatSU7AjHuvtksD2Mhvcm', '', 'i2v7bChT7ZV4ggcfLIGaFt6-CayMgksw', '', '0', '仲燕英', '', 'zyy000', '仲燕英', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760101', '1546760101', '', '0', '331845a9-d9f9-fba8-2059-28aa0dc40dd1');
INSERT INTO `car_user` VALUES ('540', '', '17601473163', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uduGrY2EN30Tshukti266uQf7xFvGjPDrSXNg92fS3ZPXmxPWI852', '', '7f20Ji7Co7bfLtL5ONVyv7uGwF4VQLQA', '', '0', '刘保久', '', 'lbq001', '刘保久01', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760133', '1546760133', '', '0', 'c32d06f5-2918-031f-0e89-957c30b0e7cd');
INSERT INTO `car_user` VALUES ('541', '', '13171487002', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WhELvrqt9UtqZBIIJAUiv.DLBjNHWEdOqGsds.BElD4.AIm14938y', '', 'YH11soiNdmWEj0shROMKZ5J_gbMsfQst', '', '0', '王稳重', '', 'wwz0d8', '王稳重D8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760168', '1546760168', '', '0', 'b314d3a0-0140-8655-ea48-6777b8af2c50');
INSERT INTO `car_user` VALUES ('542', '', '13191485790', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TVy24MqUAjJs2RLHfbiyzOuXuxeN9tVeEKh7Yuw30XuyGtOE1NzIK', '', 'hqXDcyro_v6zCDRxNS3Gf-l20GM1ciP3', '', '0', '孙存宝', '', 'scb00a', '孙存宝A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760217', '1546760217', '', '0', 'b871e96e-1694-4312-7440-75afb0e5665f');
INSERT INTO `car_user` VALUES ('543', '', '13431899294', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xeR6TcWhSppAQMPxqaPimOQ213aoaJ2SM2UWxFYaH5jvr2JXmXAUa', '', 'vaV4qRz4BGMNN9pSeYy5vPezMLTMjJEx', '', '0', '石燕霞', '', 'syx009', '石燕霞9', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760283', '1546760283', '', '0', '8fe85564-85b9-de35-616e-e71dbf11267e');
INSERT INTO `car_user` VALUES ('544', '', '15044943038', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$og3peSanH2.rdX11Zp.96OEogVJHNhbFIqBPS6AVPTXocfZafE7IK', '', 'tmpqqisE3aTFCRM4-rM18_xNhXxHE0b9', '', '0', '贾淑芳', '', 'jsf00a', '贾淑芳A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760319', '1546760319', '', '0', 'd6fefd86-db6d-a05e-dc7e-4ab5f4389c4a');
INSERT INTO `car_user` VALUES ('545', '', '13327185867', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7f6cVPab.dl2AdNQtXuFZOSYkbxlPI60CCGIbXDiEQc9lyjh4aSOi', '', 'npc_kxGlpXv3QBg6MWJlWhzuBPLLtwA3', '', '0', '张玉龙', '', 'zyl00a', '张玉龙A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760373', '1546760373', '', '0', 'dd7f9b73-5816-261d-aba3-de7f6646c963');
INSERT INTO `car_user` VALUES ('546', '', '13327188817', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$4TxeI78U09VaSZ0AREe/G.wbxTVFvE.J3aq.dMqkFE/EaxNUfVfMa', '', 'dboGl1dX5XIEuADhE9wUx9nEa94_e14U', '', '0', '刘建成', '', 'ljc003', '刘建成3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760445', '1546760445', '', '0', '0c2c18bc-089f-d384-ca41-92a7a1804b24');
INSERT INTO `car_user` VALUES ('547', '', '13848622018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RF1OoLkTY2iIpJ2HkWReP.VkHr2b.Z0Gk149QR.CSCzfvHuVIcOjq', '', 'IsYmmGl8egpU9S95ws8SZcN53iEk4CZ2', '', '0', '李华', '', 'cyn00b', '蔡依纳B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760479', '1546760479', '', '0', '0720c2cf-6a97-b9cb-cea9-ba2b47c5f99e');
INSERT INTO `car_user` VALUES ('548', '', '13644821935', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$PmakS0LZe9FLw2dBAdsmDeAdmLLkHEUtWV7.sEzu8tB5eAVEo7jze', '', 'bl7buriTaMSJ8RozaDPE6Wb1_R3fbDtu', '', '0', '孔龄', '', 'kl000a', '孔龄A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760509', '1546760509', '', '0', 'f6d63e2f-92b1-10cc-c3a7-0b35fd06909e');
INSERT INTO `car_user` VALUES ('549', '', '13847256455', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$aqMSFRtDWvwkMa1qCQzE/OvGwc16brRr/N6y.pWK/yoAjZLXAwQfC', '', 'xmggsURBgV6AKvQFlIPC2rbjjhPKgWp6', '', '0', '刘革胜', '', 'lgs00a', '刘革胜A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760542', '1546760542', '', '0', '0c1867c6-e677-98c7-a06c-ce749046f417');
INSERT INTO `car_user` VALUES ('551', '', '13848002175', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$fR6jHTsm0uRc7IBcjAihjuvXlh3pNQc7vELnrmBZmYJv6e2KNaXEO', '', 'NbduKAfCYOA_wpvwUH46lJ650QHV4G3L', '', '0', '杨金风', '', 'yjf00a', '杨金风A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760579', '1546760579', '', '0', '3cf09787-a746-0ca7-0354-71ac0fd2d1d7');
INSERT INTO `car_user` VALUES ('552', '', '15044717003', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$JEyx5WSaX5k2t4wBi/hjQOfflt2r9uNk0uP/xjgKOitkjvwIX6NaO', '', 'TWuFoRQLZ-kumbNuPAy3x8JAHYa4LBO2', '', '0', '王军', '', 'wj0001', '王军1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760610', '1546760610', '', '0', 'c1226451-e52a-21e1-01b2-bef04f530b71');
INSERT INTO `car_user` VALUES ('553', '', '13927757335', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TRmbzlwLaBwKGJ/iMhnBXesdYf2jTyANO3sB1mLgVCNz.P1HNj9Y6', '', 'owpf70zOpErJS7rd0g3EZkWX2e9BqLbe', '', '0', '潘慕兰', '', 'pml00c', '潘慕兰C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760652', '1546760652', '', '0', 'c226e459-4df9-481c-8bba-4b10b526700a');
INSERT INTO `car_user` VALUES ('554', '', '18318615340', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RUl5xMAPWpExiEydhTSfFOwioQSR.UJXdgxRE24y16fKMRAkAI2.a', '', 'RCjyBU0snTjirlpvTxpIe0C1StwJ1E26', '', '0', '黄春汝', '', 'hcr001', '黄春汝1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760722', '1546760722', '', '0', '16d7f84f-b4e9-7029-7fe6-b78e9221990c');
INSERT INTO `car_user` VALUES ('555', '', '18309585853', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$LpnrujL.fO87lNpxDhuZt.xb/cwAVZtMRKI4/Y7FBR1zYfOrAFNje', '', 'DtzzQL0bA_ylJX0RAd_sUHCr3dpPbU1H', '', '0', '王璐琦', '', 'wlq006', '王璐琦6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760777', '1546760777', '', '0', '9e5a10bd-0e90-8ea0-0306-03bec72858a9');
INSERT INTO `car_user` VALUES ('556', '', '15571865848', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$iC1V4qUPMQ0zIvUuPc2RVuWceG2WRCUPYbky6krRly.QR7yFm7a6m', '', 'hWB33Y1z2iy6QMBzUCzcocFxWlfOqJ1t', '', '0', '许明希', '', 'xmx002', '许明希2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760842', '1546760842', '', '0', '2b1ae627-a912-126d-9049-ba93283765dd');
INSERT INTO `car_user` VALUES ('558', '', '15571865848', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.ZASMzEy6Z4YZskccEfv4em.nbJ4rD2XxwbFZWDss9bzNjtHKAr4u', '', 'LIjsXEk3rL7FIUwvOb9rv_og26y5kd9k', '', '0', '许明希', '', 'xmx004', '许明希4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546760920', '1546760920', '', '0', '2b1ae627-a912-126d-9049-ba93283765dd');
INSERT INTO `car_user` VALUES ('560', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$b9GqjcvXnf.jKfmVTw7MXuZ6Qstg3msWJaybl3hyBf2kGel5an30K', '', 'biNX1Svsig_r3ag342fC-PI26x9N3zuK', '', '0', '安社跃', '', 'asy000', '安社跃', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546761019', '1546761019', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('563', '', '15598188325', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$CHFKjGCvjCnkUpibjidOaefGqGr5wkUNTWTBpRPbzjEk7whi3ozTW', '', 'p1UxC-_eHipTc-5jVA0GIqqrSd8liC8-', '', '0', '刘淑慧', '', 'asy111', '安社跃111', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762065', '1546762065', '', '0', '837ca59f-cc71-db11-9b9e-51156128eabe');
INSERT INTO `car_user` VALUES ('564', '', '15598188325', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nTUyf7KdvoN0dqXikpn2yesIe4kxKEQzaaz/qO3UuyC5lB5Y8bdjS', '', 'TpoLDneLUOMPtGFhsITdJUjjZl5aASvn', '', '0', '刘淑慧', '', 'asy222', '安社跃222', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762092', '1546762092', '', '0', '837ca59f-cc71-db11-9b9e-51156128eabe');
INSERT INTO `car_user` VALUES ('565', '', '15049132275', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ZyBbWhfS2K08PfIBJyWPa.G8/5XL8hbbYqcwyG5uopgBT7NEVi6Ma', '', 'uPJOPgfISbz0MWn691zAy_zoBf4OJgMi', '', '0', '安社跃', '', 'asy00d', '安社跃D', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762135', '1546762135', '', '0', '80ae0abd-c085-f938-c3fb-5177c70db0c0');
INSERT INTO `car_user` VALUES ('566', '', '13058335182', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XQGZfR478M87GuCcKl/jq.msDzSrJuSrlNse4fgXiOZ67jAmysvV.', '', 'hTBOk81nwQxmq2kHUE1v4uwFRRwlqnbX', '', '0', '曾会东', '', 'jc0000', '璟程', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762188', '1546762188', '', '0', 'a8590cf2-3d4f-7b42-7ab5-5a2c31b82e34');
INSERT INTO `car_user` VALUES ('568', '', '13339799005', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$MQNnk1wYQZ2j0NS1wbV1pOlvBYqo.oBy98zUt97OPmRUtyh.MlYFi', '', 'bdKGb_mQObEzCXNddZVfmrlFxznBYDXB', '', '0', '羊羊', '', 'yy0000', '羊羊', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762229', '1546762229', '', '0', '399e1168-dcba-8511-e956-311d92c5c0ca');
INSERT INTO `car_user` VALUES ('569', '', '18162425767', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$u4ieeRrhdJqz6QpOvggmVeno3cxVxnYS7NHqlRoj24LFTowE4a.Vm', '', 'uqA36e1hyZcLCRBpG6T1-OMnQ9TzFTXO', '', '0', '沈表妹', '', 'sbm000', '沈表妹', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762281', '1546762281', '', '0', 'b81901f7-2b5d-7064-11e5-a67f583a47e8');
INSERT INTO `car_user` VALUES ('571', '', '15862425767', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$HCdpE6/uLsn0ArwUlXH14OvXZ7/hh2HIWTRBTr6HuvAx8bHERFGFS', '', 'tSLFirn7BtJHW36rHOjItCg8BVbwOyq9', '', '0', '沈表妹', '', 'sbm001', '沈表妹1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762334', '1546762334', '', '0', 'c78f0c67-44a9-5cdc-0101-b9e32ee7c5e3');
INSERT INTO `car_user` VALUES ('572', '', '18171379532', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$seQHWjmhNuYcty0Ky9vg8uegrQAJ8G8zy8iu/iGCq1On/mZTtPVx.', '', '9WeZ9KCTPTjP23fqdFiOoPYMsNmAY9Vk', '', '0', '沈表妹', '', 'sbm002', '沈表妹2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762374', '1546762374', '', '0', 'cabafe09-ed3a-e5e5-a0a2-063c9abbf419');
INSERT INTO `car_user` VALUES ('573', '', '18171379532', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QFGt8ugPc3c2u8IgCfa5lOIXxnkl2SZZD9ACdzqLO6WPuoDS4oMzi', '', 'LvOqrg5idTkC7FbyqGhB75spS5BBXkj4', '', '0', '沈表妹', '', 'sbm003', '沈表妹3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762414', '1546762414', '', '0', 'cabafe09-ed3a-e5e5-a0a2-063c9abbf419');
INSERT INTO `car_user` VALUES ('574', '', '18171379532', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7lWRqgciz3QupVxs5Pgu7eS9SgFz6rlL/Q2lrHGsvX.84..CPoszC', '', 'tY062BoXdc_XP7ADugIhnHRF5ncY1q9I', '', '0', '沈表妹', '', 'sbm004', '沈表妹4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762437', '1546762437', '', '0', 'cabafe09-ed3a-e5e5-a0a2-063c9abbf419');
INSERT INTO `car_user` VALUES ('575', '', '13072751279', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9CocTMiqlL7vSHawficn5OzDgqf1yZJLHsRHRP0WVorj00QnCcM3C', '', '0-gTZtKvflD6YKMhZide91uEtovNheyT', '', '0', '欧阳伟强', '', 'oywq00', '欧阳伟强', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762489', '1546762489', '', '0', 'c78cc515-e4a7-08d4-5504-6e668bfc2721');
INSERT INTO `car_user` VALUES ('576', '', '13072751279', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ees828dlE/paCfpiMk5ym.oLM0yArr2xlKMxEDacdZ/9Vp0glLkg2', '', 'eJL_Ckyl29-yC24FiJWmsvSmn2CMJny-', '', '0', '欧阳伟强', '', 'oywq01', '欧阳伟强1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762520', '1546762520', '', '0', 'c78cc515-e4a7-08d4-5504-6e668bfc2721');
INSERT INTO `car_user` VALUES ('577', '', '13072751279', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WnMlin.m49v.NXlRRGvw0OpgUtOYQlCHaS0quMZO1pAfGA5mejxFm', '', 'GH6OGnr8pH9ucFdss5Ko_zPGePCYwQ3Q', '', '0', '欧阳伟强', '', 'oywq02', '欧阳伟强2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762607', '1546762607', '', '0', 'c78cc515-e4a7-08d4-5504-6e668bfc2721');
INSERT INTO `car_user` VALUES ('578', '', '13072751279', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7h7EcKQqtG7yUqgCKaA.6OxihhuaOx.nODZGnId/gJpl0PSbrVGqy', '', 'wOt2bosFKfr-BNMolfWOvWpkxL46GIsN', '', '0', '欧阳伟强', '', 'oywq03', '欧阳伟强3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762614', '1546762614', '', '0', 'c78cc515-e4a7-08d4-5504-6e668bfc2721');
INSERT INTO `car_user` VALUES ('579', '', '13072751279', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qZayOu6eL2dr74dg3flNkeM7/RkewIQOh1KbkJr2gIHuRfQrnaifS', '', 'GcJfD2ICQo69aHS_XWaOa4WMF09F7Z4r', '', '0', '欧阳伟强', '', 'oywq04', '欧阳伟强4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762620', '1546762620', '', '0', 'c78cc515-e4a7-08d4-5504-6e668bfc2721');
INSERT INTO `car_user` VALUES ('580', '', '13072751279', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$utYFlq/Qyu8rav3wUqD9lOkF36/LRfHHN6s3viilD3T2zV0605ZTy', '', 'RuIa8XLn8c-Iw89t3InN4vNY9pu3G1US', '', '0', '欧阳伟强', '', 'oywq05', '欧阳伟强5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762628', '1546762628', '', '0', 'c78cc515-e4a7-08d4-5504-6e668bfc2721');
INSERT INTO `car_user` VALUES ('581', '', '13072751279', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Q35dUcPIvkcwmGSEt.qcqOGNz5Ll6KDZVnaiOpp7a3ZgTrnnTD1uy', '', 'PdPDrpobajcETWsi4yayc1mA_1Gw6uKt', '', '0', '欧阳伟强', '', 'oywq06', '欧阳伟强6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762636', '1546762636', '', '0', 'c78cc515-e4a7-08d4-5504-6e668bfc2721');
INSERT INTO `car_user` VALUES ('582', '', '13072751279', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TokcUA1OQZhXECV1z6lxE.73N4JKGpESNz4hJpeodEJjSphcKC.Xm', '', 'iXyEU3gaUaCpadV_c_fJUmantWKO8s7E', '', '0', '欧阳伟强', '', 'oywq07', '欧阳伟强7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762642', '1546762642', '', '0', 'c78cc515-e4a7-08d4-5504-6e668bfc2721');
INSERT INTO `car_user` VALUES ('583', '', '13072751279', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rxoGRJbPHY9M9cTs3uDvoOv4EJyAPOz.pKkyfTx/6pPE.gl83ChU.', '', 'FFamJV3O80eo7iW8nFKZLxcyC7yqNN_B', '', '0', '欧阳伟强', '', 'oywq08', '欧阳伟强8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762649', '1546762649', '', '0', 'c78cc515-e4a7-08d4-5504-6e668bfc2721');
INSERT INTO `car_user` VALUES ('585', '', '18027082290', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Wdz1Cz1szfQ7NJTlGcdQUuJDw6ZKOPJnGGuhOEuebdx.I6paneC3i', '', 'JDbiYSqPOSNkA1WyYPiCJhpp_JUsjLNv', '', '0', '甘万军', '', 'gwj000', '甘万军', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762723', '1546762723', '', '0', 'd88cd99e-6ec8-2784-abd2-41e418b7a91f');
INSERT INTO `car_user` VALUES ('586', '', '15327108089', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Z/lEZ14PMlLZwKUHHdFKXOBHzxafVxO7Ov6iKIWPVMsg..dq.vzIu', '', 'NDPxXv-Lk2szpnuKlLjrCiy7drKIFPOO', '', '0', '陶琴兰', '', 'tql000', '陶琴兰', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762758', '1546762758', '', '0', '087ccdcc-6d42-c453-b1d0-ec875cd3152d');
INSERT INTO `car_user` VALUES ('587', '', '15374883833', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Q2hY1.3jnxt9SNl2/7S/t.TxaWiBxL2V8rJ1EhIf5yluXbXcUecrG', '', 'rJhcVdPTIBcc6Canr-RtSvRtJ3AoVFGC', '', '0', '张喜斌', '', 'zxb002', '张喜斌2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762791', '1546762791', '', '0', 'b27b0e56-2a28-bf8d-1884-94eb9b060998');
INSERT INTO `car_user` VALUES ('588', '', '13488535216', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1wFzm7sVwR4/ODTD80CRF.agaeHhY3XVj0MBZHN1EP/oi7cpV0y8S', '', 'gilUPkNoH1tPcXDTnWZCjlgT_d8TTrbp', '', '0', '郭玉珍', '', 'gyzb5216', '郭玉珍B5216', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762825', '1546762825', '', '0', 'd9d26d20-fb6c-9c18-bd18-7bf58fa0f961');
INSERT INTO `car_user` VALUES ('589', '', '13466599157', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$SJpdZaunUbcMfeLoDW6HOuoWHFGNiE7AQpIp2GR68YieJXSWWvuT2', '', 'mQWn61T9MoHX9f_DjjXfUVV6JslUDz-j', '', '0', '侯宝宝', '', 'hbb00a', '侯宝宝A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762864', '1546762864', '', '0', 'c1b1e103-377b-7c7e-79cf-b126e2df4f2d');
INSERT INTO `car_user` VALUES ('590', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$cKPLMhSXmK3uYowVqEm6zOFXxGC8aBF27CgwgZDxu5/kaMt7vvWb6', '', 'iUThzuH9VbjFa8zV_xQc6yfmHcWAAuUC', '', '0', '危厚奖', '', 'whj000', '危厚奖', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762911', '1546762911', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('591', '', '13517213451', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$G7D7L5jw1cI0bD11KFvsfOyGl5BahgZn7S3LllgvCDmsJyV0me8Zu', '', 'q2Z2fU33oWvnA7u5o-KqWzuhOdLyqynt', '', '0', '危厚奖9', '', 'whj009', '危厚奖9', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762953', '1546762953', '', '0', '6486718a-e5b7-6498-5392-2c5339f724c4');
INSERT INTO `car_user` VALUES ('592', '', '17638683526', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$jJjqkEFwZe4jPIagzY3t8ewMUoXQ.udbCZuA.Jc4DX7Vu.xG4wCoG', '', 'w-5gYc-APbvbv6fj46JJca_kxY0wjBFr', '', '0', '顾曙光', '', 'g17638683526', 'g17638683526', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546762980', '1546762980', '', '0', 'adb4b9d5-cbb9-11ed-d0f4-167a2e9fba8e');
INSERT INTO `car_user` VALUES ('594', '', '15927428566', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$CdDe7NM5nR2j3FOGrLwkGOjh0P6Ej9DhoFfVxtJ4OAdZpu62DCzhO', '', 'dyrJKksPnyCZtyiyUbW-F4RSer9gbEAu', '', '0', '龚怡', '', 'gong1014', 'Gong1014', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763025', '1546763025', '', '0', 'dff0114f-eb00-d427-7d55-d4e8930bf25f');
INSERT INTO `car_user` VALUES ('596', '', '13657176666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$fOb/lzS8zsp7f.jVCj37GuQzt7vfC3V7WX7RWOhJMvsyFW5XqMqaS', '', '1RzMV_3yebONskJiQphwO2W2SMUOt5vg', '', '0', '张召华', '', 'zsh000', '张召华', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763064', '1546763064', '', '0', '6a2e2e60-8735-5b77-fe70-60219ca3bec2');
INSERT INTO `car_user` VALUES ('597', '', '13657176666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Mf5bWFRY8wBOLYEfb7i0J.LpnmDRH7farZ62yzno9qtUEaKMi3lBW', '', 'Om6Tlixmw636YP7pF_vZlGKucWLGCsF6', '', '0', '李连朵', '', 'lld000', '李连朵', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763120', '1546763120', '', '0', '6a2e2e60-8735-5b77-fe70-60219ca3bec2');
INSERT INTO `car_user` VALUES ('598', '', '15802760607', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QoUiVcZ.5IfyOqBDeKvPSOXDQ0vNQsXo7.819cZIwymVyIFzReFhe', '', 'K5v2rFxDzj1KCS8xatIP5NZxpLwCtIs8', '', '0', '李连朵', '', 'lld001', '李连朵1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763156', '1546763156', '', '0', '275480b3-75c1-2d04-1e1f-865e434d1428');
INSERT INTO `car_user` VALUES ('599', '', '15802760607', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$X8JwAvr9ma9Agxu9pNxcne6e56fX9iVpCTn2RSk.t3effHJeJxwDy', '', 'hcuEQNjo4Xna_poLcn8L4kE-drXCsnos', '', '0', '李连朵', '', 'lld002', '李连朵2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763198', '1546763198', '', '0', '275480b3-75c1-2d04-1e1f-865e434d1428');
INSERT INTO `car_user` VALUES ('600', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TjqG/AdJGKo.yHPFQmWRFeH7VrhD97mMhT1G5TN0tqMtk8ZUMeUkm', '', '-0Wk9BPO8a5nO36Fls_2XbFVaAKcDRDh', '', '0', '王楠', '', 'wn0000', '粮油专家王楠', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763264', '1546763264', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('601', '', '13848528383', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kT3iXdNjiZbfVgkWqPEFSux1Q1TBxJBmDbLd2T0oj8Nlh8QGK3IFe', '', 'OT4e89GXNVJj6sSurGQ8KrUPbblJ6oQC', '', '0', '王强', '', 'wqa8383', '王强A8383', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763308', '1546763308', '', '0', '2de7656e-2e48-9d70-5d93-fcdbb2eb6c81');
INSERT INTO `car_user` VALUES ('603', '', '18647200411', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$dds9PVBy7G4qFDNLyXZQhOV5oZG8IuBEU2sJSfw5VNyKtZ78Y/uGS', '', '-PbcRH3X0dbWMzLaiMOsg7LVimafG2bX', '', '0', '郑秀英', '', 'zxy0927a', '郑秀英0927A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763359', '1546763359', '', '0', '5655af0b-6849-df27-1117-722a506a1fca');
INSERT INTO `car_user` VALUES ('604', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QKBT2dRX4wDK/T1Ewdcbr.3IycjPsoPpEZDR8XCfPOVN2NJbLkZce', '', 'VLix1YqMIGz19eyqcYq6yVuNpywwcEhQ', '', '0', '曾会东', '', 'zhd000', '曾会东', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763394', '1546763394', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('606', '', '13760947011', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Qgg57ujEabeD52AIKCcV2Ofv1CBkmcCCaae5v7PnmsNjUUp3VNntC', '', '7lv5ICiszqckCfj50mjDVR_H5Z5OV8gt', '', '0', '刘世棠', '', 'lst007', '刘世棠7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763429', '1546763429', '', '0', 'bfb329b3-4207-a3ac-1ea5-06af6bf94ba1');
INSERT INTO `car_user` VALUES ('607', '', '18138342714', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FWjorc9eP8WJvRC76wHnV.DJHDk2cbIKc0dGKQ32UQt0HGVvIUSqm', '', '_8niNtQVU_0NghPwbgZt1B27jhEiwUQw', '', '0', '王思予', '', 'wsy000', '王思予', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763459', '1546763459', '', '0', 'cb2b0ec4-2241-3ee0-9e4e-8026b078d1cb');
INSERT INTO `car_user` VALUES ('608', '', '18666381129', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Dn6mmVMU5S4VfUpD1g6nuuuLEN35IZJjJDXSt3RoJCvvfbSK6ZLEG', '', '8AkolwmfdbQ9ipobCltWxcGHAy94rz0k', '', '0', '霍念潮', '', 'hsc000', '霍念潮', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763490', '1546763490', '', '0', 'db3e390a-9f4f-46b8-8664-019cb1e550e2');
INSERT INTO `car_user` VALUES ('609', '', '13726611552', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kpMhqYLmoRevDiBLqIQHKO8gpgCd74jsR0TF02kdcr6.fDJYF.w/.', '', 'IxkM1wpV3_oE6g7xQcpTLMFaPSa85r0R', '', '0', '刘志芳', '', 'lzf000', '刘志芳', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763515', '1546763515', '', '0', '93305620-fdf1-73e6-c077-17a8b60332a9');
INSERT INTO `car_user` VALUES ('610', '', '13690281390', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$LsUH1Mm8nt4nqdSWOHwa6eammJy3tST7AHTIE7ibcSjBTYBU51ZDW', '', 'dMwmUxOlJuilaMWARdf6gkSrEMoTRdMB', '', '0', '万青', '', 'wq0000', '万青', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763540', '1546763540', '', '0', '4f9ac812-1182-c88c-5a40-350b5e7359cd');
INSERT INTO `car_user` VALUES ('611', '', '13250086003', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$YgnD4xzNu/8onYZRFk1AQeM3r3kOU0OGRws/AmdwQGsHFDMjEoqqK', '', 'nKBR0lJ9tvaMloszRO9ZjmGzXuQoYu1a', '', '0', '梁炫珍', '', 'lxz000', '梁炫珍', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763568', '1546763568', '', '0', '088949e5-a985-61a2-346f-f88571a4deaa');
INSERT INTO `car_user` VALUES ('613', '', '13568084313', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Y4st2FDugL6ccwTB9bSYmek3JCwj0X8MNF4p2T2x78j6XbVk22bF2', '', 'b10CUSMqEyGUA5XDoCTrjV260shA_r7p', '', '0', '舒谱', '', 'sp0000', '舒谱', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763602', '1546763602', '', '0', '34f3c4a5-72ea-8ea5-2cf0-839f19a08efc');
INSERT INTO `car_user` VALUES ('614', '', '13927734708', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mQHerMlf7s2ohirql9/afuO1SsBD3p5OkCzobSQgCFMXugINBqKtu', '', 'O11-odQwKM5StPr0K7v-1gqsWrRUHTqP', '', '0', '庄小花', '', 'zxh000', '庄小花', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763631', '1546763631', '', '0', '99fe3006-f09a-796e-8bad-4f999402439a');
INSERT INTO `car_user` VALUES ('615', '', '18578330664', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$s84jb9dihMbP5y4I/Xqb..wXKr2yoZPcebSiIXXU/8knLnPdh/cYO', '', 'EkQSQnPHg3H7AOCDQQNTqLGuQd6q3TrN', '', '0', '翟利娟', '', 'hlj000', '翟利娟', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763655', '1546763655', '', '0', '408ddd24-a4bb-da0b-2021-92f350d8939b');
INSERT INTO `car_user` VALUES ('616', '', '13620102366', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$/GM7wSP1qPQ6mw9qynKqbe1PfWkPijrPh9lXIWdUKpj3h/KMP9r0q', '', 'w2ro-UDkJH5cYULA10-z0r3g1gLWD2nF', '', '0', '叶惠芳', '', 'yhf000', '叶惠芳', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763688', '1546763688', '', '0', '334175bd-037c-61c1-65e1-a54bafc45fef');
INSERT INTO `car_user` VALUES ('617', '', '13751523899', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3K7HmzfArhb1/NdEUyFueuRyFNp5zXynx0GleCT5ILbT0pM6mvznq', '', '5RJRbfFfBLMBGMb6h5900e-v6ccsA3vn', '', '0', '黄婉珊', '', 'hws00c', '黄婉珊C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763719', '1546763719', '', '0', '5a4f2150-918f-979f-283a-0867a6b18dc6');
INSERT INTO `car_user` VALUES ('618', '', '13927757223', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Bmx0Ukp26.8Jx.IzYb5bCOguS8mJc6c9qvNbFZxUpMy9OTH8a7vvq', '', 'Jh7QLZnF4-gKlx0pAq2AWcaGmMNa55J-', '', '0', '苏爱萍', '', 'sap000', '苏爱萍', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763753', '1546763753', '', '0', '6f7b5254-cda3-9a24-1b29-93291fdb696b');
INSERT INTO `car_user` VALUES ('619', '', '13825562090', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$PR.ME2F0K5ppwZgDQCGgJOgJE/sg8gK.Nxq5FDB6ux4y1Gtr98iLi', '', 'Ge-6HFJfjN3uuvdQ_KIWR3aX57JXyrLf', '', '0', '何素珍', '', 'hsz00e', '何素珍E', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763783', '1546763783', '', '0', '65f2a4ba-89cd-0052-4c74-03eae8bc7c68');
INSERT INTO `car_user` VALUES ('621', '', '15327286915', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yyTJfoXazhmIEhsaedBBYORkkpddedLr1Uuruz/t6pDlQZROzXPD2', '', '8MgY26TQyApXDEgFUz1VAaU83GJg2wWj', '', '0', '陈庆喜', '', 'cqxzx0', '陈庆喜中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546763954', '1546763954', '', '0', '56c92518-1e7f-775f-b4da-630f04e8dc5e');
INSERT INTO `car_user` VALUES ('622', '', '15505860503', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5y1mvI0OEatM1yvb8kcdC.jThWrBi5ueeMZD73f8QFOsswIM3TSdK', '', '8jqBt6s_K7PQ81T5DFjGamYmHjjNECnh', '', '0', '刘香连', '', 'lxl067', '刘香连67', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546825386', '1546825386', '', '0', 'cd81ff0a-75cc-5fde-ee5d-d4590a501ce4');
INSERT INTO `car_user` VALUES ('629', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8RalK.5H5dNQnJF7xvS9uOg6z39IqfQiIU1qB.efdHcItYvg6qzpq', '', '38pXBRpg17tfi7jdBb46d4nJPoQIGGeg', '', '0', '谢浩扬43', '', 'xhy043', '谢浩扬43', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546825492', '1546825492', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('630', '', '18747487458', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$n2lUfv1qHosqgL6VQsC.i.pTR6OMNzTpo6ciQ8FZi9YcT4STNcq6K', '', 'mWbQ-6_zRXJu94PLqSLgoCKFfCQV7mrv', '', '0', '张丽芬', '', 'zlf00a', '张丽芬α', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546825767', '1546825767', '', '0', '2d2c2072-1edb-31e9-1d52-49fd63701bce');
INSERT INTO `car_user` VALUES ('632', '', '13185473906', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Pi3jzOYBof8km6BpD5835.DU1KOQlMxqFsvLvrV1Y7wneQSohw0mW', '', 'kzGx-x2Fd6fqJGkKV-1GDHqPNPbhJyKH', '', '0', '任天昊', '', 'rth004', '任天昊4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546825884', '1546825884', '', '0', '8e8da18f-79d5-032d-d277-b61f066744b4');
INSERT INTO `car_user` VALUES ('633', '', '15049362997', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WOBaGq8FHmoVe4c87mBFcuSEtqhgnQ/YMSTJvOMEaqELGpa7/okRK', '', 'PkZZDM0uF6hin8yQzNwcHGa8M_QfRn8n', '', '0', '苏博伟', '', 'sbw002', '苏博伟2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546826047', '1546826047', '', '0', '9524e53e-e877-3f93-a3d7-381354347acb');
INSERT INTO `car_user` VALUES ('635', '', '15049362997', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6EdWYPajPCXfzAthVYKvX.YtSRem7zR34ABZv6YxlbgV2gORNETGO', '', 'pV7DU5kB80c57zF9QftWFhb-5rLNKZVs', '', '0', '苏博伟', '', 'sbw000', '苏博伟', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546826141', '1546826141', '', '0', '9524e53e-e877-3f93-a3d7-381354347acb');
INSERT INTO `car_user` VALUES ('636', '', '15248180628', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Wqbg5BdcdFuLVE2McWnkge4E05PRkg8j9WfdS17jltMe9ea9MMfkW', '', 'jrt0dfIh7y3pKJ1ieyMyXucGp81y2H4N', '', '0', '乌云毕力格', '', 'wyblg0', '乌云毕力格', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546826214', '1546826214', '', '0', '599a2087-7911-6aba-f18c-3493679fe42a');
INSERT INTO `car_user` VALUES ('638', '', '15248180627', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vUNwuGe7ELW6YS37RhZdf.0uUK1zVsADRD5LKkQ3A9jwN6O/eX.qS', '', 'BhP5dQo5uvEd3vyrRNWCmH6uTfRme8ks', '', '0', '乌云毕力格', '', 'wyblg1316', '乌云毕力格1316', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546826385', '1546826385', '', '0', '5e91a281-caa5-ed6d-8231-64222374d7d5');
INSERT INTO `car_user` VALUES ('640', '', '13654748915', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pQz7OcGFRSsODpYw/1DWu.vfNrJ8u93t3wH33Up5.vrOGg0KqwUfu', '', 'pwTRr8ApUJxIwmxuuBP10otcq0Be-lni', '', '0', '薛丙兰', '', 'xbl003', '薛丙兰3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546826488', '1546826488', '', '0', 'bca79e15-c76e-e93d-30f2-e2bef96ec135');
INSERT INTO `car_user` VALUES ('641', '', '18571123551', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$JbbFo9ag4497tEUR4WzTMOQjp0GH/.YDPqJlhIVzAtJyRm3RnG//a', '', 'gfC6U7JY7cyuUWyDVBPdlQmCJDhmDWRA', '', '0', '何莉华', '', 'hlh000', '何莉华0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546826647', '1546826647', '', '0', 'dfacff09-ccc5-cb31-e163-5f36c5dd9a81');
INSERT INTO `car_user` VALUES ('703', '', '19941874134', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Wo/5aTlL7CjXxTudRX2NKOefobQN41ni22z4B.CBcYcHMtijXr9SG', '', 'HBSTuuqGxlE1X07x5tpHhOysRaSobxkh', '', '0', '赵秀丽', '', 'zxl000', '赵秀丽', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546827061', '1546827061', '', '0', '07babaa0-68d7-bda9-a7e1-a10ef8a40185');
INSERT INTO `car_user` VALUES ('705', '', '13693368069', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hQfeQnu8NUvsXZmmjXdbMuKPe7qfFS6jOF93.5L0Uw.t5EHW8nIzC', '', 'VwvA255BjQaxq_TV6sluQTUfUVlS3LXp', '', '0', '贺海容', '', 'hhr000', '贺海容', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546827907', '1546827907', '', '0', '73c6fcdf-e718-92db-c2af-900eeabba89b');
INSERT INTO `car_user` VALUES ('706', '', '18908911238', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$N2jLTHjearyM.z0/sJnI1OPqGBAqiRAokZHTroZ7ZRxhB/AzN7L3e', '', 'wMTGS9g30AmcQ2cXke-FUqUarhfEJMZ7', '', '0', '魏福桃', '', 'wft00a', '魏福桃A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546828467', '1546828467', '', '0', '967e6c8b-d468-e2ae-ce45-5aea2873a615');
INSERT INTO `car_user` VALUES ('707', '', '18908911238', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6wbOFsvtCbcj3nnojpOmpOjvZzAaSYFLcfSoDgNJhl00S4N1zuWca', '', 'FouaITz0XE-eOgjCiBPPKIjJY-swo8ic', '', '0', '魏福桃', '', 'wft00b', '魏福桃B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546828609', '1546828609', '', '0', '967e6c8b-d468-e2ae-ce45-5aea2873a615');
INSERT INTO `car_user` VALUES ('710', '', '18062318334', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$tq6BKVsw7Or93TcNN2KrreHwmuNNhavqTPpYD6F.XqM7ZSfGimCwS', '', 'O1XlkrFcGeowZrYLGeHY3l_-3jcp7OtF', '', '0', '杨光浩', '', 'ygh000', '杨光浩', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546828794', '1546828794', '', '0', '34089016-51c3-dc69-aaad-e07ebc4fea9a');
INSERT INTO `car_user` VALUES ('712', '', '13516669011', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8eCkbvaRhUKgT.uX3NVzjOsxjzrpva48leS3FCBPDyG8TqBQoq94G', '', 'XT0oVuxSKGyniQQdSxx5KySHOOVfxcIU', '', '0', '李志光', '', 'lzg081', '李志光81', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546828950', '1546828950', '', '0', '9a8b4080-b177-ca01-69e8-d4130021e95f');
INSERT INTO `car_user` VALUES ('714', '', '15910215193', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$OQli9AVJjkidvn8jLsPCMuhNXyW8TbmiVUmurXIMKva0yGTx70NBW', '', 'Jgk7uN3i85fnZ0n4Xym2ndhtR7PgBPbC', '', '0', '贾玲玲', '', 'jll000', '贾玲玲', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546829033', '1546829033', '', '0', '257b2ce3-4bf3-2cce-4f50-cfb84c8c93fd');
INSERT INTO `car_user` VALUES ('721', '', '18626071212', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$LMR4lNDHq.doH1mB6CS76uz3fttSPKOdyLkusL.6GdT.7GSAabz5a', '', 'rgoRLk3DewdY8IEDbmLyeZraKTTHiRd4', '', '0', '曾瑞珍', '', 'zrz081', '曾瑞珍81', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546829105', '1546829105', '', '0', 'd52bf3b3-c5f0-bcf6-0f2a-d1ed9e04c3cd');
INSERT INTO `car_user` VALUES ('722', '', '18620766111', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$OzC0QuKzI8tTPtzGS0FTeelQOC6jujBdwIdq7XDznQ0o8L2jLzxLm', '', 'SbbIKT9UQn-5xhtRjehi3bx9dKLQr_Iy', '', '0', '曾伟忠', '', 'zwz081', '曾伟忠81', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546829158', '1546829158', '', '0', '39fa3ecc-e8a3-b4a0-8f20-486dbb383782');
INSERT INTO `car_user` VALUES ('730', '', '15926850688', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kswKIpjSm27kYjmgIp27T.06ywxZ5SWOnri.Ok0bhvi84226uuB9C', '', 'FO0MSBXhY6fmh7kmPwLmzI2QZiUinjv2', '', '0', '李颖', '', 'ly000d', '李颖D', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546829210', '1546829210', '', '0', '476455c2-3845-6050-de5f-a6e320fd0f5e');
INSERT INTO `car_user` VALUES ('731', '', '13947475415', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$dtO1EJucoKY7J9ygtIuY6O6uyTY/aatr6aUwtrm3K/SOQuGHbNWcO', '', 'VJR1KWWxXUwilDTJ0sJ397CcR17wzSO8', '', '0', '刘宝林', '', 'lbl000', '刘宝林', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546829319', '1546829319', '', '0', '02ce1f09-0766-a57b-c654-5b439655c453');
INSERT INTO `car_user` VALUES ('736', '', '13387230368', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$K6wFm2BA6l0qI/1vXs0CmujHByebslZy0pWbA1Eg/4Lp40zHLIHP2', '', 'JdFjhlOENJOTVIoXyCC7a9wBH0gywQrN', '', '0', '王妮妮', '', 'wnn002', '王妮妮2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546829424', '1546829424', '', '0', '21bf55ce-9e7d-6723-fa25-9ca73fd9c987');
INSERT INTO `car_user` VALUES ('737', '', '18640376769', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$0kqpwfUAAdTdcEpAUZwrUuMObTgoA8P9sN5MaaPJo0wXkVtg/eMf2', '', 'WPZHYFs8N8KpuWdkv0r2pz-r_NqHcN2J', '', '0', '张玉清', '', 'zyq005', '张玉清5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546829486', '1546829486', '', '0', '155ac236-f98f-ba21-19aa-8f7377500d32');
INSERT INTO `car_user` VALUES ('738', '', '13927649383', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$4gHH3L0x/wNdDdlxb8rxe.C48aVwpLSzxVd3f2xblAlD2F0a07EYS', '', '4OsXT4x8pKjZS6ZjJstFJLmirA0o2tDE', '', '0', '刘桂英', '', 'lgh000', '刘桂华', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546829587', '1546829587', '', '0', '40c74ac9-a4a0-eecb-3f3d-969acf615dec');
INSERT INTO `car_user` VALUES ('739', '', '15991833109', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RFV9aC6zNXuyOcrjNFem/eloclzd6KMl917zLhOAvMnWwN9XPl8Qq', '', 's2fRFyhRKZ0mnj86UBQKpXkZIXXR1kUi', '', '0', '闫顶志', '', 'ydz001', '闫顶志1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546829675', '1546829675', '', '0', '4c1fbd04-e081-8cf5-c515-934fa2d2c64a');
INSERT INTO `car_user` VALUES ('740', '', '15991833109', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$K.mFE8O6WdDaOgKr95ya4eOek/25m0x3Q9tyGaHjbyaQS3ecu024O', '', '_6ByousY5lQMXgNbgl9224EDSCW-1Sx3', '', '0', '闫顶志', '', 'ydz004', '闫顶志4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546829708', '1546829708', '', '0', '4c1fbd04-e081-8cf5-c515-934fa2d2c64a');
INSERT INTO `car_user` VALUES ('741', '', '15891160681', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$f9ChojOCFiZVbCa/aU1LauZ1RT6GJYLxfymg6c1O95QmrH0ba9VBm', '', '2-Ah2cy_XkgUAaYjoEEz_TXsLIWbjf4A', '', '0', '向海霞', '', 'xhx002', '向海霞2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546829982', '1546829982', '', '0', 'ad786f64-eada-374d-d642-b0c3df658d51');
INSERT INTO `car_user` VALUES ('742', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ElBP5W7709zrWYRoRonnV.VlqHNRM84lXqQjy/D1/X.1F0viBB8Sy', '', 'PwHg4USjCH5f_Wi3Km5fZi3idoRxAjm-', '', '0', '崔念崧', '', 'cns000', '崔念崧', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546830001', '1546830001', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('743', '', '15891160681', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Xhw3KT31OxpHVmRP1uokIOeJnH.nsjWYQu/tSDKmZF9edBaskAWaq', '', 'VoPtKvChBB2bOiosJto4thGxk6tFay3V', '', '0', '向海霞', '', 'xhx004', '向海霞4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546830014', '1546830014', '', '0', 'ad786f64-eada-374d-d642-b0c3df658d51');
INSERT INTO `car_user` VALUES ('752', '', '15504715036', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Fsqvh9Vt67aoew638/nHyuvQg0sIbB9dmqACkHqBLP12pu1KVjWwG', '', 'bVJKDlztn-89ya3W2c2h5TXtVt3OCO_s', '', '0', '张文', '', 'zw0005', '张文5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546830109', '1546830109', '', '0', 'c90dad88-9296-268e-b9ee-97676baecb48');
INSERT INTO `car_user` VALUES ('760', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$MBLd4SNVX7P4rzjSXsUmEeCEVqww2YXHN3dIi9Cpi95Gy1LI6nz7C', '', 'GGG415b6KvmDNuHFyl0E-Bt58Znce9_6', '', '0', '崔绍其', '', 'csq000', '崔绍其', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546830180', '1546830180', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('761', '', '15847440932', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hzEtcyDo.A9kqx/KlgLArOtAdCwVZLt91VJJ627H5AnSHtqEeEdyu', '', 'la7vQ-wK_Dw920WNMVIyAN62BTx5mnJv', '', '0', '张旭琴', '', 'zxq00a', '张旭琴A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546830184', '1546830184', '', '0', '8406ee30-0b4d-0cf6-919f-ec21c5c9836f');
INSERT INTO `car_user` VALUES ('770', '', '13992650680', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$d8RdDypHgY9r2qOqm1YPY.mw0bsTbyfRFjzT8fAVpwK1oEAWKwKk6', '', '7Sd0TQr2nQdmRNQmbFs7jKXUUZTYeSLs', '', '0', '马根平', '', 'mgp000', '马根平', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546830275', '1546830275', '', '0', 'a154ad12-dc36-2672-fe0b-f5092983ce1a');
INSERT INTO `car_user` VALUES ('772', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$BieKlRMAcbpn9hmA2Zy0geDPZXqdegf1HGj03hALYURRU9zDAYS/m', '', '004emfGDWG43xi3eiaLG9n-bwSeCExpz', '', '0', '崔云开', '', 'cyk000', '崔云开', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546830308', '1546830308', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('774', '', '15319384660', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$sydviK./ZWV6Y24XS7ARw.MTv8.6HzaVsK.PtNFQw1wjTsnkSlneW', '', 'ifypCgAq2n2mY0dHiPffmxJSLPZngmF5', '', '0', '蒋荣健', '', 'jrj000', '蒋荣健', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546830389', '1546830389', '', '0', 'b7cf6b82-8641-eb73-91bb-8859f33a2f36');
INSERT INTO `car_user` VALUES ('777', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mdgR8kT1wr3zgGx86HiNSeYvj/fKBXkGSIjIdJfrF4fiyXJZZSM/.', '', 'ZmAmvbywcxgpHkYF3F0VvlBEaquGvTTs', '', '0', '老宝怡', '', 'lby000', '老宝怡', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546830501', '1546830501', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('778', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Bt33twjqt7gLqBBNQCNXF.svFUa/jnHbfWW3dslnb5D8IioThs61q', '', 'ry_jRCs9VxgTeIBbBL2C09sboFjZhqRe', '', '0', '崔珍葵', '', 'czk00a', '崔珍葵A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546830809', '1546830809', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('779', '', '15891160681', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7/3JfZK53b9fagCBkd9HX.Ni7ahdwxcm0nGC/cc9L3jStPUQgIYJG', '', '7Y1vM4KaU_W293N4-EMg-IKBCFtZSN6D', '', '0', '向海霞', '', 'xhx001', '向海霞1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546830834', '1546830834', '', '0', 'ad786f64-eada-374d-d642-b0c3df658d51');
INSERT INTO `car_user` VALUES ('780', '', '15891160681', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ouXzoHrwRgeIEJaRwDvT9OX94EjzSr5cvmQ//Usbo8eMuH8u6pKfW', '', 'pM2otOgiTbpXd1oSHEnemNYUicYp_9J9', '', '0', '向海霞', '', 'xhx120', '向海霞120', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546830889', '1546830889', '', '0', 'ad786f64-eada-374d-d642-b0c3df658d51');
INSERT INTO `car_user` VALUES ('781', '', '13267618931', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$n3OfCxydWfLZYwuKg1J9L.bZRiwMoTLpNaKdquezvtsvfuepjPfou', '', 'qufBED0aM6teolvDKNG0dw03aKTWzDI8', '', '0', '古玉伦', '', 'gyl030', '古玉伦30', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546830985', '1546830985', '', '0', 'e55cb6a9-544b-4e69-06f6-e1cff5fe9984');
INSERT INTO `car_user` VALUES ('782', '', '15904874688', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$b12PcXxQIxK3Ji9Owd88H.pDR8dQbPCTE5jIfkO3BzZjZPj/oDMIy', '', 'jaj37mLDy-kEt0Djqguy4l4cixHQRsN0', '', '0', '旭日', '', 'xr0006', '旭日6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546831039', '1546831039', '', '0', '0b8e323c-4388-9955-63bb-40de4b18e5ca');
INSERT INTO `car_user` VALUES ('783', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$4vmM3l1VToQyYPEawpov9.gviwf0VhrpydwNzN9Jayy9bNKtplrXC', '', 'LYq7VOfTtXl6fL7h7nlMDZFASOvkM0vi', '', '0', '崔艳芳', '', 'cyf000', '崔艳芳', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546831060', '1546831060', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('784', '', '13948427022', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$97pjPNHnEkfIvo/IXQAFc.t1/CKWq.BjRckHQsYTbih1Os9GDZvky', '', 'xThxIpUqZLfTj9pTe1BjiiPIIs2dSz0y', '', '0', '王运芬', '', 'wyf1229', '王运芬1229', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546831131', '1546831131', '', '0', '0c18e8c7-1424-5bff-0bef-eb12c8c151c5');
INSERT INTO `car_user` VALUES ('787', '', '13947104780', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$JLEa5D4KepUBj9M52ZWNIu1gktk6oorGkTb3SXkdc2aD3.hogzsLS', '', 'BrjLKuFI2uMyJilpAmOBuJi_Uv3OnS8z', '', '0', '付春兰', '', 'fcl0123', '付春兰0123', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546831896', '1546831896', '', '0', '77698b96-36ce-5450-6886-c99fa7022fef');
INSERT INTO `car_user` VALUES ('788', '', '18686196834', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$LBXiub2Hddxv/jzT4e356eoetRGIDQrSrqmuI4OquccxiRPuHChA2', '', 'D0SQrss8gUw1Bfhdu-0wRrG85QUJF4_K', '', '0', '崔宝燕', '', 'cby6914', '崔宝燕6914', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546831970', '1546831970', '', '0', '0a78e6ca-d77d-469f-8901-ce539899e561');
INSERT INTO `car_user` VALUES ('789', '', '13847271119', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TAMTltegATAo5FJZelJFTuvgDJ4eFbgELhBY9MGMkRlC42bW8J5Fu', '', 'rsTimEynUZOSAUQu84XwRU3RvL3yCh-L', '', '0', '张明', '', 'zm0007', '张明7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546832068', '1546832068', '', '0', 'd9c99701-7c30-885d-6944-128f0f7a3203');
INSERT INTO `car_user` VALUES ('790', '', '15827654768', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$eZwaMCvkqcz5ERN.pCxa2ez3Z.iSZXOqGHzJRAtLUHO2I7HTkez.S', '', 'OHPPOln5ZHf0ftEqxRZHg_Q58ILKhZmb', '', '0', '项艳红', '', 'xyh00a', '项艳红A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546832138', '1546832138', '', '0', '567199cc-94fe-e7bf-7e73-26aa4fd367c8');
INSERT INTO `car_user` VALUES ('792', '', '13652646304', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mmyPAUrMsrFxzEaAHsaarORt2Qz0ahbQDqiPMkjpRIHHYfQU/AiBq', '', '41jnQEWfUsGcj6r_IaEB8LeddGvxrGNO', '', '0', '赵传兴', '', 'zcx001', '赵传兴1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546832224', '1546832224', '', '0', '1250e520-1a78-e394-ad62-fa9b45d62bca');
INSERT INTO `car_user` VALUES ('793', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$40XNWHS0fe4K/CvRCyIscOo3N8PyLptdnw2DRL9U7CwpLwdXiQOgO', '', 'SkvwUtW0EwVR4rzbM-0DV_YXn3wLTDI1', '', '0', '李钰欢', '', 'lyf001', '李钰欢1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546832325', '1546832325', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('794', '', '15827654768', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Sj2tjHPJIo9j.qOjTj2lbefWGTnAwa/Bg38v8JVkcr2JSzOPLgF36', '', 'gEAjs3ArWmQyBeJMRO-oRCV_BjWI-44K', '', '0', '项艳红', '', 'xyh00b', '项艳红B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546832329', '1546832329', '', '0', '567199cc-94fe-e7bf-7e73-26aa4fd367c8');
INSERT INTO `car_user` VALUES ('795', '', '13902840272', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nH7ISW5rCkOF3nn3GJMQv.fkdaP6sdV0TUyDPgzE/Qs5QK1DFRSPe', '', 'lK8D0sDnrB9j-I2AZoPtfdfhyhd1vyKb', '', '0', '江美莲', '', 'jml00a', '江美莲A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546832392', '1546832392', '', '0', '4fb6ddd1-1605-dc3a-ddae-e3dfffb59077');
INSERT INTO `car_user` VALUES ('796', '', '15827654768', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xIW8uhLUJb2LGYBOWHV1r.80EplE0WbaWkD6qTy40exoH59utgyQS', '', 'cvdKwWcnU3iJ-QZdbzbPPmdpwnHoq7Kc', '', '0', '项艳红', '', 'xyh00c', '项艳红C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546832481', '1546832481', '', '0', '567199cc-94fe-e7bf-7e73-26aa4fd367c8');
INSERT INTO `car_user` VALUES ('797', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Uq9y6I64k499TSpyJfmWH.TTV1LbbFUeTSKVqyPSy9TCdqpZquyIW', '', 'KcNkOFUMFkS0Bi2HlMkFABtk2Sfyk3vf', '', '0', '崔琼开', '', 'cqk000', '崔琼开', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546832544', '1546832544', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('798', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ortqHCHhQAxcBq6kY1QsJOiKqLtVCUlnaobrF4WVDnZgxLdKxmpty', '', 'MrnRd7w9OTddgPN8wylRVFf2Mm8ta7Xv', '', '0', '崔琼开', '', 'cqk00a', '崔云开A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546832725', '1546832725', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('799', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$CBuodXBlat6VGN5xXBsduuscEe95nO9rrOGptdtv56S/LQUbacYUy', '', '9c7A7bV-5tCwfpqg9ig5Oo4VSd1d3tjn', '', '0', '卢倩萍', '', 'lqq000', '卢倩萍', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546832867', '1546832867', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('800', '', '15827654768', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rBdaw0UZ18imAW3QcEGxGOb9Izu8Qi1f82xd43.DFLRDvItwgfBLW', '', 'jbXmXQAbeDRdGg1Z52QwFOZl9rVh0aAv', '', '0', '项艳红', '', 'xyh00d', '项艳红D', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546832992', '1546832992', '', '0', '567199cc-94fe-e7bf-7e73-26aa4fd367c8');
INSERT INTO `car_user` VALUES ('801', '', '13997775677', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$IBRJ9GFHYZXiMtTF.1Anu.7379/cpQqToXXHe5UY2sVyiRd3cvpiy', '', 'mnRmNCgWCIFi620iObiHaSTYjJ3s3S0M', '', '0', '张珂贵', '', 'zkg00a', '张珂贵A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546833076', '1546833076', '', '0', '73b77a07-aeb2-3bb0-6584-da70511eb335');
INSERT INTO `car_user` VALUES ('803', '', '18942919330', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WpAeVRSBYjORQZOYd4YwOuk.GtQuIi0C4Qjs3ScFlfrjbMbb2kwrW', '', 'yGfwOEw6U5F0KlLe_2byalC7POhzpBpX', '', '0', '张伟', '', 'zw0000', '张伟', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546839523', '1546839523', '', '0', '34ebc260-45ec-e5d8-0d4f-48adf5248d12');
INSERT INTO `car_user` VALUES ('804', '', '15849398205', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.Yi1iC9nTiwsZY0Z.CZvtuU.F0FJIl68cNYVJ.CPR.10rxjJYbKMe', '', '4H7p3RbE0cxcCPYGgTUoVWgHFk5Uy2Gq', '', '0', '白杨', '', 'by000a', '白杨A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546839588', '1546839588', '', '0', '40bec43f-ac3e-a24b-178e-78dd30c3a4d8');
INSERT INTO `car_user` VALUES ('805', '', '13100618125', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vf49z7eqbbgW5EJm3e0hTOwYa03KFkl7ywExX3uI.STurSB8CPqIG', '', 'RCeYT2cUtviQ8_u1fLXMeC-IQsRUNDff', '', '0', '张芹', '', 'zq0000', '张芹', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546839642', '1546839642', '', '0', 'f2b86163-09f2-5752-037f-1a155c066248');
INSERT INTO `car_user` VALUES ('807', '', '13100618125', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$V6crDP1YPLPTznGwFCCiN.6funkJEr9zXbnCMOeUJCuPufrQnnktW', '', '5bMm3cSBmddy6fPQsii9QajN_FuZdCAz', '', '0', '张芹', '', 'zq0001', '张芹1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546839677', '1546839677', '', '0', 'f2b86163-09f2-5752-037f-1a155c066248');
INSERT INTO `car_user` VALUES ('808', '', '15947719433', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$sXwKk8uJnvUcyjh.6U4CTu1v1h2tWKogZGMPXOA33PrgrD.6h/.Za', '', 'W9dYIJwzjWXJt_rHAh-kocmWHdx4Prcn', '', '0', '张晓阳', '', 'zxy00a', '张晓阳A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546839735', '1546839735', '', '0', 'c55f1633-c046-1cbb-5f64-6eb44fbf2e13');
INSERT INTO `car_user` VALUES ('809', '', '13947191928', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$POmngianWdCJPduXjVeO5.T/FDogh5I6WFTD.x4l8b5D3Sb4RXGBe', '', 'NjKzuDo50qQLtnMX7hOWUhsf_61V2SYM', '', '0', '高冰', '', 'gb000a', '高冰A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546839751', '1546839751', '', '0', 'cac6cac5-0f06-e0fc-a010-c4f37c12138c');
INSERT INTO `car_user` VALUES ('810', '', '18748427861', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$u7B9xwSiqUvZuk0nSs8vd.LtsR5VBPioL40AKmbMQX4jf8eXqZxWu', '', 'Ee2RVu34he36zYzlrlodaMZrpsnZnmh_', '', '0', '岑建明', '', 'cjm001', '岑建明1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546839910', '1546839910', '', '0', 'f3bb094b-97a0-6dc2-0177-a512c253a6fb');
INSERT INTO `car_user` VALUES ('812', '', '15925958943', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nuBrBpJb1XuNX6zDWFgeGOmSozRaP9.wnjkrMbNZ5RMCCW6Z21VgO', '', 'LQ0hrMTMJYJIHiSr-mY3UyROPjsyaWb7', '', '0', '王荣鑫', '', 'wrx000', '王荣鑫', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546839965', '1546839965', '', '0', 'fc97d4b0-0621-1089-c328-16bd9d33d18d');
INSERT INTO `car_user` VALUES ('813', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$peQl.x6kGAO1RjcpOVHU5e3hK0N5ZNe6IkmYaFk3Drt3i0n5l6WJ6', '', 'Bq1RCIFZCkaIn1yGBVhWuSktJ7-QRHW7', '', '0', '王白龙', '', 'bl0963', '白龙963', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546840017', '1546840017', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('814', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ylMSycto29hxRSPN7423jOYXVjiApHeNciaWRsWGg1zaR5656q1CO', '', 'GZuTVKgh-tGhGbI5dOk2jM1lygUrik2E', '', '0', '孙柏林', '', 'sbl091', '孙柏林91', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546840154', '1546840154', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('815', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TuNmML.CAzJ6Xfqe7wXrjub2E3TKD1eFDNZxgEfwCyRaFqbZzhw7G', '', 'G6tAL3Oa-tbLHXtTeMt8eMgr6ZFksu9H', '', '0', '闫太铭', '', 'ytm88a', '闫太铭88A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546840277', '1546840277', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('816', '', '13848255884', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$oZ96igSoYN.4XlmB3.Dcze7oliEIPb/RJebyHBKbuxXQR8NYwkhR6', '', 'sJ7sh4Gqd9mupXH_2R5QvOxjehxLFj51', '', '0', '李绍平', '', 'lsp001', '李绍平1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546840307', '1546840307', '', '0', '3dfc9214-71e1-e955-688c-bc8e781ffe5c');
INSERT INTO `car_user` VALUES ('817', '', '13538838551', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xBfoVh/BJmv0kFMRgev/TOxiJF5acL0D4pATAz9xXbr4pZAMOavy6', '', 'VLPtFaEMsr1o1yT_OanMZLHSOtZmTxE8', '', '0', '梁杏梅', '', 'ljm000', '梁杏梅', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546840356', '1546840356', '', '0', '6cb5d4f0-c90f-dcb6-b7d9-b1e85aeb5c33');
INSERT INTO `car_user` VALUES ('818', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$HZc2kK2k46NlS7lk4qZj4e4LhTVIjG6yg42PwUBKmV23PyRQOJqeu', '', '4EpLb758Jffs-8AJvzoNmZMl_i03a0m0', '', '0', '乌日其其格', '', 'wrqqg11', '乌日其其格11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546840418', '1546840418', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('819', '', '13928615748', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xIci9hLycfrggHpHeFUlbO4NsUS0LkEYXGH/ehdCjrmJ/MLmk4ml6', '', 'WUyTGpbJcmZE3d2CX78zDtbZIq5azPsj', '', '0', '邓健华', '', 'djh000', '邓健华', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546840423', '1546840423', '', '0', 'b1aebdb4-3519-bfb7-0a7d-9f6bb128a259');
INSERT INTO `car_user` VALUES ('820', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$GzNWBwLWfK24K/UoANvrr.lJYxbnWH8LaW605GcFPTI7If/nVRSRK', '', 'us8yfGqp8bePIoEFu5R-amN8B_QASf3X', '', '0', '陈红亮', '', 'chl2858', '陈红亮2858', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546840533', '1546840533', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('821', '', '13704716526', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vXvyc7NskmrLSg9prAd9MeT6Jswpn8AFiKgq9iOFF190vJkC2ux9q', '', 'pNYUsdpa60P1YndInJkWe2cRi1WDzxSG', '', '0', '楠茜', '', 'xlty00', '锡林图雅', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546840644', '1546840644', '', '0', 'e1e7aa57-b27b-3f81-0e4a-71eaea85ba3b');
INSERT INTO `car_user` VALUES ('822', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$MXwTS0eOeTOBdJ27p1DcS.0mk3noZUW.6uhkJ4NSBdHqeEsbBrU0a', '', 'iCLCZtTV8lQgsPbzyGEPy5LxdB_sb8ww', '', '0', '石松林', '', 'ssl088', '石松林88', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546840742', '1546840742', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('823', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$F4EhjuFATlP8kEQwk1HF9uTzKbfIkTVgebwMOr9Q9lrkKZtgyIhwW', '', 'Ec6GgEj-V35TSL9cjeCWjj5g003DrxEP', '', '0', '包春梅', '', 'bcm6868', '包春梅6868', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546840832', '1546840832', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('824', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$piVqoO7pLHU7HNjcDP4gU.I32UBoBfPMhxyvLGu2bquUVaGMG7QBi', '', 'FBukzuNRtSroFK-6qBmDYxf-zxi2p6Yf', '', '0', '木仁', '', 'mr1984', '木仁1984', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841021', '1546841021', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('828', '', '18571123551', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$a/ikmRHE.ZWkRuLWQdsPQOefCDoYTyKIYlVhg2X4LCyP3xP5KRtUm', '', 'KhkezXy6vyXB0syY45ZJAHmNo_YwS18G', '', '0', '何莉华', '', 'hlh001', '何莉华0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841198', '1546841198', '', '0', 'dfacff09-ccc5-cb31-e163-5f36c5dd9a81');
INSERT INTO `car_user` VALUES ('830', '', '18571123551', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$PxsMFLOKA9GpNI86EN3H6.YissnXHSyzmoNFyM6SXNJIpqn2jrrLe', '', 'jR0cTmex3F4TMxiWfQWqrvCBdi05cZNY', '', '0', '何莉华', '', 'hlh003', '何莉华3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841229', '1546841229', '', '0', 'dfacff09-ccc5-cb31-e163-5f36c5dd9a81');
INSERT INTO `car_user` VALUES ('831', '', '18571123551', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.1CNHvw8qAnKjTw0p.nBnONInPzohIbAn5m9BVo4E7owm76E6YdBK', '', 'sPtswCtXDETc2GdmLWcWJoOt8gl11e20', '', '0', '何莉华', '', 'hlh004', '何莉华4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841236', '1546841236', '', '0', 'dfacff09-ccc5-cb31-e163-5f36c5dd9a81');
INSERT INTO `car_user` VALUES ('832', '', '18571123551', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$BqVbZH2cV649OMi8DeiWIeQicLTrKAWuCOhmArGTUIHe60OiyzVcu', '', 'E1WaMc9zwmT0M71vnbI9212wSWC3KOoL', '', '0', '何莉华', '', 'hlh005', '何莉华5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841245', '1546841245', '', '0', 'dfacff09-ccc5-cb31-e163-5f36c5dd9a81');
INSERT INTO `car_user` VALUES ('833', '', '18571123551', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$zp0Ha385DHwYa8PU.J7zzeAQeB3yNThAIGigUu4yz5lnvGtMJNmn2', '', 'xv_XUKSQur9c8jq63HcdoxQ2N9k_WZRT', '', '0', '何莉华', '', 'hlh006', '何莉华6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841250', '1546841250', '', '0', 'dfacff09-ccc5-cb31-e163-5f36c5dd9a81');
INSERT INTO `car_user` VALUES ('834', '', '18571123551', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.HWRBajVooAzusj1HSfaZekXODAs2dMcmdIgItuNKbbOkrA0gWjea', '', 'AdmQn3wXw4Au1MMIMfDlMPeK-WBTBkRv', '', '0', '何莉华', '', 'hlh007', '何莉华7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841257', '1546841257', '', '0', 'dfacff09-ccc5-cb31-e163-5f36c5dd9a81');
INSERT INTO `car_user` VALUES ('835', '', '13509600909', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$BIw2V/iXou1jRcWPrhOaWu5UyJFkTt5ExY4NsSA7ijuamsL4ZcS3i', '', 'Q8UoqFJPTeqz6AbiT8rEB2wlMSJXProl', '', '0', '上官韵旗', '', 'sgyq00', '上官韵旗', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841280', '1546841280', '', '0', 'a43a872f-bd09-c39b-a484-2c988c9fad39');
INSERT INTO `car_user` VALUES ('836', '', '18727505880', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$525RAEm.CUKExmnzYKNBWu26/65QA5c1.WTecT4YLnR5zhI1MS7I2', '', 'w-290UmypCVC3hGdAZxynvjsN9r9_uA1', '', '0', '易雷', '', 'yl0000', '易雷孝感', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841396', '1546841396', '', '0', '4af84d9f-f232-7684-e75d-975672e4d547');
INSERT INTO `car_user` VALUES ('837', '', '15971244473', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uXjuFCj59Y3.BOU4M2IQnuAjifDV/4YDNK9AH9qTgIct.9r10lYXK', '', 'iO5CNRIMs9eabX75HRDWKIETAt3kq0DS', '', '0', '雷京容', '', 'ljy00a', '雷京容A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841588', '1546841588', '', '0', '75a6aa89-422e-5ac4-32ea-07a0d529853a');
INSERT INTO `car_user` VALUES ('838', '', '15971244473', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Ug/v4CWbgfTIJ5mkcEPwteMpsaa2fsNMI1FW.SpSN9aYvABvT6IQ2', '', 'QRmE_9b4P72xI3l1bCex1hKKKuFNClDD', '', '0', '雷京容', '', 'ljy00b', '雷京容B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841632', '1546841632', '', '0', '75a6aa89-422e-5ac4-32ea-07a0d529853a');
INSERT INTO `car_user` VALUES ('839', '', '15971244473', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$F6/eeNiBerVv450nM6rs8OaSm7ybKb1fF6g4mpboQUvf639BmNiF2', '', 't2c41hSwn0UneRSuwN3uye-js8d5OPd-', '', '0', '雷京容', '', 'ljy00c', '雷京容C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841639', '1546841639', '', '0', '75a6aa89-422e-5ac4-32ea-07a0d529853a');
INSERT INTO `car_user` VALUES ('840', '', '15971244473', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$A3HRIFUoML68vNySPxybOeZZETKeN0jMcla3aGGuKwgZJk8qBZhfS', '', 'ZYuFCD7EUdPMulXXvZmGGmEbE5ZsBv6Z', '', '0', '雷京容', '', 'ljy00d', '雷京容D', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841647', '1546841647', '', '0', '75a6aa89-422e-5ac4-32ea-07a0d529853a');
INSERT INTO `car_user` VALUES ('841', '', '15971244473', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$E7aE3WcahRotVNhVt7mbgO.PlVyVpQ8AtLx.7YXH2gCU7.hBgwCEC', '', 'y-yuXbDiwX7Sszr_i4mFjD220DaIQm31', '', '0', '雷京容', '', 'ljy00h', '雷京容H', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841659', '1546841659', '', '0', '75a6aa89-422e-5ac4-32ea-07a0d529853a');
INSERT INTO `car_user` VALUES ('842', '', '18902805632', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hgdZuga6qV7gqloJTvP7BOODCdSyjp9j.aCuYVxDi01DMe0Zn6Ui6', '', 'ENjADJkn-jwd2-Freu7gNubrokRw-R2c', '', '0', '梁丽美', '', 'llm006', '梁丽美6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841677', '1546841677', '', '0', '02a0a999-48b6-950b-fe16-836dfa53e1a3');
INSERT INTO `car_user` VALUES ('843', '', '13809702292', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WfU2d.R33wTDRwCpGhZRvupRv3anfxz6cAhlYZyrECnw6g6ZZCM5i', '', 'PpNSScEZs3FSYUPONW2L0Tt-gdqM8Ecf', '', '0', '陈志宁', '', 'czn005', '陈志宁5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841699', '1546841699', '', '0', '7cd695e1-9918-1315-64e8-6b98761c525e');
INSERT INTO `car_user` VALUES ('844', '', '15971244473', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mUl/mX6KQxcZbiKxQpjgzexiXg65lQETxqseONgKJ1zKTSU7S/5PO', '', 'LtLTo1xs93ta62FJT9jwlJiLJ8tXqpX7', '', '0', '雷京容', '', 'wyblga', '雷京容H', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841699', '1546841699', '', '0', '75a6aa89-422e-5ac4-32ea-07a0d529853a');
INSERT INTO `car_user` VALUES ('845', '', '18676536048', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$djXb3dt4fDb22sexlsV5Qu9w/8vOE4fnigMJFXtJavq2SSVQ1OizO', '', 'FgNfty_8keyDHbjSKEcG8E4QUjd7MMKh', '', '0', '彭锦湘', '', 'pjx001', '顺德百望富通代理公司1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841779', '1546841779', '', '0', 'ee6a683f-cdee-779f-27da-2bfdc9e171ee');
INSERT INTO `car_user` VALUES ('846', '', '18902805632', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$NSES7VTkLVpOoG.dDvjale0iJlT.qbNhAQ7j103qMf.K.k5cQnI9i', '', 'c1AM8fosIUSXG8fNq4x-5Bif7Vm4bGN4', '', '0', '梁妙禧', '', 'lmx00a', '梁妙禧A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841806', '1546841806', '', '0', '02a0a999-48b6-950b-fe16-836dfa53e1a3');
INSERT INTO `car_user` VALUES ('847', '', '18676536048', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$aQYKYj9AiqJxYxC/I9JRAeIEbt5k/v3nPtpIy178Jwee4qc.UCp1O', '', 'xtjgvilVralO8cvcK_o_EB4ikUPdm351', '', '0', '彭锦湘', '', 'pjx000', '顺德百望富通代理公司', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841830', '1546841830', '', '0', 'ee6a683f-cdee-779f-27da-2bfdc9e171ee');
INSERT INTO `car_user` VALUES ('848', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$D..M0fq9OuSjMwjXJXPfdeIQRj0jvAr5Dx9GMbFZ7wRmWHi/Cmiqe', '', 'Cuz6PR_yiQdXciQ9VgZoUjUy_Xjn0i83', '', '0', '李锡泉1', '', 'lxq001', '李锡泉1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841904', '1546841904', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('849', '', '15971244473', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qt/KD.xrvzt64z4glBiKouhLJcsU2tFGDLF/1G/yZIDJjzDotlm9S', '', '3qQBdVrVLEbqmhOZKhgxlNnBS_IOX_j6', '', '0', '雷京容', '', 'ljy00f', '雷京容F', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546841973', '1546841973', '', '0', '75a6aa89-422e-5ac4-32ea-07a0d529853a');
INSERT INTO `car_user` VALUES ('850', '', '13316319833', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$UhvFk8E2BtvGtiU.B/frvuckvnio3vc5ztC4W4lT/FAzRS4HmUGhK', '', '9mooZ9nsnmGDa90OmoWh7fcXyzbqCKy1', '', '0', '钟春花', '', 'zch010', '钟春花10', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842043', '1546842043', '', '0', '9afed03b-7d9b-0716-9a66-09999de715f6');
INSERT INTO `car_user` VALUES ('851', '', '13326702697', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nNnDfeU00W3Uqtd5T6RKQOfToDx3DNVF/awtWiaTSJLKyvWHLb4DS', '', 'gmlphL25ShICWf2ZRXYyewzFR9p-ZbHw', '', '0', '潘康宁', '', 'pkn00a', '潘康宁A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842047', '1546842047', '', '0', '87ecdcd0-fd66-c8c4-ccb3-a875468d6938');
INSERT INTO `car_user` VALUES ('852', '', '18571129712', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vL0rdtLdqlIVzk3KjN7KEuA4oG1BlC24ircNc04WNNm/KsOLUNMSS', '', '5QZC_UQwxBOBnmvJXy6eWQIomtfSgifq', '', '0', '李舒悦', '', 'sumine', 'sumine', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842091', '1546842091', '', '0', '01fb43bc-11f3-77df-cd98-cef9f89dde6b');
INSERT INTO `car_user` VALUES ('853', '', '13927766639', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$4g39ujTikZ1sEarWdLfryuM8L8I0vCU0SDyhPuY2qv9bdxqhBqxPW', '', 'UPC8cVQXDoQ7C9vOxA_ZTzCAynIo3EB-', '', '0', '罗群英', '', 'lqy001', '罗群英1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842093', '1546842093', '', '0', '2f4faf43-66bd-beb5-62ea-f90627859748');
INSERT INTO `car_user` VALUES ('854', '', '13728585121', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$k7oxNBccXsmCx.c4p8k5k.JdOz.SaCyB7jrMl8hKAf3/WBRzLbx.u', '', 'w6T7gYdRmmohkvNcuuHGDI6d96wAc4uz', '', '0', '颜桂加', '', 'ygj000', '颜桂加', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842139', '1546842139', '', '0', '5e63b969-6e8d-0b57-a1f3-4881cf3dbb28');
INSERT INTO `car_user` VALUES ('856', '', '13006785210', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$i7x6QJTDE6QODxK5Nn.m7e/NizzwV/VlVY21DjoUjXm07hnv0DT4O', '', '6s1XHFR4UdnaXj_FIHxM7Df1U7-SOqct', '', '0', '杜佩勤', '', 'dpq00c', '杜佩勤C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842198', '1546842198', '', '0', '63c638b1-611f-6d24-1c3b-548b0ab7ae24');
INSERT INTO `car_user` VALUES ('857', '', '18676536048', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$IiBUkhHdf0.BZDeWtRfzmu/LiQR3jimoJjzCt86GQNScd58f7HVxS', '', 'hZj2fG0wtXdEoI6MGTBLKkkcRmqjOafx', '', '0', '彭锦湘', '', 'pjx01a', '彭锦湘1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842202', '1546842202', '', '0', 'ee6a683f-cdee-779f-27da-2bfdc9e171ee');
INSERT INTO `car_user` VALUES ('858', '', '13926292916', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$AvIK0av.m58Ah59nkwgE3eARebFaninaPK0aeJ4CAYP1EJL.E8Z76', '', 'XDrX7wrgOy3uNVcw0RYzfm2Wf3xIJr99', '', '0', '王丽娟', '', 'wlj000', '王丽娟', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842249', '1546842249', '', '0', '5ab77f8d-6164-84c5-7eba-1eb9ad074a31');
INSERT INTO `car_user` VALUES ('859', '', '18923153303', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$D2jStFoQF/gWl.OYCjNqR.sDzDxFF6jJctU2EOghzr2Yvo12vOvXG', '', 'jv1Pr559cbi5PyD0zXZQRd1PbQ8hU-vv', '', '0', '敬春华3', '', 'jch003', '敬春华3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842251', '1546842251', '', '0', 'f7e0c8fb-3286-7329-cdfc-c0e085e3c6fe');
INSERT INTO `car_user` VALUES ('860', '', '15101517809', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8BYDXMeFidbd8D3kiND6AuJoAilusd0chfTJWXMMQOuqgq4s85mQ2', '', '1PiRg1K1uDBdaK3FgYtm1VSmn4C0SC3V', '', '0', '谭志国', '', 'tzgy00', '谭志国壹', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842302', '1546842302', '', '0', '2e6c6c36-5c23-29a6-07a0-9e72c937019d');
INSERT INTO `car_user` VALUES ('861', '', '18162579699', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$aTmUKZW6cy4v80QaHKZOi.SJpPaiFglQ.VkC5YhUngKwWV.cukiRy', '', 'HHhh1G8Y0ZgFv076dZM8WfwDtwzELh80', '', '0', '朱荣荣', '', 'zrr001', '朱荣荣1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842305', '1546842305', '', '0', '7250b4bd-260b-2f65-97a2-3e6e8e1a0c0b');
INSERT INTO `car_user` VALUES ('862', '', '18162579699', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$D5fb6B4N50Pdqlx1PdrI8eHqqMWdiOn/cveFyiD7BSQOxbsaPNMCG', '', 'qGGR872LcAdMrgnxdORYU3kebhxEX5xz', '', '0', '朱荣荣', '', 'zrr000', '朱荣荣', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842311', '1546842311', '', '0', '7250b4bd-260b-2f65-97a2-3e6e8e1a0c0b');
INSERT INTO `car_user` VALUES ('864', '', '13847106994', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$HgzxUpe3bctVwtO/1jInr.8M98IhtLrnn0K3F2NRI0IX03jC.Wcxu', '', '9WOEpn5myJ3RIOKSb-tkNIbMae4z2n0P', '', '0', '张克俭', '', 'zkj00a', '张克俭A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842348', '1546842348', '', '0', 'bf3695b3-69ba-bd65-0cc6-aa7d17d092fa');
INSERT INTO `car_user` VALUES ('865', '', '18029211879', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.5s3/arqqjdqVA9FN7bH2.HlkvvXhsvtdxIWZm.t4xPfPHej1TLr6', '', '-Zlp0O9zjJCHpyL2sHfFR5J4gbr-Zv3D', '', '0', '陈雅昭', '', 'cyz005', '陈雅昭5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842363', '1546842363', '', '0', 'e4c19e7d-9434-917d-87c5-1b325d296234');
INSERT INTO `car_user` VALUES ('866', '', '18040507568', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$35DaZXj/3uLddBFLTUNCUeeCshCYwOHYkLH1HHxFiiBgI8vDGET5K', '', 'TKCXSx1Fz_p_Y73NPrePB_8SCy4_JOJL', '', '0', '肖雪', '', 'xx0000', '肖雪1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842409', '1546842409', '', '0', '67e9be4c-638e-eebb-34e4-c439d22cb103');
INSERT INTO `car_user` VALUES ('867', '', '13809707211', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kpx1P7xTDUvx.TiDXTHef.Mn5Spdmz26cSjvkdx6KkOKXstP2lCDW', '', '41vgtsfnSqw7xUfluIVzFCHuWZmQPG0v', '', '0', '潘彩珊', '', 'pcs003', '潘彩珊3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842415', '1546842415', '', '0', '721dbc8d-b007-05f4-da81-e4f2016bf4d9');
INSERT INTO `car_user` VALUES ('868', '', '18040507568', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$e57GvO3ztYOKFvHl4GLU8.SInltcafQ1NH5YWqDvq0DMOpfZIA5.O', '', 'h-3Mh9bROHOKHtsaNIKeT2iQd1rwuBlt', '', '0', '肖雪', '', 'xx0001', '肖雪1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842449', '1546842449', '', '0', '67e9be4c-638e-eebb-34e4-c439d22cb103');
INSERT INTO `car_user` VALUES ('869', '', '13927280333', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$M94o75TcYFndyMyrKxLI9.2CAq.0SeTKEUohOyHIbGfL45NLWxsGe', '', 'WNb1Q-S2B3bMZWvcXNPgSy3RdTDSamuf', '', '0', '沈志强', '', 'szq010', '沈志强10', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842460', '1546842460', '', '0', 'e500101f-d27c-a386-0bbe-9031f3fa7ff3');
INSERT INTO `car_user` VALUES ('870', '', '13542566886', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ZnjJZIOeRvyuGdONrRSs0O34X7yr.V8cAZ/JTML.2rEwR55c8EYve', '', 'eNwcYW-SI1vKoj5f9aboj6OQq4vMuMP3', '', '0', '老敏仪', '', 'lmy00d', '老敏仪D', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842469', '1546842469', '', '0', 'a6f984cb-e9a0-1347-b025-e89ae06a65d9');
INSERT INTO `car_user` VALUES ('871', '', '13360363808', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8CSDAiBNLQUzdz2MiOAgOui4daUikKqByMoDX5L2idMLJZuceo5B2', '', 'k6Jzip6DEf1WRPMQ4PHgxZiYRW7OhG_i', '', '0', '李锡泉8', '', 'lxq008', '李锡泉8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842501', '1546842501', '', '0', '0c9e3930-a645-1b59-3b21-ef793a8f9317');
INSERT INTO `car_user` VALUES ('872', '', '17707744690', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$OOtJu2njlLROTyOsBG4MjeMygVLTXC6UGzzx7TNEyIjc/pYv4m7.u', '', '2aKDwJh3OIlf8kRDz5j-UBoyMaVyCOIB', '', '0', '梁海凤', '', 'lhf001', '梁海凤1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842516', '1546842516', '', '0', '090c43ac-f17d-d941-dc23-9a977c7dd185');
INSERT INTO `car_user` VALUES ('873', '', '18571123551', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$0EPXe29RTXWto7GNW55/xuiAVxUZiUdJxOq8FHNUcxBJAYyF5x3j.', '', 'Iy83d9i6-Ed-e2Lfi7SiJZgrFbCSjLzL', '', '0', '何莉华', '', 'hlh011', '何莉华11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842544', '1546842544', '', '0', 'dfacff09-ccc5-cb31-e163-5f36c5dd9a81');
INSERT INTO `car_user` VALUES ('874', '', '13214956227', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$557LRPas.GGGXrd6G7D./em0MXB70zKqi17o1NO4.lzTIun1I.VM2', '', 'xmQfGCfmcAX1DOywgrk1VXWrguyKiz6V', '', '0', '杨培峰', '', 'ypf00b', '杨培峰B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842571', '1546842571', '', '0', '0583235b-9784-4244-6e84-fac9225df127');
INSERT INTO `car_user` VALUES ('875', '', '18029211879', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$O6G/IrMpOHBe9D0YwaozJekbc4u2c5SsJInIedMY7/oIm7a0tNgeK', '', 'FC31qRTPr-YSW0O9ozcbbPGV87omPYjb', '', '0', '陈雅昭', '', 'cyz008', '陈雅昭8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842587', '1546842587', '', '0', 'e4c19e7d-9434-917d-87c5-1b325d296234');
INSERT INTO `car_user` VALUES ('876', '', '15149341214', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ydUGDAVRQ1gfNWWT8SNT2e7f5b/7pbVRSuT4ntS65kagiz2p2PqVO', '', 'lomex-MpNuG_P59-fnkwj9TVHVZy62EH', '', '0', '王增芹', '', 'wzq00a', '王增芹A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842640', '1546842640', '', '0', '1c551476-a476-b437-5fa5-7dac2f11c70b');
INSERT INTO `car_user` VALUES ('877', '', '13972645321', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yUz070kn86Edtyb7JiLLh.kZzoEeG4ZSi5mlT4lmOF/kvEpWcXcrO', '', 'z_RHufqXo5zjM6b09zzfsDlgvi148y5P', '', '0', '熊健', '', 'xj0004', '熊健4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842692', '1546842692', '', '0', '945717cf-61c4-3854-de9b-8cbec9e4d395');
INSERT INTO `car_user` VALUES ('878', '', '13809702292', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xL5GEH7HX6VvHdG438rv.eWGu3oy.PNYaFiZFPk62HPR8uKF3ChEW', '', 'nAkOjpXCJIlUOk34Y7Gjo3L_8yY5VveN', '', '0', '陈志宁', '', 'czn006', '陈志宁6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842717', '1546842717', '', '0', '7cd695e1-9918-1315-64e8-6b98761c525e');
INSERT INTO `car_user` VALUES ('879', '', '18988683321', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$DckKk02cSiL4VHnqGnJ5H.Ur9o3wzTUc.BReDB75zj2E42puM833a', '', '2_CNmvMCOUIjOwYMTeSm2OOCQyTXkFjv', '', '0', '叶秀霞', '', 'yxx020', '叶秀霞20', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842768', '1546842768', '', '0', '8a7727ef-48b8-533c-ed26-7fbc30f98f56');
INSERT INTO `car_user` VALUES ('881', '', '13923153303', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$/oBjDWQVWgWRWp/iVTRD5O0FTJqKSc8biCvuFF27StFZ6hrgNZnla', '', 'GGGB9FVnuec2WD0yjjcBEdntLEpcWjmz', '', '0', '陈志宁', '', 'czn007', '陈志宁7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842844', '1546842844', '', '0', 'ab28e3cc-9ead-9f88-182e-55a60424b014');
INSERT INTO `car_user` VALUES ('882', '', '18320299239', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$/wIaPpfMlC1k/nixDTqeSOX/pZcp6hGSF8I1gWGOFCg9Be.tjMmoa', '', '4jqPpvGw7PV4w7wTDZx0i6ixuou4nhYD', '', '0', '麦红', '', 'mh0011', '麦红11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842851', '1546842851', '', '0', 'd2c56f94-e6e7-afa6-c24b-1532376bd724');
INSERT INTO `car_user` VALUES ('883', '', '13660230464', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mC393NoxMrTIY2Ve3iiwsuEqj5aOsv40eD8OfKgVwBuMfQS6IxIvS', '', 'd1Dq6NCibdrsN_1l3XilFYmH9kLOb-FC', '', '0', '杨维真', '', 'ywz000', '杨维真', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842914', '1546842914', '', '0', '61d63dce-d6c9-5fc1-19ce-9e76dcae9cd1');
INSERT INTO `car_user` VALUES ('884', '', '13660230464', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$oQLq//cfycmqve/IHAV8Y.MgKsdeFy/CAk0H1eoG8yV9d9bvIAf9i', '', '503XQth-OqSVdezelUHDHRwct28l_Xkl', '', '0', '杨维真', '', 'ywz008', '杨维真8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842952', '1546842952', '', '0', '61d63dce-d6c9-5fc1-19ce-9e76dcae9cd1');
INSERT INTO `car_user` VALUES ('885', '', '13923153303', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$0QYR3LrfOh2qGQgk6lXWIOj8B1Yz6xxiBvQNtUDMToc6a8Bi4X436', '', '5Sb54coO1le5RGirTldlHJhaDgViBLOR', '', '0', '敬春华', '', 'jch071', '敬春华71', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842954', '1546842954', '', '0', 'ab28e3cc-9ead-9f88-182e-55a60424b014');
INSERT INTO `car_user` VALUES ('886', '', '18802596021', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$SxLI.O1n9VVvbEsoOploAu0.7.6FSjn0kd13f/mGzat9UiUIAQpRi', '', 'foQlhzzMDV1AXttM92rO6UPt3yz9encX', '', '0', '吕海彪', '', 'lhb008', '吕海彪8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546842996', '1546842996', '', '0', 'b7c4fba3-f418-9443-8cfa-4fc55dbdf69a');
INSERT INTO `car_user` VALUES ('887', '', '13891128812', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$2tHb8x5inkCcVLaQvwAW7OxjLZmb6BrPm/HFRx9EMRFbLJLlsDXIG', '', 'cUP5LJ9lwHp_ohc8twDsdJjIWP-_iC5q', '', '0', '拓玉成', '', 'kyc000', '拓玉成', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843041', '1546843041', '', '0', '1592d216-d388-132b-74d5-de51f02010fb');
INSERT INTO `car_user` VALUES ('888', '', '13997728385', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$M8ex62OdU17G1Yo/GMJaxenIToJLVNuiCCLhIqtEtJVaKim2pkQo6', '', 'fwSXIP7Bj-W28dXolxDOmMSFEnhgNyHw', '', '0', '夏昌俊', '', 'xcj00e', '夏昌俊E', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843089', '1546843089', '', '0', '08a0a573-1717-91cc-bacc-21b25059c64d');
INSERT INTO `car_user` VALUES ('889', '', '18609587114', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$la4SfxohuAqaYYRdVmdOnOPckHdf9J1jKnYZiOV.0xOkwqf5bXMY2', '', 'pSTKzRN8JmU06L2S4gwlKLifGmoiDI05', '', '0', '惠祥云', '', 'hxy00a', '惠祥云A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843135', '1546843135', '', '0', '94fe9f8e-f0e3-f94a-878a-f5d98ca31509');
INSERT INTO `car_user` VALUES ('890', '', '15378996664', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$o3ukroYORkuyAMqHAVcNyer0AXclf6tBqtxtMUkiHB6ABe8E/j.ra', '', 'CETEqKfuoqRx9nxUlAiOxcABi82NaiJh', '', '0', '唐泰', '', 'tt000a', '唐泰A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843179', '1546843179', '', '0', '4ec0af54-66df-83d3-05b3-f395d16ea974');
INSERT INTO `car_user` VALUES ('891', '', '13992125871', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$2Y9EHMCBm3kiHOIXFxzP5ecPC0xCTkU/Ma5lFrgImwzxun3ufzlVa', '', 'U9HkyaiEg3VQyczY_mJiX85ir9_BeslW', '', '0', '薛梅梅', '', 'xmm000', '薛梅梅', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843226', '1546843226', '', '0', '48c637c0-e7a1-0568-3a68-166bcfe6f782');
INSERT INTO `car_user` VALUES ('892', '', '18169577071', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$LllIjBjKIH8H7OtLh4SuFuLpJihTQPHJ2.47NUmBsctmYrp3U4y3e', '', 'GCuDOTnUsjLnUmyLboi7-8BNrbk6CKS2', '', '0', '丁敏', '', 'dm0003', '丁敏3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843277', '1546843277', '', '0', '692081fc-61ee-f286-6596-2748eb6a1e75');
INSERT INTO `car_user` VALUES ('894', '', '13014253450', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$OZVOluUdIJQDgzkGK9xyiO/A1e7JgfaYbZPjONTu.UVy4Sx4qSVHK', '', 'a23gSFzEm2o69ukRbSVkTPRdcfVBVJsP', '', '0', '解军升', '', 'jjs00a', '解军升A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843325', '1546843325', '', '0', '43d2f2ae-27ec-c11c-ff14-bb640dae849b');
INSERT INTO `car_user` VALUES ('895', '', '18672989994', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$W/qzlcOFGkDmcqb5S2UAk.yptJLim6QzBZxbtvJrmU.fkigbTXMYa', '', 'CX2hiy2QY1nzH0q9VkEk-S7U7v1dqoxA', '', '0', '奉家辉', '', 'fjh00a', '奉家辉A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843378', '1546843378', '', '0', '89bdda12-645a-0259-ad44-0e0020a89a3e');
INSERT INTO `car_user` VALUES ('896', '', '18672989994', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$16j1RoVRiv1jlmfAGe/qKuSD8199xvCRQKlOdn9eeP0ka1tnnnguS', '', 'fZJghIKwo5T5rD5f42csCs_eUTWbiG-Z', '', '0', '奉家辉', '', 'fjh00b', '奉家辉B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843413', '1546843413', '', '0', '89bdda12-645a-0259-ad44-0e0020a89a3e');
INSERT INTO `car_user` VALUES ('897', '', '15171445031', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$r1WZM7Cy4MVlWIgXvEWro.7JScxvI68TzV8VjhsVET3V41J5VmCAS', '', '4rdT3er-sa4TD6mz0FopCx7DYnkstDzF', '', '0', '付秀丽', '', 'fxl15171445031', '付秀丽15171445031', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843528', '1546843528', '', '0', 'ae39943c-e6dc-18e9-5af5-dfba9f21da03');
INSERT INTO `car_user` VALUES ('898', '', '13092602266', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$c38NzG5WQHlQimjBeCNZ3O7rKsOfaMluP5p2sfANhYE1bV8ayhg76', '', '1lnRzJKke0ry0rctm6mLy2vGGx0ZZdun', '', '0', '李金妹', '', 'ljm004', '李金妹4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843573', '1546843573', '', '0', 'e9f96165-a190-8d96-2ca6-bef67d453e09');
INSERT INTO `car_user` VALUES ('899', '', '13092602266', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$JF0UdSjnggZPvYCm0htBneoICryqO/7WcyKHZzkuZYERFxk/b7s76', '', 'Ljg9s5FFcYNHTyGk-7lN7be_1NxkQKI7', '', '0', '李金妹', '', 'ljm006', '李金妹6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843582', '1546843582', '', '0', 'e9f96165-a190-8d96-2ca6-bef67d453e09');
INSERT INTO `car_user` VALUES ('900', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$4flCCpyA1.Pnh3nxIgtlr.iwIcnltUddAnYuAphZPN08CsBUof4vC', '', 'UfOe9tq2cYcFlWfxavyYcTkl46GMclW5', '', '0', '许霞凤', '', 'xxf001', '许霞凤01', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843641', '1546843641', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('901', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Mjv50sAvWAkjTm.1lYLyKOiOb987XfE9cKdEZOdr8yPVIuyxDbViq', '', 'raIdzZOv0XTQrvv_MEdOTG-LSgtoBUPQ', '', '0', '何莉华', '', 'hlh013', '何莉华13', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843710', '1546843710', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('902', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XAp5Z2WDsXnEo5pE.MiHNedzMREJ1IDL7p4iBd9DrmOj9lbyRHtp6', '', '04gDyDg2HD6nM8_7HnSSsNo9E6rA8d5B', '', '0', '何莉华', '', 'hlh015', '何莉华15', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843717', '1546843717', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('903', '', '13797133037', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$joma1EZCB8oNUFiDt2H1BeWzRCPNLI5sr./hd.RW7apcFeILUHxIG', '', 'Odt8vXrukgXronG2xfebwAAilFHU0iE-', '', '0', '吴俊勇', '', 'wjy000', '吴俊勇13797133037', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843830', '1546843830', '', '0', 'eed1adec-e0e6-7c84-e416-80099e942d18');
INSERT INTO `car_user` VALUES ('904', '', '13316319833', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$lRY14YdbYpgK9QXcFL9dR.iRtWa38f0ApcVtu4izFCrxXc0nC.wsu', '', 'pjhvhIvT1RDYaBNnk-Dc44dZGIQ5i9pd', '', '0', '钟春花', '', 'zch000', '钟春花', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843888', '1546843888', '', '0', '9afed03b-7d9b-0716-9a66-09999de715f6');
INSERT INTO `car_user` VALUES ('905', '', '13307128359', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rTntQqUOGdvM9CERWK5lXuGUrVUGKQNuNpqpNEJ6Ioy1Zj4TKHMa.', '', 'YuFV_vv0BrT7zpr9kCgM7PjiijIeouHt', '', '0', '彭学良', '', 'pxl001', '彭学良1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843921', '1546843921', '', '0', 'fca9feda-93b6-4ade-128b-b092b5783175');
INSERT INTO `car_user` VALUES ('906', '', '13928117578', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FGqleCTJrIvznD8MBSJQHOykh4GXgarEi9I.1rQtYGvqPwE81LfB2', '', 'hUB-0NZsGlwdRLxj5u2v3Lkvpn61-PRY', '', '0', '童坤', '', 'tk000a', '童坤A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843968', '1546843968', '', '0', '0a3df6fc-4acd-b2c2-1326-03fa1ee19971');
INSERT INTO `car_user` VALUES ('907', '', '13871138811', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rVQyGCSVqqbJ8dXXtGeSM.RAPf1E0QPixL2Kr8v1UQB5Hq29pv3vu', '', 'FRxXaNDAZVKuxV3vavZQENL9Gfm6jTtW', '', '0', '付自成', '', 'fzc000', '付自成', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546843968', '1546843968', '', '0', 'ebf9ca3c-6f57-2173-8a6e-ffb5599dec40');
INSERT INTO `car_user` VALUES ('908', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wUOf7CyrgmBA2Z3a.9k6OOisP3L8MiOCbKF/qfbpZmMWF78NQ/gWi', '', 'rxdY72n6cIHbgBEfhnW50AyF5udRZlET', '', '0', '崔萍', '', 'cp000a', '崔萍A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844013', '1546844013', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('909', '', '13947411990', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$tusOVVn/IwgKyXLbgkHVB.UJyDoKa5KGNE0KSwKlLEsVeJlxtPZsC', '', '4UTQ_RaPpCanYG9tGalyWyFUuRKeHRia', '', '0', '姜治中', '', 'jzz006', '姜治中6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844030', '1546844030', '', '0', '7d0b239b-0a1a-f3bb-8cfe-63c481edb07c');
INSERT INTO `car_user` VALUES ('910', '', '18639012416', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$j9Y5Ay/fS8vE8thqukXvZuRQg219ck7icj6ZHoymQ980x.cqw6wC.', '', '7uvQ-Cnc_FBjqpXjEpKga-wGIQOEYEO_', '', '0', '张肖克', '', 'xxk123', '张肖克123', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844051', '1546844051', '', '0', '25562d07-d7da-64d0-bd10-eca404d819a6');
INSERT INTO `car_user` VALUES ('911', '', '13703078101', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Hi0csSELssZ7r41wVL968eGGpqd2mGcpXqIukkgY2bS0rSUOLjtXa', '', '9T5UK3ZXwPiCVmg2_XBE9ywf6Gr07o7d', '', '0', '李丽', '', 'll0018', '李丽18', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844080', '1546844080', '', '0', 'b4e0e947-990d-caf2-398e-60e55733272c');
INSERT INTO `car_user` VALUES ('912', '', '13290845661', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qYgoY4xusmryw1X9GHbjy.Q2Zs93xVzXblPkD45.DQ7sMWgYe06sK', '', 'EDYNKdi2Gg1kEXt_wCrLSHO0-wUyg1MU', '', '0', '陈知朋1', '', 'czp888', '陈知朋888。', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844092', '1546844092', '', '0', '5674787a-d76b-6b54-e8e2-3c3a82b2f02f');
INSERT INTO `car_user` VALUES ('913', '', '13929910351', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WUn8DR.y2f3UyWbSX4WDTu8TXWKlH2mdeo19rR4bh76zkQ2Cpjzza', '', 'nKbVRQnqP2VJZZmKf8F_RcFGE9mCoKPs', '', '0', '梁萍珍', '', 'lpz003', '梁萍珍3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844132', '1546844132', '', '0', '05fe5422-9b0f-a21c-46bd-b010f97b5f51');
INSERT INTO `car_user` VALUES ('914', '', '13311362991', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$o9US0vxJB/RAAPGXfQKJ/.k3k0d8yJSml1Tg3SJoHboH4Ues6dN6m', '', 'PZTAV6N4oEdLCxL6OpzfnVWlKEXUfGEl', '', '0', '印玉容', '', 'yyr000', '印玉容', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844133', '1546844133', '', '0', '0f3faef8-71f8-f036-ad57-be62b8d5816b');
INSERT INTO `car_user` VALUES ('915', '', '13910618023', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wvYuB4W1d44x7CfqmAQDjepLCPn6dOx0GKVAYhk8TJtIDYzqUyxE2', '', 'nmPkqOX7AJ2jU211ACF5NI4O9ZTo4Z5j', '', '0', '印达武', '', 'ydw000', '印达武', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844168', '1546844168', '', '0', '6f747d15-836d-09f0-65f7-296af6e7bbde');
INSERT INTO `car_user` VALUES ('916', '', '13902691564', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yf.4.Bt/nk6Ih2eRGgMW7.skT1Rx0WP9l3l3n6vIRdc3qXQheTn/e', '', '_u6eib7MdvJ_lmSCa9_MJsBp8-VlMN3e', '', '0', '褚洪光', '', 'chg025', '褚洪光25', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844176', '1546844176', '', '0', '5afce6b6-5a03-df32-3a8f-5c79898ef215');
INSERT INTO `car_user` VALUES ('917', '', '18200833378', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ELMU6wOKskNPYQBSkrgYp.C2CphcnwcZdlyNXmn4SM7G9t90BjeeS', '', 'OHZTFSHN5jUMTxLWoTPO1kkt4JIbebR5', '', '0', '关连弟', '', 'gld003', '关连弟3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844181', '1546844181', '', '0', '4d55f603-ee39-422a-f163-308eb6e9686e');
INSERT INTO `car_user` VALUES ('918', '', '13861752651', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.5pkUs64guRjAIG4Clyhwe6sSntqNqlCiY2A0QUGcmZ91dfX8KOSy', '', 'tiunpva6Hce_3LpXMtiZwHQURKfJBh_x', '', '0', '毛义芬', '', 'myf004', '毛义芬04', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844218', '1546844218', '', '0', '20bc411c-8f2b-bb31-db38-f68403920ffb');
INSERT INTO `car_user` VALUES ('919', '', '13612477993', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$N/XUkz8Qg.4yRW7me1mPrerzo8ksTBsi7CSI34KAlpES1N1w02GiO', '', 'QB60i8fB8eNRZ8QQPbh9owCHY21AmFYW', '', '0', '何群英', '', 'hqy003', '何群英3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844228', '1546844228', '', '0', '5adb132d-00aa-f4b6-b54a-73f3d9c3b4c4');
INSERT INTO `car_user` VALUES ('920', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gGzZSBYAJBzO7vgfV8bIvebsjWz6SGiO/JYKtVSvmteoGWxrdI/SC', '', 'RdEs3rZ1z4athT0Xod6uZkql0GrSBYNG', '', '0', '侯根生', '', 'hgs000', '侯根生', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844251', '1546844251', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('921', '', '18004669001', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$W1/Q6c7JDuUmYSPiv8ONVeUj5KEbJe7zWySEgORW1OO1HPtAKytHO', '', 'LI3GiXB0JlCfh8-aJ7-1eV0qkDc3IZ61', '', '0', '李大东', '', 'ldd001', '李大东1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844320', '1546844320', '', '0', '01e1179e-e310-8a40-4d65-90ceaf3a2a69');
INSERT INTO `car_user` VALUES ('922', '', '18846966767', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Nqn7x9BT3r/uHtuekkFqKe7H9aeZLSktgCQWPNkGvjlzn21eQjevu', '', 'YdNWfhU69oWreNdmr2WG9R-tgjXuNgs4', '', '0', '李大东', '', 'ldd002', '李大东2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844329', '1546844329', '', '0', '6ee162dd-db9e-7391-0f81-37148b3448b4');
INSERT INTO `car_user` VALUES ('924', '', '13902691564', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$V2Nk3LDo6p47iyqFDEkyge4bIU0Tqz2FJrWU9XfikXv/6uSQy1QmK', '', 'mXqVvDMPSylXq_m6c-WaCcMecTiyPcQX', '', '0', '褚洪光', '', 'chg026', '褚洪光26', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844424', '1546844424', '', '0', '5afce6b6-5a03-df32-3a8f-5c79898ef215');
INSERT INTO `car_user` VALUES ('925', '', '13246328166', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$cPfuBJIk1mudsLPDT/cRz.n24I3LA4x9eePVSCFb.PjvRnR5uSy0i', '', 'ymszknIlcW3Su1uhjPbtPvt7j5B22hnD', '', '0', '江绮红', '', 'jqh000', '江绮红', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844485', '1546844485', '', '0', '4d8c53b3-4dbe-d0ad-1cf1-243c15fda894');
INSERT INTO `car_user` VALUES ('926', '', '13660034182', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rQhv2XKVPuQkQzBRvXE9he.YjGb7/LUrihD5F7oKHZKtIhtE6fh2G', '', 'nBqhe9TqIboPFtXbNhP3mKQaJLWOXi_N', '', '0', '王丽娣', '', 'wld000', '王丽娣', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844539', '1546844539', '', '0', 'fbc7981a-e363-c55e-3c0b-a7133ca9b73b');
INSERT INTO `car_user` VALUES ('927', '', '13902691564', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$u55ilcLqjHmFnlNUIDgN6.JcPEsvZCi8.376HzP8mneFdyvaaYgay', '', '1MomeRCgkQPZESzAEpqmPgG9j5RWElow', '', '0', '褚洪光', '', 'chg027', '褚洪光27', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844590', '1546844590', '', '0', '5afce6b6-5a03-df32-3a8f-5c79898ef215');
INSERT INTO `car_user` VALUES ('928', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wl22bHoLdaQITeUVSIk/b.V.IHNpJOMbxM2ReEwcyLjF8b9QPqiI6', '', 'JPkvO4zVRGgY5qd4i5UvC_lI7w0R8J7f', '', '0', '崔萍', '', 'cp0010', '崔萍10', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844601', '1546844601', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('929', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$UFqCpdsdz0rijwVilUqAE.xlN9e6DPuPwtBj3WNmDPHCcEhCO9rR.', '', 'yZvhEEb88jxYvD_UrvNIVMNBN4Yf79dH', '', '0', '崔萍', '', 'cp0011', '崔萍11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844610', '1546844610', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('930', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$KwVlE8E/Ik19BHSBHcyDJ.Yc.oY3ZdVl8A7988Mc9u/r8qfB8Xs/2', '', '5pb3LxauN3Sjjftd9Twq-vf-EwR15YF0', '', '0', '崔萍', '', 'cp0012', '崔萍12', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844616', '1546844616', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('931', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nhAGEz8aJDSRU9iK4jU.z.f4MRZdiGL9tsNeLtqnBikPLX662N/nW', '', 'iWZ3iXxqE2Xq1iTgIa0-mtlVuOXMJgxj', '', '0', '崔萍', '', 'cp0013', '崔萍13', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844622', '1546844622', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('932', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$jo7Ep6xAJVbWTvHPfevyRuraWvR7FsjXZCmV9JMoMW1.acrgurLXi', '', 'en6JdTpjjaBhBM4lKWV3yVzYddrhVA0R', '', '0', '崔萍', '', 'cp0014', '崔萍14', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844630', '1546844630', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('933', '', '13629737963', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mG4dhZrSxysKyX4MZf8Wret0S5QDETpWSBmatVrDhSKsC3DZ0SwDq', '', 'bXWG17sRAeRwCfNiajQs_6eaxHNyahAP', '', '0', '余婉玲', '', 'ywl000', '余婉玲', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844631', '1546844631', '', '0', 'fbca1eff-3264-7766-8229-81734e9effe4');
INSERT INTO `car_user` VALUES ('934', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ZTQZmFF5mh3JAe5wJDhCvOqxOCTXQcmSz7QUnb.BvwUh.ptzIpO5K', '', 'qU4AkBvtz_UY73odx_OA_KKE2DP090Lh', '', '0', '崔萍', '', 'cp0015', '崔萍15', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844634', '1546844634', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('935', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$NejuqMnW9RLAKMppBhHLGe6GESXykzXHgu7DLO0dQ8YkuZ.7opGDK', '', 'Hfu6M4adzMtXGFhTao7Y2mJA3W-A540X', '', '0', '崔萍', '', 'cp0016', '崔萍16', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844639', '1546844639', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('937', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$eJeVlApAZVgedPj3u14a0OwpVQfuP22Lk9xVsLBpiQ8PuPRnXRQ7K', '', 'YUDaCODX1g9MOMjblxyQ4eb6_ExAaJng', '', '0', '崔萍', '', 'cp0017', '崔萍17', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844651', '1546844651', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('938', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7OCLTGEFcCT764OpIRpj1eUyV/CNr7I.mH7YNeTqt7V1ycMnEqC46', '', 'DXRhNIMhY47r-zKhGyAJF6GyVdehRopC', '', '0', '崔萍', '', 'cp0018', '崔萍18', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844656', '1546844656', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('939', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$VuE5IDvPNh3PunSXNURV1OJiW5aaWoq3RHH5pLha1Y6FneWAWUTWq', '', 'qWhB2PlEiFW1FmK-kJfif2RolO9i_lFA', '', '0', '崔萍', '', 'cp0019', '崔萍19', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844661', '1546844661', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('940', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Ur3gNsVquAjUrZlNz.oUguvD7qGIFQI2WQFvjbpmlmLmLAE9jp53m', '', 'uAjYkNyTFRgXVkEV92onCj8Km2pDJaOq', '', '0', '崔萍', '', 'cp0020', '崔萍20', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844669', '1546844669', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('941', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xxPKzMMsNunF1WWCsmgZHOGT60xwdD5Z1/NzFOmkD0NANM6Me0R0G', '', 'nJIgq4UP28teEomduRLon-Fq4qcTw5BJ', '', '0', '崔萍', '', 'cp0021', '崔萍21', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844674', '1546844674', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('942', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8Js5gtvrEt1mENSlWQYeAe4CiR9SyJm7qPK/uRRmUT7exhI14yb7i', '', 'JWAfiRbu8P8alTTpoUfgEgXD7aJsqeQL', '', '0', '崔萍', '', 'cp0022', '崔萍22', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844678', '1546844678', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('943', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pGKXKjExKHdeaRmp0VNmFurGaM6wfqzpoWwfRqOp3p4eAw5mxQizu', '', 'PP5k7hxFi9AdrahXZeDUko8QbMcAkC7v', '', '0', '崔萍', '', 'cp0023', '崔萍23', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844683', '1546844683', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('944', '', '19807461568', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wKQ.o4EJkIpDTchDb0vxvehu430c6W0ovdBqmZ6vgdgNGh3NrPy9u', '', 'gSVl_waKi7YjNtf2piY3Wv8Gw7TKqF3F', '', '0', '鲁丽燕', '', 'lly000', '鲁丽燕', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844687', '1546844687', '', '0', 'c92f0a38-020f-b93a-8589-21e3d52f2c77');
INSERT INTO `car_user` VALUES ('945', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$CMn/vThKHE8cwPa85VAjlexIfKoAsA3aBIhVUadYR21yjBaZeVZ4q', '', 'GMaQa8AnCYXOEuBYmquf_xz-0H-x49cZ', '', '0', '崔萍', '', 'cp0024', '崔萍24', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844701', '1546844701', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('946', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xAlscrf1BHBKqOH.inJuXeqqOrXFunvPj9S8bIY4Z179IY9n7/fVG', '', 'Pe_BXsP6OpQmuYv_1SKKR3SFX-WL4I8W', '', '0', '崔萍', '', 'cp0025', '崔萍25', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844706', '1546844706', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('947', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$iVloXqO2kJuNtLqxlJCmNeG9qsjDWn55vUyG6jRX9ahm9.g41VFHa', '', 'ki9BunUB_MGLdMOPKF3HSakUIjy8byeN', '', '0', '崔萍', '', 'cp0026', '崔萍26', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844710', '1546844710', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('948', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$SL8uODg7sF0x8ibCxO0w.entohR2cRL9K/XYqOOCfn3f10HJiCh6i', '', '97b25NnpbMF38zgftwOanJTipv2sd2uw', '', '0', '崔萍', '', 'cp0027', '崔萍27', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844715', '1546844715', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('949', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$l4CGUsZ4mXF9A4HGoJDrEuw0k9Wu/MYXRNsuPQmvO4u7GuLbDJqJy', '', 'oPIte5JQJ-SBBynH1MAAMUp7em_xiRma', '', '0', '崔萍', '', 'cp0028', '崔萍28', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844721', '1546844721', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('950', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ts2dyq2R6RQYzoIFx1FG7egFlKooLhLhlSy42GWhtjlrEuiIpiYXu', '', 'fz-ow6ON-eVQTCCNqDclKtBRkxHZx-3f', '', '0', '崔萍', '', 'cp0029', '崔萍29', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844725', '1546844725', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('951', '', '15971550888', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$PZkOtVHMdeQ3uysejich7OX5OngFwuvjUsBVYKkHRh1tR11a33Br6', '', 'wFW22R6rbML1Zldph9KuGD-o-oAl3B1b', '', '0', '陈波', '', 'cb0007', '陈波7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844731', '1546844731', '', '0', '53e11747-e18e-9c54-695e-f21670fb3c1b');
INSERT INTO `car_user` VALUES ('952', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pw2fojngkPKIjccV4MyYRe7RiYbgJMRaQtYp4fowDf4ciWU1l1lCW', '', 'ev9iXCOp_1ZVm3zrNfmx0nw4Ce-Yi05X', '', '0', '崔萍', '', 'cp0030', '崔萍30', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844731', '1546844731', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('953', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$G615snZe3xviQYs3PNZ.iegiZQRLY.Fis1qesyJXRPmrtiOIUcRCu', '', 'LBddODn7qqDpoQbqRe0IpQkqq2Lrd8DI', '', '0', '崔萍', '', 'cp0031', '崔萍31', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844736', '1546844736', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('954', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1xukaOD3xe.88GJlU/VvceC3XRKJOeVelDa3opBS8NTyMJ18//Oje', '', 'AlknNeAqMFpt9_vL0EJDWc5qtzimRYmQ', '', '0', '崔萍', '', 'cp0032', '崔萍32', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844740', '1546844740', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('955', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Mtg0/AW4cGG3gt1ZN.OHye9TOFZlJcrfJqRzm1DaVLYE4eR2nKUfK', '', 'IJynIPs2dTf3RDHqSxHVKdeWZGfQvPtE', '', '0', '崔萍', '', 'cp0033', '崔萍33', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844745', '1546844745', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('956', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kw4AFz349YVO5Ee.WPj.D.SHXY.Emy.iA/dh31JpCrFSWkcYnCP5W', '', 'k8oKy524zVNFbfglWa05yUBUE9BvcroG', '', '0', '崔萍', '', 'cp0034', '崔萍34', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844750', '1546844750', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('957', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$NJgvOr/d2bdoJ.5nh3.U0uH/LrIHmXj9dHipWRz3tTiHg4Uh9Ab6W', '', '9jhDYodX5j4H2G6wDfO8b0lkllqM-qi5', '', '0', '崔萍', '', 'cp0035', '崔萍35', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844755', '1546844755', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('958', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ZDPIFvMCb/gS4uYpsKzfuOtSwniUKnTJKeLaEFbGL849oz17C/z1G', '', 'sXUElHYJe62pcxbGeAb3prjt0hM77-7y', '', '0', '崔萍', '', 'cp0036', '崔萍36', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844759', '1546844759', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('959', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$iXZBcwkntpc0udTfXLdP8OJUR9RuXvy4XR4sXcAEfGsnF8j0bMOee', '', 'F23s6OfK8aG0uaraGqFcArkydVGRkWDj', '', '0', '崔萍', '', 'cp000b', '崔萍B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844776', '1546844776', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('960', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ntsqQsfsq.cyK4iZ03mL1ek88gOGKIUxNtSLhEADOK1AFBsMYCPua', '', 'v7TVevATJRj_wA-Jb5WDxbeuPVclW2Ay', '', '0', '崔萍', '', 'cp000c', '崔萍C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844783', '1546844783', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('961', '', '13933753516', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ez5pkiYehf/acycvRjXLV..SbeHcO.FzrD..eaj0g.MhkFiYY946e', '', 'mOHF4at0WsGhTku_sh5m__sUmsWL6L5l', '', '0', '崔萍', '', 'cp000f', '崔萍F', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844803', '1546844803', '', '0', '8ee3327d-4ca8-d580-f1f8-dae6de2e19d2');
INSERT INTO `car_user` VALUES ('962', '', '13098403180', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pteM5S7n633zZKvrAEWS5OkvCUBNurxct0m0wpZ.cARqi1CaunXC6', '', 'iM7d52FQ3pa2GRYAhFBsYLq-Cy2Cjb5s', '', '0', '卢启华', '', 'lqh00e', '卢启华E', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844891', '1546844891', '', '0', '7f67863b-8396-27ed-37f3-f9b539927717');
INSERT INTO `car_user` VALUES ('963', '', '18947214777', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Z/ACfIKuUZZZM2JnAgvAZuU0uu/fYz/8Rdlr/U.I2QAFG/BtJbMJy', '', '1VZoIoD7RdW496MMGRoUYAokydyaY1Z8', '', '0', '刘子涵', '', 'lzh000', '刘子涵', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844943', '1546844943', '', '0', 'fc762e96-09f2-7c81-a2c5-f803da908f6b');
INSERT INTO `car_user` VALUES ('964', '', '15844539077', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FChYNHcxp.pF4W1jB/RSSeITJASsqRGrxawoTVnYqvEP4p5IxJtN6', '', 'oV6ol3W8bZp_qppGlppOYuyO2LR571CW', '', '0', '张春艳', '', 'zcy005', '张春艳5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844992', '1546844992', '', '0', '8dd56a92-6a6b-5a4c-c9af-cc1d77239f3b');
INSERT INTO `car_user` VALUES ('965', '', '13204729210', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xSviWdRojF0uWa7uEOptbuiN8tLtqt0OS/RkA77/gDboGBBU0EzoK', '', 'WvrJEPzr7Yjz_dLr013jXVcvFWhj2MR6', '', '0', '秦春梅', '', 'qcm000', '13204729210', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546844995', '1546844995', '', '0', '6f9477c4-df33-f50d-f427-01b49d4b752b');
INSERT INTO `car_user` VALUES ('966', '', '13384720756', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wW/2a1v/QpDNdRPqLz3CmeVIhAYNcaF2gu8BpNZcBMIv.uoYYTVPy', '', 'wtNhRftrps6GcCFHi6J8mT-TkkIkcF9g', '', '0', '徐俊峰', '', 'xjf13384720756', '13384720756', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845161', '1546845161', '', '0', 'aa64a024-cda5-0793-888e-d53487d60024');
INSERT INTO `car_user` VALUES ('967', '', '18847420622', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$blSiTIOuTsAzcoRjFE77reM6Ll4YDCkXowYm3r4e0OD0qkneBfxdS', '', '83cBn_Lwbzkl3TnbwJUqGuO3gXfL1v4L', '', '0', '孙霞', '', 'sx18847420622', '18847420622', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845202', '1546845202', '', '0', 'b42ce9e7-df1c-ea57-6367-fbccbf51bd13');
INSERT INTO `car_user` VALUES ('970', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QHgWKgMEy7dWKdJ1Y5Sga.UoyNSY8bKOwwTaWNN4s4bpBik6L.Cjq', '', 'rdNUPxiPIOLR2ZtjJQuOIYxlWTQuA6jL', '', '0', '苗岩峰1', '', 'mjh001', 'mjh苗家豪1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845270', '1546845270', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('971', '', '13754096509', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WNPfa7Lj141Tx1W4Dz4Uc.s1H7we0yhvg0UGROtSP9kgpUtCcFnZ2', '', 'q6IMalRniYY6AaSPlmB5egXOZLbwGiiN', '', '0', '边冬璞', '', 'btp00e', '边冬璞E', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845314', '1546845314', '', '0', '53f228cf-0385-8e93-90d2-f8fa3d50a962');
INSERT INTO `car_user` VALUES ('972', '', '13571615301', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ior8lj.CctkZFQsRRWk91.nhEBDDPB9HYwm26lTB4BEvWjPcTpVqa', '', 'tJLSEhNfqquuSS-JDF2avHbMTcy2sn7a', '', '0', '孟晓华', '', 'mxh000', '孟晓华', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845327', '1546845327', '', '0', '8a6b6f72-510d-29ad-4f03-22d9a01beecb');
INSERT INTO `car_user` VALUES ('973', '', '18630288301', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pAy0gR6GuqQvur5gpaxO3.g5BLZgrTskxFgYNoIznLspVzw8zwu9y', '', 'bkCxahoAD_GwjO7e0DpCBmj1U4NwyZUN', '', '0', '苍建旺', '', 'cjw001', '苍建旺1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845352', '1546845352', '', '0', '7b45ab2e-efc1-195e-b108-6e68e323f218');
INSERT INTO `car_user` VALUES ('974', '', '13948128084', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$cBdivuCG5mQFBzYKl05lYOcoZzHFPa9LQvFaIk30oRjPg6Q8ogPlq', '', '4Hi_5TIvs1Z6GFji0chhDLzqBsLA0IQ1', '', '0', '邱集山', '', 'qjs00b', '邱集山B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845381', '1546845381', '', '0', '66f0afb8-34f4-93df-3c3a-5ac3023967b5');
INSERT INTO `car_user` VALUES ('975', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$K1o6zQJv5DM/I3rM34Cr1O9tWjjaN5fhAlSe6Q9iqxOQ7lvlMCJ.u', '', 'L_fjnhYM4Lmi_TN2uvrqgDa_ikZtb8A3', '', '0', '曾志雄4', '', 'zzx004', '曾志雄4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845383', '1546845383', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('976', '', '13553927596', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$P3kioqO7ckKdGTdCpgzbwOH8f.JhU1OSqdyWHcZQTpVpvHryqivAa', '', 'aROmzgmHON_PboTTNrdyfvsIiH62NUja', '', '0', '林保嫦', '', 'lbc000', '嫦娥', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845425', '1546845425', '', '0', '6b530ee8-3b8b-2a39-df2f-9132a99261f4');
INSERT INTO `car_user` VALUES ('977', '', '13171082478', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8yh1CVkJNPjOVGzXlvHAv.KM2sSRsmEvP63eSpZA1rprG25tpK2.K', '', 'g4NQqczKpml5ADiMi0GXOzFgMjapFGV8', '', '0', '邱亭山', '', 'qts00a', '邱亭山A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845432', '1546845432', '', '0', 'b496a3f7-6c7f-9b66-c332-3baddacaefac');
INSERT INTO `car_user` VALUES ('978', '', '13825535523', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$zB2034EzwjBCgYyGYx5uaejQUGMuY6aHxv48qeoJGjhqTzlTNMsW2', '', 'H0iISvTSHb4hF6nZ4QRbuhP-frmvr7BE', '', '0', '陈福义', '', 'cfy001', '陈福义1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845457', '1546845457', '', '0', 'd24013ae-4df5-4d6b-d780-819f730fb932');
INSERT INTO `car_user` VALUES ('979', '', '15934916679', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$flOwwN3ZGwVrKoZd/LL6lu2GFNmdBavMWDWC9fdh54y7DrE2.LVZW', '', 'RFqz1m4ua9jCiwGLWISTW2grCziulcq_', '', '0', '邱红利', '', 'qhl00a', '邱红利A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845482', '1546845482', '', '0', '80cb0cf6-5a36-e3db-99b4-b7f55b0c0023');
INSERT INTO `car_user` VALUES ('980', '', '13872577534', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$HnP22xKGP9MhHcNBFDQ2k.jPMs8l.pyM.p76mrk.YMY18BTnse0gG', '', 'xOTUVW7M77Qr9dMmsE9sJ8qfyE0MOj8u', '', '0', '韩玉新', '', 'hyx005', '韩玉新5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845530', '1546845530', '', '0', '08f66165-acd1-c149-75e5-b1a990e1febf');
INSERT INTO `car_user` VALUES ('981', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pctTT/DD.xIX6rm3z5qCx.ytTTPehanBgvj5wxKFpG9i5ZsqiEO0e', '', 'jSqp6DW3ptt6ltT75w1hk67oCo9oS9fg', '', '0', '陈开录', '', 'ckl000', '陈开录', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845534', '1546845534', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('982', '', '18307761933', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$4v/UijMgN7K8nTuIloEHu.8ANirQR2bKeXQ6nrtDP.oFydYP7NPK.', '', 'WATcqNcwiqyqz-6S7QMcsr0F_twnFOd2', '', '0', '陈连武', '', 'clw0a1', '陈连武a1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845575', '1546845575', '', '0', 'd73ed5b1-271e-7107-8b9d-c51f816728b5');
INSERT INTO `car_user` VALUES ('983', '', '18022268780', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$O.0ORyUBGD8fHlQQJRgZgeHiydDYYjyILfHdf3tOcdLQzIzQKCr7q', '', 'hQby_i4XMRg443aeVAsp97kt1EfHlIqR', '', '0', '冼伟澎', '', 'xwp004', '冼伟澎4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845602', '1546845602', '', '0', '7ed4d028-d01f-2fd8-ef75-dedd96294a0a');
INSERT INTO `car_user` VALUES ('984', '', '13909545433', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$aWb8CdaEk/m77xMglB/ONeMs4bGGja1Vv5bHuf6/p5tWO.DvCx0IK', '', 'swYmSlG0BZzaE5nJqF3DbjFHUuVt45eY', '', '0', '陈亮', '', 'cl000a', '陈亮A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845627', '1546845627', '', '0', 'd1ea8c1f-e1ca-3f47-d7d7-80ceb18d9f7f');
INSERT INTO `car_user` VALUES ('985', '', '13995667714', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$4kEqZNhmT62lomItb9MpCudd39vzLbc7VS5M6w/bTbIfhcZ52dJ/.', '', 'rP7M5wPEXd1K9Z_tL7es8XLf5TZQu9Pm', '', '0', '胡文秀', '', 'pwl00a', '潘文靓A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845665', '1546845665', '', '0', '59d6427c-3a62-1577-ccdb-a163354e60ca');
INSERT INTO `car_user` VALUES ('986', '', '17742467785', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xG0GCoYd30l8waHMPCXCjum07n0mPMHsKdGwmCRuzqawO9aqBf0V.', '', 'uK3fR64ZsxIvDKoJS5HXofTNl4Qug4H4', '', '0', '代春燕', '', 'dcy000', '代春燕', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845675', '1546845675', '', '0', '499d60e3-0d5d-9e4d-d7a7-50a72e12e10b');
INSERT INTO `car_user` VALUES ('987', '', '18309675080', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mz2jT.Sj8MXo4EztAM5i3Oj1G5fTEHYQBEn7DW8FSIeIF7nt3X8me', '', 'tDNJt-sRTM8TZfKtr5G_wrPRSAY5icDN', '', '0', '代来珍', '', 'dlz000', '代来珍', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845712', '1546845712', '', '0', '09e13813-c3fb-59c2-68ee-4fe1a4efc0c3');
INSERT INTO `car_user` VALUES ('988', '', '13553303704', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$p32xlO4SmwJ71w9xmQ0QKOELafoCpHb9YW8Rlj/ngB0KI0Tpdtlki', '', 'SOoXrrllV6e7G_fROUyXpQLaNCtHrOJK', '', '0', '邓娥英', '', 'dey000', '邓娥英', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845752', '1546845752', '', '0', 'aeaf7e04-b7a3-b5a8-6ac9-a3c849cb4287');
INSERT INTO `car_user` VALUES ('989', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$EZmnamwluLZirGGBWVQnU.mnnYltyCyEktlnU7mqoHf2/RslDFAyy', '', 'xi2CCPB4Ns13UNy16YJxt76dldVvQdoo', '', '0', '李艳利', '', 'ly56883', '李艳56883', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845801', '1546845801', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('990', '', '18038858558', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ZRz1J3qGXmUcTNeYJRD7j.zwQQKQswg4nsi8L2dfdWsF80JVqMp3S', '', 'mFms4U1QDNhiSWNx_piqjSvCX3KSiyrS', '', '0', '邓高源', '', 'dgy007', '邓高源', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845801', '1546845801', '', '0', '04f2ca36-cfdf-831e-49fb-a67dc65e91c6');
INSERT INTO `car_user` VALUES ('991', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$E/6kLmA.ujUg./ogHlgyZ.X.e6uAsD311X.Dmqb8dzpXcEolzLlCO', '', 'jQOByNEIxci0KpKyzx0YZDeFLnS9l9rx', '', '0', '王大莲', '', 'wdl000', '王大莲', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845839', '1546845839', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('992', '', '18038858558', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Ft83bekiMY5NedsEIFK3buW7eoT1z2hdrIclKykMVTocGSU3qXqca', '', 'H61nbgdSu0VKbP5rWWx4fs6RUB9bmSi9', '', '0', '邓高源', '', 'dgy000', '邓高源7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845852', '1546845852', '', '0', '04f2ca36-cfdf-831e-49fb-a67dc65e91c6');
INSERT INTO `car_user` VALUES ('993', '', '15354856078', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3syW53spsOd3JR/q2fyqpO2aWY59aUQ.Y3eut4cuDUxa4QibNiiim', '', 'GvLGRBhK4p4b32f4kU4jtNsHzcRt5fSz', '', '0', '靳子依', '', 'jzy00b', '靳子依B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845913', '1546845913', '', '0', '88018361-e424-30d4-e658-d9851c85d765');
INSERT INTO `car_user` VALUES ('994', '', '13528910352', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yfjYQyrpc8IKrWfadG.EOewBk2ew2uVQ3DWpVYbr7cXwM54Ozu4vu', '', 'YYbyiDapR2E4epekif1rtFIJIpe-bOh_', '', '0', '邓泗中', '', 'dsz011', '邓泗中11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845929', '1546845929', '', '0', '330d79ff-5044-131e-ec4b-1a8b66d6b3fb');
INSERT INTO `car_user` VALUES ('995', '', '13066449822', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6Q86VRPoRpoispMzLBTDIuOQVmyM9.Tl3c/ImwWXq1Bz5HfZv.VG2', '', '_WQmu4js_KmEkaM6gxUVZ9gcfpZ-zyIw', '', '0', '陆液林', '', 'lyl000', '丁丁', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845964', '1546845964', '', '0', '82b45f04-35bd-4f98-906f-a2dd33af84f5');
INSERT INTO `car_user` VALUES ('996', '', '18620766111', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yvXJ6sLfzi49vLEEKCkyi.KpLr.sFRwoGVut8eVoqg26r9U9VXj1.', '', 's90ThnfqkN8GEa2ERW260NAh4vmBslUL', '', '0', '曾伟忠', '', 'zwz082', '曾伟忠82', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546845967', '1546845967', '', '0', '39fa3ecc-e8a3-b4a0-8f20-486dbb383782');
INSERT INTO `car_user` VALUES ('997', '', '13790058306', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hOYb/AsqeBoRvC.xAIUfWOeMbR8yRlfpJ/vzTuHlwmkxIxrMlm4Ia', '', '5WZ125WVkTArkI5y184UNTv9olP3U4Z_', '', '0', '杜碧霞', '', 'dbx003', '杜碧霞3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846005', '1546846005', '', '0', 'e25b2931-1838-bd82-9aab-d6b8caa8004b');
INSERT INTO `car_user` VALUES ('998', '', '18620766111', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wbWnQEukofrgCkRhjJrc4eD/xflMPyGdAICTD1R/uiLPfEZbQ8Zu6', '', 'UKp2qpi_zhSjC79Kyyb7zlut-oucmtn8', '', '0', '曾伟忠', '', 'zwz083', '曾伟忠83', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846011', '1546846011', '', '0', '39fa3ecc-e8a3-b4a0-8f20-486dbb383782');
INSERT INTO `car_user` VALUES ('999', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$KmyEqdjf6Qw.j7xjBVANpeNSLd5kZzqvdck4P8Pi6PIR11514zDt6', '', 'n1wPj82KlDD6YyhZl7mBGXnY4emb0fKj', '', '0', '杜佃先', '', 'ddx000', '杜佃先', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846042', '1546846042', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1000', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Xj/aUoQ8GooPpJ/B9jNaX.9Lhc2kTkHU0VfeafmohzMz5clwfyB0.', '', 'XUmuD8P_-ZLcPFA7PwborC3gtfD5Bb3s', '', '0', '杜九君', '', 'djj000', '杜九君', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846122', '1546846122', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1001', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$v0XoDivhmrctEUPTvlK2Qe7Wz.oLbk0fe3KwjxOh0iOOgPNofg5nm', '', '0sP8v22q2zupYgJ87h-jn9_A7OCHMThf', '', '0', '杜九君5', '', 'djj005', '杜九君', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846128', '1546846128', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1002', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wBUSVioxnTUytrmz2ugMF.iloWanxBi.kCITpZ6dIdFs0wsh5SOLi', '', 'Ucw2RkYU8MxnZ5OWfuJ-ujHFzSYUpD3S', '', '0', '杜九君', '', 'djj008', '杜九君8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846141', '1546846141', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1003', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$BusvHcGyJhg60XMHUQl5ceudNbdiZCsUHDMpQZMLx.wBZlZE3ua82', '', 'E1nAByRC8VDYe3x6Btno3zh3K6X3Em_v', '', '0', '冯洁玲AA', '', 'fjl323', '冯洁玲323', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846176', '1546846176', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1004', '', '18675710608', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ChnHdpXfftEApW.eA/h4AOh6NHv8jQ/lZVRakv8GW6MxYDXoy.Fiu', '', 'PyqieFLhKc_KX93a47bYHhvFFMi3RiFq', '', '0', '钟翠凤', '', 'zcf006', '钟翠凤6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846190', '1546846190', '', '0', '480113c4-5a4d-889b-3a67-fb370f9715f1');
INSERT INTO `car_user` VALUES ('1005', '', '13895483268', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$LHg//.6gQZTSo/6wESrZZOsV3RCQKTfJhGj8eZQxdAXlqr2F3RWZy', '', 'kUu2CWbcvvIFQo5ERLLk_K87q0AwjA7g', '', '0', '高秀霞', '', 'gxx00a', '高秀霞A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846228', '1546846228', '', '0', 'bf2dfc85-cc89-3368-64ff-72d363815a70');
INSERT INTO `car_user` VALUES ('1006', '', '17734011888', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$cJiwq2jXi0B1ERH1G1fKbO6Y5eSqFNuRpvHbrQBtgi8y/LWdTTEe2', '', 'sQf74D06txv5FLPGoBObk1gEKn2chuJn', '', '0', '袁学军', '', 'yxj011', '袁学军11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846241', '1546846241', '', '0', '1e4e9aad-d9e8-51c9-e204-4b8e46a9b932');
INSERT INTO `car_user` VALUES ('1007', '', '13902566077', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$./FybKV/HwM85knCh0PP7uIIBkYSbVvkq2rp8ZTL0Qee2VbAUtc4i', '', 'i0-XUJrZ-bPPSjQor_PZ4evEUcS3T0nf', '', '0', '古娴静', '', 'gxj00a', '古娴静A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846676', '1546846676', '', '0', 'a27f8edd-bbd7-756e-7df3-bfb843e20cbe');
INSERT INTO `car_user` VALUES ('1008', '', '13570015105', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ndYZ0a9m8ouj2ovztHXb9eAdiT1rWUMmD2ZsJZP9XG6H4oMY1PKsC', '', 'BAYTf-tISba5-jv8ebSoKfGl81ug0mkk', '', '0', '谭立文', '', 'tlw001', '广东省百望富通1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846776', '1546846776', '', '0', 'c0087011-da50-a0e7-80ea-da81c61d61ae');
INSERT INTO `car_user` VALUES ('1009', '', '13930068228', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$P7TSI94WoUaRsxl/ManEsOgbHIWQS5IPGXyroZFM3DevBQF88Upwu', '', 'QXLtsxojmA5iVzEUQwP8KwFA8wpM0PFH', '', '0', '李田顺', '', 'lts005', '李田顺5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846797', '1546846797', '', '0', 'e47b16bb-3c7e-0222-a0dc-472c2030c779');
INSERT INTO `car_user` VALUES ('1010', '', '13895477700', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mWUZZ2qyF8VFEV0fx61nCuWW54UK1TRlih5PAkvCoJZMJS2RWTniK', '', 'vMgVjKqLPfTGaw1FMQ_ozxP8qO7W9dnU', '', '0', '郭建华', '', 'gjh00a', '郭建华A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846809', '1546846809', '', '0', '2179cc58-576f-fb15-582f-4a0c085486ac');
INSERT INTO `car_user` VALUES ('1011', '', '18022299163', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ayyTWOHNYj7eg86G4t7fU.DNeg9NYPdCUGk00/xJ02zyeOMNUAlLS', '', 'QFMrfwxhxAF_vs5EG_yO1LugcWcXDp23', '', '0', '何丽颜', '', 'hly066', '何丽颜66', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846843', '1546846843', '', '0', 'cb101ff3-72c4-9705-17e4-e404c14cbd30');
INSERT INTO `car_user` VALUES ('1012', '', '18571123551', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3A5cC7QBMtxUBP4N5jQ94.xNrHya99vkJ4rCoCaBqgsNHNhuaNo2e', '', 'vv9xwSrPhiCaJjUhRx1M810MoiFxQpqn', '', '0', '何莉华', '', 'hlh00a', '何莉华', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846908', '1546846908', '', '0', 'dfacff09-ccc5-cb31-e163-5f36c5dd9a81');
INSERT INTO `car_user` VALUES ('1013', '', '18571123551', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$DHBiMypGFZP7WKnGCoaMXOpOp1JgvLTvH6NirFLB6HbCT0oj5vHHu', '', 'P-G_AqNORgFRgyB0uvkOPkG6BZS7LNRn', '', '0', '何莉华', '', 'hlh008', '何莉华8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846922', '1546846922', '', '0', 'dfacff09-ccc5-cb31-e163-5f36c5dd9a81');
INSERT INTO `car_user` VALUES ('1014', '', '18571123551', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gYdemBkGqtJmQH8te7GgK.cPEcsL1x8wnravgSjqlb4BF9.whKTzq', '', 'eO-h5SrGu-EU80CzQNpDFm7rHkZV6xSS', '', '0', '何莉华', '', 'hlh00k', '何莉华k', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546846955', '1546846955', '', '0', 'dfacff09-ccc5-cb31-e163-5f36c5dd9a81');
INSERT INTO `car_user` VALUES ('1015', '', '18818715099', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8bD.AdbLs8AMjbx.ywGY8Oi8gtRz/VBYYR2LwTuNq3SYdIgM0rXPK', '', '0MLN-_2cHyqZoKsg_zZ1ifVJtT_Yptin', '', '0', '何宁', '', 'hn0001', '何宁01', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847063', '1546847063', '', '0', 'a23577c8-1140-21a7-5964-daa72652bbc6');
INSERT INTO `car_user` VALUES ('1016', '', '18818715099', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$B/cxiu0cQZTzyw8KKTNFy.tATJyxrY.UQQ7OeW9NISt7WPUomBVOm', '', 'E6kiSWvu9PeqXkjOGytMDhgdsAQX_R7d', '', '0', '何宁', '', 'hn0005', '何宁5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847070', '1546847070', '', '0', 'a23577c8-1140-21a7-5964-daa72652bbc6');
INSERT INTO `car_user` VALUES ('1017', '', '18680587996', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QDfY6olegbZcThicFHN/DO7GZTee8FJShulto5gf8HFtwvPyTVICq', '', 'MQr91o73irrcpvUIJxJRlxDaxPxtI5SL', '', '0', '何异凡', '', 'hyf011', '何异凡11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847145', '1546847145', '', '0', '03ba9bc1-7703-0e36-171e-cf54ef760f64');
INSERT INTO `car_user` VALUES ('1018', '', '18680587996', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Dp8TSf/.MClYScbDstkxIebLNHpObv/Qh/2jy914mUMNrTlvIl/gu', '', '-q-uPo6r3UBPTn9AY3fCtY6EC5ynSVcB', '', '0', '何异凡', '', 'hyf022', '何异凡22', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847151', '1546847151', '', '0', '03ba9bc1-7703-0e36-171e-cf54ef760f64');
INSERT INTO `car_user` VALUES ('1019', '', '18680587996', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qBqM4TOoDpPj609zyv5/wuP5y0UZ0OmVK1RKpkG/KlXfOxl5bqXlC', '', 'aQ61IkGv5UVW02vTQR2tFge06WHsAqhT', '', '0', '何异凡', '', 'hyf044', '何异凡44', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847157', '1546847157', '', '0', '03ba9bc1-7703-0e36-171e-cf54ef760f64');
INSERT INTO `car_user` VALUES ('1020', '', '13788010104', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Af9CcNPQnyyU7X7Wjk37.un.jse71KnfSATB9fhD83e3.n7sCcNI2', '', 'gxyAIFRWwZeeegGn2K97JDx-s98JEjNS', '', '0', '侯朝铸', '', 'hzz001', '侯朝铸1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847210', '1546847210', '', '0', '47e308e1-31f6-f588-17a2-0a6a1baed362');
INSERT INTO `car_user` VALUES ('1021', '', '13039589196', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gMgp//iHRz3fNoDk/hkM6.z56Dc6DgRyUkHtPlHSjwikbPE6klKlO', '', 'ktGdwFx3mSkbXNgaU0acI6Ogbf2wETfY', '', '0', '胡少兰', '', 'hsl00d', '胡少兰D', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847250', '1546847250', '', '0', 'df713c87-bb2b-f4b3-3110-7482b0b672f3');
INSERT INTO `car_user` VALUES ('1022', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$HJBvS52BvmrYVNOE3SPuFOUgvVwjV1vCJAFy46sb32yvNMZe.kSWe', '', 'UoR-vY5AF_zBQYvP-_c2kseTzo6rLFnn', '', '0', '赵秀端', '', 'zxr13141', '赵秀端13141', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847289', '1546847289', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1023', '', '15848389842', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wtjqmFTjo7rpUUODeRnwTOky7SVVv4vGew20QK7O5/is9diszYAfS', '', 'b7ull-TZ2V3Yakzfi9e2GwIKOvDzDWNL', '', '0', '皇甫宝林', '', 'hpbl0a', '皇甫宝林A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847304', '1546847304', '', '0', '4fc97705-6ea0-6ae9-95f2-b980c7a9f74b');
INSERT INTO `car_user` VALUES ('1024', '', '15848389842', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$UBK2uGPWUD2zcStrlhpwI.0vZFkPCSKwKsQGGX0nXIGsoV7RK3kgK', '', '5OEI7g94YNgVSHX4OW-CLUkdjYyE9xuh', '', '0', '皇甫宝林', '', 'hpbl0b', '皇甫宝林B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847310', '1546847310', '', '0', '4fc97705-6ea0-6ae9-95f2-b980c7a9f74b');
INSERT INTO `car_user` VALUES ('1025', '', '13580860018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1gsMO9G0O3cNiUGjJcYq5u0PlqrXA2ODVapjJVJQZcMSiKsb8BvX6', '', 'iibhao5sY9Z-1tZNXjQk28YJhu7amiZ6', '', '0', '袁有章', '', 'yyz000', '黄彩云1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847398', '1546847398', '', '0', '7a5f5ef3-a77c-082f-abfc-b2574b2d19e8');
INSERT INTO `car_user` VALUES ('1026', '', '13923149448', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$IBUuBPaaypgHEyfTB5qSLeNHFB8OcIQMe5kckOg.rvy554.qptT9y', '', 'z5w8LtNiuqa_ZdqBNs6XYkcxj8rN072M', '', '0', '黄丁洪', '', 'hdh005', '黄丁洪5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847426', '1546847426', '', '0', 'a7cf776b-a01e-2991-e9d1-3a5874a8b3ad');
INSERT INTO `car_user` VALUES ('1027', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6u29VgQQ3wR8YTdIOSBaTOE3stHRLad3w2n9Y6I4GyMO/0ZPkg2/S', '', 'pk-05HQKNi41FogCc6GFomdRqUs04C1Y', '', '0', '魏金玉', '', 'weixinyi', 'weixinyi', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847451', '1546847451', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1028', '', '18923282980', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nLwo/aSfHNZ18BHyL7bqTOQY/AF09PGzJtfm.6s3Sqr3wOVmunNXu', '', 'MfONb7KgvZByQsL5zBIlmG_i9F4wdJck', '', '0', '黄康权', '', 'hkq000', '黄康权', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847481', '1546847481', '', '0', 'ac113faa-2d34-ba4a-bdb0-eaf5bbe2e9fb');
INSERT INTO `car_user` VALUES ('1029', '', '18923282980', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$imo4xccrBTUfixqHjtgSPu/doO.7qRTVQ7OIkhU/n1Umn/FucOoT2', '', 'I2x57X_v7twn0o9mHGw7XLi27KjHU8Zn', '', '0', '黄康权', '', 'hkq001', '黄康权1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847488', '1546847488', '', '0', 'ac113faa-2d34-ba4a-bdb0-eaf5bbe2e9fb');
INSERT INTO `car_user` VALUES ('1030', '', '13929900068', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7bJgvWkxgJZzWsP3VjCoseiEo2cihNs3I0bASPe/Kkvk3ljD/O0Xi', '', 'ls5PYxjFGNHW-h9uRWhOdNC5cCsldRt9', '', '0', '黄丽娟', '', 'hlj00a', '黄丽娟A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847515', '1546847515', '', '0', 'dbd7a7b6-90ec-c7ab-0932-2fc5bf05369d');
INSERT INTO `car_user` VALUES ('1031', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kTWrk55nczRnBpE1rNM19e.pfk2XC3w27N4my731g8hITm1MXBWSe', '', 't-7dD9CUlTdVHVxNkIfFdHr4Ex2CkHsv', '', '0', '郭志清', '', 'gzq000', '新城区九诺陶瓷经销部B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847546', '1546847546', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1032', '', '13929978422', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nognQXPznA/cmKD1NrE.xe6S6VlHMeskI5.bpt8nZ6tnrIHXVjLRe', '', 'Vmpq08Eozxox1DAptixOUjcohIFaSDT0', '', '0', '陈铭辉', '', 'cmh000', '辉少', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847561', '1546847561', '', '0', 'b30ed7f9-b00d-010f-64e0-1a23a12224ae');
INSERT INTO `car_user` VALUES ('1033', '', '15810605293', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$dAfaFWicIpQOijrz1TaZuu5fsfn1gyxDR1jEILCybzTJTmq4SNBHK', '', '3XxLhfm_aSP0HigsvFDstDsLdQn8aGqu', '', '0', '姜英', '', 'jy0001', '姜英1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847594', '1546847594', '', '0', '11f76a8c-0aaa-39b0-2171-0bb2d989d5d8');
INSERT INTO `car_user` VALUES ('1034', '', '13895194597', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$CuGKc7VyW/9lFCzkLfF8z.tLZWdrkujM4QYApK/MXTRX0OG0Z565a', '', '711z_LpqiCpCFpMAtOMV0xRmJqW4TNKg', '', '0', '蒋文秀', '', 'jyx000', '蒋文秀', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847658', '1546847658', '', '0', 'fda1cbdd-9566-f432-17b3-cd6a7d487915');
INSERT INTO `car_user` VALUES ('1035', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$O.u2OmxnvkL4DGwWtHNYdepy4bKR8k3AKIYYwUyT1C8OhmGsHwvUq', '', 'ftab4k9b1-I_Tri1LIqTaVvafoWJiEfS', '', '0', '朱德平', '', 'zdp13141', '朱德平13141', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847687', '1546847687', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1036', '', '15124712688', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$VE5Rw7BR7dywmZXv8iyE6e3JlSUOGEHs4zChpm.vnubIA3tNFjLYq', '', 'Z8po1X1wuJmCGaKB7Rdw9rgh_tkg7Rm5', '', '0', '靳文英', '', 'jwy00b', '靳文英B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847746', '1546847746', '', '0', 'cb4ab239-4d9e-b594-b51e-a3064382e570');
INSERT INTO `car_user` VALUES ('1037', '', '13087102624', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$w.Qajkzy8W7uHFJVStT1Y.xbOUaJVYb3LoA/rAp/Q9aR3MCRHm2GO', '', 'cz1-jCGdsaGZy6siSbKw1Og5EC9xr5ZC', '', '0', '靳秀莲', '', 'jxl00a', '靳秀莲A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847784', '1546847784', '', '0', 'f5fb5031-0543-bfaf-90a1-cca5cbcc27d1');
INSERT INTO `car_user` VALUES ('1038', '', '15648188887', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RRPMZSNu5romzmYr1aJE3OavNi1uc4cn5W87mSB59gFjeaimB5Dxi', '', '4ZQ0qRcGDH_nd_-OTaTj9ORKa9WUhG0H', '', '0', '温小军', '', 'wxj00b', '温小军B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847790', '1546847790', '', '0', 'd2fdf0aa-0a41-b370-0a60-3a23b3c731b0');
INSERT INTO `car_user` VALUES ('1039', '', '18923153303', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nsZv3ktxNx53IqnNCN.9F.JUAYsRuRVMyinkXLQkEk8YWAU3CvxsG', '', 'uWAbgzJxzavqLbnHbN_f7E2ZeFYoqwa0', '', '0', '敬春华', '', 'jch004', '敬春华4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847824', '1546847824', '', '0', 'f7e0c8fb-3286-7329-cdfc-c0e085e3c6fe');
INSERT INTO `car_user` VALUES ('1040', '', '13422102931', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$//xY2HRcH0FsMRkaj84bludBqbOmmQvN9l39Ldz..EUmD7GIwXzam', '', '2a8vqkge_F_4YN-rAebxvlcV26fk0J0r', '', '0', '孔祥云', '', 'kxy007', '孔祥云7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847853', '1546847853', '', '0', 'ce4d2856-94c5-eae2-91b2-8316ab54c50b');
INSERT INTO `car_user` VALUES ('1041', '', '15648188888', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$HoICr81yy7x3o95pM3PtBeRT1VBESSfo3klAWvKKImv4EoRc9XhIa', '', 'Gi1uUjDP18V0qWQmfJ8oS09Um2uceNMz', '', '0', '温小军', '', 'wxj00d', '温小军D', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847871', '1546847871', '', '0', '91b5fba8-61aa-e083-6a1e-5f79ff1fa313');
INSERT INTO `car_user` VALUES ('1042', '', '13602236171', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$KVpWhuqZNe5k5eAGeHvK1.i/7vkGWIxPWPKenDwVmPOKMLcc3s4.W', '', 'xazHcJRZr6sO3DzrgN7h02hug3VXcCZL', '', '0', '何翠荣', '', 'hcr000', '快乐财宝', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847898', '1546847898', '', '0', 'ddf2d6f1-040b-9eae-9cd1-82898b90e392');
INSERT INTO `car_user` VALUES ('1044', '', '13928682372', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$cOBBF.5ejAVtbVoFRQGP9O/IU.21Eb7mrctuugqnSJ8LHyXtJJWPG', '', '5vnjA6dSAiC3hOyKIEhzpxVIl4cnQsLV', '', '0', '劳啟奋', '', 'lqf000', '劳啟奋', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847955', '1546847955', '', '0', '2607af99-fbf4-c10e-d9ee-2f11aeca5bf9');
INSERT INTO `car_user` VALUES ('1046', '', '15971244473', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$NEttDLGQOluWXfHBdQkQ0.DnLbS5H0EjhaIoZ2iVNMh.GTG0iF64y', '', '5Lu1tyVp0R_Tzk7fLKEWAwK1QFaDsYgE', '', '0', '雷京容', '', 'ljy00j', '雷京容j', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546847995', '1546847995', '', '0', '75a6aa89-422e-5ac4-32ea-07a0d529853a');
INSERT INTO `car_user` VALUES ('1047', '', '15648188887', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hYETXJ/AevOtvQ9zGYlg/uR722BZcUwX17RcyvFX2T/iwQWskASvG', '', '07qxHqnZEPRdn0A_D-gGJUx4xD7Qs6k2', '', '0', '温小军', '', 'wxj00f', '温小军F', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848022', '1546848022', '', '0', 'd2fdf0aa-0a41-b370-0a60-3a23b3c731b0');
INSERT INTO `car_user` VALUES ('1048', '', '15813993216', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$H0vPsqSiV.ojWhmuHw6MwO0n3/b98OxrnpKPuPzxvaw225orTB.ru', '', '9oO9ep9YrPAvzqcihlfBdOOB8CEkLqo7', '', '0', '黎少兰', '', 'lsl003', '黎少兰3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848031', '1546848031', '', '0', '285b7a7c-33a6-18f0-2ae6-21e572a8a32e');
INSERT INTO `car_user` VALUES ('1049', '', '15209559380', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$A1IERba1325OTF2lAX9efeUJ5cM/M1mJwWXYUP2.DOnVNBW2921jq', '', 'jfCHlzkyRE7zlXS5EN4sgGEFm7hYC62e', '', '0', '李芙蓉', '', 'lfr001', '李芙蓉1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848062', '1546848062', '', '0', 'f323406a-fa8b-bbe3-5ea9-a2555009d5f7');
INSERT INTO `car_user` VALUES ('1050', '', '18295692599', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$d6Wo2H82mbtu1/iEXXDs8urGZrQ9AtmsRVR544Z1aQaQS747cm76y', '', 'eZDtlC79zgocgLyfYO0SFgWx1C6kIXq0', '', '0', '李国华', '', 'lgh002', '李国华2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848099', '1546848099', '', '0', 'bf916a82-274c-eb3c-8d53-8f7389d08271');
INSERT INTO `car_user` VALUES ('1051', '', '13664069325', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$j/NvaloB1qzMYXUg7lETgumwf.YMVZlMDVu9YQHflsaoKEfS1e9xm', '', '62jFXGMYSgvoFCDBxOep7tDE9mZwVijF', '', '0', '李瑞全', '', 'lrq003', '李瑞全3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848133', '1546848133', '', '0', '3ef90e22-c3ae-4fb7-5561-dbb6a38c5c77');
INSERT INTO `car_user` VALUES ('1052', '', '13360363808', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XdSMX9X7VJM7DMM2ZRez/O8CTQJMPvj.Dbjrz8tVfuuAdMi9VIbNa', '', 'S1lXELhXi7WNXOQe_5stb7SNXVmjLr-A', '', '0', '李锡泉', '', 'lxq000', '李锡泉', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848218', '1546848218', '', '0', '0c9e3930-a645-1b59-3b21-ef793a8f9317');
INSERT INTO `car_user` VALUES ('1054', '', '13360363808', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9A1HlKtaS4qnmkcA8cywZ.aUPTUc2eKpgM51BzRMq5wq7v05ai8bW', '', 'SfAr526_7uUgDRPVSMsM20ECm_U87OGD', '', '0', '李锡泉', '', 'lxq022', '李锡泉22', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848282', '1546848282', '', '0', '0c9e3930-a645-1b59-3b21-ef793a8f9317');
INSERT INTO `car_user` VALUES ('1055', '', '13360363808', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$eTrh9ez08k3dILbcKIMKbenv5DrY5IB2ORWB0ptj/5eosVgEllm2q', '', 'baaM0LS3L0MjvVdzABVxO3DjkIjVO3fL', '', '0', '李锡泉', '', 'lxq027', '李锡泉27', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848288', '1546848288', '', '0', '0c9e3930-a645-1b59-3b21-ef793a8f9317');
INSERT INTO `car_user` VALUES ('1056', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$fhkdiF.PwMdPX8yZw8ZN6.kwvXknTne872aKJt853RkCuLQDrkenG', '', 'SEgqgnx-yydL7f8ROvKDF8qckIPwYmpy', '', '0', '海棠', '', 'ht0678', '海棠678', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848305', '1546848305', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1057', '', '13602992729', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9GoZ0zHZF9afFCONem9uTOnBtyGKQ/Z00A05jCThUUcQ0ID3zGO7a', '', 'faFXF72agq_AChiPsw1cJxKME5vBmHiX', '', '0', '李小玲', '', 'lxl001', '李小玲1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848341', '1546848341', '', '0', '73a8b41e-1560-1e2c-1c4a-15757cf31bef');
INSERT INTO `car_user` VALUES ('1058', '', '17707243901', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xmOodyLTVsYptlIMV6yVgu6m2hPzy86TeFw6yeYEmdXKCmFOuca3S', '', 'yVwlkb6ifY_caXWqWJCZx-AJgeG8pToT', '', '0', '李子云', '', 'lzy008', '李子云8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848370', '1546848370', '', '0', '1887a896-e2f1-0e2b-0b4f-210523fe1d96');
INSERT INTO `car_user` VALUES ('1059', '', '13422060656', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gjCFCln4W8bRFeV98PhRge/1rwC2aI.Mpb8PodmeL5KFZ1IFThGtW', '', 'F81pvosNx7kmbaOJxbjpfCKCLmg324oL', '', '0', '梁丽霞', '', 'llx000', '梁丽霞', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848399', '1546848399', '', '0', 'ea15585d-3ba7-0cbf-cd2f-7c10e0e3870e');
INSERT INTO `car_user` VALUES ('1060', '', '18923282663', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3rueaY.yvT7DZq8k/Mq5EuXBHt2e6xBgdsjxplavlVYmoVrAnKpoe', '', '8XCeCZP571kk7XRGZoyiSBc-ycf-LDVp', '', '0', '梁笑妍', '', 'lxy001', '梁笑妍1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848430', '1546848430', '', '0', '4aad3991-2dfd-8792-f705-01d17acb213d');
INSERT INTO `car_user` VALUES ('1061', '', '13725629298', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XMMZjRGHYo4jMCYSaJnAqerVVb2u42g61XsDsk6kwDeUFiXfdEDXS', '', 'uiyxWLRz1VUdaDKdE7o_9xzmOyIjBqbg', '', '0', '梁泽健', '', 'lzj006', '梁泽健6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848469', '1546848469', '', '0', 'a4611c7f-3c59-a251-04fa-598bdcc81c33');
INSERT INTO `car_user` VALUES ('1062', '', '13926303385', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gZmOINIP9cBOBei5c4ZZ3uD7FzBPn8cKJz5DkkQOTYr6G4Yf6xvc6', '', 'TpktIrDPZW1YUZXQotGvynsBDXA3f-bQ', '', '0', '林锦凤', '', 'ljf000', '林锦凤', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848505', '1546848505', '', '0', '7daaf94b-fbdc-ce37-ada1-f1f7de4c3103');
INSERT INTO `car_user` VALUES ('1063', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QqzCP2ZIVk/PME53Jp.xVenPuCzKX5OiaVR.6dQqEA68uDCbXSzje', '', 'nNJ4aIe25SWj47Pkj-4uPqgqupdyYs0a', '', '0', '刘惠珍', '', 'lhz001', '刘惠珍1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848552', '1546848552', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1064', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TS6ncUT5NGZUoFIyfjkAgO/deHPhvzecW5hiDC9hywDWMnH9UTOIa', '', 'Rr6xndq1yaKWUhyeyLw2FB4Rqk_iZRFJ', '', '0', '刘慧珍', '', 'lhz0001', '刘慧珍1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848678', '1546848678', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1065', '', '15374954881', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wv1vtlDctKkXPr8gpA2jEu332NkBjNS026/UXNQDK8ALjLT.9s1Sa', '', 'ISQkpnEZvStgKzyg3FgSd0PeW3WejMr_', '', '0', '刘前', '', 'lq000c', '刘前C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848718', '1546848718', '', '0', 'e8d2ad56-08ce-0c8b-83f5-e695d504e699');
INSERT INTO `car_user` VALUES ('1066', '', '17695050324', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$dz9IyATrByXgxQDXt6b7vuS.g9ZXnhiDMvshxxK2oXuuyPV3M7Vte', '', 'dJQkJwHPxGnD5JYchEJk5m9wD6Luaku9', '', '0', '刘巧', '', 'lq0030', '刘巧30', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848766', '1546848766', '', '0', '43ba7188-af1c-6e1b-82cd-d1fe41e749d3');
INSERT INTO `car_user` VALUES ('1067', '', '13434809837', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gXW8eLtNUwVHDQOfMgGAhecklb4BaDWapmHC2HbLEBsQbQyAKEMWm', '', 'oxI4TGgh7ISTHrVY99BM_OvmVusATjWw', '', '0', '刘万财', '', 'lwc001', '刘万财1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848800', '1546848800', '', '0', 'e1ed1fa2-6970-2fe2-dc9e-a7faf3dd98f4');
INSERT INTO `car_user` VALUES ('1070', '', '13015027401', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$2.sTDZR9vxiRKay2z9QGY.e.ikMkcQ0t747s8PIdab/Bx4MrSGLV6', '', 'aUZwYofWwWEmdOkJs1a_uBhMg8TMpvOq', '', '0', '栾君', '', 'lj0123', '栾君123', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848918', '1546848918', '', '0', '3d8db6f5-1ab8-2230-fdaf-a3d2a1c3d6e9');
INSERT INTO `car_user` VALUES ('1071', '', '15047939310', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TV6e6AWiFFzlPPjcgWtZDO7ImxYeqtp1w4ZpDGjdRumY3Z6cL7/OK', '', 'MMSM5lLLYMoP7_523dBz2IRYTuKETZQ5', '', '0', '吕端平', '', 'ldp001', '吕端平1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848952', '1546848952', '', '0', 'e773d59d-bffd-3eb6-a82c-338148692f46');
INSERT INTO `car_user` VALUES ('1072', '', '18895165999', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5yn/4hh/9lHfnG/khLAkn.GU06xz/rT3.gB2eQwftzqsH6EMEmx3K', '', 'JSmgqXMp_0_nezJj4RnPonHeInfeexVJ', '', '0', '马金梅', '', 'mjm00a', '马金梅A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546848982', '1546848982', '', '0', '18d946ae-dff0-9776-27b0-74c5c0c1db48');
INSERT INTO `car_user` VALUES ('1074', '', '18116493906', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ciex.dNf6x6Hd7Vv6JD2k.sx5l9PKX8TuNM/50HPXfZ1h5auRneXy', '', 'fHzc_cy5zNylAbHpzcP7oQZ-QwEPRS0J', '', '0', '王蒙蓓', '', 'wjb008', '蒙蓓8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849118', '1546849118', '', '0', 'ca9c18c3-a63e-d291-2bdd-9b300e6be172');
INSERT INTO `car_user` VALUES ('1075', '', '18029779306', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$AlJZ0dUnPynU37mj507Q1espNQGDcpA7/flPuDmEq1ecF5RtG8l2K', '', 'qbbkAVOtTWxI84ejz1z1b0a_ob7xtRGN', '', '0', '莫做莲', '', 'mzl000', '莫做莲', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849188', '1546849188', '', '0', 'bcb75040-e290-4b94-e2c3-ed8d1e570da6');
INSERT INTO `car_user` VALUES ('1076', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TyFgEmp806PS8eFdGcWLU.KdJKlAoTUEoGLNnefyIoo2TjFzHMPYC', '', 'iFpWKRyD8Ex1W8zfqdK_pfWwSOLn4GxL', '', '0', '宁海峰', '', 'nhf000', '宁海峰', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849221', '1546849221', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1077', '', '18676536048', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$p/a5cvK2QlHF.a9H.w0vH.OuNdCKrFYBpG.Fvqe/rCUI7wo70nzM.', '', 'Iiz5QeoMal5zMgwOeWSkxhSInsPu1cHZ', '', '0', '彭锦湘', '', 'pjx004', '彭锦湘4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849255', '1546849255', '', '0', 'ee6a683f-cdee-779f-27da-2bfdc9e171ee');
INSERT INTO `car_user` VALUES ('1078', '', '13360358698', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8koC5ZuYGpVSIc/fnxB9jefL7AWoLcGiglIVjenJryPHv5OItqb4m', '', 'shPpmsbSd0lfwacT800PpBozWNqarfMI', '', '0', '彭兆钧', '', 'pzj000', '彭兆钧', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849292', '1546849292', '', '0', '8bb441a7-413f-907e-9942-8717eb08e651');
INSERT INTO `car_user` VALUES ('1079', '', '13927784542', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$esBX9fNnXNDPeSJ1jOAVQO0BoxEcXhTm79WkQU/jQoo014M6y7.yG', '', 'AH9ZjOOg6UlR-ZjJY0v7WV71n1svzuvq', '', '0', '邱伟江', '', 'qwj025', '邱伟江25', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849325', '1546849325', '', '0', '47799b40-dffc-9ea1-4bbd-4be0ff67b2e9');
INSERT INTO `car_user` VALUES ('1080', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$oIRiCEPStMmlCnBTDv48Su6r2FWjwsRg7Lf9H6V3BmVYkDt27ewvO', '', '-lORrBhATyCb4tbc_fGXLVVkZGJi56NB', '', '0', '石静荣', '', 'sjr000', '石静荣', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849429', '1546849429', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1081', '', '18347922621', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$KlT1XNGF5UGyIQyG8ZCwceAiTlkm4Dhur4B9WBRXyINaKZAzAKlyW', '', 'yu-ulaFK59XS-1lNa2QpSe5R08Fn747Q', '', '0', '石晓霞', '', 'sxx00b', '石晓霞B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849485', '1546849485', '', '0', '468c8fa5-df12-f305-c04b-b400ba11af85');
INSERT INTO `car_user` VALUES ('1082', '', '18247160793', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6g0G5pGUK3yZhBOF2Ej.neO/aQfyUxGvhpuyO0LtJgDfF0..VNeNC', '', 'aYz04_Kau6YNLP_z7heaRdPGsrVj33mx', '', '0', '宋一博', '', 'syb000', '宋一博就是我', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849527', '1546849527', '', '0', '40ffe9a0-208c-3872-e4ab-562e859893bc');
INSERT INTO `car_user` VALUES ('1083', '', '13848618420', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$o4911Gf7cRmwzu0UZS5u2epU6UUCG84rm1FrO/iNYcV2FD9vMbTD2', '', 'ul7YgsXE-37lc221pfb2i_-Oxg3-0a_j', '', '0', '苏嘎图', '', 'sgt002', '苏嘎图2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849619', '1546849619', '', '0', '65af1217-2707-837b-53b2-4988ef98362a');
INSERT INTO `car_user` VALUES ('1084', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$sy6QAfbeDMICY.ofj.Ga/uaxtG2c9hpsOP3G45OOVs1L8IuMoZL4K', '', 'pUegKT5aKxHFcqlNCv2hHEPXTkCqOZbL', '', '0', '覃东伟', '', 'qdw000', '覃东伟', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849656', '1546849656', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1085', '', '13348676366', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xlnGxCOK6zKlhYywueGVF.lE58ivNw/COA0YzhHFEjcNBXzixo.GW', '', 'kDJumhUbb6rupU85krMRIRkLvvnSF5SW', '', '0', '谭华元', '', 'thy002', '谭华元2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849754', '1546849754', '', '0', '7a004963-5777-07a9-4b3a-68c2f9e51adb');
INSERT INTO `car_user` VALUES ('1086', '', '13348676366', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$s3powqjbTH/spX6/5K1Gu.38gRanwOZ0jDypipaK6mYjbetFWnNUq', '', 'QUZlO2E7rBMQoY4gscZvCzBrODNQb-c1', '', '0', '谭华元', '', 'thy004', '谭华元4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849759', '1546849759', '', '0', '7a004963-5777-07a9-4b3a-68c2f9e51adb');
INSERT INTO `car_user` VALUES ('1087', '', '13348676366', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$U/05FluvH8zoB98JDM8hcuijYgfbuTlJfCbt.UvuiU.hN1X0MgPEm', '', 'XhylQIKxNialE8trJX7LIhSYY9Q9XcuZ', '', '0', '谭华元', '', 'thy006', '谭华元6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849766', '1546849766', '', '0', '7a004963-5777-07a9-4b3a-68c2f9e51adb');
INSERT INTO `car_user` VALUES ('1088', '', '13348676366', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5TN0Ron/8LIAoFkG.Ntjo.EHIYBROUREVPIakgtjFeib36nj5mRdC', '', 'yDCs672psuiktg2S4MprpMTC3vY76piz', '', '0', '谭华元', '', 'thy008', '谭华元8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849772', '1546849772', '', '0', '7a004963-5777-07a9-4b3a-68c2f9e51adb');
INSERT INTO `car_user` VALUES ('1089', '', '13348676366', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$OBv4u25SJnDqOShV585DR.blZpoY8G6ooePUJKyOF0nP1YJ.l5dQK', '', 'TUAPoPgXi1Mwk3FQKVmn63AbyEVdthh8', '', '0', '谭华元', '', 'thy009', '谭华元9', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849777', '1546849777', '', '0', '7a004963-5777-07a9-4b3a-68c2f9e51adb');
INSERT INTO `car_user` VALUES ('1090', '', '13348676366', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$38.aCL7cnhLUu1r6VoREfe47lvz4QuJtNEuqRnF06L4eL02xrIXyi', '', 'rxb2kHIZ0bQPgSo3weHoQnkwTdA-Dl3Q', '', '0', '谭华元', '', 'thy0000', '谭华元销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849815', '1546849815', '', '0', '7a004963-5777-07a9-4b3a-68c2f9e51adb');
INSERT INTO `car_user` VALUES ('1091', '', '18071314598', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$KgBGDIS8LMmvW7nnbafX6eBYeDj4Vx4/ourdeURcX4uUiC6xVL4U6', '', 'na2qdYH-F4zgiyd3xu8StczFnjKpGRxb', '', '0', '谭明双', '', 'tmc001', '谭明双1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849884', '1546849884', '', '0', '62cdb198-e66e-0d7f-81fd-63793a4951e6');
INSERT INTO `car_user` VALUES ('1092', '', '18071314598', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RbtXoCb8B.H88P/SX37rFuQPBhRnulvknJzQctQfoRBUAPeJPHkmG', '', 'TfFW-izTgWWhzTPf86OaXrZ-_pTZIKgr', '', '0', '谭明双', '', 'tmc002', '谭明双2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849888', '1546849888', '', '0', '62cdb198-e66e-0d7f-81fd-63793a4951e6');
INSERT INTO `car_user` VALUES ('1093', '', '18071314598', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ERdzhoXqaPHAzyJyH26pbu3dSIAGeCjaLJybD2IlAhTFaGTZJLEaW', '', 'y0pxE0eQQIfep1VZPw6v78Itn65y5qSJ', '', '0', '谭明双', '', 'tmc003', '谭明双3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849893', '1546849893', '', '0', '62cdb198-e66e-0d7f-81fd-63793a4951e6');
INSERT INTO `car_user` VALUES ('1094', '', '17734011888', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6wyEVc7Bs.UnIpAcYh8Um.RG8GiuNUXSk3J49MD1lCwNMpTaGwMdu', '', 'M84bY0PmpDaME75KkGVXuFMr2I31WpjC', '', '0', '袁学军', '', 'yxj013', '袁学军13', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849903', '1546849903', '', '0', '1e4e9aad-d9e8-51c9-e204-4b8e46a9b932');
INSERT INTO `car_user` VALUES ('1095', '', '18980982134', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ZyG8DEuW.oXfnZijI2iYo.qE3/TwR38Q.Syrxkt1Be7LX98Ne452W', '', 'pYhMZM3tdg8pK_vwU8q6sHS38Y81EDjx', '', '0', '谭茜', '', 'tq00aa', '谭茜Aa', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849960', '1546849960', '', '0', '9623bb83-a890-02cd-8487-999f5202d6ce');
INSERT INTO `car_user` VALUES ('1096', '', '18980982134', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$fv6t5gxQMf5UdM1GbnqgFuJn1EPHlRcHoS5yuwUTZ3TVqCQOJkd36', '', 'Rt1LEki6u9GvJrNwuefd2lJRb1exCUj5', '', '0', '谭茜', '', 'tq00fa', '谭茜Fa', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849967', '1546849967', '', '0', '9623bb83-a890-02cd-8487-999f5202d6ce');
INSERT INTO `car_user` VALUES ('1097', '', '18980982134', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FtTLuo5oGnXJqbT9T9MPS.KC8rgU/zy2GOaurSidxsjNXQhH.tu1S', '', 'guWm8aTGdqEmFhBsRwOf4hUOIivuNCw6', '', '0', '谭茜', '', 'tq00ff', '谭茜Ff', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546849976', '1546849976', '', '0', '9623bb83-a890-02cd-8487-999f5202d6ce');
INSERT INTO `car_user` VALUES ('1098', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gZC6Q2KiN3COVQ38qzY0v.Esjz7YJz5gjLG/604nx8mi8A28oTgzu', '', 'gOUsRYX5DzwpwXxmGIcgECGKCzTOenGl', '', '0', '谭双明', '', 'tcm999', '谭双明999', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850009', '1546850009', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1099', '', '18971960657', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$UuWjsrJK00gLfq5/z3yElOPz/3KEm6dPzzhpOkJyQqmo4QJ1dFUfy', '', 's6DHu1prSAg2WWkjNcTvk8vlDenEsUl4', '', '0', '汤彩红', '', 'tch000', '汤彩红', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850052', '1546850052', '', '0', '19c33c3b-71a5-bdff-afe5-a68a1dfd18c2');
INSERT INTO `car_user` VALUES ('1100', '', '18971960657', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7CEw4eqqpJhykTHque2nzOEsWWmkaDnQnkDARE.rz8TfAmuSlPu/W', '', 'sqrE3RBKDTAgP311k25wdRq7TZ0472J7', '', '0', '汤彩红', '', 'tch007', '汤彩红7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850108', '1546850108', '', '0', '19c33c3b-71a5-bdff-afe5-a68a1dfd18c2');
INSERT INTO `car_user` VALUES ('1101', '', '18971960657', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$PY7BkkM.NW58JSWFljj5xOo/rMg4kzeoQJZRFvVC/ce7JsSqSfNcm', '', 'TxhrUKwmpRHGVx7QzyNZeh4gVhoS_Y4x', '', '0', '汤彩红', '', 'tch139', '汤彩红139', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850117', '1546850117', '', '0', '19c33c3b-71a5-bdff-afe5-a68a1dfd18c2');
INSERT INTO `car_user` VALUES ('1102', '', '18971960657', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$X0vFzBBLkfu5DgAppID7Q.J1dZV.lfU11dV6VwHTy38vSOat2K6MC', '', 'PJwoe8jVipRycVq9F6Vdn0KULcHic7l-', '', '0', '汤彩红', '', 'tch071', '汤彩红071', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850127', '1546850127', '', '0', '19c33c3b-71a5-bdff-afe5-a68a1dfd18c2');
INSERT INTO `car_user` VALUES ('1103', '', '15378972225', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$4CNqmDJLPTSm4XxVO8sb5ewR16p0AI9GXTIXBCzTgwC6Sf7Rq6DUW', '', 'bup_SzKUogLPg3VWiTKZRmrnxIFqOQGn', '', '0', '唐宝平', '', 'tbp00a', '唐宝平A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850159', '1546850159', '', '0', '41bccfa2-cf5d-8e23-5654-3b398c45ce31');
INSERT INTO `car_user` VALUES ('1104', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$O84mgfvxuSQBixypc9kGCuWTsPOBGpdBWXcNLYfgS2ZFDmR4x1TJy', '', 'i3rs9SV3C6DEPETE-L2N1yuYb_cXedag', '', '0', '唐春梅', '', 'tcm0646', '唐春梅0646', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850195', '1546850195', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1105', '', '13709576665', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vq5nufUWnB9/jz9aKXZo8.PqkbXJ/uwEKwoZ9P5M7FvBnoxWOBE8u', '', '1CwO8q-tAzoCidTBRyjA0dyCMJol_4uV', '', '0', '唐佳', '', 'tj000b', '唐佳B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850226', '1546850226', '', '0', 'fbb34b43-cbfc-a097-8a20-54b3a8968b98');
INSERT INTO `car_user` VALUES ('1106', '', '18408619543', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qdnxBRM4IFkvEqfCH6U4k.ALKg9LTWvr6K1qet00/PgpQFVczmAry', '', 'Vg5pXz0buymXl2hJ0CmHBr87baZUCk5_', '', '0', '唐岩', '', 'ty000a', '唐岩A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850266', '1546850266', '', '0', '00a729df-a9e9-9596-e70a-5c27c8334a62');
INSERT INTO `car_user` VALUES ('1107', '', '18672256043', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6X8w6tDHOUdn1WycLXifHeiy5uUJjqml/pP0QDLDhgzk54W.ISJ/6', '', 'Q04njvva8XEJMOrhXboWfkiugx_MF82P', '', '0', '田红霞', '', 'thx006', '田红霞6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850336', '1546850336', '', '0', '28fb881a-ca03-1844-f7e0-7153d500329f');
INSERT INTO `car_user` VALUES ('1108', '', '13928117578', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5vRWIXnWYQTI7bpnmirtpeCEaLxy5zVsVWCP9cq/PvJ69/K1mxAEi', '', 'RHGRg-mgnlnAZTr-3Ngmdld0id_z5Sbo', '', '0', '童坤', '', 'tk0001', '田红霞6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850458', '1546850389', '', '1', '0a3df6fc-4acd-b2c2-1326-03fa1ee19971');
INSERT INTO `car_user` VALUES ('1109', '', '15013822808', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nPg3YeKA4RRdC5l6Wt5r.O.B/wm9PrUpD5cllbkINxbpIh3NQGi5y', '', 'flMOz5Pqj4A7ODvcbelDDnT7xlnEr72H', '', '0', '曾瑞芳', '', 'zrf082', '曾瑞芳82', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850418', '1546850418', '', '0', 'ad413295-7700-da2b-d880-d660f7253500');
INSERT INTO `car_user` VALUES ('1110', '', '15851567111', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5rOGU6FfvuTK.7RG2ASHK.P4c4Xw1HAlXaFyUOcf3hHhTRz./wKaa', '', '1kVPFHVfTVKBw72D5NDZcTMOoAfFWcGc', '', '0', '王才祥', '', 'wcx000', '王才祥', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850530', '1546850530', '', '0', '1f2d2abd-b4d0-4d77-bce7-fd8e0de98b4f');
INSERT INTO `car_user` VALUES ('1111', '', '15034966907', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6Bg2NJ.Tbo8GhH3mMFC0B.uSotn7qijtxsciaBVYsjNQynqOKnchC', '', '360OfmppqtEda1LhJbozHDvO0CywIBWy', '', '0', '王凤霞', '', 'wfx000', '王凤霞', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850562', '1546850562', '', '0', '79f3bbcc-8308-29c2-0f87-d723fb7a1074');
INSERT INTO `car_user` VALUES ('1112', '', '18647824449', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3wWkSZlqMbJ0NavP0WRGEOOYp5viBQhFpqN9EX75NNlD1v63aLQJK', '', 'nBt2WGbZCYRkMRHudIp5N5t_U5VbZ_Sp', '', '0', '王嘉磊', '', 'wjl00b', '王嘉磊B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850623', '1546850623', '', '0', '16db1548-a53f-ffd3-49a2-c05e218a3378');
INSERT INTO `car_user` VALUES ('1113', '', '18647824449', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$K.KWuhDLk/BJFNojaEwnUeMLNQx1ygobKnrsGzmvrhV7GZpnyhJb2', '', 'e6_k0-NG5uMALxoYbefGmxvMQpaSiDe6', '', '0', '王嘉磊', '', 'wjl00c', '王嘉磊C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850632', '1546850632', '', '0', '16db1548-a53f-ffd3-49a2-c05e218a3378');
INSERT INTO `car_user` VALUES ('1114', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TF/Azb.9sIrcxgDMuJpCgudZfj3onaPSmfT4c2qcA1tO/lp.S2rma', '', 'zZbmt4s0Fr2dI68v9Zl6_1xRbl4rXIgA', '', '0', '王兰花', '', 'wlh000', '王兰花', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850660', '1546850660', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1115', '', '18909513234', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6zBUN27D.nQdResKiAABh.6vwc/S8Jr5ttY/EtK/pbpVK5u9mwecG', '', 'zNvLp82JykzwXj-pPoTVF5NpdrK86sWk', '', '0', '张进', '', 'wl00a1', '王林A1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850717', '1546850717', '', '0', 'f4394b7a-bf04-0608-92c6-d56605af60ab');
INSERT INTO `car_user` VALUES ('1116', '', '15354907744', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$2clIwEDLdRp2g6Wi55z/beTAT7HsgFfe1EgzbtfJ37dEZBkbF8lni', '', 'Iq06k_JXYEdbWCSfbi8JcgMSh4SeQsdU', '', '0', '王鹏飞', '', 'wpf010', '王鹏飞10', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850765', '1546850765', '', '0', '966b2913-65f9-93b7-5e6d-6959491a7a5f');
INSERT INTO `car_user` VALUES ('1117', '', '15354907744', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$OfDpqYds785s.dOeH6bhtOQAO4ymEPwBcZO5Eic1JctxwqW2n.Tna', '', 'zr0tIgidhLwE9dqS6rwFoFLESWNENRnf', '', '0', '王鹏飞', '', 'wpf008', '王鹏飞8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850788', '1546850788', '', '0', '966b2913-65f9-93b7-5e6d-6959491a7a5f');
INSERT INTO `car_user` VALUES ('1119', '', '13847287243', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6wy1uAVXgSycS/Rm/M.G0uZfxT3jYcFl36fOWonqFGiciMXS5Hugi', '', 'MPRxsgYomfvjSo2Z_u6hT_JeOCImUfiM', '', '0', '王瑞强', '', 'wrq00a', '王瑞强A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850824', '1546850824', '', '0', '7e9a3044-8bdf-22e8-01fe-f441bbfe5f59');
INSERT INTO `car_user` VALUES ('1120', '', '13847203314', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$70JqGCg8xONqrZXXjpYOk.J7bmJ6nvYp0m2aMt/MTmIf8wHPqnrrW', '', 'VnouhVY08uDyHl3p1a4FIq6J26F3iT2w', '', '0', '王燕如', '', 'wyr003', '王燕如3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850856', '1546850856', '', '0', 'aa0be157-7a00-57fa-965d-97fe0fc5e920');
INSERT INTO `car_user` VALUES ('1121', '', '18347933993', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8ODe8EFXYNxR91K1zTpiue5bn2FF5J08Lky9a/2deHFr9/kf4ZC.G', '', 'IJ7FgG3ZopPDSt6vQsAYgZngRSwsv-7u', '', '0', '王俊芳', '', 'wyr00b', '王乙茹B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546850886', '1546850886', '', '0', '236f5737-d752-c178-000e-df9a4e8ae4e5');
INSERT INTO `car_user` VALUES ('1122', '', '18670376769', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$f.B8ji6P.2bfD4Sn1VBeJuJxKfMcKsELJiXHhqCCvYqKMrtekOPKC', '', '8ZFnt3_-khkqJDzpWnKIBywLxNt3_KMN', '', '0', '张玉清', '', 'zyq000', '张玉清', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851152', '1546851152', '', '0', 'f00287f1-a6ce-235c-7fc5-7146e35ee826');
INSERT INTO `car_user` VALUES ('1123', '', '15188885953', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$dzp4jlyRzdOVanTSuicaBuqNtSqORmMGPV6jMm5xDfMW4JW9vt/UK', '', 'F-kJiZSDgEhN_YdQrUfxSUXBm1GugdOS', '', '0', '曹鑫奎', '', 'cxk009', '曹鑫奎9', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851209', '1546851209', '', '0', '5a43fdf6-5e55-992a-2395-90f620caacf0');
INSERT INTO `car_user` VALUES ('1124', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$54MYQBir4dJiR9qtlplbjOU.tSLecX2brMLfABvkapdWz4KvLfkbe', '', 'PUuEvBcmo46vEQNyjr3yrq1X86O0ryWS', '', '0', '冯安涛', '', 'fat000', '冯安涛', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851273', '1546851273', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1125', '', '15991833109', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$imd09Vgn3bsHe49H30vQkuYvar5c6u618aJQWvJKfWdtmLR7wDRKm', '', 'ICp8f-_ETDpN-00arewE96GiM2mx92TY', '', '0', '闫顶志', '', 'ydz002', '冯安涛', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851334', '1546851334', '', '0', '4c1fbd04-e081-8cf5-c515-934fa2d2c64a');
INSERT INTO `car_user` VALUES ('1126', '', '18947132228', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$lToiaOVCfbNzxh6wkA/O4ey/oUJr1dVWswRAkWERyTWXydKkkQZyu', '', 'aDRp43U_n0NsQHYxWUfz4s-Whw6B2ivc', '', '0', '肖建花', '', 'xjh00b', '肖建花B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851362', '1546851362', '', '0', 'cb9da7f1-2b40-e9c2-6a3c-cf52dfa1fb9b');
INSERT INTO `car_user` VALUES ('1127', '', '18947132228', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$biBnIE..yY3GQobXTdt8ke2igr7kVOl2t6iE8NBkKWb9m8MRHNqji', '', 'TgGo-v9Y56VOa__i5lEM2g99fGR0kxNP', '', '0', '肖建花', '', 'xjh00c', '肖建花C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851369', '1546851369', '', '0', 'cb9da7f1-2b40-e9c2-6a3c-cf52dfa1fb9b');
INSERT INTO `car_user` VALUES ('1128', '', '13947411990', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$L38s3Qxb8i1xXDGGChWZlODTs1IGmV1r3c/SDhN2GnUwtVOsah00e', '', 'nLLwMYTbZ_R1qGug-qnhfnwnvL_xSyuh', '', '0', '姜治中', '', 'jzz005', '姜治中5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851376', '1546851376', '', '0', '7d0b239b-0a1a-f3bb-8cfe-63c481edb07c');
INSERT INTO `car_user` VALUES ('1129', '', '18686079183', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kbGGX4ne.1/5vgIRhg6/iOrXGJu8aPOiXlby6PiSrUrvoF9XLhn0.', '', 'KiK8dmSB6NmE9lR5b12Ek9A5XNZnoV4s', '', '0', '肖燕', '', 'xy000d', '肖燕D', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851404', '1546851404', '', '0', 'aaae277e-a7f2-6e1d-1a5d-07ed82e6c260');
INSERT INTO `car_user` VALUES ('1130', '', '13927766147', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3DrAzmTYnwP//iY9Rlo1WOumGg.qF1MGDVqjCfRV8dHEaDQF01n7m', '', 'wi9eYdSkB3OFCLafKmPDg0v9ZiYAI_Vr', '', '0', '谢博友', '', 'xby000', '谢博友', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851435', '1546851435', '', '0', 'e792cc1e-0dc7-284e-8a13-b2d188172cf9');
INSERT INTO `car_user` VALUES ('1131', '', '13847469617', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8E9lsr3UApmctRuD.3j8S.g8RcAnMXxpXgERoMmZqKXxTL/oXEEyK', '', 'khGtsgyvFkDiYzWujqC3l_5xOKfwUUXV', '', '0', '岳建文', '', 'yjw002', '岳建文2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851463', '1546851463', '', '0', '163e887d-0c26-b63f-ec8d-20432110f062');
INSERT INTO `car_user` VALUES ('1132', '', '13923187483', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$AipJ9MZ3EqBTYYz2CrPSw.YS7ET5Uj/aAp/43EgCfpHpumn7FNsdS', '', '-9JWVp_xDWlfZkBLxnqY9AXfvvqGKyHL', '', '0', '谢绍镜', '', 'xsj000', '谢绍镜', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851464', '1546851464', '', '0', 'a2a46c50-ca4d-ed5a-853e-bc64d7032c1a');
INSERT INTO `car_user` VALUES ('1133', '', '13480312068', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yf6VRuE7Ap04okxFUcO3TuRnjmjhDF5xccG7IY8MqOtkwoOOyyRb2', '', '3JprUNDebIugFwPIk0gJMQg4aiLMT6n_', '', '0', '许雄辉', '', 'xd0000', '许多', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851509', '1546851509', '', '0', 'd4359c9a-db4b-bd70-f1c8-738f768faa57');
INSERT INTO `car_user` VALUES ('1134', '', '13480312068', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7Ikhwo88DHuUn5/bMedN8OBm68SRu24pJlW5xSAELGZid4uGyFmry', '', 'S_CFLMd5bUrN4MrRh13kvDMcuVbD5U3y', '', '0', '许雄辉', '', 'xd0001', '许多1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851517', '1546851517', '', '0', 'd4359c9a-db4b-bd70-f1c8-738f768faa57');
INSERT INTO `car_user` VALUES ('1135', '', '18695150558', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6wlcEueP8QG6wPSBzdyM9.mK6GiSgtVi2bEo8MeB2eMFQFLCF7yWi', '', 'F-RQxpcHj1c2M8UC1wT4jLKKHcCKrSaR', '', '0', '梁慧', '', 'lh0012', '梁慧12', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851518', '1546851518', '', '0', 'd86c56f1-2c7e-d8a9-e01a-14cc234a4160');
INSERT INTO `car_user` VALUES ('1136', '', '13995378718', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6nJurDifoXWNLrgDZJdole9fwpGFhagZmrhm/4m.wYpkFc.5YEGEi', '', '_iqq3kUbl14qq9f7XtvuUcIqTZ51QZsY', '', '0', '严淑芳', '', 'ysf005', '严淑芳5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851551', '1546851551', '', '0', 'c59e0fe1-54f2-b245-e9f0-b1e37f1984e0');
INSERT INTO `car_user` VALUES ('1137', '', '18695150558', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rEeb/G2BS9a6/FcJCkBQB.VVl7EATPG0oe3eBpN2bWYRucRUmaHIa', '', 'Xo_mLkQpgBeW4OpGSvRWYUzEcqlFjhaK', '', '0', '梁慧', '', 'lh0013', '梁慧13', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851552', '1546851552', '', '0', 'd86c56f1-2c7e-d8a9-e01a-14cc234a4160');
INSERT INTO `car_user` VALUES ('1138', '', '18695150558', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pPRFWSdRlahlWx6m9cT0guyi2dbrnMazFh9ZjCVan2VrKwH6NZYyK', '', 'JfFcVSFkKlOaGYho9dsLIHnoHW14co9F', '', '0', '梁慧', '', 'lh0014', '梁慧14', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851578', '1546851578', '', '0', 'd86c56f1-2c7e-d8a9-e01a-14cc234a4160');
INSERT INTO `car_user` VALUES ('1139', '', '13827216909', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FVDJy1SsZ2e6lDqpi743huQeAV2PZqpLUZTgGnZ6Ved9v/bIjf60e', '', '5C-XZa7GZSg995bog3bbAVdTpAymLL_0', '', '0', '杨朝均', '', 'yzj00h', '杨朝均H', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851586', '1546851586', '', '0', 'af62141b-2e2e-7993-08a4-b8d386df073a');
INSERT INTO `car_user` VALUES ('1140', '', '13772272392', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$VoqDAW/cc8ZTPeuawY0.G.7pDetrSZ0vXBicAZ2SKZTR7xhHu2AUq', '', 'y0W0Zugzjze4SYASwnTeTkZlf622-JIb', '', '0', '张文军', '', 'zwj00a', '张文军A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851621', '1546851621', '', '0', '4646163a-24cf-a66a-d717-959ba43fe094');
INSERT INTO `car_user` VALUES ('1141', '', '15132393333', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$sRPXmMpqgLhqQMCxxhON2ubwkSnYMjn2eOCmza88LImlAt7DW3vQ.', '', 'VAlic8iCQCo9nTD8LXXRzIQIidewiaXQ', '', '0', '杨春光', '', 'ycg011', '杨春光11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851625', '1546851625', '', '0', 'ef1aca05-0d9b-f0a9-2b91-b16f4174390b');
INSERT INTO `car_user` VALUES ('1142', '', '15132393333', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Z6ZvpZ596MeO4IRo.tmzhu9FSEZkmakCvPnQSrJn.ElxMDz0uIQha', '', 'Eio5nQ5TM2g6sg8WZbVyYwl8BDu3p6Pf', '', '0', '杨春光', '', 'ycg007', '杨春光7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851635', '1546851635', '', '0', 'ef1aca05-0d9b-f0a9-2b91-b16f4174390b');
INSERT INTO `car_user` VALUES ('1143', '', '15132393333', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kqbA.cunfyJ6qM3Pa5k5EueXEptiA8wph0Znm.s6BsOS0vygbDftW', '', 'S8CGaKvQvE20Q2RI4hM5zuTJQ6_tlOP7', '', '0', '杨春光', '', 'ycg009', '杨春光9', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851639', '1546851639', '', '0', 'ef1aca05-0d9b-f0a9-2b91-b16f4174390b');
INSERT INTO `car_user` VALUES ('1144', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mSWcffXSes7N/zIJvCpsq.hM.VkBLsOmtEYMvfod8xW9Ezxnofzt.', '', 'HKNQ6X90WvpPjXziUaywvxIcbaunGb0n', '', '0', '杨海霞', '', 'yhx000', '杨海霞0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851676', '1546851676', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1145', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$2v4FfYdoWiMknYY5VWecTuAcvvCe43J8H1hbPYRTN0lRAxDaQJSqK', '', '6LnPGKHXtdq27q72bBP488AFkjfmnljK', '', '0', '张雷剑', '', 'zlj0679', 'zlj0679', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851699', '1546851699', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1147', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5iZJpAmNER3QXus.sR0xSOg0aT11rKnvW229w0wuHn9.Q02kmas02', '', 'n-G6SXIEbREo7hnHbHLL9nD-YRNhYkCH', '', '0', '杨海霞', '', 'yhx002', '杨海霞2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851743', '1546851743', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1148', '', '13677227745', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gv13za7pEwtxKq3PKgl43.R2ZGJHN2C8S7JkrFp.5K38TLQd1Pfpu', '', 'cDyUGe51_2lh4y2SwDhl0vIzQGQ4Vs9U', '', '0', '万平', '', 'wp0001', '万平1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851752', '1546851752', '', '0', 'ad7476f7-418f-8285-12a6-a99d300f61d9');
INSERT INTO `car_user` VALUES ('1149', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7DiG1Errv5N8VWLq6ERW3uxyWTuucT.m.X75XI8Xi1Ck5wESth2Qu', '', 'YvPJNaurEiXbynm_qTCavy3uAWYp6iWQ', '', '0', '杨海霞', '', 'yhx123456', '杨海霞123456', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851752', '1546851752', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1150', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QSKXpYh3LTsxD7wEPT5VWeLge9Sl6r/zqgdg.ujM/TegfSfW3rlcy', '', 'uwRkrmhz0YU3MCEl3saifUr3s6BUC31-', '', '0', '黄德荣', '', 'hdr00a', '黄德荣A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851836', '1546851836', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1151', '', '13163708790', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wnk3mHh/xo9vBKzndMRO4OmKWNuXAeQKCojy2cby0H/FsO859T1O6', '', 'GCdluPXaF2Zv57xrlYavhdpKxJ5k7fuQ', '', '0', '杨荣兰', '', 'yrl011', '杨荣兰11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851844', '1546851844', '', '0', 'd759df40-1054-e1b0-5b49-12889a812008');
INSERT INTO `car_user` VALUES ('1152', '', '18707657776', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$lZaIeVY7xlFKwlI0n3sSbunthQBtq1dl8JWqcEZsI6OBxFBvdURZq', '', 'KGzyYwMRkfdZQpuGnIoQ_B-jZ57R4auA', '', '0', '都咏晴', '', 'dyq001', '都咏晴1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851892', '1546851892', '', '0', '61e70a09-539b-f4bd-62ea-3d0f49da1e2a');
INSERT INTO `car_user` VALUES ('1153', '', '13195011456', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$OR2aDNIV1xRJdlzvbnzAcOu7eo0qsZtTJzC9UDOKSmyw/lW9AqDKq', '', 'erVbtdTKwZ8UkuOI6nKNzIjxkp17hNm9', '', '0', '杨少斌', '', 'ysb000', '杨少斌', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851934', '1546851934', '', '0', 'b97c61ad-9fd8-1677-ced8-da138049c3cc');
INSERT INTO `car_user` VALUES ('1154', '', '13195011456', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rWECDBuvUgMqIDCkDoYDiO3GSSPhdHzH.86A6eXA3Vl8aGd7J6CYq', '', 'ePWUjsVEt9m2L-GmvFJ0WQ6IL8aTWEHc', '', '0', '杨少斌', '', 'ysb001', '杨少斌1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851944', '1546851944', '', '0', 'b97c61ad-9fd8-1677-ced8-da138049c3cc');
INSERT INTO `car_user` VALUES ('1155', '', '15389805792', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Mjj1waiprFkcgc5yqiTFZe31YIw072i1z4sDdGusYr3H1PII8oSo6', '', 'mh2Rf8oNbGmz9sE9BTx9oJpfFO_T_Z8I', '', '0', '刘全良', '', 'lql58b', '刘全良58B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851949', '1546851949', '', '0', '93e9fe6d-884d-852d-f0a9-e5f5c3d8070c');
INSERT INTO `car_user` VALUES ('1156', '', '13195011456', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$GedCkPQ9iBtxaIbsbf0c5eHwaJAPErBE6oeLXBTW2mKtGLPNkUZ6.', '', 'LUe4tO3MUqVbN057oOEuqb3dXgtvkLT4', '', '0', '杨少斌', '', 'ysb002', '杨少斌2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851950', '1546851950', '', '0', 'b97c61ad-9fd8-1677-ced8-da138049c3cc');
INSERT INTO `car_user` VALUES ('1157', '', '13195011456', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1VDiXsbw5my2/sX0fhc93OtmGWH1HWWo1Re2ln1kvGLJoCxnbd29G', '', 'viszQk2lR6zbsdWR50maktFBoCajck3N', '', '0', '杨少斌', '', 'ysb003', '杨少斌3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851954', '1546851954', '', '0', 'b97c61ad-9fd8-1677-ced8-da138049c3cc');
INSERT INTO `car_user` VALUES ('1158', '', '13195011456', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$misYaUk00ATeNqk37IXCGef912gPrFZdN4Tgdo5maahgpZ0KqGh3u', '', 'uztY9t4m2dLu3SZhKAGezmxpNnf63vmE', '', '0', '杨少斌', '', 'ysb008', '杨少斌8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851959', '1546851959', '', '0', 'b97c61ad-9fd8-1677-ced8-da138049c3cc');
INSERT INTO `car_user` VALUES ('1159', '', '13195011456', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$jx/E8SUJGyKUYNaRv/e7AeRoGUIvriLoOlcr23rVyNw6XjC5kSJv6', '', 'ns3dA-2r0VSHJzYuosPe2axZQ_GpVvNW', '', '0', '杨少斌', '', 'ysb0a1', '杨少斌A1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546851980', '1546851980', '', '0', 'b97c61ad-9fd8-1677-ced8-da138049c3cc');
INSERT INTO `car_user` VALUES ('1160', '', '13238400888', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3bKNw2XaAVW2RawLghTD/.htn2E9qO3w4bZbFJa7jHXXDepZgNohu', '', 'Okzu3VoL4R0n3myc3RGHH2zzW2C2iIJg', '', '0', '张诗曼', '', 'zsm123', '张诗曼123', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852001', '1546852001', '', '0', '636d25f9-4a71-5f87-e6e0-2907e5c1ee88');
INSERT INTO `car_user` VALUES ('1161', '', '13572605176', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Ys528FFozV6szlbSko28uOt/zZg2cvZbYnCmYyPwQs6DMWayPJ9t2', '', 'e4R4U6DktEVWFfHcjDqm641bIsEv0V0t', '', '0', '杨少军', '', 'ysj000', '杨少军', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852031', '1546852031', '', '0', '42021ecd-7546-fcef-e858-2f6953f82b40');
INSERT INTO `car_user` VALUES ('1162', '', '15504715036', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9SnpFF8EePkaRZqgYIbPS.1eu3b0QPSVHsdpf5ahlT7UISjpIeyvu', '', 'IlDGZDPYtrZieabAnj_wMDidtHlRypFC', '', '0', '张文', '', 'zw0004', '张文4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852058', '1546852058', '', '0', 'c90dad88-9296-268e-b9ee-97676baecb48');
INSERT INTO `car_user` VALUES ('1163', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$L9AR9kAMPSVoI64ZGMwMK.p5B0MrgR0PF1a4iMxWa0yXbjGBKfzQO', '', 'bP15yhiLDzh2MlS7ZTma7k94w2e3Crlq', '', '0', '杨淑霞', '', 'ysx000', '杨淑霞', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852060', '1546852060', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1164', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$GZlgQXn0fgGBq7MKvrB5tO.iVL6/xzf3.vboOXb5/4d8BSkEcV0s6', '', 'q-YBj7lFdbEfuKEMxQD2pmrCyjulKewp', '', '0', '杨水春', '', 'ysc4426', '杨水春4426', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852095', '1546852095', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1165', '', '13474834177', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$P.KMKkDQDC5N.LddCcP3S.bz5ig1oSzfDiK3vuzQeriy/cTy948Wy', '', '1T-MG-xMauqyzP6Z0_XN2RY3aaPrY5Mt', '', '0', '霍月珍', '', 'hyz000', '霍月珍', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852107', '1546852107', '', '0', '2cf1f122-4819-5b5e-e747-1dc4a33da23e');
INSERT INTO `car_user` VALUES ('1166', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ldzjbgfwhGbem4wHRYRCF.F8x0t42vxJW5IYNDhaqhF94ddocl9OC', '', 'LokFX3_XfliRXwCUcjzjuiu93iObJX3s', '', '0', '杨学军', '', 'yxj000', '杨学军', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852123', '1546852123', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1167', '', '13727398918', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.5hc3xi9rL9ip1DlT3qbUOLRbRaDhlajgppuaY2zu.LQ5LT1N0ruS', '', 'dxGqWkMd6WSD3U8S8ETOGxq_TU2AW4fg', '', '0', '黄华秀', '', 'hhx001', '黄华季1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852157', '1546852157', '', '0', '20f83fd6-38a6-5ce4-a936-08703372d95d');
INSERT INTO `car_user` VALUES ('1168', '', '15997656508', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Bw8NFcBYwtTFf9GF3sXGBeAoLiAX8j3m9e.rojvEK1Cf..oTTADri', '', '0K7nXG-WVMnUo8AFAmmPGLYKIdj_g0RO', '', '0', '杨裕贵', '', 'yyg001', '杨裕贵1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852174', '1546852174', '', '0', 'abfcd0a5-a9d4-c562-c906-caca875e5803');
INSERT INTO `car_user` VALUES ('1169', '', '15997656508', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qUtRo7P2YuEjds/LpPVLquJykPFKBqJm3wHGDhiRuTiaV/.gsmx7.', '', 'sluWY0rd-N4uo_MmsDshtgFkoyafV6kB', '', '0', '杨裕贵', '', 'yyg002', '杨裕贵2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852180', '1546852180', '', '0', 'abfcd0a5-a9d4-c562-c906-caca875e5803');
INSERT INTO `car_user` VALUES ('1170', '', '13910618023', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uV5yKgk7e.Yt6uvlfbzb.ukqhyN5rina.cFpoL6N4F0cugdeacSbq', '', 'mbvVEFXbhmUMM0FLrb2E-5K4sErTfsfB', '', '0', '印达琼', '', 'ydq001', '印达琼1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852215', '1546852215', '', '0', '6f747d15-836d-09f0-65f7-296af6e7bbde');
INSERT INTO `car_user` VALUES ('1171', '', '18847125197', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ohaxhBC6zZ9Q/1Ziv/ufwuzkjjnL3kWUdWXn3UAlkQyNqpFogNfC.', '', 'RJYqYk03bK5pJN66YLzXCAOq41zyyjcL', '', '0', '尤红松', '', 'yhs004', '尤红松4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852244', '1546852244', '', '0', 'bf3367bd-52fb-038b-53ce-7128e27097bc');
INSERT INTO `car_user` VALUES ('1172', '', '13360189517', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$I41Bf/EC3K9m7/8heJz.sOvD2ufkioq.e6/zUP.7SeHsZg5seNnD.', '', 'wmAzhfWqURzxx6oa8o4xWwcA9MbmvvvK', '', '0', '陈月圆', '', 'cyy002', '陈月圆2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852300', '1546852300', '', '0', 'af6c184c-b6fb-270d-48ba-c3b843358865');
INSERT INTO `car_user` VALUES ('1173', '', '13702847488', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$VEwkozLlVHwNQTHW5i7.a.gS9YmywRncmh.veyeRwZeNI9ONysWZG', '', 'sVGhspYn233EvqYtAj6eXrcnXdxocFtm', '', '0', '余景群', '', 'yjq0b1', '余景群B1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852303', '1546852303', '', '0', '351ba022-148b-afc9-5e9a-79962a735892');
INSERT INTO `car_user` VALUES ('1174', '', '13702847488', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$T01t5UkSK9kz9zvzZDb6K.Wc9le1R9TnXBfQooiIUe5HK7lU1GDAi', '', '_3FRWLGqp9_vGLiUXqCIWV9QmbUCNlzx', '', '0', '余景群', '', 'yjq0b3', '余景群B3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852310', '1546852310', '', '0', '351ba022-148b-afc9-5e9a-79962a735892');
INSERT INTO `car_user` VALUES ('1175', '', '13702847488', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ymahiXxvcPWPUCpxqEqh5O5L7vCKEu5HiIGXTkINRAyCgAD/NtU8K', '', 'VwFI8k5GVSXKFVr3cuPiLyQiHWAULbiv', '', '0', '余景群', '', 'yjq0b4', '余景群B4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852315', '1546852315', '', '0', '351ba022-148b-afc9-5e9a-79962a735892');
INSERT INTO `car_user` VALUES ('1176', '', '13927798905', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XqZs.Z/31ZyYo22g/j7xhOi/70fNqSCjZHqfdQnZ0Ez5uC/Cn86Kq', '', '3ZktdQ-JCjHPNwJLmKhgka5ZQpw1tEHn', '', '0', '余晓斌', '', 'yxb004', '余晓斌4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852353', '1546852353', '', '0', '496e1ff1-14a1-11cf-e2a8-fe1e29d88143');
INSERT INTO `car_user` VALUES ('1178', '', '18938306179', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$baX0wgFIl2Bsivu9cw2fG.TCrDvy/Lvnfa3VeosyKxcNTSCM.DDgO', '', 'Y6-4x0oo_TPtY5rtjUCpkRFIoITKUCLC', '', '0', '梁秀明', '', 'lxm001', '梁秀明1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852378', '1546852378', '', '0', 'dc6d5e48-b110-1b52-c982-e46b13944a28');
INSERT INTO `car_user` VALUES ('1179', '', '13516596359', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Nrnf2RUa6BgHa2wHj9Fkm.k5Js9iM50T/5IfQdUjSeELIfiG8WjoG', '', 'c74ri9fJLXzng5x0n8fbzycjKDWpJRty', '', '0', '虞凤花', '', 'yfh000', '虞凤花', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852383', '1546852383', '', '0', 'ab9fdbe5-1cc0-3865-544d-42c425814899');
INSERT INTO `car_user` VALUES ('1180', '', '18925979869', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ZeJk8rybbKOUABc2xm3TQ.Aku6k0xO.OIFgOL2aR5VjWA1jd3RyAG', '', 'W_VYrF4SpgAp51Xfhqx4B_8v5Rche-8T', '', '0', '袁淑元', '', 'yhy012', '袁淑元12', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852410', '1546852410', '', '0', 'bd438afa-010e-878e-5b81-2b4a6cd7ab9f');
INSERT INTO `car_user` VALUES ('1181', '', '15827536877', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ywXvRUf0W4n.DoWI45U86.vOqaUh5lqsMsX7ISahx0o5aJcAPrkxu', '', 'gY44KvzRNujK1NLinOQaUOtJBlUiL8Q9', '', '0', '胡明明', '', 'hmm000', '胡明明', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852429', '1546852429', '', '0', '5b383f4a-f80d-d429-29f0-cfe6eff6b852');
INSERT INTO `car_user` VALUES ('1182', '', '13848418310', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$oyrAqoKf6vO4wMijNnZcEeqbZSZHzdmg1KBcFQKCVnPDDbX/D3q9m', '', '2qXOQcht-zgM7PRnrvpoBSNJqRWYN8Of', '', '0', '翟晓云', '', 'zxy001', '翟晓云1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852447', '1546852447', '', '0', 'aa0ab26b-499b-e6d6-74c2-7d83a9db5ddc');
INSERT INTO `car_user` VALUES ('1183', '', '18013508765', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ztrJjYULGdk3xo14tDOJFOyerLtA0mzisnCFXjrCJtqC6MAwY.SHa', '', '8wKRUj5w3EruMci4wVnH--g-V6rTPhvk', '', '0', '张大明', '', 'zdm007', '张大明07', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852477', '1546852477', '', '0', 'e0313dc3-f2d9-b353-f4ef-3ecca8613a25');
INSERT INTO `car_user` VALUES ('1184', '', '13014111911', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yk1umjBHRupZbOmefrwKse0p7Kh3NHj0AvKtkNYtoPiAhTEtQkM9y', '', 'u2pVGIJyOPYg8HGuC2r5NKQANWvq9V8I', '', '0', '张继平', '', 'zjp005', '张继平5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852512', '1546852512', '', '0', '593ddd1b-12e9-d0eb-0f5e-5071f3d8370f');
INSERT INTO `car_user` VALUES ('1185', '', '13794616811', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$MlFe.yQILxI8VEUHP8eeE.0zCMCdFmTeWzoKz50/PxzDS/xavHtL.', '', 'yxBdT8v9mo90s3ztB7b_KhjIcGBSWE7A', '', '0', '张金军', '', 'zjj001', '张金军01', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852546', '1546852546', '', '0', '2514b7a3-1345-a479-fda8-bd11f4a6e069');
INSERT INTO `car_user` VALUES ('1186', '', '15540964888', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ex.E387gIlXAEd92apePZ.oy2XarXR6.pz1o73F8JGi.e13G6Q5te', '', 'IswJETFcCie1IvubceICCcTUoD0q8oiJ', '', '0', '贾艳军', '', 'jyj123', '贾艳军123', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852558', '1546852558', '', '0', '0a8030ab-8167-d484-741b-c167e38055f0');
INSERT INTO `car_user` VALUES ('1187', '', '18747487458', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$oAnIAI6P3Ea.NwhDpsHIoeLE2ASFG00EDLORPL7EdDoYm5iToUWIi', '', 'rOTLkoNpW02vbKwzREvM2DfLGQ-4c8zd', '', '0', '张丽芬', '', 'zlfa12', '张丽芬A12', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852589', '1546852589', '', '0', '2d2c2072-1edb-31e9-1d52-49fd63701bce');
INSERT INTO `car_user` VALUES ('1188', '', '13910192024', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$p4EWx6Hpjp7qfwbsTmekFO1PoVyEFTpMXfLaZseU.LJpcIL.7yP0m', '', 'Z3ncNnCLe6kITBQUSxtxEA0eStWO6miT', '', '0', '张宁', '', 'zn0000', '张宁', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852614', '1546852614', '', '0', 'fef52598-c11a-34ee-5ac9-369ba107159b');
INSERT INTO `car_user` VALUES ('1189', '', '18695152808', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uosrXTno5nV9SVL870ajcecitW/SKx6UYx4Vkmsj4rbITcPEg37m.', '', '-UmzHHElsNlmInaK3RVGgm0D1Ov9uZxp', '', '0', '梁慧', '', 'lh0003', '梁慧3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852621', '1546852621', '', '0', '478077e3-94bc-1a40-581a-738280d25ecb');
INSERT INTO `car_user` VALUES ('1190', '', '13417170188', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1V56YsAMO5ySnvX2GT1JKOYG09StGmN9mI.RnqEY7wXnA5Lx8weJW', '', 'MfKdSVMevaQsSZVHRFIp5UdKlVJPAGX7', '', '0', '张赛卿', '', 'zsq001', '张赛卿1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852645', '1546852645', '', '0', '64774447-a19f-c0e4-e58b-936b111b8363');
INSERT INTO `car_user` VALUES ('1191', '', '13279349599', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Fhj/utCdvJ4SXEoLi0aePepqrWxit61Rg0kU493S6jyLx//kFoFgG', '', 'bMuJw4KpVDfclpWkKYfNBA_nnGifq5oJ', '', '0', '刘洋', '', 'ly0002', '刘洋2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852670', '1546852670', '', '0', '83a83676-1e7a-0890-d5ef-f26de58a5d53');
INSERT INTO `car_user` VALUES ('1192', '', '18928663219', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Sn9WgYoDvixWeUgvlKa4be/bc3jWVr83Z9UL/S8rWpvcHz/2xHvqy', '', 'ZNYe-Q9grfJbLED8jBH0oRJLqWADxlCs', '', '0', '张思敏', '', 'zsm000', '张思敏', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852671', '1546852671', '', '0', 'a4750f23-d0d9-a1ba-931d-d6420787c176');
INSERT INTO `car_user` VALUES ('1193', '', '18928663219', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$dejwCnUPRi62rHVqI1r8LegwyBO.VCLfpH5yjCImFArMHwOUV.SkG', '', 'B2HzB8xWP0xhVhZAF7Jfhl91kLUHlF5u', '', '0', '张思敏', '', 'zsm005', '张思敏5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852693', '1546852693', '', '0', 'a4750f23-d0d9-a1ba-931d-d6420787c176');
INSERT INTO `car_user` VALUES ('1194', '', '13725418803', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$veXQyYSw2PSXyKy2CcB2jOVJrjh9XVfcG4L2FG1ZQ74svFztmmbJW', '', 'w-32dT_houUw9IMrLyHd-8X5DIxbsbYQ', '', '0', '张小凤', '', 'zxf012', '张小凤12', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852723', '1546852723', '', '0', 'd87f207e-06bd-a622-7118-6e09579ca2ae');
INSERT INTO `car_user` VALUES ('1197', '', '13372187767', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$HDPNReRbIurTN/1sQkbkK.h2K.lY2NJEDeetDC.sXwp0AVkoHJGUq', '', 'oVBSqG8p_p2Xed7hv6UK800n5TVQDh8R', '', '0', '张尧磊', '', 'zyl017', '张尧磊17', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852815', '1546852815', '', '0', '0c6b01c4-d4e4-29e6-9f84-e6e451cb3384');
INSERT INTO `car_user` VALUES ('1198', '', '13369514039', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$PLMFm4pAtrzmYot23//8CeE9HXYBEPssM.TXZ49A5VuBK39qO3m.a', '', 'xCwIroYH3N9o6EsIbraoMyJD8FS-GcIq', '', '0', '张瑜', '', 'zy0002', '张瑜2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852845', '1546852845', '', '0', 'ef707816-4bce-f073-69b8-fe16b29e099c');
INSERT INTO `car_user` VALUES ('1199', '', '18295081339', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wQ293yJGdA9EUfEe1In8SetFh38SepLaX4FVIw3NqzBjYZn1cMAJ.', '', 'WuFz7YzSQsZHu5gsFsC3eLRk7v3DNx4R', '', '0', '赵斌', '', 'zb0001', '赵斌1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852877', '1546852877', '', '0', 'bedf8954-13f3-80bd-a836-3a351b2812e1');
INSERT INTO `car_user` VALUES ('1200', '', '18123559835', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mHGyUWgFA7tyJgW.Fd1MI.bm3Do/EWOBc1nagw2tVldapjKH77qdO', '', 'ERfLPVdNKcdRz31f1ZN4_vPAwN2CDWBS', '', '0', '赵赣湘', '', 'zgx00a', '赵赣湘A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852910', '1546852910', '', '0', '08ff1e10-05c3-5816-c207-b46ed431fed0');
INSERT INTO `car_user` VALUES ('1201', '', '15209686456', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$DYsJiy2Zf/svivjW50lq2u6ZJlI/YjuYpQos84UU/UZXExOcZMmTO', '', 't1TWa0atzt_XY79ghGf0BDYtMdsMJH8g', '', '0', '赵龙', '', 'zl00aa', '赵龙AA', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852944', '1546852944', '', '0', '2e0bd121-2656-6483-16d4-68d19ca24403');
INSERT INTO `car_user` VALUES ('1202', '', '18995155523', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$70Hzt8IxKVrCpRbP3tY9Ourf/2u63RagAFdOpTi4CebbYo4qzkX.y', '', 'bn9TP7qimo1mzpKtW9KAtAf5bAZIFEXB', '', '0', '赵敏', '', 'zm0009', '赵敏9', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546852975', '1546852975', '', '0', 'bc9a9f47-c391-8004-8747-1d20ee4c7a89');
INSERT INTO `car_user` VALUES ('1203', '', '18795214891', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$KqBbnigMMGX8yNeqKRYXKetOa58Fwvzan9gIuaqvRJwlndk9eBkuq', '', 'HSp8NWjORI6YeiItxbxZyblN85oTOtH5', '', '0', '赵文斌', '', 'zwb00a', '赵文斌A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546853027', '1546853027', '', '0', '6a6600a8-d7ee-4994-1d4a-a079f6e1a8d8');
INSERT INTO `car_user` VALUES ('1210', '', '13888772586', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$j0VF5j1nsctFMA8EWIzfY.WW9f4zSSMcbGulUBa4xrWlKm7FIxCHK', '', '9blEZrsyZ3L-7TnAbd2JCr_1xP1iYUF3', '', '0', '赵新华', '', 'zxh0000', '赵新华销售中心', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546853108', '1546853108', '', '0', '186cb217-4749-e5bf-2248-ddc571e5ba3d');
INSERT INTO `car_user` VALUES ('1212', '', '18309516438', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$BmCmqNtuc05gjlH7kEsKaemNn3Pbj0ZRpe/PqVj0uEGQ3KNLweqJW', '', '3hKVsfd0vXyZH5lVIQbmL599r6kuQO_q', '', '0', '郑洪燕', '', 'zhy005', '郑洪燕5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546853264', '1546853264', '', '0', 'aa87d724-1f69-10d2-df3b-056af00c8f95');
INSERT INTO `car_user` VALUES ('1213', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9FDqAIoA9SBzygcX532KfuhKEnGD1hj9VnW5ugn2tmnjRvNAz.UgG', '', 'WWZz81g5CPQvdIbCZGAVkscGm_bJAjyE', '', '0', '周芳妹', '', 'zfm000', '周芳妹', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546853313', '1546853313', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1214', '', '13027499598', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hwB043Rf6q7RMIzVy6R2DuYMP.cnVTByYICV7c1WwCYKiB9WhxrwK', '', 'B_nxMNb8OAMLsEwylZDYemBR3j_-sJ4y', '', '0', '周涧清', '', 'zjq000', '周涧清', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546853445', '1546853445', '', '0', '1550efe0-ea8d-2fc5-ff72-0756eb6bea36');
INSERT INTO `car_user` VALUES ('1215', '', '13027499598', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6F2K4Sq1CVINEDuA9BvDQ.XzHwxDV8PEBKhDY2V6a4iUj3rO80p5a', '', 'k2upoGfJagtE_do3JxlmUnjqTWuDxRso', '', '0', '周涧清', '', 'zjq001', '周涧清1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546853452', '1546853452', '', '0', '1550efe0-ea8d-2fc5-ff72-0756eb6bea36');
INSERT INTO `car_user` VALUES ('1216', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$e086nE4YpZgkqiHck5fvueHSJacfpSRir3lKcjYV.2roFnZlqg9yy', '', 'xvZWMF__-X4cJQCvcn2kXr49jo6-tszj', '', '0', '周妙玲', '', 'zml005', '周妙玲5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546853491', '1546853491', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1217', '', '13420870335', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yPRwr/RzZ5L9H63o7ypx6uakRDuZUyCLsyBk636ROkFmD0g5uTrxK', '', 'mJaVqa6QS2tXE_sBfcy_NGdDtmBGoSdw', '', '0', '周婉怡', '', 'zwy000', '周婉怡', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546853518', '1546853518', '', '0', '6d157c4d-a621-56be-2bfe-1d599de5f271');
INSERT INTO `car_user` VALUES ('1218', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hmfcKjRUSKyyr23jxmR1hONaHl7pvicEkgw19VjYJo9UC5mcsF08m', '', 'CotqtuM6qTfYjTG-e5aLcrmXOXnZE1tp', '', '0', '周志能', '', 'zzn00f', '周志能F', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546853546', '1546853546', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1220', '', '13995492381', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.vKoK0RPzsuwYJ0BYXFkoOtO5jG/NeAmhu455NCEotOjwszdqLoDC', '', 'NkM-ejcNIo9I0UzBea6xibAFB95C68ut', '', '0', '朱银', '', 'zy0004', '朱银4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546853580', '1546853580', '', '0', '159d89e4-57a9-0168-efb9-6df98816e3e1');
INSERT INTO `car_user` VALUES ('1223', '', '13888772586', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yxt9Y.xa9G9jb79W4Za4SOkgwurnMo48lBWSW.loamHzBFLNUTlpq', '', '90l5fUUbQb9uHXC0-rLFbZZsHTuhq6bX', '', '0', '赵新华', '', 'zxh00000', '赵新华', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546853687', '1546853687', '', '0', '186cb217-4749-e5bf-2248-ddc571e5ba3d');
INSERT INTO `car_user` VALUES ('1224', '', '15571256515', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$A.z8fNHU4bMwdeP3Rbz1bOHJ1h4U1yGpKoC/TcTjIh.siTgkehtH.', '', 'HtO8HJo1F6dJg0E26U1mc91Ec5av6j8j', '', '0', '张秀丽', '', 'zxl000a', '张秀丽A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546853711', '1546853711', '', '0', '09d5a6a7-fbe1-9ac1-48a3-6d2e6897b88c');
INSERT INTO `car_user` VALUES ('1225', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$C19C0PYjl0jQJ/J9LQNLN.J6hhH7SFcovOzvQhQzF00IHlqRe5WBW', '', '0GbjA__if54Luy0i5zIcZdSF8q9nvkf_', '', '0', '达布希勒图', '', 'dbxlt2', '达布希勒图2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546914196', '1546914196', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1226', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8tlwUQtUv3fCy1gl.2taBO9INNfbX1w7k6v4UaemShAgkt2.cDMSK', '', '14lLq2jVDezh3ErYLcj236JmLOb-2Zwr', '', '0', '郭军', '', 'gj0666', '郭军666', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546914354', '1546914354', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1227', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$OjzS8631bP0lXBm7UZQ9tO18FcxJaG3D1kpvDUKHWCPGj9Oj8gh0a', '', 'y8vBS4XVJ9-I_lpdkXpvzw-a7fsQ4qq2', '', '0', '杨利平', '', 'ylp123456', '杨利平123456', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546914468', '1546914468', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1228', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$B12SNBG7YF.0nmFb3BN/6.k8Lnitqzkj4J8xfwN5kS2H9ehOYcVma', '', '50i46SpT3udK3Iu0V8D17HfUzbivJOv3', '', '0', '王巧生', '', 'wqs111', '王巧生111', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546915577', '1546915577', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1229', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XzqLDo9sUZCBM0IOE6VtZe3oJ9wgWcPsUPXIquItrkFf0/7jAC/qq', '', 'tjc5u19rJXCo4p78fEumuS8OQCSxPjs5', '', '0', '旭仁花', '', 'xrh000', '旭仁花', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546915662', '1546915662', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1230', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$tFomAFPeAgoC1XouN1jig.6yKBGFfDLTn/Dja4BulDvKt09vhl6fC', '', 'R0TbgEuFJstsLJ3uzV4lENeno4g3xenu', '', '0', '史志刚', '', 'shizhiganga', 'SHIZHIGANGA', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546915761', '1546915761', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1231', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$B4uQMaMOmQGqUrQaP2FIJeu5ls3B.qQgUK6EK2zFIxNmwh9zpV5Vi', '', 'AeK3r65la4a8M2pGEAtE_diWaXcmsEts', '', '0', '杨玉成', '', 'yyc123456', '杨玉成123456', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546915852', '1546915852', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1232', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$AqNnTymsDDkVxS49is1D.e7yVzvPqCyTrbyGW1NiTlzJ6tQWvCgaO', '', 'GUxoyYQbS5pK_dqB-anCH7fpZYnurlrQ', '', '0', '张芳', '', 'zf0156', '张芳156', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546915935', '1546915935', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1233', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XqiFsu4k9wAd.8WKh047auhkq8JDTBKgNjXkzOXqtpKJP8NLiiaku', '', 'M6TcWurTlFzQowT0TLoHN5m1rbgcKXcD', '', '0', '王雯爽', '', 'wws123', '王雯爽123', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546916027', '1546916027', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1234', '', '15704710963', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Ethu/JPsJYG6lCT/O7zHI.HcBDGXCEXeDH.DOuB13dhgJQLcfhZk2', '', 'R0yX6Jxxxkdx68DhKvuZ0Ih-4usp0ssk', '', '0', '温兰香', '', 'wlx0021', '温兰香0021', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546916182', '1546916182', '', '0', '0ab75889-231a-5631-cbc5-6cc64358bff8');
INSERT INTO `car_user` VALUES ('1235', '', '15848930064', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$IQDFJwY02C6xTWIStFY43..aZrsHn7HEGaMkHbUS3nuHcLwj.NZuG', '', '7p25vzb1KG1wVEiSBi3YGuKHPCZ6MApY', '', '0', '曹建平', '', 'cjp487', '曹建平487', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546916289', '1546916289', '', '0', '8dd1663c-3ac2-9271-95b1-f5490fd155c6');
INSERT INTO `car_user` VALUES ('1236', '', '15754931106', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$IrKhKwWJdK6fbNlcg/Blre5bUbU1sbxflPfPJkFrQ./aJZX03VJiC', '', 'ZZAXOLYxDvnTHKuMZa4fUVgoysQQUbun', '', '0', '武三毛', '', 'wj0093', '武建0093', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546916477', '1546916477', '', '0', 'b1982c95-3a92-3833-1035-5842936770c7');
INSERT INTO `car_user` VALUES ('1237', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$PwkGL3acr/1O9fS4WlM1.u74YhARf4F4cF9VoZx5.c8wADTCruJM2', '', 'hlSpyvzd-90XLJT0hxmN2dEORJBT2KxD', '', '0', '陈铸钢', '', 'czg1107', '陈铸钢1107', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546916586', '1546916586', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1238', '', '13674812998', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$NLHTRM3aRE0tGqsSk5ujVOZGo3rL59wQ680Xlkim5UHOWU0L0.V5S', '', 'QTSLyPVr-7UlWdxQK7EnxU30mcjc2C1Q', '', '0', '杨丽萍', '', 'ylp0028', '杨丽萍0028', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546916711', '1546916711', '', '0', '08008ac9-34e1-8b63-da9b-95083ff114f6');
INSERT INTO `car_user` VALUES ('1239', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mAvc1yPc2CsVDKcJlZK1hekUlSPjKAnJmvd5ziCC3cJWW08Y6c.Z.', '', 'Uo4jRa1BTWw74zE3q-FcBHNYtBcqxv6m', '', '0', '孙志平', '', 'szp4030', '孙志平4030', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546916803', '1546916803', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1240', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$2FqTWdy6NKVAP4RZ.UPVguZTH4bcSLCdaSLzzMlFoWWLz94N4CE/G', '', 'ZhtikuY-vrKrFbGbxks6Ry-IHf_zJytc', '', '0', '庄云宝', '', 'zyb0555', '庄云宝0555', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546916891', '1546916891', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1241', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FcqBMO/DJsIG0vYTVzf6U.0QoNjO8ZrfUZi8G3KPD2UMpOpXhtlHe', '', 'vtPnWs0oyFLyQqc079cdVAKxCQ95ziEy', '', '0', '云俊荣', '', 'yjr1065', '云俊荣1065', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546916993', '1546916993', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1242', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8hTKE7iZ.nzEAX5Cndbm2eiH.RStoLzZrGqb5qBuwZaazzVu0RD4K', '', 'Lqy5pys3zXLKob3dypCMfPwi_ONIKR8g', '', '0', '周勇', '', 'zy8382', '周勇8382', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546917072', '1546917072', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1243', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ZUfKPuz9k3fl/nYPF2Q0be1ytf3MXW212YfqmtedRjtZZRaI1Av4a', '', 'XLOUzeZ0LK17DGoZzx61W_lyS3JZt-7a', '', '0', '赵伟', '', 'zw0009', '赵伟9', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546917279', '1546917279', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1245', '', '17322760973', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$NzQtSwQkuMTDra3zgncmieuMJVjiNo85djRcbf/lOqnEPXNk7R93C', '', 'PeZu9j3EwQtmH4rPfn0OuEz6C2jN6oVh', '', '0', '林保嫦', '', 'ce0003', '嫦娥3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546918955', '1546918955', '', '0', 'b80c9582-b9f3-ffae-568a-2e9680f58002');
INSERT INTO `car_user` VALUES ('1246', '', '13580860018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QdjXM9LSYJHDWIornWkdQ.nEYfv2l3VMh6MK9mUK7dbx2egAw2wEe', '', '7HNu5OSHFGmocX7kNyY5l1hCpebVH3kA', '', '0', '黄彩云', '', 'hcy076', '黄彩云67', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546919075', '1546919075', '', '0', '7a5f5ef3-a77c-082f-abfc-b2574b2d19e8');
INSERT INTO `car_user` VALUES ('1247', '', '13580860018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$I5/90eMUc6RNqtqus.DSoub2XM/gq9lcMtJLgxbvXeX5xyVh8qyjy', '', 'H9b2_7i0LfTWuviuaseWXivzzXiM_kIv', '', '0', '黄彩云', '', 'hcy069', '黄彩云69', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546919395', '1546919395', '', '0', '7a5f5ef3-a77c-082f-abfc-b2574b2d19e8');
INSERT INTO `car_user` VALUES ('1249', '', '13580860018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$CqWvx74AiGUjcLSzJEVV6uTBTJpqO/MknC5dW.DVe/jbPsnbHsRWC', '', 'kpLXIjuNZg5OF7uiVxAk13-zOs8FtTFv', '', '0', '黄彩云', '', 'hcy071', '黄彩云71', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546919569', '1546919569', '', '0', '7a5f5ef3-a77c-082f-abfc-b2574b2d19e8');
INSERT INTO `car_user` VALUES ('1250', '', '13580860018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Rx.yumfNU150RdhsaziQYO7bq.2vPkeQF68j5ikuJitX7Syqp/OkK', '', 'Mic70_WHLsWWVivEqN8yPGSzf_nG-rM0', '', '0', '黄彩云', '', 'hcy070', '黄彩云70', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546919831', '1546919831', '', '0', '7a5f5ef3-a77c-082f-abfc-b2574b2d19e8');
INSERT INTO `car_user` VALUES ('1251', '', '13360363808', '814_5_1_0', '814', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XhgyVUnHEl96pCcn5gpgSO8YVGS9wIVJ.uD0eTv2A35kNFrQD5iIm', '', 'N5fIxH7y0l16yh9gfoJwoVnUFVpeFaEX', '', '0', '李锡泉', '', 'lxq116', '李锡泉116', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546929397', '1546929397', '', '0', '0c9e3930-a645-1b59-3b21-ef793a8f9317');
INSERT INTO `car_user` VALUES ('1252', '', '13580860018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$p2oFa1LiEVMJTShHXx16nubcZeit/nlxfhtgaobzydbhZ.7MdYRcu', '', 'GVn_hTtoFm00Vb7ZNmOphVcf6G5MRSbd', '', '0', '黄彩云', '', 'hcy074', '黄彩云74', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546929424', '1546929424', '', '0', '7a5f5ef3-a77c-082f-abfc-b2574b2d19e8');
INSERT INTO `car_user` VALUES ('1254', '', '18571123551', '107_5_1_0', '107', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yAm/ZloOqQEooMIP4GEr7.izC1a14LQQ5aVXys2Gpi/drQ364xPE.', '', 'bXBkQjrB9AinB3XkTC_iKFxLPeL_kmJA', '', '0', '何莉华', '', 'hlh1111111', '何莉华30', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546929830', '1546929830', '', '0', 'dfacff09-ccc5-cb31-e163-5f36c5dd9a81');
INSERT INTO `car_user` VALUES ('1255', '', '13809871988', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$0cuu.zw16JmC2VmkmNUQ.uJ.BtvpcZ.XJl/f9rUEmNVwbPGGT6Usa', '', 'o-wFHU8XfHMp6hgYnxQHhDwOvfnr5m7y', '', '0', '苏翠珍', '', 'scz000', '苏翠珍', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546929985', '1546929985', '', '0', '2da07d33-12e7-3bb0-ecff-0851ca1048c3');
INSERT INTO `car_user` VALUES ('1256', '', '18571123551', '707_5_1_0', '707', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ptSSqM2nOF6SO5sYKSXQm.NKn9kl26Wjpx74PzGIAFpufAHBrdfr6', '', 'OTV3K0YXJjBHC-1H9ek4LrAZ9qoj2TgI', '', '0', '何莉华', '', 'hlh222222', '何莉华31', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546929997', '1546929997', '', '0', 'dfacff09-ccc5-cb31-e163-5f36c5dd9a81');
INSERT INTO `car_user` VALUES ('1257', '', '13660633235', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$siZa4TD7fNODJXb18DQljeUPja2c2bEalFtm02WrxBk.hrtdGA4Vm', '', '__jDyEy8A-pm6z77TglFPI8_z6LfFeB8', '', '0', '刘祥能', '', 'lxn000', '刘祥能', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546930127', '1546930127', '', '0', '8af9d304-238d-1383-9a22-0af6e1be1d95');
INSERT INTO `car_user` VALUES ('1258', '', '13927649383', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wl31XjmmbWPBy5bNUvIHt.5aQGfD5wfs6.TzKpkoi75c.VY7VFlv.', '', 'ST9ZP6cXFqe1MJmt3VuMpBKMNze7xANU', '', '0', '刘桂华', '', 'lgh00v', '刘桂华V', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546930262', '1546930262', '', '0', '40c74ac9-a4a0-eecb-3f3d-969acf615dec');
INSERT INTO `car_user` VALUES ('1259', '', '13907965350', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Iftt/52Clbzc1F.wHvYNSuZ3VPGhA1FuYYQcEkVmlQCexcBbvyrgK', '', 'FFxWM-dCk3YCLxFPjNROZUhwMPnAF2v5', '', '0', '陈志峰', '', 'czf020', '陈志峰20', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546930377', '1546930377', '', '0', '50e9fcf8-e9b5-4bdc-6ccc-d95cff921897');
INSERT INTO `car_user` VALUES ('1260', '', '13927649383', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$perOPMRGbcEsPqsLcdZXW.tuxo6DRtOFLsEnt9LgJ6u2ub8Op3nDW', '', 'rBIMn4_GQHjEE24ZVrRYpf_kejpteaHM', '', '0', '刘桂华', '', 'lgh004', '刘桂华4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546930494', '1546930494', '', '0', '40c74ac9-a4a0-eecb-3f3d-969acf615dec');
INSERT INTO `car_user` VALUES ('1261', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$lFolKxzyZK29HMIJouyGeOB95H6jS0ay/1nDrwKdlAbZRRs7ISuLu', '', 'Eoy5EG2lEzNo28VH61x7kPIkNYB2ikr9', '', '0', '曾漫远', '', 'zmy001', '曾漫远1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546931093', '1546931093', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1262', '', '13794895630', '777_5_1_0', '777', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RdFOiVko2tQ13YkmEwWVmOa3f9ygPPocQ8NH0c6jOCqnZUJ7PNGXq', '', 'KbdH3SNKBaaTAKbYGFP1FUoCfBnjoOqN', '', '0', '朱杏仪', '', 'cfy123456', '朱杏仪15', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546931214', '1546931214', '', '0', '6606ce7a-3da9-4b6a-c38d-5fba4c0019af');
INSERT INTO `car_user` VALUES ('1264', '', '13580860018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gBclL0NVZ8Bj0rFj.5TA4.Iq1la0mYhkpjDwtl7pRR5TuzmaA53Eq', '', 'XuoA0I7QzIFj13ygoLIySYcQ5uS5Jbx-', '', '0', '黄彩云', '', 'hcy075', '黄彩云75', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546931245', '1546931245', '', '0', '7a5f5ef3-a77c-082f-abfc-b2574b2d19e8');
INSERT INTO `car_user` VALUES ('1265', '', '13794895630', '777_5_1_0', '777', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$dIKARgvCupXAhjXnDRRxPOZAUZ36RxXFvwR4dNOkcGDIwxa5uNhWW', '', 'gpwl-9AhGRbcjCrwoygfpglkuJltcFzy', '', '0', '朱杏仪', '', 'zxy123456', '朱杏仪15', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546931323', '1546931323', '', '0', '6606ce7a-3da9-4b6a-c38d-5fba4c0019af');
INSERT INTO `car_user` VALUES ('1266', '', '13580860018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$M4yky6stBsnTBx4kXAgyheX75wInHoALdM.Df18jj09HGOapDyBe2', '', 'srcFzkLIShRvO1EySJcIhuzkVmMSAQ1L', '', '0', '黄彩云', '', 'hcy078', '黄彩云79', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546931335', '1546931335', '', '0', '7a5f5ef3-a77c-082f-abfc-b2574b2d19e8');
INSERT INTO `car_user` VALUES ('1267', '', '13580860018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$DhJVl7qvCD5X87WUhfrWiOrGG8NrENe.kp0zPiM4bxoWEZ83lqGG2', '', '4iNRn751M8gmnPvlKtTv_YcLp8_xwrrD', '', '0', '黄彩云', '', 'hcy079', '黄彩云79', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546931421', '1546931421', '', '0', '7a5f5ef3-a77c-082f-abfc-b2574b2d19e8');
INSERT INTO `car_user` VALUES ('1268', '', '17322760973', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$tdSHrSs2tco0ad8KTYKSjeKveXAHD6.LXN7rVkpKfJ3z528yrzTUa', '', 'RBcTfE-eoy5pewD3vlpdc1EMo3fj-3-4', '', '0', '嫦娥', '', 'ce0007', '嫦娥7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546931664', '1546931664', '', '0', 'b80c9582-b9f3-ffae-568a-2e9680f58002');
INSERT INTO `car_user` VALUES ('1271', '', '13580860018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$VmV6H1Kik3OBAg1xdr77JOhg1rQo23KEkfNPsPrCohxolkRhK4Lga', '', '2uupcyle9RAq-w3Ea7hnXEXMiHtfH5zO', '', '0', '黄彩云', '', 'hcy084', '黄彩云84', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546931891', '1546931891', '', '0', '7a5f5ef3-a77c-082f-abfc-b2574b2d19e8');
INSERT INTO `car_user` VALUES ('1273', '', '13580860018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hmAXUjF.BtORKowRJ1IyzeBMc4yGhAY25HtHOUTXpgClAuapycYnO', '', 'Eblktp6loTjL-8mXcsme975j4YN1L8iM', '', '0', '黄彩云', '', 'hcy086', '黄彩云86', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546931998', '1546931998', '', '0', '7a5f5ef3-a77c-082f-abfc-b2574b2d19e8');
INSERT INTO `car_user` VALUES ('1274', '', '13580860018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$01z6QrJguE9Ybg1OPbMsmuBPgL8h8tQeGhvZ22HnUPoXPCA2xwVuC', '', 'V3duBF5rPG-ouGHtQbfcjblobO_j3LMm', '', '0', '黄彩云', '', 'hcy088', '黄彩云88', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546932104', '1546932104', '', '0', '7a5f5ef3-a77c-082f-abfc-b2574b2d19e8');
INSERT INTO `car_user` VALUES ('1280', '', '17322760973', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yMD6lAH64bs/UgbEy7LkquJFw5GVJElHemeN/B/QnQ/S7p2oQIG9a', '', '9uIvrZsJn-SSQxc-gw9gfQJRu0dhCBWT', '', '0', '嫦娥', '', 'ce0008', '嫦娥8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546932210', '1546932210', '', '0', 'b80c9582-b9f3-ffae-568a-2e9680f58002');
INSERT INTO `car_user` VALUES ('1283', '', '13413490049', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kllHoJbmtzgiz4nYMgG2ceMLt1kT3JCV62cNI.DFzccD5Kz/zFchq', '', 'zaKZ_rhXJnWEcPv7C5Ffyt03hjtn66S5', '', '0', '钟雪霞', '', 'zxx002', '钟雪霞2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546933004', '1546933004', '', '0', 'c2d0bb4e-9f27-93f2-ae43-d8ba0dea9cdd');
INSERT INTO `car_user` VALUES ('1284', '', '13580860018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$exHyu5YLWR1mqVy9dGHOwephPKaT1XGLgTdqdtL1I1PBg1GFkvFdW', '', 'tBsbygWsXWtKbk-bJafz20bgbVXEEnpm', '', '0', '黄彩云', '', 'hcy068', '黄彩云68', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546933174', '1546933174', '', '0', '7a5f5ef3-a77c-082f-abfc-b2574b2d19e8');
INSERT INTO `car_user` VALUES ('1285', '', '13580860018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ehLBarunWms0Tltoi5a6Oesl8aaQBYMzXddWxqnFzfJifxZ/JmI8.', '', 'sIBBgi-_BiExkEM-2sO1PZDE5F7aMqhS', '', '0', '黄彩云', '', 'hcy072', '黄彩云72', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546933260', '1546933260', '', '0', '7a5f5ef3-a77c-082f-abfc-b2574b2d19e8');
INSERT INTO `car_user` VALUES ('1286', '', '13580860018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$T3Lc2pfmhc8Mc.ufkWnHTOPDkW.yHzvZdhwEXYZg.3Kps0P7pK8La', '', '5x2BSvhG7-pSOhp-AKn7a-6bqd4RnhoA', '', '0', '黄彩云', '', 'hcy073', '黄彩云73', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546933368', '1546933368', '', '0', '7a5f5ef3-a77c-082f-abfc-b2574b2d19e8');
INSERT INTO `car_user` VALUES ('1287', '', '13360363808', '818_5_1_0', '818', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$SuKDrnt2hEKT0Qpp53RUXOl.ab.uGXaA//ljSrTG1Xj3zrXbBcRR2', '', '4s7LNkCXh0eNRUbxkgA-MawE_-1yn66_', '', '0', '李锡泉', '', 'lxq117', '李锡泉117', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546933515', '1546933515', '', '0', '0c9e3930-a645-1b59-3b21-ef793a8f9317');
INSERT INTO `car_user` VALUES ('1288', '', '13360363808', '818_5_1_0', '818', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$A2T/r1DEF4C4PyEERZezsuWNOeriY15G9FxNLmhv0TcBWCJpdBmem', '', 'gF9lrUXbV6DHSKasFAZgzbg5Au8KT6hV', '', '0', '李锡泉', '', 'lxq118', '李锡泉118', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546933533', '1546933533', '', '0', '0c9e3930-a645-1b59-3b21-ef793a8f9317');
INSERT INTO `car_user` VALUES ('1289', '', '13580860018', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7tFLqca.wl7/TdfqNqU2beaL7rqVdYKQuakeLNVCeMH2NIIOPrH2i', '', 'D377D1J2XHOHs7niUsLRWxqefrLS_z6K', '', '0', '黄彩云', '', 'hcy090', '黄彩云90', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546933540', '1546933540', '', '0', '7a5f5ef3-a77c-082f-abfc-b2574b2d19e8');
INSERT INTO `car_user` VALUES ('1290', '', '18676536048', '821_5_1_0', '821', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$cwSa5btaZBKu7LMDM6dgAegBHr8amgkXGvnPH2jJD9bNMHem7yQCy', '', 'iEriWl84vp8TCsQKRRL4rgpk0b48mj6p', '', '0', '彭锦湘', '', 'pjx014', '彭锦湘14', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546933596', '1546933596', '', '0', 'ee6a683f-cdee-779f-27da-2bfdc9e171ee');
INSERT INTO `car_user` VALUES ('1291', '', '18676536048', '821_5_1_0', '821', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wFaPvXiRF/pKV9K80tJ/RuXStJc2bVxcckrob2EphL6evWiPBbMzq', '', 'vPfsbZy4IvicCxah4tOus3B3380uPIsD', '', '0', '彭锦湘', '', 'pjx015', '彭锦湘15', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546933611', '1546933611', '', '0', 'ee6a683f-cdee-779f-27da-2bfdc9e171ee');
INSERT INTO `car_user` VALUES ('1292', '', '13927649383', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$seJ.Z7qRjDz0c.bv72FfYO1lIGbA7mz52.C7CPIH0nGclRDmc2qxO', '', 'xhdeRq1BHvJflWkyuaA4w4TkyBAILOKg', '', '0', '刘桂华', '', 'lgh001', '刘桂华1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546934499', '1546934499', '', '0', '40c74ac9-a4a0-eecb-3f3d-969acf615dec');
INSERT INTO `car_user` VALUES ('1293', '', '13794895630', '777_5_1_0', '777', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$82ovm0Xb.pAl4U1GgE2VNObwX3GxcrJXo0nj.nj2e6xdDbgtdI6sS', '', 'ZVsiPLM7bovLrM3xO0FgjQlGVxzID-_P', '', '0', '朱杏仪', '', 'zxy123', '朱杏仪15', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546934556', '1546934556', '', '0', '6606ce7a-3da9-4b6a-c38d-5fba4c0019af');
INSERT INTO `car_user` VALUES ('1299', '', '13794895630', '777_5_1_0', '777', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vK.yrtw7Nrli2o0fdP51oucKFNkMoBHyw7DL3goyXw3EwaYJeyYRK', '', 'bE1qy7mPyby3BQ3LXvs1XkwvbtamFtLL', '', '0', '朱杏仪', '', 'zxy0015', '朱杏仪15', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546934660', '1546934660', '', '0', '6606ce7a-3da9-4b6a-c38d-5fba4c0019af');
INSERT INTO `car_user` VALUES ('1301', '', '13907965350', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$/wc/9yMdupA2cI7ibfUNuOnyQy2J8GJKf2UHFJk0UR8aYMVuNRdfi', '', '78YTf0-pAg95KmorqzEXT0zypL0nPUF2', '', '0', '陈志峰', '', 'czf019', '陈志峰19', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546934664', '1546934664', '', '0', '50e9fcf8-e9b5-4bdc-6ccc-d95cff921897');
INSERT INTO `car_user` VALUES ('1302', '', '13794895630', '777_5_1_0', '777', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WcR7WoliI9EQKOyL/Fzbq.4K5v2Sr.TZWgJM2tDuuuecwRC5aAKSe', '', 'WRTvsJ9rjdmrQQ-tT38yha0J5CMuxr7V', '', '0', '朱杏仪', '', 'zxy00015', '朱杏仪15', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546934689', '1546934689', '', '0', '6606ce7a-3da9-4b6a-c38d-5fba4c0019af');
INSERT INTO `car_user` VALUES ('1306', '', '13794895630', '777_5_1_0', '777', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1S.0Cc6mDA5/ZR.Fi6d/keOT8NRKXx6Uveg9siByDn/lpbajac/n2', '', 'YgJitr6n-2sAxMs6dC8KfpTgA9w-wA8w', '', '0', '朱杏仪', '', 'zxy00000015', '朱杏仪15', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546934718', '1546934718', '', '0', '6606ce7a-3da9-4b6a-c38d-5fba4c0019af');
INSERT INTO `car_user` VALUES ('1310', '', '13794895630', '777_5_1_0', '777', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$p97JbbRuYEKTIIxk.7mLpeJ4mG4hgeadwIb6A.WKSuWP3Z0DaAhhS', '', '3bWWPdM5Zan0bDIepVNoTR_stFJDdi05', '', '0', '朱杏仪', '', 'zxy0016', '朱杏仪16', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546935314', '1546935314', '', '0', '6606ce7a-3da9-4b6a-c38d-5fba4c0019af');
INSERT INTO `car_user` VALUES ('1312', '', '13794895630', '793_5_1_0', '793', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rxcW/QbYRoY/3eoimMTiDOWGBae6fPafGq/BlmhuoV1eEB/Pa1.5W', '', '95aZ4WfdwAmTgdEExwV2sj7Ku4d7uGM_', '', '0', '朱杏仪', '', 'zxy0017', '朱杏仪17', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546935387', '1546935387', '', '0', '6606ce7a-3da9-4b6a-c38d-5fba4c0019af');
INSERT INTO `car_user` VALUES ('1314', '', '13794895630', '793_5_1_0', '793', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$r8uST4lR/Z8Me9CpZr9c7OPoWNQ/lUH83aLlUlc0YNLitCyVAMMx6', '', 'WaEBmS-uGfmWpjCJQCIYDUr8ONOK-tVe', '', '0', '朱杏仪', '', 'zxy0018', '朱杏仪18', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546935413', '1546935413', '', '0', '6606ce7a-3da9-4b6a-c38d-5fba4c0019af');
INSERT INTO `car_user` VALUES ('1316', '', '13794895630', '797_5_1_0', '797', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$SDazb4WAQRE/A8mf8WEpUO72gbpyAoREdlw7by7HSH0bn9QhUtP96', '', '-Yv12mVbpD9kwDocjTaYPQL33qhcbu6e', '', '0', '朱杏仪', '', 'zxy0019', '朱杏仪19', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546935451', '1546935451', '', '0', '6606ce7a-3da9-4b6a-c38d-5fba4c0019af');
INSERT INTO `car_user` VALUES ('1317', '', '13927280333', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$2PDn4.wA8G3U/BMtwSaMMuNsMxhU7RUDHTBjQIc9DZNDjuQldotHm', '', '4cMIAQeQEORg9WxMP_WpHyw6qOH2NIOG', '', '0', '沈志强', '', 'szq011', '沈志强11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546935452', '1546935452', '', '0', 'e500101f-d27c-a386-0bbe-9031f3fa7ff3');
INSERT INTO `car_user` VALUES ('1319', '', '18688452382', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3ufm2RXH7LCNEZpyL5RABeHm8GuhNYwtDhMRbSUktm9Hi4j3GW7Ne', '', 'PUQJXx0VZvxkGoxjmHbY7KDXFa9sOAMk', '', '0', '雷小玲', '', 'lxl000', '雷小玲', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546935666', '1546935666', '', '0', '124acc2b-000f-657f-1b91-86e75ef5a6ef');
INSERT INTO `car_user` VALUES ('1320', '', '13709669330', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3HyBTs6qtF94zY3vIHV.ue5F9DyoKnXasVrsMhawFPQpNEtjMkxf2', '', 'TpkAgLBMolRZCbDUpvPuBgvDqsqDubwi', '', '0', '张洁莹', '', 'zjy000d', '张洁莹D', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546936047', '1546936047', '', '0', '82fdff9b-b1be-4656-588c-98f5da375533');
INSERT INTO `car_user` VALUES ('1321', '', '13923202308', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TRqgL.3lyBLv0wkFcABp2uyC9Hz4.X.LWpfORFReOpLFXTG3Tv7C.', '', '6oo_E5JPRV0GGj3drNOIP1alnlHqNXpJ', '', '0', '陈海瑛', '', 'chy000', '陈海瑛', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546936199', '1546936199', '', '0', 'a167f0fd-f7cc-284d-9d6f-aeea65bf4b71');
INSERT INTO `car_user` VALUES ('1322', '', '13927779611', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gaHkkZy0.94VWtHDcOZ7q.6BF7oF8RzVAfLtNQCiCFFOB7DaGecDi', '', 'EvsuoEf10Db9osSQCZWWZ_Nfl9Xgkiuh', '', '0', '陈惠杰', '', 'chj00c', '陈惠杰C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546936340', '1546936340', '', '0', '7b43c6a1-02c8-3a69-df26-fed67bb725e3');
INSERT INTO `car_user` VALUES ('1326', '', '15591418588', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$E43smMZu3.RvVM7cy4FvCuZf.E0eWvszwb8Dv.EkAvVavum0XF5nu', '', 'NUrOyAQBqQAhDzqMwepUgJiteJnD4RUs', '', '0', '汪宗琴', '', 'wzq000', '汪宗琴', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546937673', '1546937673', '', '0', '688c4895-0836-31ea-2ed3-99984eda0343');
INSERT INTO `car_user` VALUES ('1327', '', '18909147628', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5c8jXD3ugWoGeNZmejN4GeB5lLl.yGfVKo1m7FWuShDn.a7yYmpr2', '', 'jYEQiMMfAAbpm95JmSMSTh3TEhHPaD1_', '', '0', '王义桂', '', 'wyg000', '王义桂', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546937789', '1546937789', '', '0', '055e078e-c176-32e9-b98c-2923cdcd64bd');
INSERT INTO `car_user` VALUES ('1328', '', '13306236519', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$K/o1dnXtevwIIsPvjHXn7uGgE.r6ZgqL7vT2J0TfZgMvTA69aGNGC', '', 'DZNOQsy8nHB9CJVIoJQXZpjdB5LJ2s-P', '', '0', '李冬青', '', 'lgq000', '李冬青', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546937844', '1546937844', '', '0', 'de488119-c268-52fd-9611-8bb234c55449');
INSERT INTO `car_user` VALUES ('1329', '', '18704903345', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$x6U1i5Tbrx16koJvZbv1ne21rLlg/7ykeGU7ErB4XoDA6XUmF5.ui', '', 'oY-OEcw3quV_He-nLKq48ijRV4jsUaPT', '', '0', '郭翠莲', '', 'gcl00a', '郭翠莲A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546937897', '1546937897', '', '0', 'a70ca9ae-a9e2-c08b-4ebb-65dae69028ec');
INSERT INTO `car_user` VALUES ('1330', '', '18501523253', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vw.0HnzhFBdPG6/VV1SuyuTjDT35JrAcDHGDNs5lEseMs3Mbzo1um', '', '-lzmTIHC3yZqhvaf5BtI6IOlHdbc2R1I', '', '0', '秦益明', '', 'qym000', '秦益明', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546937947', '1546937947', '', '0', '967e18bf-241f-f2e3-587e-2f7dd0255885');
INSERT INTO `car_user` VALUES ('1331', '', '18350238172', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$cM216gA1kQgAtWG2H3Mc/uTu9vV4hmtB3niMoF/O2G0Z1HbVe6qe6', '', 'sdjfdltbypSlLK5qDR2u80y1kB9gpQ6i', '', '0', '彭媛媛', '', 'pyy000', '小小小小沛宁', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546938094', '1546938094', '', '0', '31c1590f-90ae-f98d-7354-da97f2054f8d');
INSERT INTO `car_user` VALUES ('1332', '', '13318315309', '110_5_1_0', '110', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$2YBnDRUGXWc7zePgTGdSBO1Wxi/8WR73AFQMkOg0O8cX0Yqf3xZQu', '', '33L68s327K21e474BrxrXxjwVBPPWM0V', '', '0', '陈柏光', '', 'cbg016', '陈柏光16', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546938804', '1546938804', '', '0', '35e42b08-776e-cda0-eea7-444c8e161a99');
INSERT INTO `car_user` VALUES ('1334', '', '13928261993', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vTTSQnB2J57WsAfWE3vpAufRnelY1hZESaguKEkWk.bctxrPkPTAq', '', '6W2B6NuSlnnYLpjp6tsHawvxVy-3QFha', '', '0', '李群英', '', 'lqy008', '李群英8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546939054', '1546939054', '', '0', '5b2a0bd0-ee7e-c307-e902-5411046d2cdf');
INSERT INTO `car_user` VALUES ('1335', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$PqEH2RNxn0X7qQiJLG5ssO3R0d8lhilyLIQ97h8s.39KxkPDNQI3q', '', 'qPDaLKAEtSSokpWC3K39z16Wn27V7BX5', '', '0', '李群英', '', 'dlqy00a', '邓李群英A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546939127', '1546939127', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1336', '', '13702925938', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$MPO0nwUqVVXVF1JDKTBa9efDlENwp/uEDF.F83lLzVStkO4F2El4y', '', 'JlUMvfX426_P08By1NRoE_X3tkxapAWw', '', '0', '邓耀全', '', 'dyq007', '邓耀全7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546939828', '1546939828', '', '0', '7a3ba4bd-2590-5b3d-3318-9cb0af012f46');
INSERT INTO `car_user` VALUES ('1337', '', '13702925938', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$M3YH/euRqkAOf0IJ.nbybOMpnlG9vLMWuRNSiT7SyS20zWaKQpjNC', '', 'G7BV6BTss38F6HLh6yKMSHHmqGb5LrGJ', '', '0', '邓耀全', '', 'dyq009', '邓耀全9', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546939863', '1546939863', '', '0', '7a3ba4bd-2590-5b3d-3318-9cb0af012f46');
INSERT INTO `car_user` VALUES ('1338', '', '13702925938', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pSRLRzEftzU.8fTFFJcETOwrwMHq8.V86Tn6Age5KhvA3SM8kuRi.', '', 'ms2_Btbfz63WImcZ5w4LLgRp0JYx0TBk', '', '0', '邓耀全', '', 'dyq011', '邓耀全11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546939901', '1546939901', '', '0', '7a3ba4bd-2590-5b3d-3318-9cb0af012f46');
INSERT INTO `car_user` VALUES ('1339', '', '13702925938', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$YjQYMdAoODtYXT3SaoDvfeoDbHv9oToaL5ZI4RjdH6ZUgMT.GNwEK', '', 'A2D_fFYlwCWvQkynT6Mh6lVKGwClI3iv', '', '0', '邓耀全', '', 'dyq013', '邓耀全13', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546939927', '1546939927', '', '0', '7a3ba4bd-2590-5b3d-3318-9cb0af012f46');
INSERT INTO `car_user` VALUES ('1340', '', '13702925938', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$b87H3crK1vh7QVLQE3FvSecghuHghkbi39x/WZaJykUgApWoCjkPe', '', '7Q5LjbG4_35RsB7kumpsjDqmhaXItD74', '', '0', '邓耀全', '', 'dyq081', '邓耀全81', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546939959', '1546939959', '', '0', '7a3ba4bd-2590-5b3d-3318-9cb0af012f46');
INSERT INTO `car_user` VALUES ('1341', '', '15334787287', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$sEZida2weAWoQgN6NVuLpO7gNATvvuyz6ubRFcjzy9JJQ2sJsTZAm', '', '9FuSdQRiZBQmEIMT5u7KH4soByrM4JDa', '', '0', '胡乌兰', '', 'hwl009', '胡乌兰9', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546940013', '1546940013', '', '0', '87b14ae0-735d-0293-c37a-b111627b300a');
INSERT INTO `car_user` VALUES ('1342', '', '15949415000', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$KiA7Dm3u1QxuWdGZVjdRVet5FkIgxp1qqh7EwSex5trtvQ1sjTQUa', '', 'mNlgcHdX76pXwmd1ire3DJB04EKHekEd', '', '0', '贾文光', '', 'jwg001', '贾文光1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546940085', '1546940085', '', '0', '9538ad53-7196-a330-0352-0cb19a737df2');
INSERT INTO `car_user` VALUES ('1343', '', '18928847201', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$VLejpeWU6j7U9NBngCYkK.dfXVukYOy7WY6eDtUaDsz4LoCXOggSG', '', 'bKu_fuDNCwqm6ifnhY9hKXLde5SHdEDF', '', '0', '李桂珍', '', 'lgz011', '李桂珍11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546940143', '1546940143', '', '0', 'd2548ce8-0208-2e1f-f990-784dc16a1b37');
INSERT INTO `car_user` VALUES ('1344', '', '13164729940', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$sj8t9lqOVWLr5275F0O/R.qedI2r2EonT0PRNVCCxhmZtcaulgp9S', '', '2Cqn9-FLs4vbj2DItDPJQIrCRJDLC8-T', '', '0', '张秀娣', '', 'zxd011', '张秀娣11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546940199', '1546940199', '', '0', '02ef3167-906f-9bb7-8c7b-efa658484732');
INSERT INTO `car_user` VALUES ('1346', '', '13947138399', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$KyZpKBuPZsbe.XW17ipvq.RmURn8bEZpM4ZJKT2yQk1TzXSg2uTrK', '', 'RYcclVQ2_WmShT6KxeVZGtEdyyCRPJVk', '', '0', '赵强', '', 'zq000a', '赵强A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546940366', '1546940366', '', '0', '898c0bc3-53c4-5676-0cc9-48d528ee88cd');
INSERT INTO `car_user` VALUES ('1347', '', '13318315309', '110_5_1_0', '110', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QJIIhSn.1LVOJWP68uMptOYgZfnIsNhN1TJN8V/vP4ALZQc0KBd2S', '', 'O256dQwPwsyttepftsP3IpGRWVw7qGA3', '', '0', '陈柏光', '', 'cbg017', '陈柏光17', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546940392', '1546940392', '', '0', '35e42b08-776e-cda0-eea7-444c8e161a99');
INSERT INTO `car_user` VALUES ('1348', '', '13947138399', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$oseQVqK9mkSKqfziPbROke6ldqfTbV6WSBOFEK5.C8H4ameWm6iDq', '', 'NZyp-dL_6OSPpy04P8sNsT1zmbXsyMh1', '', '0', '赵强', '', 'zq000b', '赵强B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546940406', '1546940406', '', '0', '898c0bc3-53c4-5676-0cc9-48d528ee88cd');
INSERT INTO `car_user` VALUES ('1349', '', '13318315309', '110_5_1_0', '110', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$k3tUk/pwHWuccYhsyMKHhe8d32FNucSj7ZYxtCV.eBntIlJIImMYW', '', 'iOgxtSA-Ia8X4wNaONtnvRLWqQr7v_t6', '', '0', '陈柏光', '', 'cbg018', '陈柏光18', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546941271', '1546941271', '', '0', '35e42b08-776e-cda0-eea7-444c8e161a99');
INSERT INTO `car_user` VALUES ('1350', '', '13318315309', '110_5_1_0', '110', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$90T1QNcAYqf1FqoeN6.0W.ndMIwU2koyk4hYYKvGlV/Q.bnjGOqie', '', 'R1KgZflQI4306v3ap5jHN_HOFi1CCyGX', '', '0', '陈柏光', '', 'cbg019', '陈柏光19', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546961463', '1546961463', '', '0', '35e42b08-776e-cda0-eea7-444c8e161a99');
INSERT INTO `car_user` VALUES ('1351', '', '13809707211', '110_5_1_0', '110', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RYVQ7HsLhxwYtxSAK6AEhuTNPJq8Uj8.RV7klBRqPrLlOhg69GbZi', '', 'oSJcSiwm2iL3Gl9DZzyBEF-Rig5Ta2aS', '', '0', '潘彩珊', '', 'pcs007', '潘彩珊7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546994236', '1546994236', '', '0', '721dbc8d-b007-05f4-da81-e4f2016bf4d9');
INSERT INTO `car_user` VALUES ('1352', '', '13809707211', '110_5_1_0', '110', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$jRUuO/i/VVWMfDfwOu8LEO554MlIPCtoegJkWAhgQFQ0XsUUK2fTS', '', 'z7KCNwMEhARIDsK8eNkCAflMz7XjhEr6', '', '0', '潘彩珊', '', 'pcs008', '潘彩珊8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546994508', '1546994508', '', '0', '721dbc8d-b007-05f4-da81-e4f2016bf4d9');
INSERT INTO `car_user` VALUES ('1353', '', '13809707211', '110_5_1_0', '110', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$BRQ10nzwkm8kPdX3wOnbdO.CESwWQqSAYtMWogzlckY/ZDtVEtvW6', '', '5KXmyVtuUrDkpObJ2z_8JjhsnWoe4PBg', '', '0', '潘彩珊', '', 'pcs009', '潘彩珊9', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546994742', '1546994742', '', '0', '721dbc8d-b007-05f4-da81-e4f2016bf4d9');
INSERT INTO `car_user` VALUES ('1354', '', '13724951988', '110_5_1_0', '110', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$/n/t3AcfnJG0W3YefAuWAO.W5NbMN4Tkq0VWyoysuGOBUy2pw27kW', '', 'MKSLopNS7du8Ho0nRAA9tItK70eHymw5', '', '0', '卢德成', '', 'ldc010', '卢德成 10', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546995311', '1546995311', '', '0', 'fcc3a5ee-9b3d-5cf6-9fbe-7783760feaa0');
INSERT INTO `car_user` VALUES ('1355', '', '18686053558', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$HUo5AbxmuEKAPrafuyBB.ux/VkbmgZaaTVHlaymFIjR0q/QuEBTMS', '', 'sVmWQloQO8TC79rkTHIA7cyXZiRK0xTA', '', '0', '姜学军', '', 'yxj00a', '姜学军A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546996657', '1546996657', '', '0', '2f7dac9c-18ad-288b-cbed-ac0e24bee5fc');
INSERT INTO `car_user` VALUES ('1356', '', '15248010232', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$AJyMM6VNjFcDCUIKvYyawutxXTXaVKemRXfWwpVzE.6iaVP3MUkbe', '', 'BO4SlJ5ULT3QHz0L9MJgiVtLkLjPBmF6', '', '0', '玉花', '', 'yh0002', '玉花2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546997006', '1546997006', '', '0', '58748826-45cd-c160-cc20-530b317df48f');
INSERT INTO `car_user` VALUES ('1357', '', '13626193141', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XJFVX8Z7Bifuz4ZbmDrgEeofKcHvn.LSqP.zBxNBBivg4r15JQcsm', '', '_bYlgKasFqbLz13ApW14HVELfTX9YFUQ', '', '0', '顾家泉', '', 'hwr00a', '何伟荣A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546997061', '1546997061', '', '0', 'a5289bb9-f2cd-912d-f649-2a2a43710cf7');
INSERT INTO `car_user` VALUES ('1358', '', '13904788573', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$t.QqcZIZM/AQshSjUcBWoObMaRzVnhavlkIWTdhsfC5blKUDi2HC2', '', 'glgOn5xfyPZCfIY0bC94hQSpImDm4WI8', '', '0', '郭瑞燕', '', 'gry00a', '郭瑞燕A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546997128', '1546997128', '', '0', 'cda2afd3-9c42-67a6-032d-877a9f7565ee');
INSERT INTO `car_user` VALUES ('1359', '', '18647826328', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7uh8iswD.QEv7h87v4.61OXQ9FZTIb8/kK0T26dMAcPKeZJSkkdRO', '', 'gxkgPvEEYf280m2pv9C_JKduzrYm2LYM', '', '0', '焦琳国', '', 'jlg00c', '焦琳国C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546997193', '1546997193', '', '0', '212b0cba-4eeb-1936-6e4f-ebb56b04ebf8');
INSERT INTO `car_user` VALUES ('1360', '', '15047285678', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$bwo4Q5qBpW4hpoTajYe3Vu5WOr6NX3Jt5aRrnkigG1BghModPjApW', '', '2ImdrLn7XJzvtABPWFsdLYibjRofOGw_', '', '0', '赵慧', '', 'zh0002', '赵慧2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546997239', '1546997239', '', '0', '356ddcc1-467c-ca01-eb98-dd46a00a612d');
INSERT INTO `car_user` VALUES ('1361', '', '13015027401', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RvqfOpoVbnTirJqh9uvbJ.4BRvt3r1FzTGCiF3Yj3.MI6kdS/O91i', '', 'M9pCO3k7q1nLVN1ln1t8JGyURlXDXftC', '', '0', '栾君', '', 'lj0223', '栾君223', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546997290', '1546997290', '', '0', '3d8db6f5-1ab8-2230-fdaf-a3d2a1c3d6e9');
INSERT INTO `car_user` VALUES ('1362', '', '18686079183', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$prJGW3v4JE/6Pe.IF5JPgOmK5ol9M.hBz.Z8mbHaaYY6lm3k6uZHy', '', 'eB89_b8TW4OBj1nnrdB4zELyQtCdyxIY', '', '0', '肖燕', '', 'xy000c', '肖燕C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546997339', '1546997339', '', '0', 'aaae277e-a7f2-6e1d-1a5d-07ed82e6c260');
INSERT INTO `car_user` VALUES ('1363', '', '15090977219', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Iwp87YrW1cos98WM1cj2OOFSa6CZ8rLgKcVe9AP5Yw3pQdijX9xpK', '', '4t5yKv0hG6X2EsV5PWFcHx4yNtmjO8IJ', '', '0', '付守卫', '', 'fsw000', '付守卫', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546997395', '1546997395', '', '0', 'aaeef79f-f34b-2754-4575-aadb9126ee31');
INSERT INTO `car_user` VALUES ('1364', '', '13098879111', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QKXiKl5Sxgnc56xOfKKTx.3bfjyOjinbNaUL.iP2dWA.Fvzgq6JP2', '', 'kUyRebYah-IecfR4n3aNfEIgvwPQdnGr', '', '0', '苏永强', '', 'syq000', '苏永强', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546997445', '1546997445', '', '0', '5ec57e78-95e9-7f74-dc4b-adf4b1a95746');
INSERT INTO `car_user` VALUES ('1365', '', '13995667714', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Sv67Jy4JsnkuA2yTYrJ69.YPAitpFPML.ApI3nmDNAdgHxQaCC2CC', '', 'GJ_BN5dYHpardeeKQ10D0HYdWpNmaTJX', '', '0', '潘文靓', '', 'pwl000', '潘文靓', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546997502', '1546997502', '', '0', '59d6427c-3a62-1577-ccdb-a163354e60ca');
INSERT INTO `car_user` VALUES ('1366', '', '13307128359', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$B.ck7UYFh.N7aiIFmeJz0OsQWIr/lreW2aExg02J0c77Ai.BgKlAi', '', 'vI2KeabHh429Q_KhAjJ4uq5zDuFtEbGr', '', '0', '彭学良', '', 'pxl002', '彭学良2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546997549', '1546997549', '', '0', 'fca9feda-93b6-4ade-128b-b092b5783175');
INSERT INTO `car_user` VALUES ('1367', '', '18627007936', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yVTB6vqoK0oyfYbcrOwQku2mR.vnd.w1eiZpOvM8qRcjfuCQP8k8.', '', 'M5B_niccOCQn7jeJuSBUZ-moK_YkQzdb', '', '0', '宋江彬', '', 'sjb000', '宋江彬', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546997596', '1546997596', '', '0', 'ec881f94-f04c-ae24-d6c8-aa32dff2bf27');
INSERT INTO `car_user` VALUES ('1368', '', '13798003697', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$zT.llSX4B4QC0FvjDHvPouEJO5rS19ls6Yfx2BteLOl42AmAFXuQa', '', 'XPRHY0Qn9_TauSA36Zn3W6cVT7ZByIZd', '', '0', '梁笑霞', '', 'lxx000', '梁笑霞', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546997678', '1546997678', '', '0', 'c29bea0b-1221-4606-99bf-3b678b2fee06');
INSERT INTO `car_user` VALUES ('1369', '', '13798028161', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3RDPUFG2if4s3BrRXpK6Z.ecCmHLOHz0nexnyWIBzBZBlplF5YYJi', '', '8eMjYVzcC9jFOVjJNl6anVBTTCe0Qmfx', '', '0', '梁妙禧', '', 'lmx000', '梁妙禧', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546997730', '1546997730', '', '0', '36a233ac-8e4b-a742-4901-09463872abde');
INSERT INTO `car_user` VALUES ('1370', '', '13847853519', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FiC/t2rj0L1Ts1jDmcgTH.kCd8zk9IUKYsPaZD4DEGSMYM2NF6TOC', '', 'BpJ_5efgRzidMapEHHIWdZ7m4r9z0oDz', '', '0', '李浩', '', 'lh0000', '李浩', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546997771', '1546997771', '', '0', 'dae019af-dd4b-7e61-d107-189c832e4299');
INSERT INTO `car_user` VALUES ('1371', '', '13039589196', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6zHkSWJHmqhjI8sljuSiPuKrveYqWFJWcTfmyPQn8oj3p7/SzIdii', '', 'zldfRZsRyC4TOF0VbXviooDsAlkpp-b3', '', '0', '胡少兰', '', 'hsl00c', '胡少兰C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546997812', '1546997812', '', '0', 'df713c87-bb2b-f4b3-3110-7482b0b672f3');
INSERT INTO `car_user` VALUES ('1372', '', '13664737676', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$zZxvSil55eSb5/ZtYipn/.JqiVI7paOXJE1Jyqxewh57rHaZRvzqG', '', '_3DRITuQnFSAPUKf76HTzCGjQa1m0DEI', '', '0', '韩文光', '', 'hwg00a', '韩文光A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546998163', '1546998163', '', '0', '09c4ba0a-00bd-b342-b9be-e99b98b7af23');
INSERT INTO `car_user` VALUES ('1373', '', '15007195611', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RIRmh.RT7U4XPGcFaCWZ0.JjBoOR5ghkE1eNeJnNVMaVohPMhmnUu', '', 'lULzbx1CVLoZgiL08vNs_SzJmD3kNrFO', '', '0', '宁剑莉', '', 'njl020', '宁剑莉20', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546998211', '1546998211', '', '0', '5d36458a-7be2-7ca9-86b6-738ea85f264d');
INSERT INTO `car_user` VALUES ('1374', '', '13347140027', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$tF/PjOPz/Fq.XXvEDDP8ZuzkDTEiseTJNwgAIMiwmt0u/znMCrae2', '', 'Do-yhnbALXungkj5bfLAZeOAIYE6cn7w', '', '0', '董伟华', '', 'dwh001', '董伟华1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546998294', '1546998294', '', '0', '486ac22e-b736-3f58-f14b-32613dffec94');
INSERT INTO `car_user` VALUES ('1375', '', '15919487536', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$KCqpzVn7akkYuZZKOUrlSuUi/zFfoxJwHxSwB6EKVN8FkHYrA6dDa', '', 'T32QPLwNPn9DgJnu-0MGtTE-uS4myaw9', '', '0', '张妙彩', '', 'zmc011', '张妙彩11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546998346', '1546998346', '', '0', 'c4acc06c-0d4c-74df-ff9d-422b649790ff');
INSERT INTO `car_user` VALUES ('1376', '', '13725418803', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$/OGovFmnqW8IEqHY7Flj9OqR1ufIvJBRuHbIC4FqC5BTgwS1RjsRK', '', 'XGaJrQuIkBCEeQcfCq2_4j2zOJ6MzEgl', '', '0', '张小凤', '', 'zxf011', '张小凤11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546998442', '1546998442', '', '0', 'd87f207e-06bd-a622-7118-6e09579ca2ae');
INSERT INTO `car_user` VALUES ('1377', '', '13702919593', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$BfAWnodp8anKJQ09EUAsJOYly0cArfSQM29l9l6lNCLviDk1cPcTG', '', 'hUdYelanY_fv0XjCJNIlQWs5ovTotTcx', '', '0', '刘学斌', '', 'lxb000', '刘学斌', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546998484', '1546998484', '', '0', 'c8dff086-6ef9-9b07-98e2-309f4abd1f14');
INSERT INTO `car_user` VALUES ('1378', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$O82o962vJlUfvzI7D2mQT.aln4hX73WImq6P9TkpBoveIGyrrYcDm', '', 'gh74wthF2sfjP59D9RQcciQZOqAdHWsV', '', '0', '唐华丽', '', 'thl000', '唐华丽', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546998537', '1546998537', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1379', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mzam6xGzYTHbiKadSw958OBFMd5wBpHwoZzXmMSi8bWldcmMLko3W', '', 'dW9IQM64sOJjzdMW0G0PEll5bgBl4AxW', '', '0', '熊晓华', '', 'xxh000', '熊晓华', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546998585', '1546998585', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1380', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$u5Tvv2GKI6sGXFu8DsNO.OezyEiFFLKrUrFAXn.xLj9e4wYK/Ofdu', '', '_30vXr-PHjfznwNiiTYgQHjIaHGK3ilA', '', '0', '熊晓华', '', 'xxh00a', '熊晓华A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546998620', '1546998620', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1381', '', '18204895169', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RH/XacAVGGnO2bIetdEPY.9YvcX4dHi9J3Bv2zlu7S8Lzq0hthLgq', '', 'lCWuW8nRTdsVKCvdDhtHPHTdCQ6AX8mA', '', '0', '娜拉', '', 'nl0000', '娜拉', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546998668', '1546998668', '', '0', '59cf3270-f24a-3f90-9965-7649c24d845f');
INSERT INTO `car_user` VALUES ('1382', '', '13923247198', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hYueWtDDGqtbK2RsYfvL9e0BrVEY0QEK/UJNmfBQsMVCwQZHfp.vW', '', 'ijxBb5BioyFJdaw8N6bLwC2ayMokQJ2y', '', '0', '钟小云', '', 'zxy000', '钟小云', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546998715', '1546998715', '', '0', 'a82c1799-8343-6f99-1ad4-8d579e9fcdce');
INSERT INTO `car_user` VALUES ('1383', '', '15847780862', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pJ37tj4EtGs6qHKnPNzAG.yDTCQ33054fnIKaZqRblj8C2skJQ/Jy', '', 'yR-YvflnrS_rp90YXcVwsQKUhQY2uFgy', '', '0', '刘三女', '', 'lsn00a', '刘三女A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546998773', '1546998773', '', '0', 'c585e864-d149-e603-2280-82270f43f3a5');
INSERT INTO `car_user` VALUES ('1384', '', '18088838999', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$LhmQxCXsugcTtD6gJotTdezJmM2c.2RQnm6BRIyRQRQPF8dono.vK', '', '9muJ9KFR13ASuAfCQOzWXesvRrZ4S0a-', '', '0', '陈少芳', '', 'csf000', '陈少芳', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546998830', '1546998830', '', '0', 'e9fad336-bb5a-d3dd-f3ba-a7237e35a6d2');
INSERT INTO `car_user` VALUES ('1389', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5quNS.MQGERb5bgBP9uQp.oVh0RXMV3SjW5h1o8H7F05SkbTXbm4u', '', '0QdwJRCg7tZsYrYHHH466c0CjtkySrBb', '', '0', '马存兰', '', 'mcl1234', '马存兰1234', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546999228', '1546999228', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1390', '', '15547257088', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$lpZ8oh0MODUts.B4rhyBKOFSG4ieEzumCWJx3VqCxoIQESJ7xNCnu', '', 'WVTnPfbe_sQsts78q7IEe6tmVqb_tlM9', '', '0', '张雪芹', '', 'zxqb1027', '张雪芹B1027', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546999333', '1546999333', '', '0', '8e4c931b-ba19-1e25-c0c3-ed64fb8d638b');
INSERT INTO `car_user` VALUES ('1391', '', '15547257088', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$fcbLerc63xwNwto251wlXeSQLKPqocFAA9f29o2FZC7eEtNDX6wU6', '', 'WZ2QV9UlWcJtePn23-ZKc1RAS7srqyRo', '', '0', '张雪芹', '', 'zxqa1027', '张雪芹A1027', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546999347', '1546999347', '', '0', '8e4c931b-ba19-1e25-c0c3-ed64fb8d638b');
INSERT INTO `car_user` VALUES ('1392', '', '15547257088', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$cxZaOzA0nfQjxMlFP2eSeOWs3OGpFt2d1NlA28SKtUAzKrwlfUZIS', '', 'nEPChKS2ZGfRdUI0wlZduQ6wLrLvnMBH', '', '0', '张雪芹', '', 'zxq1027', '张雪芹1027', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546999356', '1546999356', '', '0', '8e4c931b-ba19-1e25-c0c3-ed64fb8d638b');
INSERT INTO `car_user` VALUES ('1393', '', '13895109232', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FwUMsLBxplOZFMH.64sS0eXxXYvMBSeV97XNMp./y36JgdG4AbUvi', '', 'VZYbysS4aJ5_2iM3ExSNMtdQjdM7yXuF', '', '0', '郝玉恒', '', 'hyha00', '郝玉恒A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546999422', '1546999422', '', '0', 'f78d539c-6cc8-1579-b3a2-4b706d295199');
INSERT INTO `car_user` VALUES ('1394', '', '18995125502', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$y/LzNM8bGfFxsvg/S/Rbn.gaxHIUzTurEnczYdt887e7ZNkwq1jQ6', '', 'vMqeTzJQTsP8c2CicSjGGrnlwuvWt4U0', '', '0', '王占锋', '', 'wzf001', '王占锋1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546999467', '1546999467', '', '0', 'b1e27060-5943-dd4c-9372-dbb8eda97bc5');
INSERT INTO `car_user` VALUES ('1395', '', '18647903444', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Jv68DQBuMh/7l2KRhFI2Aes6u2DKu.HBXLib7EEXKI3/2ZEQ0g0gW', '', 'yBKBsE24jn_o816nP1Dcyg9V8-miDlwK', '', '0', '苏乙拉图', '', 'sylt00', '苏乙拉图', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546999513', '1546999513', '', '0', '80267a48-0e2d-a5bd-379e-6b8f1f5deac0');
INSERT INTO `car_user` VALUES ('1397', '', '13924848333', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WN9WQjJ.8eU.bgMO1awH0uvMYxIzFZMA/hweqMsjUrmI4EFj36h8G', '', 'Tt7WTjMVROTeNuvYkIJS-eFKbYn1zE2H', '', '0', '梁丽芬', '', 'llf000', '梁丽芬', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546999545', '1546999545', '', '0', 'b0c1beb3-a707-301e-95f5-714adcd2a497');
INSERT INTO `car_user` VALUES ('1400', '', '13488537575', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yYdiIBMX83yJ0SN7IzX2CO/B32Mxbw.o8lUl8lswPKHQXgKSt3Vn.', '', 'GyvgOMPNUNcKn9X1KmVkw1cWqD8wFdx1', '', '0', '袁亮', '', 'yl0007', '袁亮7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546999594', '1546999594', '', '0', '80e17ebf-567d-e4d9-8752-99e91a013cc0');
INSERT INTO `car_user` VALUES ('1401', '', '18327629960', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7vYnWpnXMqdp4Ddi0jykKOYEr3eKjg.5oM0s34//5AR7h5AlYbRHG', '', 'mYI5XJAL7InsANF_YYJB8f5DW4tCy1uq', '', '0', '徐颖', '', 'xy0000c', '徐颖C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546999614', '1546999614', '', '0', 'b6aad466-23da-9219-5d3a-014776bcd2ef');
INSERT INTO `car_user` VALUES ('1402', '', '13326783311', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$JdtsPJryhQafTMbQwAQIE.lmxe5m/LpyyB/d5yLZVWQw7WczkrqUm', '', '2mpZ1JQiuR1s8l67KHWuQwOXcbKT0N91', '', '0', '李艳平', '', 'lyp002', '李艳平2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546999639', '1546999639', '', '0', '7215c208-4c56-cf7a-5be8-f39ce5b089d8');
INSERT INTO `car_user` VALUES ('1403', '', '15661004453', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pNH.OVnbsx2IekiMsn0rX.4dNFnux/RhWtLMbyVXyALxIWQkGEdI2', '', 'FsQD12WaIA9x2GeYplPOhIqoyLZjSOtS', '', '0', '云贵仙', '', 'ygx0aa', '云贵仙AA', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546999678', '1546999678', '', '0', '5c2d6638-784e-884b-0765-20381dbbb500');
INSERT INTO `car_user` VALUES ('1404', '', '13798731857', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mXr5WllxKmKZrcTjf4dETuh1kVvuPNtFfz.rPBzZoJdZ/qtpNXNEq', '', '0WJQSjNaUGqTKvuf98hHD2YmnJuTcUbt', '', '0', '梁仲向', '', 'lzx001', '梁仲向1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546999679', '1546999679', '', '0', '3f4f278b-325d-6ab2-b89e-70d881f82ccb');
INSERT INTO `car_user` VALUES ('1405', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$g6OMFnEddMnIAxfylmLdbu6EC/u3ZcW2ciFmbVVH0RIUXSI65N9hG', '', 'QeNzeiTCpXyn0VIJqeHxRvU9-eW3Li36', '', '0', '于兰洁', '', 'ylj1234', '于兰洁1234', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546999721', '1546999721', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1406', '', '13555563968', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rhYA30kmVGO11snLsfuDreJQxOsappWhNuCgecu0GSswu/CpmSoo6', '', 'xuddk-1Uv5G0QcLYr76S37IzZZAy26qg', '', '0', '梁妙缘', '', 'lmy011', '梁妙缘11', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1546999742', '1546999742', '', '0', '048ee8c3-8a14-e490-ae7e-9ec3d7fa6c19');
INSERT INTO `car_user` VALUES ('1407', '', '13822787576', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$lY/UMeCxqend8K8bGMF8neX7rhnarO6ck/0LNrXe62zKOFBxt6U4W', '', 'arkNIm_tyaHA4nE0x-PvRl3lkpbY6Ude', '', '0', '李琼琳', '', 'lql000', '李琼琳', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547000032', '1547000032', '', '0', '67c76558-70ca-2f5a-19d6-70aae3a7742f');
INSERT INTO `car_user` VALUES ('1409', '', '13677296848', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$zMUkcbQGAr5m8j3DkMj9rOlCLi5.JMFNATqE3DfAmQ75gswWFRyq6', '', 'LbuDEEeP3qdbgPRQ3XsaHSNIkR7J1Ueb', '', '0', '张信元', '', 'zxy0000', '张信元', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547000082', '1547000082', '', '0', 'e865d804-2bcb-a753-fc27-7829f95f75d8');
INSERT INTO `car_user` VALUES ('1410', '', '18327685555', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FXPW4yq4hU247wk2bDw0/.cxQwHQ5dfepcMlambp15lXG2C3dPugO', '', 'R_GXWPM2I-aF-M3tZzUSwfgTmG0U00uP', '', '0', '赵嘉琪', '', 'zjq99999', '赵嘉琪99999', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547000131', '1547000131', '', '0', '43d51c9d-6711-f606-3f68-cfe5f5bcced7');
INSERT INTO `car_user` VALUES ('1411', '', '13847271119', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$zXCzjuOdrMUuwmS/DeZ6u.KXPkTOiYJqBPOwKOGvegbXo3cuGdRZ.', '', 'XjfeV5eE2jfb0VcK3Qd-OrqE0zy6Jlf3', '', '0', '张明', '', 'zm0008', '张明8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547000188', '1547000188', '', '0', 'd9c99701-7c30-885d-6944-128f0f7a3203');
INSERT INTO `car_user` VALUES ('1412', '', '13902691564', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6eW9/y1S4KxGDJVFo9mLDuMq1E26qFiyDyowvufFOTHBN19YoFesi', '', 'GBzPfJjyKP1Rn5ui-BA9vq3glJuaAArg', '', '0', '褚洪光', '', 'zhg025', '褚洪光25', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547000235', '1547000235', '', '0', '5afce6b6-5a03-df32-3a8f-5c79898ef215');
INSERT INTO `car_user` VALUES ('1413', '', '13902691564', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$81J2gjuFFh8TIrD7hSPglO0xptzEQff8FpkgRPd9E5cCMD.Sfx4rS', '', 'iPKuSlbmnyujM1fQdE2V_2litEgjrMLX', '', '0', '褚洪光', '', 'zhg026', '褚洪光26', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547000257', '1547000257', '', '0', '5afce6b6-5a03-df32-3a8f-5c79898ef215');
INSERT INTO `car_user` VALUES ('1414', '', '13902691564', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$4Wj9mEEUh9Floogt2ouLpOLPL2wPL9aQCA2wK93Sv4yGNcrd4GNm6', '', 'J5IjHK-1EeqYzuGoqBZfrmGV6Fhvyur1', '', '0', '褚洪光', '', 'zhg027', '褚洪光27', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547000267', '1547000267', '', '0', '5afce6b6-5a03-df32-3a8f-5c79898ef215');
INSERT INTO `car_user` VALUES ('1415', '', '13902691564', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$jSXquk1LdgUf9IBHIQg1F.FeO/E8UCTtvZBoD7dx/8Gx3loolvRLi', '', 'dYfqYsBo9O7sCcMUrgTOuCBvWLvRUWR9', '', '0', '褚洪光', '', 'zhg028', '褚洪光28', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547000280', '1547000280', '', '0', '5afce6b6-5a03-df32-3a8f-5c79898ef215');
INSERT INTO `car_user` VALUES ('1416', '', '13927779611', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$DG/Wil9/Wt7gJNtt3Xw6a.sAjvvOBSG3XeY/kZ4KNQoBw0Uc8YVPa', '', 'x6i3hhKkEaIZOYY3azYp1YBb2IvvZEp8', '', '0', '陈惠杰', '', 'chj000', '陈惠杰', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547000374', '1547000374', '', '0', '7b43c6a1-02c8-3a69-df26-fed67bb725e3');
INSERT INTO `car_user` VALUES ('1417', '', '18689277120', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$jwsdbV8JZln/wBW8iiIdbezo2LMYTlKEU9hPlOPbSkG2uoaJcvC8O', '', 'a14lcGUqDxg76sPdcGIah34GNGAd0WJD', '', '0', '唐功来', '', 'tgl000', '唐功来', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547000516', '1547000516', '', '0', '15c8c9f4-1dbc-1d64-20f9-c7ca9b94c795');
INSERT INTO `car_user` VALUES ('1418', '', '18695016885', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$0PdYe7bMdgk16xw5rB1t3uhd796.B8shRSwY3vkBfEaqZtLXBPkDm', '', 'Vz9wu8Qi2c9OOTDfOxMa0fMcTkCu9vOV', '', '0', '杨晓玲', '', 'yxl001', '杨晓玲1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547000567', '1547000567', '', '0', '3afb0955-255f-8940-c1f2-4b266f31279d');
INSERT INTO `car_user` VALUES ('1419', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$R/o7y7w7Cs7HmLq7dOHdpe9gsOS1tlAERjgmdqnoy6VQp5BiVRgJK', '', 'KQWsGxGNhAyAH8Ritgo9uhnPw_3ytTob', '', '0', '刘自俭', '', 'lzj001', '刘自俭1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547000619', '1547000619', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1420', '', '13895676252', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$og2vEVj7d9wbZtiogn.GjerhuvMTLAjGA0rrirOcxdD8EoflRYadS', '', 'Lg7wuKW01gDfseoi7WNZgKDf0Tz7V8XO', '', '0', '唐学文', '', 'txw008', '唐学文8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547000704', '1547000704', '', '0', 'aea45478-7926-1491-458c-26a594f13638');
INSERT INTO `car_user` VALUES ('1421', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$sVuVrvYDEDssibAsMJ2st.isM3V/SlGWyG6/ND6NBnVdIu6SNn3hS', '', 'bRI77q7sX-Cha2Bpk5HP5hBE_wQ3IlLP', '', '0', '王林', '', 'wl3234', '王林3234', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547000757', '1547000757', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1422', '', '13895008928', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$I3zLIkkmHlTEtjcS.awp8uXQnfuVBHAUt/tlm4Vw/v5wVOlk4qAXq', '', 'GHoYudSMwkKrLAlmp6KADf6-w2BRA_9A', '', '0', '武雪芳', '', 'wxf009', '武雪芳9', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547000937', '1547000937', '', '0', '77c93e68-a780-3cd7-7fbe-1171faa54b6a');
INSERT INTO `car_user` VALUES ('1423', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1MT9/Bmzo/cnZ6.yliVLPuE9ZHhhmxrGH.OsEbeYUHqF.uGoP//JK', '', 'fc6YsGbakFeyvcW1p7RbWLkmSkiVF7jj', '', '0', '王伟', '', 'w00000', '伟', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001009', '1547001009', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1424', '', '13606200957', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6mSPqo5ZUbR3YzUtZe4vR.wDv2RTcdL7tpl7MGByHiFvf7qj9y5XC', '', 'f52p-p2Gk9Zw21msUXew-zp6NwRXKVTQ', '', '0', '刘志平', '', 'lzp00a', '刘志平A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001054', '1547001054', '', '0', 'a317de57-7cc0-afa3-f3fa-ca98cdcfb990');
INSERT INTO `car_user` VALUES ('1425', '', '15202695539', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$0ul5idBk3DiWxZpr/miLT.6C/H.39wDelt1./54BPlMSyVSfDMJkG', '', 'amerwel2mrWy3KxR9F_Y964Kf9tpfo7X', '', '0', '李凤芳', '', 'lff010', '李凤芳10', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001107', '1547001107', '', '0', '0697562c-de30-23a0-6ea8-0d840e4d4cc9');
INSERT INTO `car_user` VALUES ('1426', '', '13895008928', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TWXHEMMsDxo13G/iN.kaSehYkENCgo9GdmKeqebxCDxAOkHFUsb8O', '', 'mJHqovo4x5H9pCCmPE-pTjrnK9uF2SaD', '', '0', '武雪芳', '', 'wxf00a', '武雪芳A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001148', '1547001148', '', '0', '77c93e68-a780-3cd7-7fbe-1171faa54b6a');
INSERT INTO `car_user` VALUES ('1427', '', '17395588331', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$OWAD4YNoaijqR0M2wekc/.OqRJWNGquuQkwXhdMvmi4MmbMV2eRNS', '', '4c3PKnDP3Prfk9C8B7em2oYHc8kup1D0', '', '0', '唐岩', '', 'bwjz00', '百望九州', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001197', '1547001197', '', '0', 'e0554344-7589-001b-f54b-b26a4f505cb7');
INSERT INTO `car_user` VALUES ('1428', '', '18986237660', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$oC2/Ron66eH6kfo6UqXYa.JnEyvtGABdA8KxZFSE1EAvPoLUSGE6e', '', 'h5KsFUi4st4kIlKeBaWJQdfbgQTWx0qi', '', '0', '万辉', '', 'wh0018', '万辉18', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001241', '1547001241', '', '0', 'c84ceb1c-ac5e-bc44-eb8f-1e5ec4543d19');
INSERT INTO `car_user` VALUES ('1429', '', '13923153303', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Z1FOAANymOJ7bRVqiu4HUuv06p/WkIVfd.T1kE8.eVakMkoCTN8ti', '', 'jV_oNpZK8iGro64v-APF076O3ztHY7Ao', '', '0', '敬春华', '', 'jch008', '敬春华8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001281', '1547001281', '', '0', 'ab28e3cc-9ead-9f88-182e-55a60424b014');
INSERT INTO `car_user` VALUES ('1430', '', '15986381766', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$O14cRWLjqGHOpljtzOlDh.WuL5Cqws/QtJyiI04JsZrnU1.hJifVu', '', 'HhUYOwxS5uUxdRaE2vS78EgXKVN1xdx1', '', '0', '张运华', '', 'zyh00a', '张运华A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001347', '1547001347', '', '0', 'e73f3866-a42d-3392-b287-3436791f3497');
INSERT INTO `car_user` VALUES ('1431', '', '15109228869', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$kSMAShiIfbOWPaGSwiw4nueFbmtlUv4QjuIyX.k63ZTznsAsuwaba', '', 'P7l0l9xSO8kZbslLyyL0APX9yB5He5fx', '', '0', '王晓英', '', 'wxy00a', '王晓英A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001443', '1547001443', '', '0', '0862be16-911b-e233-48fd-4322af23de76');
INSERT INTO `car_user` VALUES ('1433', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$bVkeQOxDhE8cHJrv5UuFzO6hEMvvLI8B5xGRFki5XOrctCS8LGWBS', '', 'Eng9TjdGOzqIHYmvbzDrx3uvy0EubS5m', '', '0', '沈基元', '', 'sjy000', '沈基元', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001546', '1547001546', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1435', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$dd1PHU2Dr2IG0DaIo9SsieN7ZTwSIU.qD2qTpAzT72yIYlATtTS72', '', 'jHiq-c5hmawuQiV-kfvrc2jedGsZQdgu', '', '0', '陈香丹', '', 'cwq00c', '陈伟全c', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001597', '1547001597', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1436', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$o3TK5UmuTZ56y7YX.cWn5um3epTPzzK7ZKjv/G8Dl3f0AO8GDplUS', '', 'h5Gv-GDc8p_2B3ZEnyrToRFw9TNIbuxl', '', '0', '吴炳元', '', 'wby001', '吴炳元1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001632', '1547001632', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1437', '', '13802634522', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$SF0d2q8TB5NtqgTswh.chuQ.vwPURf6FVci0W8a1UERKH/2ZUprmG', '', 'YFvaVvQwiJq-32e-aZYlsBMlNVKCj4Je', '', '0', '麦晓青', '', 'mxq0000', '麦晓青', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001636', '1547001636', '', '0', 'ef4aad91-21fd-e6ff-bc17-9c1d8eadaa66');
INSERT INTO `car_user` VALUES ('1438', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$K6nBz4EVX4RBtJCMcx5L1uncW2Fiv6hRq4.rL652GXtG643xr81BS', '', 'Ge--r3Fdqq_3Yt8YfN8zufLXQoH9zuXH', '', '0', '解小荣', '', 'jxr000', '解小荣', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001671', '1547001671', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1439', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Heb4fsJgHsIspD4aQxi5pueMReC2Su4mbJYHWcX90yq88e6vcDy8G', '', 'WbKLcaYVfU3ARnc-ZchpCfWT64IZIdbV', '', '0', '徐学琴', '', 'xxq000', '徐学琴8888A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001705', '1547001705', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1440', '', '15904719377', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$08kcDvptR1YCRsaWCDCODeIQTAb1yFDIyJh0Fz1GieEYgDBvHcU0a', '', '78I_s0fZGblFpuS9TE6zHM1zQi4yhF2J', '', '0', '闫咏梅', '', 'yym088', '闫咏梅88', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001749', '1547001749', '', '0', '6877a987-d7e0-60fd-ae34-a783cc6fb6ac');
INSERT INTO `car_user` VALUES ('1441', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$K4qmt06QxZHg0XAqZNcwmeHz8098c9V/u7u0WXMVu6iB8at1V9zX2', '', 'U9ky_wzPzjlAimFraSYrnoPJaHoBej2n', '', '0', '王宗海', '', 'wzh00a', '王宗海A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001795', '1547001795', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1442', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$LUh4fBzefcQylBl.ibS/NOPbAcWQJIloam5adWtQvaeg9sRWsSvvq', '', 'Qlk4Fzef5Y0fevrU3SN6PRLTXG4Mh-Ry', '', '0', '李作发', '', 'lzf003', '李作发3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001841', '1547001841', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1443', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$o2VO9ViTsKL2sqIKa7V0YO3sET0d8ysOOEttryzK5qAcAYMLDn.ou', '', '4Mi0YZ1g5wi2eKOKwPmy9Tj157969E7k', '', '0', '梁轩华', '', 'lxh820470790', '华820470790', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001889', '1547001889', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1444', '', '18022299367', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$CKBeqoHD5t.0osfL5wViYewpwfjKw8xsLmDPpw.doe7uZogQbJWgS', '', 'OCHkQhxP9subgHlv-GLv651prZulHSX2', '', '0', '何丽颜', '', 'hly18022299367', '18022299367', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001906', '1547001906', '', '0', '96ae760c-12f5-a82e-cfb2-17dcf68f0a67');
INSERT INTO `car_user` VALUES ('1446', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$dV5Ca/2pxRxSVYSIhimfbuZjuER6T7dn.QX2slQdUPM/ArjI48W8S', '', 'oIoWOfJ7_L_pX2fQMqd6IBkuZjxmXe93', '', '0', '覃阳健', '', 'qyj002', '覃阳健2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001929', '1547001929', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1447', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$zlQyn6Au.uRQ5XRA135uA.b8yNIHdEioGbaV8RAHtQiuchEl5NHWS', '', 'ubh_cANbG8R3qWsAoeT3TkH6Eidj6-pY', '', '0', '林宗祥', '', 'lzx000', '林宗祥', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001962', '1547001962', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1448', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$I.nF0q2kEgrt6lxWqNWzmuLa9bw7ydoeqFRZfYYyAL5/s6B19FkDC', '', 'DIysfpt1mfbB6Mt7ZzLmJwWb6KndSHxl', '', '0', '林宗祥', '', 'lzx002', '林宗祥2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547001996', '1547001996', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1449', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wB1akDA/5suc72Op5A6OGu99sJwnlYS9wVJbWzYWyPu4ltB1uvAvW', '', 'UveFdqhEJnB_bD3hVPSaDEnVyiUFadyy', '', '0', '林宗祥', '', 'lzx005', '林宗祥5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002016', '1547002016', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1450', '', '15872005188', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5fptKpIvCBifeDgTVt8V6ep1vVJfuPM6IKy2Mnokl7gBB0PNhPYrC', '', 'gSdpwRroml6ZYNKNknuJq8CAGiXNMzAK', '', '0', '杜浪', '', 'dl0000', '杜浪', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002098', '1547002098', '', '0', '766c8496-7fb9-09e4-2af8-d9ad75ab9645');
INSERT INTO `car_user` VALUES ('1451', '', '15848440777', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nSPKXrLrh6lTqy.rmbnDOu90yTR491MWoMAbmOzB0eczilJJHKtsy', '', 'GK8VbujGTbGcJrZUI1I7Xdsoci87x-9y', '', '0', '任福海', '', 'rfh1688', '任福海1688', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002145', '1547002145', '', '0', 'c7bffdb7-60d2-ea28-6b9b-39b71d89c686');
INSERT INTO `car_user` VALUES ('1453', '', '13928605777', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$GZAD4u53eSTA4/j6B4Ir1el3r3vxVbWEyZ4lvrAnymnHf65auG73K', '', 'a0zBIhmH-fqn3oaP7clbDswaG1Gq7WKd', '', '0', '梁桂萍', '', 'lgp0000', '梁桂萍', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002200', '1547002200', '', '0', '59910024-2c46-9418-a822-4ee1a2cd2b87');
INSERT INTO `car_user` VALUES ('1454', '', '13794627513', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$CcIrGpaYj6PyxO2et2IeKeZZXmmj6eLCLYxFoojVAWmHqXlcFuOB2', '', '4Dx46KPEk8T8fGJ4AZiN00y3NgZwEviU', '', '0', '吕宏军', '', 'lhj002', '吕宏军2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002209', '1547002209', '', '0', '7274dddd-ca9c-eb2f-518e-adc4556e55f9');
INSERT INTO `car_user` VALUES ('1456', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qIAbQ/G.7t23jYiIJeCroO7UzM0Tcfuk8WYQ7e8H39erk/..yhlru', '', 'ugVmtJaz9rDf8pkiFxt9jYMLhZHJ8BI4', '', '0', '朱辉', '', 'zh00002', '朱辉2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002259', '1547002259', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1457', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$4vfgnmxUSJg1iwtuaUt1ku/KBrm0w4MFDvfwJ0r4oO60Jx0.9SPMK', '', 'h7iCg9yb1oqxrtND38n7NNW0QI9uiula', '', '0', '曹兴龙', '', 'caoxlddy5', 'caoxlddy5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002275', '1547002275', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1458', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RKNyCE4IhnLjQmGqV6diNuzreWe00r7ie48HB68C1oV.WC.juk01m', '', 'Z96VU4LVoIGnjoDRmN5HyrEbTHn2q2hF', '', '0', '苏翠珍', '', 'scz00f', '苏翠珍F', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002323', '1547002323', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1459', '', '13644833567', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7YjGJepAyMbigUJgvD8GEuNA4X.wZNRtr3KADrJQ4jPh0Q1OJa9EG', '', 'ocV7GaU_WvghsP82iEebf6PQei3-vO2J', '', '0', '王晓霞', '', 'wxx000', '王晓霞', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002325', '1547002325', '', '0', '57f227a7-6bff-ae2c-72ee-1584bf5067f5');
INSERT INTO `car_user` VALUES ('1460', '', '13030206209', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$/2FQDS1eCBgtBHlCgaGqb.vEZqKxiM5u6gtLh4i1v9BFZA8cvcdli', '', 'uAUpqtU_SNykLDf07ACkuDDoTkUnksom', '', '0', '梁永强', '', 'lyq000', '梁永强', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002365', '1547002365', '', '0', 'b7da1a23-647b-9f10-ca45-575a826468aa');
INSERT INTO `car_user` VALUES ('1461', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ePv6ubJ94eQVEaZxKw94BeAW/wC0fk7CUGD.pHXpD/Q3Jtrg7XU..', '', 'HiHtUNlkBlyfig_drVxxAlmsidETpS3w', '', '0', '好毕斯哈拉图', '', 'hbshlt', '好毕斯哈拉图', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002380', '1547002380', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1462', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xgj/WRPKibrDT9YBy4hgNu7uYmcdvyhqoqiN9jOGOVr/FST9/Ya6K', '', 'ICfRX0_gF6QwmtJAi7Pv6GUvwMvtnvsH', '', '0', '郝艳', '', 'hy0667', '郝艳0667', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002399', '1547002399', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1463', '', '18686046032', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uXv5w55Nx6U9V2shyMcB0u9agzUrcIZH4HCB5KUIlYaccQ1BwjL9y', '', '_Ir1bvK_EULnVHYMnND8G41N6beEXpQg', '', '0', '邓志荣', '', 'dzrabc', '邓志荣abc', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002447', '1547002447', '', '0', '240afc1c-3dc7-688a-fa56-3e9c5b78f3e6');
INSERT INTO `car_user` VALUES ('1464', '', '15326097809', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$lrydrgHhHzxyNSo4/NEQ.OtdvJXKaTlKuTWlNIV04OoTM4vjns/7C', '', 'HmxNi32I98vxnUs35Pf2eojs-CoemZdM', '', '0', '曹刚', '', 'cg00aa', '曹刚AA', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002482', '1547002482', '', '0', 'b21d9436-7460-4372-5856-b15b8d210f17');
INSERT INTO `car_user` VALUES ('1465', '', '13404800982', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Rig/4WJ5DjMV7npbqYrBoejHp/7RAsEehWAXJXiW1rq1nIKEeczEu', '', '0aWsniFo9Wghtdszx3E3r38EkQKt5RuJ', '', '0', '代淑英', '', 'dsy00a', '代淑英A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002517', '1547002517', '', '0', '3d1645cc-5808-7829-eee3-ee451c16118b');
INSERT INTO `car_user` VALUES ('1467', '', '13928278661', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vV18YZpjShKHKDmVG2Kxnuwam7eJbhh3QmEFDTQXUundly/ENT0fO', '', 'Jt1BefrZFRFRLeu9VbqGBDvFKjFUuT4w', '', '0', '余志斌', '', 'yzb00s', '余志斌S', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002557', '1547002557', '', '0', '7d1a91dd-5f9b-0871-84d4-64b91f8908ff');
INSERT INTO `car_user` VALUES ('1468', '', '13309537377', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$UH5RJKQd5sN3XQe56OBMSOcgZwqBgCvSGvCKzZwBzI9BNX5Es4X0S', '', 'gNVj-bjxIaZLCSvSnUM95JxHh-edFE9K', '', '0', '马少军', '', 'msj00a', '马少军A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002590', '1547002590', '', '0', '80e57200-2979-4e95-4c34-f490be2b62a6');
INSERT INTO `car_user` VALUES ('1469', '', '17398472977', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$0j1RSD7fqgpZLmsGjTxWeO6QjVCSI7FgFUnIt07kMwbd2aWPHN7FG', '', 'FmJ6L6x2b0I2QK3idiwf7d83W6AtgvQy', '', '0', '薛东海', '', 'xdh00a', '薛东海A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002622', '1547002622', '', '0', '5bd47707-8ae7-2175-6b39-14039917afff');
INSERT INTO `car_user` VALUES ('1470', '', '13160102535', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7D5mXeJ91KgP.9t9QVyy8uNlf55daCKNQe5YhFI4dKCPadGVoBfhO', '', '6kCmLJIa83fBhnka_iv_p8XKMvxVrxV1', '', '0', '刘锦萍', '', 'ljp000', '刘锦萍', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002646', '1547002646', '', '0', '47824c33-15a0-6aeb-8961-c83f49856b2b');
INSERT INTO `car_user` VALUES ('1471', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7.lU5t0TNcY5p/a.EBod/uVdribb5Dg0cARD8Jn4FFsiAF2sKSeMm', '', 'sVgegCawxqzBDNchaHJibyra6T-z8tXc', '', '0', '陈皓然', '', 'chr00c', '陈皓然C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002670', '1547002670', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1472', '', '18025229751', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$obw7IxfmDlBa8PdeEp2Rfu3iXNEM87YxoR.61GI.NQgo4Ay4TR14G', '', 'ccHOvPHrf6OTddurxCHONjrKcJshOMei', '', '0', '谭成武', '', 'tcw010', '谭成武10', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002678', '1547002678', '', '0', '1df76240-46ec-4b2f-ae7f-4c304c1792f4');
INSERT INTO `car_user` VALUES ('1473', '', '15661168882', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$61mz1B9.qwAClBuQEpzaBeW.I7pQPgeNEgEoQ97qncgrdTSfwuq3q', '', '7QzCXO61NuTij_IivvYwhoLlU2BuKPYU', '', '0', '杜月强', '', 'df0666', '杜菲666', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002678', '1547002678', '', '0', '5b8f41ee-da38-b691-7ce9-1febfa72ad01');
INSERT INTO `car_user` VALUES ('1474', '', '13674758997', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uc.2tkuvvzJprR0Oe6UBn.NtSFVAQ/kMSGY6o0xKdz9/oHc2Z0FXy', '', 'R-cHZCV7NyrPoW9oUKXZVffdPT8xnEE7', '', '0', '潘业奇', '', 'pyq00a', '潘业奇A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002706', '1547002706', '', '0', '0f2cd6e8-61aa-6090-160c-677e7f2d6be8');
INSERT INTO `car_user` VALUES ('1475', '', '13322838426', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wxmzo/T/Bc3JQ/ME.asNOO8GDVbUWj5k.S.ujIkYivfc2O4RXAAUe', '', 'XhNxB7ED9d3Se9xlv9UzvbzwtQh38-hv', '', '0', '邱桂菊', '', 'qgj000', '邱桂菊', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002729', '1547002729', '', '0', '1c5b093c-377f-8818-ae84-56d9b895067f');
INSERT INTO `car_user` VALUES ('1477', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$lsGIkZNKq.HPcjigfLGzwebW4wX/LwHkg4Njz/dSEDrrIt6T2ltmy', '', '4L1t1hPIvutsMr_0IupjqviA2RmVLHq9', '', '0', '廖红华', '', 'lhh0001', '廖红华1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002746', '1547002746', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1478', '', '13404909806', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$.7aO8vsGgXCWcMvYeDL3vO4gu9O8P0zr9N.zRCoWWiCsVS4GJpaW.', '', 'Knd3K8dWImacE0s342B-4RmCVpnCZFTI', '', '0', '李秀敏', '', 'lxm000', '李秀敏', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002764', '1547002764', '', '0', 'b42e04b0-1030-02a0-7e5c-ecea200da227');
INSERT INTO `car_user` VALUES ('1479', '', '13927280333', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$67EpjtnGiT2smeQ5bzBAi.uL62tiqMYcOD5xKFREWgHW6HAq63FaW', '', '-XHoGRQ5M-aEm7Mys2En1xcrEVcDbgaw', '', '0', '沈志强', '', 'szq008', '沈志强8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002794', '1547002794', '', '0', 'e500101f-d27c-a386-0bbe-9031f3fa7ff3');
INSERT INTO `car_user` VALUES ('1480', '', '13015009119', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$43hfJy85rDx9k/5HDKuLz.lNLT.JfaLgQfs9OEL6TxoWYr5MA9vS.', '', 'PV6sJq-cHo4_RUUT4B8WNuek-yjDJ1K8', '', '0', '刘小玲', '', 'lxl0aa', '刘小玲AA', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002820', '1547002820', '', '0', '1afb96a4-d87e-3b9c-9243-deb679b43d8f');
INSERT INTO `car_user` VALUES ('1481', '', '15248032107', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WqhfhikYsvwYXRYAxu8XUuwJ6AqtIsqsKIubp4Fs32orQ1BUeMITO', '', 'jIWE9VMmQVACQ298nlrDI1ODssrC1DyJ', '', '0', '戚国伟', '', 'qgwqgw', '戚国伟QGW', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002849', '1547002849', '', '0', '3cf24a55-ae0d-9fe3-070b-d5167639fca6');
INSERT INTO `car_user` VALUES ('1482', '', '13848523068', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$EzDjdGzmUDqTzoJSQhsMMe.uDW/gMcbaV3/afDxV7n5Doyyqiilwi', '', 'K56-Ko0RHYyvvdGxBxIo37P20gBIDHVI', '', '0', '张远东', '', 'zyd000', '张远东', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002850', '1547002850', '', '0', '70c0865f-3aa2-ece8-b30f-f51db7763be5');
INSERT INTO `car_user` VALUES ('1483', '', '13847284640', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$a1f6MyxMYobD.xBp65UBGe3oczIvzGwhwu0bzemKBbXUbFqHJDWpC', '', '2AUH25eeP0M6VNVthFulzUnRdJh1I7uL', '', '0', '贾斌义', '', 'jby3313', '贾斌义3313', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002882', '1547002882', '', '0', '116be73e-1ac9-a89d-aa02-b73adb730c2f');
INSERT INTO `car_user` VALUES ('1484', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ESfeGQJH536ndtZah6O/k.nuXqk.f.5Eb0jeQlMCGyzFioVnPuYCO', '', 'DMuwnKiZwoOzeDwioPiuMQxaZBbYbAuK', '', '0', '杨韵希', '', 'yyx001', '杨韵希1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002898', '1547002898', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1485', '', '18247136052', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QCTuoXDsEF7SmvLY8DBrFeiaduWgEEzldUTDtSMHbzDXTRrDMXqFm', '', 'c3AiLeWzt96mtOx4tpOFzYpcxYQXQ5rl', '', '0', '连万林', '', 'lyl00a', '连万林A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002918', '1547002918', '', '0', '1e8a7ce0-4bfc-b1ed-fbb2-fca9e457ca27');
INSERT INTO `car_user` VALUES ('1486', '', '15148042442', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RNREvN3ErcEMBVk4FVizUeBnRUlrte8Lq/fBBEzPr6z1DF6vVT8aO', '', 'bVlQ7RVRBLPDHXkVomaPSFyZt_PiSzzA', '', '0', '张招弟', '', 'zzd000', '张招弟', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002943', '1547002943', '', '0', '92993c3e-ae58-5a1d-b058-00b1996e1c5e');
INSERT INTO `car_user` VALUES ('1487', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gO9ubKX6ZPARs.Iv1pnc.ulmzBcBxXdeV3ayJo0bn6c5m7Mf953oa', '', 'WNduB3osQrrDrPZtVphzpSIJuZjTouKa', '', '0', '杨韵希', '', 'yyx002', '杨韵希2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002966', '1547002966', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1488', '', '15804717273', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$A4hSblI6jTU19EGYks2MluFgHgBQHRa.nhVVmyBlfl2MI9XnXDowK', '', 'YvPy66ncFiLd9WMhxoLpgISUfxsjc1OZ', '', '0', '乔彩云', '', 'qcy009', '乔彩云9', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002974', '1547002974', '', '0', '9db785c0-c512-de58-3559-65f0eb84f02d');
INSERT INTO `car_user` VALUES ('1489', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$z7Qr3zFJxYcnXTIE4kAr2OXi0jtTF2QuSjRbjukOCpLrGGnx9Mpje', '', 'IW7Irc7sjBjCklnTBzZxf_AKQXilTUdc', '', '0', '杨韵希', '', 'yyx003', '杨韵希3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002983', '1547002983', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1490', '', '13469574005', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$l/cEq27HYVs3K3s/J3DFNuqK7ZEpCIzNClqF.fW0qUCpIYF3NSTOu', '', 'TJR-0f06FeUocZwRUj0GBcOCXXOHU93I', '', '0', '王孝2', '', 'wx0002', '王孝2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547002997', '1547002997', '', '0', '3a986fdc-cae0-c5d1-2918-021b85da31b9');
INSERT INTO `car_user` VALUES ('1491', '', '13469699155', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FmNgg9.zD.LW/QhRoe4CQ./7ZEoFPz487HA3WDr4fHtuaix9VvdZ.', '', 'HY130jFSq-FZvCelnGzwm2D3ZocJYUVl', '', '0', '唐艳红', '', 'tyh002', '唐艳红2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003022', '1547003022', '', '0', 'eaa865e8-81ed-afdf-05b9-33d989bed5e3');
INSERT INTO `car_user` VALUES ('1492', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$g0cB1EDvUKFc/3d3QdB9O.51dWDYg/gtnORB8EdhI1.DgKi79HlUa', '', 'Huz8pTNXqa1YQeJ5nkaeOKM5WUccpRQa', '', '0', '刘军', '', 'lj002a', '刘军2A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003041', '1547003041', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1493', '', '15121980536', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uExEVpWvrLikLVStdmqfk.FL9cxDREHHLwHwD4QNURyrlZW3SVkpe', '', 'BQpV8qwr1KCLtwoJZqOSONJ4GbR-9K9e', '', '0', '杨兴明', '', 'yxm002', '杨兴明2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003049', '1547003049', '', '0', 'd100afda-0d23-0c6c-f145-aba2df08e56e');
INSERT INTO `car_user` VALUES ('1494', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$CsSGEY3jtv75A/cyEtjsF.kukZRn9aaf965KmjDRkyO0GlF0ekgFi', '', 'RkZUKFYZgPeXmFfVclm16XxHnblosf5V', '', '0', '刘军', '', 'lj003a', '刘军3A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003080', '1547003080', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1495', '', '13872327793', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hBt9dIFCR2RtzKI7D.U2MeGHjkmJCEtVmV1jZ/BsrLMUcwJt1ub6G', '', 'bkDT6ILMhpnw14qiSyLz-CKFfc5hRC2W', '', '0', '周爱明', '', 'zam001', '周爱明1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003084', '1547003084', '', '0', '3f29ea7a-7cca-540d-8922-a1e74d3c1772');
INSERT INTO `car_user` VALUES ('1496', '', '17795086784', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$L6JhaUbedIE/OI0FFWr91Ot86G0p8DmFLq2Yc8SC/MxWsZ5gQz2xy', '', 'HKSi70JIPgkhTkg-v-qRREuf6xrxzf9x', '', '0', '冯淑侠', '', 'msx00a', '冯淑侠A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003110', '1547003110', '', '0', '42d3b0a8-b39a-1b91-f475-391d3957f711');
INSERT INTO `car_user` VALUES ('1497', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QXxtSDgXarFNk0g3bLrXLe2hqE4YMLstZnE2eWWxekEy3hUQBqOgW', '', 'ZgtE_UC-SvOMKceRgUt5fXoC9tTRdjPf', '', '0', '郑燕安', '', 'zya001', '郑燕安1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003120', '1547003120', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1498', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$MNtdfqziPJeAxjrs1IaXxO0llL3wyzM5Y/JR0ViGeLJIeQicH6ycm', '', 'GEiNx0LsML_mjXGsrKfQHKF-dk1mSw8J', '', '0', '郑燕安', '', 'zya002', '郑燕安2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003149', '1547003149', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1499', '', '17620685285', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$K8nD.uLqd8G84XDuYuELcewQ.B0.EP4/of9LQE6kNHRwN71w.3ZBO', '', 'A2ysOALy8Md5PDiMSZdnUKcpH4v5oTuB', '', '0', '刘巧莉', '', 'lql177', '刘巧莉177', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003155', '1547003155', '', '0', '9bd00acd-b707-3f02-9ba5-6307dd6d9dc8');
INSERT INTO `car_user` VALUES ('1500', '', '17620685285', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$lb.vhiAeRS/fHfTaNKeaEu1XdIfcSO1A0mrstouUWs4ZIQpcwayQi', '', 'c7tsUUGdsJRQBVFdCcRJ6u4pAHkzZL2_', '', '0', '刘巧莉', '', 'lql173', '刘巧莉173', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003162', '1547003162', '', '0', '9bd00acd-b707-3f02-9ba5-6307dd6d9dc8');
INSERT INTO `car_user` VALUES ('1501', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$4h.KmCRepkRplOpDZAH85OuW76X5Pwecy0Fk0zg.fTyqUprqCigFq', '', 'Hcf-FVKyBgyY-3tNf8PxsfGNRwoDb4Ol', '', '0', '郑燕安', '', 'zya003', '郑燕安3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003182', '1547003182', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1502', '', '18169106678', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$CGvOLlC9lnqOLDI2g5PDruUbfY7PE17eSafufq4vKDFIlnse7E2Sq', '', 'T9GsLOlodMVhjSZayzxOcnyzfDUakp8H', '', '0', '韩靖', '', 'hj00a7', '韩靖A7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003197', '1547003197', '', '0', '4186524a-e374-7416-c0fc-ecd623ccd8db');
INSERT INTO `car_user` VALUES ('1503', '', '18169106678', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$asrv2tUUnCw7zo3RZk3Gxuq1adqtNAoldp2UN9nQZ4.K6W1BVfn/a', '', 'dcD241IOMNNG9QD7EtLJZzKdz8OuxXl5', '', '0', '韩靖', '', 'hj00a5', '韩靖A5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003224', '1547003224', '', '0', '4186524a-e374-7416-c0fc-ecd623ccd8db');
INSERT INTO `car_user` VALUES ('1504', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$fy9DLXwZIBhQObw8WtO.ge/kxr3KOWeSaUFupDoe0d.tMtC92hiOO', '', 'CfJyLV4ugsN5yjW5trL1HV7XYjnsgNEa', '', '0', '李伟东', '', 'ldw016', '李伟东16', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003227', '1547003227', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1505', '', '13619589539', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RjS78FuTF0XpqyLAB9p/C.ovaZXbEL0GnvxXsffiHJgUaLEa5p0W.', '', '6ZkXFNYNGoejlEuIzbJqdLRaeoIwVol4', '', '0', '李文珍', '', 'lwz00a', '李文珍A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003255', '1547003255', '', '0', '6fc19fd2-95f6-88c9-e7b2-b9f5c72bb0f7');
INSERT INTO `car_user` VALUES ('1506', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rIM4GElxG.MP7.Jxp2r32.YkZW03QDx65QebyR/kf77nqD0K0QRSO', '', 'msSCqtGHKrBr85WKX3ms0KJa4NaqTv99', '', '0', '李伟东', '', 'ldw017', '李伟东17', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003265', '1547003265', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1507', '', '15354856644', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7JzDZ7pugV8GmdwI5I46oOnwckkdcTr..gRAyysfRoKy8CyLCF/u6', '', 'CHxO5zJ8DTPtTjutxjXN5yloqsg9ckl7', '', '0', '霍美林', '', 'haojiahui', 'haojiahui', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003310', '1547003310', '', '0', '93c9614f-5586-a359-dff6-a0e1174fbabd');
INSERT INTO `car_user` VALUES ('1508', '', '13619589539', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$gCkpST60SdToeCwjoF4mpO9mxgJVQs7DZSB/irfEIkkc7EYd87nve', '', 'hwJwwsO0TpSz_mlz4xJuKJUw1JqgAlj-', '', '0', '宋六合', '', 'slh035', '宋六合35', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003313', '1547003313', '', '0', '6fc19fd2-95f6-88c9-e7b2-b9f5c72bb0f7');
INSERT INTO `car_user` VALUES ('1509', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5Ar859VuLytNbjeolSzBiegawc0vdTfrpfzYC/Gp/LHH61S9jAnPS', '', 'TJa2Main7L_mQaiMJzn1W7fbRB1pqb8g', '', '0', '陈皓然', '', 'chr005', '陈皓然5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003336', '1547003336', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1510', '', '15992446861', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$a4vbcnfOl4lOR3jPEZrylutt5xVEDH0cehjT4lhjphakvOj3/MWHq', '', 'OwxaGfiYeTySnZHpgKwmtHdYS3MQFhEs', '', '0', '张细梅', '', 'zxm000', '张细梅', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003345', '1547003345', '', '0', '5171557d-aec6-8071-fef3-d63e04f98566');
INSERT INTO `car_user` VALUES ('1511', '', '13947128394', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$GfJQPBHvn0KdlsBb7R/NVOuARh0N/XzREywVyfodMc6Kmf0oPALU2', '', 'gof84kAC-4N9TugPyX4TXBeIXwtja8Dl', '', '0', '李静', '', 'lj0816', '李静816', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003391', '1547003391', '', '0', '9b80ab27-59b5-5966-92eb-15705b13f853');
INSERT INTO `car_user` VALUES ('1512', '', '15560607555', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XzQzk0UXWaRK8SO1lq6SMOTJPldNnMXTJoxyZg7Xv6JMpAP5/uaTm', '', 'Xk1wurS15L1iA97nfnN_Jj2FXonVu1fO', '', '0', '罗俊英', '', 'ljy002', '罗俊英2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003399', '1547003399', '', '0', '8d43b700-db01-2d16-e79d-92970ca7d218');
INSERT INTO `car_user` VALUES ('1513', '', '13895634060', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WHwI7PO5mGShgUXjvzmMF.5nVGLO2Tc7x4t1F8Q.WV.8t0NhNbCmS', '', '3Z0HoaWIyhEUO3H6EtIvfLoscVeAgnk9', '', '0', '高永锋', '', 'gyf00b', '高永锋B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003430', '1547003430', '', '0', '3ffb5e75-65da-8164-e86a-874322e4f192');
INSERT INTO `car_user` VALUES ('1514', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$0qRlTn6Sc4tLKHv9xuOebOb6LdoEnqzEhJa5uWne84XtWxG8.qQb.', '', 's3kcoEscI91pZhu3h-IIBQqJj3GdURS4', '', '0', '周春燕', '', 'zcy0065', '周春燕0065', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003433', '1547003433', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1515', '', '18038782698', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mROtR1lEc0dMc3b1NVL2Fu8oykSJdzk3B7yv5FRYcPawVLaAOQjg2', '', 'cgrurZsVOO2vqZghSZ6nXTpUTKi7O5r2', '', '0', '梁旺云', '', 'lwy185', '梁旺云185', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003458', '1547003458', '', '0', 'f79be3cd-9384-710c-e2a6-465339c38791');
INSERT INTO `car_user` VALUES ('1516', '', '15335568893', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$W87m8ZS016Pqk4u6WO30yOcfLAMNBBo3xR5TCEI3t4yl9LoynPa6K', '', 'mIQxZHYJB6-vtM4OztoeaVcJUOBYYrhK', '', '0', '施春燕', '', 'scy000', '施春燕', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003476', '1547003476', '', '0', 'a1418a61-4e8e-81ab-6538-028fb0a84ecb');
INSERT INTO `car_user` VALUES ('1517', '', '17620685285', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$LOJY.zffYH0n98IX0V8PMe9QaL6qY.940W0TFzO26507Igl/0FJaa', '', 'ZObGsBn2oqRYvA014Yg2OShpAGKzY_Y-', '', '0', '刘巧莉', '', 'lql169', '刘巧莉169', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003502', '1547003502', '', '0', '9bd00acd-b707-3f02-9ba5-6307dd6d9dc8');
INSERT INTO `car_user` VALUES ('1518', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$fSJ.SSWYWBb97G8GpZasJesSOR4ftGUT5Fb6X7YHuTZoFkhVBqcT6', '', 'AT8aUFJ8WhIugRusiO5_oexhEiqu2Nm2', '', '0', '赖建国', '', 'ljg001', '赖建国1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003517', '1547003517', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1519', '', '18518085856', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3dmWkikdqCvewo.3hjfe2ObHysrNvdxzSXsAKBZVzZXU5DfClRdS6', '', 'RiRVzW8GHj-WlU53rReuE0vUj4dtpJQh', '', '0', '胡长勇', '', 'hcy000', '胡长勇', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003556', '1547003556', '', '0', '9cf21767-1ff2-835f-bb27-b8aa140a3059');
INSERT INTO `car_user` VALUES ('1520', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rb65VcBSBkqLbONazM5CluUQWUgrgOK5SCTEVjacNm49XuVsnDBZu', '', 'D9bMYBMKcyk-MODtIYBVY9FkqY_4xbSn', '', '0', '郝东梅', '', 'hdm006', '郝东梅6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003560', '1547003560', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1521', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$bkVgAxbI5jGsHLCTKezcNuRFic8j/3AklNNaqxrMHgsJiafIhpNY2', '', '5XEAfC2AZzylDAl5inkZgcD8guQDANB0', '', '0', '郝东梅', '', 'hdm007', '郝东梅7', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003589', '1547003589', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1522', '', '18025229755', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8GEYDuwi1QQ19pvkjWtX8ehMJFLL2Cz5k8cuBfJZJHaUmg.ctoGhS', '', 'AcXTzJ8Oyh1_1ehtnkRpyrKAcScoV5oi', '', '0', '吴婉瑜', '', 'wwy000', '吴婉瑜', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003620', '1547003620', '', '0', 'e1ad3b54-fa90-ce2e-d33e-9d74fe0bfad4');
INSERT INTO `car_user` VALUES ('1523', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$H9jktGQaL5nf72054tr6s.7n46fcrEewpw9M59UJhUXsXoc4QAXpe', '', 'wt0Bg5W94kw_zu1zSNJFRTR3AfSTPigS', '', '0', '黄文发', '', 'hwf000', '黄文发', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003624', '1547003624', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1524', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XrXjXqDUUS12I9UandS3iujs6/EGu2g6jrclC3If.9IzlGErZnCTG', '', 'bnstsG93y4mWFm8zmWtUZ0y0BlHhvZfl', '', '0', '黄文发', '', 'hwf001', '黄文发1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003654', '1547003654', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1525', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3vl87EDVh3HIJizLHnjWReztcC61KsSZj4JNYVjAUhducAHPFb/e.', '', 'uiB1D-5Ir1hwGJn6-O3oX2l670gm8jgL', '', '0', '蒋荣华', '', 'jrh00a', '蒋荣华A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003665', '1547003665', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1526', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ijyCAz8otxSqyeHMr0PkF.uetsM72PhYkS8aCzEELRUo8OxVkdExm', '', 'wY-yMF16Y_KIeXgnz33VWk1_ToweKh84', '', '0', '黄文发', '', 'hwf002', '黄文发2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003679', '1547003679', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1527', '', '13644711368', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$OmWGbfg.Hs1cquQMwe7jfOGk5czct7OmMNvf8c4iXw.RSYSkFQWVS', '', 'eQu-qY4ce9DtgCRX_A2TSAmakpBMdXcL', '', '0', '藏耀春', '', 'zyc5019', 'www藏耀春5019', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003707', '1547003707', '', '0', '104f0c0d-b54b-cca7-eec5-a8a7293c5a1d');
INSERT INTO `car_user` VALUES ('1528', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$LUwHjyktv0xATndkJvrmDux/xQV.MA3fNQ7zz.wtL.Qc5MUqlr2Ma', '', 'Jkvbnk5XDSgZ4tVNININF27HZcJczIhQ', '', '0', '林志强', '', 'lzq001', '林志强1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003719', '1547003719', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1531', '', '17734011888', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$s4.2avUTbRUOdUi8v4joDO4vyn.pDrH65wEz9gL4EM2vNmcC1GkJy', '', 'AbyN1tIGMi8js5AO4yQLmGlrXiIINNis', '', '0', '袁学军', '', 'yxj000a', '袁学军A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003753', '1547003753', '', '0', '1e4e9aad-d9e8-51c9-e204-4b8e46a9b932');
INSERT INTO `car_user` VALUES ('1532', '', '18707861504', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$0HHwWZUDcDTziezSLD7Xpe78Dis/13BcWqbyQ/XzfNtqkGxRI.hQq', '', 'kggmBsEVwklHmT0zBVN__oLURH2w27PI', '', '0', '黄雨思', '', 'hys000', '黄雨思', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003785', '1547003785', '', '0', 'c30f6e18-9198-0bb6-e06c-d9b9483ad972');
INSERT INTO `car_user` VALUES ('1534', '', '15907860758', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9rbMdjEus5lmZFlkhfl8geBDxBO6daI8Jv6iVg3l6/yhoDFntVeCe', '', 'wOipzGljecUql82Zj2gGp1qoQWT7rhSJ', '', '0', '陈应甫', '', 'cyf0000', '陈应甫', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003821', '1547003821', '', '0', 'df8b1292-b257-f501-ae70-6e06a30a29c0');
INSERT INTO `car_user` VALUES ('1535', '', '13267618931', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$aZs5vAMwOdb5oOa.jb7fseuPTp9r52uy.frieYyJC5e83rEiphimG', '', 'Z92sIPzTm8DoKfrsa92GQV0xb60QCq1Y', '', '0', '古玉伦', '', 'gyl000', '古玉伦', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003859', '1547003859', '', '0', 'e55cb6a9-544b-4e69-06f6-e1cff5fe9984');
INSERT INTO `car_user` VALUES ('1536', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$NqK7i8WEMmWqgqGB/ocRLebbinX4EY2rP0Vn5.ZzHmJ/hrTTEE51e', '', 'X_e1hhk9LrOFvP9Yb8N1xo4A5Y2GMoPh', '', '0', '周海英', '', 'zhy528', '周海英528', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003901', '1547003901', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1537', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$JyDvCZroYpPgaD1avDjkj.DsUaSyl.c/wszcSmdObaQ.igI9hnTBa', '', 'HHMH59gwkTYXnrhDU2F0KfcoKNnN6hPN', '', '0', '郝珍海4', '', 'hzh4816', '郝珍海4816', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003930', '1547003930', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1538', '', '13169724507', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$f7VQfDOJ2Fgb4MFYmua2lOq.GzMk4DZXKmzuORhYsnUzlAQMYUa3a', '', '9wMsT2ZfSdAB3sSBTD8OP_b_poymBqOt', '', '0', '韦玉芳', '', 'wyf008', '韦玉芳8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003957', '1547003957', '', '0', 'c3c178f5-cc0d-f6fc-3642-f126fbbea3f9');
INSERT INTO `car_user` VALUES ('1539', '', '13826996654', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$U0Wv5tgvqbiD.FFk5d1FLupgCredMWbo9bzE0/D.B0Ilxe3NoRpZq', '', 'SPJOWJWNCZSmZ6ZhGwMuEolNsIUd0MJS', '', '0', '张振勇', '', 'zzy00c', '张振勇C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547003987', '1547003987', '', '0', 'b5764ffc-bf52-0c7f-f4e6-34bb95c7b768');
INSERT INTO `car_user` VALUES ('1540', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$DaNFtFq.Sd7rt.MDZZwB4uRROM9UvSr9.D1n7yV1bL5ZH.FRGQZQ.', '', 'iEtKKDvrQDNTBX8XfNKC8iPmHJkG5jxa', '', '0', '林志强', '', 'lzq002', '林志强2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004169', '1547004169', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1541', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$c6X2DdsbGfSLql1xZdJN7OoAxI3xLFQfTy3fxpWs/afPXhH0PRv0e', '', 'eEtW3pb1CswGnY99MNwdmAYB_7HZYwgV', '', '0', '沈齐妹', '', 'sqm001', '沈齐妹1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004226', '1547004226', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1543', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$KB60sba3QybKknDanPzlq.aY4B/31CLY3t8UGoBTqoosZ2nECYB7i', '', 'Xta7SElhy7eD7AV-36QDzGYbvECMcg-t', '', '0', '沈齐妹', '', 'sqm002', '沈齐妹2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004477', '1547004477', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1544', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hDgRxlvOKPi4D855zLQE7.CmA4mV.7GGdS7BOg9xu7/vmI1MeewUS', '', 'MCyElzcFv28qgU402uWrr9uB-Hnqcyqm', '', '0', '沈齐妹', '', 'sqm003', '沈齐妹3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004509', '1547004509', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1545', '', '15800249633', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uz4gb3gINX9ATyJ/nHrTxuwzosHsrB70QNrlzgTVHm8scm8T3mWhK', '', 'VP9NkP92m9RBiW1vVH8pXaNR9CMgxb5s', '', '0', '谢桂珍', '', 'xgz003', '谢桂珍3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004517', '1547004517', '', '0', 'ef9f83ea-df88-1567-f48a-72726eb797c2');
INSERT INTO `car_user` VALUES ('1546', '', '13316319833', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$HQjoKF12jX.y5wORkmPYnOhzYIyx6fX0wgZrWp7M4EphWyiqdCTiC', '', 'Xmzdv6mFCahnYeKgyb-7GCdBk1Ou0LsA', '', '0', '钟春花', '', 'zch003', '钟春花3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004562', '1547004562', '', '0', '9afed03b-7d9b-0716-9a66-09999de715f6');
INSERT INTO `car_user` VALUES ('1547', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qUF9xk342IAoPHxLl/sZ0eNka/l5iHAGzlOQ4bnlcZRXwRHjSAc7u', '', 'KFAoQ1Ijm_iRmwG-5efzdX53zpyIEXrR', '', '0', '吴丹丹', '', 'wdd052', '吴丹丹52', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004569', '1547004569', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1548', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$n5rYJPIfORhgcI3HB1KN8.KmhKrHUJyhcxaRBeF59b56zba74H9gW', '', 'Uw0eXjvqjTcpWHpGFA4DWtUS8ZfBUkyo', '', '0', '刘桂荣', '', 'lgr002', '刘桂荣lgr2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004596', '1547004596', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1549', '', '15598061728', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$00UXVxsHdWeT04HPtyjG3u4i73dvz7TZJKqUsrC/H7D9fv2XIm0QW', '', 'laZ33PITcqJU_yScMK2oJLGNkFGNhJO-', '', '0', '闫红桃', '', 'yht1968', '闫红桃1968', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004616', '1547004616', '', '0', '36ba26e0-6e48-1f7e-50fd-fe011cf37ddd');
INSERT INTO `car_user` VALUES ('1550', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$cpPPTmltvM70V0F9zR5fGOsVckrnzwpPUeXgaNDYxSvn2qprZ1umW', '', 'fBbrhD-GNc-BhPWDrLUktLYPhxwoBZ2S', '', '0', '卢宜韵', '', 'llyy001', '卢宜韵1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004626', '1547004626', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1551', '', '13802430166', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nt1iPWbFh4L.wngnrHeMuOsJoPCMK6NUWO.lI5MZx1aJr8fjmuhqe', '', '29S7omKnes0hup6VMrmAbLCrPcp3AdwE', '', '0', '谭立文', '', 'tlw018', '谭立文18', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004657', '1547004657', '', '0', '1113a7fa-adbe-9d70-ce0f-a9e15a52a687');
INSERT INTO `car_user` VALUES ('1552', '', '18547182668', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uvjn4ODlPDDs4kkK39d0p.HJMOSlBLsqj4ho35FoXg/9CH8g.2/dy', '', 'F7c_T8tjrcqf9KBSeecMw5pxH-XueCVk', '', '0', '马秀梅', '', 'mxm1967', '马秀梅1967', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004663', '1547004663', '', '0', '3a29f594-fdfe-4c84-4d0c-d8f8d2589be8');
INSERT INTO `car_user` VALUES ('1553', '', '13679888566', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$aFih7oHc3vNjge9.37yxu./Wz9vljmb.KOvKuQf6siGfTjnCqEC8K', '', 'YZDH1iJjWOfYZ8D7LJ1OGXt1G5Csm799', '', '0', '孔桂珍', '', 'kgz009', '孔桂珍9', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004682', '1547004682', '', '0', 'f6297e1d-4da7-0c28-ba1e-65ac97a55bca');
INSERT INTO `car_user` VALUES ('1554', '', '13712616823', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$EbHW.CdhV6t3oup0uCTC1u4H15JAmBz/yHDDEzX09GS/wztSOAhvG', '', 'R7KU2mOZ9B59BEfTMH3eAE4bOoTI4FLB', '', '0', '周妙玲', '', 'zml006', '周妙玲6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004738', '1547004738', '', '0', '63100ebc-2850-ee62-7386-2cc0c29ccd08');
INSERT INTO `car_user` VALUES ('1555', '', '13484716985', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$0m0MguAdoVX4xabUMoYEzendDpJ0.LZSk4IuMDtbgXYF3HIcOFwqi', '', 'yAOERK2fSNFIPjzKe0kmtk-8glzQihXY', '', '0', '吕晓英', '', 'lxy00b', '吕晓英B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004769', '1547004769', '', '0', 'aed9ba3d-e70c-63f7-87c1-26151d3cba6b');
INSERT INTO `car_user` VALUES ('1556', '', '13809857898', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$brIkLsAgbjGy8UXxSIp86uE/HC1xp2R.Y.ZTsbEzgkC7qpoTlJMra', '', 'NRmo6zzIqPNc1VqFtMaegTbtIFK3dMZN', '', '0', '吴丹丹', '', 'wdd100', '吴丹丹100', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004771', '1547004771', '', '0', 'da3d1f36-05a3-8d01-6ea1-c0d5cdbc63a5');
INSERT INTO `car_user` VALUES ('1557', '', '18511964477', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$j57o2weaS0BqtZEklPPA7urfDkteZ.E5Qks.G/hn83.7891kvxLP.', '', 'aqnXNIXK-Hs3bUtnxxV2k_tGyGKLwqDB', '', '0', '林军', '', 'lj000a', '林军A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004796', '1547004796', '', '0', '53fb6401-7113-aa91-e175-0692bb2287cc');
INSERT INTO `car_user` VALUES ('1558', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pESOHcH4eAOr1T1uZGzyLepaBLYuykph.2SxePDWJUrKSOSl6aKti', '', 'rgblWBfLvzGrJa1JRpeCvQC_6xnNsYi7', '', '0', '何娜', '', 'hn1244', '何娜1244', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004824', '1547004824', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1559', '', '15847677923', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$4qvjevjOCK7ePKhSB5IvT.0waHVNh.WCqGiOa0hJ4rMcRQ.s06w.m', '', 'mSLxvw5EfHxyT9G78k0f8LN15cbSC6_y', '', '0', '焦春生', '', 'jcs00b', '焦春生B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004827', '1547004827', '', '0', '5f565d5a-750f-9f58-542a-e37dd2be556a');
INSERT INTO `car_user` VALUES ('1560', '', '18347933993', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8syyqTDucDeEBgw.ZXIH.Otx.rehVvmyeHFjVs0uOxTGeh6/NU3yG', '', 'S7z6d33wFfI8j2e_9Xs-rhgOF8iP2cyH', '', '0', '王乙茹', '', 'wyr00a', '王乙茹A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004856', '1547004856', '', '0', '236f5737-d752-c178-000e-df9a4e8ae4e5');
INSERT INTO `car_user` VALUES ('1561', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$JffPxc/veHD9psF15XZ7lOOqeaHE3/bWdYVM6FbncP2jWbi86SbT6', '', '19adeyTOHkINoIKaNhRNl08CE-hEGG1t', '', '0', '邱伟江', '', 'qwj015', '邱伟江15', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004870', '1547004870', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1562', '', '13477133013', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TMnQ4TUCWLzYahctGuiosu5a7Fu4Ssms75CX3gD/MZ3QI6LMY85W2', '', 'szI0GO96pDMbu1HEtZ3a_Bo1dqnmSkgf', '', '0', '曾祥福', '', 'zxf00c', '曾祥福C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004889', '1547004889', '', '0', 'f7755a90-500b-13d8-8358-1c539577fa67');
INSERT INTO `car_user` VALUES ('1563', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$3.J47Czg4YiWkC3On2Kpq.ZPslWHgku.iIdhYAEx20IbBGG8eAh0S', '', 'XX0utUU1KrxM1B9-9BnEzXZIB_GMP0fP', '', '0', '邱伟江', '', 'qwj001', '邱伟江1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004902', '1547004902', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1564', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$93/O1n.AY8dxGQpbDQO37.zvXCSk63Km7AwfUyeNxBihSlLj05pEq', '', 'v64clEpsmrOQjdHiw8PFJGUUdShR0TBJ', '', '0', '黄乐明', '', 'hlmjjp', 'hlmjjp', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004937', '1547004937', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1565', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Ccy8Ghc0C55qZjDk6o6elevEw7hzmlG5pfcXcGP8wgqOBzTD4pBO6', '', 'wusDeuX6I4LyGgeCJ7VqmjgAMwfmToQI', '', '0', '温小泉', '', 'wxq000', '温小泉', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004964', '1547004964', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1566', '', '13995080294', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5VIZf7glp.I5mhclE2C.nu9XC0434KN53mkyn6snFfcesV4RwtymW', '', 'Wk92Nzy7NwpcQYo7XQ5d1jfCQDX1OH6i', '', '0', '俞凤琴', '', 'yfq010', '俞凤琴10', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547004985', '1547004985', '', '0', 'c4e4666c-2abe-21a4-686d-f4e4ff26a5a0');
INSERT INTO `car_user` VALUES ('1567', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$tlfQ1A2MTeBBHT52FISE1uL1hmmeq7fT3VfwiIVyNWXX676r34tri', '', 'ZVEqcRDI0fE4bUX6VZrDBbv_HDbYa9j6', '', '0', '周志能', '', 'zzn00h', '周志能H', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547005031', '1547005031', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1568', '', '13923153303', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$iGQTvoWjSgXuUHVhLk4XA.ik5w.Ye2hK6SXI8AkEedIYFK8xkOddK', '', 'spI8tkLpoYOHFXWVwIPvtW5w1DUv8diV', '', '0', '敬春华', '', 'jch012', '敬春华12', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547005074', '1547005074', '', '0', 'ab28e3cc-9ead-9f88-182e-55a60424b014');
INSERT INTO `car_user` VALUES ('1569', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$U24GvLW4rQhVRqmcQ6/mD.dru9MAoh.OdEbdbWRO/qnURfoViNOHS', '', 'smF6DdVO57_cauaoATxadnp3OZ_AKsWu', '', '0', '吴敏霞', '', 'wmx000', '吴敏霞', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547005121', '1547005121', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1570', '', '13927766639', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uBHitapER9X0lAP2n7U9h.hjF6zVyURXhdpaBqPUQbMaKxuIUtecW', '', 'wmTmO5YNCsKZAwDhEhEigz7yd9OCDdvo', '', '0', '罗群英', '', 'lqy003', '罗群英3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547005131', '1547005131', '', '0', '2f4faf43-66bd-beb5-62ea-f90627859748');
INSERT INTO `car_user` VALUES ('1571', '', '13923153303', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qoL.B/BN3NG1L8i6kYkuZOId.46wNUvapkqndxeMxLmDcdcLK3jhi', '', 'EQPkm2YkPvIgmP8FL5l8avHvSCRnMOsH', '', '0', '敬春华', '', 'jch005', '敬春华5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547005171', '1547005171', '', '0', 'ab28e3cc-9ead-9f88-182e-55a60424b014');
INSERT INTO `car_user` VALUES ('1572', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rr/QY4Ew6ElPlzAdtXVWcOp8KkYrhQtqB3MSsPLJeq6joIh1OG4TG', '', 'I1V4pCLwhssZ6a9-nvI3ypl9iO8TYUPo', '', '0', '王效梅', '', 'wxm000', '王效梅', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547005220', '1547005220', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1573', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$xi6nJePMqLIuR.6StY.V5.VrsiwFoAq.XtMsZKW2ij4DsTeHna3C.', '', '16WUWICAiHYsVMPw93bIpVlyjF-dQslZ', '', '0', '张绮玲133', '', 'zql133', '张绮玲133', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547005253', '1547005253', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1574', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$U6GoejyAjotN39BRWkn9o.p0V65FERGSrKl7j4JUxg/x8xhNmCYj6', '', 'El7WVimPItyaCu5nWffaljuR5Ro-JFyA', '', '0', '卢勤仙', '', 'lqx033', '卢勤仙33', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547005273', '1547005273', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1575', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$mGLLo5ZoZK65WVwJdto/teSUboT.um1yeJL9RlQe/jxcw2O7B/lGC', '', '1AshbqDUBMoExZN7EPnsrEHkUNk8dF6o', '', '0', '何丽颜10', '', 'hly010', '何丽颜10', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547005381', '1547005381', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1576', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7uuayfxFu1l59Azv8shuROSFMM945VdBZWyoENjXEEo39DoKLDDpm', '', 'jtBFIr5hIL-RIo3eK8zGsO7ci18NfBQS', '', '0', '何全辉', '', 'hqh000', '何全辉', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547005438', '1547005438', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1577', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$wyWnW4w9CP1y1IbEqnSCQusxy6OqV61PyKA23YPBocH0Wq793W6Bi', '', 'hqYcaioOJPFhuzruFh_LAOs_j8Ae1uOx', '', '0', '胡星4', '', 'hx0004', '胡星4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547005654', '1547005654', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1578', '', '13710744501', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$DhSTbIpfABI3y7d52v66muL4fowMDgK8Y8dSPTcdiufb0N5cwv5bO', '', 'cT2Pep_KY--Dwe4tpI1G2w1yXw-ss8Ql', '', '0', '郑伟良', '', 'zwl000', '追忆黄昏', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547005900', '1547005900', '', '0', '372796ac-c56d-77de-65d0-3f1bf5028c35');
INSERT INTO `car_user` VALUES ('1579', '', '13644726423', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rjUvKQmkLUjzgoDK1OdUFuFGsMbapyNSrNfFBbIf11gAwZJ1NKeqy', '', 'UAkYg0tbfhaka1iJ88ZuWZkK9qoRYeU_', '', '0', '刘美丽', '', 'jkbb123', '家恺宝宝123', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547005914', '1547005914', '', '0', 'eb47c969-1d26-f056-ef6d-820963dbc535');
INSERT INTO `car_user` VALUES ('1581', '', '13904798448', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$bBKkhQ/o2G1PzkT/39Tnluhtox68WPsV1Ay0O7wtCUItDnw/8VoFC', '', 'RrZYh7lCFQ8fq3H349D8gVtl7m-HcCg_', '', '0', '孟克巴特尔', '', 'mkbte0', '孟克巴特尔', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547005982', '1547005982', '', '0', '890d443e-873d-db4c-f700-9bf6a0c585b5');
INSERT INTO `car_user` VALUES ('1582', '', '18648463343', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$menU6TBTw2c/.O14yqq7weGPHn2M2wlv3gWlaEpgQyF0ichxV.CrC', '', 'AZKt_6paBUCAYOcovhgdS9aY1x7VujQO', '', '0', '梁雪梅', '', 'lxm3343', '梁雪梅3343', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547006031', '1547006031', '', '0', '7c5482ba-c3a0-f19b-b201-2f2a561125e7');
INSERT INTO `car_user` VALUES ('1583', '', '13702966715', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$4.rBkSvr1NwK9PiJnIvLt.UUcpiGOwOX9SlPKHiC7wT60wjku36ia', '', 'VdU7M1_PnCETLTddGWcRG9SonQvWzxLI', '', '0', '黄凤华', '', 'hfh236', 'HFH236', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547006035', '1547006035', '', '0', '7277b672-1365-c43c-e818-3abef3cd6497');
INSERT INTO `car_user` VALUES ('1584', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$HQo3imzj6wP/oXBrG.lTm.sbIVur/YpYWAZWqIfzOcXoRs0nbBTBu', '', 'GL7n6VSbknx6jqbJ2BMbijqqu1Bf_S_y', '', '0', '宋美芝', '', 'smz8887', '宋美芝8887', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547006079', '1547006079', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1586', '', '15754958092', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WzyvXKco1pM0hw84TLqb3OMq6BVqzV8gNU1iLHtaXfqZtkEtxRP/K', '', 'azm8NfGeslFvmMyE2M7SJF82VWHQidbx', '', '0', '苗霞', '', 'jbyyd0', '金佰亿一店', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547006129', '1547006129', '', '0', '31686c22-6a11-7832-026d-4e25ff8c2dcf');
INSERT INTO `car_user` VALUES ('1587', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TO98QcSwLO8/JG/1xg7yxucckzOagnUcFjKdPDcUoiLe0tBnYlC.6', '', 'ubEoER9bBOS1rfv8B6W7OsOG_s8So6_2', '', '0', '汤小燕C', '', 'txy00c', '汤小燕C', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547006165', '1547006165', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1588', '', '18147412122', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$g2PCIet8914atf1ipj3yeOqX.8Z4oTbHVx1IOcvcnwsrIX3tg9JZK', '', 'u5CCVkjfgZOD_J8Vj5pAK1XYmc9gaXwI', '', '0', '魏政', '', '888wz0', '888魏政', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547006204', '1547006204', '', '0', 'f894144e-536f-809c-5f62-02c804acc102');
INSERT INTO `car_user` VALUES ('1589', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ajmzsNHNuBnTZ8DX4IihyOf//qe6UvkOY9dd66fMdFAWtZt1NeWaO', '', '6J2gNeLLkQ0v5IYXA6PpBuQxGUqF15_r', '', '0', '吴美甜', '', 'wmt000', '吴美甜', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547006219', '1547006219', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1590', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qyqsYMpKqZqKztJERWJybexAU./HdUzcFUf8ZI8caNh3woA3o2MxW', '', 'v3vxSzz-2tMvUJgn23-1Mw61ITQ7RFnO', '', '0', '张华权', '', 'zhq7786', '张华权7786', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547006253', '1547006253', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1592', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$SblCVtbet2UcRXQUS6PHOevMDaCxVZ9KnPo17PpcNqtuAg7RNpRie', '', '4ZeWhEgM0prv6LpZRqQm9RTs7NV2zrRX', '', '0', '巴图苏布生', '', 'btsbs4', '巴图苏布生4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547006299', '1547006299', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1593', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$MK738yaBGmD2YSHnIgUAl.xdxNuzKx8EkOLtxMGZA6tRbR5hnsiNC', '', 'EWSNBWJc8-LOj32Q1UBwZaTJf6wjkjCJ', '', '0', '胡小清', '', 'hxq100', '胡小清', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547006324', '1547006324', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1595', '', '15730466948', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$h6MPN50Yz5mJQdcTRpk.oeNSs0JNA4VtO7dID2Pewb2Zr8ZX.Zhhe', '', 'pgyx6zHyeMeJEptm_tyJb_VqblDmUwV7', '', '0', '夏雪', '', 'xx00000', '夏雪', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547006341', '1547006341', '', '0', 'afe3e7ef-ca41-5dbe-80d0-d53dfd888d70');
INSERT INTO `car_user` VALUES ('1596', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Hun4jZAh5VBAnDd1Zk1N.OIJFcceuqWVG9njylIuqn7H810hd6mKu', '', '9PWUuDq8yJw9-b_5OqxGrKrvzrH9_-Io', '', '0', '陈雅昭', '', 'cyzcyza', 'cyz陈雅昭A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547006394', '1547006394', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1597', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$17fUdTzXCQG//vUWJZ.d7O8yO54bEQ6X5757C3u4fzOlKWOX8R7g6', '', 'dDc83hL8bH_88tYPZfBimfyKtHdKqukU', '', '0', '敬春华', '', 'jch00a', '敬春华A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547006431', '1547006431', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1599', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8Wg7WA6lY8D97nR94BI69uPrqYs5mOfifwc5KoyvYCwaBSqxT5uP6', '', 'ZUcGsSCtBcfZg_J8OggXat09YwbXMv8j', '', '0', '华宇', '', 'hy1000', '华宇', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547006472', '1547006472', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1600', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Mw8OdOILJjJMlgxIwdWFneFgPHRFr8dSzm0EopgjAkxPvQ8uiC67G', '', 'bECtJh4e82WhkYgst1ADFojUEvdd6Hsh', '', '0', '添一圆', '', 'tyy00g', '添一圆G', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547006496', '1547006496', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1601', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$GG/7KqjNDFn6Utw6d1zE5O3tigcXcrqUrudHtMyyugw5ji.JtFbuu', '', 'xlseG01hgFZHk7KDmnui86Sd-freD2Zt', '', '0', '徐雪莉', '', 'cysgy18', '池鱼思故渊18', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547006542', '1547006542', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1603', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$aG3SyH5cyWZiqS0s61ZiTOpbcuOMYuO2q6rmAUQJ/gyP8rLVxg46W', '', 'su8_lv-Jrlb7G5gU2hm6_-ixmx0fTlTI', '', '0', '付在存', '', 'fzc0000', '付在存', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012115', '1547012115', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1604', '', '13707768694', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$KhzrNF363Sjy7gzslHXGXeqCX8UHMcfGAay1629gcnIvATZRXk.AK', '', 'MtkzUaF5DwYOXFh57ns4GpwuDFOaWZUd', '', '0', '陆加记', '', 'ljj000', '陆加记', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012162', '1547012162', '', '0', 'e8d24639-5e1e-d5eb-6971-57d0b0212aeb');
INSERT INTO `car_user` VALUES ('1606', '', '18207761933', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ynwjuiSz/0.peR9cAc..YOEasVY7n800L.iVCU7XGQtxtRjkIRkhK', '', '3-XDrbUJPpVF-DmwfjkRl2eaiEYWkXLv', '', '0', '韦云珍', '', 'wyz000', '韦云珍', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012212', '1547012212', '', '0', '0cc2d475-649b-23ec-e05f-d593b9fedfa0');
INSERT INTO `car_user` VALUES ('1607', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$whuoH6wbe3tUgIb0BE/z7Ouj6oFdLqkgqSUfy7RIfpj0xd/pfzsyq', '', 'jhWyjm3FYMHQF-afb_rLitKgq0OVQFdc', '', '0', '陈庆喜', '', 'cqe123a', '陈秋娥123a', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012259', '1547012259', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1608', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$yDqAhC.CNsEmwneqCIHOjekcjcjH/6O/sijRxSqb3d.YewhQ0xpV2', '', 'HcQpblsn_XwhFi8qBweUJx7jNcVohCI0', '', '0', '沈丹', '', 'sd4700', '沈丹47', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012303', '1547012303', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1609', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$P6hoSxypjJIZxhQN9b5WI.LGON.lK2jniM7gmhqihLtnhDuh5t1b.', '', 'WNxMiedzgtnOO9wZ5WqylKpZmFK41EAA', '', '0', '梁永香', '', 'lyx666', '梁永香666', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012363', '1547012363', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1610', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$cLHZKR9AAr0s4evOweIhZO1Y5ISkDFR0vihX2f9Y7W0zcp8LRUl6G', '', 'HvX-D3Vo1n8jBty1ul4Aqb_0YF4BVChX', '', '0', '任小军', '', 'hfhzs5', '鸿丰合作社5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012407', '1547012407', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1611', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$nfGnS/KsKG9mo6Mwt6363ubGczdqQ5EoPxIBTYj5GDahez.k5oqmq', '', 'tslh_L3zPz76w1yhBvLFbNC76PEXwZ3L', '', '0', '孙随和', '', 'ssh00b', '孙随和B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012450', '1547012450', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1612', '', '13019506667', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$CO7aFDiF9iSginbvNY0kyu6n2jbRWm83ESM2u2PEXGKASE/HCBHCO', '', 'DLJq1WunBCo8Dvx5VFYDkgsabR40LKW7', '', '0', '乔小龙', '', 'qxlqxl', 'qxl乔小龙', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012493', '1547012493', '', '0', '78380782-f70a-ef2e-4a0c-b134484f39a3');
INSERT INTO `car_user` VALUES ('1614', '', '13019506667', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ykJCuKZ1co5yVSWamnQAFOFMEceXS.L9nxOv4R8zCV4cVZnl0KjpS', '', 'Cz8jTexSqdY94zGQWtK_l5EFTXgU3PxL', '', '0', '乔小龙', '', 'qxl000', 'qxl乔小龙', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012506', '1547012506', '', '0', '78380782-f70a-ef2e-4a0c-b134484f39a3');
INSERT INTO `car_user` VALUES ('1615', '', '13948020215', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$zS.EzcsQsN5tyyCd42NyWOPgnVSqfO3hZ8YctQFxsZVUtYm5oMV/O', '', 'x09TqjZgvn1k6F4TIfePZmOnE-j9Chel', '', '0', '赵凤英', '', 'zfy1959', '赵凤英1959', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012554', '1547012554', '', '0', '7df52147-e15a-a40c-de84-b0c600b93b47');
INSERT INTO `car_user` VALUES ('1616', '', '13831397773', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$QOxWmilCNo8V.NQ0amnequaJxZzz8XXLKBxtXSKnXL5PFsS6qjvEm', '', 'dg7_z15LC8a8Gy2deQ3vc0CatgG6zxV8', '', '0', '范宗红', '', 'fzh8866', '范宗红8866', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012612', '1547012612', '', '0', 'ed8d7265-cf07-f944-f865-1887ddb39372');
INSERT INTO `car_user` VALUES ('1617', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qyBDfeREvniRF7xv.0pIiebAKhEfor0inkgDIU48ztHEarTugsiki', '', 'VhjC-Nc8Uzw5QHWJryZYqm43sg8MbMwZ', '', '0', '添一圆', '', 'tyy00f', '添一圆F', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012657', '1547012657', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1618', '', '13224727641', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$5lAr4A.12nkiitxpW1ws/.GPyRphm7rNPmOMgYIrqAE.hoxb3NO2.', '', '9ouTaKmn_3aptt81y7BWSVA2SfN9R1Yc', '', '0', '徐风军', '', 'xfj2410', '徐风军1(徐风军2410)', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012748', '1547012748', '', '0', 'bc6ace3b-6328-3f2f-acba-52f83493bc5b');
INSERT INTO `car_user` VALUES ('1619', '', '13804715487', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$S0wE0YWBKZ3nNQhZqbjQ5udRoVBS0jZCjl9SOWwncYNkWS5dD3S6W', '', 'NDknZ4MTPStIG7pAkHmVoC9Gvf1O-pqC', '', '0', '尚兴忠', '', 'ssw666666', '尚世伟666666', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012811', '1547012811', '', '0', 'd4377dd7-7f1f-f91f-067b-027c430974ca');
INSERT INTO `car_user` VALUES ('1620', '', '13846169356', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$CGdE2KBB82IdECn/.YQNresX0BK89/Vl5C.FtApRezJ7WwP.y6ejS', '', 'ug78l8ychQ_x9OaVM13-nJzEgn8xiagr', '', '0', '张志刚', '', 'zzg678', 'zzg678', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012863', '1547012863', '', '0', 'b8ff90e2-0a0e-f462-81be-2d47f79a1512');
INSERT INTO `car_user` VALUES ('1621', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$VSQIlOfqi0p65owO7NoKa.rQYI9GWBDuKtIpxW0LY6jAjNvUCSypO', '', '3O_8BHI_pA5zpOyFPbAa0Dm5oIhACQTG', '', '0', '罗海燕a', '', 'lhy00a', '佛山罗海燕a', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012956', '1547012956', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1622', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$439TAbKcWGQes/bDYR97m.sd5wFVpPaGLYs48ypH4l3rLvFssKzEe', '', 'eKHckmBmNdZ-YzX3QJ_8K9EGzZ86fPdp', '', '0', '袁亮', '', 'yl7575', '哀亮7575', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012957', '1547012957', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1623', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$embsYuGZRGuwkWlXV82dveA6t4xL7x7bQGVsWp0kfptv32xR3yZGu', '', 'OW6cKcH_pIl_TmqjccdkKCX2El04Ushn', '', '0', '潘光苗', '', 'pgm000', '潘光苗', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547012995', '1547012995', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1624', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$28gXh6DmUXppn/6kllxPo.hX0XZ3NlD9qOKBag5JXoGJ9ooP2tNc6', '', 'xa2XU2vUZdV7xhxAuI_QnzG8Yflk0RcV', '', '0', '邓秋浓', '', 'dqn000', '邓秋浓', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013042', '1547013042', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1625', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$zlyvPheA/KIj4UIa5V.B1eZ6CBLI4dDkJliPxbnetgDetnLEuqrca', '', 'BTrKmEXm5mbG39eMCYJmDGxdunrKgWGd', '', '0', '郑永锋', '', 'zyf000', '广州郑永锋', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013059', '1547013059', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1626', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ct1qwBfLCQUvUrSxCi7oB.DDKwyOGRo4qtgPDINl7JrRDDshnW4LO', '', 'BSrv3aiurzpdDDahia8fzb-wWxmFimB2', '', '0', '郑金花', '', 'zjh000', '广州郑金花', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013117', '1547013117', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1627', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$VeLkcANK0N9ZTH6xEor.QuIKKV3fZ822aMInrXXhfPM.BW8G/ycgS', '', 'WQ_Q9rWnHpH5S3Lr_Sap719MZNQ5TWSl', '', '0', '张玉芝', '', 'zyz001', '张玉芝1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013156', '1547013156', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1628', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$A55L6eGj1KkB6CgxzxvTreyBDuirPL0haU.nfnPbZTpwWyGRkLNfa', '', 'lNUsct8KtqiQmiDfHOlroVRRaANUk1Sj', '', '0', '伍永楠', '', 'wyn000', '伍永楠', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013157', '1547013157', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1629', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$1Yx77CRejieuRY/VRVVbFOz44heMMSYidfCfQG9DkRt73fHVvopGK', '', 'IgoubZTp4HtqAYphdCl83lkIuMdSPdGd', '', '0', '赵桂湘', '', 'xiangcz99', 'xiangcz99', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013190', '1547013190', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1630', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$cOjyxUklJy6aByaXXZfnh.r8dzKvT3he28LwEG0j9mamuPd6sC8qe', '', 'jME293CM-mTyoNhhCn5IXWge5K-XBDSV', '', '0', '李秋菊', '', 'lqj000', '李秋菊', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013218', '1547013218', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1631', '', '15623606936', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$JU1EEHQtXMh2owX.HO06EueJoVnFHssv31IGrp/K8GO8bs5Gnp3jG', '', 'ny6pVjJSW7yX0iL-totsZDxf9oHVFpWX', '', '0', '肖凤华', '', 'xfh15623606936', '肖凤华15623606936', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013271', '1547013271', '', '0', 'ded59d7b-90bd-7176-aaf3-518f04d7e3b1');
INSERT INTO `car_user` VALUES ('1633', '', '15121815151', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$sGASBRAw5jZBDHzEgNFH/uzlFtWQrxOKdV4wziPocWOZnDgIpjTK.', '', 'mk06DVLiD4OmqsZU9lo2C2MaTZAZBVDc', '', '0', '李昊', '', 'lh0008', '李昊8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013382', '1547013382', '', '0', 'e10fef76-b869-31c5-5f25-9d2d9acc0ef3');
INSERT INTO `car_user` VALUES ('1634', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$SwAnmP5RgKV1ICwbqmcR3O8EAwJR8Gxtvc.MtEFb9AWp/RArabVTy', '', 'oNhTk4CtcUEiciJ8frfUQcn8p2mdYSmV', '', '0', '高秀珍', '', 'gxz168', '高秀珍168', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013423', '1547013423', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1635', '', '13888926963', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$K//WOPOR0bbk4h/8/MT7guKtbfGtdoHHMdqngabs9CL/hyRb0evh2', '', 'pAev3-6VmcM9gtuT7QZX35X79A98D7pp', '', '0', '欧阳澄', '', 'oyc000', '欧阳澄', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013467', '1547013467', '', '0', 'f7dc6903-0608-1b53-a7d5-c650b284d89e');
INSERT INTO `car_user` VALUES ('1636', '', '13760982069', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$NWpNFYLav8uwiMHGFa1XheJT8a8/Ax4M/htRLpw5gIwbe2gelIOOy', '', 'pyMxKaE8i9PJXUknBczZD162K_d5UEKY', '', '0', '黄三妹12', '', 'hsm012', '黄三妹12', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013477', '1547013477', '', '0', '6d1502c3-0101-5a6d-9169-b18cdbde9a3a');
INSERT INTO `car_user` VALUES ('1637', '', '13235649258', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$dHCEvSotsvhBm6Fv3Pn17eJn8cU6ZAyIHPHhpZHiRJ8R19ovi59rK', '', 'NVckU4U_tqeGZvKshJsY3cKfwkXnUHAD', '', '0', '刘利清', '', 'cfy00w', '陈凤英W', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013548', '1547013548', '', '0', '7c58c3f6-962f-69da-98b6-f4bebcdf2980');
INSERT INTO `car_user` VALUES ('1638', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TVKkyVuHd8Xiz4I6V4jfMe/pxnQeyCx4isT.6f7/rcVixn30DS7wu', '', 'bsDENHRmeWKMJ3ayu7UkSLfJf2Kc3Bvy', '', '0', '李桂花B', '', 'lgh00b', '李桂花B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013575', '1547013575', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1639', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$qDLb2kO0FyPp/SFYGjVocuI/9vIdAvs/jvoZsZVABeX3aypp4d2/W', '', 'wZKh0vdiPVkmvZ6ca3iFLGzLnwSe6kCz', '', '0', '徐学琴', '', 'xxq8888k', '徐学琴8888k', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013618', '1547013618', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1640', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$om9JUK7BeJaeF1EGZvUq9.C/GLwXH8gtU/QaL1jL9UzMhofYjN.z6', '', 'xwZiJGhmQQOyw7-CqSJCCoS95Vc-sgVT', '', '0', '李小倩3', '', 'lxq003', '李小倩3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013637', '1547013637', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1641', '', '13813418153', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$V3K5BApH1LFefQJGnmd7se2pYmH1QFZUecLCrg7xero4IJ41Js4by', '', 'gS5dG4hkxDVt5e8hyv9D1KnPQg-4teZ1', '', '0', '刘利清', '', 'sl000a', '石亮A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013670', '1547013670', '', '0', '12fdc9aa-71b3-bed3-45db-2cb37f81ae77');
INSERT INTO `car_user` VALUES ('1642', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$c9UTEqJ9vOHJQ2Fx1RkK3e1kHLjx7Ffbnb2hYU3YN/69HXs2YSAiW', '', 'GzFIw_7feo64xK71CxLrf8FXd-OMShN9', '', '0', '何小霖A', '', 'hxl00a', '何小霖A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013685', '1547013685', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1643', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FibySYPHGBki5RmWSBBgUuCXPCmFM4pFMzq9ZmsjVsNex6gBSuAWC', '', 'a9cDGWBAsSRr7o82it9R1qgHYVL0hfQp', '', '0', '黄丽燕a', '', 'hly00a', '黄丽燕a', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013725', '1547013725', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1644', '', '13813418153', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$s.ZwrWJJF5s1e2JetLB2qudCONU4GPsyeMuoD2yHsU.k2DEMiBPrm', '', 'pbUQJb53dNURPY1JVa65NhDk7Q7Fyxl6', '', '0', '刘利清', '', 'sl000b', '石亮B', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013731', '1547013731', '', '0', '12fdc9aa-71b3-bed3-45db-2cb37f81ae77');
INSERT INTO `car_user` VALUES ('1645', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rHA3grB4PzV.hVBfIHamzemNJLzHN6CK7p1RAvjS//w5.e4hI.GVq', '', 'VdCtctQKf_Fqv8QLX1VNpkaBFYcS34Pv', '', '0', '黄丽燕b', '', 'hly00b', '黄丽燕b', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013758', '1547013758', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1646', '', '13813418153', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$oZ00lLUNgFjfRpDngHOyDuTrH9BGx12N3uEyzFnDBq2nJ0r5aKt5G', '', 'susw1CtI9rmNLP07oOrZnr7VN5nIOPzk', '', '0', '刘利清', '', 'llq001', '刘丽清1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013770', '1547013770', '', '0', '12fdc9aa-71b3-bed3-45db-2cb37f81ae77');
INSERT INTO `car_user` VALUES ('1647', '', '13572369826', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uks4olnaP0Kt2OtX07urdu59hxrLW3xGg88QGY5xfjII7t2pJlmSe', '', 'PZ9Rh3tdZep7RUDKnq4cEUR_EiYMiM4R', '', '0', '何锐', '', 'hr0001', '何锐1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013821', '1547013821', '', '0', 'ef96bcf5-588d-50a1-5827-39c389196bb5');
INSERT INTO `car_user` VALUES ('1648', '', '13079682324', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vCYCZyeyV.Xv.op/OjiDLuSabYdmo11JzYeTTwOgAsMO46zt64YDW', '', 'WzzKIFrFHVMjHuOzS7_nojPJy8E1aPxn', '', '0', '刘利清', '', 'llq003', '刘丽清3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013866', '1547013866', '', '0', '9803c315-7fdd-e069-157e-0c52eb919ee8');
INSERT INTO `car_user` VALUES ('1649', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hSYmza.hKyuqoYxiBDbTGeo7xf67tBhbHgOb1uI./lpaHMFl6yvgu', '', '-MJnwQKJnSqytjOfrVcplYMc7jNH1T93', '', '0', '程永祥37', '', 'cyx037', '程永祥37', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013873', '1547013873', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1650', '', '13079682435', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rLVkLcUn9L70s6wLkV8WR.6mLzrj59nLfrwvHh1Z2MAl2A55U8AQ6', '', 'WohjrbjdGVdUVtx8Kn0DNbfi8_9wMvMV', '', '0', '黄冰', '', 'hb0001', '黄冰1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013904', '1547013904', '', '0', 'd4bd6216-1342-1f56-6d8b-b5ad4b9881dd');
INSERT INTO `car_user` VALUES ('1651', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ilESO2uUwXMA7u9YzLJ5uOfWEsdo7FS5ewFZmhp1mjx0Z4Pftjluy', '', 'Ot95oDKnlYB_SCXG9Jt7UPp1CsxPsEyk', '', '0', '蔡杨杨', '', 'cyy000', '蔡杨杨', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013913', '1547013913', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1652', '', '13079682435', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XKz8DFgjadyVEM/Rn7L5FuhNdJMfNgf2O2Jhw7VKC7eJVygspyNVO', '', 'lZ9WCmtoBmZknp17S_conG-8MNRW_WXs', '', '0', '贺龙', '', 'hl0001', '贺龙1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547013952', '1547013952', '', '0', 'd4bd6216-1342-1f56-6d8b-b5ad4b9881dd');
INSERT INTO `car_user` VALUES ('1653', '', '13079682435', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$jicIsjK.bLZQ40g/UUiJfeeQvkEXdo7I1G5xGwTAdkZ0xZJzI/6QC', '', '9GVW40Neg6EwXcu5CXKhJO7wkNxPrJdk', '', '0', '王贵兰', '', 'wgl001', '王贵兰1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014011', '1547014011', '', '0', 'd4bd6216-1342-1f56-6d8b-b5ad4b9881dd');
INSERT INTO `car_user` VALUES ('1654', '', '15849399886', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$OGFHHMP1.tOoAh7Eni4kr./MqjqbaO/edREeipkxERaFC3SZ7ots2', '', 'jl2ZqizFtGdZ0SgxkyP6z3NPgrrnFD_S', '', '0', '胡永慧', '', 'hyh000', '胡永慧', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014103', '1547014103', '', '0', 'f452aae5-2c88-3202-1ca6-530171bfc2b3');
INSERT INTO `car_user` VALUES ('1655', '', '13079682435', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$SDeOHzW1OiTNJDOeSQ/ehOYCTgCM.E6eG6GmAdp4h.1qxmWnXYtWO', '', 'zKQ4v-7mJUCjvG4HEZ4kUyjskr35xoE6', '', '0', '杨春兰', '', 'ycl001', '杨春兰1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014126', '1547014126', '', '0', 'd4bd6216-1342-1f56-6d8b-b5ad4b9881dd');
INSERT INTO `car_user` VALUES ('1656', '', '13697131981', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$dl0idfgGhwBVTm.EGoD9g.mG3UFtCZ9zydOliCPPxTXTe5XQUIcs6', '', 'bBDFviLOfqlg8dA9JfP9-8Vfc3r12rw8', '', '0', '潘进平', '', 'pjp00a', '潘进平A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014198', '1547014198', '', '0', '5c078dbf-6123-1cdb-ddb4-25de9295249b');
INSERT INTO `car_user` VALUES ('1657', '', '15849399886', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$7w2Bd92okUDpwscUJsrcTOmGWGs.6eD3pX/hmXcfa06Qid8CaIwAy', '', 'UjCDNy5VPp5ag-1UFFJ7THJOSHiBRS3I', '', '0', '胡永慧', '', 'hyh002', '胡永慧（复投）', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014227', '1547014227', '', '0', 'f452aae5-2c88-3202-1ca6-530171bfc2b3');
INSERT INTO `car_user` VALUES ('1659', '', '15327029088', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6HN3M4TWvKM.uPlZCaiXaudsbOFveb53W7UWS3obBwPGH.GkvXWkK', '', 'ZuZ508nbq7fuiyK-w7cDCfk0BY-fuKUj', '', '0', '张兰秀', '', 'zxl0000', '张兰秀', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014258', '1547014258', '', '0', '9111ff52-d568-b8fc-bae0-816b6c94a836');
INSERT INTO `car_user` VALUES ('1660', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8B5Xhs1cArrj7FSyhZUMW.ROr/yL24siwtemkHw.EWUM/r4LlLV9m', '', 'pz-RfxhFfMGEAenAyKLfZ6znuYDubvAS', '', '0', '敬春华', '', 'jch000', '敬春华', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014309', '1547014309', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1661', '', '13922714153', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Dzt.FGNEbLRObQbPoTU0R.Zyk76/yzqP8AVDVe9JU1nvDj5U5ALP.', '', 'zHTLue0lvp4X7sliKyWsqV6aJa9n4rge', '', '0', '陈翠微', '', 'ccw000', '陈翠微', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014352', '1547014352', '', '0', '3ae6b508-c476-eb12-dd90-473d5e05fd58');
INSERT INTO `car_user` VALUES ('1662', '', '18618194189', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$FUVioeFuqi.JlUW8hvuQfuGe70.B03sHO/mW3qmb/L3EGUMFvLUf2', '', 'lYOc5dJcAv9beSilSTTN64d5kc9avuV4', '', '0', '江航', '', 'jh0001', '江航1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014391', '1547014391', '', '0', '7fa53ede-538f-966f-01ae-3ce87543a1d7');
INSERT INTO `car_user` VALUES ('1663', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$hXhdq4dTRdqGvIWn8J7A.esbWc5lf5wzo7qpQnIyBLAr5QnZsBFfy', '', 'frZBOLnxCHcZmUics8MAcP3f0d9US5oq', '', '0', '杜润鱼', '', 'dry000', '杜润鱼', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014434', '1547014434', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1664', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$daVX8ng81fv.Wn.hywghBe4BK5QJmanKxoqq4Ln4qGquW7NKrrFEO', '', 'ehcrP8gU9UiOHzm4l__QuZdA6zF4-M1D', '', '0', '马巧燕', '', 'mqy000', '马巧燕', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014471', '1547014471', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1665', '', '18086644361', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$vzpVEnzQsBC1r.z/4IKtN.NvOc7RbqAb1fy.C/xwyKX0eWxaHAu1e', '', 'XrAvQOF9t_UNfuhFigMkIOYgOOz0hOto', '', '0', '黄玲', '', 'hl000a', '黄玲A', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014523', '1547014523', '', '0', 'b1f8d493-cada-bf34-c15a-4d5f4cdacbc9');
INSERT INTO `car_user` VALUES ('1666', '', '18207556971', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Z7HjTlZX7D7LYy7Q/fAY6ubrfNi2SdEGibKtVAjOkml65di1R4vP2', '', 'RWrGWCNzgFxs25vAfDtS5M37hULEUtKK', '', '0', '康群', '', 'kq0888', '康群888', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014565', '1547014565', '', '0', 'dfecf547-1df8-a723-c80b-2f645b65d619');
INSERT INTO `car_user` VALUES ('1667', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$WLnYWNiWDomug8PsOJ2hU.cy5UKibzSt./UgAntisO5pwG0TQsvg.', '', 'OmxbDab4lA8_QOAtHCKZIoj6fp1Q_XnU', '', '0', '张汉荣', '', 'pxl000', '彭学良', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014607', '1547014607', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1669', '', '15171445031', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Dyp.x4I5HOmr1GD5NV3WWOeVAak2UT7WvFGFUtJFVpO31hrFqOF.K', '', 'hi6N4iRzS63zjplD4tEuxeO_ixpsMZuQ', '', '0', '付秀丽', '', 'fxl0000', '付秀丽', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014671', '1547014671', '', '0', 'ae39943c-e6dc-18e9-5af5-dfba9f21da03');
INSERT INTO `car_user` VALUES ('1670', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$pRiPdn//Wgu41eFtKQPEFOpxwYgtgpBrqtkAyJ8iUeaZKkgShqLVq', '', 'C9ejcdMfBIL2mBUKl2RA05uoqrEW9F5V', '', '0', '庞富禄', '', 'pfl000', '庞富禄', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014717', '1547014717', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1671', '', '15847440932', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$DXTin1RoHu9Pyoc9Pz.Ho.uTdsPPGvSr7iC8KkmgOjq79OgBsHCr2', '', 'UvURQWOIhQlYjMwEXn6pm4SaHeLvUw8k', '', '0', '张旭琴', '', 'zxq000', '张旭琴', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014761', '1547014761', '', '0', '8406ee30-0b4d-0cf6-919f-ec21c5c9836f');
INSERT INTO `car_user` VALUES ('1672', '', '13848146383', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$U4peH6dLlAi8b/pMOxwew.qBGyxS60o2mUO3k6KVwodZxu3w.pyuG', '', 'TGOK6JoG8Mf3Fv3WQMBsL6um6ni9HLGu', '', '0', '丁海琴', '', 'dhq999', '琴声999', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014776', '1547014776', '', '0', '9ba76d29-8d1c-0308-7d82-417315f014e3');
INSERT INTO `car_user` VALUES ('1673', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Nec5ZdmoJUEAL.1D1nquLemmB4rLOpCOlcvSp3Rp.tylpnWIp9DMy', '', 'rDrxd7H83P0IJj--vS3R7kgYbBfJCsiL', '', '0', '何家辉', '', 'hjh000', '何家辉', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014797', '1547014797', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1674', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$LX9HoKzS439WxEJh1GH3TuNFDGsEczR8fPRXdZ3HuftZNBVxKjTjC', '', 'ZjPElr2GZY0yC1C99K2laU_K4xkgOQKC', '', '0', '何翠荣', '', 'hcr0a5', '何翠荣A5', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014867', '1547014867', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1675', '', '15647109479', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$L9QRDjP/RFAMqA.NrqN3ievQMRMyNeUfkkI..rrtYoY5YauFRqR2a', '', 'ExiRKfIDtlW6MlpWiuvXJgtih42F-1P7', '', '0', '周焕珍', '', 'zhz521', '周焕珍521', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014887', '1547014887', '', '0', '5b0940c2-4d23-22fc-d54c-426ef07e38ce');
INSERT INTO `car_user` VALUES ('1678', '', '13577570036', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$rMbcChrbSqtu6gjToUr6vepDNxvnJYWL5lwLKTG6RxLpl2cckYs7i', '', '7Qq9uNWJgctO0grQq63n2O3JBlVgsalh', '', '0', '想想', '', 'xx000000', '想想', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014937', '1547014937', '', '0', 'e4cbce7b-5202-9851-375d-de2e7ef66020');
INSERT INTO `car_user` VALUES ('1679', '', '13664711166', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$26jgonpkELCGlVlFg2wiquNhyKhuqSYQkvqXdY0oHeGZx/g4eVtby', '', 'MLUlGcJT70sW1Bsb4VZH0sph0miNLIH4', '', '0', '温长虹', '', 'wch066', '温长虹66', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547014952', '1547014952', '', '0', 'ce274b7c-5e20-3d9f-9f9b-57889b446b60');
INSERT INTO `car_user` VALUES ('1680', '', '15847267277', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$9Ll7U5g/6O43QTMCxqM5tePqWHjKg7qvcRrHIx5NADNKq9cxNMOAe', '', 'V4_UG9OV5h69jYmFnN3niCADqF5ior3S', '', '0', '高娟A', '', 'gj000a', '秋雪11781', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547015034', '1547015034', '', '0', 'eb0c3bf8-ce67-b867-1c92-fca3070698a9');
INSERT INTO `car_user` VALUES ('1681', '', '13335884670', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$TRFtaW9t.bET8X4ibXS1Y.giwDs1grEMHgLqW6fYalPAjcDZbq.bm', '', 'Nh_wtmC15trDwB6XucLe7we7BC3k-bOH', '', '0', '全秀华', '', 'xx000xx', '秀秀', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547015084', '1547015084', '', '0', '4e4ed47d-31df-a258-94f3-1129eecb83ce');
INSERT INTO `car_user` VALUES ('1682', '', '15849399885', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$Cs7nPkuj7x/7XkZW2K4Ca./5ZFWFNUIaB9/RfSxkk2KUE8PAOYq8a', '', 'DTlsYEMpvNaABzHVBeSEYWodYqWyz7oU', '', '0', '胡永慧1', '', 'hyh001', '胡永慧1', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547015107', '1547015107', '', '0', 'c61ea3c3-b855-64f9-fb7f-bd42e86a21c4');
INSERT INTO `car_user` VALUES ('1683', '', '13923161226', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$I3lblPEggUtPemEZVgOlLOA3RflJGgZwtbBlU.HabYH0vrE1nyf.C', '', 'J4Km4Qk53AmFa9979dyGiWNcSJiHBtVq', '', '0', '黄玉珍', '', 'hyz008', '黄玉珍8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547015143', '1547015143', '', '0', 'be26efa6-5796-88f2-04c2-7233155531e9');
INSERT INTO `car_user` VALUES ('1684', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$RBfRTvQwLP29w5D/ZgwKke9Xarm9dL0dwTPp5ssVJKhpYO57wt/NK', '', 't5O9EVK_mo7FCwMZuvR_StpZFLslqwQ2', '', '0', '王斌', '', 'wb2179', '王斌2179', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547015187', '1547015187', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1685', '', '15647109477', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$8S8RLAxVnalOIO2ZrX2H1Oii7ALR/Dte4CcOSgyCRTnm7nVmF1Lum', '', 'NTuzzIQbbZ_-E444L6WzwiThdm27DU3y', '', '0', '周焕珍1', '', 'zhz5210', '周焕珍521。', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547015195', '1547015195', '', '0', 'b2194341-f762-671d-6c3b-f620791248a6');
INSERT INTO `car_user` VALUES ('1686', '', '15647109477', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$KO2FJgZrdks7yqqBXvW0.uFBS0ekI2hfJBu7O4hhZxSKXmdwKvJKa', '', 'gfMrH4pfERo5XNIbDUYzFawISucksAu2', '', '0', '周焕珍3', '', 'zhz5213', '周焕珍5213', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547015364', '1547015364', '', '0', 'b2194341-f762-671d-6c3b-f620791248a6');
INSERT INTO `car_user` VALUES ('1687', '', '13692477214', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$M2GCZ/m8QSUi4YbSboEl8u.wj8X2tb3ZYtJkzzJTjxvFZESh9J4T.', '', 'lFJuBXV1tERlXb09DC6XUTOPJoRpxuKQ', '', '0', '黄莹莹', '', 'hyylishi1998', '黄莹莹8', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547015420', '1547015420', '', '0', '58722abe-db77-9815-7a35-15bc200ecee8');
INSERT INTO `car_user` VALUES ('1688', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$djDkkWfUbNDxJKcJMZWLw.tkjVTbGtHgaYNPUOgJRX6B5CCBjby0.', '', 'uwIDNkfyUKH34q0F7v301NAipOevuviQ', '', '0', '唐永生', '', 'tys123', '唐永生123', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547015427', '1547015427', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1689', '', '13360363808', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$J/hxCLDPCeo3kOsbRxi2eOuBBM0NZgkOv5/8UVRaYOWyXcwUc2JTO', '', 'OV21q2UG2NA0gxANWfxr1N3tM1MWvRpM', '', '0', '李锡泉', '', 'lxq058', '李锡泉58', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547015522', '1547015522', '', '0', '0c9e3930-a645-1b59-3b21-ef793a8f9317');
INSERT INTO `car_user` VALUES ('1690', '', '13316319833', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$XSEli52CbqiLKXpq0xOPrOqeAEaEnqceWJw0YuY71o2OmCR0IBlOy', '', 'VwymEV_UcF19LVxoQUbqtgEEtmNLeOTZ', '', '0', '钟春花', '', 'zch036', '钟春花36', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547016379', '1547016379', '', '0', '9afed03b-7d9b-0716-9a66-09999de715f6');
INSERT INTO `car_user` VALUES ('1691', '', '13360363808', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$bax2kohjfNCTYe9WJjldmOb.A5H6PwTOadCDuy.2TLlq5f/FzYo4W', '', '4hOLEuCrtRs90jZu8IsMVzd9x9wPOtk7', '', '0', '李锡泉', '', 'lxq098', '李锡泉98', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547016472', '1547016472', '', '0', '0c9e3930-a645-1b59-3b21-ef793a8f9317');
INSERT INTO `car_user` VALUES ('1692', '', '13760982945', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$ChtcPHAIDBXXMUuAPqtxce7LQnaCyebtGH1IiCjasfqzwArCPFMyG', '', 'qd21lK1UskFTo1yP5WTSVV7dN2bdjyEe', '', '0', '翠绿阁', '', 'clg000', '翠绿阁', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547016522', '1547016522', '', '0', 'f14241e4-4526-cc8c-3181-5d5c63e6aa58');
INSERT INTO `car_user` VALUES ('1693', '', '13760982945', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$w.wtKKJD/Ow2b4usFnd7PuK6LE9vfeM1cVosFf0UlKLdmIO1MQASS', '', 'vAdQaCvmvJrsDmJa84ax5QeF9IpfGm3u', '', '0', '翠绿阁', '', 'clg002', '翠绿阁2', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547016561', '1547016561', '', '0', 'f14241e4-4526-cc8c-3181-5d5c63e6aa58');
INSERT INTO `car_user` VALUES ('1694', '', '13760982945', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$MBq/OcD7q9LMfChgdsfWaOqTXCL51k4Zsv9aiBrjoRK6mcVZ40FYG', '', 'S2mxtqdDasQrZUEAmWGT59c5S0adkxks', '', '0', '翠绿阁', '', 'clg004', '翠绿阁4', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547016589', '1547016589', '', '0', 'f14241e4-4526-cc8c-3181-5d5c63e6aa58');
INSERT INTO `car_user` VALUES ('1695', '', '13760982945', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$BfjLqaXP2ydShHQCyP3Tw.rtxXHQ6B37ySC.TEHUXk3yNA9FcspTy', '', 'iETgNGRuXeHVqp3imt-EdfmK5FLdgXxw', '', '0', '翠绿阁', '', 'clg006', '翠绿阁6', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547016612', '1547016612', '', '0', 'f14241e4-4526-cc8c-3181-5d5c63e6aa58');
INSERT INTO `car_user` VALUES ('1696', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$6JhZ3jLPo48vmoRkYm2RV.DjLyjj99c0x7oXofZyi3zJwygnp0cGm', '', '2nL0UxcmBJIDA-p_OotfyZAwqw4NjVXu', '', '0', '张肖克', '', 'zxk000', '张肖克', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547019136', '1547019136', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1697', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$uG659N4vZFj24lZj3n0Rq.p9ax9iVr6/ujRmm0FlorlaBbBoPkiem', '', 'G7xmTpi_d6iWH0he0cSeevIZbCG2kNkQ', '', '0', '伊晨光', '', 'ycg0011', '伊晨光0011', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547019370', '1547019370', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');
INSERT INTO `car_user` VALUES ('1698', '', '15866666666', '5_1_0', '5', '0', '0', '0', '0.00', '0.00', '0.00', '0.00', '0', '0', '0', '', '$2y$06$PTzYYSmrIrrwA1KDvABSIu1OemGwWfpZbj11NtCU7qYtqb2ZeYlTC', '', 'iCLZiv5NHQ8NTbIUXXXHeBNC8DGNgLJd', '', '0', '霍金柱', '', 'hjz003', '霍金柱3', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0', '', '', '', '', '', '0', '0', '0.00', '0', '', '1547019811', '1547019811', '', '0', '433fa013-ac3c-d597-550e-7a54b14a1081');

-- ----------------------------
-- Table structure for `car_user_log`
-- ----------------------------
DROP TABLE IF EXISTS `car_user_log`;
CREATE TABLE `car_user_log` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `uid` int(11) unsigned NOT NULL COMMENT '用户UID',
  `order_num` varchar(50) DEFAULT NULL COMMENT '订单号',
  `type` tinyint(1) NOT NULL COMMENT '日志类型',
  `op` varchar(255) DEFAULT NULL COMMENT '操作标识',
  `credit` decimal(12,2) NOT NULL DEFAULT '0.00' COMMENT '零钱',
  `credit1` int(11) DEFAULT NULL COMMENT 'C贝',
  `credit2` decimal(12,2) NOT NULL DEFAULT '0.00' COMMENT '推广积分',
  `credit3` decimal(12,2) NOT NULL DEFAULT '0.00' COMMENT '消费积分',
  `credit4` decimal(12,2) NOT NULL DEFAULT '0.00' COMMENT '待返积分',
  `credit5` decimal(12,2) NOT NULL DEFAULT '0.00' COMMENT '商户积分',
  `credit6` decimal(12,2) NOT NULL DEFAULT '0.00' COMMENT '未释放积分',
  `credit7` decimal(12,2) NOT NULL DEFAULT '0.00' COMMENT '志愿者余额',
  `integral1` decimal(12,2) NOT NULL DEFAULT '0.00',
  `integral` decimal(12,2) NOT NULL DEFAULT '0.00',
  `msg` varchar(2000) DEFAULT NULL COMMENT '信息',
  `ip` varchar(255) NOT NULL COMMENT 'IP',
  `pay_uid` int(11) unsigned DEFAULT NULL COMMENT '充值人uid',
  `created_at` int(11) unsigned DEFAULT NULL COMMENT '创建时间',
  `updated_at` int(11) unsigned DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户日志表';

-- ----------------------------
-- Records of car_user_log
-- ----------------------------

-- ----------------------------
-- Table structure for `car_user_login_log`
-- ----------------------------
DROP TABLE IF EXISTS `car_user_login_log`;
CREATE TABLE `car_user_login_log` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ip` varchar(50) NOT NULL,
  `mobile` varchar(11) NOT NULL COMMENT '手机号',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '状态1:登陆成功，0:登陆失败',
  `msg` varchar(255) NOT NULL COMMENT 'log提示',
  `created_at` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '登录时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户登录日志表';

-- ----------------------------
-- Records of car_user_login_log
-- ----------------------------

-- ----------------------------
-- Table structure for `car_user_notice`
-- ----------------------------
DROP TABLE IF EXISTS `car_user_notice`;
CREATE TABLE `car_user_notice` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `uid` int(11) unsigned NOT NULL COMMENT '用户ID',
  `announcement_id` int(11) unsigned NOT NULL COMMENT '公告ID',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0普通1最新',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '0删除1未读2已读',
  `created_at` int(11) unsigned NOT NULL DEFAULT '0',
  `updated_at` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户通知表';

-- ----------------------------
-- Records of car_user_notice
-- ----------------------------

-- ----------------------------
-- Table structure for `car_user_order`
-- ----------------------------
DROP TABLE IF EXISTS `car_user_order`;
CREATE TABLE `car_user_order` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL COMMENT '用户uid',
  `order_id` varchar(50) NOT NULL COMMENT '订单号',
  `gid` int(11) NOT NULL COMMENT '商品id',
  `num` int(11) NOT NULL DEFAULT '1' COMMENT '购买数量',
  `price` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '单价',
  `old_priced` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '原价',
  `title` varchar(50) NOT NULL DEFAULT '' COMMENT '商品名称',
  `thumb` varchar(100) NOT NULL DEFAULT '' COMMENT '缩略图',
  `pay_order` varchar(255) NOT NULL DEFAULT '' COMMENT '支付凭证',
  `logistics_num` varchar(50) NOT NULL DEFAULT '' COMMENT '物流单号',
  `specification` varchar(255) NOT NULL DEFAULT '' COMMENT '规格',
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '审核状态1待审核,2已审核,3拒绝',
  `pay_status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态1待付款,2已付款',
  `pay_type` varchar(50) NOT NULL DEFAULT '1' COMMENT '支付类型',
  `deal_num` varchar(50) NOT NULL DEFAULT '' COMMENT '交易号',
  `created_at` int(11) unsigned NOT NULL COMMENT '创建时间',
  `updated_at` int(11) unsigned NOT NULL COMMENT '更新时间',
  `is_del` tinyint(1) DEFAULT '0' COMMENT '0未删除，1删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户订单表';

-- ----------------------------
-- Records of car_user_order
-- ----------------------------

-- ----------------------------
-- Table structure for `car_user_real`
-- ----------------------------
DROP TABLE IF EXISTS `car_user_real`;
CREATE TABLE `car_user_real` (
  `uid` int(11) NOT NULL,
  `identity0` varchar(50) NOT NULL COMMENT '手持身份证',
  `identity1` varchar(50) NOT NULL COMMENT '身份证正面',
  `identity2` varchar(50) NOT NULL COMMENT '身份证反面',
  `real_status` tinyint(1) NOT NULL COMMENT '认证状态',
  `remark` text NOT NULL COMMENT '备注',
  `created_at` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `updated_at` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户身份信息表';

-- ----------------------------
-- Records of car_user_real
-- ----------------------------

-- ----------------------------
-- Table structure for `car_withdraw`
-- ----------------------------
DROP TABLE IF EXISTS `car_withdraw`;
CREATE TABLE `car_withdraw` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) unsigned NOT NULL,
  `order_id` varchar(50) NOT NULL COMMENT '订单',
  `bank_name` varchar(50) NOT NULL DEFAULT '' COMMENT '银行名',
  `bank_card` varchar(50) NOT NULL DEFAULT '' COMMENT '银行卡号',
  `address` varchar(255) NOT NULL DEFAULT '' COMMENT '开户地址',
  `withdraw_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '打款金额',
  `withdraw_percent` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '提取手续费',
  `price` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '兑换积分',
  `pay_type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '提现类型2零钱，1银行卡',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '审核状态',
  `remark` text NOT NULL COMMENT '驳回原因',
  `created_at` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '提取时间',
  `updated_at` int(11) unsigned DEFAULT '0' COMMENT '审核时间',
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='提现记录表';

-- ----------------------------
-- Records of car_withdraw
-- ----------------------------
